SystemOrganization addCategory: #'JQueryMobile-Tests-Functional'!

WACounter subclass: #JQMCounter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMCounter methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 19:54'!
renderContentOn: html
	html heading: count.
	html anchor
		jqmTransitionFade; "Fade"
		callback: [ self increase ];
		with: '++'.
	html space.
	html anchor
		jqmTransitionFlip; "Flip"
		callback: [ self decrease ];
		with: '--'! !

WAComponent subclass: #JQMFunctionalTestBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMFunctionalTestBase subclass: #JQMAllFunctionalTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMAllFunctionalTests class methodsFor: 'class initialization' stamp: 'NickAger 10/12/2011 12:03'!
initialize
	JQMAdmin register: self asApplicationAt: 'javascript/jquery-mobile'.! !

!JQMAllFunctionalTests methodsFor: 'hooks' stamp: 'NickAger 10/29/2011 12:36'!
initialRequest: aRequest
	| potentialClassLabel targetClass |
	
	super initialRequest: aRequest.
	aRequest url path isEmpty ifTrue: [
		^ self ].
	
	potentialClassLabel := WAUrl decodePercent: (aRequest url path last copyReplaceAll: '-' with: ' ').
		
	targetClass := JQMTestSampleBase allSubclasses 
		detect: [ :each | 
			each label = potentialClassLabel ]
		ifNone: [ nil ].
		
	targetClass notNil ifTrue: [
		self show: targetClass new ]! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 18:14'!
renderAPIOn: html
	| strikeoutStyle |
	strikeoutStyle := 'text-decoration: line-through'.
	
	html listItem
		jqmListDivider;
		with: 'API'.

	html listItem: [
		html anchor
			callback: [ self show: (JQMConfiguringDefaults new) ]; 
			with: 'Configuring defaults' ].
				
	html listItem: [
		html anchor
			callback: [ self show: (JQMEvents new) ];
			with: 'Events' ].
				
	html listItem: [
		html anchor
			callback: [ self show: (JQMMethodAndUtilities new) ];
			with: 'Methods & Utilities' ].
		
	html listItem: [
		html anchor
			callback: [ self show: (JQMScriptingUnderTheHood new) ]; 
			with: 'Scripting - under the hood' ].	
				
	html listItem: [
		html anchor
			callback: [ self show: (JQMThemeFramework new) ];
			with: 'Theme framework' ].! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 17:59'!
renderComponentsOn: html
	html listItem
		jqmListDivider;
		with: 'Components'.
				
	html listItem: [
		html anchor
			callback: [ self show: JQMPageAndDialogLinksMenu new ];
			with: 'Pages & dialogs' ].
				
	html listItem: [
		html anchor
			callback: [ self show: JQMToolbarsMenu new ];
			with: 'Toolbars' ].
				
	html listItem: [
		html anchor
			callback: [ self show: JQMButtonsMenu new ];
			with: 'Buttons' ].
				
	html listItem: [
		html anchor
			callback: [ self show: JQMContentFormattingMenu new ];
			with: 'Content formatting' ].
				
	html listItem: [
		html anchor
			callback: [ self show: JQMFormElementsMenu new ];
			with: 'Form elements' ].
				
	html listItem: [
		html anchor
			callback: [ self show: JQMListViewsMenu new ];
			with:  'List views' ].! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/27/2011 18:23'!
renderContentOn: html
	"*jQuery Mobile demos>http://jquerymobile.com/test/*"
	
html document addLoadScript: '$("a").click(function(event) {
  event.preventDefault();})
'.

	html div
		jqmContent;
		with: [
			self renderWrappedListOfTestsOn: html.
			self renderWrappedIntroTextOn: html ] ! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 18:09'!
renderIntroTextOn: html
	html image
		url: JQMTestsFileLibrary / #seasideJQueryMobilePng.
		
	html heading
		level2;
		with: 'Seaside''s JQueryMobile integration'.
		
	html paragraph: [
		html text: 'Transform your Seaside '; code: 'WAComponent'; text: 's into JQueryMobile components simply by registering them with '; code: 'JQMAdmin>>#register:asApplicationAt:' ].
	
	html paragraph: [
		html text: '... and that''s it - you''re all set to create Seaside '.
		html anchor
			callback: [ self show: JQMFirstComponent1 new ];
			with: 'powered'.
		html text: ' mobile sites.' ] .
	
	html image
		style: 'float: left; padding-left: 1em; padding-right: 1em;';
		url: JQMTestsFileLibrary / #toggleButtonPng.
		
	html paragraph: [
		html text: 'Seaside and JQueryMobile are a great partnership; Seaside''s '.
		html anchor
			class: 'externalLink';
			url: 'http://book.seaside.st/book/components/calling/example';
			with: 'component calling'.				
		html text: ' methods provide ideal symantics for navigating between pages of a mobile site.' ].
	
	html paragraph: [
		html text: 'Start with the "'.
		html anchor
			callback: [ self show: JQMSeasidePortInfoMenu new ];
			with: 'Seaside Integration'.
		html text: '" link (top right), then learn more by viewing and examining the '.
		html anchor
			callback: [ self show: JQMFormElementGallery new ];
				with: 'samples'.
		html text: ' and explore '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/';
			with: 'jquerymobile.com'.
		html text: ' for background information.' ]

! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/14/2011 12:03'!
renderListOfTestsOn: html
	html unorderedList
		jqmListView;
		jqmEnableInset;
		with: [
			self renderSeasideIntegrationOn: html.
			self renderComponentsOn: html.
			self renderAPIOn: html ].! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/24/2011 21:09'!
renderSeasideIntegrationOn: html
	html listItem: [
		html anchor
			callback: [ self show: JQMSeasidePortInfoMenu new ];
			with: 'Seaside Integration' ].
! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 11:09'!
renderWrappedIntroTextOn: html 
	html div
		class: 'content-secondary';
		with: [
			html div
				jqmCollapsible;
				jqmCollapsedState: true;
				jqmTheme: 'b';
				jqmContentTheme: 'd';
				with: [
					html heading
						level3;
						with: 'jQueryMobile & Seaside'.
					html div
						class: 'introText';
						with: [
							self renderIntroTextOn: html ] ] ]! !

!JQMAllFunctionalTests methodsFor: 'rendering' stamp: 'NickAger 10/13/2011 10:39'!
renderWrappedListOfTestsOn: html
	html div
		class: 'content-primary';
		with: [
			self renderListOfTestsOn: html ]! !

!JQMAllFunctionalTests methodsFor: 'updating' stamp: 'NickAger 10/29/2011 13:30'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	
	"Test specific library"
	JQMTestsFileLibrary default updateRoot: anHtmlRoot	

! !

JQMFunctionalTestBase subclass: #JQMBarsBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMBarsBase methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 20:00'!
menuClass
	^ JQMToolbarsMenu! !

!JQMBarsBase methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 19:37'!
renderSubMenuOn: html
	html unorderedList
		jqmListView;
		jqmTheme: 'c';
		jqmDividerTheme: 'd';
		with: [
			html listItem
				jqmListDivider;
				with: self menuClass label.
				
			self menuClass buttonClasses do: [ :each |
				| listItem |
				listItem := html listItem.
				self class label = each label ifTrue: [
					listItem jqmTheme: 'a' ].
				listItem with: [
					html anchor
						jqmTransitionFade 
						callback: [
							self home.
							self show: each new ] ;
						with: [ 
							html div: each label ] ] ] ]! !

!JQMBarsBase methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 19:37'!
renderWrappedSubMenuOn: html
	html div
		class: 'content-secondary';
		with: [
			html div
				jqmCollapsible;
				jqmCollapsedState: true;
				jqmTheme: 'b';
				jqmContentTheme: 'd';
				with: [
					html heading
						level3;
						with: 'More in this section'.
					self renderSubMenuOn: html ] ] ! !

!JQMBarsBase methodsFor: 'updating' stamp: 'NickAger 10/27/2011 00:46'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	JQMTestsFileLibrary default updateRoot: anHtmlRoot.
	anHtmlRoot pageDivAttributes
		at: 'class' put: 'type-interior'.
		
	anHtmlRoot includeDataUrl: true! !

!JQMBarsBase methodsFor: 'updating' stamp: 'NickAger 10/26/2011 21:13'!
updateUrl: aUrl
	| path |	
	super updateUrl: aUrl.

	path := self class label copyReplaceAll: ' ' with: '-'.
	aUrl addToPath: path! !

JQMBarsBase subclass: #JQMFixedBars
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFixedBars class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:30'!
label
	^ 'Fixed positioning'! !

!JQMFixedBars methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 19:36'!
renderContentOn: html
	self renderFixedHeaderOn: html.
	html div
		jqmContent;
		with: [
			html div
				class: 'content-primary';
				with: [
					self renderExplanationTextOn: html.
					JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderFixedHeaderOn: class: self class.
					JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderFixedFooterOn: class: self class.
					html break; break; break ].
				
			self renderWrappedSubMenuOn: html ].
	self renderFixedFooterOn: html

! !

!JQMFixedBars methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 23:07'!
renderExplanationTextOn: html
	html heading
		level2;
		with: 'Fixed toolbars will re-appear after you scroll'.
		
	html paragraph: 'This is a demo of the "fixed" headers and footers used in the jQueryMobile framework. The page content flows naturally, allowing us to take advantage of native scrolling instead of a scripting a faux-scrolling workaround. The header and footer divs are right in the flow of the document, but whenever they are out of view, you can tap the screen to make them appear. Tapping again or scrolling the page will cause them to appear back in the flow of the page (at the top and bottom).'! !

!JQMFixedBars methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 19:48'!
renderFixedFooterOn: html
	html div
		jqmFooter;
		jqmFixedPosition;
		class: 'footer-docs';
		with: [
			html heading
				level1;
				with: 'Fixed Footer' ].
			
		
! !

!JQMFixedBars methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 18:19'!
renderFixedHeaderOn: html
	html div
		jqmHeader;
		jqmFixedPosition;
		jqmTheme: 'f';
		with: [
			html heading
				level1;
				with: 'Fixed toolbars'.
			
			html anchor
				jqmIcon: 'home';
				jqmReverse;
				jqmIconNoText;
				callback: [ 
					self session presenter home ];
				with: 'home' ]! !

JQMBarsBase subclass: #JQMFixedBarsClickToShow
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFixedBarsClickToShow class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:30'!
label
	^ 'Fullscreen positioning'! !

!JQMFixedBarsClickToShow methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 19:45'!
renderContentOn: html
	self renderHeaderBarOn: html.
	html div
		jqmContent;
		with: [
			html div
				class: 'content-primary';
				with: [
					JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderHeaderBarOn: class: self class.
					JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderFooterBarOn: class: self class.
					html break; break; break ].
				
			self renderWrappedSubMenuOn: html ].
	self renderFooterBarOn: html! !

!JQMFixedBarsClickToShow methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 19:50'!
renderFooterBarOn: html
	html div
		jqmFooter;
		jqmFixedPosition;
		class: 'footer-docs';
		with: [
			html heading
				level1;
				with: 'Fixed Footer  - click/touch to show/hide' ]! !

!JQMFixedBarsClickToShow methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 19:50'!
renderHeaderBarOn: html
	html div
		jqmHeader;
		jqmFixedPosition;
		jqmTheme: 'f';
		with: [
			html heading
				level1;
				with: 'Fullscreen Fixed toolbars - click/touch to show/hide'.
					
			html anchor
				jqmIcon: 'home';
				jqmReverse;
				jqmIconNoText;
				callback: [ 
					self session presenter home ];
				with: 'home' ]! !

!JQMFunctionalTestBase methodsFor: 'updating' stamp: 'NickAger 10/29/2011 16:15'!
addIOSAppMetaOn: anHtmlRoot
	"http://developer.apple.com/library/safari/#documentation/appleapplications/reference/SafariHTMLRef/Articles/MetaTags.html"
	anHtmlRoot meta name: 'apple-mobile-web-app-capable'; content: 'yes'.! !

!JQMFunctionalTestBase methodsFor: 'updating' stamp: 'NickAger 10/29/2011 16:23'!
addIOSBookmarkIconOn: anHtmlRoot
	"http://developer.apple.com/library/IOS/#documentation/AppleApplications/Reference/SafariWebContent/ConfiguringWebApplications/ConfiguringWebApplications.html"
	
	"default home screen icon 57 x 57 transparent png"
	anHtmlRoot link
		relationship: 'apple-touch-icon';
		url: JQMTestsFileLibrary / #seaside57x57Png.
		
	"72x72 for iPad "
	anHtmlRoot link
		relationship: 'apple-touch-icon';
		attributeAt: 'sizes' put: '72x72';
		url: JQMTestsFileLibrary / #seaside72x72Png.
		
	"114x144 for iPhone 4"
	anHtmlRoot link
		relationship: 'apple-touch-icon';
		attributeAt: 'sizes' put: '114x114';
		url: JQMTestsFileLibrary / #seaside114x114Png! !

!JQMFunctionalTestBase methodsFor: 'updating' stamp: 'NickAger 10/29/2011 16:13'!
addIOSStartupImage: anHtmlRoot
	"http://developer.apple.com/library/safari/#documentation/appleapplications/reference/SafariHTMLRef/Articles/MetaTags.html"
	anHtmlRoot link
		relationship: 'apple-touch-startup-image';
		url: JQMTestsFileLibrary / #seasideSplashPng.
! !

!JQMFunctionalTestBase methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 13:42'!
rendererClass
	^ JQMHtmlCanvas! !

!JQMFunctionalTestBase methodsFor: 'updating' stamp: 'NickAger 10/29/2011 16:23'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	
	self addIOSAppMetaOn: anHtmlRoot.
	self addIOSBookmarkIconOn: anHtmlRoot.
	self addIOSStartupImage: anHtmlRoot.
	
	anHtmlRoot title: 'Seaside JQueryMobile integration'
! !

JQMFunctionalTestBase subclass: #JQMSubMenuBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMSubMenuBase subclass: #JQMAPIMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMAPIMenu class methodsFor: 'accessing' stamp: 'NickAger 10/23/2011 18:14'!
buttons
	^ #(JQMConfiguringDefaults JQMEvents JQMMethodAndUtilities JQMThemeFramework JQMScriptingUnderTheHood)! !

!JQMAPIMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:09'!
label
	^ 'API'! !

JQMSubMenuBase subclass: #JQMButtonsMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMButtonsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:10'!
buttons
	^ #(JQMButtonBasics JQMButtonIcons JQMButtonInline JQMButtonGrouped JQMButtonTheming)! !

!JQMButtonsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:10'!
label
	^ 'Buttons'! !

!JQMButtonsMenu methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:30'!
renderContentOn: html
	"*Buttons>http://jquerymobile.com/test/docs/buttons/index.html*"
	super renderContentOn: html! !

JQMSubMenuBase subclass: #JQMContentFormattingMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMContentFormattingMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:10'!
buttons
	^ #(JQMLayoutGrids JQMCollapsibleContent JQMAccordions JQMThemingContent)! !

!JQMContentFormattingMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:10'!
label
	^ 'Content formatting'! !

!JQMContentFormattingMenu methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:30'!
renderContentOn: html
	"*Buttons>http://jquerymobile.com/test/docs/content/index.html*"
	super renderContentOn: html! !

JQMSubMenuBase subclass: #JQMFormElementsMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormElementsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 16:59'!
buttons
	^ #(JQMFormElementGallery JQMFormTextInputs JQMFormSearchInput JQMFormSliderInput JQMFormFlipSwitch JQMFormRadioButtons JQMFormCheckedButtons JQMFormSelects JQMFormThemeList JQMNativeForm JQMFormSubmission JQMAjaxForm)! !

!JQMFormElementsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:11'!
label
	^ 'Form elements'! !

!JQMFormElementsMenu methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*Form elements>http://jquerymobile.com/test/docs/forms/index.html*"
	super renderContentOn: html! !

JQMSubMenuBase subclass: #JQMListViewsMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListViewsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:11'!
buttons
	^ #(JQMListViewDinghies JQMNestedListView JQMNumberedListView JQMSplitButtonList JQMListDividers JQMListCountBubble JQMThumbnailButtonList JQMListIcons JQMListContentFormatting JQMListSearchFilterBar JQMListInsetSearchFilterBar JQMListDividersWithSearch JQMReadOnlyLists JQMReadOnlyInsetLists JQMListWithForms JQMInsetListWithForms JQMInsetLists JQMFormListPerformanceTest JQMThemingLists)! !

!JQMListViewsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:11'!
label
	^ 'Lists'! !

!JQMListViewsMenu methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*Lists>http://jquerymobile.com/test/docs/lists/index.html*"
	super renderContentOn: html! !

JQMSubMenuBase subclass: #JQMPageAndDialogLinksMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPageAndDialogLinksMenu class methodsFor: 'accessing' stamp: 'NickAger 10/28/2011 16:33'!
buttons
	^ #(JQMPageAnatomy JQMPageLinks JQMPageTransitions JQMDialogLinks JQMPrefetchingPages JQMSitesToApps JQMRemovingAddressBar JQMPageTheming)! !

!JQMPageAndDialogLinksMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:12'!
label
	^ 'Pages'! !

!JQMPageAndDialogLinksMenu methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:35'!
renderContentOn: html
	"*Pages & Dialogs>http://jquerymobile.com/test/docs/pages/index.html*"
	super renderContentOn: html! !

JQMSubMenuBase subclass: #JQMSeasidePortInfoMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSeasidePortInfoMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:12'!
buttons
	^ #(JQMJQueryMobileOverview JQMSeasideIntegration JQMFirstComponent1 JQMFirstComponent2 JQMPageNavigation JQMInstallation JQMDevelopmentTips JQMAcknowledgements)! !

!JQMSeasidePortInfoMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:12'!
label
	^ 'Seaside Integration'! !

!JQMSubMenuBase class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:08'!
buttonClasses
	^ self buttons collect: [ :each |
		Smalltalk at: each ]! !

!JQMSubMenuBase class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:08'!
buttons
	self subclassResponsibility ! !

!JQMSubMenuBase class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:08'!
label
	self subclassResponsibility! !

!JQMSubMenuBase methodsFor: 'initialization' stamp: 'NickAger 10/17/2011 13:46'!
initialize
	super initialize.
	self addDecoration: JQMTestsDecorator new! !

!JQMSubMenuBase methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 12:59'!
renderButtonsOn: html
	html unorderedList
		jqmListView;
		jqmEnableInset;
		with: [
			self class buttonClasses do: [ :each |
				html listItem: [
					html anchor
						callback: [
							self show: each new ];
						with: [ 
							html div: each label ] ] ] ]! !

!JQMSubMenuBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 07:55'!
renderContentOn: html
	self renderHeaderOn: html.

	html div
		jqmContent;
		with: [
			self renderButtonsOn: html ]! !

!JQMSubMenuBase methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 12:17'!
renderHeaderOn: html
	html div
		jqmHeader;
		jqmTheme: 'f';
		with: [
			html heading
				level1;
				with: self class label.
				
			html anchor
				jqmIcon: 'home';
				jqmReverse;
				jqmIconNoText;
				callback: [ self answer ] ;
				with: 'home' ].! !

JQMSubMenuBase subclass: #JQMToolbarsMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMToolbarsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:13'!
buttons
	^ #(JQMHeaderBars JQMFooterBars JQMNavBars JQMFixedBars JQMFixedBarsClickToShow JQMPersistentToolbars JQMNavBarTheming)! !

!JQMToolbarsMenu class methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 12:13'!
label
	^ 'Toolbars'! !

!JQMToolbarsMenu methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:38'!
renderContentOn: html
	"*Toolbars>http://jquerymobile.com/test/docs/toolbars/index.html*"
	super renderContentOn: html	! !

JQMFunctionalTestBase subclass: #JQMTestSampleBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMTestSampleBase commentStamp: 'NickAger 10/17/2011 11:30' prior: 0!
Hmm ideally I wouldn't exist and instead would be implemented as a set of traits, for example:
show source trait
component show/initialization trait!

JQMTestSampleBase subclass: #JQMAccordions
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMAccordions class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:07'!
label
	^ 'Collapsible sets (accordions)'! !

!JQMAccordions methodsFor: 'accessing' stamp: 'NickAger 10/15/2011 12:54'!
methods
	^ #(renderUnthemedAccordionOn: renderThemedAccordionOn: renderThemedSectionAccordionOn:)! !

!JQMAccordions methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:29'!
renderContentOn: html
	"*Collapsible sets (Accordions)>http://jquerymobile.com/test/docs/content/content-collapsible-set.html*"
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]! !

!JQMAccordions methodsFor: 'rendering' stamp: 'NickAger 10/18/2011 13:01'!
renderThemedAccordionOn: html
	html heading
		level2;
		with: 'Theming collapsible content'.
		
	html div: 'Here is themed collapsible content.'.

	html div
		jqmCollapsibleSet;
		jqmTheme: 'c';
		jqmContentTheme: 'd';
		with: [
			1 to: 3 do: [ :each |
				 html div
					jqmCollapsible;
					with: [
						html heading
							level3;
							with: 'Section ' , each greaseString.
						
						html paragraph: 'Collapsible content. Header theme c, content theme d' ] ] ]. ! !

!JQMAccordions methodsFor: 'rendering' stamp: 'NickAger 10/18/2011 12:59'!
renderThemedSectionAccordionOn: html
	html heading
		level2;
		with: 'Theming individual collapsible content'.
		
	html div: 'Here each section is themed individually.'.

	html div
		jqmCollapsibleSet;
		with: [
			#(b a e) do: [ :each |
				 html div
					jqmCollapsible;
					jqmTheme: each;
					jqmContentTheme: 'b';
					with: [
						html heading
							level3;
							with: 'Theme ' , each.
						
						html paragraph: 'Collapsible content. Content theme b, header theme ', each ] ] ]. ! !

!JQMAccordions methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:50'!
renderUnthemedAccordionOn: html
	html heading
		level2;
		with: 'Collapsible set markup'.

	html div: 'Here is an example of a collapsible set with 5 sections.'.

	html div
		jqmCollapsibleSet;
		with: [
			html div
				jqmCollapsible;
				jqmCollapsedState: false;
				with: [
					html heading
						level3;
						with: 'Section 1'.
						
					html paragraph: [
						html text: 'I''m the collapsible content in a set so this feels like an accordion. I''m open by default because I called '.
						html code: '#jqmInitiallyUncollapsed' ] ].
				
			2 to: 5 do: [ :each |
				 html div
					jqmCollapsible;
					with: [
						html heading
							level3;
							with: 'Section ' , each greaseString.
						
						html paragraph: 'I''m the collapsible content in a set so this feels like an accordion.' ] ] ]. ! !

JQMTestSampleBase subclass: #JQMAcknowledgements
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMAcknowledgements class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:27'!
label
	^ 'Acknowledgements'! !

!JQMAcknowledgements methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 18:40'!
renderContentOn: html
	html paragraph: [
		html text: 'The initial integration work was performed by '.
		html anchor
			class: 'externalLink';
			url: 'http://twitter.com/nickager';
			with: 'Nick Ager'.
		html text: ' and sponsored by '.
		html anchor
			class: 'externalLink';
			url: 'http://twitter.com/LAndriese';
			with: 'Louis Andriese'.
		html text: ' at '.
		html anchor
			class: 'externalLink';
			url: 'http://www.deltalloydgroep.com/';
			with: 'Delta Lloyd Online Innovations'.
		html text: '.' ].
	html paragraph: [
		html text: 'The code is released under the '.
		html anchor
			class: 'externalLink';
			url: 'http://en.wikipedia.org/wiki/MIT_License';
			with: 'MIT licence'.
		html text: '.' ]! !

JQMTestSampleBase subclass: #JQMButtonBasics
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMButtonBasics class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:02'!
label
	^ 'Button basics'! !

!JQMButtonBasics methodsFor: 'rendering' stamp: 'NickAger 10/20/2011 19:25'!
renderButtonStylesOn: html
	html heading
		level2;
		with: 'Button styles'.
		
	html button
		bePush;
		jqmButtonCorners: false;
		with: 'jqmButtonCorners: false'.
! !

!JQMButtonBasics methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:30'!
renderContentOn: html
	"*button basics>http://jquerymobile.com/test/docs/buttons/buttons-types.html*"
	self renderLinksAsButtonsOn: html.
	self renderFormButtonsOn: html.
	
	self renderMethod: #renderButtonStylesOn: withShowSourceOn: html.	
	
! !

!JQMButtonBasics methodsFor: 'rendering' stamp: 'NickAger 10/18/2011 15:32'!
renderFormButtonsOn: html
	html heading
		level2;
		with: 'Form buttons'.
		
	html paragraph: [
		html text: 'For ease of styling, the jQueryMobile automatically converts any button or input element with a type of submit, reset, button, or image into a custom styled, link-based button. There is no need to call the method: '; code: ' jqmButton'; text: ' which is only required to convert an anchor into a button' ].
	
	html button
		bePush;
		with: 'html button bePush'.
		
	html submitButton
		with: 'html submitButton'.
		
	html cancelButton
		with: 'html cancelButton'.
		
	html imageButton
		with: 'html imageButton'.! !

!JQMButtonBasics methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 17:59'!
renderLinksAsButtonsOn: html
	html heading
		level2;
		with: 'Styling links as buttons'.
		
	html paragraph: [
		html text: 'In the main content block of a page, you can style any anchor link as a button by calling '; code: ' jqmButton'; text: ' method. The framework will enhance the link with markup and classes to style the link as a button:' ].
	
	html anchor
		jqmButton;
		with: 'html anchor jqmButton; with: ''button text'''.! !

JQMTestSampleBase subclass: #JQMButtonGrouped
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMButtonGrouped class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:04'!
label
	^ 'Grouped buttons'! !

!JQMButtonGrouped methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 10:13'!
methods
	^ #(renderVerticalButtonsOn: renderHorizontalButtonsOn: renderIconsOn: renderIconsOnlyOn:)! !

!JQMButtonGrouped methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:30'!
renderContentOn: html
	"*Grouped buttons>http://jquerymobile.com/test/docs/buttons/buttons-grouped.html*"
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]! !

!JQMButtonGrouped methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 10:11'!
renderHorizontalButtonsOn: html
	html paragraph: [
		html text: 'Adding a call to '; code: 'jqmHorizontal'; text: ' will group the buttons horizontally: ' ].
	
	html div
		jqmControlGroup;
		jqmHorizontal;
		with: [
			html button: 'Yes'.
			html button: 'No'.
			html button: 'Maybe' ]! !

!JQMButtonGrouped methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 10:12'!
renderIconsOn: html
	html paragraph: 'With icons:'.
	
	html div
		jqmControlGroup;
		jqmHorizontal;
		with: [
			html button jqmIcon: 'arrow-u'; with: 'Up'.
			html button jqmIcon: 'arrow-d'; with: 'Down'.
			html button jqmIcon: 'delete'; with: 'Delete' ]! !

!JQMButtonGrouped methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 16:37'!
renderIconsOnlyOn: html
	html paragraph: 'Horizontal grouped buttons, icons only:'.
	
	html div
		jqmControlGroup;
		jqmHorizontal;
		with: [
			html button jqmIcon: 'arrow-u'; jqmIconNoText; with: 'Up'.
			html button jqmIcon: 'arrow-d'; jqmIconNoText; with: 'Down'.
			html button jqmIcon: 'delete'; jqmIconNoText; with: 'Delete' ].
! !

!JQMButtonGrouped methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 10:11'!
renderVerticalButtonsOn: html
	html paragraph: [
		html text: 'Use '; code: 'jqmControlGroup'; text: ' to group buttons. By default, grouped buttons are presented as a vertical list:' ].
	
	html div
		jqmControlGroup;
		with: [
			html button: 'Yes'.
			html button: 'No'.
			html button: 'Maybe' ]! !

JQMTestSampleBase subclass: #JQMButtonIcons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMButtonIcons class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:03'!
label
	^ 'Button icons'! !

!JQMButtonIcons methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 11:52'!
icons
	^ #('arrow-l' 'arrow-r' 'arrow-u' 'arrow-d' delete plus minus check gear refresh forward back grid star alert info home search)! !

!JQMButtonIcons methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 16:37'!
positioning
	^ #(#jqmIconPositionLeft #jqmIconPositionRight #jqmIconPositionTop #jqmIconPositionBottom #jqmIconNoText)! !

!JQMButtonIcons methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 12:37'!
renderContentOn: html
	self renderIconButtonSetOn: html.
	self renderIconPositioningOn: html.
	self renderIconSetOn: html
! !

!JQMButtonIcons methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 12:35'!
renderIconButtonSetOn: html
	html heading
		level2;
		with: 'Icon set'.
		
	self icons do: [ :each |
		html anchor
			jqmButton;
			jqmIcon: each;
			with: 'Button: jqmIcon: ''', each, '''' ]! !

!JQMButtonIcons methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:14'!
renderIconPositioningOn: html
	html heading
		level2;
		with: 'Icon positioning'.
		
	self positioning do: [ :each |
		| anchor |
		html paragraph: [
			html code: each ].
		anchor := html anchor
			jqmButton;
			jqmIcon: 'info';
			yourself.
			
		anchor perform: each.
		anchor with: 'Positioning: ', each ]! !

!JQMButtonIcons methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 17:25'!
renderIconSetOn: html
	html heading
		level2;
		with: 'Icons and themes'.
		
	self themes do: [ :each |
		self renderIconSetOn: html theme: each ]
! !

!JQMButtonIcons methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 16:37'!
renderIconSetOn: html theme: theme
	html paragraph: [
		html strong: 'Swatch ', theme.
		html text: ' themed buttons' ].
	
	html div
		jqmControlGroup;
		jqmHorizontal;
		with: [
			self icons do: [ :each |
				html anchor
					jqmButton;
					jqmIcon: each;
					jqmIconNoText;	
					jqmTheme: theme;
					with: 'an icon' ] ]! !

JQMTestSampleBase subclass: #JQMButtonInline
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMButtonInline class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 19:49'!
label
	^ 'Inline buttons'! !

!JQMButtonInline methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 10:07'!
methods
	^ #(renderSimpleButtonOn: renderCompactButtonOn: renderCompactButtonSideBySideOn:)! !

!JQMButtonInline methodsFor: 'rendering' stamp: 'NickAger 10/24/2011 21:08'!
renderColumnButtonTextOn: html
	html paragraph: [
		html text: 'If you want buttons to sit side-by-side but stretch to fill the width of the screen, you can use '.
		html anchor 
			callback: [ self show: JQMLayoutGrids new ];			
			with: 'content column grids'.
		html text: ' to put normal full-width buttons into 2- or 3-columns.' ]! !

!JQMButtonInline methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 10:05'!
renderCompactButtonOn: html
	html paragraph: [
		html text: 'However, if you want a more compact button that is only as wide as the text and icons inside, call the method '; code: 'jqmInline' ].
	
	html button
		jqmInline;
		with: 'Inline button'! !

!JQMButtonInline methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 10:06'!
renderCompactButtonSideBySideOn: html
	html paragraph: [
		html text: 'If you have multiple buttons that should sit side-by-side on the same line, call the method '; code: 'jqmInline'; text: ' for each button. This will style the buttons to be the width of their content and float the buttons so they sit on the same line, resulting in:' ].
	
	"Using anchors here for variety, would have worked equally well with buttons and then there would be no need to call jqmButton"
	html anchor
		jqmButton;
		jqmInline;
		with: 'Cancel'.

	html anchor
		jqmButton;
		jqmInline;
		jqmTheme: 'b';
		with: 'Save'! !

!JQMButtonInline methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:30'!
renderContentOn: html
	"*InlineButtons>http://jquerymobile.com/test/docs/buttons/buttons-inline.html*"
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ].
	
	self renderColumnButtonTextOn: html! !

!JQMButtonInline methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 10:05'!
renderSimpleButtonOn: html
	html div: 'By default, all buttons in the body content are styled as block-level element so they fill the width of the screen:'.
	
	html button
		with: 'Button'! !

JQMTestSampleBase subclass: #JQMButtonTheming
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMButtonTheming class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:05'!
label
	^ 'Theming buttons'! !

!JQMButtonTheming methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 14:57'!
renderButtonsOn: html
	self themes do: [ :each |
		html anchor
			jqmButton;
			jqmTheme: each;
			jqmIcon: 'arrow-l';
			jqmInline;
			with: 'Theme ', each ]! !

!JQMButtonTheming methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 12:46'!
renderContentOn: html
	html heading
		level2;
		with: 'Theming buttons'.
		
	self renderMethod: #renderSingleButtonThemesOn: withShowSourceOn: html.	
	self renderMethod: #renderMultipleButtonThemesOn: withShowSourceOn: html! !

!JQMButtonTheming methodsFor: 'rendering' stamp: 'NickAger 10/14/2011 14:05'!
renderMultipleButtonThemesOn: html
	html paragraph: [
		html text: 'Here are 5 buttons with icons that have a different swatch letter assigned the method: '; code: '#jqmTheme:' ].

	self renderButtonsOn: html.

	html heading
		level2;
		with: 'Theme variations'.

	self themes do: [ :each |
		html paragraph: '"', each, '" theme on container with themed buttons inside'.
		
		html div
			class: 'ui-body'; "padding"
			class: 'ui-body-', each;
			with: [
				self renderButtonsOn: html ].
		html break ]! !

!JQMButtonTheming methodsFor: 'rendering' stamp: 'NickAger 10/14/2011 14:05'!
renderSingleButtonThemesOn: html
	self themes do: [ :each |
		html div
			class: 'ui-body';  "padding"
			class: 'ui-body-', each;
			with: [
				html heading
					level2;
					with: each, ' swatch'.
					
				html anchor
					jqmButton;
					with: 'Button' ] ]! !

JQMTestSampleBase subclass: #JQMConfiguringDefaults
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMConfiguringDefaults class methodsFor: 'accessing' stamp: 'NickAger 10/20/2011 18:19'!
label
	^ 'Configuring defaults'! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 23:20'!
renderConfigurationOptionsDescriptionOn: html
	html heading
		level3;
		with: 'Configurable options'.
		
	html paragraph: [
		html text: 'For more information on configurable properties see '.
		html anchor
			callback: [ self show: JQMMethodAndUtilities new ];
			with: 'Methods & Utilities'.
		html text: ' and '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/api/globalconfig.html';
			with: 'jquerymobile.com' ]! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 23:20'!
renderContentOn: html
	self renderIntroductionOn: html.
	self renderMobileInitDescriptionOn: html.
	self renderMobileSampleOn: html.
	self renderConfigurationOptionsDescriptionOn: html.! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 20:01'!
renderIntroductionOn: html
	html heading
		level2;
		with: 'Working with jQueryMobile''s Auto-initialization'.
		
	html paragraph: [
		html text: 'Unlike other jQuery projects, such as jQuery and jQuery UI, jQueryMobile automatically applies many markup enhancements as soon as it loads (long before '; code: 'document.ready'; text: ' event fires). These enhancements are applied based on jQueryMobile''s default configuration, which is designed to work with common scenarios, but may or may not match your particular needs. Fortunately, these settings are easy to configure.' ]! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 23:51'!
renderMobileInitDescriptionOn: html
	html heading
		level3;
		with: 'The mobileinit event'.
	
	html paragraph: [
		html text: 'When the jQueryMobile starts to execute, it triggers a '; code: 'mobileinit'; text:' event on the '; code: 'document'; text: ' object, to which you can bind and apply overrides to jQueryMobile''s defaults.' ].
	
	html paragraph: [
		html text: 'Because the '; code: 'mobileinit'; text: ' event is triggered immediately upon execution, you need to bind your event handler before the jQueryMobile javascript is loaded. To make this straightforward, '; code: 'JQMHtmlRoot'; text: ' provides a method ' ; code: '#mobileInit:'; text: ' which takes an initialisation block, and can be used as follows:' ].! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 00:10'!
renderMobileSampleHtmlOn: html
	html paragraph: 'Which results in the following html:'.
	html div
	 	class: 'code';
		with: [
			html preformatted: (self renderRoot: [ :anHtmlRoot |
				anHtmlRoot title: 'Demo initialisation block'.
				anHtmlRoot mobileInit: [ :s |
					s << s jQuery mobile loadingMessage: 'be patient' ] ]) ]
	
	
	
	! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 20:01'!
renderMobileSampleOn: html
	html div
		class: 'code';
		with: [ 
			JQMSourceCodeRenderer 
				renderSource: self updateRootSampleSource readStream 
				on: html ].
			
	self renderMobileSampleHtmlOn: html.
	
	html paragraph: [
		html text: 'Notice the way the '; code: 'mobileinit'; text: ' callback is rendered between the base jQuery library and the jQueryMobile library, allowing the library defaults to be modified.' ]! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 20:03'!
renderRoot: rootBlock
	^ String streamContents: [ :stream |
		| context document documentRoot |
		document := JQMHtmlDocumentRenderer on: stream codec: GRNullCodec new.
		document scriptGenerator: JQMScriptGenerator new.
		context := WARenderContext new.
		context document: document.
		documentRoot := JQMHtmlRoot context: context.
		rootBlock value: documentRoot.
		document open: documentRoot.
		documentRoot writeFootOn: document ]! !

!JQMConfiguringDefaults methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 23:17'!
updateRootSampleSource
	^ 'updateRoot: anHtmlRoot
	anHtmlRoot title: ''Demo initialisation block''.

	anHtmlRoot mobileInit: [ :s |
			s << s jQuery mobile loadingMessage: ''be patient'' ]'! !

JQMTestSampleBase subclass: #JQMDevelopmentTips
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMDevelopmentTips class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:27'!
label
	^ 'Development tips'! !

!JQMDevelopmentTips methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 12:45'!
renderContentOn: html
	self renderMethod: #renderShowSourceButtonOn: withShowSourceOn: html.
	self renderMethod: #renderShowHtmlButtonOn: withShowSourceOn: html.
	self renderDebuggingOptionsOn: html
! !

!JQMDevelopmentTips methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 22:02'!
renderDebuggingOptionsOn: html
	html heading
		level2;
		with: 'Mobile simulators'.
	html paragraph: [
		html text: 'Mobile simulators can be a great help when developing a mobile targeted site. Apple provides the '.
		html anchor
			url: 'http://www.google.co.uk/search?q=ios+simulator';
			with:  'iOS simulator'.
		html text: ' (available free for download on Mac OS) and Google supplies an '.
		html anchor
			url: 'http://developer.android.com/guide/developing/tools/emulator.html';
			with: 'Android emulator'.
		html text: ', again a free download.' ].
	
	html paragraph: [
		html text: 'Many '.
		html anchor
			url: 'http://www.google.co.uk/search?q=changing+safari+user+agent';
			with: 'browsers'.
		html text: ' also allow the "User Agent String" to be changed to simulate a request from a mobile device.' ]! !

!JQMDevelopmentTips methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 11:48'!
renderShowHtmlButtonOn: html
	html heading
		level2;
		with: 'Show html'.
	html paragraph: [
		html text: 'Be aware that jQueryMobile adds multiple markup elements to the html source. When viewing jQueryMobile samples using a browser''s debugging mode (such as '.
		html anchor
			url: 'http://getfirebug.com/';
			with: 'Firebug'.
		html text:') the source displayed can be misleading, with only a passing resemblance to the original html response. To help, many samples include a "Show html" option, which displays the generated html associated with the component.  "Show html" can be revealed by clicking on the "Show source" button. However the html shown isn''t identical to the html sent to the browser. One difference is that the html is always shown with the page div wrapper, however for html response, the page div wraps the page not a render method. The ids and callback urls will also differ.' ]! !

!JQMDevelopmentTips methodsFor: 'rendering' stamp: 'NickAger 10/19/2011 11:13'!
renderShowSourceButtonOn: html
	html heading
		level2;
		with: 'Show Source vs Halos'.
	html paragraph: 'The samples don''t include Seaside''s standard toolbar (it interferes with mobile page display), so there is no way of clicking on the "Halo" link in the toolbar to reveal the component generating the output. Instead, many samples include a "Show source" option, which displays the method name, method contents and class  associated with the output. Armed with this information you can explore the implementation further within your image.'! !

JQMTestSampleBase subclass: #JQMDialogTransitionBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMDialogTransitionBase subclass: #JQMDialogLinks
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMDialogLinks class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:23'!
label
	^ 'Dialog'! !

!JQMDialogLinks methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderContentOn: html
	"*Dialogs>http://jquerymobile.com/test/docs/pages/page-dialogs.html*"
	
	html unorderedList
		jqmListView;
		with: [
			html listItem: [
				self renderOpenDialogOn: html ].

			html listItem: [
				self renderPopTransitionOn: html ].
			
			html listItem: [
				self renderSlidedownTransitionOn: html ].

			html listItem: [
				self renderFlipTransitionOn: html ] ].
! !

!JQMDialogLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 19:21'!
renderFlipTransitionOn: html
	html anchor
		jqmDialog;
		jqmTransitionFlip;		
		callback: [
			self showSourceDialogForMethod: #renderFlipTransitionOn: withHeading: 'jqmTransitionFlip' ];
		with: 'Flip transition' ! !

!JQMDialogLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 18:56'!
renderOpenDialogOn: html
	html anchor
		jqmDialog;
		callback: [ 
			self showSourceDialogForMethod: #renderOpenDialogOn: withHeading:  'dialog' ];
		with: 'Open dialog' 
! !

!JQMDialogLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 19:20'!
renderPopTransitionOn: html
	html anchor
		jqmDialog;
		jqmTransitionPop;		
		callback: [ 
			self showSourceDialogForMethod: #renderPopTransitionOn: withHeading:  'jqmTransitionPop' ];
		with: 'Pop transition' ! !

!JQMDialogLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 19:20'!
renderSlidedownTransitionOn: html
	html anchor
		jqmDialog;
		jqmTransitionSlidedown;		
		callback: [ 
			 self showSourceDialogForMethod: #renderSlidedownTransitionOn: withHeading: 'jqmTransitionSlidedown' ];
		with: 'Slidedown transition' ! !

!JQMDialogTransitionBase methodsFor: 'helpers' stamp: 'NickAger 10/17/2011 14:25'!
showSourceDialogForMethod: method withHeading: heading
	| message |	
	message := JQMMessage
		renderingBlock: [ :r | 
			JQMSourceCodeRenderer renderSourceOn: r forMethod: method class: self class ]
		headerText: heading.
	
	self show: message! !

JQMDialogTransitionBase subclass: #JQMPageLinks
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPageLinks class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:22'!
label
	^ 'Linking Pages'! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/13/2011 17:01'!
renderAjaxLoadedLinksWithPageTransitionsOn: html
	html listItem
		jqmListDivider;
		with: 'Links that will be Ajax-loaded with page transitions'.
				
	html listItem: [
		self renderStandardLinkOn: html ].
				
	html listItem: [
		self renderDialogLinkOn: html ]! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:35'!
renderContentOn: html
	"*Page Links>http://jquerymobile.com/test/docs/pages/page-links.html*"
	
	html unorderedList
		jqmListView;
		with: [
			self renderAjaxLoadedLinksWithPageTransitionsOn: html.
			self renderLinksThatRefreshThePageOn: html.
			self renderEmailLinksOn: html.
			self renderPhoneLinksOn: html.
			self renderOtherLinksOn: html ].! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 18:58'!
renderDialogLinkOn: html
	html anchor
		jqmDialog;
		callback: [ self showSourceDialogForMethod: #renderDialogLinkOn: ];
		with: 'Dialog link (not tracked in history)' ! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 11:11'!
renderEmailLinksOn: html
	html listItem
		jqmListDivider;
		with: 'Email links'.
		
	html listItem: [
		html anchor
			url: 'mailto:jdoe@foo.com';
			with: 'Basic email: mailto:jdoe@foo.com' ].
		
	html listItem: [
		| emailUrl |
		emailUrl := WAEmailMessage new
			addTo: 'seaside@lists.squeakfoundation.org';
			addCc: 'pharo-project@lists.gforge.inria.fr';
			addBcc: 'esug-list@lists.esug.org';
			subject: 'jQueryMobile Seaside integration is great';
			body: 'check it out';
			encodeForUrl;
			yourself.
			
		html anchor
			url: emailUrl;
			with: 'Mailto with a cc:, bcc:, subject and body pre-filled' ].! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/4/2011 18:20'!
renderLinksThatRefreshThePageOn: html
	html listItem
		jqmListDivider;
		with: 'Links that will refresh the page'.

	html listItem: [
		html anchor
			url: 'http://seaside.st';
			with: 'External domain' ].
				
	html listItem: [
		self renderRelationshipExternalLinkOn: html ].

	html listItem: [
		self renderNoAjaxLinkOn: html ].
		
	html listItem: [
		self renderTargetLinkOn: html ]! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 18:59'!
renderNoAjaxLinkOn: html
	html anchor
		jqmNoAjax;
		callback: [ self showSourceDialogForMethod: #renderNoAjaxLinkOn: ];
		with: 'link with ''jqmNoAjax'''! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/4/2011 18:20'!
renderOtherLinksOn: html
	html listItem
		jqmListDivider;
		with: 'Other'.
		
	html listItem: [
		html anchor
			url: '#';
			with: 'A href="#" will return false' ].! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/4/2011 18:20'!
renderPhoneLinksOn: html
	html listItem
		jqmListDivider;
		with: 'Phone links'.
		
	html listItem: [
		html anchor
			url: 'tel:07759819325';
			with: 'Phone: tel:07759819325' ].! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 18:59'!
renderRelationshipExternalLinkOn: html
	html anchor
		relationship: 'external';
		callback: [ self showSourceDialogForMethod: #renderRelationshipExternalLinkOn: ];
		with: 'link with "relationship: ''external'' "'! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 18:59'!
renderStandardLinkOn: html
	html anchor
		callback: [ self showSourceDialogForMethod: #renderStandardLinkOn: ];
		with: 'Link in the same domain' ! !

!JQMPageLinks methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 18:59'!
renderTargetLinkOn: html
	html anchor
		target: 'foo';
		callback: [ self showSourceDialogForMethod: #renderTargetLinkOn: ];
		with: 'Link with target="foo"' ! !

!JQMPageLinks methodsFor: 'helpers' stamp: 'NickAger 10/17/2011 11:40'!
showSourceDialogForMethod: method
	self showSourceDialogForMethod: method withHeading: nil! !

JQMDialogTransitionBase subclass: #JQMPageTransitions
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPageTransitions class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:22'!
label
	^ 'Page transitions'! !

!JQMPageTransitions methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:36'!
renderContentOn: html
	"*Dialogs>http://jquerymobile.com/test/docs/pages/page-transitions.html*"
	
	self transitions do: [ :each |
		| anchor |
		anchor := html anchor
			jqmButton;
			jqmDialog;
			callback: [ 
				self showSourceDialogForMethod: #renderContentOn: withHeading: 'each = #', each ];
			yourself.
			
		anchor perform: each. "add the transition to the anchor"
		anchor with: each ].
! !

!JQMPageTransitions methodsFor: 'transitions' stamp: 'NickAger 10/4/2011 22:51'!
transitions
	^ #(jqmTransitionSlide jqmTransitionSlideup jqmTransitionSlidedown jqmTransitionPop jqmTransitionFade jqmTransitionFlip)! !

JQMTestSampleBase subclass: #JQMEvents
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMEvents class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:46'!
label
	^ 'Events'! !

!JQMEvents methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 18:50'!
renderCollapsibleRenderMethod: renderMethod on: html 
	html div
     	 	jqmCollapsible;
		jqmContentTheme: 'c';
      	with: [
			self perform: renderMethod with: html ]! !

!JQMEvents methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 18:54'!
renderCollapsibleRenderMethod: renderMethod withShowSourceOn: html 
	html div
     	 	jqmCollapsible;
		jqmContentTheme: 'c';
      	with: [
			self renderMethod: renderMethod withShowSourceOn: html ]
		
	.! !

!JQMEvents methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 19:02'!
renderContentOn: html
	"*events>http://jquerymobile.com/test/docs/api/events.html*"
	self renderIntroTextOn: html.
	self renderCollapsibleRenderMethod: #renderElementEventsOn:  on: html.
	self renderCollapsibleRenderMethod: #renderPageEventsOn: on: html.
	self renderCollapsibleRenderMethod: #renderDocumentEventsOn: on: html! !

!JQMEvents methodsFor: 'rendering body events' stamp: 'NickAger 10/23/2011 23:29'!
renderDocumentEventsOn: html
	| documentTransitionEvents |
	documentTransitionEvents := #(onPageBeforeChange: onPageBeforeLoad: onPageChange: onPageChangeFailed: onPageLoad: onPageLoadFailed:).
	html heading
		level2;
		with: 'Document / Site events'.
	
	html paragraph: [
		html text: 'There are a set of events which are site wide, that is they are not specific to a page. They can be hooked into using jQuery '; code: 'jqmDocument'; text: ' extension:' ].
	
	html div
		class: 'code';
		with: [
			documentTransitionEvents do: [ :each | 
				html code: 'html script: (html jQuery jqmDocument '; code: each; code: ' ''javascript'')'; break ] ]! !

!JQMEvents methodsFor: 'rendering element events' stamp: 'NickAger 10/24/2011 15:29'!
renderElementEventsOn: html
	html heading
		level2;
		with: 'Element scoped events'.
		
	html paragraph:  'Element events can be assigned directly within the element declaration or subsequently using a jQuery interface. The code below illustrates both types of assignment:'.
	html div
		class: 'code';
		with: [
			JQMSourceCodeRenderer renderSource: 'html div
	onTap: ''console.log("tap event")'';
	with: ''tap here''.' readStream on: html ].

	html paragraph: 'or'.
	html div
		class: 'code';
		with: [
			JQMSourceCodeRenderer renderSource: 'html div
	id: #tapper;
	with: ''tap here''.
	
html document addLoadScript: (
	(html jQuery: #tapper) onTap:''console.log("tap event"))'  readStream on: html ].
		
	self renderCollapsibleRenderMethod: #renderTouchEventsOn: withShowSourceOn: html.
	self renderCollapsibleRenderMethod: #renderVirtualMouseEventsOn: withShowSourceOn: html
	! !

!JQMEvents methodsFor: 'rendering element events' stamp: 'NickAger 10/23/2011 22:38'!
renderEventsRecorder: recorderNumber on: html
	| recorderNumberString |
	recorderNumberString := recorderNumber greaseString.
	
	html text: 'event recorder:'.
	html textArea
		id: 'eventsRecord', recorderNumberString.
		
	html script: 'recorder', recorderNumberString,' = (function () {
	var eventIndex = 0;
	var cumulativeEventText = "";
	
	return {
		add: function (event) {
			cumulativeEventText = ++eventIndex + " " + event + "\n" + cumulativeEventText;
			$("#eventsRecord', recorderNumberString,'").text(cumulativeEventText);
		}
	}
})();'
! !

!JQMEvents methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 18:33'!
renderIntroTextOn: html
	html heading
		level2;
		with: 'Event Introduction'.
	
	html paragraph: 'jQueryMobile provides a variety of custom events. Some of these events only work on mobile devices, while others work on both. The events can be divided into three categories:'.
	html unorderedList: [
		html listItem: [
			html strong: 'element'; text: ' scoped events.' ].
		html listItem: [
			html strong: 'page'; text: ' level events.' ].
		html listItem: [
			html strong: 'document'; text: ' / '; strong: 'site'; text: ' scoped events.' ] ].
	
	html paragraph: [
		html text: 'This section describes the Seaside integration with jQueryMobile events. '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/api/events.html';
			with: 'jquerymobile.com'.
		html text: ' provides detail on the javascript interface to each event.' ]! !

!JQMEvents methodsFor: 'rendering page events' stamp: 'NickAger 10/23/2011 22:12'!
renderOrientationChangeEventOn: html
	html heading
		level3;
		with: 'Orientation change event'.
		
	html heading
		level4;
		id: #orientationHeading;
		with: 'Text changes on new orientation'.
			
	html document addLoadScript: (html jQuery page onOrientationChange: ('$("#orientationHeading").text("Orientation: " + event.orientation)' asFunction: #(event)))! !

!JQMEvents methodsFor: 'rendering page events' stamp: 'NickAger 10/23/2011 22:56'!
renderPageEventsOn: html
	html heading
		level2;
		with: 'Page events'.
		
	self renderCollapsibleRenderMethod: #renderPageInitialisationEventOn: on: html.
	self renderCollapsibleRenderMethod: #renderOrientationChangeEventOn: withShowSourceOn: html.
	self renderCollapsibleRenderMethod: #renderScrollEventsOn: withShowSourceOn: html.
	self renderCollapsibleRenderMethod: #renderPageTransitionEventsOn: on: html.! !

!JQMEvents methodsFor: 'rendering page events' stamp: 'NickAger 10/26/2011 20:01'!
renderPageInitialisationEventOn: html
	html heading
		level3;
		with: 'Page initialisation'.

	html paragraph: 'In ''standard'' jQuery enabled Seaside, page initialisation scripts can use one of the following APIs: '.
	html orderedList: [
		html listItem: [
			html paragraph: [
				html code: 'html document addLoadScript: (html javascript alert: ''Hello'')'.
				html anchor
					class: 'externalLink';
					url: 'http://book.seaside.st/book/web-20/scriptaculous/snippets-and-brushes/use-brush' ] ].
		html listItem: [
			html paragraph: [
				html code: ' html jQuery ready: (html javascript alert: ''Hello'').'.
				html anchor
					class: 'externalLink';
					url: 'http://book.seaside.st/book/web-20/jquery/basics/creating-queries' ] ].
			
		html listItem: [
			html paragraph: [
				html code: ' html jQuery: (html javascript alert: ''Hello'').'.
				html anchor
					class: 'externalLink';
					url: 'http://book.seaside.st/book/web-20/jquery/basics/creating-queries' ] ] ].

	html paragraph: [
		html text: 'When using the jQuery script generator, '; code: 'JQScriptGenerator'; text: ', all the above APIs result in similar code; that is they hook into jQuery''s '; code: '$(..handler..)'.
		html anchor
			class: 'externalLink';
			url: 'http://api.jquery.com/ready/'.
	html text: ' initialisation mechanism.' ].
	html paragraph: [
		html text: 'However, in jQueryMobile, code using the jQuery initialisation methods will only execute on the first page request and not on subsequent page requests. Instead jQueryMobile provides a '; code: 'pageinit'; text: ' event.' ].
	html paragraph: [
		html text: 'The Seaside jQueryMobile integration includes a script generator, '; code: 'JQMScriptGenerator'; text: ', which rewires '; code: 'WAHtmlDocument>>#addLoadScript:'; text: ', to be called on '; code: 'pageinit'; text: '.'. ].
	html paragraph: [
		html text: 'In summary, when using jQueryMobile, page initialisation scripts, should only use either: '.
		html unorderedList: [
			html listItem: [
				html paragraph: [
					html code: 'html document addLoadScript: ''javascript goes here''' ] ].
			html listItem: [
				html paragraph: [
					html code: 'html script: (html jQuery page onInitialization: ''javascript goes here'')' ] ] ] ]! !

!JQMEvents methodsFor: 'rendering page events' stamp: 'NickAger 10/24/2011 15:32'!
renderPageTransitionEventsOn: html
	| pageTransitionEvents |
	pageTransitionEvents := #(onShow: onHide: onBeforeShow: onBeforeHide: onCreate: onBeforeCreate:).
	html heading
		level3;
		with: 'Page transition events'.
	
	html paragraph: [
		html text: 'There are a set of page transition events which can hooked into using jQuery '; code: 'page'; text: ' extension:' ].
	
	html div
		class: 'code';
		with: [
			JQMSourceCodeRenderer renderSource: 'html document addLoadScript:(
	html jQuery page onShow: ''console.show("onShow")'').' readStream on: html ].
		
	html paragraph: 'page transition events available include:'.
	html div
		class: 'code';
		with: [
			pageTransitionEvents do: [ :each | 
				html code: 'html jQuery page '; code: each; code: ' ''..javascript here..'''; break ] ]
	
		
	
		

	! !

!JQMEvents methodsFor: 'rendering page events' stamp: 'NickAger 10/26/2011 12:38'!
renderScrollEventsOn: html
	html heading
		level3;
		with: 'Scroll events'.
		
	html paragraph: 'I''ve only seen scroll events fire on mobile devices not desktop browsers.'.
	
	html document addLoadScript: (html jQuery page onScrollStart: 'recorder3.add("ScrollStart")').
	html document addLoadScript: (html jQuery page onScrollStop: 'recorder3.add("ScrollStop")').
	
	self renderEventsRecorder: 3 on: html! !

!JQMEvents methodsFor: 'rendering element events' stamp: 'NickAger 10/23/2011 22:38'!
renderTouchEventsOn: html
	html heading
		level3;
		with: 'Touch events'.
		
	html heading
		level4;
		style: 'padding:5%; background: white; text-align: center';
		onTap: 'recorder1.add("Tap")';
		onTapHold: 'recorder1.add("TapHold")';
		onSwipe:  'recorder1.add("Swipe")';
		onSwipeLeft:  'recorder1.add("SwipeLeft")';
		onSwipeRight:  'recorder1.add("SwipeRight")';
		with: 'Touch and swipe here'.
			
	self renderEventsRecorder: 1 on: html


! !

!JQMEvents methodsFor: 'rendering element events' stamp: 'NickAger 10/23/2011 22:41'!
renderVirtualMouseEventsOn: html
	html heading
		level3;
		with: 'Virtual mouse events'.
		
	self renderVirtualMouseIntroTextOn: html.
	
	html heading
		level4;
		style: 'padding:5%; background: white; text-align: center';
		onVirtualMouseCancel: 'recorder2.add("Virtual Mouse Cancel")';
		onVirtualMouseClick: 'recorder2.add("Virtual Mouse Click")';
		onVirtualMouseDown: 'recorder2.add("Virtual Mouse Down")';
		onVirtualMouseMove: 'recorder2.add("Virtual Mouse Mouse")';
		onVirtualMouseOver: 'recorder2.add("Virtual Mouse Over")';
		onVirtualMouseUp: 'recorder2.add("Virtual Mouse Up")';
		with: 'Move and click the ''mouse'' here'.
		
	self renderEventsRecorder: 2 on: html! !

!JQMEvents methodsFor: 'rendering element events' stamp: 'NickAger 10/23/2011 22:26'!
renderVirtualMouseIntroTextOn: html	
	html paragraph: 'jQueryMobile provides a set of "virtual" mouse events that attempt to abstract away mouse and touch events. This allows  developers to register listeners for the basic mouse events, such as mousedown, mousemove, mouseup, and click, and the plugin will take care of registering the correct listeners behind the scenes to invoke the listener at the fastest possible time for that device. In touch environments, the plugin retains the order of event firing that is seen in traditional mouse environments, so for example, vmouseup is always dispatched before vmousedown, and vmousedown before vclick, etc. The virtual mouse events also normalize how coordinate information is extracted from the event, so in touch based environments, coordinates are available from the pageX, pageY, screenX, screenY, clientX, and clientY properties, directly on the event object.'.
	
	html paragraph: [
		html strong: 'Warning: Use vclick with caution on touch devices'; text: '. Webkit based browsers synthesize mousedown, mouseup, and click events roughly 300ms after the touchend event is dispatched. The target of the synthesized mouse events are calculated at the time they are dispatched and are based on the location of the touch events and, in some cases, implementation specific heuristics which leads to different target calculations on different devices and even different OS versions for the same device. This means the target element within the original touch events could be different from the target element within the synthesized mouse events.' ].
	html paragraph: 'jQueryMobile recommends using click instead of vclick anytime the action being triggered has the possibility of changing the content underneath the point that was touched on screen. This includes page transitions and other behaviors such as collapse/expand that could result in the screen shifting or content being completely replaced.'.! !

JQMTestSampleBase subclass: #JQMFirstComponent1
	instanceVariableNames: 'counter1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFirstComponent1 class methodsFor: 'accessing' stamp: 'NickAger 10/25/2011 14:23'!
label
	^ 'Creating your first component 1'! !

!JQMFirstComponent1 methodsFor: 'hooks' stamp: 'NickAger 10/15/2011 23:10'!
children
	^ Array with: self counter1! !

!JQMFirstComponent1 methodsFor: 'accessing' stamp: 'NickAger 10/25/2011 16:44'!
counter1
	"We don't use JQMCounter here as child components shouldn't add their own JQMContentWrapperDecorator"
	^ counter1 ifNil: [ counter1 := WACounter new ]! !

!JQMFirstComponent1 methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 08:42'!
renderContentOn: html
	html paragraph: [
		html text: 'Let''s jQueryMobile-ify Seaside''s infamous '; code: 'WACounter'; text: ', starting by simply registering the component using the '; code: 'JQMAdmin'; text: ' helper:' ].
	html div
		class: 'code';
		with:'JQMAdmin register: WACounter asApplicationAt: ''mobileCounter'''.

	html paragraph: [
		html text: '...and try it out:'.
		html render: self counter1 ].
	
	html paragraph: [
		html text: 'You''ll notice that the default transition is slide ('; code: 'jqmTransitionSlide'; text: '). Next in '.
		html anchor
			jqmTransitionFade;
			callback: [ self show: JQMFirstComponent2 new ];
			with: 'step 2'.
		html text: ' we modify the render method to change the transitions.' ]! !

JQMTestSampleBase subclass: #JQMFirstComponent2
	instanceVariableNames: 'counter2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFirstComponent2 class methodsFor: 'accessing' stamp: 'NickAger 10/25/2011 14:23'!
label
	^ 'Creating your first component 2'! !

!JQMFirstComponent2 methodsFor: 'hooks' stamp: 'NickAger 10/15/2011 23:10'!
children
	^ Array with: self counter2
! !

!JQMFirstComponent2 methodsFor: 'accessing' stamp: 'NickAger 10/25/2011 19:57'!
counter2
	^ counter2 ifNil: [ counter2 := JQMCounter new ]! !

!JQMFirstComponent2 methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 19:58'!
renderContentOn: html
		
	html paragraph: [
		html text: 'We''ve modified the render method to specify different transitions on the "++" and "--" links. Try clicking on the links:'.
		html render: self counter2 ].
	
	html paragraph: [
		html text: 'The transitions choosen are '; code: '#jqmTransitionFade'; text: ' and '; code: '#jqmTransitionFlip'; text: '. The modified render method is:' ].
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderContentOn: class: JQMCounter.	
! !

JQMTestSampleBase subclass: #JQMFooterBars
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFooterBars class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:29'!
label
	^ 'Footer bars'! !

!JQMFooterBars methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 18:29'!
methods
	^ #(renderDefaultFooterOn: renderRowButtonsOn: renderGroupedRowButtonsOn: renderFooterWithSelectOn:)! !

!JQMFooterBars methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 18:27'!
options
	^ #('Standard: 7 days' 'Rush: 3 days' 'Express: next day' 'Overnight')! !

!JQMFooterBars methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 11:35'!
renderContentOn: html
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]
! !

!JQMFooterBars methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 18:07'!
renderDefaultFooterOn: html
	html heading
		level3;
		with: 'Default footer'.
		
	html div
		jqmFooter;
		with: [
			html heading
				level4;
				with: 'Default footer' ]! !

!JQMFooterBars methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 18:30'!
renderFooterWithSelectOn: html
	html heading
		level3;
		with: 'Adding Form elements'.
		
	html div
		jqmFooter;
		class: 'ui-bar'; "gives the bar some height"
		with: [
			html label
				for: html nextId;
				with: 'Shipping:'.
				
			html select
				id: html lastId;
				list: self options ]! !

!JQMFooterBars methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 18:23'!
renderGroupedRowButtonsOn: html
	html div
		jqmControlGroup;
		jqmHorizontal;
		with: [
			self renderRowButtonsOn: html ]! !

!JQMFooterBars methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 18:21'!
renderRowButtonsOn: html
	html div
		jqmFooter;
		class: 'ui-bar'; "gives the bar some height"
		with: [
			html anchor
				jqmIcon: 'delete';
				with: 'Remove'.

			html anchor
				jqmIcon: 'plus';
				with: 'Add'.
				
			html anchor
				jqmIcon: 'arrow-u';
				with: 'Up'.
				
			html anchor
				jqmIcon: 'arrow-d';
				with: 'Down' ]! !

JQMTestSampleBase subclass: #JQMFormBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMFormBase subclass: #JQMAjaxForm
	instanceVariableNames: 'checked radio select'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMAjaxForm class methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 16:58'!
label
	^ 'Ajax forms'! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:07'!
checked
	^ checked ifNil: [ checked := true ]! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 16:57'!
checked: anObject
	checked := anObject! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:21'!
checkedLabel
	^ 'checked = ', self checked greaseString! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:36'!
radio
	^ radio ifNil: [ radio := #On ]! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:30'!
radio: anObject
	radio := anObject! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:32'!
radioLabel
	^ 'radio = ', self radio greaseString! !

!JQMAjaxForm methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 21:18'!
renderCheckBox1On: html
	| checkLabel |
	html label
		for: html nextId;                                                
		with: 'check box version 1'.
	html checkbox
		id: html lastId;
		on: #checked of: self;
		"note #jqmSerializeThisWithHidden rather than #serializeThisWithHidden
		jQueryMobile inserts a div between the element and the checkbox so the 'standard'
		#serializeThisWithHidden doesn't work
		WARNNG: This is fragile to changes in jQueryMobile's markup"
		onChange:  
			 (html jQuery ajax jqmSerializeThisWithHidden script: [ :s | 
				s << (s jQuery id: checkLabel) text: self checkedLabel ]).
	html div
		id: (checkLabel := html nextId);
		with: self checkedLabel ! !

!JQMAjaxForm methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 20:02'!
renderCheckBox2On: html
	| checkLabel |
	html label
		for: html nextId;                                                
		with: 'check box version 2'.
	html checkbox
		id: html lastId;
		value: self checked;
		onChange:
			(html jQuery ajax 
				callback: [ :val | 
					self checked: val ] 
				value: ((html jQuery this) is: ':checked'); 
				script: [ :s | s << (s jQuery id: checkLabel) text: self checkedLabel ]).
	html div
		id: (checkLabel := html nextId);
		with: self checkedLabel 
		
! !

!JQMAjaxForm methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 20:09'!
renderContentOn: html
	html form: [
		self renderMethod: #renderCheckBox1On: withShowSourceOn: html.
		html horizontalRule.
		self renderMethod: #renderCheckBox2On: withShowSourceOn: html.
		html horizontalRule.
		self renderMethod: #renderRadioButtonOn: withShowSourceOn: html.
		html horizontalRule.
		self renderMethod: #renderSelectOn: withShowSourceOn: html ]! !

!JQMAjaxForm methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 08:35'!
renderRadioButtonOn: html
	| radioLabel |
	html fieldSet
		jqmControlGroup;
		jqmHorizontal;
		with: [
			html radioGroup
				selected: self radio; 
				callback: [ :value | self radio: value ];
				with: [ :group |
					#(On Off) do: [ :each | 
						html label 
							for: html nextId;
							with: each.
						html radioButton
							group: group;
							id: html lastId;
							onChange:  (html jQuery ajax serializeThis script: [ :s | s << (s jQuery id: radioLabel) text: self radioLabel ]);
							value: each ] ] ].
	html div
		id: (radioLabel := html nextId);
		with: self radioLabel ! !

!JQMAjaxForm methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 20:01'!
renderSelectOn: html
	| selectLabel |
	html label
		for: html nextId;                                                
		with: 'select:'.
	html select
		id: html lastId;
		on: #select of: self;
		list: #(on off);
		onChange:  
			(html jQuery ajax serializeThis script: [ :s |
				 s << (s jQuery id: selectLabel) text: self selectLabel ]).
	html div
		id: (selectLabel := html nextId);
		with: self selectLabel! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:49'!
select
	^ select ifNil: [ select := #on ]! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:47'!
select: anObject
	select := anObject! !

!JQMAjaxForm methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 17:48'!
selectLabel
	^ 'select = ', self select greaseString! !

JQMFormBase subclass: #JQMCollapsibleContent
	instanceVariableNames: 'list'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMCollapsibleContent class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:06'!
label
	^ 'Collapsible content blocks'! !

!JQMCollapsibleContent methodsFor: 'hooks' stamp: 'NickAger 10/8/2011 15:53'!
children
	^ Array with: self list! !

!JQMCollapsibleContent methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 10:18'!
list
	^ list ifNil: [ list := JQMListViewDinghies new ]! !

!JQMCollapsibleContent methodsFor: 'accessing' stamp: 'NickAger 10/15/2011 12:52'!
methods
	^ #(renderCollapsedOnStartUpOn: renderUncollapsedAtStartupOn: renderThemingCollapsibleContentOn: renderNestedCollapsiblesOn:)! !

!JQMCollapsibleContent methodsFor: 'rendering' stamp: 'NickAger 10/8/2011 15:12'!
renderCollapsedOnStartUpOn: html
	html div
		jqmCollapsible;
		with: [
			html heading
				level3;
				with: 'I''m a header'.
				
			html paragraph: 'I''m the collapsible content. By default I''m closed, but you can click the header to open me.' ]! !

!JQMCollapsibleContent methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:30'!
renderContentOn: html
	"*Collapsible content>http://jquerymobile.com/test/docs/content/content-collapsible.html*"
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]! !

!JQMCollapsibleContent methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:00'!
renderNestedCollapsiblesOn: html
	html heading
		level2;
		with: 'Nested collapsibles'.
		
	html div
		jqmCollapsible;
		jqmCollapsedState: false;
		jqmContentTheme: 'c';
		jqmTheme: 'e';
		with: [
			html heading
				level3;
				with: 'I''m a header with theme ''e'''.
				
			html paragraph: 'I''m the collapsible content. By default I''m open and displayed on the page, but you can click the header to hide me.'.
			
			html div
				jqmCollapsible;
				jqmContentTheme: 'c';
				with: [
					html heading
						level3;
						with: 'I''m a nested collapsible with a child collapsible'.	
											
						html paragraph: 'I''m a child collapsible.'.
					
						html div
							jqmCollapsible;
							jqmContentTheme: 'c';
							with: [
								html heading
									level3;
									with: 'Nested inside again'.	
											
									html paragraph: 'Three levels deep now.' ] ].
							
			html div
				jqmCollapsible;
				jqmContentTheme: 'c';
				with: [
					html heading
						level3;
						with: 'Section 3: Form elements'.	
											
					self renderFormElementOn: html element: [
						html label
							for: html nextId;
							with: 'Textarea:'.
						html textArea
							id: html lastId ].
						
					self renderFormElementOn: html element: [
						html label
							for: html nextId;
							with: 'Slider:'.
			
						html rangeInput
							id: html lastId;
							value: 50;
							min: 0;
							max: 100 ].
						
					html fieldSet
						class: 'ui-grid-a';
						with: [
							html div
								class: 'ui-block-a';
								with: [
									html button
										with: 'Cancel' ].
							html div
								class: 'ui-block-b';
								with: [			
									html button
										jqmTheme: 'b';
										with: 'Submit' ] ] ].
							
							
			html div
				jqmCollapsible;
				jqmContentTheme: 'c';
				with: [
					html heading
						level3;
						with: 'Section 4: Collapsed list'.
						
						html paragraph: 'Here is an inset list:'.							
						
						html render: self list  ] ]! !

!JQMCollapsibleContent methodsFor: 'rendering' stamp: 'NickAger 10/8/2011 15:29'!
renderThemingCollapsibleContentOn: html
	html heading
		level2;
		with: 'Theming collapsible content'.
		
	html div
		jqmCollapsible;
		jqmContentTheme: 'c';
		jqmTheme: 'a';
		with: [
			html heading
				level3;
				with: 'Header theme A'.
				
			html paragraph: 'I''m the collapsible content with content theming set to ''c''.' ].
		
		
	html div
		jqmCollapsible;
		jqmContentTheme: 'a';
		jqmTheme: 'b';
		with: [
			html heading
				level3;
				with: 'Header theme B'.
				
			html paragraph: 'I''m the collapsible content with content theming set to ''a''.' ]
! !

!JQMCollapsibleContent methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 12:34'!
renderUncollapsedAtStartupOn: html
	html div
		jqmCollapsible;
		jqmCollapsedState: false;
		with: [
			html heading
				level3;
				with: 'I''m a header'.
				
			html paragraph: 'I''m the collapsible content. I''m expanded by default because I have the "collapsed" state set to false.' ]
! !

!JQMFormBase methodsFor: 'accessing' stamp: 'NickAger 10/14/2011 17:15'!
countries
	^ #('Afghanistan' 
'Albania' 
'Algeria' 
'Andorra'
'Angola'
'Antigua and Barbuda'
'Argentina'
'Armenia'
'Australia'
'Austria'
'Azerbaijan'
'Bahamas'
'Bahrain'
'Bangladesh'
'Barbados'
'Belarus'
'Belgium'
'Belize'
'Benin'
'Bhutan'
'Bolivia'
'Bosnia and Herzegovina'
'Botswana'
'Brazil'
'Brunei'
'Bulgaria'
'Burkina Faso'
'Burundi'
'Cambodia'
'Cameroon'
'Canada'
'Cape Verde'
'Central African Republic'
'Chad'
'Chile'
'China'
'Colombia'
'Comoros'
'Congo'
'Costa Rica'
'Ivory Coast'
'Croatia'
'Cuba'
'Cyprus'
'Czech Republic'
'Denmark'
'Djibouti'
'Dominica'
'Dominican Republic'
'Ecuador'
'Egypt'
'El Salvador'
'Equatorial Guinea'
'Eritrea'
'Estonia'
'Ethiopia'
'Fiji'
'Finland'
'France'
'Gabon'
'Gambia'
'Georgia'
'Germany'
'Ghana'
'Greece'
'Grenada'
'Guatemala'
'Guinea'
'Guinea-Bissau'
'Guyana'
'Haiti'
'Honduras'
'Hungary'
'Iceland'
'India'
'Indonesia'
'Iran'
'Iraq'
'Ireland'
'Israel'
'Italy'
'Jamaica'
'Japan'
'Jordan'
'Kazakhstan'
'Kenya'
'Kiribati'
'Korea, North'
'Korea, South'
'Kuwait'
'Kyrgyzstan'
'Laos'
'Latvia'
'Lebanon'
'Lesotho'
'Liberia'
'Libya'
'Liechtenstein'
'Lithuania'
'Luxembourg'
'Macedonia'
'Madagascar'
'Malawi'
'Malaysia'
'Maldives'
'Mali'
'Malta'
'Marshall Islands'
'Mauritania'
'Mauritius'
'Mexico'
'Micronesia'
'Moldova'
'Monaco'
'Mongolia'
'Montenegro'
'Morocco'
'Mozambique'
'Myanmar'
'Namibia'
'Nauru'
'Nepal'
'Netherlands'
'New Zealand'
'Nicaragua'
'Niger'
'Nigeria'
'Norway'
'Oman'
'Pakistan'
'Palau'
'Panama'
'Papua New Guinea'
'Paraguay'
'Peru'
'Philippines'
'Poland'
'Portugal'
'Qatar'
'Romania'
'Russia'
'Rwanda'
'Saint Kitts and Nevis'
'Saint Lucia'
'Saint Vincent and the Grenadine''s'
'Samoa'
'San Marino'
'Sao Tome and Principe'
'Saudi Arabia'
'Senegal'
'Serbia'
'Seychelles'
'Sierra Leone'
'Singapore'
'Slovakia'
'Slovenia'
'Solomon Islands'
'Somalia'
'South Africa'
'Spain'
'Sri Lanka'
'Sudan'
'Suriname'
'Swaziland'
'Sweden'
'Switzerland'
'Syria'
'Tajikistan'
'Tanzania'
'Thailand'
'East Timor'
'Togo'
'Tonga'
'Trinidad and Tobago'
'Tunisia'
'Turkey'
'Turkmenistan'
'Tuvalu'
'Uganda'
'Ukraine'
'United Arab Emirates'
'United Kingdom'
'United States'
'Uruguay'
'Uzbekistan'
'Vanuatu'
'Vatican City'
'Venezuela'
'Vietnam'
'Yemen'
'Zambia'
'Zimbabwe')! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:00'!
renderCheckButtonFontStylingOn: html
	self renderFormElementOn: html element: [
		html fieldSet
			jqmControlGroup;
			jqmHorizontal;
			with: [
				html legend: 'Font styling:'.
				html label
					for: html nextId;
					with: 'b'.
				html checkbox
					id: html lastId.

				html label
					for: html nextId;
					with: [
						html emphasis: 'i' ].
				html checkbox
					id: html lastId.
					
				html label
					for: html nextId;
					with: 'u'.
				html checkbox
					id: html lastId ] ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 14:27'!
renderCheckButtonSnacksOn: html
	self renderFormElementOn: html element: [
		html fieldSet
			jqmControlGroup;
			with: [
				html legend: 'Choose as many snacks as you''d like:'.
				html label
					for: html nextId;
					with: 'Cheetos'.
				html checkbox
					id: html lastId.

				html label
					for: html nextId;
					with: 'Doritos'.
				html checkbox
					id: html lastId.
					
				html label
					for: html nextId;
					with: 'Fritos'.
				html checkbox
					id: html lastId.				

				html label
					for: html nextId;
					with: 'Sun Chips'.
				html checkbox
					id: html lastId ] ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderFlipSwitchOn: html
	"*Flip Toggle Switch>http://jquerymobile.com/test/docs/forms/switch/"
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Flip switch:'.
			
		html select
			list: #(On Off);
			jqmSlider;
			id: html lastId ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/6/2011 17:45'!
renderFormElementOn: html element: elementBlock
	html div
		jqmFieldContainer;
		with: [
			elementBlock value ]! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 13:57'!
renderPlaceHolderSelect1On: html
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Shipping method:'.
			
		html select
			id: html lastId;
			jqmDisableNativeMenu;
			beOptional;
			callback: [ :val | ];
			list: self shippingOptions ]! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 14:26'!
renderPlaceHolderSelect2On: html
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Shipping method:'.
			
		html select
			id: html lastId;
			jqmDisableNativeMenu;
			beOptional;
			optionalLabel: 'Choose one...';
			callback: [ :val | ];
			list: self shippingOptions ]! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:32'!
renderRadioButtonCacheSettingsOn: html
	html fieldSet
		jqmControlGroup;
		jqmHorizontal;
		with: [
			| settings |
			settings := #(On Off).
			html radioGroup
				selected:  settings first;
				with: [ :group |
					html legend: 'Cache settings:'.
					settings do: [ :each | 
						html label 
							for: html nextId;
							with: each.
						html radioButton
							group: group;
							id: html lastId;
							value: each ] ] ] ! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderRadioButtonLayoutsOn: html
	"*Slider>http://jquerymobile.com/test/docs/forms/radiobuttons/*"	
	self renderFormElementOn: html element: [
		html fieldSet
			jqmControlGroup;
			jqmHorizontal;
			with: [
				| layouts |
				layouts := #(List Grid Gallery).
				html radioGroup
					selected: layouts first;
					with: [ :group |
						html legend: 'Layout view:'.
						layouts do: [ :each |
							html label
								for: html nextId;
								with: each.
							html radioButton
								group: group;
								value: each;
								id: html lastId ] ] ] ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderRadioButtonPetsOn: html
	"*Slider>http://jquerymobile.com/test/docs/forms/radiobuttons/*"
	self renderFormElementOn: html element: [
		html fieldSet
			jqmControlGroup;
			with: [
				| pets |
				pets := #(Cat Dog Hamster Lizard).
				html radioGroup
					selected: pets first;
					with: [ :group |
						html legend: 'Choose a pet:'.
						pets do: [ :each |
							html label
								for: html nextId;
								with: each.
							html radioButton
								group: group;
								value: each;
								id: html lastId ] ] ] ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderSearchInputOn: html
	"*Search inputs>http://jquerymobile.com/test/docs/forms/search/*"
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Search Input:'.
		html searchInput
			id: html lastId ].
! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 14:22'!
renderSelectCountriesOn: html
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Choose a country:'.
			
		html select
			id: html lastId;
			selected: self countries first;
			callback: [ :val | ];
			list: self countries ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 14:21'!
renderSelectShippingOn: html
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Shipping method:'.
			
		html select
			id: html lastId;
			selected: self shippingOptions first;
			callback: [ :val | ];
			list: self shippingOptions ].
! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderSliderOn: html
	"*Slider>http://jquerymobile.com/test/docs/forms/slider/*"
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Input slider:'.
			
		html rangeInput
			id: html lastId;
			value: 50;
			min: 0;
			max: 100 ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:00'!
renderSubmitCancelButtonsOn: html
	html fieldSet
		class: 'ui-grid-a';
		with: [
			html div
				class: 'ui-block-a';
				with: [
					html button
						with: 'Cancel' ].
			html div
				class: 'ui-block-b';
				with: [			
					html button
						with: 'Submit' ] ]! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderTextAreaOn: html
	"*Text inputs>http://jquerymobile.com/test/docs/forms/textinputs/index.html*"
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Textarea:'.
		html textArea
			id: html lastId ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderTextInputOn: html
	"*Text inputs>http://jquerymobile.com/test/docs/forms/textinputs/index.html*"
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Text Input:'.
		html textInput
			id: html lastId ].! !

!JQMFormBase methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderThemedSearchInputOn: html
	"*Search inputs>http://jquerymobile.com/test/docs/forms/search/*"
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Themed Search Input:'.
		html searchInput
			jqmTheme: 'a';
			id: html lastId ].
! !

!JQMFormBase methodsFor: 'accessing' stamp: 'NickAger 10/10/2011 13:42'!
shippingOptions
	^ #('Standard: 7 day' 'Rush: 3 days' 'Express: next day' 'Overnight')! !

JQMFormBase subclass: #JQMFormCheckedButtons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormCheckedButtons class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:10'!
label
	^ 'Checkboxes'! !

!JQMFormCheckedButtons methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:31'!
renderContentOn: html
	"*Checkboxes>http://jquerymobile.com/test/docs/forms/checkboxes/*"
	html heading
		level2;
		with: 'Vertically grouped checkboxes'.
	
	self renderCheckButtonSnacksOn: html.
				
	html heading
		level2;
		with: 'Horizontal toggle sets'.
		
	self renderCheckButtonFontStylingOn: html.
	
	self renderShowSourceButtonsOn: html forMethods: #(renderCheckButtonSnacksOn: renderCheckButtonFontStylingOn:) class: JQMFormBase
			
! !

JQMFormBase subclass: #JQMFormElementGallery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormElementGallery class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:08'!
label
	^ 'Form element gallery'! !

!JQMFormElementGallery methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*Forms>http://jquerymobile.com/test/docs/forms/forms-all.html*"
	html form: [
		self renderElementsOn: html ].
	
	self renderShowSourceButtonsOn: html forMethods: #(renderElementsOn:)! !

!JQMFormElementGallery methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 14:39'!
renderElementsOn: html
	self renderTextInputOn: html.
	self renderTextAreaOn: html.
	self renderSearchInputOn: html.
	self renderFlipSwitchOn: html.
	self renderSliderOn: html.
	self renderCheckButtonSnacksOn: html.
	self renderCheckButtonFontStylingOn: html.
	self renderRadioButtonPetsOn: html.
	self renderRadioButtonLayoutsOn: html.
	self renderSelectShippingOn: html.
	self renderThemedSearchInputOn: html.
	self renderSubmitCancelButtonsOn: html

! !

JQMFormBase subclass: #JQMFormFlipSwitch
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormFlipSwitch class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:10'!
label
	^ 'Flip toggle switch'! !

!JQMFormFlipSwitch methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*Flip Toggle Switch>http://jquerymobile.com/test/docs/forms/switch/"
	self renderMethod: #renderFlipSwitchOn: withShowSourceOn: html class: JQMFormBase! !

JQMFormBase subclass: #JQMFormListPerformanceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormListPerformanceTest class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:21'!
label
	^ 'List performance test'! !

!JQMFormListPerformanceTest methodsFor: 'accessing' stamp: 'NickAger 10/10/2011 16:40'!
lotsOfCountries
	| countries |
	countries := OrderedCollection new.
	countries 
		addAll: self countries;
		addAll: self countries;
		addAll: self countries.
		
	^ countries
! !

!JQMFormListPerformanceTest methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:43'!
renderContentOn: html
	"*List performance test>http://jquerymobile.com/test/docs/lists/lists-performance.html*"
	html unorderedList
		jqmListView;
		jqmEnableListFilter;
		jqmTheme: 'd';
		with: [
			self lotsOfCountries do: [ :each |
				html listItem: [
					html anchor: each ] ] ] 
! !

JQMFormBase subclass: #JQMFormRadioButtons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormRadioButtons class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 19:49'!
label
	^ 'Radio buttons'! !

!JQMFormRadioButtons methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*Slider>http://jquerymobile.com/test/docs/forms/radiobuttons/*"
	html heading
		level2;
		with: 'Vertically grouped radio buttons'.
	
	self renderRadioButtonPetsOn: html.
				
	html heading
		level2;
		with: 'Horizontal radio buttons sets'.

	self renderRadioButtonLayoutsOn: html.
	
	self renderShowSourceButtonsOn: html forMethods: #(renderRadioButtonPetsOn: renderRadioButtonLayoutsOn:) class: JQMFormBase
! !

JQMFormBase subclass: #JQMFormSearchInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormSearchInput class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:09'!
label
	^ 'Search inputs'! !

!JQMFormSearchInput methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*Search inputs>http://jquerymobile.com/test/docs/forms/search/*"
	self renderSearchInputOn: html.
	self renderThemedSearchInputOn: html.
	
	self renderShowSourceButtonsOn: html forMethods: #(renderSearchInputOn: renderThemedSearchInputOn:) class: JQMFormBase
! !

JQMFormBase subclass: #JQMFormSelects
	instanceVariableNames: 'shipping country'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormSelects class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:11'!
label
	^ 'Select menus'! !

!JQMFormSelects methodsFor: 'accessing' stamp: 'NickAger 10/7/2011 12:10'!
country
	^ country! !

!JQMFormSelects methodsFor: 'accessing' stamp: 'NickAger 10/7/2011 12:10'!
country: anObject
	country := anObject! !

!JQMFormSelects methodsFor: 'accessing' stamp: 'NickAger 10/7/2011 15:49'!
nestedShippingOptions
	^ #(('USPS' ('Standard: 7 day' 'Rush: 3 days' 'Express: next day' 'Overnight')) ('FedEx' ('First overnight' 'Express Saver' 'Ground')))! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*select menus>http://jquerymobile.com/test/docs/forms/selects/index.html*"
	self renderStandardSelectsOn: html.
	self renderPopupSelectsOn: html.
	self renderMethod: #renderStandardShippingWithDisabledOn: withShowSourceOn: html.
	self renderPlaceholderSelectsOn: html.
	self renderMethod: #renderMultipleSelectsOn: withShowSourceOn: html.
	self renderMethod: #renderOptGroupSelectsOn: withShowSourceOn: html.
	self renderMethod: #renderSelectWithStylingOn: withShowSourceOn: html.



		
		
	! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 10:51'!
renderMultipleSelectsOn: html
	html heading
		level2;
		with: 'Multiple selects'.

	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Shipping method:'.
			
		html multiSelect
			id: html lastId;
			jqmDisableNativeMenu;
			on: #shipping of: self;
			list: self shippingOptions ]! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:15'!
renderOptGroupSelectsOn: html
	html heading
		level3;
		with: 'Optgroup support'.
						
	self renderFormElementOn: html element: [
		| selectTag |
		html label
			for: html nextId;
			with: 'Shipping method:'.
			
		selectTag := html select
			id: html lastId;
			jqmDisableNativeMenu;
			on: #shipping of: self;
			yourself.
			
		selectTag
			with: [
				self nestedShippingOptions do: [ :list |
					html optionGroup
						label: list first;
						with: [
							list second do: [ :each |
								html option
									value: each with: selectTag;
									with: each ] ] ] ] ]! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 14:38'!
renderPlaceholderSelectsOn: html
	html heading
		level2;
		with: 'Placeholders option'.

	self renderPlaceHolderSelect1On: html.
	self renderPlaceHolderSelect2On: html.
	
	self renderShowSourceButtonsOn: html forMethods: #(renderPlaceHolderSelect1On: renderPlaceHolderSelect2On:) class: JQMFormBase
! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 10:49'!
renderPopupCountriesOn: html
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Choose a country:'.
			
		html select
			id: html lastId;
			jqmDisableNativeMenu;
			on: #country of: self;
			list: self countries ]! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 14:15'!
renderPopupSelectsOn: html
	html heading
		level2;
		with: 'Popup select lists:'.
	self renderPopupShippingOn: html.
	self renderPopupCountriesOn: html.
	
	self renderShowSourceButtonsOn: html forMethods: #(renderPopupShippingOn: renderPopupCountriesOn:)! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 10:23'!
renderPopupShippingOn: html
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Shipping method:'.
			
		html select
			id: html lastId;
			jqmDisableNativeMenu;
			on: #shipping of: self;
			list: self shippingOptions ].! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 10:50'!
renderSelectWithStylingOn: html
	html heading
		level2;
		with: 'Styling with data attributes'.
		
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Choose a country:'.
			
		html select
			id: html lastId;
			jqmDisableNativeMenu;
			jqmTheme: 'a';
			jqmIcon: 'gear';
			on: #country of: self;
			list: #('Edit User' 'Delete User') ]! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 14:38'!
renderStandardSelectsOn: html
	html heading
		level2;
		with: 'Standard select lists:'.
	self renderSelectShippingOn: html.
	self renderSelectCountriesOn: html.
	
	self renderShowSourceButtonsOn: html forMethods: #(renderSelectShippingOn: renderSelectCountriesOn:) class: JQMFormBase! !

!JQMFormSelects methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:13'!
renderStandardShippingWithDisabledOn: html
	html heading
		level2;
		with: 'Disabled option'.
		
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Choose shipping method:'.
			
		html select
			id: html lastId;
			enabled: [ :each | (each beginsWithSubCollection: 'Rush') not ];
			on: #shipping of: self;
			list: self shippingOptions ]! !

!JQMFormSelects methodsFor: 'accessing' stamp: 'NickAger 10/7/2011 12:10'!
shipping
	^ shipping! !

!JQMFormSelects methodsFor: 'accessing' stamp: 'NickAger 10/7/2011 12:10'!
shipping: anObject
	shipping := anObject! !

JQMFormBase subclass: #JQMFormSliderInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormSliderInput class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 19:49'!
label
	^ 'Slider'! !

!JQMFormSliderInput methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*Slider>http://jquerymobile.com/test/docs/forms/slider/*"
	self renderMethod: #renderSliderOn: withShowSourceOn: html class: JQMFormBase! !

JQMFormBase subclass: #JQMFormSubmission
	instanceVariableNames: 'shipping'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormSubmission class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:12'!
label
	^ 'Submitting forms'! !

!JQMFormSubmission methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:32'!
renderContentOn: html
	"*form submission>http://jquerymobile.com/test/docs/forms/forms-sample.html*"
	self renderMethod: #renderElementsOn: withShowSourceOn: html! !

!JQMFormSubmission methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 11:15'!
renderElementsOn: html
	html heading
		level2;
		with: 'Submitting a Form'.
				
	html form
		class: 'ui-body-a ui-corner-all ui-body'; "ui-body provides padding"
		jqmTransitionFade;	"transition when the form is selected"
		with: [
			html fieldSet: [
				self renderFormElementOn: html element: [
					html label
						for: html nextId;
						with: 'Shipping method:'.
			
					html select
						id: html lastId;
						list: self shippingOptions;
						on: #shipping of: self ].
				
				html button
					jqmTheme: 'b';
					with: 'Submit' ] ].
		
	self shipping notNil ifTrue: [
		html paragraph: [
			html div
				class: 'ui-body ui-body-e ui-corner-all';
				with: [
					html text: 'Selected shipping method: '.
					html strong: self shipping ] ] ]! !

!JQMFormSubmission methodsFor: 'accessing' stamp: 'NickAger 10/7/2011 11:00'!
shipping
	^ shipping! !

!JQMFormSubmission methodsFor: 'accessing' stamp: 'NickAger 10/7/2011 11:00'!
shipping: anObject
	shipping := anObject! !

JQMFormBase subclass: #JQMFormTextInputs
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormTextInputs class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:08'!
label
	^ 'Text inputs'! !

!JQMFormTextInputs methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:33'!
renderContentOn: html
	"*Text inputs>http://jquerymobile.com/test/docs/forms/textinputs/index.html*"
	self renderMethod: #renderElementsOn: withShowSourceOn: html! !

!JQMFormTextInputs methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 14:29'!
renderElementsOn: html
	self renderTextInputOn: html.
	
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Password:'.
		html passwordInput
			id: html lastId ].
		
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Number:'.
		html numberInput
			id: html lastId ].
		
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Email:'.
		html emailInput
			id: html lastId ].
		
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Url:'.
		html urlInput
			id: html lastId ].
		
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Tel:'.
		html telephoneInput
			id: html lastId ].

	self renderTextAreaOn: html	
	! !

JQMFormBase subclass: #JQMFormThemeComponents
	instanceVariableNames: 'theme'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormThemeComponents class methodsFor: 'instance creation' stamp: 'NickAger 10/6/2011 18:28'!
theme: theme
	^ self new
		theme: theme;
		yourself! !

!JQMFormThemeComponents methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:33'!
renderContentOn: html
	"*Forms>http://jquerymobile.com/test/docs/forms/forms-themes.html*"
	html div
		class: 'ui-body-', self theme;
		class: 'ui-body'; "padding"
		with: [ 
			self renderElementsOn: html ]! !

!JQMFormThemeComponents methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 14:37'!
renderElementsOn: html
	self renderTextInputOn: html.
	self renderFlipSwitchOn: html.
	self renderSliderOn: html.
	self renderCheckButtonFontStylingOn: html.
	self renderRadioButtonPetsOn: html.
	self renderSelectShippingOn: html! !

!JQMFormThemeComponents methodsFor: 'accessing' stamp: 'NickAger 10/6/2011 18:29'!
theme
	^ theme! !

!JQMFormThemeComponents methodsFor: 'accessing' stamp: 'NickAger 10/6/2011 18:29'!
theme: anObject
	theme := anObject! !

JQMFormBase subclass: #JQMListWithForms
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMListWithForms subclass: #JQMInsetListWithForms
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMInsetListWithForms class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:20'!
label
	^ 'Inset lists with forms'! !

!JQMInsetListWithForms methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:33'!
renderContentOn: html
	"*List with Forms>http://jquerymobile.com/test/docs/lists/lists-inset.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMInsetListWithForms methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:17'!
renderListOn: html
	html form: [
		html unorderedList
			jqmListView;
			jqmEnableInset;
			with: [
				self renderListItemsOn: html ] ]! !

!JQMListWithForms class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:20'!
label
	^ 'Lists with forms'! !

!JQMListWithForms methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*List with Forms>http://jquerymobile.com/test/docs/lists/lists-forms.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMListWithForms methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 15:08'!
renderListItemsOn: html
	#(renderTextInputOn: renderTextAreaOn: renderSearchInputOn: renderFlipSwitchOn: renderSliderOn: renderCheckButtonSnacksOn: renderCheckButtonFontStylingOn: renderRadioButtonPetsOn: renderRadioButtonLayoutsOn: renderSelectShippingOn: renderSelectCountriesOn: renderPlaceHolderSelect1On: renderSubmitCancelButtonsOn:) do: [ :each |
		html listItem: [
			self perform: each with: html ] ]! !

!JQMListWithForms methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:16'!
renderListOn: html
	html form: [
		html unorderedList
			jqmListView;
			with: [
				self renderListItemsOn: html ] ]! !

JQMFormBase subclass: #JQMNativeForm
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMNativeForm class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:12'!
label
	^ 'Native form elements'! !

!JQMNativeForm methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*Native forms>http://jquerymobile.com/test/docs/forms/forms-all-native.html*"
	html heading
		level2;
		with: '#jqmKeepNative'.
		
	self renderMethod: #renderElementsOn: withShowSourceOn: html! !

!JQMNativeForm methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:47'!
renderElementsOn: html
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Text Input:'.
			
		html textInput
			jqmKeepNative;
			id: html lastId ].
			
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Flip switch:'.
			
		html select
			list: #(On Off);
			jqmSlider;
			jqmKeepNative;
			id: html lastId ].

	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Slider:'.
			
		html rangeInput
			id: html lastId;
			jqmKeepNative;
			value: 50;
			min: 0;
			max: 100 ].
		
	self renderFormElementOn: html element: [
		html fieldSet
			jqmControlGroup;
			jqmHorizontal;
			with: [
				html legend: 'Font styling:'.
				html label
					for: html nextId;
					with: 'b'.
				html checkbox
					jqmKeepNative;
					id: html lastId.

				html label
					for: html nextId;
					with: [
						html emphasis: 'i' ].
				html checkbox
					jqmKeepNative;
					id: html lastId.
					
				html label
					for: html nextId;
					with: 'u'.
				html checkbox
					jqmKeepNative;
					id: html lastId ] ].

	self renderFormElementOn: html element: [
		html fieldSet
			jqmControlGroup;
			with: [
				| pets |
				pets := #(Cat Dog Hamster Lizard).
				html radioGroup
					selected: pets first;
					with: [ :group |
						html legend: 'Choose a pet:'.
						pets do: [ :each |
							html label
								for: html nextId;
								with: each.
							html radioButton
								jqmKeepNative;
								group: group;
								value: each;
								id: html lastId ] ] ] ].
				
	self renderFormElementOn: html element: [
		html label
			for: html nextId;
			with: 'Choose shipping method:'.
			
		html select
			id: html lastId;
			jqmKeepNative;
			list: #('Standard: 7 day' 'Rush: 3 days' 'Express: next day' 'Overnight') ].! !

JQMFormBase subclass: #JQMSampleForm
	instanceVariableNames: 'title theme'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSampleForm class methodsFor: 'instance creation' stamp: 'NickAger 10/5/2011 14:10'!
title: title theme: theme
	^ self new
		title: title;
		theme: theme;
		yourself! !

!JQMSampleForm methodsFor: 'accessing' stamp: 'NickAger 10/11/2011 16:38'!
classTheme: prefix
	^ self theme isEmptyOrNil ifTrue: [ '' ] ifFalse: [ prefix, self theme ]
	! !

!JQMSampleForm methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:51'!
renderBottomButtonBarOn: html
	"force the bottom bar to default to theme 'a' if no theme is specified"
	| bottomBarTheme |
	bottomBarTheme :=  'ui-bar-', (self theme isEmptyOrNil ifTrue: [ 'a' ] ifFalse: [ self theme ]).
	html div
		class: 'ui-bar';
		class: bottomBarTheme;
		with: [
			html div
				jqmControlGroup;
				jqmHorizontal;
				with: [
					3 timesRepeat: [ 
						html anchor
							jqmButton;
							jqmTheme: self theme;
							with: 'Button' ] ] ]
! !

!JQMSampleForm methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:44'!
renderButtonOn: html
	html anchor
		jqmButton;
		jqmInline;
		with: 'Button'! !

!JQMSampleForm methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 14:16'!
renderContentOn: html
	self renderFormHeaderOn: html.
	self renderTopButtonBarOn: html.
	self renderFormContentOn: html.
	self renderBottomButtonBarOn: html! !

!JQMSampleForm methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:31'!
renderFormContentOn: html
	html div class: 'ui-body'; class: (self classTheme: 'ui-body-'); with: [
		html heading
			level3;
			with: self title.
	
		html paragraph: [
			html text: 'This is how a link appears in this theme '.
			html anchor: 'link'.
			html text: '.' ].
		
		self renderSliderOn: html.
		self renderRadioButtonCacheSettingsOn: html.
		self renderButtonOn: html ].! !

!JQMSampleForm methodsFor: 'rendering' stamp: 'NickAger 10/5/2011 15:50'!
renderFormHeaderOn: html
	html div
		jqmHeader;
		jqmTheme: self theme;
		with: [
			html heading
				level1;
				with: self title ]
! !

!JQMSampleForm methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:47'!
renderTopButtonBarOn: html
	html div
		class: 'ui-bar';
		class: (self classTheme: 'ui-bar-');
		with: [
			html div
				jqmControlGroup;
				jqmHorizontal;
				with: [
					html anchor
						jqmIcon: 'gear';
						jqmButton;
						jqmTheme: self theme;
						with: 'Tools'.
						
					html anchor
						jqmIcon: 'star';
						jqmButton;
						jqmTheme: self theme;
						with: 'Like'.

					html anchor
						jqmIcon: 'refresh';
						jqmButton;
						jqmTheme: self theme;
						with: 'Refresh' ] ]
! !

!JQMSampleForm methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 14:11'!
theme
	^ theme! !

!JQMSampleForm methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 14:11'!
theme: anObject
	theme := anObject! !

!JQMSampleForm methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 14:11'!
title
	^ title! !

!JQMSampleForm methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 14:11'!
title: anObject
	title := anObject! !

JQMTestSampleBase subclass: #JQMFormThemeList
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMFormThemeList class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:11'!
label
	^ 'Theming forms'! !

!JQMFormThemeList methodsFor: 'hooks' stamp: 'NickAger 10/11/2011 17:25'!
children
	^ children ifNil: [
		children := self themes collect: [ :each |
			JQMFormThemeComponents theme: each ] ]! !

!JQMFormThemeList methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 11:09'!
renderChildForShowSourceOn: html
	html form: [
		html heading
			level2;
			with: 'Body swatch ', self children first theme.
		html render: self children first ]	
! !

!JQMFormThemeList methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:33'!
renderContentOn: html
	"*Forms>http://jquerymobile.com/test/docs/forms/forms-themes.html*"
	html form: [
		self children do: [ :each |
			html heading
				level2;
				with: 'Body swatch ', each theme.
			html render: each ] ].
	
	self renderShowSourceButtonsOn: html forMethods: #(renderChildForShowSourceOn:)
	
! !

JQMTestSampleBase subclass: #JQMHeaderBars
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMHeaderBars class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:28'!
label
	^ 'Header bars'! !

!JQMHeaderBars methodsFor: 'accessing' stamp: 'NickAger 10/5/2011 17:10'!
methods
	^ #(renderDefaultHeaderOn: renderDefaultButtonPositioningOn: renderThemedDefaultButtonPositioningOn: renderControllingButtonPositioningOn: renderBackButtonOn:)! !

!JQMHeaderBars methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 11:34'!
renderBackButtonOn: html
	html heading
		level3;
		with: 'Back button'.
	
	html paragraph: [
		html text: 'The framework automatically generates a "back" button on a header when the page plugin''s addBackBtn option is true. This can also be set via markup if the page div calls the method: '.
		html code: '#jqmAddBackButton'.
		html text: 'attribute.' ].
		
	html div
		jqmHeader;
		jqmAddBackButton;
		with: [
			html heading
				level1;
				with: 'Header with added back button' ]! !

!JQMHeaderBars methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 11:32'!
renderContentOn: html
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]
! !

!JQMHeaderBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:44'!
renderControllingButtonPositioningOn: html
	html heading
		level3;
		with: 'Controlling button positioning'.
		
	html div
		jqmHeader;
		with: [
			html heading
				level1;
				with: 'Controlling button positioning'.
				
			html anchor
				class: 'ui-btn-right';
				jqmIcon: 'gear';
				with: 'Option' ]! !

!JQMHeaderBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:44'!
renderDefaultButtonPositioningOn: html
	html heading
		level3;
		with: 'Default button positioning'.
		
	html div
		jqmHeader;
		with: [
			html anchor
				jqmIcon: 'delete';
				with: 'Cancel'.
				
			html heading
				level1;
				with: 'Default button positioning'.
				
			html anchor
				jqmIcon: 'check';
				with: 'Save' ]! !

!JQMHeaderBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:44'!
renderDefaultHeaderOn: html
	html heading
		level3;
		with: 'Default header'.
		
	html div
		jqmHeader;
		with: [
			html heading
				level1;
				with: 'Default header' ]! !

!JQMHeaderBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:45'!
renderThemedDefaultButtonPositioningOn: html
	html heading
		level3;
		with: 'Themed default button positioning'.
		
	html div
		jqmHeader;
		with: [
			html anchor
				jqmIcon: 'delete';
				with: 'Cancel'.
				
			html heading
				level1;
				with: 'Themed default button positioning'.
				
			html anchor
				jqmTheme: 'b';
				jqmIcon: 'check';
				with: 'Save' ]! !

JQMTestSampleBase subclass: #JQMInstallation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMInstallation class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:26'!
label
	^ 'Installation'! !

!JQMInstallation methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 07:29'!
renderContentOn: html
	html heading
		level2;
		with: 'Installation'.
		
	html paragraph: 'Seaside''s jQueryMobile integration is available for both Pharo and VASt.'.
		
	html heading
		level4;
		with: 'Pharo'.
	
	html paragraph: [
		html text: 'To load the code into Pharo you''ll need a recent release of Seaside. The code has been tested with Seaside 3.0.6. You can obtain Seaside 3.0.6 in '; strong: 'one'; text: ' of the following ways:' ].
	html orderedList: [
		html listItem: [
			html anchor
				class: 'externalLink';
				url: 'http://www.seaside.st/download/pharo';
				with: 'Download'.
			html text: ' a prebuilt Seaside Pharo image from '.
			html anchor
				class: 'externalLink';
				url: 'http://www.seaside.st/download/pharo';
				with: 'seaside.st' ].
		html listItem: [
			html anchor
				class: 'externalLink';
				url: 'http://www.pharo-project.org/pharo-download';
				with: 'Download'.
			html text: ' a recent Pharo build from '.
			html anchor
				class: 'externalLink';
				url: 'http://www.pharo-project.org/';
				with: 'pharo-project.org'.
			html text: ' and load the latest stable Seaside with:'.
			html preformatted: '
Gofer it
	squeaksource: ''MetacelloRepository'';
	package: ''ConfigurationOfSeaside30'';
	load.
(ConfigurationOfSeaside30 project latestVersion) load.' ].
		html listItem: [
			html text: 'Download a bleeding edge Seaside build from '.
			html anchor
				class: 'externalLink';
				url: 'http://jenkins.lukas-renggli.ch/job/Seaside%203.0/lastSuccessfulBuild/artifact/';
				with: 'Lukas''s build server' ] ].
		
	html paragraph: [
		html text: 'With your Pharo Seaside image, load jQueryMobile with:'.
		html preformatted: 
'Gofer it
	url: ''http://ss3.gemstone.com/ss/jQueryMobile'';
  	package: ''ConfigurationOfJQueryMobile'';
  	load.	
ConfigurationOfJQueryMobile loadBleedingEdge.' ].	

	html heading
		level4;
		with: 'VASt'.
		
	html paragraph: [
		html text: 'You''ll need at least '.
		html anchor
			class: 'externalLink';
			url: 'http://www.instantiations.com/products/vasmalltalk/index.html';
			with: 'VASt'.
		html text: ' 8.5. Seaside jQueryMobile is available in '.
		html anchor
			class: 'externalLink';
			url: 'http://vastgoodies.com/maps/JQueryMobile%20Tests';
			with: 'VASt goodies' ].
		
	
	html heading
		level2;
		with: 'Running the code'.

	html paragraph: [
		html text: 'The code registers a functional test suite ('; code: 'JQMAllFunctionalTests'; text: ') at '; code: '/javascript/jquery-mobile' ].
	! !

JQMTestSampleBase subclass: #JQMJQueryMobileOverview
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMJQueryMobileOverview class methodsFor: 'accessing' stamp: 'NickAger 10/23/2011 11:10'!
label
	^ 'jQueryMobile Overview'! !

!JQMJQueryMobileOverview methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 13:29'!
renderContentOn: html
	html heading
		level2;
		with: 'Support for mobile devices'.
		
	html paragraph: [
		html text: 'jQueryMobile provides an abstraction that hides the differences between mobile browser capabilites and gracefully degrades for less capable browsers. See '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/about/platforms.html';
			with: 'Supported platforms'.
		html text: ' and '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/about/intro.html';
			with: 'Intro to jQueryMobile' ].
			
	html heading
		level2;
		with: 'Page transitions'.
		
	html paragraph: 'In order for jQueryMobile to replicate mobile device transitions (eg slideup, slidedown pop, flip etc) the browser requires both the current page and the target page to be in memory. jQueryMobile uses two methods to achieve this trick:'.
	html orderedList: [
		html listItem: 'Multi-page templates'.
		html listItem: 'Single-page which delegates anchors and form posts to Ajax calls in-order to prefetch the target page' ].
	
	html paragraph: [
		html text: 'However, the jQueryMobile team '.
		html anchor 
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/pages/page-template.html';
		 	with:'encourages'.
		html text: ' the use of single-page over the multi-page approach:' ].
	html blockquote: [
		html emphasis: 'We strongly recommend building your site or app as a series of separate pages like this because it''s cleaner, more lightweight and works better without JavaScript.' ].

	html paragraph: [
		html text: 'The single-page approach fits perfectly with Seaside and the link intercepting technique ('.
		html anchor
			class: 'externalLink';
			url: 'http://en.wikipedia.org/wiki/Hijax';
			with: 'hijax'.
		html text: ') is similar to '; code: 'JQAjaxifierLibrary'; text: ', see '.
		html anchor
			class: 'externalLink';
			url: 'http://www.lukas-renggli.ch/blog/ajaxification';
			with: 'Ajaxification library'.
		html text: '.' ].
			
	html paragraph: [
		html strong: 'Note: ' ; text: 'The Seaside integration does not include any support for multi-page templates.' ] ! !

JQMTestSampleBase subclass: #JQMLayoutGrids
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMLayoutGrids class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:06'!
label
	^ 'Layout grids (columns)'! !

!JQMLayoutGrids methodsFor: 'accessing' stamp: 'NickAger 10/15/2011 12:49'!
methods
	^ #(renderTwoColumnGridOn: renderThreeColumnGridOn: renderFourColumnGridOn: renderFiveColumnGridOn: renderThreeByThreeGridOn:)
! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:33'!
renderContentOn: html
	"*Layout grids>http://jquerymobile.com/test/docs/content/content-grids.html*"
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]
! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 17:12'!
renderFiveColumnGridOn: html
	html heading
		level2;
		with: 'Five column grids'.

	html div class: 'ui-grid-d'; with: [
		html div class: 'ui-block-a'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block A' ].
		html div class: 'ui-block-b'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block B' ].
		html div class: 'ui-block-c'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block C' ].
		html div class: 'ui-block-d'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block D' ].
		html div class: 'ui-block-e'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block E' ]	]! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 17:13'!
renderFourColumnGridOn: html
	html heading
		level2;
		with: 'Four column grids'.

	html div class: 'ui-grid-c'; with: [
		html div class: 'ui-block-a'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block A' ].
		html div class: 'ui-block-b'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block B' ].
		html div class: 'ui-block-c'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block C' ].
		html div class: 'ui-block-d'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block D' ]	]! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 16:34'!
renderSimpleTwoColumnGridOn: html
	html div class: 'ui-grid-a'; with: [
		html div class: 'ui-block-a'; with: [
			html strong: 'I''m Block A'.
			html text: ' and text inside will wrap' ].
		html div class: 'ui-block-b'; with: [
			html strong: 'I''m Block B'.
			html text: ' and text inside will wrap' ] ]! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 17:18'!
renderThreeByThreeGridOn: html
	html heading
		level2;
		with: 'Multiple row grids'.
		
	html div class: 'ui-grid-b'; with: [	
		3 timesRepeat: [
			self renderThreeColumnBlockGridOn: html ] ].
	html break.
		
	
		! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 17:14'!
renderThreeColumnBlockGridOn: html

		html div class: 'ui-block-a'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block A' ].
		html div class: 'ui-block-b'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block B' ].
		html div class: 'ui-block-c'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block C' ] ! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 17:01'!
renderThreeColumnButtonGridOn: html
	html fieldSet 
		class: 'ui-grid-b'; 
		with: [
			html div 
				class: 'ui-block-a'; 
				with: [
					html button 
						jqmTheme: 'c';
						with: 'Hmm' ].
					
			html div
				class: 'ui-block-b'; 
				with: [
					html button 
						jqmTheme: 'b';
						with: 'No' ].
					
			html div
				class: 'ui-block-c'; 
				with: [
					html button 
						jqmTheme: 'a';
						with: 'Yes' ] ]! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 17:15'!
renderThreeColumnGridOn: html
	html heading
		level2;
		with: 'Three column grids'.
	
	html div class: 'ui-grid-b'; with: [	
		self renderThreeColumnBlockGridOn: html ].
	html break.
	
	self renderThreeColumnButtonGridOn: html.
	html break.
		
! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 16:49'!
renderTwoColumnBlockGridOn: html
	html div class: 'ui-grid-a'; with: [
		html div class: 'ui-block-a'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block A' ].
		html div class: 'ui-block-b'; with: [
			html div class: 'ui-bar ui-bar-e'; style: 'height:120px'; with: 'Block B' ] ]

	! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 16:38'!
renderTwoColumnButtonGridOn: html
	html fieldSet 
		class: 'ui-grid-a'; 
		with: [
			html div 
				class: 'ui-block-a'; 
				with: [
					html button 
						jqmTheme: 'c';
						with: 'Cancel' ].
					
			html div
				class: 'ui-block-b'; 
				with: [
					html button 
						jqmTheme: 'b';
						with: 'Submit' ] ]! !

!JQMLayoutGrids methodsFor: 'rendering' stamp: 'NickAger 10/7/2011 16:41'!
renderTwoColumnGridOn: html
	html heading
		level2;
		with: 'Two column grids'.
		
	self renderSimpleTwoColumnGridOn: html.
	html break.
	
	self renderTwoColumnButtonGridOn: html.
	html break.
	
	self renderTwoColumnBlockGridOn: html.
	html break.
	! !

JQMTestSampleBase subclass: #JQMListBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMListBase subclass: #JQMInsetLists
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMInsetLists class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:21'!
label
	^ 'Inset styled lists'! !

!JQMInsetLists methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:33'!
renderContentOn: html
	"*Inset list samples>http://jquerymobile.com/test/docs/lists/lists-inset.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMInsetLists methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:47'!
renderListOn: html
	self methods do: [ :each |
		html break.
		self perform: each with: html with: true with: true.
		html break ]! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 21:11'!
cars
	^ #(Acura Audi BMW Cadillac Ferrari)! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/15/2011 13:06'!
developers
	^ #('Adriaan van Os' 'Adrian Kuhn' 'Adrian Lienhard' 'Andrew Catton' 'Anselm Strauss' 'Avi Bryant' 'Avi Shefi' 'Bart Veenstra' 'Boris Popov' 'Cdrick Bler' 'Dale Henrichs' 'Damien Cassou' 'Danie Roux' 'David Shaffer' 'Esteban Lorenzano' 'Gerhard Obermann' 'Gran Krampe' 'Jason Rogers' 'Johan Brichau' 'John O''Keefe' 'Julian Fitzell' 'Keith Hodges' 'Lukas Renggli' 'Michael Davies' 'Michael Lucas-Smith' 'Mike Roberts' 'Nick Ager' 'Norbert Hartl' 'Pavel Krivanek' 'Philippe Marshall' 'Ramiro Diaz Trepat' 'Ramon Leon' 'Roger Whitney' 'Ron Teitelbaum' 'Sean P. DeNigris' 'Sebastian Heidbrink' 'Stephan Eggermont' 'Stuart Herrin' 'Sven Van Caekenberghe' 'Tobias Pape' 'Tony Garnock-Jones' 'Toon Verwaest' 'Torsten Bergmann' 'William Harford' 'Yann Monclair' 'Yar Hwee Boon')! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 21:11'!
films
	^ #('The Godfather' 'Inception' 'The Good, the Bad and the Ugly' 'Pulp Fiction' 'Schindler''s List')! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 20:50'!
icons
	^ Dictionary new
		at: 'France' put: 'gfPng';
		at: 'Germany' put: 'dePng';
		at: 'Great Britain' put: 'gbPng';
		at: 'Finland' put: 'fiPng';
		at: 'Norway' put: 'sjPng';
		at: 'United States' put: 'usPng';
		yourself.! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 19:54'!
mailBoxes
	^ #(Outbox Draft Sent Trash)! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 21:27'!
mails
	^ #( 
		#('Kaliningrad: Developing with Amber, Seaside and Monticello' 'If you''ve been interested in seeing how you might use Amber with Seaside, you should check out Kaliningrad' 'Dale Henrichs')
		#('test driven development with seaside' 'for the past few months, i have been working full time in a rails shop
using agile/TDD.. i have really come to value TDD, and would like to employ it on a fun project that i am currently starting in seaside' 'sergio_101')
		)! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/10/2011 16:14'!
methods
	^ #(renderSimpleListOn:inset:anchor: renderCountBubblesListOn:inset:anchor: renderNumberedListOn:inset:anchor: renderFormattedContentOn:inset:anchor: renderIconListOn:inset:anchor: renderThumbnailListOn:inset:anchor: renderDividedFilteredListOn:inset:anchor:)
! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 15:57'!
renderCountBubblesListOn: html inset: inset anchor: anchor
	| list |
	html heading
		level2;
		with: 'Count bubbles'.
		
	list := html unorderedList
		jqmListView.
	
	inset ifTrue: [ list jqmEnableInset ].
	list with: [
		self mailBoxes do: [ :each |
			html listItem: [
				| renderer |
				renderer := [
					html render: each.
					html text: ' '.
					html span
						class: 'ui-li-count';
						with: 50 atRandom ].
				anchor
					ifTrue: [ html anchor: renderer ]
					ifFalse: [ html render: renderer ] ] ] ]! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 19:59'!
renderDeveloperListOn: html
	| currentFirstLetter |
	self developers do: [ :each |
		((each first) ~= currentFirstLetter) ifTrue: [
			currentFirstLetter := each first.
			html listItem
				jqmListDivider;
				with: currentFirstLetter greaseString ].
							
			html listItem: [
				html anchor: each ] ]! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:15'!
renderDividedFilteredListOn: html inset: inset anchor: anchor
	| list |
	html heading
		level2;
		with: 'Divided, filterable list'.
		
	list := html unorderedList
		jqmListView;
		jqmEnableListFilter;
		yourself.
	inset ifTrue: [ list jqmEnableInset ].
	list with: [
		| currentFirstLetter |
		self developers do: [ :each |
			((each first) ~= currentFirstLetter) ifTrue: [
			currentFirstLetter := each first.
			html listItem
				jqmListDivider;
				with: currentFirstLetter greaseString ].
							
			anchor 
				ifTrue: [ html listItem: [ html anchor: each ] ]
				ifFalse: [ html listItem: each ] ] ]! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:46'!
renderFormattedContentOn: html inset: inset anchor: anchor
	| list |
	html heading
		level2;
		with: 'Divided, formatted content'.
		
	list := html unorderedList
		jqmListView.
	
	inset ifTrue: [ list jqmEnableInset ].
	list with: [
		self mails do: [ :each | 
			html listItem: [
				| renderContents |
				renderContents := [
					html heading
						level3;
						with: each third.
									
					html paragraph: [
						html strong: each first ].
					html paragraph: each second.
					html paragraph
						class: 'ui-li-aside';
						with: [
							html strong: Time now greaseString ] ].
				anchor 
					ifTrue: [ html anchor: renderContents ]
					ifFalse: [ html render: renderContents ] ] ] ]! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/12/2011 17:08'!
renderIconListOn: html inset: inset anchor: anchor
	| list |
	html heading
		level2;
		with: 'Icons List'.
		
	list := html unorderedList
		jqmListView.
	
	inset ifTrue: [ list jqmEnableInset ].
	list with: [
		self icons keysAndValuesDo: [ :key :value | 
			html listItem: [
				| renderContents |
				renderContents := [
					html image
						class: 'ui-li-icon';
						url: JQMListImagesFileLibrary / (value asSymbol);
						altText: key.
					html text: key.
					html span
						class: 'ui-li-count';
						with: (100 atRandom) ].
				anchor
					ifTrue: [ html anchor: renderContents ]
					ifFalse: [ html render: renderContents ] ] ] ]! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 19:50'!
renderListOn: html
	self subclassResponsibility "to shutup code critics"! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 16:10'!
renderNumberedListOn: html inset: inset anchor: anchor
	| list |
	html heading
		level2;
		with: 'Numbered list'.	
	
	list := html orderedList
		jqmListView.
	
	inset ifTrue: [ list jqmEnableInset ].
	list with: [
		self films do: [ :each |
			html listItem: [
				anchor 
					ifTrue: [ html anchor: each ]
					ifFalse: [ html render: each ] ] ] ]
	
		
! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 16:11'!
renderSimpleListOn: html inset: inset anchor: anchor
	| list |
	html heading
		level2;
		with: 'Simple list'.
		
	list := html unorderedList
		jqmListView.
	
	inset ifTrue: [ list jqmEnableInset ].
	list with: [
		self cars do: [ :each |
			html listItem: [
				anchor
					ifTrue: [ html anchor: each ]
					ifFalse: [ html render: each ] ] ] ]
	
		
! !

!JQMListBase methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 16:13'!
renderThumbnailListOn: html inset: inset anchor: anchor
	| list |
	html heading
		level2;
		with: 'Thumbnail list'.
		
	list := html unorderedList
		jqmListView.
	
	inset ifTrue: [ list jqmEnableInset ].
	list with: [
		self thumbnailList do: [ :each |
			html listItem: [
				| renderContents |
				renderContents := [
					html image url: JQMListImagesFileLibrary / (each first asSymbol).
					html heading
						level3;
						with: each second.
									
					html paragraph: each third ].
				anchor
					ifTrue: [ html anchor: renderContents ]
					ifFalse: [ html render: renderContents ] ] ] ]
	
		
! !

!JQMListBase methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 21:02'!
thumbnailList
	^ #(
		#('album-bbJpg' 'Broken Bells' 'Broken Bells')
		#('album-hcJpg' 'Warning' 'Hot Chip')
		#('album-pJpg' 'Wolfgang Amadeus Phoenix' 'Phoenix')
		#('album-okJpg' 'Of The Blue Colour Of The Sky' 'Ok Go')
		#('album-wsJpg' 'Elephant' 'The White Stripes')
		#('album-rhJpg' 'Kid A' 'Radiohead')
		#('album-xxJpg' 'XX' 'XX')
		#('album-mgJpg' 'Congratulations' 'MGMT')
		#('album-agJpg' 'Ashes Grammar' 'A Sunny Day in Glasgow')
		#('album-kJpg' 'Hot Fuss' 'Killers')
		#('album-afJpg' 'The Suburbs' 'Arcade Fire')
	)! !

JQMListBase subclass: #JQMListDividers
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListDividers class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:15'!
label
	^ 'List dividers'! !

!JQMListDividers methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*List dividers>http://jquerymobile.com/test/docs/lists/lists-divider.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html
	! !

!JQMListDividers methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 20:01'!
renderListOn: html
	html unorderedList
		jqmListView;
		with: [
			self renderDeveloperListOn: html ]! !

JQMListBase subclass: #JQMListDividersWithSearch
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListDividersWithSearch class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:18'!
label
	^ 'Search filter bar with dividers'! !

!JQMListDividersWithSearch methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*List dividers with search>http://jquerymobile.com/test/docs/lists/lists-search-with-dividers.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMListDividersWithSearch methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 20:00'!
renderListOn: html
	html unorderedList
		jqmListView;
		jqmEnableListFilter;
		jqmListFilterPlaceholder: 'Search people...';
		jqmListFilterTheme: 'b';
		with: [
			self renderDeveloperListOn: html ]! !

JQMListBase subclass: #JQMReadOnlyInsetLists
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMReadOnlyInsetLists class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:19'!
label
	^ 'Read-only inset lists'! !

!JQMReadOnlyInsetLists methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:36'!
renderContentOn: html
	"*Read-only Insets lists>http://jquerymobile.com/test/docs/lists/lists-readonly-inset.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMReadOnlyInsetLists methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:36'!
renderListOn: html
	"*Read-only Insets lists>http://jquerymobile.com/test/docs/lists/lists-readonly-inset.html*"
	self methods do: [ :each |
		html break.
		self perform: each with: html with: true with: false.
		html break ]! !

JQMListBase subclass: #JQMReadOnlyLists
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMReadOnlyLists class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:19'!
label
	^ 'Read-only lists'! !

!JQMReadOnlyLists methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:37'!
renderContentOn: html
	"*Read-only lists>http://jquerymobile.com/test/docs/lists/lists-readonly.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMReadOnlyLists methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:15'!
renderListOn: html
	self methods do: [ :each |
		html break.
		self perform: each with: html with: false with: false.
		html break ] ! !

JQMListBase subclass: #JQMSplitButtonList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSplitButtonList class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:15'!
label
	^ 'Split button list'! !

!JQMSplitButtonList methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:37'!
renderContentOn: html
 	"*list dividers>http://jquerymobile.com/test/docs/lists/lists-split.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMSplitButtonList methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:51'!
renderListOn: html
	html unorderedList
		jqmListView;
		jqmSplitIcon: 'gear';
		jqmSplitTheme: 'd';
		with: [
			self thumbnailList do: [ :each |
			html listItem: [
				html anchor: [
					html image url: JQMListImagesFileLibrary / (each first asSymbol).
					html heading
						level3;
						with: each second.
									
					html paragraph: each third ].
				html anchor: 'Purchase album' ] ] ]! !

JQMListBase subclass: #JQMThumbnailButtonList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMThumbnailButtonList class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:16'!
label
	^ 'Thumbnails'! !

!JQMThumbnailButtonList methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:37'!
renderContentOn: html
 	"*list thumbnails>http://jquerymobile.com/test/docs/lists/lists-thumbnails.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMThumbnailButtonList methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:40'!
renderListOn: html
	html unorderedList
		jqmListView;
		with: [
			self thumbnailList do: [ :each |
				html listItem: [
					html anchor: [
						html image url: JQMListImagesFileLibrary / (each first asSymbol).
						html heading
							level3;
							with: each second.
									
						html paragraph: each third ] ] ] ]! !

JQMTestSampleBase subclass: #JQMListContentFormatting
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListContentFormatting class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:17'!
label
	^ 'Content formatting'! !

!JQMListContentFormatting methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 17:50'!
mails
	^ #( 
		#('Kaliningrad: Developing with Amber, Seaside and Monticello' 'If you''ve been interested in seeing how you might use Amber with Seaside, you should check out Kaliningrad' 'Dale Henrichs')
		#('test driven development with seaside' 'for the past few months, i have been working full time in a rails shop
using agile/TDD.. i have really come to value TDD, and would like to employ it on a fun project that i am currently starting in seaside' 'sergio_101')
		#('Ajax Posting with JQuery: An example?' 'I need to make an Ajax post using JQuery, with Seaside for my server.
I''ve found a number of Seaside JQuery examples (no posts though) and lots of JQuery post examples (no seaside)' 'Larry White')	
		#('HTML5, Audio and Video - several sources how' 'How can I add several sources to the audio and video tag of HTML5 ?' 'Marten Feldtmann')
		#('rendering html in the smalltalk image' 'Is there an easy-ish way to open an inspector on the bit of html that would be rendered by an arbitrary seaside component?' 'Larry White')	
		#('Detecting mobile devices' 'IIf you Google this topic, you will find sample code for this, but of course it would need to be adapted to Seaside.' 'Nevin Pratt')	
		#('inter component communication using AJAX' 'I have a component "A" that contains two children components "B" and "C".

The code in B that looks like:
    html select .....  ' 'squeakman')
		#('Seaside elements vs. HTML5 spec' 'The HTML5 spec is still changing and it''s hard to keep up with the latest changes.  Since I''m developing a Seaside course, I decided to go through the current HTML5 spec (Editor''s Draft 23 September 2011) and compare what element tags are available in that spec versus the tags we support in Seaside' 'David Buck')
	)! !

!JQMListContentFormatting methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:33'!
renderContentOn: html
	"*list formatting>http://jquerymobile.com/test/docs/lists/lists-formatting.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html
		
	! !

!JQMListContentFormatting methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:11'!
renderListOn: html
	html unorderedList
		jqmListView;
		with: [
			| today count |
			today := Date today.
			count := 0.
			self mails do: [ :each | 
				(count \\ 2 = 0) ifTrue: [
					html listItem
						jqmListDivider;	
						with: [
							html render: (today  -  (count / 2) days); text: ' '.
							html span
								class: 'ui-li-count';
								with: 20 atRandom ] ].
				count := count + 1.
				html listItem: [
					html anchor: [
						html heading
							level3;
							with: each third.
									
						html paragraph: [
							html strong: each first ].
						html paragraph: each second.
						html paragraph
							class: 'ui-li-aside';
							with: [
								html strong: Time now greaseString ] ] ] ] ]! !

JQMTestSampleBase subclass: #JQMListCountBubble
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListCountBubble class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 19:49'!
label
	^ 'Count bubble'! !

!JQMListCountBubble methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*Count bubble>http://jquerymobile.com/test/docs/lists/lists-count.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMListCountBubble methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:08'!
renderListOn: html
	html unorderedList 
		jqmListView;
		with: [
			html listItem: [
				html anchor: [
					html text: 'Inbox '.
					html span
						class: 'ui-li-count';
						with: '12' ] ].
			html listItem: [
				html anchor: [
					html text: 'Outbox '.
					html span
						class: 'ui-li-count';
						with: '0' ] ].
			html listItem: [
				html anchor: [
					html text: 'Drafts '.
					html span
						class: 'ui-li-count';
						with: '4' ] ].
			html listItem: [
				html anchor: [
					html text: 'Sent '.
					html span
						class: 'ui-li-count';
						with: '328' ] ].
			html listItem: [
				html anchor: [
					html text: 'Trash '.
					html span
						class: 'ui-li-count';
						with: '62' ] ] ]! !

JQMTestSampleBase subclass: #JQMListIcons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListIcons class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:16'!
label
	^ 'Icons' ! !

!JQMListIcons methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 16:49'!
list
	^ Dictionary new
		at: 'France' put: 'gfPng';
		at: 'Germany' put: 'dePng';
		at: 'Great Britain' put: 'gbPng';
		at: 'Finland' put: 'fiPng';
		at: 'Norway' put: 'sjPng';
		at: 'United States' put: 'usPng';
		yourself.! !

!JQMListIcons methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*list icons>http://jquerymobile.com/test/docs/lists/lists-icons.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMListIcons methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:10'!
renderListOn: html
	html unorderedList
		jqmListView;
		with: [
			self list keysAndValuesDo: [ :key :value | 
				html listItem: [
					html anchor: [
						html image
							class: 'ui-li-icon';
							url: JQMListImagesFileLibrary / (value asSymbol);
							altText: key.
						html text: key.
						html span
							class: 'ui-li-count';
							with: (100 atRandom) ] ] ] ]! !

JQMTestSampleBase subclass: #JQMListSearchFilterBarBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMListSearchFilterBarBase subclass: #JQMListInsetSearchFilterBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListInsetSearchFilterBar class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:18'!
label
	^ 'Inset search filter bar'! !

!JQMListInsetSearchFilterBar methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*Inset Search filter bar>http://jquerymobile.com/test/docs/lists/lists-search-inset.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMListInsetSearchFilterBar methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:41'!
renderListOn: html
	html unorderedList 
		jqmListView;
		jqmEnableListFilter; "enable client filtering"
		jqmEnableInset;
		with: [
			self cars do: [ :each |
				html listItem: [
					html anchor: each ] ] ]! !

JQMListSearchFilterBarBase subclass: #JQMListSearchFilterBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListSearchFilterBar class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:17'!
label
	^ 'Search filter bar'! !

!JQMListSearchFilterBar methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:34'!
renderContentOn: html
	"*Search filter bar>http://jquerymobile.com/test/docs/lists/lists-search.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html
	! !

!JQMListSearchFilterBar methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:13'!
renderListOn: html
	html unorderedList 
		jqmListView;
		jqmEnableListFilter; "enable client filtering"
		with: [
			self cars do: [ :each |
				html listItem: [
					html anchor: each ] ] ]
	! !

!JQMListSearchFilterBarBase methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 18:45'!
cars
	^ #(Acura Audi BMW Cadillac Chrysler Dodge Ferrari Ford GMC Honda Hyundai Infiniti Jeep Kia Lexus Mini Nissan Porsche Subaru Toyota Volkswagon Volvo)! !

JQMTestSampleBase subclass: #JQMListViewDinghies
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListViewDinghies class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 19:49'!
label
	^ 'Basic linked list'! !

!JQMListViewDinghies methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:09'!
renderContentOn: html
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMListViewDinghies methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 13:47'!
renderListOn: html
	html unorderedList
		jqmListView;
		with: [
			self sailingDinghies keysAndValuesDo: [ :key :value |
				html listItem: [
					html anchor
						callback: [ 
							| message |
							message := JQMMessage
								renderingBlock: [ :r | 
									r text: value ]
								headerText: key.
							
							self show: message ];
						with: key ] ] ]! !

!JQMListViewDinghies methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:03'!
sailingDinghies
	| sailingDinghies |
	sailingDinghies := Dictionary new.
	sailingDinghies
		at: 'Flying Dutchman' put: 'The Flying Dutchman is a 20-foot one-design high-performance two-person monohull racing dinghy. Developed in the early 1950s, its large sail area per unit weight allow it to plane easily when sailing upwind. The boat utilizes a trapeze harness for the crew and hiking straps for the skipper to counterbalance the wind force on its sails. It made its Olympic debut at the 1960 Olympics Games';
		at: 'International 505' put: 'The International 505 is a one-design high-performance two-person monohull planing centerboard dinghy, with spinnaker, utilizing a trapeze for the crew. While it is a high-performance boat and demanding in a blow, the 505 is an extraordinarily well-handling craft and is easier to control than many smaller trapeze boats';
		at: 'Fireball' put: 'The Fireball is a one-design high-performance sailing dinghy. The Fireball is sailed by a crew of two, and sports a single trapeze, symmetric spinnaker and chined hull. The class is strictly controlled, but has adapted to advances in building techniques. The hulls (plywood, FRP or composite) have a strict minimum weight limit of 175 lb (79 kg) (with correctors).';
		at: 'Hornet' put: 'The Hornet dinghy is a 16 foot high performance dinghy designed by Jack Holt in 1953.
It is sailed by two people, with either a sliding seat (''plank'') or a single trapeze, or where neither plank nor trapeze is fitted, by three people. The Hornet is a restricted class meaning that its external hull measurements, sailing weight, sail measurements, and mast dimensions and weights are controlled, but the hull''s interior layout, centreboard and rudder have few restrictions. Permitted materials are restricted in order to control costs.';
		at: 'International 470' put: 'The 470 (Four-Seventy) is a double-handed monohull planing dinghy with a centreboard, Bermuda rig, and centre sheeting. The name is the overall length of the boat in centimetres (i.e., the boat is 4.70 metres long). The hull is fibreglass with integral buoyancy tanks. The 470 is equipped with spinnaker and trapeze, making teamwork necessary to sail it well. It has a large sail-area-to-weight ratio, and is designed to plane easily.';
		at: 'GP14' put: 'The GP14 is a popular sailing dinghy, with over 14,000 built.
The class is active in the UK, Ireland, Australia, South Africa, Sri Lanka and parts of north-eastern USA, and the GP 14 can be used for both racing and cruising. The boat is relatively heavy, but stable, and the weight and the freeboard together with her lines combine to make her an excellent sea boat. She is also an ideal boat to learn to sail in.';
		at: 'Enterprise' put: 'The Enterprise is a two-man sloop-rigged hiking sailing dinghy with distinctive blue sails. Despite being one of the older classes of dinghies, it remains popular in the United Kingdom and about a dozen other countries, and is used for both cruising and racing. It has a combination of size, weight, and power which appeals to all ages, and to sailing schools.';
		at: 'Graduate' put: 'The Graduate is a 12.5-foot sailing dinghy. Rules for the class allow for customization the boat with rigs of various sophistication.';
		at: 'Firefly' put: 'The Firefly is a two-sail, wooden or GRP sailing dinghy with no spinnaker, designed by Uffa Fox in 1938. Although designed as a double hander, it was selected as the single handed class for the 1948 Olympics but was subsequently replaced by the Finn class. The class then became popular as a double hander, as was originally intended. It has become particularly successful as a team racing boat in the UK, thanks to its high maneuverability, easy handling, and low cost.';
		at: 'Lark' put: 'The Lark is a two-person, non-trapeze sailing dinghy, designed in 1966 by Michael Jackson. All Larks are made of glass-reinforced plastic (GRP). The Lark is a one-design class which leads to very close racing.';
		at: 'Laser' put: 'The International Laser Class sailboat, also called Laser Standard and the Laser One is a popular one-design class of small sailing dinghy. According the Laser Class Rules the boat may be sailed by either one or two people, though it is rarely sailed by two. The design, by Bruce Kirby, emphasizes simplicity and performance. The dinghy is now manufactured by Laser Performance.';
		at: 'Topper' put: 'The Topper is an 11 foot sailing dinghy designed by Ian Proctor. The Topper is a one-design boat sailed mostly in the British Isles. It was recognised as an International class by the International Sailing Federation (ISAF). The boat is constructed from polypropylene, and is popular as a racing boat or for sail training.';
		at: 'Mirror' put: 'The Mirror is a very popular sailing dinghy, with more than 70,000 built.
The Mirror was named after the Daily Mirror, a UK newspaper with a largely working class distribution. The Mirror was from the start promoted as an affordable boat, and as a design it has done a great deal to make dinghy sailing accessible to a wide audience. Although most popular in the UK, Mirrors are also sailed in other countries, notably Australia, Ireland, Sweden, Canada, the Netherlands, South Africa, New Zealand, the Philippines and the United States.';
		at: 'Heron' put: 'The Heron Dinghy is a dinghy designed by Jack Holt of the United Kingdom as the Yachting World Cartopper (YW Cartopper). The Heron dinghy was designed to be built by a home handyman out of marine ply over a timber frame, but can now also be constructed from marine ply using a stitch and glue technique or from Fibreglass. Modern dinghies will usually have built in buoyancy tanks, older craft will have bags or retrofitted tanks.';
		at: 'Wayfarer' put: 'The Wayfarer is a wooden or fibreglass hulled Bermuda rigged sailing dinghy, often used for short sailing trips as a ''day boat''. The boat is 15 feet 10 inches (4.82 m) long, and broad and deep enough for three adults to comfortably sail for several hours. Longer trips are undertaken by enthusiasts, notably Frank Dye who sailed W48 ''Wanderer'' from Scotland to Iceland. Wayfarers'' size and stability have made them popular with sailing schools.';
		at: 'Optimist' put: 'The Optimist is a small, single-handed sailing dinghy intended for use by children up to the age of 15. Nowadays boats are usually made of fiber reinforced plastic, although wooden boats are still built.
It is one of the most popular sailing dinghies in the world, with over 130,000 boats officially registered with the class and many more built but never registered.'.
		
	^ sailingDinghies
! !

JQMTestSampleBase subclass: #JQMMethodAndUtilities
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMMethodAndUtilities class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:46'!
label
	^ 'Methods & Utilities'! !

!JQMMethodAndUtilities methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 20:02'!
renderAPIUsageExampleOn: html
	html heading
		level3;
		with: 'Example use of the API'.
		
	html button
		jqmInline;
		onClick: (html jQuery mobile showPageLoadingMessage);
		with: 'Show Page Loading Message'.
		
	html button
		jqmInline;
		onClick: (html jQuery mobile hidePageLoadingMessage);
		with: 'Hide Page Loading Msg'. 
		
	html horizontalRule.

	html div
		jqmFieldContainer;
		with: [	
			html label
				for: #loadingMessage;
				with: 'Loading Message'.

			html textInput
				id: #loadingMessage ].

	html button
		bePush;
		jqmInline;
		onClick: 
			(html jQuery mobile loadingMessage: (html jQuery: #loadingMessage) value);
		with: 'Change message'.
				
	html document addLoadScript: (
		html jQuery page onShow: (
			(html jQuery:#loadingMessage) value: html jQuery mobile loadingMessage))
	
		
! !

!JQMMethodAndUtilities methodsFor: 'rendering' stamp: 'NickAger 10/24/2011 13:06'!
renderContentOn: html
	html paragraph: [
		html text: 'jQueryMobile exposes several methods and properties on the '; code: '$.mobile'; text: ' object. The Seaside mapping is:' ].
	html div
		class: 'code';
		with: 'html jQuery mobile'.
		
	html paragraph: [
		html text: 'Browse the methods and properties categories on '; code: 'JQMMobileScript'; text: ' for more detail. The API is described on '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/api/methods.html';
			with: 'jquerymobile.com' ].
		
	html paragraph: [
		html text: 'At the time of release the Seaside integration is complete with the exception of the '; code: '$.mobile.path.*'; text: ' set of methods and properties - which seemed more useful directly from javascript than via a Smatalk DSL.' ].
	
	self renderMethod: #renderAPIUsageExampleOn: withShowSourceOn: html! !

JQMTestSampleBase subclass: #JQMNavBarTheming
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMNavBarTheming class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:32'!
label
	^ 'Theming toolbars'! !

!JQMNavBarTheming methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:35'!
renderContentOn: html
	"*Bar theming>http://jquerymobile.com/test/docs/toolbars/bars-themes.html*"
	self renderMethod: #renderHeadersOn: withShowSourceOn: html.
	self renderMethod: #renderFootersOn: withShowSourceOn: html! !

!JQMNavBarTheming methodsFor: 'rendering' stamp: 'NickAger 10/6/2011 15:22'!
renderFooterOn: html forTheme: theme
	html div
		jqmFooter;
		jqmTheme: theme;
		with: [
			html anchor
				jqmIcon: 'arrow-l';
				jqmIconPosition: 'right';
				with: 'left'.
			html anchor
				jqmIcon: 'arrow-r';
				jqmIconPosition: 'right';
				with: 'right'.
			html anchor
				jqmIcon: 'arrow-u';
				jqmIconPosition: 'right';
				with: 'up'.
			html anchor
				jqmIcon: 'arrow-d';
				jqmIconPosition: 'right';
				with: 'down' ]! !

!JQMNavBarTheming methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 11:34'!
renderFootersOn: html
	html heading
		level3;
		with: 'Footers'.
		
	self themes do: [ :each |
		self renderFooterOn: html forTheme: each ]
! !

!JQMNavBarTheming methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:00'!
renderHeaderOn: html forTheme: theme
	html div
		jqmHeader;
		jqmTheme: theme;
		with: [
			html heading
				level1;
				with: 'Bar theme "', theme, '"'.
			html anchor
				jqmIcon: 'plus';
				with: 'New' ].
			
	html div
		jqmHeader;
		jqmTheme: theme;
		with: [
			html anchor
				jqmIcon: 'delete';
				jqmTheme: 'a';	"explicit theme for delete button"
				with: 'Cancel'.
			html heading
				level1;
				with: 'Bar theme "', theme, '"'.
			html anchor
				jqmIconPosition: 'right';
				jqmIcon: 'arrow-r';
				with:  'Save' ]! !

!JQMNavBarTheming methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 11:35'!
renderHeadersOn: html
	html heading
		level3;
		with: 'Headers'.
		
	self themes do: [ :each |
		self renderHeaderOn: html forTheme: each ]
		! !

JQMTestSampleBase subclass: #JQMNavBars
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMNavBars class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:29'!
label
	^ 'Nav bars'! !

!JQMNavBars methodsFor: 'accessing' stamp: 'NickAger 10/6/2011 07:57'!
methods
	^ #(renderNavBarTwoOn: renderNavBarThreeOn: renderNavBarFourOn: renderNavBarFiveOn: renderNavBarTenOn: renderNavBarOneOn: renderNavBarInHeadersOn: renderNavBarWithIconsOn:)! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 12:07'!
renderContentOn: html
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/6/2011 07:35'!
renderNavBarButtons: number On: html
	| buttonNames |
	buttonNames := #(one two three four five six seven eight nine ten).
	
	html div
		jqmFooter;
		with: [
			html div
				jqmNavBar;
				with: [
					html unorderedList: [
						1 to: number do: [ :each | 
							html listItem: [
								html anchor
									class: 'ui-btn-active' if: (each = 1);
									with: (buttonNames at: each) ] ] ] ] ]! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:06'!
renderNavBarFiveOn: html
	html paragraph: 'The navbar maxes out with 5 items, each 1/5 the width of the browser window:'.
	self renderNavBarButtons: 5 On: html! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/6/2011 07:25'!
renderNavBarFourOn: html
	self renderNavBarButtons: 4 On: html! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:07'!
renderNavBarInHeadersOn: html
	html heading
		level2;
		with: 'Navbars in headers'.
		
	html paragraph: 'If you want to add a navbar to the top of the page, you can still have a page title and buttons. Just add the navbar container inside the header block, right after the title and buttons in the source order.'.
	
	html div
		jqmHeader;
		with: [
			html heading
				level1;
				with: 'I''m in a header'.
			html anchor
				class: 'ui-btn-right';
				jqmIcon: 'gear';
				with: 'Options'.
				
			self renderNavBarButtons: 3 On: html ]
! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:07'!
renderNavBarOneOn: html
	html paragraph: 'As a fallback, navbars with 1 item will simply render as 100%:'.
	self renderNavBarButtons: 1 On: html! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:07'!
renderNavBarTenOn: html
	html paragraph: 'If more than 5 items are added, the navbar will simply wrap to multiple lines:'.
	self renderNavBarButtons: 10 On: html! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/6/2011 07:23'!
renderNavBarThreeOn: html
	self renderNavBarButtons: 3 On: html! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/6/2011 07:23'!
renderNavBarTwoOn: html
	html div
		jqmFooter;
		with: [
			html div
				jqmNavBar;
				with: [
					html unorderedList: [
						html listItem: [
							html anchor
								class: 'ui-btn-active';
								with: 'One' ].
						html listItem: [
							html anchor: 'Two' ] ] ] ]! !

!JQMNavBars methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:07'!
renderNavBarWithIconsOn: html
	html heading
		level2;
		with: 'Icons in navbars'.
		
	html paragraph: 'Icons can be added to navbar items by calling the method #jqmIcon: specifying a standard mobile icon to each anchor.'.
	
	html div
		jqmFooter;
		with: [
			html div
				jqmNavBar;
				with: [
					html unorderedList: [
						html listItem: [
							html anchor
								jqmIcon: 'grid';
								class: 'ui-btn-active';
								with: 'One' ].
						html listItem: [
							html anchor
								jqmIcon: 'star';
								with: 'Two' ].

						html listItem: [
							html anchor
								jqmIcon: 'gear';
								with: 'Three' ] ] ] ]
	! !

JQMTestSampleBase subclass: #JQMNestedListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMNestedListView class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:13'!
label
	^ 'Nested list'! !

!JQMNestedListView methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 11:17'!
nestedList
	^ Dictionary new
			at: (Association key: 'Animals' value: 'All your favourites from aarkvarks to zebras.')
			put: (Dictionary new
				at: 'Pets' put: #(Canary Cat Dog Gerbil Iguana Mouse);
				at: 'Farm animals' put: #(Chicken Cow Duck Horse Pug Sheep);
				at: 'Wild animals' put: #(Aardvark Alligator Ant Bear Beaver Cougar Dingo Eagle Elephant Ferret Frog Giraffe Lion Monkey 'Panda bear' 'Polar bear' Tigar Zebra);
				yourself);
			at:  (Association key: 'Colours' value: 'Fresh colours from the magic rainbow.')
			put: #(Blue Green Orange Purple Red Yello Violet);
			at: (Association key: 'Vehicles' value: 'Everything from cars to planes.')
			put: (Dictionary new
				at: 'Cars' put: #(Acura Audi BMW Cadillac Chrysler Dodge Ferrari Ford GMC Honda Hyundai Infiniti Jeep Kia Lexus Mini Nissan Porsche Subaru Toyota Volkswagon Volvo);
				at: 'Planes' put: #(Boeing Cessna Derringer Embraer Gulfstream 'Piper Aircraft' Raytheon);
				at: 'Construction' put: #(Caterpillar Ford 'John Deere');
				yourself);
			yourself
			
			! !

!JQMNestedListView methodsFor: 'rendering' stamp: 'NickAger 10/9/2011 11:29'!
renderArray: list on: html
	html unorderedList: [
		list do: [ :each |
			html listItem: [
				html anchor: each ] ] ]! !

!JQMNestedListView methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:35'!
renderContentOn: html
	"*Nested list>http://jquerymobile.com/test/docs/lists/lists-nested.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html
! !

!JQMNestedListView methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:01'!
renderListOn: html
	html unorderedList 
		jqmListView;
		with: [
			self nestedList keysAndValuesDo: [ :key :value |
				html listItem: [
					html heading
						level3;
						with: key key.
								
					html paragraph: key value.
							
					self renderNestList: value on: html ] ] ]
! !

!JQMNestedListView methodsFor: 'rendering' stamp: 'NickAger 10/9/2011 11:42'!
renderNestList: list on: html
	list isArray ifTrue: [
		self renderArray: list on: html.
		^ self ].
	
	html unorderedList: [
		list keysAndValuesDo: [ :key :value | 
			html listItem: [
				html text: key.
				self renderArray: value on: html ] ] ]! !

JQMTestSampleBase subclass: #JQMNumberedListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMNumberedListView class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:14'!
label
	^ 'Numbered list'! !

!JQMNumberedListView methodsFor: 'accessing' stamp: 'NickAger 10/9/2011 11:51'!
list
 ^ #('The Godfather' Inception 'The Good, the Bad and the Ugly' 'Pulp Fiction' 'Schindler''s List' '12 Angry Men' 'One Flew Over the Cuckoo''s Nest' 'Star Wars: Episode V - The Empire Strikes Back' 'The Dark Knight' 'The Lord of the Rings: The Return of the King' 'Seven Samurai' 'Star Wars: Episode IV - A New Hope' 'Casablanca' 'Goodfellas' 'Toy Story 3' 'Fight Club' 'City of God' 'The Lord of the Rings: The Fellowship of the Ring' 'The Big Lebowski' Psycho)! !

!JQMNumberedListView methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:35'!
renderContentOn: html
	"*Numbered list>http://jquerymobile.com/test/docs/lists/lists-ol.html*"
	self renderMethod: #renderListOn: withShowSourceOn: html! !

!JQMNumberedListView methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:38'!
renderListOn: html
	html orderedList
		jqmListView;			
		with: [
			self list do: [ :each |
				html listItem: [
					html anchor: each ] ] ]! !

JQMTestSampleBase subclass: #JQMPageAnatomy
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPageAnatomy class methodsFor: 'accessing' stamp: 'NickAger 10/25/2011 20:06'!
label
	^ 'Anatomy of a Page'! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 11:40'!
renderBodyDescriptionOn: html
	html paragraph: 'and the body contains:'.
	html unorderedList: [
		html listItem: [
			html paragraph: [
				html text: 'An ajax request header modifying script, whose purpose is briefly explained in '.
				html anchor
					callback: [ self show: JQMSeasideIntegration new ];
					with: ' Under the Hood'.
				html text: '.'; break; strong: 'Note: '; text: ' this script is only executed on the first page request as it appears outside the '; code: '<div data-role="page">...</div>'; text: ' - see '.
				html anchor
					callback: [ self show: JQMScriptingUnderTheHood new ];
					with: 'scripting - under the hood'.
				html text: '.' ] ].
		html listItem: [
			html paragraph: [
				html text: 'The '; code: '<div data-role="page">...</div>'; text: ' which encloses all the page content. Each page is assigned a unique id (try refreshing this page and see the id increase). This unique page id allows scripts to be associated with '.
				html anchor
					callback: [ self show: JQMEvents new ];
					with: 'page events'.
				html text: '.' ] ] ]
		
	! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 22:59'!
renderContentOn: html
	self renderPageTemplateOn: html.
	self renderHeadDescriptionOn: html.
	self renderBodyDescriptionOn: html.
	self renderSummaryDescriptionOn: html.
	self renderSamplePageDescriptionOn: html.! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 22:56'!
renderHeadDescriptionOn: html
	html paragraph: 'Examining the above, there is a head section containing:'.
	html unorderedList: [
		html listItem: 'An html 5 doctype.'.
		html listItem: 'The base JQuery library and the jQueryMobile javascript and css libraries.'.
		html listItem: 'A viewport setting.' ].
	
	self renderShowSourceButtonsForHeadInfoOn: html.! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 09:26'!
renderPageTemplateOn: html
	html paragraph: [
		html text: 'When you register your Seaside component with ';  code: 'JQMAdmin>>#register:asApplicationAt:'; text: '  the component will include all markup required for a jQueryMobile page. Below is the default markup generated:' ].
	
	html div
		class: 'code';
		with: [
			"don't use #jqmBuilder here as we're rendering a full document"
			html preformatted: (WARenderCanvas builder
				documentClass: JQMHtmlDocumentRenderer;
				rootClass: JQMHtmlRoot;
				fullDocument: true;
				scriptGeneratorClass: JQMScriptGenerator;
				render: [ :r | 
					| cr |
					cr := String with: Character cr. "cross platform capatibility"
					r text: cr; text: cr; text: 'your code goes here'; text: cr ]) ]
! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 22:35'!
renderSamplePageContentsOn: html
	html div
		jqmHeader;
		with: [
			html heading
				level1;
				with: 'Default header' ].
	
	html div
		jqmContent;
		with: [
			html paragraph: 'Page content goes here.' ].		
		
	html div
		jqmFooter;
		with: [
			html heading
				level4;
				with: 'Default footer' ]! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 23:04'!
renderSamplePageDescriptionOn: html
	html heading
		level3;
		with: 'Sample page content '.
	
	html paragraph: [
		html text: 'Page contents can be optionally wrapped in a content div, created using '; code: '#jqmContent'; text: ' method. Each page can also optionally contain a '.
		html anchor
			callback: [ self show: JQMHeaderBars new ];
			with: 'header'.
		html text: ' and a '.
		html anchor
			callback: [ self show: JQMFooterBars new ];
			with: 'footer'.
		html text: '.' ].
	html paragraph: 'Here is a example showing a page containing header, footer and contents markup.'.
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderSamplePageContentsOn: class: self class.
	self renderShowSamplePageHtmlOn: html.
	
	html paragraph: [
		html strong: 'Note:'; text: ' although all the above elements are optional, I''ve found wrapping content in a '; code: 'jqmContent'; text: ' div improves the page appearance with some judicious padding.' ].
	
	html paragraph: [
		html text: 'For more information see '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/pages/page-anatomy.html';
			with: 'jquerymobile.com' ]
! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 18:12'!
renderShowSamplePageHtmlOn: html
	html div
		class: 'ui-body';
		jqmCollapsible;
		jqmTheme: 'o';
		jqmContentTheme: 'd';
		with: [
			html heading
				level3;
				with: 'Show html'.
				
				html preformatted: (JQMHtmlCanvas jqmBuilder
							render: [ :r | self renderSamplePageContentsOn: r ]) ]
				
! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 13:55'!
renderShowSourceButtonsForHeadInfoOn: html
	html div
		class: 'ui-body';
		jqmCollapsible;
		jqmTheme: 'o';
		jqmContentTheme: 'd';
		with: [
			html heading
				level3;
				with: 'View Source'.
				
			JQMSourceCodeRenderer renderSourceOn: html forMethod: #addJQueryMobileHeadInfoUsing: class: JQMHtmlRoot cssClass: 'codeNoPadding' ]! !

!JQMPageAnatomy methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 22:58'!
renderSummaryDescriptionOn: html
	html paragraph: 'Summary: Seaside''s jQueryMobile integration generates a page template into which your page''s content is rendered.'! !

JQMTestSampleBase subclass: #JQMPageNavigation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPageNavigation class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:26'!
label
	^ 'Navigating between pages'! !

!JQMPageNavigation methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 18:41'!
renderContentOn: html
	html paragraph: [ 
		html text: 'Seaside and jQueryMobile are a great partnership; Seaside''s '.
		html anchor
			class: 'externalLink';
			url: 'http://book.seaside.st/book/components/calling/example';
			with: 'component calling'.
		html text: ' methods (' ; code: '#show: #call: #answer:'; text: ') provide ideal symantics for navigating between pages of a mobile site.' ].
	
	html paragraph: 'For example: '.
	
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderContentOn: class: JQMSamplePage1.
	
	html paragraph: 'Register the component to try it:'.
	html div
		class: 'code';
		with:'JQMAdmin register: JQMSamplePage1 asApplicationAt: ''mobilePage1'''.! !

JQMTestSampleBase subclass: #JQMPageTheming
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPageTheming class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:23'!
label
	^ 'Theming pages'! !

!JQMPageTheming methodsFor: 'hooks' stamp: 'NickAger 10/15/2011 18:01'!
children
	^ children ifNil: [
		children := Array with: (JQMSampleForm title: 'Default Theme' theme: nil).
		children := children , (self themes collect: [ :each |
			JQMSampleForm title: 'Theme ', each theme: each ]) ]! !

!JQMPageTheming methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:35'!
renderContentOn: html
	"*Page Theming>http://jquerymobile.com/test/docs/pages/pages-themes.html*"
	self renderMethod: #renderElementsOn: withShowSourceOn: html! !

!JQMPageTheming methodsFor: 'rendering' stamp: 'NickAger 10/16/2011 16:42'!
renderElementsOn: html
	self children do: [ :each |
		html heading
			level2;
			with: each title.
			
		html render: each.
		html break; break ]! !

JQMTestSampleBase subclass: #JQMPersistentToolbars
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPersistentToolbars class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:32'!
label
	^ 'Persistent footer nav bar'! !

!JQMPersistentToolbars methodsFor: 'initialization' stamp: 'NickAger 10/6/2011 14:11'!
initialize
	super initialize.
	
	self addDecoration: JQMPersistentToolbarDecoration new.! !

!JQMPersistentToolbars methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:36'!
renderContentOn: html
	"*Persistent footer nav bar>http://jquerymobile.com/test/docs/toolbars/footer-persist-a.html*"
	html paragraph: 'The footer on this page is a persistent horizontal navigation bar. Click on any of the footer links, and you''ll see a page transition with the footer remaining fixed'.
	html paragraph: [
		html text: 'The footer on each page has the same #jqmId: set. This implementation uses a decorator '; code: 'JQMPersistentToolbarDecoration'; text: ' which is added to each of the pages.' ].
	
	html paragraph: 'The decorator''s #renderContentOn: method is:'.
	
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #renderContentOn: class: JQMPersistentToolbarDecoration! !

JQMTestSampleBase subclass: #JQMPrefetchingPages
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPrefetchingPages class methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 13:17'!
label
	^ 'Prefetching and caching pages'! !

!JQMPrefetchingPages methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 13:18'!
count
	^ count! !

!JQMPrefetchingPages methodsFor: 'accessing' stamp: 'NickAger 10/26/2011 13:18'!
count: anObject
	count := anObject! !

!JQMPrefetchingPages methodsFor: 'actions' stamp: 'NickAger 10/26/2011 13:14'!
decrease
	count := count - 1! !

!JQMPrefetchingPages methodsFor: 'actions' stamp: 'NickAger 10/26/2011 13:14'!
increase
	count := count + 1! !

!JQMPrefetchingPages methodsFor: 'initialization' stamp: 'NickAger 10/26/2011 13:15'!
initialize
	super initialize.
	self count: 0! !

!JQMPrefetchingPages methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 13:39'!
renderContentOn: html
	"*Prefetching & caching pages>http://jquerymobile.com/test/docs/pages/page-cache.html*"
	html heading
		level2;
		with: 'Prefetching pages'.
		
	self renderPrefetchIntroductionOn: html.
	self renderPrefetchIntroduction2On: html.
	self renderProgrammaticPrefetchOn: html.
	self renderSeeAlsoOn: html
	
		
	! !

!JQMPrefetchingPages methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 18:21'!
renderPrefetchIntroduction2On: html
	html paragraph: [
		html text: 'To prefetch a page, add the data-prefetch attribute ('; code: 'jqmPrefetch'; text: ') to page links. jQueryMobile then loads '; code: 'jqmPrefetch'; text: ' links in the background after the primary page has loaded and the pagecreate event has triggered.' ].
	
	html paragraph: 'Take a moment to marvel at Seaside''s magic state management which, in this case, transparently allows three component states to simultaneously exist on the server.'
	
	
	
	! !

!JQMPrefetchingPages methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 14:05'!
renderPrefetchIntroductionOn: html
	html paragraph: 'You can prefetch pages into the DOM so that they''re instantly available when the user clicks; avoiding the "loading" message. For example:'.
	self renderMethod: #renderPrefetchedCounterOn: withShowSourceOn: html
	! !

!JQMPrefetchingPages methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 15:14'!
renderPrefetchedCounterOn: html
	html heading: count.
	html anchor
		jqmTransitionFade; "Fade"
		jqmPrefetch;
		callback: [ self increase ];
		with: '++'.
	html space.
	html anchor
		jqmTransitionFlip; "Flip"
		jqmPrefetch;
		callback: [ self decrease ];
		with: '--'
		
	! !

!JQMPrefetchingPages methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 17:27'!
renderProgrammaticPrefetchOn: html
	html paragraph: 'Alternatively, you can prefetch a page programmatically using:'.
	html div
		class: 'code';
		with: [ 
			html text: 'html jQuery mobile loadPageUrl: '; emphasis: 'pageUrl'; text: ' options: nil' ].
			
		
	! !

!JQMPrefetchingPages methodsFor: 'rendering' stamp: 'NickAger 10/27/2011 16:59'!
renderSeeAlsoOn: html
	html horizontalRule.

	html paragraph: [
		html text: 'See also: '.
		html anchor
			class: 'externalLink';
			url: 'http://jquerymobile.com/test/docs/pages/page-cache.html';
			with: 'Prefetching & caching pages on jquerymobile.com' ]
	
		
	! !

!JQMPrefetchingPages methodsFor: 'hooks' stamp: 'NickAger 10/26/2011 22:04'!
states
	^ Array with: self! !

!JQMPrefetchingPages methodsFor: 'updating' stamp: 'NickAger 10/27/2011 00:56'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	
	"http://forum.jquery.com/topic/data-prefetch-doesn-t-work-when-page-has-data-url-specified"
	anHtmlRoot includeDataUrl: false! !

JQMTestSampleBase subclass: #JQMRemovingAddressBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMRemovingAddressBar class methodsFor: 'accessing' stamp: 'NickAger 10/28/2011 16:33'!
label
	^  'Removing Address Bar'! !

!JQMRemovingAddressBar methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 18:20'!
renderContentOn: html
	html paragraph: [
		html text: 'When you create a jQueryMobile Seaside application and try it out on an iPhone, you may notice that every page transition results in the Safari''s address bar briefly appearing. However if you try out this test suite on an iPhone the address bar does not appear between pages. How is this achieved? The base class of this site '; code: 'JQMFunctionalTestBase'; text: ' overrides '; code: '#rendererClass:' ].
	
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #rendererClass class: JQMFunctionalTestBase cssClass: 'code'.
	
	html paragraph: [
		html code: 'JQMHtmlCanvas'; text: ' overrides '; code: '#anchor'; text: ' to use '; code: 'JQMAnchorTag'; text: ' which in turn overrides '; code: '#callback:'; text: '.' ].

	JQMSourceCodeRenderer renderSourceOn: html forMethod: #callback: class: JQMAnchorTag cssClass: 'code'. 

	html paragraph: [
		html  text: 'On iOS devices the callback method does not generate an href on the anchor, rather it defines a #onClick: handler which calls the jQueryMobile javascript method '; code: 'changePageUrl'; text: ' with the url which would have been used for the href. This rather convoluted work-around is necessary as (at the time of writing), clicking on an anchor with an defined href automatically causes the safari''s address bar to briefly appear.' ].
	
	html paragraph: [
		html  text: 'A discussion thread on the topic is available: '.
		html anchor
			url: 'http://forum.jquery.com/topic/stopping-the-url-bar-from-dropping-down-i-discovered-a-workaround#14737000002133864';
			with: 'stopping the url bar from dropping down' ]
	
	
! !

JQMTestSampleBase subclass: #JQMScriptingUnderTheHood
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMScriptingUnderTheHood class methodsFor: 'accessing' stamp: 'NickAger 10/24/2011 11:40'!
label
	^ 'Scripting - under the hood'! !

!JQMScriptingUnderTheHood methodsFor: 'rendering' stamp: 'NickAger 10/25/2011 23:07'!
renderContentOn: html
	html heading
		level2;
		with: 'Scripting - Under the hood'.
		
	html paragraph: 'jQueryMobile''s ajax page request mechanism results in some differences in scripting and event handling from that of a traditional web page model:'.
	
	html unorderedList: [
		html listItem: [
			html paragraph: [
				html text: 'The brower''s '; code: 'document.ready'; text: ' event is only called on the first page; subsequent pages do not receive the event. However all pages can hook into a custom jQueryMobile initialisation event - '; code: 'pageinit'; text: '.' ] ].
		html listItem: [
			html paragraph: [
				html text: 'After the first page request, script blocks are only executed if they appear between the page''s div, that is they appear between: '; code: '<div data-role="page">...</div>'; text: '.' ] ] ].
	
	html paragraph: 'For events to work as expected some jQueryMobile specific customisation and rewiring is required:'.
	
	html unorderedList: [
		html listItem: [
			html paragraph: [
				html text: 'A custom script generator '; code: 'JQMScriptGenerator'; text: ', ensures that events are bound to the '; code: 'pageinit'; text: ' event (rather than the '; code: 'document.ready'; text: '). Standard events such as '; code: '#onClick:'; text: ' have been rewired to '; code: 'pageinit'; text: ', as have any scripts added to '; code: 'WAHtmlDocument>>#addLoadScript:'; text: '.' ] ].
		
		html listItem: [
			html paragraph: [
				html text: 'A custom root renderer - '; code: 'JQMHtmlRoot'; text: ', ensures that all content (including scripts) is wrapped in a page div: '; code: '<div data-role="page" id="xxx">...</div>'; text: '. Each page div is assigned a unique id, supplied by '; code: 'WASession>>#nextPageId'; text: ' which is used to wire-up page scoped events.' ] ].
		
		html listItem: [
			html paragraph: [
				html text: 'A custom callback registry - '; code: 'JQCallbackRegistry'; text: ', ensures that all generated element ids are unique to a session. Why? From '.
				html anchor
					class: 'externalLink';
					url: 'http://jquerymobile.com/test/docs/forms/docs-forms.html';
					with: 'jquerymobile.com'.
				html text: ':'.
				html blockquote: [
					html emphasis: '... one thing to keep in mind is that the id attributes of form controls need to be not only unique on a given page, but also unique across the pages in a site. This is because jQueryMobile''s single-page navigation model allows many different "pages" to be present in the DOM at the same time, so you must be careful to use unique idattributes so there will be only one of each in the DOM' ] ] ].
		html listItem style:'list-style:none'; with: [
			html paragraph: [		
				html text: 'By default Seaside''s '; code: 'WARenderer>>#nextId'; text: ' - produces ids that are scoped to a '; code: 'WARenderContext'; text: ' - that is unique within a '; code: 'WARenderPhaseContinuation'; text: ' - and not unique to a site session. The integration includes a custom render phase continuation - '; code: 'JQMRenderPhaseContinuation'; text: ' and a custom render context - '; code: 'JQMRenderContext'; text: ' which provide the necessary rewiring to ensure session unique ids.' ] ] ]
	! !

JQMTestSampleBase subclass: #JQMSeasideIntegration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSeasideIntegration class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:24'!
label
	^ 'Seaside Integration'! !

!JQMSeasideIntegration methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 18:33'!
renderContentOn: html
	html heading
		level2;
		with: 'Seaside Integration'.

	html paragraph: 'Seaside jQueryMobile integration comprises of:'.

	html unorderedList: [
		html listItem: [ 
			html paragraph: [
				html text: 'A File Library referencing the jQueryMobile libraries; currently named: '; code: 'JQM10RC1Library' ] ].
		html listItem: [
			html paragraph: [
				html text: 'A set of extensions to '; code: 'WAAnchorTag WADivTag WAListTag WASelectTag'; text: ' and their base class '; code: 'WATagBrush'; text: '. These extensions enable jQueryMobile specific functionality. For example, the extensions are used to specify a transition on an anchor - eg slideup, slidedown pop, flip etc.' ].
			html paragraph: [
				html text: 'The full set of extensions can be viewed in the package: '; code: 'JQueryMobile-Canvas-Tags'; text: '.' ] ].
		
		html listItem: [
			html paragraph: [
				html text: 'A component registration helper '; code: 'JQMAdmin'; text: '; use in preference to '; code: 'WAAdmin'; text: '.' ] ].
		
		html listItem: [
			html paragraph: [
				html text: 'A comprehensive functional test suite (which you are currently viewing) modelled after the jQueryMobile '.
				html anchor
					class: 'externalLink';
					url: 'http://jquerymobile.com/test/';
					with: 'demos'.
				html text: '.' ] ].
				
		html listItem: [
			html paragraph: [
				html text: 'Extensions to Seaside''s jQuery support and event hooks into Seaside''s element renderers to support '.
				html anchor
					callback: [ self show: JQMEvents new ];
					with: 'event scripting'.
				html text: '.' ] ].
	
		html listItem: [
			html paragraph: 'Customised root canvas and canvas id generation.' ].

		html listItem: [
			html paragraph: [
				html text: 'Custom canvas '; code: 'JQMHtmlCanvas'; text: ' which prevents the mobile browser address bar from appearing during page transitions. See '.
				html anchor
					callback: [ self show: JQMRemovingAddressBar new ];
					with: 'removing address bar'.
				html text: '.' ] ] ].
		
	html paragraph: [
		html text: 'The '.
		html anchor
			jqmTransitionFade;
			callback: [ self show: JQMFormElementGallery new ];
				with: 'widget'.
			html text: ' set uses HTML5 widgets which are included in the latest Seaside release and work "out of the box" with jQueryMobile.' ].

	html heading
		level3;
		with: 'Under the hood'.

	html paragraph: [
		html text: 'The code in the root renderer '; code: 'JQMHtmlRoot'; text: ' ensures that jQueryMobile''s full page Ajax requests are treated by Seaside as regular page requests: '.
		JQMSourceCodeRenderer renderSourceOn: html forMethod: #seasideAjaxRequestHeaderWithRedirect class: JQMHtmlRoot.
		html text: 'Without the above code the method below would return false, resulting in Seaside''s standard Ajax request handling'.
		JQMSourceCodeRenderer renderSourceOn: html forMethod: #isEnabledFor: class: WAActionCallback. ].
	html paragraph: [
		html text: 'see also '.
		html anchor
			callback: [ self show: JQMScriptingUnderTheHood new ];
			with: 'events - under the hood' ].
		
		html strong: 'Note: '; text: 'you don''t need to know or understand any of the above code in-order to successfully use jQueryMobile with Seaside.'! !

JQMTestSampleBase subclass: #JQMSitesToApps
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSitesToApps class methodsFor: 'accessing' stamp: 'NickAger 10/28/2011 15:00'!
label
	^  'Sites to apps'! !

!JQMSitesToApps methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 17:40'!
renderContentOn: html
	self renderIntroductionOn: html.
	self renderHomeScreenIconOn: html.
	self renderFullScreenOn: html.
	self renderSplashScreenOn: html.
	self renderReferencesOn: html
! !

!JQMSitesToApps methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 17:32'!
renderFullScreenOn: html
	html heading
		level4;
		with: 'Full screen'.
		
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #addIOSAppMetaOn: class: JQMFunctionalTestBase cssClass: 'code'.! !

!JQMSitesToApps methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 17:30'!
renderHomeScreenIconOn: html
	html heading
		level4;
		with: 'Adding a home screen icon'.
		
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #addIOSBookmarkIconOn: class: JQMFunctionalTestBase cssClass: 'code'! !

!JQMSitesToApps methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 17:44'!
renderIntroductionOn: html
	html heading
		level2;
		with: 'From sites to apps'.
		
	html paragraph: 'On an iPhone click on the "Add to home screen" in the bar at the bottom of the screen, quit the browser, then reopen the site by clicking on recently created Seaside star icon.'.

	html paragraph: 'If you''ve followed the directions above you''ll notice that the bottom bar is now hidden and none of the browser UI on display, giving the site a native app look.'.
	
	html paragraph: [
		html text: 'Below are a few '; code: 'meta'; text: ' tags which can help your site feel more like an application on the iPhone.' ]! !

!JQMSitesToApps methodsFor: 'rendering' stamp: 'NickAger 10/28/2011 16:09'!
renderReferencesOn: html
	html heading
		level4;
		with: 'References'.
		
	html paragraph: [
		html text: 'Apple provides a developer focused video (from WWDC 2009). Start at '.
		html anchor
			url: 'http://developer.apple.com/itunes/?destination=adc.apple.com.3391512024';
			with: 'developer.apple.com'.
		html text: ' search for "iPhone Web Applications from Start to Finish".' ].
	
	html paragraph: 'Amongst other topics the video covers:'.
	
	html unorderedList: [
		html listItem: 'Going full screen - removing the address and tab bars.'.
		html listItem: 'Display a custom launch icon.'.
		html listItem: 'Providing a custom startup image; splash screen.'.
		html listItem: 'Customising the colour of the top status bar.'.
		html listItem: 'Preventing the user from content selection, copying, scaling.'.
		html listItem: 'Css animations.'.
		html listItem: 'Local storage.' ]! !

!JQMSitesToApps methodsFor: 'rendering' stamp: 'NickAger 10/29/2011 17:43'!
renderSplashScreenOn: html
	html heading
		level4;
		with: 'Startup image'.
		
	JQMSourceCodeRenderer renderSourceOn: html forMethod: #addIOSStartupImage: class: JQMFunctionalTestBase cssClass: 'code'! !

!JQMTestSampleBase class methodsFor: 'accessing' stamp: 'NickAger 10/25/2011 09:06'!
label
	^ ''! !

!JQMTestSampleBase methodsFor: 'initialization' stamp: 'NickAger 10/25/2011 08:57'!
findAssociatedSubMenu
	^ JQMSubMenuBase allSubclasses 
		detect: [ :each | 
			each buttons includes: self class name ] 
		ifNone: [ nil ]
	
! !

!JQMTestSampleBase methodsFor: 'initialization' stamp: 'NickAger 10/22/2011 20:19'!
initialize
	| menuClass |
	super initialize.
	
	menuClass := self findAssociatedSubMenu.
	
	menuClass notNil
		 ifTrue: [
			self addDecoration: (JQMSubMenuDecorator menuClass: menuClass) ]
		ifFalse: [
			self addDecoration: JQMTestsDecorator new ]! !

!JQMTestSampleBase methodsFor: 'source code rendering' stamp: 'NickAger 10/17/2011 14:23'!
renderMethod: method withShowSourceOn: html
	self renderMethod: method withShowSourceOn: html class: self class
! !

!JQMTestSampleBase methodsFor: 'source code rendering' stamp: 'NickAger 10/17/2011 14:39'!
renderMethod: method withShowSourceOn: html class: aClass
	self perform: method with: html.
	
	self renderShowSourceButtonsOn: html forMethods: (Array with: method) class: aClass
! !

!JQMTestSampleBase methodsFor: 'source code rendering' stamp: 'NickAger 10/17/2011 14:37'!
renderShowSourceButtonsOn: html forMethods: methodArray
	self renderShowSourceButtonsOn: html forMethods: methodArray class: self class! !

!JQMTestSampleBase methodsFor: 'source code rendering' stamp: 'NickAger 10/28/2011 18:12'!
renderShowSourceButtonsOn: html forMethods: methodArray class: aClass
	html div
		class: 'ui-body';
		jqmCollapsible;
		jqmTheme: 'o';
		jqmContentTheme: 'd';
		with: [
			html heading
				level3;
				with: 'Show source'.
				
			methodArray do: [ :each |
				JQMSourceCodeRenderer renderSourceOn: html forMethod: each class: aClass cssClass: 'codeNoPadding' ].
			
			html div
				jqmCollapsible;
				jqmContentTheme: 'd';
				with: [
					html heading
						level3;
						with: 'Show html'.
						
						html preformatted: (JQMHtmlCanvas jqmBuilder
							render: [ :r | 
								methodArray do: [ :each |
									self perform: each with: r ] ]) ] ] ! !

!JQMTestSampleBase methodsFor: 'accessing' stamp: 'NickAger 10/11/2011 17:16'!
themes
	^ #(a b c d e)
	! !

!JQMTestSampleBase methodsFor: 'updating' stamp: 'NickAger 10/29/2011 13:28'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	
	"ensures that the mobile displays the redirected url in the address bar - essential for
	the test suites RESTful interface"
	anHtmlRoot includeDataUrl: true.
! !

!JQMTestSampleBase methodsFor: 'updating' stamp: 'NickAger 10/26/2011 21:13'!
updateUrl: aUrl
	| path |	
	super updateUrl: aUrl.

	path := self class label copyReplaceAll: ' ' with: '-'.
	aUrl addToPath: path! !

JQMTestSampleBase subclass: #JQMThemeFramework
	instanceVariableNames: 'sampleForm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMThemeFramework class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:01'!
label
	^ 'Theme framework'! !

!JQMThemeFramework methodsFor: 'hooks' stamp: 'NickAger 10/11/2011 16:57'!
children
	^ Array with: self sampleForm! !

!JQMThemeFramework methodsFor: 'accessing' stamp: 'NickAger 10/15/2011 17:52'!
methods
	^ #(renderBarsOn: renderBlocksOn: renderDefaultFormOn: renderListsAndButtonsOn: renderBarsWithSingleButtonsOn: renderBarsWithMultipleButtonsOn:)! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 16:13'!
renderBarsOn: html
	html heading
		level3;
		with: 'Bars'.

	html paragraph: 'The default theme framework includes the following five bar styles:'.
	
	self themes do: [ :each |
		html div
			class: 'ui-bar'; "this style gives the bar height, but isn't required for styling"
			class: 'ui-bar-', each;
			with: 'Bar ', each ]! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 13:54'!
renderBarsWithMultipleButtonsEndTextOn: html
	html paragraph: [
		html text: 'Learn more about '.
		html anchor
			jqmTransitionFade;
			callback: [ self show: JQMThemingLists new ];
			with: 'list theming'.
		html text: ' and '.
		html anchor
			jqmTransitionFade;
			callback: [ self show: JQMButtonTheming new ];
			with: 'button theming.' ]! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/23/2011 11:11'!
renderBarsWithMultipleButtonsIntroTextOn: html
	html paragraph: 'This default behavior makes it easy to ripple a theme change through a page by setting a theme swatch on a parent because you know the buttons will maintain the same relative visual weight across themes. Since form elements use the button styles, they will also adapt to their parent container too.'.

	html paragraph:	[
		html text: 'If you want to add visual emphasis to a button and help it stand out visually from its parent toolbar, an alternate swatch color can be set calling '.
		html code: '#jqmTheme:'.
		html text: ' on an element. Once an alternate swatch color is set on a button in the markup, jQueryMobile won''t override that color if the parent theme is changed, because you made a conscious decision to set it.' ]! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:08'!
renderBarsWithMultipleButtonsOn: html
	self renderBarsWithMultipleButtonsIntroTextOn: html.
	
	self themes do: [ :each |
		html div
			jqmHeader;
			jqmTheme: each;
			class: 'ui-bar';
			with: [
				html div: [
					self themes do: [ :theme | 					
						html anchor
							jqmIcon: 'arrow-l';
							jqmTheme: theme;
							jqmButton;
							with: theme ] ] ] ].
			
	self renderBarsWithMultipleButtonsEndTextOn: html! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 17:53'!
renderBarsWithSingleButtonsOn: html
	html paragraph: 'By default, any button that''s placed in a bar is automatically assigned a swatch letter that matches its parent bar or content box, to visually integrate the button into the parent theme, as shown here:'.
	
	self themes do: [ :each |
		html div
			jqmHeader;
			jqmTheme: each;
			with: [
				html heading
					level1;
					with: 'Bar ', each.
					
				html anchor
					jqmIcon: 'arrow-l';
					with: 'Button ', each ] ]! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/14/2011 14:06'!
renderBlocksOn: html
	html heading
		level3;
		with: 'Blocks'.

	html paragraph: 'The default theme also includes color swatch values for use in content blocks, designed to coordinate with the header color swatches in the theme.'.
	self themes do: [ :each |
		html div
			class: 'ui-body'; "padding"
			class: 'ui-body-', each;
			with: 'Block ', each
		]! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 17:45'!
renderButtonsOn: html
	html paragraph: 'A button is included for each swatch in the theme. Each button has styles for normal, hover/focus and pressed states.'.
	
	self themes do: [ :each | 
		html anchor
			jqmButton;
			jqmTheme: each;
			jqmIcon: 'arrow-l';
			with: 'Button ', each ]! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:37'!
renderContentOn: html
	"*theming overview>http://jquerymobile.com/test/docs/api/themes.html*"
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]
! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 13:53'!
renderDefaultFormOn: html
	html paragraph: 'If a theme isn''t specified on a content block, the framework will default to "c" to maximize contrast against the default header "a", as shown here:'.
	
	html render: self sampleForm.
	
	html paragraph: [
		html text: 'Learn more about '.
		html anchor
			jqmTransitionFade;
			callback: [ self show: JQMThemingContent new ];
			with: 'content theming'.
		html text: '.' ] 
! !

!JQMThemeFramework methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 18:09'!
renderListsAndButtonsOn: html
	html heading
		level2;
		with: 'Lists & Buttons'.
		
	html paragraph: 'Each swatch also includes default styles for interactive elements like list items and buttons.'.
	
	self themes do: [ :each |
		html unorderedList
			jqmListView;
			jqmEnableInset;
			jqmTheme: each;
			with: [
				2 timesRepeat: [
					html listItem: [
						html anchor: 'List Item' ] ] ] ].
		
	self renderButtonsOn: html.! !

!JQMThemeFramework methodsFor: 'accessing' stamp: 'NickAger 10/11/2011 16:58'!
sampleForm
	^ sampleForm ifNil: [
		sampleForm := JQMSampleForm title: 'Default Theme' theme: nil ]! !

JQMTestSampleBase subclass: #JQMThemingContent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMThemingContent class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:07'!
label
	^ 'Theming content'! !

!JQMThemingContent methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:37'!
renderContentOn: html
	"*Theming content>http://jquerymobile.com/test/docs/content/content-themes.html*"
	self renderMethod: #renderElementsOn: withShowSourceOn: html ! !

!JQMThemingContent methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 12:56'!
renderElementsOn: html
	html heading
		level2;
		with: 'Themed examples'.

	self themes do: [ :each |
		self renderThemedExamplesOn: html theme: each.
		html break ] ! !

!JQMThemingContent methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:48'!
renderThemedExamplesOn: html theme: each
	html paragraph: [
		html strong: each.
		html text: ' theme swatch on content & collapsible' ].
	
	html div
		class: 'ui-body'; "padding"
		class: 'ui-body-', each;
		with: [
			html heading
				level1;
				with: 'H1 Heading'.
				
			html text: 'This is a paragraph that contains '.
			html strong: 'strong'.
			html text: ', '.
			html emphasis: 'emphasized'.
			html text: ' and '.
			html anchor: 'linked'.
			html text: ' text. Here is more text so you can see how HTML markup works in content. Here is more text so you can see how HTML markup works in content.'.

	html div
		jqmCollapsible;
		with: [
			html heading
				level3;
				with: 'I''m a themed collapsible'.	
								
			html paragraph: 'I''m a child collapsible.' ].
				
	html div
		jqmCollapsible;
		jqmContentTheme: each;
		with: [
			html heading
				level3;
				with: 'I''m a themed collapsible with themed content'.	

			html paragraph: 'I''m a themed child collapsible.' ] ] 	

! !

JQMTestSampleBase subclass: #JQMThemingLists
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMThemingLists class methodsFor: 'accessing' stamp: 'NickAger 10/16/2011 17:22'!
label
	^ 'Theming lists'! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 13:45'!
methods
	^ #(renderThemingListItemsOn: renderMailThemingDividersOn: renderMailListThemingCountBubblesOn: renderMailListThemedIconsOn: renderSplitButtonsOn: renderMailListSwatchesOn:)
	
! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 14:37'!
renderContentOn: html
	"*Theming lists>http://jquerymobile.com/test/docs/lists/lists-themes.html*"
	self methods do: [ :each |
		self renderMethod: each withShowSourceOn: html ]
	
! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 18:10'!
renderMailList1On: html
	 html unorderedList 
		jqmListView;
		jqmEnableInset;
		with: [
			html listItem
				jqmListDivider;
				with: 'Divider'.
			self renderMailListContentsOn: html ]

! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 18:14'!
renderMailList2On: html
	 html unorderedList 
		jqmListView;
		jqmEnableInset;
		with: [
			html listItem
				jqmListDivider;
				with: 'Divider'.
			self renderMailListContentsOn: html.
			
			html listItem
				jqmTheme: 'a';
				with: [
					html anchor: [
						html text: 'Trash '.
						html span
							class: 'ui-li-count';
							with: '62' ] ] ]

! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/10/2011 18:22'!
renderMailListContentsOn: html
	html listItem: [
		html anchor: [
			html text: 'Inbox '.
			html span
				class: 'ui-li-count';
				with: '12' ] ].
	html listItem: [
		html anchor: [
			html text: 'Outbox '.
			html span
				class: 'ui-li-count';
				with: '0' ] ].
	html listItem: [
		html anchor: [
			html text: 'Sent '.
			html span
				class: 'ui-li-count';
				with: '328' ] ].! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 17:42'!
renderMailListSwatchesOn: html
	html heading
		level2;
		with: 'Examples of all basic list swatches'.

	self themes do: [ :each |
		html heading
			level4;
			with: each, ' swatch'.
			
		 html unorderedList 
			jqmListView;
			jqmEnableInset;
			jqmTheme: each;
			with: [
				self renderMailListContentsOn: html ] ]! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:48'!
renderMailListThemedIconsOn: html
	html heading
		level2;
		with: 'Theming icons'.

	 html unorderedList 
		jqmListView;
		jqmEnableInset;
		with: [
			html listItem
				jqmListDivider;
				with: 'Divider'.

			html listItem
				jqmIcon: 'info';
				with: [ 
					html anchor: 'Notices' ].
				
			html listItem
				jqmIcon: 'alert';
				with: [
					html anchor: 'Alerts' ].
				
			html listItem
				jqmIcon: 'false';
				with: [
					html anchor: 'No Icons' ] ]

! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:06'!
renderMailListThemingCountBubblesOn: html
	html heading
		level2;
		with: 'Theming count bubbles'.

	 html unorderedList 
		jqmListView;
		jqmEnableInset;
		jqmTheme: 'd';
		jqmDividerTheme: 'e';
		jqmCountTheme: 'b';
		with: [
			html listItem
				jqmListDivider;
				with: 'Divider'.
			self renderMailListContentsOn: html ]

! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:05'!
renderMailThemingDividersOn: html
	html heading
		level2;
		with: 'Theming dividers'.

	 html unorderedList 
		jqmListView;
		jqmEnableInset;
		jqmTheme: 'd';
		jqmDividerTheme: 'e';
		with: [
			html listItem
				jqmListDivider;
				with: 'Divider'.
			self renderMailListContentsOn: html ]

! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:40'!
renderSplitButtonIconsOn: html
	html unorderedList
		jqmListView;
		jqmEnableInset;
		jqmSplitIcon: 'delete';
		jqmSplitTheme: 'd';
		with: [
			self thumbnailList do: [ :each |
				html listItem: [
					html anchor: [
						html image url: JQMListImagesFileLibrary / (each first asSymbol).
						html heading
							level3;
							with: each second ].
					html anchor: each third ] ] ]

! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:40'!
renderSplitButtonOn: html
	html unorderedList
		jqmListView;
		jqmEnableInset;
		with: [
			self thumbnailList do: [ :each |
				html listItem: [
					html anchor: [
						html image url: JQMListImagesFileLibrary / (each first asSymbol).
						html heading
							level3;
							with: each second ].
					html anchor: each third ] ] ]

! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:52'!
renderSplitButtonThemedOn: html
	html unorderedList
		jqmListView;
		jqmEnableInset;
		jqmSplitTheme: 'a';
		with: [
			html listItem: [
				html anchor: [
					html image url: JQMListImagesFileLibrary / #'album-bbJpg'.
					html heading
							level3;
							with:  'Broken Bells' ].
					html anchor: 'Broken Bells' ].
				
			html listItem: [	
				html anchor: [
					html image url: JQMListImagesFileLibrary / #'album-hcJpg'.
					html heading
							level3;
							with:  'Warning'  ].
					html anchor
						jqmTheme: 'e';
						with: 'Hot Chip' ] ].! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:01'!
renderSplitButtonsOn: html
	html heading
		level2;
		with: 'Theming split buttons'.

	self renderSplitButtonOn: html.
	self renderSplitButtonThemedOn: html.
	self renderSplitButtonIconsOn: html.
! !

!JQMThemingLists methodsFor: 'rendering' stamp: 'NickAger 10/11/2011 12:03'!
renderThemingListItemsOn: html
	html heading
		level2;
		with: 'Theming list items'.

	self renderMailList1On: html.
	self renderMailList2On: html.! !

!JQMThemingLists methodsFor: 'accessing' stamp: 'NickAger 10/10/2011 18:38'!
thumbnailList
	^ #( 
		#('album-bbJpg' 'Broken Bells' 'Broken Bells') 
		#('album-hcJpg' 'Warning' 'Hot Chip')
	 )! !

WAComponent subclass: #JQMMessage
	instanceVariableNames: 'renderingBlock headerText'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMMessage class methodsFor: 'instance creation' stamp: 'NickAger 10/12/2011 18:27'!
renderingBlock: renderingBlock headerText: headerText
	^ self new
		renderingBlock: renderingBlock;
		headerText: headerText;
		yourself! !

!JQMMessage methodsFor: 'accessing' stamp: 'NickAger 10/12/2011 18:28'!
headerText
	^ headerText! !

!JQMMessage methodsFor: 'accessing' stamp: 'NickAger 10/12/2011 18:28'!
headerText: anObject
	headerText := anObject! !

!JQMMessage methodsFor: 'rendering' stamp: 'NickAger 10/4/2011 21:53'!
renderButtonsOn: html
	html anchor
		jqmButton;
		jqmBack;
		callback: [ self answer ];
		with: 'Ok'! !

!JQMMessage methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:39'!
renderContentOn: html
	self headerText isNil ifFalse: [
		html div
			jqmHeader;
			with: [
				html heading 
					level1;
					with: self headerText ] ].
	html div
		jqmContent;
		with: [
			html form: [
				html render: self renderingBlock.
				self renderButtonsOn: html ] ]! !

!JQMMessage methodsFor: 'accessing' stamp: 'NickAger 10/4/2011 17:25'!
renderingBlock
	^ renderingBlock! !

!JQMMessage methodsFor: 'accessing' stamp: 'NickAger 10/4/2011 17:25'!
renderingBlock: anObject
	renderingBlock := anObject! !

WAComponent subclass: #JQMSamplePage1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSamplePage1 methodsFor: 'rendering' stamp: 'NickAger 10/26/2011 10:37'!
renderContentOn: html
	html div
		jqmContent;
		with: [
			html paragraph: 'An example showing how to move to a new page.'.
			html anchor
				jqmTransitionSlidedown 
				callback: [ self show: JQMSamplePage2 new ];
				with: 'Goto new page' ]! !

WAComponent subclass: #JQMSamplePage2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSamplePage2 methodsFor: 'rendering' stamp: 'NickAger 10/14/2011 13:26'!
renderContentOn: html
	html paragraph: 'Page 2'.
	html anchor
		callback: [ self answer ];
		with: 'go back'
	! !

!GRPackage class methodsFor: '*jquerymobile-tests-functional' stamp: 'NickAger 10/29/2011 18:36'!
jQueryMobileTestsFunctional
	^ self new
		name: 'JQueryMobile-Tests-Functional';
		description: 'functional tests for jQueryMobile';
		addDependency:  'JQueryMobile-Canvas';
		addDependency:  'JQueryMobile-Email';
		addDependency:  'JQueryMobile-Tools';
		addDependency: 'JQueryMobile-Scripting';
		addDependency:  'Seaside-Examples';
		url: #seasideUrl;
		yourself! !

WAHtmlDocument subclass: #JQMHtmlDocumentRenderer
	instanceVariableNames: 'indentLevel firstLine indentCloseTags'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMHtmlDocumentRenderer methodsFor: 'writing' stamp: 'NickAger 10/14/2011 18:06'!
closeTag: aString
	self decreaseIndentLevel.
	self indentCloseTags removeLast
		ifTrue: [ self indent ].

	super closeTag: aString! !

!JQMHtmlDocumentRenderer methodsFor: 'helpers' stamp: 'NickAger 10/14/2011 18:07'!
decreaseIndentLevel
	indentLevel := indentLevel - 1! !

!JQMHtmlDocumentRenderer methodsFor: 'accessing' stamp: 'NickAger 10/14/2011 18:07'!
firstLine
	^ firstLine ifNil: [ firstLine := true ]! !

!JQMHtmlDocumentRenderer methodsFor: 'accessing' stamp: 'NickAger 10/14/2011 18:07'!
firstLine: anObject
	firstLine := anObject! !

!JQMHtmlDocumentRenderer methodsFor: 'helpers' stamp: 'NickAger 10/28/2011 11:14'!
increaseIndentLevel
	indentLevel := self indentLevel + 1! !

!JQMHtmlDocumentRenderer methodsFor: 'helpers' stamp: 'NickAger 10/15/2011 18:12'!
indent
	self firstLine
		ifTrue: [ self firstLine: false ]
		ifFalse: [ self nextPutAll: (String with: Character cr with: Character lf) ].
	self indentLevel timesRepeat: [ self nextPut: Character space ]! !

!JQMHtmlDocumentRenderer methodsFor: 'accessing' stamp: 'NickAger 10/15/2011 18:00'!
indentCloseTags
	^ indentCloseTags ifNil: [ indentCloseTags := OrderedCollection with: false ]! !

!JQMHtmlDocumentRenderer methodsFor: 'accessing' stamp: 'NickAger 10/14/2011 18:08'!
indentLevel
	^ indentLevel ifNil: [ indentLevel := 0 ]! !

!JQMHtmlDocumentRenderer methodsFor: 'writing' stamp: 'NickAger 10/14/2011 18:08'!
openTag: aString attributes: anAttributes closed: aBoolean
	self indent.
	super openTag: aString attributes: anAttributes  closed: aBoolean.
	aBoolean
		ifFalse: [ self increaseIndentLevel ].
		
	self indentCloseTags removeLast; addLast: true; addLast: aBoolean! !

!JQMHtmlDocumentRenderer methodsFor: 'accessing' stamp: 'NickAger 10/28/2011 11:14'!
root: aRoot
	root := aRoot! !

WAFileLibrary subclass: #JQMListImagesFileLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumafJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 159 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 249 126 244 180 82 249 89 14 202 8 98 57 92 251 30 253 185 169 45 55 51 96 38 74 130 216 236 48 9 63 231 222 153 119 111 39 218 204 98 53 7 4 227 238 142 153 199 53 115 71 133 159 237 39 99 225 109 92 146 14 59 117 62 217 163 86 112 242 150 236 90 73 45 148 227 253 89 194 130 59 109 201 63 129 31 173 106 232 77 36 119 86 241 136 119 72 223 48 27 186 200 8 42 184 250 227 63 95 106 171 167 196 214 241 137 85 78 193 148 56 61 71 10 216 227 167 57 207 29 235 107 70 178 242 124 65 103 150 102 38 101 218 65 198 223 153 127 32 78 239 175 90 210 43 169 132 153 87 93 142 88 53 185 147 203 62 76 145 238 42 199 36 40 28 126 56 197 100 107 211 230 253 35 111 49 82 56 78 0 57 201 201 253 9 57 174 211 196 150 64 106 72 193 100 114 170 35 36 158 87 229 206 15 169 42 81 190 141 88 94 45 210 230 70 183 153 50 194 226 221 23 238 142 72 193 57 244 198 209 81 38 211 65 77 221 43 139 161 222 180 225 98 85 193 88 247 1 198 64 18 167 65 235 128 127 90 216 214 226 145 109 21 154 44 253 150 105 34 127 101 39 122 245 233 213 199 226 43 139 178 121 109 204 34 60 135 251 59 239 227 27 73 254 184 197 122 72 89 37 213 224 146 2 198 61 74 40 55 70 20 229 128 4 16 61 240 65 28 245 199 210 161 105 32 169 30 93 182 57 45 38 125 186 140 126 98 254 238 97 229 54 121 192 110 51 253 106 172 138 241 137 173 37 4 0 10 156 250 131 239 244 253 43 86 107 35 13 220 209 149 101 41 33 143 27 121 200 7 111 95 112 63 42 53 168 85 212 94 133 10 210 48 36 14 128 244 63 166 13 101 37 119 161 170 75 149 25 122 116 70 45 138 99 5 242 89 137 244 227 143 210 175 91 93 189 148 202 238 163 0 128 165 27 4 14 167 143 199 167 21 37 172 50 75 112 29 83 230 192 13 131 216 127 156 126 85 106 93 38 107 130 210 70 1 42 192 96 140 228 17 158 212 185 189 237 78 170 25 124 241 85 44 116 254 25 241 173 212 45 109 16 84 104 96 204 152 69 46 75 117 203 35 28 127 116 101 112 56 207 36 87 186 252 61 215 237 181 123 24 230 143 85 138 228 178 238 104 119 141 203 201 199 203 129 143 79 175 182 43 229 23 211 46 237 55 59 163 14 6 10 156 112 79 243 173 13 55 87 190 211 229 89 113 56 145 58 77 110 230 57 87 220 48 234 50 59 215 76 26 159 186 78 39 37 156 42 54 149 173 247 127 95 121 246 148 243 164 104 164 149 86 36 149 5 198 79 231 80 207 114 170 129 136 224 48 218 114 49 222 190 113 240 119 142 149 53 104 174 245 152 229 214 81 0 43 182 83 21 196 77 220 236 206 217 56 207 2 189 175 73 212 44 124 83 96 179 104 55 31 107 91 124 125 162 61 132 73 17 201 32 50 156 30 118 158 121 206 15 53 82 195 184 236 238 143 42 165 58 180 254 40 254 166 149 237 220 241 187 176 12 172 132 30 163 12 5 99 234 83 191 216 209 4 100 179 0 64 200 0 31 94 63 200 174 191 80 240 237 215 216 166 12 23 49 32 44 160 242 65 32 17 199 122 198 147 66 117 210 69 137 132 137 218 231 103 204 231 204 10 24 103 3 4 55 94 248 162 54 48 157 57 95 83 158 212 140 143 44 94 102 201 143 118 56 63 231 255 0 213 81 51 170 130 9 85 249 135 35 0 116 199 242 174 142 239 194 215 16 150 157 73 149 66 43 100 140 109 25 207 78 231 223 252 138 146 232 97 145 149 93 71 161 61 205 83 104 201 211 107 161 240 238 160 110 38 213 37 157 241 191 118 70 72 198 73 252 143 61 234 199 134 237 230 151 237 139 19 30 97 198 2 231 43 130 228 255 0 227 159 206 172 235 86 18 27 51 115 43 13 236 63 213 227 5 7 31 203 119 230 15 165 88 240 29 180 183 58 236 118 145 156 25 98 148 109 200 25 196 78 79 95 198 179 181 174 143 117 191 114 232 142 222 9 165 182 211 163 150 82 162 88 153 195 1 202 70 93 151 250 57 252 107 161 211 34 127 237 104 196 79 35 76 215 10 73 3 160 86 224 123 96 46 127 224 96 118 168 245 27 120 102 215 218 27 73 49 106 150 169 13 190 227 212 24 194 2 127 19 158 213 171 225 72 133 206 188 47 25 210 43 104 138 147 43 115 141 138 3 22 29 199 205 145 234 113 84 159 99 153 234 174 106 248 186 57 210 209 103 49 44 82 153 4 204 135 157 197 134 115 156 112 54 132 92 127 179 85 53 61 57 238 60 43 29 210 73 151 130 63 58 46 64 33 67 170 145 199 179 143 200 213 221 104 92 75 165 65 113 52 158 100 243 19 144 188 238 206 54 240 127 206 43 119 194 58 116 58 143 135 224 178 110 90 226 218 226 0 19 178 140 16 114 113 216 251 228 144 125 235 57 74 255 0 34 101 22 162 120 110 172 173 20 158 106 18 202 66 140 1 208 227 191 190 7 79 173 122 84 150 247 182 254 27 240 245 203 6 105 17 210 50 173 140 96 198 173 140 158 51 199 242 174 123 198 58 108 177 79 21 206 88 69 118 138 205 199 10 227 12 79 211 230 39 215 249 87 164 189 131 47 195 8 228 145 247 207 103 228 43 35 12 146 112 164 247 238 27 31 133 77 236 141 171 71 247 116 228 186 156 127 136 34 149 53 121 37 182 119 97 40 91 168 129 59 178 0 33 135 30 155 78 51 237 81 172 119 54 183 209 90 187 71 36 114 64 146 196 72 5 92 103 3 39 160 244 244 63 142 107 90 251 78 146 13 43 72 215 44 166 101 104 214 72 201 81 159 49 89 153 163 113 236 112 234 71 247 151 158 181 55 140 244 232 83 84 209 111 52 178 62 197 116 85 35 142 65 242 172 114 96 4 62 193 213 135 99 145 83 45 100 43 55 24 196 231 109 236 103 139 81 34 34 26 34 192 169 70 202 237 237 207 212 114 59 17 91 17 219 78 225 21 3 100 133 39 45 208 96 140 116 173 235 91 75 123 189 50 213 173 179 27 197 35 35 179 28 229 95 24 62 236 36 82 49 223 61 241 154 72 173 92 220 24 12 232 65 28 242 79 25 227 7 129 212 254 53 199 85 235 99 235 178 109 41 223 175 83 154 184 130 89 37 8 170 64 101 77 249 198 65 63 207 189 103 223 104 210 179 109 249 131 148 44 57 224 244 255 0 63 137 174 174 242 5 26 137 132 56 104 246 9 55 47 27 113 208 103 161 206 15 229 85 198 153 52 51 50 53 201 152 132 46 48 221 65 228 1 74 18 113 119 71 185 236 212 174 223 83 206 239 44 174 160 145 149 131 252 188 231 156 215 208 154 133 227 88 232 218 178 91 74 176 207 14 137 111 105 20 243 56 5 46 173 86 229 27 13 142 25 226 140 168 206 72 105 6 57 0 215 155 94 89 161 12 73 43 36 131 132 234 115 129 253 107 47 196 176 106 90 149 229 204 183 87 23 44 247 19 203 59 2 112 172 228 228 144 163 142 75 30 149 232 83 196 183 163 60 252 70 83 10 215 148 116 253 79 114 210 190 43 191 252 36 183 214 22 250 212 122 204 90 149 203 79 28 13 181 13 188 88 149 145 86 69 200 102 63 186 24 39 112 206 210 1 4 87 97 117 226 133 105 52 228 146 246 123 27 151 212 86 23 181 186 218 178 109 17 71 39 126 120 14 131 143 239 115 95 31 174 141 115 231 50 229 21 81 65 229 79 225 208 113 245 35 21 211 232 186 157 196 90 39 246 117 211 141 78 219 207 105 162 251 68 34 67 230 240 172 81 179 185 84 128 160 156 145 192 238 49 93 145 140 100 174 124 238 51 39 149 61 191 3 235 125 82 236 205 167 60 162 83 38 200 163 89 14 58 5 45 147 158 195 144 51 254 53 201 127 105 93 21 145 213 76 201 129 177 149 142 79 210 188 70 199 196 58 245 206 97 155 81 146 214 216 126 228 219 75 54 119 28 97 151 126 114 0 29 120 232 113 142 73 171 147 234 87 168 100 54 23 119 198 64 199 100 2 71 86 82 20 103 45 156 119 206 59 86 126 205 197 217 158 77 76 174 180 158 173 30 113 3 75 168 104 51 91 204 119 201 13 178 153 73 229 139 179 60 152 255 0 199 219 63 76 86 63 129 100 16 248 150 196 185 0 101 145 183 19 142 84 169 207 230 106 238 144 100 113 113 46 246 80 242 253 226 195 45 202 117 245 192 7 241 53 22 149 104 96 241 58 160 10 198 57 55 21 99 212 28 112 126 185 172 167 37 107 154 210 167 172 163 35 101 110 109 110 181 147 52 79 190 33 49 59 130 255 0 14 70 9 227 191 56 246 244 232 47 120 82 75 147 167 222 35 249 82 44 177 58 46 242 67 111 64 145 156 1 236 84 243 215 7 184 170 22 250 116 176 133 132 72 30 225 50 236 55 130 200 113 243 150 231 131 145 211 166 74 131 207 94 139 195 152 7 82 88 66 178 164 204 99 228 146 28 201 39 232 122 227 159 185 158 194 179 114 178 49 81 213 164 79 36 18 220 234 58 92 16 200 224 74 194 80 185 232 63 120 84 126 27 63 95 90 233 254 28 236 143 89 180 84 121 95 237 14 209 152 212 174 48 100 218 167 61 128 17 228 227 168 38 185 251 8 39 77 74 220 195 242 11 113 5 186 200 79 70 46 50 120 245 203 126 102 141 34 25 109 124 77 162 67 23 154 134 109 77 98 32 252 174 131 29 65 236 63 120 115 159 64 105 166 158 157 77 149 7 56 203 201 17 248 163 74 23 58 103 246 123 239 58 141 148 242 44 32 159 191 24 98 54 247 201 200 81 219 130 59 86 229 141 160 159 192 55 215 75 115 35 237 137 54 7 227 33 112 119 125 113 183 243 173 77 115 79 158 57 53 73 227 137 25 210 105 228 73 176 67 29 146 145 34 131 219 114 177 252 133 62 89 35 111 135 183 141 18 132 18 1 18 32 97 141 217 86 192 244 249 91 167 181 114 78 167 44 154 238 136 179 120 117 126 231 33 189 109 252 3 22 232 193 152 92 205 10 196 65 10 241 183 36 18 15 12 10 135 95 113 239 85 175 60 201 252 45 101 36 251 118 70 234 242 161 3 112 3 105 98 8 233 156 103 3 140 161 199 124 239 89 91 197 123 225 38 182 186 127 154 43 149 249 65 7 12 24 41 7 61 240 72 30 224 86 77 229 132 235 225 139 155 69 220 215 48 103 113 39 105 216 23 59 176 123 124 202 113 232 70 126 237 41 207 222 5 102 237 230 116 94 21 140 220 233 151 150 6 243 12 133 91 18 116 125 173 131 249 16 127 253 117 110 109 42 104 175 99 16 183 155 181 162 50 41 94 112 88 231 62 192 127 135 90 173 225 41 182 248 69 38 184 194 48 185 249 37 40 118 237 45 199 127 81 223 212 26 233 44 149 95 83 118 142 235 114 249 74 191 41 224 144 114 122 247 249 191 95 207 25 189 79 175 203 164 227 70 231 62 116 199 105 245 54 153 70 200 128 242 100 3 25 25 108 140 244 57 61 105 145 217 139 139 145 242 75 28 161 48 251 151 146 192 99 143 95 243 222 181 238 86 197 236 110 26 123 149 6 57 88 140 127 15 57 199 249 247 170 183 19 89 182 161 4 17 222 52 193 212 243 147 142 114 118 228 118 233 78 41 179 211 140 155 50 110 244 194 46 60 211 38 66 41 82 178 96 22 225 72 199 229 138 204 191 178 41 46 118 163 72 25 178 75 0 23 175 227 223 244 197 105 234 183 6 75 137 230 89 62 88 156 177 8 9 199 201 143 160 57 61 122 86 70 163 113 145 20 77 35 44 174 217 43 142 79 191 211 183 21 188 34 206 152 65 180 101 220 218 72 215 36 73 183 105 11 192 57 25 206 8 247 237 83 91 232 39 82 184 193 136 198 128 5 57 115 144 160 253 220 14 58 3 212 159 165 88 64 145 183 152 242 128 195 32 228 100 166 58 237 201 234 56 7 176 207 228 53 204 145 91 50 172 211 5 254 45 170 67 100 245 30 195 131 233 198 115 218 187 105 70 93 14 12 84 166 253 216 125 255 0 228 75 116 182 241 72 182 150 192 184 135 128 202 165 84 128 220 129 158 63 224 93 73 199 81 80 106 151 145 219 217 134 185 132 164 163 50 50 172 129 137 206 0 36 142 122 109 252 69 100 93 222 202 101 22 118 55 42 243 52 155 140 195 144 7 31 42 140 118 2 168 93 94 91 220 93 72 76 229 216 228 51 242 64 92 131 199 28 158 15 248 116 174 149 11 45 77 48 249 90 105 57 12 142 196 199 162 137 21 99 115 27 21 206 252 252 251 142 59 241 149 4 255 0 192 71 173 41 179 154 61 90 246 100 80 20 89 199 131 192 201 109 138 63 30 191 149 116 16 232 123 127 180 109 10 74 182 209 222 70 234 34 92 5 13 18 144 0 29 113 189 112 49 199 61 186 215 91 7 93 98 45 233 35 8 231 220 210 49 31 113 20 42 240 71 118 82 7 212 215 20 218 139 179 62 55 7 77 85 147 43 120 47 77 152 61 209 146 47 154 82 209 22 221 142 6 79 127 92 31 196 40 239 90 186 68 36 106 210 219 200 201 10 36 205 59 13 220 201 35 13 168 9 39 253 236 122 114 122 10 139 195 147 249 23 242 91 186 202 30 71 242 247 253 228 42 21 114 199 175 37 182 1 142 62 83 235 87 174 150 210 241 237 238 151 101 195 45 211 15 179 201 199 152 71 202 84 159 80 48 127 19 88 78 94 242 243 57 165 101 57 93 27 49 219 75 253 146 228 32 123 136 238 84 178 172 159 41 114 227 32 243 130 122 96 246 207 60 154 175 162 233 131 83 248 137 161 89 164 203 44 147 107 183 17 72 17 212 226 37 120 219 35 234 187 198 126 184 173 87 15 53 181 242 75 17 95 41 130 179 71 200 15 144 216 28 113 193 4 241 220 118 172 255 0 133 209 148 248 165 163 95 69 188 5 144 200 198 65 130 202 124 236 176 199 124 41 61 185 246 28 56 79 222 191 99 92 53 189 148 181 238 122 94 155 163 255 0 104 106 154 226 222 198 242 64 154 140 243 170 160 39 42 93 243 250 170 144 61 62 181 202 248 179 70 131 71 210 236 116 43 75 163 41 50 73 53 193 144 13 234 216 29 125 122 15 79 122 245 31 5 90 78 108 167 185 125 168 24 74 211 23 24 101 82 73 192 227 241 231 219 235 94 101 226 171 105 165 241 29 211 74 235 43 27 144 217 102 236 98 140 28 251 28 26 224 175 55 207 101 216 194 41 242 91 166 229 169 124 58 203 240 254 123 220 202 174 147 151 145 7 203 181 75 198 192 245 233 159 212 147 215 138 230 101 178 187 189 177 133 224 103 243 216 17 43 55 116 36 176 36 122 134 39 35 251 178 158 194 187 185 60 217 60 56 240 195 36 138 170 34 137 137 112 21 177 140 131 211 168 81 159 169 170 183 254 31 188 138 121 6 157 50 61 170 91 121 191 41 92 225 151 233 193 228 143 95 202 166 117 26 119 72 205 59 59 162 15 15 248 11 85 214 180 77 52 216 75 113 107 106 101 5 214 32 204 135 42 143 193 199 98 181 183 224 223 134 90 132 30 33 150 247 92 190 212 110 32 88 129 242 228 150 72 213 155 43 193 61 250 98 187 143 135 178 61 167 135 237 85 46 45 213 85 200 149 29 192 35 3 7 29 51 207 242 174 148 204 62 206 110 109 238 82 54 40 160 49 112 125 171 162 9 91 153 238 109 66 115 140 149 164 253 14 50 111 134 186 20 186 77 236 118 250 42 21 158 81 42 58 206 124 196 224 2 55 22 207 56 60 123 214 54 167 240 239 75 91 120 45 101 210 21 167 133 92 43 155 192 172 114 114 51 134 236 51 140 231 30 213 218 219 181 206 46 12 122 164 87 44 78 93 21 199 7 168 168 174 86 215 207 105 100 87 146 69 24 49 151 66 7 215 35 191 189 90 118 103 175 10 181 35 213 158 125 255 0 10 69 110 103 141 163 123 181 183 147 44 241 139 144 203 255 0 161 123 10 131 81 248 20 145 75 43 192 151 18 22 144 50 161 153 6 209 193 238 125 69 122 237 133 229 160 183 182 146 89 162 133 206 78 54 109 227 4 12 129 197 86 190 212 44 100 187 145 94 226 54 80 253 2 30 49 219 145 93 177 156 250 30 85 92 69 85 55 239 189 251 159 60 120 179 193 215 254 30 179 72 38 177 182 113 54 102 89 63 118 95 35 0 41 60 144 185 59 177 208 159 206 184 201 180 169 140 171 184 176 80 229 20 142 20 47 4 227 183 249 39 235 234 31 21 181 77 50 111 18 91 198 215 246 209 68 195 203 146 102 144 132 132 96 231 128 9 39 30 130 184 95 19 201 103 111 230 220 233 90 173 166 165 107 109 39 152 208 25 88 73 36 68 128 14 71 3 32 19 254 69 109 10 241 131 247 183 62 191 40 85 39 74 14 73 235 254 103 19 114 175 111 44 190 75 179 179 238 85 218 167 3 175 67 215 183 232 105 139 165 205 101 97 5 250 201 179 204 220 20 166 127 118 65 24 39 182 73 25 28 211 53 157 97 38 134 88 116 212 158 206 222 229 247 73 108 206 29 84 140 129 180 145 158 140 107 57 47 175 34 141 161 18 47 204 64 44 202 9 82 51 140 113 193 247 21 18 197 38 238 125 181 42 55 138 208 244 93 34 209 215 87 213 20 151 111 153 38 132 144 196 99 96 66 113 223 145 250 86 215 246 57 86 38 47 181 28 190 242 238 132 70 87 24 198 57 39 59 129 24 239 147 237 87 60 49 54 141 46 171 112 45 174 166 152 196 195 202 9 111 203 161 1 185 0 241 140 129 129 211 21 212 63 216 147 81 134 52 210 100 116 1 88 111 130 77 141 242 131 203 14 228 142 158 181 205 136 105 180 211 63 35 203 103 58 114 157 226 239 100 254 227 204 244 189 46 115 175 60 134 59 183 181 121 101 32 71 6 14 200 196 100 5 36 115 156 55 110 163 191 53 183 101 108 86 230 109 41 101 141 24 249 141 52 55 16 237 242 65 35 229 4 99 60 1 207 61 1 239 93 126 135 163 200 250 132 239 6 152 209 199 18 35 170 201 28 140 168 54 146 217 45 156 114 57 255 0 26 197 248 171 109 53 142 161 109 117 166 45 204 205 114 60 197 91 112 100 141 72 1 11 16 73 10 113 208 128 58 245 174 105 79 157 164 135 137 165 26 141 181 185 206 155 195 97 165 95 11 99 117 37 179 93 136 36 154 73 62 103 62 89 46 65 29 126 242 15 151 168 94 61 107 169 248 45 18 93 235 87 58 132 214 236 210 139 63 44 129 24 80 142 100 151 118 71 24 224 118 31 197 142 230 184 205 111 64 190 91 8 175 45 172 96 104 98 186 242 224 217 46 198 102 98 57 41 143 149 129 93 189 120 252 1 175 64 248 29 167 94 216 106 210 174 165 32 89 238 15 201 9 92 178 5 13 243 19 232 78 57 228 122 30 106 121 153 197 25 69 43 69 239 161 233 218 100 66 219 195 183 22 239 26 134 40 119 41 57 250 224 126 88 247 21 231 22 250 115 220 235 207 43 172 175 43 72 202 84 177 0 118 252 56 85 57 247 175 74 241 105 251 21 155 69 111 37 201 121 92 54 216 208 146 0 234 56 7 28 122 215 49 13 205 149 174 161 107 251 137 150 98 251 8 0 238 239 245 232 71 56 255 0 10 243 230 218 170 174 41 81 146 74 202 226 62 138 30 218 88 4 175 4 83 229 139 115 140 156 96 143 78 191 175 181 105 233 241 73 253 147 112 138 204 99 77 169 35 48 193 113 146 49 249 28 211 53 13 126 214 208 155 117 210 117 57 209 83 1 227 198 210 49 244 244 7 21 42 234 241 194 60 139 109 30 238 225 238 35 28 153 240 187 199 111 187 199 0 118 239 197 109 120 55 123 152 56 182 244 44 218 45 173 182 152 168 222 102 114 238 10 156 157 196 147 253 77 88 210 166 181 251 68 150 247 38 54 19 33 27 103 77 201 215 62 158 221 133 97 93 248 142 43 57 33 181 151 195 122 164 164 51 33 242 152 28 178 116 193 219 140 30 113 236 51 84 173 124 71 52 218 148 44 124 59 123 167 44 216 218 103 98 193 212 144 15 203 180 118 61 51 90 197 246 102 212 232 84 85 20 151 70 119 26 59 139 107 153 218 57 226 75 108 3 179 106 151 32 14 199 160 25 246 170 186 213 167 219 172 154 233 36 69 140 156 148 204 100 241 199 204 122 176 60 159 202 133 185 211 236 44 128 123 120 38 157 243 229 162 64 9 206 51 232 113 212 250 10 132 93 67 29 150 199 181 141 3 100 252 176 33 25 198 1 56 110 189 171 104 179 219 143 53 249 208 105 75 12 22 246 136 72 99 243 157 177 166 0 28 246 201 31 175 53 71 198 122 166 153 162 89 207 125 36 137 110 251 192 221 58 18 172 122 227 182 127 3 89 26 247 139 180 159 13 52 13 127 166 47 155 183 16 59 76 50 249 31 48 194 142 14 118 246 231 53 229 159 18 117 212 215 165 158 248 220 253 145 22 83 178 25 165 42 81 48 184 194 146 119 103 158 131 243 233 93 240 154 125 76 169 101 53 107 215 230 150 145 111 125 14 119 197 237 53 197 211 60 177 205 20 151 68 149 223 40 100 41 140 240 122 227 145 239 211 154 226 89 36 50 27 127 51 108 140 175 247 23 29 7 221 35 129 207 168 39 175 174 69 106 201 120 134 226 57 167 143 120 76 237 101 80 59 116 56 193 35 30 227 167 173 84 50 219 52 78 22 222 87 139 164 108 91 27 15 92 116 245 231 215 243 174 124 69 94 91 242 159 167 229 152 55 70 154 129 155 115 4 200 75 186 176 99 31 153 143 199 7 235 76 54 225 214 70 49 185 147 32 12 246 231 156 254 117 172 198 223 202 146 102 76 187 229 25 15 240 18 57 56 244 200 205 65 16 133 213 188 208 118 28 247 234 199 250 87 154 235 59 232 123 244 232 174 93 79 91 210 228 10 239 112 108 237 25 229 5 246 192 156 149 24 207 33 135 113 156 125 43 182 130 56 115 11 206 145 62 198 4 71 229 178 19 242 240 58 100 143 114 216 227 56 174 98 207 76 212 18 104 33 62 24 146 37 96 118 48 187 144 156 99 160 24 28 103 244 250 215 83 6 153 171 203 52 69 252 51 35 108 37 114 179 178 149 24 192 235 142 224 117 233 90 58 212 219 220 252 42 115 155 248 191 53 254 102 141 154 168 211 219 201 132 9 166 108 21 2 68 81 215 144 115 92 247 142 188 235 45 10 207 81 182 184 134 41 237 174 84 151 100 109 165 78 67 174 122 14 131 241 2 187 27 31 14 234 106 12 73 225 163 180 110 218 5 227 169 32 116 201 7 25 36 125 49 79 241 71 135 117 203 159 15 93 219 190 133 107 18 52 44 165 165 188 108 122 142 224 30 159 173 68 167 23 170 51 231 111 75 61 119 243 60 125 109 181 75 189 69 175 175 108 175 33 157 136 150 213 45 71 206 196 30 9 0 99 104 3 185 7 145 211 183 77 225 2 146 234 2 227 78 149 34 215 5 170 253 165 110 100 63 186 84 116 200 29 113 185 139 28 19 220 118 170 137 246 93 59 78 180 91 59 232 52 187 229 133 131 202 211 36 140 51 180 148 60 183 125 216 227 211 210 170 90 235 186 21 181 236 22 119 154 238 147 53 142 210 178 121 145 200 36 147 7 56 220 20 14 112 164 147 215 20 148 103 125 19 56 234 198 77 222 49 61 182 11 248 174 45 22 69 149 198 244 12 54 202 23 239 1 128 73 28 96 254 181 13 181 229 165 196 11 112 111 226 136 44 223 35 172 135 113 236 87 144 70 121 244 174 18 31 136 62 20 179 184 10 183 90 42 162 171 121 76 100 153 152 46 113 129 247 87 24 200 224 255 0 90 134 227 227 71 134 99 41 105 36 240 77 108 172 187 214 8 164 127 174 8 151 29 62 180 58 114 230 181 153 211 237 185 162 142 250 107 217 126 210 233 2 237 141 36 192 154 89 3 23 237 184 0 125 51 212 119 168 245 87 197 163 92 65 9 116 86 12 21 200 63 54 113 232 125 113 94 99 55 197 239 8 139 169 46 44 230 137 98 80 170 233 36 110 115 244 27 199 62 245 36 127 25 124 38 182 238 202 233 230 58 130 24 249 156 144 119 12 130 79 32 228 245 21 30 206 173 173 202 201 169 87 159 200 244 13 99 86 116 185 145 34 210 164 46 20 102 65 34 144 91 25 194 140 246 231 39 218 172 62 163 20 246 141 246 189 51 206 109 187 118 110 80 170 222 184 60 147 156 254 85 228 235 241 47 74 187 136 237 190 211 202 190 62 248 117 60 14 56 105 120 246 235 253 42 234 120 247 71 2 79 34 255 0 71 141 152 109 96 209 180 132 175 92 96 204 63 149 105 10 117 23 217 102 180 155 157 146 59 77 5 102 88 111 103 212 32 177 111 44 18 133 66 46 6 50 120 108 177 237 210 178 174 188 84 233 12 150 247 87 150 80 88 124 206 165 35 84 32 103 170 227 160 235 215 175 227 81 219 248 187 195 18 219 151 91 221 33 165 117 27 203 238 80 199 28 225 114 113 207 185 233 64 212 45 181 59 47 178 193 123 225 117 138 83 150 141 204 146 2 192 240 118 99 28 86 241 140 215 217 61 74 119 148 185 167 253 126 12 228 110 124 64 47 133 206 173 166 233 12 202 237 229 37 245 202 171 56 231 230 100 94 192 113 200 193 250 243 92 159 137 77 199 218 110 87 236 197 109 178 55 203 52 9 43 146 70 6 6 55 1 245 199 90 244 61 118 15 23 139 121 99 179 209 116 107 152 227 140 109 154 197 194 150 57 227 8 237 156 14 191 128 175 49 241 30 153 119 99 41 154 254 11 137 47 46 78 226 36 87 64 61 185 198 127 33 129 245 173 91 148 99 170 177 239 101 158 202 173 91 221 121 107 119 255 0 0 228 46 126 105 25 148 132 27 143 72 246 1 235 192 233 68 109 60 81 229 149 153 95 33 73 94 191 76 142 107 66 75 38 132 102 113 28 97 254 226 249 39 36 241 208 247 250 255 0 141 69 53 178 71 104 28 48 222 216 219 148 228 112 73 254 159 165 114 202 109 173 15 188 195 219 75 25 251 153 1 27 130 228 237 32 140 250 255 0 159 198 161 119 148 14 132 129 211 140 212 230 23 79 152 228 129 207 67 76 88 75 23 82 74 134 25 199 74 193 238 122 125 15 174 45 111 94 197 33 105 136 124 141 170 203 112 122 241 129 131 252 176 107 123 76 212 238 26 8 39 104 230 128 72 188 68 92 131 159 126 56 230 188 242 215 86 183 82 24 59 62 220 131 207 67 223 143 243 233 90 80 248 129 118 168 49 146 138 112 54 161 227 212 99 240 235 94 122 198 198 26 51 249 229 206 17 209 158 143 168 107 86 150 26 108 247 250 132 242 69 109 4 77 52 174 100 35 106 168 220 122 30 120 21 242 47 198 143 136 122 238 167 169 92 197 37 204 208 201 114 225 218 48 228 152 161 192 49 68 71 176 108 159 86 102 235 129 94 173 241 59 197 94 110 156 45 153 88 217 91 67 253 163 121 188 109 14 136 216 134 28 115 159 50 92 126 8 71 115 143 156 181 13 14 242 230 218 218 246 244 59 234 58 181 243 109 249 193 249 118 134 114 70 115 213 199 211 105 29 142 61 204 6 180 125 180 186 254 64 170 54 174 140 216 211 90 191 143 204 88 238 229 89 121 12 210 132 86 228 140 243 215 145 250 82 197 225 191 18 93 72 36 143 79 124 150 33 119 221 32 36 231 28 114 50 120 35 30 222 213 233 122 109 136 142 24 225 134 49 26 68 54 160 61 0 239 146 79 94 59 85 168 252 168 166 105 66 146 83 59 79 113 158 220 115 254 113 92 53 51 122 137 190 68 143 62 166 46 105 251 182 60 180 120 55 197 51 200 1 176 139 230 109 187 164 187 76 100 244 228 183 127 214 183 101 248 65 241 2 25 25 36 240 253 158 228 60 169 212 98 5 185 255 0 174 149 219 37 212 10 8 249 135 206 142 223 57 201 42 73 231 158 249 53 215 248 91 90 31 99 183 134 37 47 229 168 83 36 132 157 222 167 57 247 174 58 153 214 34 10 246 95 215 204 206 25 132 151 196 121 110 143 240 75 196 247 154 123 222 234 141 165 104 128 202 81 18 226 71 125 195 0 228 50 18 184 246 206 120 170 207 240 182 36 212 37 177 151 198 94 16 132 199 26 201 190 75 205 170 73 44 54 12 183 81 183 245 174 247 197 222 12 147 196 186 237 206 162 117 86 182 243 209 35 88 214 15 48 0 20 15 189 187 219 53 134 126 20 198 168 76 190 35 187 3 63 41 22 93 122 255 0 181 159 242 59 214 240 205 35 40 222 85 44 253 14 232 98 233 53 119 63 192 194 139 225 28 247 101 191 179 252 73 225 75 230 140 101 214 214 237 229 32 103 25 33 73 192 162 79 131 126 38 15 182 59 157 44 31 64 242 174 70 112 14 8 207 53 222 248 39 192 113 120 115 89 26 132 122 141 252 199 203 100 96 202 170 172 24 99 208 250 246 53 215 222 91 200 76 114 218 153 1 35 36 16 91 61 122 254 95 165 101 83 52 168 159 238 231 117 232 41 98 46 253 217 104 120 83 124 47 241 106 66 38 140 218 188 124 148 104 231 126 71 168 227 190 107 46 111 10 248 170 207 59 172 230 249 78 14 217 241 131 215 184 175 118 186 138 68 148 70 190 108 110 20 150 44 123 109 231 167 249 230 178 110 218 241 75 196 31 206 44 195 112 94 49 212 113 235 81 28 227 19 123 104 93 55 57 125 175 200 241 57 175 188 71 164 177 204 247 246 219 15 205 178 64 70 126 162 172 67 241 19 95 142 86 91 141 70 91 144 112 63 124 199 242 206 77 118 222 44 178 154 230 222 88 14 118 50 30 60 161 201 234 14 227 94 73 226 59 38 135 81 143 41 229 139 142 8 207 220 145 78 215 7 62 227 63 136 175 119 3 141 120 136 235 185 217 30 120 37 62 107 191 45 15 83 210 188 79 127 30 161 109 169 164 81 206 46 20 71 19 133 220 87 104 193 218 65 192 113 187 245 28 96 224 100 92 78 241 143 44 146 197 125 198 1 62 159 231 181 84 240 245 138 216 221 65 161 198 46 38 139 86 140 53 137 150 64 187 47 84 127 171 206 127 141 73 136 231 31 57 29 118 84 179 163 0 71 149 193 27 148 158 224 242 40 197 210 80 106 75 102 126 141 195 57 164 42 211 116 234 233 56 254 43 167 221 183 220 58 89 25 118 156 238 60 231 218 161 243 29 178 185 193 3 60 117 164 149 219 120 220 132 46 122 230 129 146 217 219 143 124 215 3 208 251 90 117 99 40 238 125 11 107 164 8 229 42 144 59 146 165 149 195 48 207 39 182 7 173 99 219 120 183 193 9 118 109 164 214 231 18 9 132 110 126 207 43 174 65 198 7 31 173 105 217 235 47 20 208 149 64 118 116 92 150 36 131 223 182 48 122 125 43 206 124 59 224 121 47 53 168 109 166 182 54 203 44 201 2 204 183 1 213 195 100 200 216 60 128 35 89 15 177 197 115 97 112 116 170 221 79 115 249 211 178 70 175 138 214 75 219 93 46 205 97 154 89 117 233 255 0 182 46 17 206 217 62 203 31 238 237 98 227 161 124 103 253 230 170 186 46 143 22 171 241 18 234 216 249 81 91 233 54 75 12 42 138 8 144 231 50 72 189 176 205 35 183 176 144 85 217 53 155 125 67 91 212 188 83 28 65 18 226 243 202 211 71 152 16 197 12 10 22 47 151 161 195 21 108 122 167 189 96 248 31 81 131 70 212 229 15 4 119 98 85 33 92 204 16 244 7 105 36 227 168 175 79 25 62 106 14 141 61 236 116 212 165 63 101 162 220 244 75 207 14 217 89 90 92 223 204 23 200 183 138 73 28 4 228 133 4 241 249 99 143 90 227 244 191 18 248 82 123 52 154 226 213 225 187 99 181 237 206 50 199 212 59 21 82 191 94 125 170 247 138 53 173 119 84 208 27 79 176 209 126 204 183 64 198 93 47 162 152 178 128 119 40 11 200 206 114 78 122 113 222 188 202 231 65 214 133 236 112 182 139 168 239 144 176 141 86 221 219 113 30 152 28 240 9 227 210 188 204 38 91 14 79 223 45 125 78 106 88 24 168 222 164 117 61 75 75 215 188 13 26 73 37 228 112 90 4 27 140 155 227 148 241 208 5 86 220 123 14 1 250 245 53 212 248 38 235 74 241 22 134 250 134 147 10 219 89 164 198 37 50 64 17 201 24 4 225 73 29 10 215 207 23 122 38 177 19 172 18 104 186 140 114 57 33 85 237 156 51 17 201 192 35 154 234 52 85 241 118 145 165 232 146 105 86 247 214 151 81 203 120 254 91 66 234 178 170 42 201 177 148 143 155 35 126 1 28 246 174 170 185 101 9 43 65 89 252 205 165 132 132 147 81 86 61 244 105 177 9 140 202 232 185 3 36 46 9 39 35 160 197 23 154 82 203 8 120 160 6 65 187 203 67 146 28 227 24 63 165 120 118 181 226 191 137 215 90 156 182 150 203 168 69 20 179 50 67 228 219 24 119 142 79 222 192 110 128 158 79 173 45 183 138 188 103 109 110 109 158 203 195 247 4 147 191 237 215 241 76 231 177 201 146 114 71 78 156 15 106 229 142 82 210 221 24 199 7 46 199 170 92 106 218 54 159 100 14 181 172 233 22 55 3 33 226 23 107 159 203 27 186 118 199 90 171 166 248 155 195 215 167 202 177 251 125 242 32 37 238 98 178 144 47 251 197 153 84 99 223 165 121 170 248 195 199 246 86 210 92 233 250 54 141 20 17 141 174 108 34 130 93 185 249 127 129 152 142 72 171 118 94 49 248 140 247 43 22 167 167 220 11 25 72 75 134 123 47 184 164 227 174 62 94 195 154 218 57 106 138 213 47 191 254 1 180 112 174 250 163 171 210 252 117 224 173 86 18 233 113 37 157 192 249 94 9 194 199 208 127 120 182 210 56 245 207 181 83 212 60 91 224 133 133 228 58 168 146 88 201 59 22 219 123 177 244 7 24 57 245 207 244 175 42 186 240 135 139 45 33 158 238 95 12 106 49 219 196 11 200 230 212 157 139 220 158 50 0 247 166 255 0 194 35 226 223 176 189 217 240 198 164 177 70 158 107 179 91 50 144 189 73 193 231 30 245 212 242 220 59 119 177 208 176 241 79 99 210 244 235 205 59 196 218 44 151 182 240 201 7 145 59 198 209 190 9 245 83 199 35 32 143 212 87 154 124 88 210 173 161 185 189 183 242 202 202 158 85 229 171 40 225 129 77 147 140 122 229 81 190 138 115 93 39 134 44 117 239 12 91 94 223 223 216 94 193 110 241 9 8 138 246 218 54 249 115 201 71 201 110 15 3 25 170 30 55 154 249 181 171 91 203 167 130 56 13 163 196 249 146 32 237 20 233 131 194 59 6 224 147 145 143 160 168 195 225 158 31 17 207 31 132 175 103 52 218 75 70 100 120 86 5 241 15 132 39 211 109 204 81 234 54 141 246 155 55 89 54 187 50 129 192 207 92 18 8 30 243 55 106 239 236 110 52 253 111 68 181 212 222 194 222 57 238 213 223 98 156 24 238 20 226 226 60 118 196 153 124 118 89 144 14 149 227 254 14 212 164 240 254 187 101 125 45 180 115 198 178 171 58 22 224 174 112 202 113 216 161 117 62 205 94 185 163 199 29 151 140 174 52 168 197 189 197 182 164 83 88 211 228 102 192 18 68 187 166 94 57 220 240 252 248 238 233 24 57 175 97 194 53 169 184 51 163 15 90 116 106 41 34 129 177 242 198 195 108 85 144 0 85 64 10 216 238 126 181 90 238 221 55 96 192 200 165 126 81 131 205 109 234 26 145 142 105 34 145 66 203 3 176 101 81 187 107 100 112 72 56 110 245 147 127 121 191 104 16 224 21 5 89 64 24 245 175 157 82 146 118 104 253 7 1 86 187 106 235 67 214 226 210 45 26 76 155 98 248 4 2 24 250 224 247 171 246 175 164 104 87 50 193 119 111 4 179 164 69 110 98 154 99 16 142 41 151 25 103 195 16 10 175 240 140 141 253 121 4 71 225 171 119 185 158 214 59 77 194 104 137 253 233 98 89 152 253 192 171 216 143 152 231 147 247 113 222 188 243 196 190 33 23 122 164 155 131 58 71 62 198 36 99 122 35 100 47 211 131 199 65 154 244 98 227 78 210 72 252 158 130 182 172 207 212 210 107 171 104 173 44 52 171 84 180 132 21 140 37 199 153 180 46 78 1 97 145 212 146 6 51 239 219 29 236 238 96 34 57 109 146 51 156 231 35 252 247 205 105 79 115 4 173 230 64 76 12 237 243 168 7 7 143 254 185 230 166 251 74 60 5 37 12 15 60 251 123 100 113 216 214 114 169 119 115 175 155 204 194 123 25 193 1 97 80 164 146 48 195 241 227 252 250 85 113 103 123 36 136 223 103 157 208 49 85 32 18 9 198 15 208 246 253 43 113 174 35 27 136 119 0 116 4 255 0 159 254 182 106 22 185 56 69 89 166 80 167 128 23 0 126 31 231 245 170 83 69 70 125 217 131 61 166 166 129 138 89 221 34 150 235 134 25 207 7 183 225 250 85 70 181 213 48 10 219 78 163 59 129 31 207 38 186 9 111 155 24 243 230 235 207 229 239 85 100 187 102 36 180 142 115 142 152 247 170 231 47 153 119 102 51 217 95 41 98 246 178 231 35 60 138 132 88 93 178 22 54 248 201 200 59 128 173 137 103 113 51 98 73 24 118 39 249 84 45 54 217 58 200 62 110 121 166 164 82 146 238 102 75 99 54 220 121 69 125 126 117 166 139 75 130 219 76 68 6 7 157 224 247 173 6 148 135 10 3 128 7 113 81 201 41 71 201 220 14 9 193 7 130 42 148 138 186 32 91 123 214 46 230 57 11 54 119 18 248 39 175 94 105 137 105 122 23 112 181 151 129 212 73 208 86 138 221 17 128 36 32 99 160 239 82 67 121 32 44 60 220 243 211 20 249 138 188 123 153 19 91 202 80 229 51 129 128 55 227 128 41 173 19 146 209 139 84 144 227 63 51 110 35 3 167 92 126 157 171 94 121 21 165 195 58 242 73 61 71 52 137 56 133 153 163 149 16 17 134 198 122 103 244 171 82 68 223 204 192 125 41 200 44 109 36 93 185 192 192 7 143 76 154 245 143 134 159 217 250 157 239 135 244 125 115 75 191 70 211 110 98 146 214 233 25 18 72 204 111 187 97 220 228 99 111 7 140 225 23 211 53 197 195 112 177 204 204 183 48 66 253 12 143 185 136 231 182 7 21 12 210 219 164 198 85 212 85 166 254 251 103 140 245 29 56 31 79 214 182 167 83 149 220 210 10 18 126 243 178 59 111 136 81 88 77 226 155 237 71 195 231 110 153 36 216 88 227 151 113 128 168 11 206 56 0 227 32 130 87 176 60 113 205 48 224 157 217 249 121 27 50 43 42 203 82 54 147 238 75 132 219 158 139 200 61 136 35 184 63 227 93 86 171 20 66 222 215 80 180 142 101 178 187 135 116 68 156 252 195 229 117 206 0 32 48 227 208 99 190 107 42 148 227 38 230 125 166 87 154 210 247 105 94 246 208 245 139 171 223 236 47 134 23 218 180 47 182 250 242 232 218 89 72 188 52 68 131 189 199 161 8 8 227 166 234 242 104 109 81 149 24 1 232 123 17 249 254 53 232 191 25 45 102 210 206 131 225 249 27 247 22 182 38 114 23 163 59 183 204 221 121 60 1 207 165 113 112 194 162 13 255 0 221 42 112 61 255 0 200 175 46 189 79 123 149 116 208 252 226 80 116 210 139 34 134 214 53 69 194 163 140 247 24 197 62 27 112 209 157 171 208 158 128 255 0 158 134 180 22 18 0 249 49 200 192 221 239 78 182 139 8 15 39 168 198 238 153 255 0 63 165 96 164 194 49 111 99 29 173 193 220 9 3 111 28 228 231 143 210 161 54 193 75 58 3 187 170 241 90 204 139 230 20 218 72 39 129 187 243 237 73 34 47 205 128 11 6 3 169 255 0 61 42 212 202 179 71 61 60 11 184 18 167 37 114 49 158 57 31 227 84 166 142 48 56 201 244 24 235 91 243 69 27 51 18 57 200 231 174 58 122 213 105 35 180 12 15 159 188 238 28 148 237 249 86 156 229 163 14 226 56 247 150 32 227 60 96 125 106 25 163 93 217 67 140 158 7 242 173 249 45 161 118 37 110 19 36 228 126 236 143 90 143 236 105 183 253 100 64 131 215 97 56 193 62 213 74 101 164 96 73 30 36 60 254 70 160 120 65 25 37 200 199 97 207 74 238 174 52 11 84 210 44 239 102 148 164 146 207 36 126 80 85 28 32 95 155 112 83 144 219 186 99 140 86 68 150 150 91 136 204 188 15 155 44 58 255 0 223 53 106 101 216 194 17 141 202 203 199 30 159 90 114 166 8 36 125 125 235 111 236 86 98 66 5 198 71 66 8 36 241 158 159 40 244 168 21 109 22 48 86 77 238 20 128 2 253 125 71 21 92 225 99 42 68 249 151 1 178 123 227 241 166 180 101 148 178 134 227 175 189 108 188 16 149 198 28 103 140 150 231 244 21 20 169 8 249 74 48 233 128 24 127 133 90 153 73 92 196 154 51 206 55 145 156 115 244 170 243 67 38 226 10 252 191 165 110 55 217 48 168 99 113 201 232 216 254 148 215 22 165 119 121 50 117 207 15 131 252 170 212 205 61 148 146 187 71 60 241 42 109 249 91 7 61 62 181 233 223 11 238 255 0 183 252 49 171 120 30 236 134 113 4 186 134 144 207 201 142 225 6 233 16 31 71 69 35 30 163 61 235 133 145 32 94 68 82 113 208 239 31 225 90 158 14 212 191 178 124 77 165 95 219 35 137 98 186 70 4 191 4 110 228 17 142 132 28 86 145 169 202 238 107 135 133 79 104 156 55 63 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumagJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 251 47 35 214 140 143 90 249 3 76 177 191 145 46 100 188 190 187 37 95 25 243 24 50 241 216 134 165 134 194 250 250 72 196 23 151 173 17 27 131 73 116 234 62 189 121 21 195 91 29 26 82 80 181 223 145 46 113 77 164 246 62 190 200 245 20 87 207 222 13 208 146 218 52 186 154 230 118 113 243 70 198 67 243 14 249 7 222 187 107 121 38 102 79 42 73 93 91 251 164 158 252 115 93 233 94 221 204 157 117 209 30 151 145 69 112 243 105 183 190 82 187 92 60 64 48 109 185 57 53 208 50 164 58 118 34 45 187 3 169 201 38 170 172 85 56 221 179 72 74 82 143 51 86 54 50 61 104 200 245 174 114 206 38 121 93 26 70 242 250 229 143 83 233 88 190 34 214 166 210 161 144 193 41 45 150 194 200 73 207 61 191 194 188 245 138 158 141 199 127 51 174 142 29 214 151 44 30 167 123 145 234 40 200 245 175 45 209 111 221 173 22 237 158 119 153 198 89 94 92 237 253 105 247 186 165 203 237 81 242 231 39 59 201 197 119 91 221 185 215 60 182 112 190 187 30 157 145 234 41 114 61 69 124 247 170 106 62 102 174 111 230 184 71 143 202 242 157 60 194 25 65 32 22 7 57 24 192 233 254 53 175 167 235 146 73 166 187 125 173 140 176 124 164 72 204 65 244 108 245 172 97 83 157 233 183 114 104 229 211 173 79 218 69 158 219 145 234 41 55 15 81 249 215 207 119 183 250 133 193 19 24 239 226 216 119 172 176 51 8 129 254 247 92 55 226 42 182 151 226 173 75 195 250 176 152 77 53 237 156 167 206 10 221 143 66 70 56 250 140 114 13 118 84 161 200 174 217 211 75 37 157 84 249 37 175 111 233 159 71 100 122 209 145 234 43 207 116 15 22 71 170 234 98 101 182 153 16 169 25 45 194 144 7 248 214 228 218 132 126 115 170 74 133 143 204 23 127 63 149 121 245 177 30 202 60 237 104 121 210 194 206 19 228 150 140 233 178 61 69 25 30 181 231 55 183 183 22 243 152 145 201 87 57 12 206 64 30 213 139 226 93 116 217 217 187 181 202 60 239 196 74 36 36 177 250 122 86 24 60 108 241 9 202 80 229 94 167 100 50 169 205 165 23 123 158 193 145 234 40 200 245 21 242 95 136 173 53 75 199 75 147 171 189 180 238 185 12 28 141 199 146 114 50 125 254 149 200 107 118 26 220 118 45 5 206 161 168 128 6 229 152 51 237 207 99 159 241 174 216 213 166 219 78 91 26 255 0 99 187 63 127 95 79 248 39 171 105 141 107 119 44 182 66 221 81 76 204 205 41 129 87 61 182 19 235 199 227 93 95 134 188 53 111 113 55 156 108 140 144 33 249 75 17 135 62 128 14 192 255 0 158 43 99 68 240 182 159 115 167 70 96 182 70 136 12 206 74 252 210 185 249 143 63 82 121 174 182 200 219 192 18 41 45 163 242 199 221 34 48 54 123 99 20 213 42 85 102 235 168 217 246 60 57 211 84 166 227 61 95 115 58 195 74 68 249 154 24 34 95 238 237 231 244 197 77 34 197 104 231 202 54 241 198 253 213 7 13 249 247 173 244 72 120 101 141 61 65 0 84 87 141 24 133 190 80 126 131 161 165 57 83 166 185 165 208 214 141 162 244 71 53 169 106 18 152 237 225 107 130 92 62 65 141 7 43 200 238 13 79 121 113 43 171 35 60 139 242 240 219 71 30 253 43 31 95 212 212 221 219 42 12 202 189 113 208 229 128 199 243 170 126 37 241 149 157 173 140 143 181 164 42 74 199 31 67 35 122 143 106 242 227 152 67 23 83 217 83 248 86 255 0 228 122 207 45 169 89 65 66 58 179 35 197 62 52 186 176 128 90 216 69 43 74 119 4 243 176 161 136 234 61 120 174 66 222 247 94 213 108 86 247 81 118 18 206 78 214 55 5 68 103 62 131 167 183 167 226 107 154 213 245 203 151 215 26 250 226 221 165 89 50 235 185 176 187 193 198 0 236 63 30 79 90 130 47 17 90 66 55 234 18 225 27 14 50 221 24 103 140 117 244 175 160 156 98 224 148 35 253 124 142 136 229 213 48 50 81 122 119 103 83 113 123 117 107 32 255 0 74 45 134 249 95 206 114 15 76 138 72 117 81 115 114 101 158 217 17 246 128 199 27 131 96 158 253 125 43 139 155 199 250 108 222 109 178 71 60 202 56 10 19 106 143 127 90 109 190 190 146 69 132 137 213 21 178 24 243 140 254 53 225 102 177 197 84 74 157 36 210 234 246 211 239 185 238 58 180 37 11 79 115 191 138 75 43 135 150 51 44 13 27 199 156 108 198 121 193 24 207 211 244 172 141 58 238 242 198 230 104 197 235 179 69 132 100 48 140 60 96 228 117 62 153 193 250 215 61 62 165 8 81 52 51 172 114 41 200 44 113 156 118 169 127 180 101 184 185 73 153 252 185 84 20 193 193 14 164 103 31 159 245 245 175 38 157 90 176 143 45 89 51 202 195 98 22 15 16 212 117 132 183 189 180 191 252 19 210 44 181 19 45 174 229 158 105 96 113 148 42 0 35 233 156 210 93 120 123 77 214 17 35 142 234 123 107 149 148 72 25 74 174 227 232 64 24 57 228 87 37 162 235 145 218 9 44 182 238 4 23 143 104 247 228 103 183 90 215 208 245 57 111 103 147 123 171 20 96 169 18 255 0 17 245 62 245 236 229 80 150 170 82 189 246 254 191 164 122 114 171 6 223 179 209 163 176 240 94 150 182 58 180 222 83 181 201 104 182 144 210 20 33 243 247 78 56 232 63 65 91 122 165 180 96 121 215 118 152 96 126 80 195 122 254 21 207 43 220 89 248 158 202 51 35 37 189 212 101 27 61 85 212 22 7 215 182 58 215 162 232 211 175 217 12 151 5 89 208 97 152 250 118 63 141 70 43 26 170 87 250 188 119 93 79 11 49 164 212 227 89 59 221 47 242 57 137 163 185 135 77 105 20 130 255 0 122 52 124 18 205 216 3 215 159 124 215 57 53 237 167 154 46 46 33 104 238 159 17 156 169 109 160 241 180 126 61 127 58 238 181 75 75 91 185 77 199 150 201 253 192 167 107 125 120 235 159 74 206 183 240 251 195 49 212 28 172 143 55 10 146 168 5 125 201 29 200 246 163 17 134 80 167 123 234 109 132 196 194 148 125 253 255 0 173 12 39 211 5 179 219 92 220 42 52 237 33 59 113 145 24 35 183 248 213 199 88 239 25 163 17 171 4 198 64 30 181 163 125 100 174 177 219 92 91 156 32 32 21 207 43 236 71 34 179 44 108 174 237 150 89 45 110 82 230 51 38 2 201 247 151 30 227 175 226 43 224 177 244 171 125 98 92 239 75 127 86 20 235 42 210 180 158 167 109 164 194 108 237 18 212 69 178 56 144 8 202 158 139 233 75 126 151 13 251 219 105 126 124 13 209 176 24 111 235 159 198 180 68 98 41 65 84 30 171 253 69 89 100 142 85 27 149 88 117 25 21 250 149 54 226 172 207 156 173 30 119 126 231 55 101 168 188 46 73 95 151 63 58 122 126 29 141 75 119 170 218 207 103 36 171 63 150 131 229 60 96 131 71 138 116 226 109 132 246 78 177 92 3 198 236 149 111 99 94 69 226 189 102 109 14 115 121 168 23 142 101 206 212 7 112 148 231 160 197 114 102 81 167 82 151 36 31 189 45 18 53 192 208 171 207 239 106 141 13 126 254 11 91 197 30 97 150 73 10 67 26 131 243 19 146 122 125 8 57 174 123 197 17 249 54 47 113 112 197 174 100 42 114 56 11 142 64 95 106 228 244 221 111 251 123 197 146 106 215 75 228 204 175 184 32 108 109 27 64 194 250 142 58 253 114 41 60 95 175 75 246 9 39 18 239 80 224 34 117 57 252 185 175 63 15 131 120 10 106 157 53 239 62 253 207 210 169 70 52 93 57 94 250 43 255 0 145 129 226 173 93 226 137 11 42 121 166 66 66 116 3 175 39 252 247 174 27 89 152 223 200 36 12 85 215 171 103 239 154 93 98 240 221 221 186 207 33 155 45 146 79 98 56 0 125 49 74 246 240 249 40 112 223 116 97 148 243 159 127 243 222 190 138 133 71 133 166 189 171 110 76 240 177 245 225 58 178 148 127 171 17 217 57 119 2 37 8 192 100 177 254 96 127 141 108 91 92 62 68 114 22 117 108 147 134 254 159 141 99 134 72 148 56 61 71 59 121 106 178 37 18 66 3 57 141 113 185 152 125 226 125 5 121 149 43 77 55 126 167 153 136 110 170 187 54 4 209 128 194 34 142 120 30 95 92 210 217 221 75 231 12 59 168 43 247 7 36 115 206 125 107 32 59 109 43 24 17 171 112 88 175 222 238 62 181 175 225 213 183 101 150 126 75 15 144 238 60 175 175 244 253 43 158 181 72 242 106 174 207 31 217 186 119 125 8 229 189 212 44 110 202 7 217 17 33 225 117 63 55 190 71 67 255 0 215 174 247 225 182 189 23 246 166 216 149 155 204 79 157 143 102 4 115 245 231 244 174 47 196 22 237 113 107 186 20 59 212 110 143 156 16 64 232 62 189 63 26 60 37 41 139 80 142 107 125 202 178 32 201 254 32 195 156 3 248 31 202 182 192 73 84 178 219 250 252 75 132 234 104 224 245 95 215 226 125 13 115 24 187 213 116 215 89 182 66 110 19 47 156 100 18 55 115 219 140 254 53 211 166 161 42 222 108 155 111 217 225 249 126 238 75 142 207 248 122 125 125 171 195 34 241 108 154 132 191 216 155 149 81 72 18 200 9 27 128 244 61 136 239 94 203 225 24 174 53 189 6 203 82 185 82 209 91 238 73 1 57 243 148 119 62 160 112 125 240 127 30 217 97 233 225 99 166 173 253 231 208 73 57 97 161 86 174 219 91 215 111 191 85 228 118 186 84 2 228 165 238 224 241 21 204 35 177 7 248 191 194 180 39 183 89 34 40 235 193 237 218 170 105 68 194 255 0 103 222 94 54 27 147 253 159 111 165 106 237 62 213 199 42 126 215 115 231 106 201 243 254 71 61 118 21 103 4 6 13 16 201 193 234 63 26 141 237 173 46 96 78 10 179 46 84 131 180 140 243 159 214 173 120 137 50 92 194 63 124 19 129 156 6 246 53 6 141 110 100 202 57 13 24 57 201 24 207 251 63 133 124 253 44 21 90 184 185 243 164 224 191 23 219 240 212 234 140 151 39 61 245 71 66 20 21 33 185 21 26 56 139 114 200 192 1 206 77 115 211 235 226 216 29 178 173 192 238 67 170 168 252 113 85 46 188 253 69 86 231 207 242 222 60 149 243 24 128 62 139 158 127 58 251 7 27 43 203 68 114 170 18 235 176 120 223 94 251 20 100 252 137 8 92 249 175 253 7 122 241 253 78 57 117 169 90 242 244 136 193 230 39 118 249 148 123 15 95 200 118 237 91 94 63 185 179 190 96 150 193 166 242 101 218 126 124 180 146 103 182 56 0 126 85 153 121 167 65 103 225 215 154 119 71 212 11 33 124 31 149 64 63 116 123 244 201 239 94 67 132 103 83 219 55 171 248 124 151 127 153 247 25 78 22 20 40 70 235 222 147 177 228 247 107 105 14 177 116 210 200 81 21 229 242 103 141 190 97 243 113 156 14 190 221 42 165 254 168 173 8 134 116 113 10 130 86 114 0 18 49 227 167 99 142 199 214 180 45 154 212 221 95 111 42 163 24 32 227 28 242 69 99 248 134 211 17 34 68 55 89 57 220 204 223 122 63 78 59 140 215 167 73 197 206 48 169 175 103 253 117 58 120 139 13 87 9 251 218 59 37 169 197 71 58 165 211 153 27 150 114 119 1 193 231 191 175 90 212 103 249 68 104 124 168 187 22 228 228 127 42 167 62 158 150 247 66 88 23 120 85 204 173 252 56 236 71 175 255 0 90 175 217 106 159 97 70 141 98 138 227 124 139 32 121 23 56 43 208 113 192 28 159 174 107 187 30 225 117 110 135 199 198 163 149 43 189 250 139 16 13 19 121 35 12 64 218 228 115 238 72 239 70 193 10 134 69 243 9 232 72 228 17 215 3 211 252 43 98 223 197 179 136 138 11 11 32 74 236 221 176 130 131 241 62 180 213 215 174 69 171 192 109 109 7 152 152 243 54 124 202 123 16 115 198 51 233 222 188 58 208 111 114 169 93 25 243 92 1 192 82 55 14 87 61 72 167 248 110 233 227 184 144 1 33 141 219 13 145 211 182 125 197 90 185 215 165 82 11 89 218 72 198 53 140 252 132 112 164 156 158 122 243 250 15 74 208 179 215 102 42 164 90 217 134 218 78 66 48 254 181 195 42 144 75 148 214 181 7 203 177 123 110 21 193 39 106 140 163 3 249 215 62 183 79 4 211 233 235 243 63 152 88 63 247 16 224 130 61 249 199 235 218 183 245 205 105 174 225 140 121 48 172 239 24 216 35 95 148 127 180 71 215 243 172 109 50 198 75 210 146 43 5 12 204 146 191 112 122 241 239 140 253 63 74 120 105 114 203 93 145 140 41 42 49 246 172 234 60 1 164 182 177 117 246 199 87 130 218 220 5 158 65 193 144 3 200 31 212 215 211 30 0 182 159 77 209 214 213 142 192 238 100 140 17 242 237 61 56 175 37 248 57 99 29 236 191 217 137 19 36 17 29 243 47 109 135 144 7 212 224 126 117 244 28 17 161 100 5 65 94 157 43 223 171 21 56 171 116 51 199 230 13 197 81 233 191 249 127 94 133 88 230 72 174 188 140 236 147 239 160 61 7 176 246 173 100 186 67 104 39 60 100 125 223 127 74 204 214 44 118 170 93 66 195 16 130 90 54 228 50 253 122 228 98 185 235 61 78 236 234 158 91 166 45 36 33 144 131 254 172 122 158 220 254 21 231 87 196 186 54 139 221 152 195 14 171 199 154 47 109 206 133 81 239 39 114 220 23 96 9 29 151 208 123 214 137 183 88 0 17 174 213 206 64 29 143 255 0 94 171 88 75 22 244 9 207 204 78 59 214 131 31 49 74 149 35 34 163 9 82 155 135 186 238 114 77 187 156 223 135 99 211 46 98 243 100 183 132 202 157 27 3 105 31 236 142 223 78 180 237 118 47 180 186 193 106 139 184 158 70 222 113 233 237 154 243 24 124 90 52 187 167 66 85 75 157 240 162 183 241 119 224 246 252 79 53 232 30 27 214 173 46 172 99 187 142 80 183 18 140 202 211 2 161 15 117 25 198 113 235 210 170 180 106 98 165 202 215 184 183 243 255 0 128 122 248 172 28 176 147 246 157 30 196 81 105 54 58 92 115 53 236 17 110 149 126 241 81 251 177 215 104 245 193 239 222 185 109 105 99 146 202 107 117 72 226 129 193 6 103 24 200 245 81 250 215 99 174 91 181 218 125 166 221 26 121 130 224 59 31 147 219 252 138 195 187 178 183 54 179 94 204 230 103 17 146 55 15 145 14 59 45 121 120 220 85 58 51 229 150 178 232 118 96 107 89 243 201 221 158 19 162 105 203 36 119 25 132 51 180 155 60 199 92 140 0 57 253 107 35 196 118 41 27 153 33 66 74 128 27 11 193 28 243 142 149 235 218 134 130 37 210 22 238 199 34 100 145 153 128 28 72 163 140 126 24 174 7 82 101 75 147 113 132 216 227 191 24 228 215 45 108 197 69 42 177 149 228 180 183 169 246 24 204 82 197 210 147 183 91 63 35 204 181 152 86 193 212 161 5 37 192 217 208 14 63 151 90 230 111 21 224 112 145 170 148 147 253 91 14 157 126 233 250 87 117 227 93 45 124 131 45 189 196 82 32 59 138 111 0 175 211 214 185 141 62 31 62 51 20 241 22 82 73 28 117 28 99 233 95 95 133 74 166 13 74 110 242 234 124 78 63 13 245 122 158 238 204 130 22 14 81 21 120 61 123 17 237 254 125 106 227 13 153 88 128 244 32 245 252 42 111 236 91 149 145 26 7 18 68 195 59 75 109 97 237 233 79 91 83 22 255 0 50 22 136 158 135 25 206 61 43 194 197 226 87 51 141 205 40 114 206 58 49 98 182 47 137 231 94 70 24 40 235 158 112 77 88 121 97 178 181 50 74 119 28 29 139 142 88 246 171 54 232 5 145 158 77 251 128 3 161 62 195 243 170 95 97 189 191 184 33 45 25 103 148 5 136 49 194 168 247 244 247 53 229 209 169 30 119 41 189 17 209 202 185 111 39 176 237 54 57 238 47 99 143 239 203 34 130 207 143 150 33 239 253 5 119 86 90 75 174 137 228 219 198 26 104 191 122 189 140 142 14 64 207 169 233 249 212 122 102 129 29 189 180 113 121 193 78 114 219 70 73 63 83 215 242 175 66 240 86 153 107 61 237 180 50 72 237 20 115 33 201 229 157 129 7 7 3 167 21 79 20 171 85 140 41 107 127 234 236 249 218 248 167 137 247 41 236 157 254 227 166 248 95 165 182 149 20 119 198 60 201 119 181 103 255 0 101 127 135 242 39 159 169 175 84 181 86 50 14 64 3 154 227 117 107 123 203 73 60 203 72 230 16 57 84 149 22 48 122 240 24 126 128 254 117 110 206 254 254 120 255 0 179 63 210 26 224 28 51 129 183 43 219 159 231 95 96 233 251 58 105 202 71 53 165 136 124 233 109 253 126 7 69 115 35 92 220 121 104 73 69 61 7 122 130 77 50 222 198 222 84 49 135 130 94 91 113 232 199 183 210 166 210 172 165 133 14 229 145 142 114 89 155 239 31 206 167 212 160 105 108 218 55 140 97 136 4 19 239 94 122 163 25 55 81 252 141 61 179 138 180 118 40 105 17 170 8 225 121 67 180 32 128 65 249 128 207 25 245 227 21 172 151 113 99 13 34 245 198 127 207 74 231 236 224 187 183 212 94 83 12 68 196 155 120 115 153 23 61 122 117 199 111 90 223 54 254 114 134 12 156 142 10 247 167 133 195 194 156 61 208 168 249 157 229 212 248 130 202 250 255 0 84 185 107 189 46 233 239 118 176 79 54 69 200 67 159 225 24 254 93 43 221 190 23 141 82 227 77 155 251 78 43 137 102 86 7 44 170 138 220 114 66 255 0 62 191 90 249 235 69 121 237 117 92 219 127 169 149 130 75 0 56 12 15 0 143 70 29 107 232 95 6 106 173 105 13 180 46 94 120 161 194 249 152 1 136 239 156 245 207 95 106 247 103 40 58 105 209 90 63 234 199 208 227 177 51 196 210 116 231 241 246 242 242 59 203 36 188 17 3 17 104 145 207 42 243 116 199 29 129 7 233 89 30 45 176 188 93 58 230 231 237 32 43 133 12 17 115 144 112 59 176 7 235 197 118 58 59 194 200 36 141 145 225 148 2 8 228 116 235 85 252 83 97 111 61 151 150 73 140 72 224 28 28 87 207 99 232 66 74 220 168 241 240 21 167 74 178 127 121 231 122 126 158 96 209 224 221 115 46 91 123 12 128 56 44 78 125 123 215 3 226 111 13 219 222 45 197 245 148 147 121 94 97 116 64 23 166 57 32 17 235 158 61 13 122 60 246 151 63 217 17 233 42 233 113 32 25 103 115 180 132 206 71 32 117 62 159 90 231 46 116 235 134 105 45 237 188 200 36 84 201 207 220 79 232 127 14 107 228 240 212 171 74 172 177 17 149 146 217 63 235 244 62 215 15 89 53 62 119 191 228 121 133 215 134 52 219 165 243 150 226 120 93 215 230 192 76 14 62 149 129 39 135 30 208 50 218 222 203 52 171 247 124 221 184 97 245 0 127 145 94 212 116 143 178 164 104 246 34 112 201 186 103 141 65 18 99 191 63 116 213 71 211 116 107 188 196 34 142 9 79 1 37 93 167 62 158 245 232 97 179 76 85 69 205 171 143 245 248 28 149 231 70 166 156 187 30 39 37 213 212 107 137 0 71 78 171 140 99 252 106 13 74 232 188 17 25 229 104 144 185 44 24 96 224 3 192 246 62 181 236 239 160 67 9 43 53 165 176 140 114 28 128 112 59 253 43 130 241 181 174 157 125 44 81 195 107 24 142 45 219 10 140 180 141 198 8 246 244 174 138 142 158 34 94 209 71 150 199 155 67 45 171 90 181 169 59 47 51 146 139 84 153 224 134 50 119 43 255 0 199 188 107 193 250 159 206 187 159 8 104 122 132 208 249 242 185 81 146 12 187 9 222 123 133 30 131 252 107 75 194 158 14 123 120 225 123 168 129 150 69 12 78 51 177 8 251 167 208 251 119 175 87 240 224 54 126 93 180 160 125 145 70 213 245 31 253 106 232 169 150 211 169 5 46 157 143 11 50 198 42 114 150 29 110 114 222 27 240 125 245 212 141 58 240 163 132 121 134 6 123 241 255 0 214 174 223 195 150 48 105 122 148 48 121 69 27 205 98 204 199 239 97 14 72 174 146 5 143 1 227 193 64 50 8 172 155 27 244 125 70 59 101 140 191 200 204 210 12 16 153 35 31 142 9 165 133 194 199 153 202 58 121 25 96 169 242 198 86 87 118 220 216 187 214 162 179 157 98 148 111 138 95 221 150 3 59 51 223 233 252 135 61 169 116 251 67 99 40 88 88 60 200 65 82 79 222 143 186 254 95 174 43 38 109 44 6 117 224 224 228 2 221 63 250 244 251 175 181 27 120 175 132 205 29 204 0 239 65 200 117 238 49 220 244 35 242 239 83 138 197 212 175 85 83 130 247 99 187 254 190 228 117 224 169 234 224 222 231 125 111 117 3 192 30 39 5 106 43 203 128 197 21 125 115 154 228 124 57 172 219 27 150 129 91 253 104 243 0 206 6 238 248 207 173 106 95 106 49 195 32 103 242 199 29 11 114 107 76 70 97 74 52 236 165 247 107 249 92 138 216 71 70 109 72 188 114 219 166 66 11 70 70 71 170 247 255 0 26 150 202 115 29 210 162 182 251 121 65 216 71 240 159 254 189 101 105 250 186 201 19 50 192 216 222 70 115 244 252 106 27 219 199 183 148 73 0 83 11 182 72 207 220 110 198 186 176 77 85 130 180 181 254 187 147 78 159 50 229 62 45 211 174 4 90 130 56 125 194 54 220 173 215 56 245 175 112 240 77 194 234 54 34 104 155 23 3 230 43 253 225 220 31 160 53 224 26 108 169 18 188 12 219 9 225 79 191 227 94 169 240 207 83 123 107 219 89 85 192 195 7 101 227 158 57 31 144 53 207 132 197 78 132 221 59 232 255 0 164 122 24 218 82 85 225 56 238 191 20 250 125 231 183 248 74 237 225 148 216 185 100 200 223 0 61 0 60 145 244 244 252 107 67 197 122 204 80 37 180 19 58 139 130 88 160 206 21 136 24 252 58 138 231 154 254 222 198 73 33 187 64 145 198 162 107 118 29 135 97 245 29 63 42 165 174 52 151 58 172 55 17 230 229 103 183 45 10 142 74 231 24 233 219 212 209 136 195 186 243 228 139 209 239 228 142 218 24 104 212 172 170 77 89 126 122 127 87 58 88 116 233 91 79 179 104 216 181 201 133 124 230 97 156 241 201 63 67 90 7 72 22 246 133 32 59 183 143 153 216 103 113 247 173 141 26 223 236 118 113 196 132 56 218 55 103 191 20 183 65 81 76 65 176 172 126 83 232 125 43 159 19 132 167 82 155 246 122 36 142 9 227 38 229 202 158 135 47 111 166 180 119 76 223 103 120 216 46 55 68 9 94 127 253 93 197 83 212 180 123 123 133 111 50 8 165 220 115 194 128 73 250 31 243 237 93 206 156 4 177 59 149 25 221 131 143 97 84 181 89 26 87 107 75 121 157 49 254 181 135 254 130 13 99 128 192 86 165 4 147 186 20 113 46 114 229 104 240 223 19 11 86 51 88 219 44 241 192 156 201 34 134 218 253 182 227 183 185 252 170 190 139 225 152 227 145 181 11 187 12 108 136 27 120 153 206 224 164 156 183 167 111 95 231 94 208 154 58 106 83 8 93 21 237 34 63 54 84 97 155 211 240 239 249 122 213 61 115 195 49 201 113 112 108 167 17 145 181 118 56 202 116 231 30 157 107 186 52 229 58 188 182 118 143 230 122 43 49 229 138 165 7 110 239 238 252 200 52 56 45 14 158 182 194 4 141 130 2 65 24 45 199 95 122 75 141 6 224 48 123 80 173 25 231 4 244 255 0 26 178 186 60 246 50 121 114 6 157 20 112 161 128 59 123 241 220 126 57 224 83 175 164 254 203 72 214 210 87 38 110 82 51 209 6 58 159 65 219 235 93 84 176 114 78 234 71 205 214 195 58 213 59 223 169 67 237 81 105 177 203 18 204 119 152 203 16 120 11 142 255 0 90 131 65 104 32 84 154 41 4 72 232 184 44 121 61 114 112 126 181 200 248 239 196 82 65 44 118 176 193 20 232 203 190 244 150 229 147 35 229 207 102 39 183 167 21 192 248 131 199 19 151 243 110 45 222 218 53 35 203 88 92 48 92 116 200 224 214 216 169 198 20 253 157 61 222 231 208 101 121 61 104 37 26 155 72 247 29 123 84 251 20 31 105 141 227 11 130 25 220 255 0 74 225 181 127 31 219 218 76 196 33 184 46 187 191 123 39 150 171 239 234 62 149 227 30 33 241 205 214 168 27 204 212 12 113 110 253 216 103 219 207 174 222 249 174 91 86 215 214 114 22 221 228 0 41 33 136 32 51 125 58 226 188 138 88 117 126 86 154 94 135 169 87 41 195 224 218 171 41 169 75 178 123 125 218 254 135 171 235 94 58 69 185 221 167 72 97 129 137 154 57 152 22 42 221 112 167 166 1 231 53 45 175 197 24 229 34 69 187 91 185 28 224 249 96 229 79 67 215 21 224 105 117 121 119 115 178 91 135 120 87 231 1 186 19 233 199 173 105 61 176 116 105 131 73 17 3 56 82 69 119 70 150 18 26 59 181 242 60 60 239 56 141 85 26 113 130 86 235 185 244 54 137 241 23 80 93 194 38 13 30 227 195 49 28 254 93 127 26 238 244 223 23 90 223 217 5 158 81 25 144 21 30 104 193 60 227 168 56 175 146 180 237 98 251 78 101 116 105 102 78 8 82 65 63 173 117 250 119 137 37 216 199 205 242 163 96 24 131 200 95 168 174 135 245 57 193 36 185 127 175 67 192 88 156 71 216 179 177 231 239 62 240 201 185 153 9 200 62 245 232 31 11 239 164 23 22 243 78 251 162 72 124 198 45 199 3 131 248 215 158 90 40 149 48 199 1 198 78 7 233 245 174 215 193 22 242 61 223 217 247 126 237 87 133 25 228 19 159 198 188 252 116 121 23 52 122 31 109 132 160 177 117 169 167 222 239 228 143 118 97 123 174 199 97 168 91 110 83 28 35 16 48 229 129 198 115 239 198 125 171 174 208 236 77 142 173 103 108 224 187 201 26 145 32 57 11 185 137 43 143 78 42 111 132 122 59 91 232 118 183 151 67 50 203 18 149 83 255 0 44 198 56 31 83 214 182 53 56 60 191 23 217 162 29 136 200 24 16 62 235 13 199 31 141 116 101 208 140 168 185 95 125 76 49 120 213 237 101 134 143 195 27 157 72 183 11 150 141 185 39 62 213 157 173 111 49 170 41 242 166 7 114 146 56 108 118 205 107 91 48 150 32 199 27 135 13 142 198 179 245 233 132 33 84 96 200 192 132 13 200 36 250 251 113 79 21 73 251 38 162 124 213 57 53 52 140 117 214 210 219 202 132 21 73 174 9 12 9 0 39 56 221 253 49 254 21 60 81 52 231 200 183 108 168 63 188 144 243 131 220 127 188 107 149 190 208 174 231 184 51 91 202 225 38 25 188 147 4 170 30 216 244 250 116 29 126 189 55 135 175 118 193 246 65 17 103 131 1 212 144 27 29 155 223 56 253 43 23 142 142 22 156 40 191 137 158 173 106 48 133 53 58 78 239 175 151 245 253 110 116 118 112 164 22 225 17 66 142 194 179 28 110 188 32 227 155 129 215 191 53 165 29 194 72 163 107 14 125 187 214 19 204 177 57 158 102 59 18 70 145 139 28 112 50 127 165 118 209 171 21 27 71 83 206 163 25 54 251 154 30 34 186 182 180 211 222 105 153 67 175 250 181 39 150 111 65 92 37 141 220 154 139 205 9 71 148 200 187 158 67 140 68 61 63 250 194 165 146 75 221 114 248 200 199 230 193 41 199 203 10 19 192 255 0 120 243 250 210 234 111 6 137 105 116 144 43 15 220 249 138 184 234 199 63 225 94 54 59 48 169 74 237 43 37 253 127 90 30 214 27 13 26 48 246 111 89 63 192 241 111 19 7 159 196 215 17 89 50 173 172 44 203 134 57 12 71 82 79 249 234 107 204 124 97 113 45 245 254 8 49 5 3 114 19 144 71 212 126 117 222 235 50 27 120 46 35 121 20 52 142 67 115 130 70 236 159 207 6 184 107 230 103 62 99 49 30 113 193 227 183 249 192 175 42 142 103 82 85 47 39 115 244 149 66 20 240 238 77 104 151 228 114 183 23 31 104 159 17 254 243 203 193 85 3 0 159 92 255 0 159 214 171 221 91 201 50 202 177 228 161 0 244 199 39 220 213 247 140 89 220 149 225 122 225 64 192 235 212 122 117 167 51 109 155 229 66 73 3 24 231 35 6 189 202 152 167 56 174 77 17 249 54 43 19 90 165 73 57 61 204 251 56 163 138 18 170 1 112 217 39 57 32 85 209 43 176 4 131 142 49 142 106 56 145 226 156 151 56 50 112 14 115 146 59 96 83 162 96 183 46 84 99 105 199 39 138 207 155 169 227 215 165 206 133 186 27 71 238 216 174 121 220 78 0 20 235 121 218 41 12 169 38 211 140 100 244 35 184 247 239 77 46 92 225 112 7 80 25 184 205 65 112 129 81 229 42 173 180 146 23 56 247 199 231 69 70 217 150 30 54 100 90 48 102 148 198 175 148 201 104 243 158 222 213 237 95 6 180 22 154 249 53 27 191 145 73 8 185 28 175 127 207 53 196 252 61 240 149 227 76 111 175 227 2 68 96 203 11 116 81 212 19 245 21 238 158 8 134 27 235 5 72 226 49 44 174 204 234 58 171 3 131 248 227 7 241 21 231 231 88 217 55 245 90 90 202 90 31 163 99 169 125 71 5 245 152 61 91 215 203 254 30 223 137 235 90 50 61 141 148 81 193 204 106 48 170 122 15 198 172 218 203 6 161 172 76 170 85 94 56 130 144 79 204 164 115 159 252 122 163 209 161 142 123 56 138 74 249 24 86 239 130 58 212 86 154 122 46 185 127 114 2 149 24 228 28 17 192 25 255 0 199 107 211 203 232 213 195 210 246 81 214 201 35 229 35 58 117 121 167 125 109 250 163 68 222 11 85 251 68 142 66 169 219 40 31 149 102 220 11 141 66 234 118 94 164 133 7 119 250 165 199 243 231 53 139 172 221 106 23 218 144 91 98 166 210 54 219 62 225 200 61 152 255 0 32 63 26 213 211 117 43 88 237 69 154 126 230 80 114 55 244 113 158 185 239 239 87 141 171 74 149 63 222 187 63 235 185 172 240 210 167 5 56 171 201 254 7 67 111 106 150 214 113 217 197 202 168 195 19 201 63 83 235 85 231 176 134 9 227 145 147 118 50 3 247 80 122 143 243 233 87 237 176 112 217 4 14 135 212 250 211 174 30 22 66 178 72 128 31 83 91 208 161 26 191 189 154 189 246 190 186 28 10 164 162 236 85 146 41 32 70 150 54 220 0 207 78 223 214 188 246 59 203 189 119 80 75 56 25 146 49 28 142 216 229 92 2 6 78 121 29 120 21 209 221 235 208 253 177 244 85 152 6 231 13 212 31 94 157 135 255 0 90 168 120 102 235 74 181 51 170 23 158 97 26 230 69 78 73 37 143 39 166 56 28 87 124 112 252 177 124 167 167 134 189 8 74 114 87 122 91 252 205 107 104 160 179 182 219 25 140 32 27 157 143 4 156 117 38 184 79 26 223 203 119 173 173 180 10 22 51 26 54 79 82 3 49 227 242 21 187 168 234 201 45 193 134 72 94 66 172 24 103 28 14 196 15 204 126 117 231 222 59 191 190 134 226 210 244 70 145 121 133 227 80 199 230 192 231 250 215 196 231 20 106 214 172 176 241 122 95 95 151 249 126 103 171 149 83 189 85 41 110 206 91 199 246 144 91 69 126 64 11 149 89 163 99 252 68 156 48 254 117 228 218 181 207 207 26 33 97 146 115 199 233 93 255 0 142 111 175 111 195 68 234 178 176 140 109 80 57 24 201 36 126 25 252 235 202 245 89 221 229 136 168 249 188 220 101 190 134 184 112 24 102 165 175 127 248 7 232 49 132 165 151 77 61 236 191 67 38 242 246 49 169 220 43 2 21 79 43 187 177 28 254 28 213 216 110 34 150 44 169 35 112 4 12 255 0 42 231 188 66 76 58 147 57 32 44 152 117 36 119 232 106 40 47 138 200 14 78 6 8 13 216 87 217 199 15 122 113 107 177 249 46 46 14 24 137 167 221 157 60 243 44 104 114 66 141 217 66 71 82 43 106 193 26 215 79 182 184 138 212 220 25 219 231 10 155 153 57 199 60 31 203 138 227 97 212 131 144 173 181 128 25 251 185 197 7 88 123 72 215 62 92 145 2 74 164 136 27 159 81 158 156 212 170 44 224 169 6 153 213 120 129 45 224 145 36 14 171 44 145 150 198 208 167 142 228 116 4 247 30 160 214 13 237 210 125 153 154 83 181 88 28 2 122 129 233 235 89 87 58 172 134 117 184 159 231 102 80 120 224 125 0 244 250 86 88 158 75 153 60 217 73 40 78 122 28 10 143 96 219 212 41 80 92 215 103 213 90 181 213 216 137 174 173 161 40 20 144 227 102 89 199 174 58 156 85 207 14 120 130 234 205 33 91 43 216 100 131 229 243 198 193 149 227 4 250 253 127 250 213 244 212 158 27 240 251 130 31 66 210 219 35 7 54 136 127 165 58 47 15 104 112 196 97 135 70 211 163 143 251 139 108 128 126 64 82 161 148 70 140 189 166 243 239 99 232 49 60 69 75 19 135 116 42 82 209 249 255 0 91 28 47 132 117 121 154 227 201 88 102 8 195 39 48 149 231 215 159 106 135 69 213 174 117 237 67 82 180 177 105 133 188 119 44 178 204 19 105 56 99 192 207 81 205 122 76 122 109 140 97 124 187 43 101 218 48 184 136 12 15 202 139 93 54 198 217 25 96 178 182 132 51 110 97 28 65 65 62 188 14 181 235 208 143 178 141 173 169 243 244 43 194 148 37 30 93 94 222 71 51 168 68 191 217 146 194 232 8 17 144 6 224 27 63 81 223 53 195 203 103 169 197 112 145 33 243 92 17 229 134 184 229 151 184 254 99 242 175 99 107 88 24 96 193 17 30 133 69 86 159 71 210 231 149 37 155 77 179 145 227 251 140 240 41 43 244 56 226 188 236 126 10 166 46 113 187 74 40 210 134 51 217 222 253 78 46 192 221 69 108 141 111 23 150 28 3 229 76 231 0 250 15 254 183 165 87 212 117 217 12 223 217 118 126 84 151 205 144 200 31 110 207 199 191 30 149 232 130 210 220 71 229 136 34 11 158 129 6 42 180 90 54 149 19 110 139 76 178 140 250 172 10 15 92 250 87 169 79 220 209 108 63 174 83 147 110 112 191 245 212 242 237 83 77 191 22 110 241 221 197 13 210 174 87 98 157 204 163 156 19 254 127 90 95 0 233 119 23 118 115 93 93 92 249 71 120 67 26 38 9 0 3 146 123 117 53 235 2 206 212 35 32 182 132 43 125 225 176 96 253 105 176 105 246 80 103 201 179 183 143 61 118 70 6 106 170 213 168 224 227 13 25 163 204 111 73 211 107 115 137 213 52 133 22 254 125 187 132 48 231 113 84 229 148 245 30 167 177 252 43 207 252 121 165 53 222 146 89 238 137 48 202 174 14 193 192 232 113 249 215 189 155 120 74 149 242 99 193 237 180 85 103 210 180 215 66 141 167 90 50 158 8 48 169 7 244 175 6 182 87 82 110 51 140 237 46 174 219 151 132 205 61 131 87 87 177 241 38 189 116 218 102 185 112 254 116 142 22 34 160 48 228 240 6 63 51 92 87 136 237 68 208 27 168 64 4 144 92 15 95 90 253 1 159 194 30 21 157 247 207 225 157 22 86 245 123 24 201 253 86 155 255 0 8 95 132 48 71 252 34 186 30 15 4 127 103 197 207 254 59 83 79 39 112 151 50 150 167 212 127 174 84 148 121 85 39 102 172 245 63 49 188 64 194 121 162 93 224 41 93 184 207 43 222 177 38 45 5 202 171 48 41 212 54 120 53 250 154 126 31 248 17 155 115 120 47 195 108 125 78 151 14 127 244 26 67 240 243 192 39 175 130 60 50 126 186 84 31 252 77 123 148 215 36 108 207 146 197 227 214 34 110 124 186 159 150 169 34 237 193 44 61 6 58 213 175 180 198 170 75 200 50 156 144 71 95 106 253 64 255 0 133 119 240 255 0 254 132 111 12 255 0 224 170 15 254 38 143 248 87 158 1 255 0 161 31 195 63 248 42 131 255 0 137 166 226 186 24 44 74 91 163 242 234 91 142 1 0 110 198 71 110 62 181 22 247 19 96 15 149 185 81 198 0 29 5 126 165 127 194 187 240 7 253 8 254 25 255 0 193 84 31 252 77 31 240 174 252 1 255 0 66 63 134 127 240 85 7 255 0 19 83 200 174 31 89 79 116 127 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumbbJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 115 0 115 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 207 248 219 241 151 198 126 11 241 237 254 135 162 216 232 210 217 91 172 37 26 226 221 221 206 232 149 206 72 112 58 177 237 92 31 252 52 191 196 83 211 76 240 247 191 250 36 159 252 114 186 95 143 86 119 145 252 86 212 53 77 61 138 207 26 192 202 193 65 199 238 16 119 175 37 215 245 175 20 218 89 53 161 188 2 217 143 49 155 116 227 9 229 227 167 77 163 31 175 90 78 149 146 118 34 157 88 201 181 125 78 206 95 218 91 226 14 64 58 119 135 192 30 150 146 127 241 202 85 253 166 126 33 46 8 211 124 60 64 60 255 0 161 201 255 0 199 43 205 38 241 207 138 77 237 189 219 234 42 103 183 121 94 39 54 241 252 166 80 193 255 0 135 144 119 55 7 129 147 140 84 87 254 52 241 5 242 74 183 151 145 200 38 18 44 159 232 209 130 194 66 89 134 118 247 44 79 177 193 29 6 35 149 118 53 208 245 63 248 105 191 31 131 145 99 225 239 167 217 36 255 0 227 148 255 0 248 105 143 136 89 0 233 254 29 57 244 180 147 255 0 142 87 134 195 11 205 60 113 64 175 44 146 54 212 69 25 98 123 12 87 161 105 191 11 117 251 216 85 154 123 72 28 109 202 51 146 64 199 57 32 117 28 12 119 245 245 109 69 110 111 67 7 91 17 127 101 27 216 237 23 246 150 241 235 28 127 103 120 124 99 174 109 100 255 0 227 149 106 211 246 136 241 172 217 50 88 232 92 158 162 214 76 127 232 202 231 52 223 132 45 20 236 250 158 164 210 196 174 118 199 12 123 75 47 98 73 206 62 131 243 173 77 75 225 214 157 180 127 103 153 44 216 99 229 36 186 54 62 167 32 254 63 133 46 122 105 234 119 255 0 97 99 29 55 59 37 229 125 127 203 241 58 189 63 227 191 139 93 115 38 159 162 253 68 14 63 246 122 188 126 57 120 153 25 119 89 104 229 79 92 68 199 31 248 253 121 204 126 12 214 33 86 81 37 179 46 220 130 91 105 39 208 113 89 186 230 145 125 165 201 28 115 130 166 65 144 202 217 86 246 250 138 232 131 165 39 162 71 135 136 192 227 40 167 42 145 105 119 61 133 190 53 248 145 70 77 158 145 131 200 62 75 255 0 241 85 106 219 226 247 137 94 37 103 181 210 23 119 57 16 191 3 254 250 175 23 117 184 22 224 156 96 47 62 184 226 186 77 49 29 161 143 114 100 108 25 252 171 163 146 155 251 39 143 82 173 88 173 36 122 4 223 23 124 84 50 35 181 209 143 214 7 231 255 0 31 165 178 248 157 226 235 162 197 237 180 129 140 109 196 47 140 255 0 223 85 195 75 7 57 11 90 86 72 171 2 16 59 228 214 21 41 194 218 35 207 158 55 17 23 241 51 232 173 26 89 175 52 107 27 187 133 140 77 61 180 82 200 16 97 119 50 2 113 237 147 69 30 25 0 248 107 74 59 186 217 66 127 242 26 209 92 45 159 85 79 88 38 207 25 248 160 209 127 194 194 212 201 42 120 135 32 245 255 0 82 149 231 191 16 52 72 46 80 201 25 220 74 241 223 160 226 172 252 116 215 63 179 190 52 107 48 238 251 171 108 113 156 127 203 188 102 177 225 241 26 93 178 36 239 149 207 25 61 51 94 157 41 70 80 73 158 93 90 83 167 81 206 39 148 107 154 100 150 147 182 84 227 53 169 224 111 6 95 120 154 71 145 140 182 182 113 142 39 242 178 29 179 247 87 56 207 127 167 227 94 217 225 255 0 135 112 248 214 198 91 192 24 64 143 176 172 67 46 236 0 56 29 135 4 115 207 210 186 251 221 12 105 86 113 217 180 80 217 201 26 236 16 6 0 227 182 7 166 43 150 178 228 122 31 93 144 224 99 139 181 90 235 221 237 223 245 177 201 232 30 27 240 165 133 196 115 88 233 144 218 221 195 23 150 178 182 75 99 167 7 166 239 115 207 39 154 215 22 143 207 148 10 47 247 129 230 149 244 162 56 11 150 60 253 42 187 90 203 110 224 70 72 126 245 206 245 62 246 16 165 5 106 90 23 54 234 42 165 4 238 16 140 114 50 127 51 205 71 52 119 210 13 146 57 42 58 124 184 63 152 168 252 187 247 35 23 18 143 163 17 252 169 30 43 204 237 51 74 79 124 177 168 148 110 41 47 52 33 182 156 177 146 70 39 221 143 34 172 43 218 172 120 152 197 41 28 175 66 65 168 23 78 154 79 152 134 108 122 243 78 77 58 77 252 231 24 199 210 176 119 137 148 148 95 196 204 109 103 75 176 158 222 121 161 140 137 185 112 1 227 61 72 2 155 167 121 126 74 15 151 253 88 254 85 126 85 88 24 134 98 74 183 65 214 176 110 36 149 100 102 94 153 60 126 53 219 134 198 40 251 179 62 59 61 225 213 93 123 108 50 179 237 181 255 0 224 154 55 14 136 153 36 3 80 71 122 171 128 184 172 75 171 215 35 130 127 60 210 89 72 207 42 130 113 205 119 201 92 252 239 17 135 81 213 159 89 120 76 147 225 77 28 231 173 132 7 255 0 33 173 21 23 132 1 255 0 132 71 69 239 255 0 18 235 126 127 237 146 209 94 91 220 250 74 95 2 244 62 51 253 169 164 101 248 239 175 109 56 194 90 255 0 233 52 85 193 89 93 222 189 212 48 219 43 205 44 140 21 17 70 75 19 208 1 220 215 121 251 83 129 255 0 11 203 94 39 186 90 255 0 233 52 85 133 240 116 201 255 0 9 204 8 145 150 47 4 139 184 15 185 198 115 158 221 49 159 124 119 174 132 237 27 157 24 90 74 189 120 210 147 178 110 199 211 158 7 48 233 222 19 176 209 18 35 6 207 158 231 4 230 73 8 0 177 255 0 61 133 122 12 58 79 135 45 252 33 168 107 58 141 188 82 230 35 176 48 4 227 141 184 207 66 91 31 165 120 164 49 125 158 77 237 112 208 142 153 25 201 252 170 212 218 253 239 216 254 195 153 30 212 182 74 179 99 39 232 56 172 212 219 62 250 174 88 220 99 10 18 180 85 182 211 66 188 115 202 153 54 209 8 242 78 78 227 250 10 69 184 191 46 79 152 73 245 42 42 205 189 253 161 143 107 91 202 172 220 113 130 63 165 91 138 226 196 70 75 146 131 213 148 212 54 122 114 149 190 199 234 82 75 235 164 220 101 151 7 248 64 65 243 126 149 19 223 234 14 251 183 40 61 176 131 252 42 105 102 211 229 155 113 184 3 211 228 111 240 169 227 155 79 86 5 166 7 232 15 248 80 75 229 142 188 159 129 85 110 181 2 65 105 91 29 192 0 83 101 107 139 130 66 205 43 167 76 51 85 233 238 244 224 131 19 28 145 211 99 127 133 65 30 163 99 9 204 113 202 228 123 0 42 36 174 37 38 245 80 252 10 137 103 32 207 80 106 148 214 64 70 94 78 6 226 14 107 97 181 25 228 86 120 162 141 113 235 201 21 151 47 153 35 150 114 73 201 172 28 9 113 148 183 208 228 53 139 83 111 112 103 65 251 147 215 216 210 105 206 185 13 208 255 0 58 211 241 42 49 211 228 42 153 249 134 127 58 199 210 135 60 159 165 122 184 90 142 84 253 238 135 229 60 83 132 133 12 83 84 244 77 95 239 236 125 109 224 226 15 132 52 67 211 254 37 214 255 0 250 41 104 168 252 32 196 248 71 69 33 212 15 236 235 126 163 254 153 45 21 199 39 171 42 151 192 189 15 141 63 106 140 255 0 194 245 215 143 113 29 175 254 147 69 87 126 7 69 100 116 203 219 168 191 227 254 57 128 145 155 146 19 25 79 160 200 111 203 233 85 127 106 94 62 58 235 217 0 254 238 215 175 253 122 197 80 124 16 134 99 121 126 229 84 91 186 162 22 61 75 228 144 7 235 159 194 170 181 253 145 233 228 115 107 48 138 183 127 200 245 195 117 111 116 241 172 140 17 144 99 167 4 213 148 178 89 72 33 148 140 117 6 169 255 0 103 146 199 3 165 30 90 91 41 147 115 9 51 128 170 112 106 33 177 250 11 107 104 50 237 213 176 183 80 251 121 7 229 30 166 171 121 82 92 124 242 31 94 59 15 165 86 123 187 230 96 76 172 64 232 8 206 63 58 150 59 251 168 208 225 35 110 59 175 248 85 89 154 40 205 46 236 148 105 172 220 224 254 84 134 1 19 100 156 109 246 169 162 212 111 138 100 199 6 208 61 15 31 173 86 158 253 228 108 249 73 143 64 15 52 181 37 202 171 122 143 17 27 167 46 84 41 60 109 29 5 89 143 75 42 55 17 249 213 52 191 157 114 82 24 135 213 79 248 212 171 117 168 76 133 132 225 0 228 133 64 8 254 180 106 39 237 58 104 137 26 205 195 225 70 8 231 53 13 203 65 26 182 72 102 201 224 115 80 186 220 207 195 200 239 245 36 213 115 19 42 156 246 53 155 66 154 118 213 149 46 223 123 99 104 11 211 21 203 64 233 29 203 249 121 100 12 118 156 246 174 162 245 73 140 183 221 220 49 129 214 185 72 226 49 76 200 227 230 83 130 43 171 4 181 103 194 241 114 230 133 61 59 235 247 104 125 111 224 210 91 193 218 27 1 215 77 183 61 63 233 146 209 75 224 156 255 0 194 23 161 115 255 0 48 219 111 253 20 180 86 82 90 179 197 135 194 143 141 191 106 83 255 0 23 211 94 199 252 243 181 255 0 210 104 168 248 71 173 89 52 99 65 184 85 130 118 102 120 28 240 37 39 168 63 237 113 199 168 30 189 91 251 83 47 252 95 77 116 127 211 59 95 253 38 138 188 238 220 180 23 16 206 164 134 141 195 12 117 224 230 180 112 82 138 76 223 3 139 158 19 16 170 67 250 71 211 73 37 205 162 150 118 220 189 48 195 57 254 181 93 110 145 238 26 73 144 171 49 228 14 69 2 225 76 138 46 9 96 20 13 192 116 171 43 105 4 210 31 46 69 97 215 131 89 173 15 211 19 140 85 229 212 145 100 178 103 255 0 90 160 113 215 138 148 67 3 199 149 117 62 167 34 160 107 36 71 44 228 4 0 101 143 65 85 37 136 191 221 24 81 211 222 130 21 165 179 45 48 149 216 197 26 159 35 169 29 201 169 18 204 111 0 142 43 57 44 164 106 95 178 144 224 28 145 210 153 83 183 73 27 38 206 53 94 160 122 231 138 171 57 182 70 31 233 81 32 83 209 78 73 252 170 164 150 163 59 83 241 52 248 244 134 63 49 207 38 144 161 202 181 148 139 39 81 180 64 68 49 60 173 156 231 24 31 175 248 85 19 60 147 51 124 161 1 39 129 86 190 201 228 131 38 58 30 148 91 152 72 47 193 102 36 149 94 113 248 212 36 41 184 40 222 42 230 101 250 121 118 178 74 196 2 170 72 39 215 181 114 145 135 121 203 200 75 49 108 146 107 177 241 16 71 211 138 190 3 110 27 7 175 249 21 205 199 16 89 50 121 239 94 142 10 149 213 207 205 248 171 31 254 209 26 47 100 175 247 159 85 120 41 63 226 140 208 251 127 196 182 219 183 253 50 90 41 254 12 3 254 16 221 15 143 249 134 219 255 0 232 165 162 184 164 189 230 115 195 225 71 197 159 181 71 31 30 53 239 250 231 107 255 0 164 209 87 157 49 5 23 32 123 113 94 143 251 82 243 241 215 93 56 31 114 215 255 0 73 162 175 55 144 124 162 182 91 34 82 247 143 101 248 117 226 216 252 66 36 211 239 45 188 155 168 33 222 101 79 184 234 8 29 15 32 242 61 107 180 54 113 149 18 171 2 184 251 192 215 205 86 151 55 54 147 44 246 147 203 4 171 209 227 114 172 63 17 94 197 224 143 20 90 106 126 29 137 111 245 59 91 107 245 144 199 42 201 50 198 100 198 8 96 164 242 14 71 226 13 103 40 219 99 237 50 156 215 218 175 101 86 86 146 235 223 254 9 212 79 246 151 35 231 114 171 247 67 28 224 83 225 150 225 20 129 180 140 116 34 166 139 237 43 17 5 18 81 195 6 238 104 142 228 109 59 237 248 245 6 161 179 232 57 155 86 181 197 138 242 236 116 72 255 0 35 254 53 20 247 147 73 242 249 104 7 182 121 167 125 177 50 84 64 64 61 115 214 148 205 108 173 159 46 66 125 48 40 35 150 218 242 141 130 230 120 148 236 134 47 196 31 241 169 132 218 140 203 184 204 85 115 209 0 24 164 55 145 129 132 181 102 62 231 20 176 207 122 239 152 237 194 174 120 13 200 160 165 174 188 171 230 40 211 174 38 82 238 93 177 212 147 147 83 71 12 118 168 119 145 144 9 62 223 90 143 84 191 93 62 221 174 117 91 246 183 78 138 136 164 23 62 128 15 235 92 172 222 39 107 226 209 89 219 249 16 169 41 185 142 89 199 191 97 250 253 107 74 84 165 51 195 205 243 170 56 26 109 84 149 229 209 47 235 98 205 252 230 230 234 73 247 18 164 252 185 244 168 17 51 78 183 185 69 83 152 81 143 169 38 146 57 3 57 32 5 250 87 209 97 169 46 84 143 194 177 184 186 147 171 42 146 221 187 179 234 79 6 228 120 63 68 3 254 129 214 255 0 250 41 104 163 193 197 191 225 15 209 63 236 29 111 255 0 162 150 138 249 186 154 77 250 159 125 65 183 74 47 201 31 23 254 212 75 159 142 186 238 127 231 157 175 254 147 69 94 112 233 128 181 233 95 181 26 159 248 94 186 233 39 248 45 127 244 154 42 243 137 1 1 122 86 171 100 92 86 164 91 121 164 112 8 235 83 22 108 134 42 56 168 14 112 104 44 233 188 47 227 77 95 74 189 181 73 239 38 158 198 50 17 226 56 36 39 79 148 245 224 116 25 199 21 235 214 30 32 210 175 33 145 237 181 43 57 149 70 230 222 251 74 143 124 227 214 190 123 81 147 205 88 61 69 75 138 103 171 131 205 235 97 151 43 247 151 153 244 121 150 76 134 88 96 96 123 175 52 190 106 201 39 207 28 73 235 243 226 190 126 131 196 154 204 55 48 77 22 167 58 73 4 38 8 216 55 221 67 219 223 255 0 172 61 5 79 97 175 106 176 216 93 218 37 228 134 59 147 186 66 199 45 184 144 73 7 174 78 57 245 205 79 179 61 85 196 20 158 240 103 188 92 94 199 105 11 220 56 183 130 20 251 210 202 223 40 237 215 129 214 185 253 67 226 94 157 103 112 246 150 241 220 222 186 28 25 34 40 177 177 246 110 73 30 245 228 70 238 238 225 100 89 239 46 37 89 72 103 13 33 33 216 14 9 201 231 21 103 76 136 53 194 43 50 168 207 122 210 20 147 220 242 241 220 67 81 198 212 163 203 248 157 102 177 174 221 248 191 92 134 119 143 236 240 162 109 142 39 151 112 79 82 73 192 201 245 199 160 165 209 198 213 147 158 68 134 168 232 168 16 177 194 156 103 131 86 172 37 8 178 17 183 30 107 113 147 93 176 74 58 35 226 49 85 42 98 42 74 115 119 108 232 32 73 24 110 42 219 0 235 142 13 73 184 44 160 118 172 117 184 110 205 214 167 183 149 158 65 146 78 61 171 210 141 78 85 100 121 43 1 206 239 35 235 191 6 176 62 14 208 206 79 252 131 109 255 0 244 82 209 76 240 89 199 131 52 46 167 254 37 182 223 250 41 104 175 155 155 247 153 246 116 244 130 71 171 141 7 74 0 1 106 64 31 244 213 255 0 198 143 236 29 39 254 125 127 242 35 255 0 141 20 86 220 171 177 65 253 129 164 255 0 207 169 255 0 191 175 254 52 13 3 73 7 34 215 255 0 34 191 248 209 69 28 171 176 11 253 133 165 127 207 175 254 68 111 241 164 58 6 146 122 218 127 228 71 255 0 26 40 163 149 0 127 96 233 95 243 234 127 239 227 255 0 141 47 246 22 149 255 0 62 191 249 17 191 198 138 40 229 93 128 63 176 180 175 249 245 255 0 200 141 254 52 127 97 233 127 243 234 127 239 227 127 141 20 81 202 128 63 176 180 175 249 245 63 247 241 255 0 198 129 161 105 64 231 236 191 249 17 191 198 138 40 178 0 254 194 210 191 231 215 255 0 34 55 248 208 116 45 40 245 181 255 0 200 141 254 52 81 69 144 13 62 31 210 9 201 180 63 247 245 255 0 198 138 40 163 149 118 3 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumhcJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 251 22 250 234 11 59 73 46 174 100 17 67 18 238 118 61 135 245 172 175 7 235 235 226 27 27 139 165 179 146 213 98 184 49 40 118 201 97 181 88 55 78 56 97 199 168 56 36 96 159 57 241 127 139 163 215 182 73 229 207 22 145 11 230 56 152 40 146 233 249 195 17 158 152 228 3 140 117 60 145 183 119 72 241 87 134 188 33 240 206 95 23 235 26 156 112 216 203 43 73 38 20 231 205 31 187 242 81 122 179 3 30 222 58 144 79 2 190 123 11 156 125 119 49 116 48 246 116 224 181 125 223 68 188 151 127 248 7 117 76 28 168 208 85 38 172 219 178 59 221 66 242 215 79 180 107 171 217 227 130 5 32 23 115 129 146 64 3 234 73 0 14 228 138 227 181 111 137 90 53 133 204 106 232 86 23 39 13 60 171 11 200 0 228 162 49 5 190 135 111 242 207 199 255 0 26 63 104 175 22 120 235 207 210 244 144 52 61 5 157 74 197 30 13 196 155 24 50 179 201 213 78 224 14 19 24 198 50 107 200 110 99 191 187 128 234 55 51 181 195 55 44 210 73 190 76 103 25 57 231 25 226 189 76 85 60 85 73 37 70 106 43 173 213 223 230 146 95 214 135 61 63 102 151 188 175 243 63 82 180 125 87 78 213 236 146 243 75 190 183 188 183 113 145 36 46 24 126 157 15 181 103 107 30 49 240 190 141 172 71 164 106 218 237 141 141 244 145 9 146 41 229 8 74 18 84 54 79 0 18 8 231 208 215 230 6 159 127 125 167 92 11 157 62 242 226 210 117 228 73 4 133 28 126 35 154 236 47 126 39 120 151 90 181 211 172 252 79 120 117 120 236 21 146 11 153 148 27 149 70 198 85 164 234 227 140 252 217 61 121 174 153 185 70 55 138 187 52 194 82 163 82 180 99 90 92 177 125 119 177 250 84 174 172 161 148 130 164 100 17 222 157 95 5 248 43 199 126 39 240 234 65 117 225 221 122 234 222 6 82 82 18 254 100 44 59 230 54 202 228 125 50 61 171 233 127 217 247 226 142 169 227 169 47 244 205 114 218 210 59 219 72 214 72 229 183 5 124 212 39 7 114 156 224 131 183 145 193 207 65 142 112 165 139 140 229 201 37 102 122 184 238 31 173 134 160 241 52 230 167 79 186 251 182 245 245 61 118 138 41 147 205 20 17 153 38 145 35 65 213 157 128 3 241 53 214 120 3 235 145 241 199 139 223 71 184 143 76 210 109 163 191 213 92 121 141 19 190 212 141 7 247 136 232 79 65 233 156 158 193 153 226 175 28 105 214 176 27 61 10 246 207 82 213 101 202 71 28 51 43 136 120 251 242 96 240 7 167 83 143 169 24 30 9 240 211 234 147 75 123 124 239 53 180 146 153 46 102 126 183 178 103 145 142 209 143 110 15 65 198 115 224 230 153 141 101 85 96 176 122 213 123 190 144 93 223 232 186 157 88 122 80 113 246 181 62 31 204 244 187 57 227 186 180 134 234 19 152 230 141 100 67 234 8 200 169 107 206 126 60 248 203 81 240 31 130 173 53 13 17 109 69 204 183 241 218 162 205 30 228 11 177 220 140 2 59 71 143 198 169 120 63 226 189 230 191 225 104 245 53 240 172 241 220 179 236 193 186 140 66 216 224 149 57 222 121 206 6 195 207 25 239 94 196 171 194 50 229 147 212 107 5 89 225 254 176 151 185 123 124 207 83 162 185 31 7 248 170 247 87 190 251 53 221 138 196 27 204 1 192 216 85 151 110 80 174 91 56 201 249 178 58 116 174 186 180 132 212 213 209 202 211 90 48 162 138 243 239 138 158 49 212 244 29 70 203 75 211 60 152 94 226 38 149 231 120 247 176 0 224 42 140 224 30 9 201 7 142 221 235 28 94 42 158 18 139 173 85 251 168 219 13 134 169 137 170 169 83 221 157 38 169 175 75 101 174 139 63 178 171 90 71 12 114 207 54 226 88 111 103 81 133 3 182 204 245 231 60 114 0 109 196 101 116 14 140 25 88 100 16 114 8 175 30 248 127 123 168 223 89 120 163 80 212 110 166 185 187 49 169 18 187 156 128 171 33 93 160 112 160 103 162 224 103 39 169 53 232 222 4 187 180 188 240 181 155 217 200 239 28 96 196 219 201 37 93 73 12 185 61 129 224 123 98 167 9 139 134 38 156 106 71 75 234 189 7 137 195 75 15 82 84 229 173 180 126 167 129 106 82 125 171 83 187 107 123 199 104 21 194 68 195 13 129 181 73 218 72 61 73 39 39 57 175 154 254 43 120 202 247 196 55 145 104 145 220 177 209 180 137 174 5 156 64 252 172 210 76 242 60 167 213 137 108 103 208 15 83 94 245 241 26 25 60 37 164 120 174 222 22 48 11 67 50 217 167 221 104 227 218 22 63 211 12 15 184 175 147 107 229 120 87 1 245 122 149 100 254 207 187 254 103 208 103 152 136 188 61 26 113 237 127 242 10 213 107 143 41 173 110 161 95 244 83 18 196 201 193 1 128 195 131 245 36 183 209 177 235 94 197 240 159 195 158 19 212 60 31 166 92 222 233 246 183 90 171 218 76 233 20 182 234 201 43 173 244 75 30 91 118 75 28 132 217 183 5 88 140 246 58 126 52 210 252 41 109 253 143 163 255 0 98 232 54 176 92 120 178 218 215 82 149 97 17 200 171 246 107 89 101 77 192 229 0 146 121 134 58 40 249 120 219 95 104 124 205 207 0 212 109 150 9 21 226 59 161 144 110 67 156 227 212 31 113 248 100 96 227 154 169 95 83 248 59 195 126 26 187 214 45 237 60 81 225 157 50 202 246 91 153 243 98 182 209 136 138 170 217 96 186 150 6 22 196 132 132 0 131 189 250 102 188 179 227 207 252 34 86 13 167 232 58 62 145 13 182 171 107 13 188 183 19 219 219 172 113 152 228 180 129 246 150 86 62 107 111 46 219 136 24 221 142 104 11 156 103 130 117 133 211 239 141 173 210 171 217 220 144 24 17 247 91 179 3 219 211 241 175 169 191 101 109 28 199 241 14 250 250 29 68 194 176 216 149 107 99 30 239 61 89 185 249 179 242 237 33 15 66 78 79 62 191 28 130 65 200 56 34 190 226 253 150 252 37 175 170 217 120 218 245 210 206 202 238 195 108 112 145 151 184 87 10 219 191 217 92 128 71 115 142 128 114 98 84 227 38 155 90 163 120 98 171 82 132 169 194 77 70 91 174 143 228 125 5 94 103 241 242 230 209 180 93 58 200 202 207 114 151 127 104 48 197 130 254 95 149 42 238 193 224 13 204 57 62 254 134 186 111 26 248 166 61 21 86 198 201 18 235 86 157 73 134 12 241 24 231 247 143 232 163 211 169 232 59 145 230 122 174 159 169 93 104 122 190 172 31 237 18 38 26 242 246 113 144 223 56 221 26 99 29 6 125 151 24 237 129 230 214 205 221 44 109 44 38 25 115 85 109 94 223 102 55 87 109 244 211 99 151 21 133 83 193 213 157 79 135 149 252 221 182 56 93 53 29 117 11 118 104 103 108 220 35 16 92 0 70 225 149 225 178 3 15 148 247 193 192 197 125 83 4 81 193 18 67 18 44 113 162 133 68 81 128 160 116 0 118 21 243 46 138 5 199 136 116 139 120 200 118 125 74 213 89 84 228 237 243 147 119 31 76 215 211 181 245 185 206 26 141 10 177 84 226 147 182 189 222 175 119 187 235 191 115 228 56 59 17 90 190 30 164 234 187 251 218 118 217 108 182 93 54 57 207 136 94 12 209 188 113 161 29 35 90 73 124 181 147 205 134 88 159 107 195 32 82 161 215 177 56 98 48 65 28 244 175 62 240 78 132 158 24 186 26 0 187 55 77 166 180 214 198 66 155 73 14 86 85 200 201 231 105 95 206 189 146 188 231 91 183 251 31 196 41 200 57 23 173 29 201 62 153 133 162 199 254 65 31 157 124 214 54 156 92 57 173 169 247 116 113 21 121 61 143 55 187 123 219 165 251 158 21 227 111 23 248 155 192 223 22 117 55 209 175 200 129 46 22 225 109 166 93 240 191 153 26 179 140 117 25 36 131 130 15 21 236 63 7 62 50 219 120 223 82 93 10 247 73 150 203 86 242 154 80 98 59 224 117 92 100 228 242 167 158 135 63 90 169 226 111 1 232 62 47 215 237 237 117 27 118 243 230 186 47 44 246 204 22 120 225 22 204 1 39 7 229 222 19 168 35 36 122 212 223 8 126 14 205 224 63 28 94 235 146 107 17 234 22 207 102 246 214 203 228 148 117 220 234 196 176 201 25 1 0 200 235 147 192 233 88 97 35 89 52 211 247 89 239 226 241 121 94 35 5 203 40 114 214 138 73 62 253 58 126 191 121 233 215 218 222 153 101 114 109 238 174 12 82 42 7 108 198 197 85 78 112 75 1 129 208 247 175 53 248 235 166 181 237 158 153 226 107 57 82 75 53 140 68 242 41 251 161 200 49 56 236 65 39 31 240 37 245 53 220 92 159 248 170 117 8 187 125 138 217 191 54 152 127 236 181 103 195 22 240 93 248 31 75 182 186 137 37 134 93 54 20 146 55 25 86 83 16 4 17 233 138 233 198 97 163 139 163 58 50 235 253 35 231 240 152 153 97 107 70 172 122 30 69 240 162 67 37 229 201 185 156 136 110 172 65 153 115 133 10 93 1 227 216 51 114 115 212 215 168 252 48 176 189 211 188 23 103 14 163 23 149 116 237 36 206 153 4 168 119 102 80 113 198 118 149 207 190 105 211 248 35 195 103 74 58 117 174 158 150 40 87 103 153 109 242 74 87 4 16 91 146 192 130 71 57 245 234 1 13 240 238 183 115 168 248 187 93 176 243 16 217 216 186 69 8 85 28 54 197 47 147 223 230 36 126 21 197 151 224 227 151 211 167 74 114 187 213 47 159 189 250 29 24 252 111 215 42 206 113 141 147 179 251 149 191 83 131 253 172 60 67 161 233 191 11 53 77 18 248 179 106 26 181 164 137 102 145 198 25 190 76 49 98 123 47 65 159 122 248 191 225 249 137 236 46 22 77 34 198 247 101 228 10 94 107 97 35 42 202 29 8 207 97 144 164 123 253 113 94 205 227 141 87 82 248 133 241 10 121 163 113 169 128 5 141 152 183 139 17 186 47 222 101 25 63 33 98 199 36 146 23 169 56 205 120 167 143 188 19 127 224 253 127 80 209 117 3 182 230 220 44 241 18 66 137 96 97 144 192 115 146 58 16 9 193 82 57 235 93 152 124 90 173 82 81 91 45 191 83 171 51 202 126 161 135 161 41 63 126 105 182 187 118 251 255 0 67 176 215 244 119 182 209 181 119 79 12 89 171 164 247 105 186 27 82 254 64 88 226 57 66 17 114 21 139 252 199 27 121 198 112 5 109 217 104 126 30 190 139 237 18 217 69 246 169 33 142 226 234 35 101 24 138 40 93 74 137 131 176 198 227 196 135 60 1 27 142 237 94 17 185 191 188 121 247 171 87 196 137 110 121 63 235 71 245 174 195 197 177 238 182 190 21 179 121 68 83 248 118 8 206 94 113 49 182 12 214 232 209 22 85 101 227 126 210 216 28 245 143 30 149 118 255 0 195 58 45 198 128 183 175 162 192 166 59 103 242 8 177 89 30 225 135 150 145 130 248 228 2 193 178 51 145 145 140 30 60 7 71 184 150 218 121 175 35 99 186 24 27 25 228 124 195 103 254 205 210 171 222 221 75 119 63 152 192 40 0 42 34 103 106 40 224 1 154 2 199 115 241 147 72 211 244 185 116 195 167 217 71 111 28 171 47 49 193 177 91 13 192 207 241 16 59 250 21 245 175 186 190 26 91 234 154 119 193 15 15 90 233 209 66 218 156 26 36 2 56 231 56 95 51 203 31 43 99 208 241 245 175 128 252 35 225 137 46 124 79 166 67 126 1 141 0 187 189 129 198 25 33 82 14 211 158 133 135 0 123 215 107 225 157 91 94 208 158 40 188 63 170 95 217 74 204 171 182 214 118 65 35 100 14 64 56 36 251 138 228 196 98 163 73 242 117 103 177 148 228 243 204 227 81 194 105 114 89 235 231 127 242 62 174 240 167 134 47 181 59 153 103 191 107 232 81 164 221 123 117 56 41 113 113 32 35 49 168 63 117 122 130 195 160 225 121 249 151 210 224 178 181 130 201 44 97 183 134 59 84 79 45 97 84 1 2 227 27 113 211 30 212 251 112 98 181 65 52 155 217 16 7 115 198 72 28 154 139 73 212 108 245 91 20 189 177 151 205 129 201 10 219 74 158 14 15 4 2 58 86 25 110 87 71 1 23 236 238 229 39 119 39 171 111 205 158 93 106 242 172 245 217 108 140 155 165 77 55 81 134 207 79 181 211 173 17 160 105 85 188 143 238 144 24 0 165 64 3 114 243 158 245 12 26 133 246 169 3 155 61 114 204 198 173 177 165 179 128 22 86 192 56 203 51 174 121 29 187 213 207 26 233 214 250 143 135 47 86 97 32 146 43 121 94 41 35 145 145 145 188 182 25 5 72 61 250 116 175 158 108 175 175 22 222 56 86 234 120 82 116 101 144 67 43 32 46 56 39 131 232 14 62 149 205 155 102 223 217 242 143 52 110 165 127 194 199 161 150 101 127 94 140 185 93 154 183 226 123 247 134 174 175 162 214 47 180 157 66 242 107 220 70 151 54 211 204 168 172 80 252 172 191 34 170 252 172 1 233 159 159 233 87 53 175 15 105 218 181 212 87 87 34 100 154 45 160 60 82 148 37 65 200 83 142 217 39 223 147 205 84 240 35 105 183 222 31 176 214 45 173 237 190 211 53 184 73 166 72 192 109 227 137 20 159 103 82 49 234 43 90 211 83 177 186 212 47 44 45 238 86 75 171 34 130 230 48 14 99 44 187 151 63 81 205 122 233 198 113 79 116 207 50 73 194 77 117 67 244 251 27 75 11 113 5 156 9 12 96 228 133 28 177 61 73 61 73 61 73 60 154 205 241 87 138 252 59 225 104 35 155 196 26 197 166 158 37 12 98 89 95 231 147 110 51 181 71 45 140 142 128 245 21 181 95 56 126 218 11 141 67 194 13 216 197 124 15 224 109 255 0 196 212 215 169 236 169 185 46 135 110 85 131 142 59 23 10 18 118 82 235 242 185 232 94 18 241 239 135 60 95 227 29 81 180 139 166 5 108 237 162 141 103 95 45 166 42 215 12 197 20 242 64 12 9 227 35 60 226 187 79 3 205 28 222 17 211 12 78 28 71 110 176 146 15 241 39 200 195 240 42 71 225 95 39 254 206 74 171 241 43 78 42 160 127 175 206 7 253 48 122 250 135 225 106 186 248 61 17 212 169 75 251 229 193 24 224 93 204 7 233 138 199 7 94 85 162 229 35 187 136 50 186 121 110 39 217 83 109 171 39 175 157 255 0 200 218 215 181 109 63 67 210 46 53 109 82 227 236 246 118 234 26 89 54 51 96 18 0 225 65 36 228 129 128 43 231 187 159 25 90 37 197 237 246 159 171 94 89 45 246 181 61 204 55 17 197 42 22 137 55 99 112 198 112 75 70 118 176 228 103 142 43 215 254 53 148 255 0 133 111 168 198 224 48 146 75 116 218 123 230 120 242 63 44 215 207 242 233 182 198 40 160 16 110 64 172 80 23 63 123 60 247 250 87 141 158 226 28 106 83 166 155 90 222 235 125 99 36 124 204 241 149 40 74 106 17 78 209 190 191 226 72 245 79 135 158 19 79 12 120 106 202 218 5 138 11 211 8 55 100 160 125 242 30 78 91 130 113 208 115 142 58 85 127 30 252 33 211 62 38 248 66 75 155 153 94 215 92 89 153 244 235 247 140 101 17 126 80 133 71 88 88 134 97 212 225 129 207 90 233 13 252 55 239 38 157 165 221 163 234 7 228 216 131 115 219 146 113 189 211 170 133 206 78 236 116 199 83 93 158 159 121 164 197 114 116 43 75 251 102 187 178 129 11 218 137 131 75 28 120 194 150 92 228 3 142 166 189 60 13 43 55 38 143 87 25 94 85 166 231 39 118 245 103 231 71 196 95 2 107 222 29 215 142 157 226 61 57 180 123 240 161 68 210 179 61 181 235 1 247 162 144 46 57 29 114 79 62 135 32 115 215 86 151 240 90 35 220 233 102 232 0 161 46 87 115 70 71 69 4 142 9 28 99 145 219 57 24 175 211 189 99 75 211 53 173 62 77 63 86 176 181 212 45 36 251 240 92 196 178 35 125 67 12 87 201 223 18 127 103 221 95 76 214 175 239 244 45 25 174 116 219 139 185 39 138 61 46 102 86 133 11 150 68 49 228 116 4 0 84 30 157 171 216 163 75 218 203 151 153 47 83 207 169 87 217 171 217 191 67 231 8 180 205 119 81 135 247 118 146 24 147 164 96 44 106 59 103 111 31 66 223 153 174 167 225 175 129 53 159 17 234 36 248 122 218 43 249 109 217 154 107 203 132 217 167 90 70 160 238 146 89 24 115 198 24 1 200 235 131 140 87 209 255 0 6 190 1 218 166 171 253 173 227 13 5 103 177 16 149 138 211 80 184 121 29 164 220 165 92 199 157 160 1 188 97 185 249 143 29 235 223 111 244 27 5 240 133 239 135 244 235 59 123 43 73 108 229 183 142 27 120 130 34 7 82 56 81 192 235 81 86 30 206 78 55 79 211 98 169 212 231 87 181 189 79 140 60 23 166 157 17 5 188 114 137 38 187 144 125 174 87 64 76 140 120 239 211 25 32 14 158 198 174 248 15 77 138 127 141 90 38 159 12 99 202 77 94 55 219 142 49 27 111 60 122 124 189 43 186 151 195 22 218 142 171 28 182 211 11 41 66 180 210 167 151 184 7 141 212 50 149 200 218 114 72 62 134 177 127 102 43 71 214 254 49 67 170 220 224 61 165 173 197 225 192 227 123 1 30 63 242 41 63 133 124 86 89 142 134 63 17 117 164 149 185 147 232 245 255 0 38 123 124 57 151 226 242 239 174 226 106 202 240 112 105 59 238 228 213 180 242 255 0 134 62 161 241 124 147 71 162 17 24 249 36 154 40 231 62 145 51 133 110 199 0 131 130 123 2 79 24 168 252 56 76 19 136 37 92 73 117 110 151 14 115 157 242 168 17 203 159 113 136 254 185 227 189 108 94 65 29 213 164 214 178 231 203 154 54 141 177 215 4 96 215 27 38 167 121 166 232 111 168 187 65 61 198 155 35 53 202 103 203 70 83 186 57 48 112 74 175 152 165 251 156 12 122 87 215 212 168 169 197 202 91 37 115 198 73 183 100 118 55 208 253 162 202 120 63 231 164 108 159 152 197 124 177 167 43 25 68 55 81 73 5 202 21 149 163 112 67 199 32 92 58 144 122 28 16 8 62 181 244 71 128 117 203 173 107 79 184 58 128 68 185 134 80 54 132 216 74 50 130 173 183 39 28 238 29 127 134 175 234 190 27 208 117 75 213 189 212 116 139 75 171 133 93 190 100 145 130 74 250 31 81 201 224 215 129 152 224 97 157 225 169 213 163 59 117 78 221 31 252 49 236 101 153 139 203 42 77 78 55 191 232 114 63 3 239 26 109 22 250 207 202 127 42 11 143 50 41 66 254 237 131 142 84 30 236 25 88 159 247 135 173 103 106 55 51 232 63 20 53 77 85 80 178 75 34 52 160 2 75 197 228 66 164 0 57 39 228 102 30 165 0 239 94 165 18 71 20 107 28 72 168 136 2 170 168 192 0 116 0 87 159 252 89 210 0 158 207 95 180 76 94 39 238 100 60 115 26 134 112 125 120 231 35 60 134 61 72 20 179 44 38 34 134 91 24 225 229 121 210 179 94 124 189 62 237 14 117 136 133 124 84 167 37 101 59 233 234 108 223 120 178 225 236 197 198 139 164 53 218 148 50 43 93 75 246 112 235 140 141 163 107 54 79 251 74 184 206 125 171 82 226 207 66 241 78 145 4 151 218 117 158 167 101 50 9 18 59 171 117 145 70 71 247 88 28 30 222 162 188 255 0 195 90 180 31 101 146 59 155 128 170 88 24 67 158 196 96 198 59 177 12 15 0 116 43 93 87 195 123 156 217 222 89 7 223 20 51 111 131 229 32 170 49 35 7 60 231 114 179 127 192 133 118 101 121 151 215 169 170 150 210 75 238 238 190 70 21 232 251 23 166 232 93 39 225 207 130 52 139 137 46 116 239 14 89 91 204 255 0 242 209 65 220 159 238 18 126 79 248 14 42 134 175 226 200 60 63 175 218 104 122 125 180 77 99 11 5 189 102 99 185 11 157 217 12 79 36 3 189 179 146 219 128 234 77 118 243 73 28 48 188 211 58 199 26 41 103 118 56 10 7 36 147 216 87 138 120 226 239 69 212 124 73 52 218 86 163 109 123 5 236 75 38 83 231 81 34 140 28 30 132 97 81 177 235 184 210 206 235 226 48 152 55 91 13 31 133 166 244 233 125 127 174 215 21 25 194 181 101 26 243 213 232 174 245 127 121 214 252 120 148 167 132 236 163 231 19 106 40 135 240 142 70 254 106 43 195 230 188 63 217 172 168 185 117 188 219 145 217 78 87 39 219 134 207 166 218 247 159 15 69 99 227 111 2 71 166 106 130 99 37 187 44 114 48 147 50 43 39 221 112 199 169 199 4 227 147 184 28 243 73 105 240 171 194 16 204 179 75 105 117 114 227 254 122 92 184 7 156 224 132 42 8 207 99 197 115 98 240 79 51 116 241 20 154 229 178 107 243 253 79 54 181 10 177 173 38 173 172 121 127 19 204 190 39 124 111 185 191 121 52 143 2 151 134 18 118 62 166 201 243 191 180 42 122 14 159 49 25 235 129 208 215 5 240 235 199 173 224 149 241 4 182 240 203 119 174 94 198 145 196 243 229 149 91 44 90 73 24 242 113 199 29 78 107 151 176 212 53 13 39 87 157 33 183 107 123 200 7 150 94 101 33 225 102 0 228 14 199 4 142 125 243 93 191 129 116 107 93 67 75 158 242 250 24 175 111 53 9 90 51 37 194 249 142 73 224 99 61 24 183 126 181 228 226 179 124 69 58 190 210 75 178 75 205 249 122 126 39 236 56 140 187 1 150 224 92 21 62 106 109 171 202 254 244 237 174 253 35 167 79 151 115 233 63 134 243 106 183 62 5 209 174 181 185 218 125 66 226 209 38 157 217 2 28 184 220 1 0 0 8 4 15 194 172 234 186 236 118 215 50 216 89 91 201 123 125 26 134 104 215 42 145 130 9 5 223 24 3 0 244 201 28 100 114 51 172 138 17 21 64 192 3 2 184 213 155 102 145 172 234 23 51 37 188 250 149 226 218 44 197 194 132 141 220 69 19 12 241 184 43 131 142 231 138 251 100 172 172 126 83 57 115 73 202 214 185 208 203 172 69 105 225 102 215 181 24 101 181 138 43 63 181 220 70 20 187 196 2 110 101 192 234 71 61 61 43 145 209 190 51 252 54 213 37 88 147 196 145 90 200 221 175 34 120 20 125 89 128 81 249 215 124 209 197 36 45 3 198 173 17 93 133 24 100 17 140 99 30 149 242 127 142 62 3 120 183 74 159 80 190 209 146 194 243 76 142 73 36 133 22 232 36 177 194 9 35 119 153 181 120 94 191 55 106 100 159 66 62 147 224 191 18 234 203 170 90 95 217 221 78 232 86 79 177 93 169 89 215 253 160 167 158 131 145 131 128 6 112 5 55 193 223 13 252 47 225 31 18 223 107 154 13 188 214 178 94 66 33 107 112 249 134 48 27 113 216 8 200 201 199 25 192 192 192 21 241 238 183 224 205 107 73 75 121 26 202 73 214 107 81 118 237 111 27 48 136 103 144 196 14 163 130 79 78 107 232 15 217 39 198 15 171 232 58 143 134 239 111 36 185 186 211 228 19 64 210 74 92 152 91 130 160 158 126 86 31 248 240 199 160 225 194 75 9 94 245 176 246 119 221 171 107 211 83 162 85 43 210 78 155 109 39 186 233 220 246 203 244 157 236 167 75 89 22 43 134 141 132 78 70 66 182 56 39 232 107 201 252 33 61 237 229 190 165 165 220 168 75 203 184 164 12 100 28 164 172 54 182 252 147 146 28 70 15 94 253 133 122 253 114 186 239 133 44 132 210 235 26 85 188 241 106 190 103 153 152 167 96 31 39 15 242 51 4 201 4 145 156 124 216 53 56 204 36 235 85 167 82 47 72 222 235 163 77 91 239 236 77 58 138 49 146 107 115 157 248 79 114 78 189 125 12 178 59 75 113 104 142 3 99 164 110 71 110 156 203 250 215 111 227 13 66 227 74 240 190 165 169 90 8 204 246 246 239 36 98 64 74 238 3 140 128 70 71 227 89 182 22 250 47 133 180 15 237 253 82 8 116 217 82 217 90 246 103 37 153 25 176 89 114 51 213 176 48 189 78 49 218 188 155 199 223 25 151 92 138 93 11 195 186 99 125 146 224 20 158 230 232 16 236 132 224 149 65 247 71 124 177 250 168 172 112 24 73 101 216 15 98 221 249 83 215 239 104 170 213 21 106 220 214 222 198 254 161 46 175 120 241 201 123 173 95 79 63 152 169 2 163 249 72 178 51 0 135 106 224 18 9 28 154 244 191 20 233 47 171 233 190 68 55 47 109 113 27 121 145 72 167 140 224 140 30 248 32 145 199 60 241 94 109 167 77 111 168 93 105 178 218 79 21 196 71 80 183 33 226 112 202 118 206 185 228 122 109 63 149 122 253 124 231 3 215 196 98 240 181 170 98 164 229 46 107 107 228 151 221 185 217 154 66 20 231 21 5 109 15 11 212 172 117 15 12 223 192 215 246 205 103 107 59 109 14 242 172 136 189 55 242 14 72 3 230 29 9 192 244 106 245 63 10 120 112 232 247 87 23 146 223 27 137 167 69 66 168 158 92 96 2 72 56 201 203 115 140 147 211 160 28 231 87 87 211 44 117 107 38 179 212 109 99 185 183 98 9 71 25 25 21 105 0 85 10 163 0 12 1 95 79 130 203 161 131 156 220 62 22 238 151 103 215 228 247 56 170 215 149 68 175 185 201 252 101 185 22 191 12 53 230 39 2 91 111 179 183 210 86 17 159 209 235 231 77 33 188 189 42 41 165 153 209 85 240 167 63 119 230 192 197 122 255 0 237 57 125 36 30 17 211 236 146 93 139 113 123 190 97 253 248 209 24 227 254 250 40 127 224 53 229 112 218 170 218 218 194 64 219 8 94 15 124 12 15 215 154 251 156 163 13 237 48 149 23 243 93 126 22 255 0 51 242 238 45 198 242 102 52 191 184 147 249 222 255 0 149 143 74 248 111 60 26 127 142 82 105 60 197 23 144 53 190 84 252 187 137 5 119 15 168 192 247 122 246 74 240 31 8 105 26 206 183 53 165 141 154 77 101 52 33 38 251 113 93 203 12 100 102 57 20 158 28 145 208 122 131 158 153 174 251 199 127 21 252 63 224 191 17 166 135 170 217 106 115 74 214 233 112 101 182 141 25 20 51 48 0 229 129 207 200 79 78 226 191 59 225 156 46 50 157 25 225 106 197 183 9 52 188 210 237 229 125 189 79 212 49 117 232 77 70 188 93 148 146 127 127 234 120 166 183 225 70 212 62 41 248 158 231 81 96 45 90 249 229 85 70 249 164 5 221 64 39 248 126 231 214 187 31 1 216 199 115 173 232 118 248 84 137 39 91 148 10 48 0 67 185 23 242 254 85 216 120 143 192 58 164 186 181 221 246 159 61 164 209 221 72 206 202 236 209 72 153 37 176 8 4 55 44 121 249 113 239 73 240 255 0 194 186 189 159 137 22 235 81 211 254 195 107 101 31 250 63 239 17 188 199 42 201 192 86 56 80 164 245 193 206 61 235 231 42 101 217 133 92 210 46 112 253 223 58 126 86 79 245 71 185 95 52 117 240 209 132 231 126 88 242 165 219 79 235 83 175 241 245 214 165 101 224 237 82 227 71 112 154 138 192 69 171 21 4 9 79 11 193 227 169 29 107 196 62 56 248 155 73 183 240 165 159 128 172 38 146 123 136 76 119 23 164 146 54 101 124 197 13 235 157 225 177 219 138 247 221 127 77 143 88 210 46 52 217 46 39 183 89 148 15 54 18 3 161 4 16 70 65 29 71 112 71 173 124 167 241 79 225 207 142 99 248 149 36 178 88 94 235 137 127 38 98 188 130 45 194 69 11 181 68 152 225 8 194 231 56 94 227 129 199 217 102 30 211 216 191 103 212 174 23 142 22 88 248 188 75 73 71 222 87 118 187 210 215 125 150 255 0 35 212 255 0 102 127 26 234 186 245 181 238 129 169 200 215 75 167 194 143 109 114 231 46 80 146 165 24 255 0 22 48 48 126 190 149 223 252 80 188 142 223 193 247 54 238 224 53 243 45 170 161 255 0 150 129 143 206 191 247 236 57 250 3 92 231 192 223 135 87 94 10 181 188 190 213 46 99 151 81 190 84 86 138 46 82 4 82 199 110 239 226 39 57 39 0 12 0 51 212 245 62 60 240 235 248 135 77 133 32 156 69 117 107 41 158 13 227 40 237 181 151 107 112 72 4 49 249 135 35 220 100 28 165 12 79 212 37 21 252 78 87 111 93 108 114 230 245 48 115 204 231 60 55 240 238 173 101 101 178 189 151 107 220 242 232 109 26 243 70 137 99 149 160 184 133 26 40 228 24 232 50 188 131 216 128 9 253 49 94 201 162 73 105 127 97 107 172 65 109 28 111 123 111 28 187 182 141 229 89 67 0 79 124 102 188 179 64 210 181 215 188 184 210 155 75 184 134 225 101 36 60 209 145 10 46 7 205 188 112 220 228 128 9 39 35 223 30 175 163 89 13 59 74 181 176 18 121 130 8 150 48 216 198 112 61 59 15 106 249 78 9 193 227 48 178 196 42 240 113 139 106 215 242 189 237 229 175 167 226 103 154 84 167 81 67 149 221 152 255 0 17 124 83 15 132 60 53 38 175 42 71 43 249 209 67 20 44 229 124 198 119 0 227 0 147 133 220 220 3 194 154 194 182 248 177 225 161 167 197 117 169 37 237 136 112 11 17 3 79 24 247 15 24 32 174 79 7 131 236 41 62 61 88 193 123 224 200 26 226 40 228 75 123 232 228 218 234 8 201 87 78 255 0 239 215 142 197 53 172 26 52 122 108 62 92 109 230 21 49 1 141 163 127 152 48 61 49 142 158 181 238 102 217 166 35 5 94 10 154 186 118 191 206 250 158 42 173 21 42 145 150 156 177 114 79 187 236 125 31 175 216 90 248 147 194 183 218 99 178 73 109 169 89 188 59 135 32 171 161 1 135 231 144 107 226 73 173 175 108 174 174 180 189 70 207 202 191 180 157 161 185 70 198 4 138 112 78 71 94 157 71 31 133 125 187 225 67 187 194 250 83 122 217 66 127 241 193 92 190 191 240 167 194 58 231 140 31 196 218 133 180 239 60 200 162 123 116 151 100 51 50 140 43 182 0 109 192 0 56 96 8 3 32 215 208 167 117 114 211 186 185 230 63 179 29 181 222 163 168 106 49 203 114 22 215 78 150 27 133 79 47 59 157 195 140 6 207 203 141 138 79 7 57 237 95 68 85 61 39 76 211 116 107 5 178 210 236 173 172 109 83 36 71 12 97 20 30 231 3 185 238 105 182 122 198 155 121 114 150 246 151 73 59 58 52 136 209 130 200 202 164 6 195 143 148 224 176 227 57 172 168 225 233 81 114 116 227 110 103 119 230 251 254 5 202 114 149 174 246 62 116 240 117 239 138 52 47 139 94 48 180 109 94 239 74 180 23 210 200 214 247 17 110 73 132 146 57 141 211 127 10 74 140 134 3 145 138 233 173 245 75 153 238 231 22 151 242 92 234 182 204 178 121 151 19 184 149 28 224 175 7 248 24 227 229 24 92 18 184 199 93 127 136 124 252 70 73 137 227 201 138 7 255 0 117 22 89 7 234 255 0 165 124 233 227 29 98 237 188 115 121 226 61 30 237 144 45 194 61 189 196 39 168 76 109 108 30 163 229 29 120 175 133 197 79 17 152 230 245 112 174 171 140 33 202 215 148 147 93 173 171 247 183 111 211 68 123 152 92 36 222 31 218 82 166 228 245 189 149 244 215 86 125 85 241 131 193 23 30 51 211 172 62 193 60 17 221 217 76 88 45 195 48 142 72 219 27 212 149 4 131 242 169 7 7 161 29 242 57 203 63 132 186 164 136 5 246 177 107 110 79 222 16 70 210 96 119 193 59 121 252 63 58 207 248 17 241 154 239 197 154 218 248 107 196 144 91 166 162 234 126 203 113 110 132 9 138 161 102 14 185 59 78 20 182 70 1 228 96 113 159 112 175 210 240 249 149 122 84 253 157 57 89 31 29 142 225 236 30 34 178 175 136 167 121 52 154 213 217 174 155 50 27 43 91 123 43 72 109 45 98 88 160 130 53 138 36 94 138 170 48 0 250 1 95 44 254 210 82 121 159 21 111 23 254 121 219 64 159 248 230 239 253 154 190 144 241 14 177 53 165 212 54 22 30 73 185 117 243 37 105 1 101 138 62 64 36 2 50 88 240 6 71 70 61 176 126 86 248 203 125 253 163 241 27 82 186 55 86 215 44 194 44 188 3 9 196 74 58 100 250 122 215 86 69 56 188 111 47 84 153 89 172 90 195 95 165 209 238 146 120 159 89 211 44 252 214 214 160 88 162 192 47 127 26 178 1 156 12 144 81 137 232 50 91 175 173 116 158 21 241 85 198 173 169 69 99 61 173 191 239 45 222 97 60 18 146 172 20 160 225 113 208 239 29 205 124 145 241 63 196 151 55 30 44 215 108 45 47 231 109 21 175 229 138 24 4 197 161 9 27 157 165 65 56 3 228 4 99 214 190 138 253 153 116 104 151 225 198 141 174 73 61 195 93 152 174 237 138 51 13 138 162 233 135 3 25 206 35 94 254 181 249 246 89 149 103 56 89 195 219 98 185 227 125 83 93 45 165 155 87 189 250 94 214 234 125 13 106 248 106 137 242 194 207 245 61 106 185 175 19 120 170 219 73 187 142 222 53 138 103 49 249 178 177 115 182 52 206 209 247 65 228 144 223 247 201 174 111 246 129 188 184 135 195 86 86 118 183 83 66 247 87 36 50 198 196 121 136 17 178 172 63 137 114 87 32 240 107 203 210 125 59 75 185 242 227 181 141 166 104 162 50 73 49 249 9 219 144 161 71 179 247 61 206 6 58 109 156 241 15 246 125 79 99 10 110 82 181 247 254 191 174 134 248 28 170 88 168 41 167 187 219 254 9 234 87 255 0 16 117 25 151 200 209 244 184 68 202 192 180 211 23 146 34 163 147 181 84 6 60 100 18 113 131 216 215 162 195 36 115 66 146 196 235 36 110 161 149 148 228 48 61 8 62 149 225 218 43 207 169 90 218 206 138 246 215 151 247 11 111 25 139 33 162 93 219 72 7 131 128 3 55 35 220 138 247 8 34 142 222 8 224 133 21 35 141 66 34 40 192 80 6 0 21 223 147 213 196 215 163 237 113 15 89 91 69 178 242 93 253 78 44 93 56 82 159 36 86 197 109 110 99 109 163 94 220 47 13 21 188 142 62 161 73 174 89 60 39 162 45 188 113 11 51 19 70 129 75 65 43 195 146 7 222 59 8 201 247 53 210 248 140 111 240 238 164 163 189 164 163 243 67 89 186 204 173 14 145 123 58 54 215 142 222 71 86 244 33 73 205 122 115 57 226 96 248 131 77 251 103 193 19 11 77 52 175 30 157 21 238 233 100 105 29 140 101 103 193 102 36 156 237 199 53 226 176 33 84 33 186 238 39 245 56 175 166 180 235 72 36 240 237 181 140 177 6 129 173 22 38 67 208 169 64 8 252 171 141 131 225 39 135 163 212 13 195 234 26 180 214 251 139 11 87 149 2 1 253 221 193 3 224 127 189 159 82 107 204 204 176 21 49 50 139 131 90 119 60 172 126 14 120 134 156 14 171 193 174 127 225 11 209 156 41 99 253 159 1 0 117 63 187 90 135 72 190 212 181 237 42 199 83 182 150 222 194 210 234 37 155 1 76 178 149 97 144 1 56 85 35 190 67 15 231 91 86 176 67 107 109 21 181 188 107 28 49 32 72 209 122 42 129 128 7 225 88 246 222 31 242 45 154 209 117 75 212 180 253 224 138 8 8 136 68 25 153 134 24 13 249 93 216 31 54 48 7 25 230 189 88 171 36 143 73 43 43 30 99 173 252 88 240 189 143 138 47 116 235 157 39 85 213 218 210 99 111 117 37 203 41 84 100 98 167 100 95 115 168 60 128 164 227 158 213 234 118 215 19 106 87 54 87 22 182 141 29 148 103 204 243 166 33 76 138 200 64 8 163 39 169 25 221 183 167 25 175 140 17 175 87 94 190 131 82 157 231 188 73 29 103 150 70 37 158 64 70 226 73 228 156 147 214 190 190 248 77 118 111 62 27 104 18 179 22 100 178 72 25 143 86 49 143 44 147 245 43 154 246 51 12 12 48 244 225 40 117 220 243 240 120 169 86 156 163 46 155 30 91 241 198 254 75 13 71 196 179 156 163 139 48 144 231 174 36 72 163 14 63 18 227 62 160 215 207 58 76 102 88 217 30 71 88 139 237 0 126 167 245 253 13 125 23 251 97 219 200 254 20 209 110 22 196 73 28 55 204 100 185 17 229 162 202 16 23 118 50 21 137 250 18 171 223 21 225 30 25 209 181 141 90 72 108 52 107 27 155 203 163 130 241 192 133 136 13 159 188 122 40 231 25 36 10 252 235 17 129 250 190 38 163 90 186 146 190 223 135 245 220 253 159 132 101 24 101 178 173 38 163 107 171 183 166 138 202 231 174 254 201 126 22 9 175 106 254 37 48 129 109 12 98 214 212 55 205 181 219 5 176 125 85 66 140 247 15 143 90 250 62 185 63 133 62 24 62 17 240 53 142 151 56 81 118 3 77 118 192 231 50 185 201 231 190 6 20 123 40 174 58 31 142 250 20 218 225 134 61 46 236 105 17 146 179 95 51 128 209 156 227 113 140 3 242 123 238 7 159 187 95 89 131 195 212 246 58 234 210 187 103 230 249 190 46 141 108 100 157 45 34 221 162 188 150 223 231 243 53 188 117 10 77 226 91 132 147 113 6 24 178 185 224 253 238 163 161 30 199 34 184 63 139 46 243 120 26 241 110 126 204 235 9 135 200 99 8 18 41 50 47 1 186 1 128 122 1 93 21 143 196 79 14 120 247 226 38 157 160 233 30 25 143 83 181 101 148 205 171 78 60 167 133 21 9 13 23 27 192 45 180 103 43 247 171 188 182 240 78 139 29 236 211 220 44 183 240 72 161 82 210 243 108 176 197 215 36 2 185 36 228 242 197 177 219 21 207 66 43 235 17 175 23 116 154 127 113 158 51 15 86 149 63 99 86 60 174 75 75 246 123 59 31 10 218 68 173 52 16 109 200 44 23 7 156 129 215 244 6 190 202 253 156 65 31 9 52 209 131 183 207 186 42 125 115 113 33 254 121 171 242 124 38 248 116 250 138 95 127 194 41 96 146 33 200 68 12 177 125 60 176 118 99 219 24 174 206 24 162 130 20 134 24 210 40 208 109 84 69 1 84 122 0 58 87 89 202 121 15 237 9 41 58 175 135 237 199 43 228 93 187 15 67 186 0 63 246 106 242 251 54 5 173 217 112 85 137 144 224 116 92 19 159 207 3 241 175 121 248 163 224 169 188 75 20 55 214 23 34 59 251 84 100 72 164 255 0 87 50 146 14 9 234 173 199 7 167 56 35 161 30 57 225 191 15 95 93 120 150 47 13 11 75 136 110 98 11 13 202 50 16 214 241 146 1 115 219 24 86 32 231 13 198 9 200 175 133 207 240 88 138 152 183 104 221 78 201 63 149 190 71 218 100 152 188 61 60 46 178 179 141 239 247 220 244 127 133 54 98 243 85 181 184 141 227 150 13 54 216 153 29 27 35 237 18 12 16 49 198 66 151 39 184 220 63 189 94 166 223 116 213 59 221 67 77 211 87 23 119 118 246 255 0 41 112 172 192 49 3 169 3 169 171 81 188 115 66 178 70 235 36 110 161 149 148 228 48 61 8 62 149 246 148 40 198 140 20 35 208 248 234 181 29 73 57 62 167 195 63 240 154 248 150 219 87 154 113 174 106 114 68 110 26 70 136 221 201 181 129 108 237 35 60 169 238 43 233 219 93 94 247 196 63 8 63 181 238 162 142 27 171 253 61 152 164 64 133 249 178 6 1 36 242 8 227 61 235 201 254 55 124 20 191 209 229 159 91 240 125 181 197 254 157 33 45 45 148 74 100 154 220 147 252 0 100 186 100 253 87 220 114 61 155 194 26 38 191 109 225 13 23 72 191 211 45 173 205 186 90 238 242 238 183 237 8 232 204 28 21 92 28 2 48 187 134 123 247 174 60 61 42 177 171 37 45 143 172 207 177 88 12 78 14 141 76 61 148 182 125 30 139 170 245 255 0 128 119 170 2 168 85 24 0 96 10 163 174 107 26 110 139 101 246 189 78 238 59 120 139 109 92 228 179 183 101 85 28 177 246 0 154 194 241 127 139 206 153 120 250 70 149 102 110 245 48 138 238 101 5 96 129 91 56 102 111 226 60 31 149 121 227 146 43 207 245 89 77 178 92 235 250 197 211 234 23 145 68 199 205 147 3 104 234 18 53 232 128 158 48 57 231 146 107 202 206 184 159 15 151 79 234 244 215 61 103 162 138 238 246 191 249 110 124 238 31 5 42 145 117 38 249 98 186 155 58 231 136 53 159 16 147 26 153 180 125 44 227 247 40 248 185 155 156 252 238 62 224 233 242 175 61 114 216 56 174 191 225 246 163 37 246 142 246 242 153 29 236 164 251 63 154 204 91 204 80 1 83 187 185 0 133 57 231 35 39 173 114 95 13 244 243 226 221 22 13 106 244 53 173 155 150 95 179 35 157 242 17 144 114 195 162 158 163 28 145 131 145 200 175 77 181 183 130 214 4 183 182 134 56 97 141 66 164 113 168 85 80 59 0 58 10 203 34 194 103 63 89 158 39 50 157 175 167 39 109 119 211 69 248 183 212 43 215 194 84 163 21 135 213 61 111 222 231 200 159 24 180 116 208 254 46 106 208 66 10 195 113 115 246 196 207 241 121 203 185 255 0 13 236 227 240 175 118 253 156 117 17 123 240 235 236 184 57 211 175 101 182 39 251 217 196 191 251 87 31 133 118 254 32 208 116 109 126 213 109 117 173 50 214 254 20 112 232 179 70 27 107 14 132 30 160 253 42 107 8 244 189 59 203 210 172 82 206 211 100 123 210 214 16 169 132 206 50 16 118 207 25 197 125 238 35 31 237 176 209 162 227 170 182 190 138 199 139 71 7 236 171 202 162 122 49 218 174 157 97 171 105 243 105 250 157 156 23 150 147 13 178 195 50 6 71 29 121 6 153 163 233 26 94 141 105 246 77 39 78 181 177 131 57 242 237 226 8 164 250 224 119 168 60 91 121 168 105 222 23 213 53 13 38 214 59 171 251 107 73 38 183 129 243 137 29 84 144 188 115 206 49 95 52 248 123 227 207 141 181 15 27 104 195 81 159 77 131 74 150 246 56 174 109 237 173 118 171 70 236 20 146 206 89 129 25 221 193 29 61 43 205 183 83 187 153 219 150 250 30 235 241 159 198 71 193 62 8 151 81 183 142 57 111 174 102 75 75 56 228 206 195 35 228 228 227 156 42 171 54 59 237 198 70 115 95 28 44 82 70 170 100 145 230 136 18 95 119 250 182 101 28 2 58 28 6 62 227 62 245 245 239 199 95 9 47 138 188 13 63 149 105 61 222 161 97 155 155 40 162 144 169 47 140 55 0 252 199 105 108 15 90 249 42 49 43 236 180 10 17 22 82 54 30 49 211 121 35 177 194 227 30 194 189 44 175 1 60 69 117 82 83 247 35 188 123 187 59 55 228 158 197 98 115 106 24 60 12 168 194 149 235 79 237 255 0 42 186 210 62 111 91 189 52 125 79 107 253 150 244 249 165 241 126 169 170 155 116 142 56 172 22 41 58 146 174 238 8 25 233 156 35 103 3 176 245 21 244 77 121 215 236 247 163 182 153 240 250 43 185 70 38 212 166 123 146 63 186 159 113 7 226 170 27 254 5 94 139 88 227 167 25 226 38 226 180 185 203 133 231 246 49 83 119 118 254 151 200 240 88 62 43 106 122 131 191 216 211 83 242 19 0 139 153 224 141 155 63 238 68 72 252 235 183 154 255 0 66 185 211 136 139 196 82 37 229 197 177 104 227 254 216 145 156 49 94 8 77 252 224 145 208 87 137 92 217 199 164 120 223 93 210 33 77 144 69 117 42 192 191 221 141 36 96 163 254 249 101 252 171 171 248 41 120 99 241 181 131 33 63 191 55 86 143 158 128 2 204 71 253 245 18 226 189 92 94 87 69 225 213 90 90 89 95 189 246 62 43 43 226 60 87 215 165 134 196 218 73 203 149 108 173 191 150 186 174 167 190 105 115 73 115 166 90 220 75 11 195 36 176 163 180 114 12 50 18 160 149 32 247 29 41 247 173 178 210 118 94 24 70 196 17 244 165 188 149 224 180 154 120 225 121 222 52 102 88 147 27 156 129 157 163 60 100 244 175 40 212 252 87 169 107 208 128 175 112 182 211 219 172 130 27 32 81 118 183 35 116 173 180 177 246 5 120 234 188 215 196 102 249 214 27 42 166 165 90 247 123 37 214 222 123 47 155 63 68 195 225 167 93 218 61 14 215 69 178 211 180 239 8 199 170 165 164 109 115 246 37 186 150 103 27 221 228 17 231 113 99 146 79 189 111 105 118 255 0 98 210 237 109 51 159 34 20 143 254 249 80 63 165 115 122 109 252 23 222 9 186 211 227 73 35 158 223 79 16 186 62 58 152 246 228 96 158 50 8 252 43 173 175 70 133 122 120 138 106 165 41 41 69 236 214 168 198 112 148 29 164 172 207 28 63 29 32 155 87 155 75 177 240 94 183 117 119 20 143 27 68 26 61 224 161 33 129 80 78 8 193 205 103 159 218 34 197 36 216 254 19 190 66 14 210 90 233 0 95 175 28 86 212 214 246 250 55 138 245 217 44 237 45 150 230 239 80 81 60 161 8 113 230 108 57 206 112 70 28 54 6 57 39 60 215 53 226 159 135 58 119 137 188 105 135 190 185 181 146 127 37 36 112 170 202 219 146 108 177 24 4 156 198 131 168 227 53 217 71 27 130 117 253 157 72 52 187 223 91 250 118 57 170 208 197 42 124 208 146 111 181 186 30 167 226 13 36 248 142 215 79 214 116 137 34 89 94 21 32 200 112 146 66 227 112 201 0 156 130 114 62 172 59 228 120 143 199 59 127 236 239 17 105 218 36 119 47 115 116 150 102 103 98 118 171 72 237 180 5 76 144 160 109 227 57 56 144 228 158 43 232 31 5 104 135 195 126 22 176 208 205 244 215 223 99 139 203 19 202 160 22 25 36 12 14 128 3 128 57 192 3 147 95 63 124 81 209 245 97 241 110 238 226 250 217 207 219 36 19 91 178 2 194 72 145 66 168 76 119 27 87 43 215 57 61 193 49 149 228 248 25 102 127 91 113 92 246 221 249 126 182 252 60 143 43 137 177 216 154 121 91 165 78 237 55 103 110 151 254 190 246 122 111 192 27 181 254 194 191 210 50 75 89 206 146 47 180 110 128 15 252 122 55 174 151 226 119 136 39 240 231 133 37 189 179 41 246 217 37 72 45 131 140 141 204 114 79 224 161 219 240 174 99 224 182 139 172 105 211 222 223 95 216 75 103 111 117 12 98 49 48 219 35 16 79 84 251 203 140 158 24 3 205 100 252 114 213 46 111 53 36 211 45 217 94 211 78 11 44 232 171 150 18 178 158 191 68 101 56 31 222 61 120 198 28 77 139 167 132 85 106 194 91 237 110 239 254 9 232 112 149 25 213 195 225 233 226 35 107 104 211 236 159 249 28 113 241 71 136 110 46 141 236 218 206 162 242 6 12 89 110 10 152 143 174 193 132 219 199 97 131 232 121 175 93 210 52 215 212 116 152 181 13 111 39 83 184 2 102 154 50 99 120 126 92 40 82 15 201 133 234 1 198 75 30 230 188 79 67 211 142 177 173 219 88 197 134 103 32 123 124 221 207 168 0 49 199 183 210 189 210 242 217 38 251 31 134 44 191 117 20 145 1 54 208 127 117 106 152 4 2 58 22 225 7 212 145 247 107 228 248 106 85 234 186 147 156 155 90 110 219 215 231 242 62 215 136 99 70 151 36 33 20 183 217 116 233 250 154 222 15 185 189 190 209 140 215 206 38 141 228 97 111 35 40 86 150 17 194 187 1 198 91 147 198 56 34 190 37 248 141 160 159 13 248 223 90 208 67 16 150 183 78 176 156 242 34 111 154 60 251 236 101 252 107 238 203 169 173 180 221 58 91 137 54 195 109 107 9 118 218 56 68 81 147 128 61 0 175 149 127 104 205 58 125 91 197 118 218 253 141 136 51 93 91 152 238 160 181 38 102 141 163 56 86 144 142 140 85 148 99 167 201 140 156 100 253 115 156 98 210 111 115 229 212 91 213 31 73 124 56 214 207 136 252 5 162 107 82 58 188 183 86 113 180 196 116 243 64 195 143 251 232 53 115 190 44 248 77 225 15 16 120 143 251 126 237 110 173 102 110 110 18 218 81 26 78 127 188 220 100 28 112 74 144 78 125 121 174 87 246 69 214 5 207 129 245 29 2 73 15 159 165 223 22 17 183 84 142 95 152 127 227 226 90 183 227 109 54 69 213 239 227 214 175 100 185 144 238 150 205 239 36 204 1 24 157 152 143 59 1 83 242 158 50 118 130 122 138 243 179 92 233 228 244 62 178 162 223 77 58 95 191 151 222 105 71 9 28 92 253 156 173 243 59 35 227 31 8 232 246 11 167 233 19 11 225 103 24 138 43 93 53 12 219 66 140 4 220 62 69 198 49 243 48 172 109 67 198 190 35 187 143 26 94 153 105 166 175 63 61 236 134 89 15 167 200 152 11 255 0 125 31 167 122 249 242 219 226 47 140 173 95 200 104 180 163 177 138 176 120 78 6 56 56 10 194 189 167 193 173 119 226 237 49 175 180 72 34 104 227 151 201 149 238 37 242 213 92 42 150 3 1 152 253 225 219 30 245 241 153 134 113 196 21 230 169 225 41 197 95 249 125 231 243 110 201 125 199 212 98 120 122 57 117 53 87 19 240 189 159 79 192 227 190 45 217 29 51 226 253 220 153 30 94 163 28 115 160 236 185 143 105 252 218 34 127 224 85 55 195 133 146 31 26 233 171 99 111 45 195 71 116 36 153 34 82 222 90 72 72 103 108 125 213 249 137 201 244 175 114 241 7 132 252 57 175 220 193 115 172 105 54 247 115 65 143 46 70 4 48 0 231 105 35 4 174 127 132 228 123 86 157 149 149 157 141 184 183 178 181 134 218 21 233 28 72 17 71 224 43 246 5 155 242 225 125 135 45 221 173 115 242 57 112 183 62 98 241 142 165 151 50 149 146 235 123 254 101 131 94 51 168 216 92 104 94 36 191 210 12 241 71 104 1 186 129 140 120 34 38 36 158 115 129 131 145 223 161 39 27 133 123 53 87 186 177 178 186 150 41 110 109 32 158 72 137 49 180 145 134 41 158 184 39 167 65 211 210 190 43 61 201 97 155 225 189 140 159 43 78 233 218 246 249 122 31 115 132 196 188 60 249 150 167 158 120 23 74 154 235 196 16 223 24 110 228 176 251 28 129 166 118 101 73 89 154 50 152 233 188 16 28 240 10 254 149 233 125 168 3 20 87 86 83 150 195 45 194 199 13 9 54 149 245 126 110 230 120 138 206 181 71 54 173 115 206 254 33 194 182 254 32 51 71 196 151 118 123 149 7 241 180 100 130 223 92 60 99 242 167 233 176 25 252 85 5 205 185 243 68 233 3 46 223 224 72 218 70 103 62 196 72 20 123 145 248 117 222 32 209 44 245 152 163 23 6 72 165 135 62 84 241 16 29 50 57 3 32 130 14 7 4 17 144 15 97 77 240 214 137 6 137 96 45 227 149 231 144 128 30 103 198 230 0 97 70 7 64 7 65 245 60 146 73 214 88 102 235 115 244 5 82 208 229 53 104 162 138 236 49 10 242 191 137 90 4 186 102 161 121 226 36 98 246 55 76 36 186 99 214 221 130 5 220 120 251 152 65 201 233 244 198 61 82 130 1 24 35 34 184 51 44 190 150 97 65 209 169 255 0 12 251 155 80 173 42 51 230 137 228 191 14 108 116 141 50 218 109 97 225 138 223 22 222 112 145 208 130 200 223 51 186 146 48 83 238 128 87 211 233 94 129 225 75 41 226 182 151 81 189 71 75 219 242 36 146 54 57 48 160 31 36 95 240 16 121 255 0 105 152 247 173 27 237 62 198 248 70 47 45 32 184 17 56 120 252 196 13 181 129 200 35 61 42 205 25 118 2 24 26 17 163 23 123 117 125 111 171 10 245 157 105 185 50 190 165 108 151 154 117 205 156 170 25 39 137 162 101 61 8 96 65 31 173 121 77 133 229 228 218 116 42 111 39 31 46 215 4 40 117 35 134 70 56 200 32 130 15 112 71 92 215 175 86 117 198 131 161 220 93 53 213 198 143 167 203 59 28 180 143 110 140 204 125 73 35 147 91 226 40 123 91 107 177 52 234 114 28 31 193 127 2 90 104 55 154 135 138 224 188 184 47 172 111 205 182 20 68 177 137 88 198 203 142 79 203 200 57 232 213 233 50 91 193 36 209 207 36 49 188 177 103 203 118 80 89 51 215 7 182 112 42 69 1 64 0 0 7 0 10 43 120 171 36 136 110 236 249 23 227 166 138 116 79 137 122 162 32 30 77 233 23 176 250 226 76 238 7 254 6 31 240 197 122 47 236 153 121 43 216 235 246 13 187 203 73 161 184 25 254 243 171 43 103 240 141 127 42 244 191 29 120 3 195 158 51 107 121 53 139 121 188 251 117 43 28 208 73 177 194 147 146 167 177 25 29 199 25 56 198 77 95 240 127 133 52 63 9 233 205 99 162 89 249 17 187 239 145 217 139 60 141 234 204 121 63 78 130 188 202 56 25 83 197 58 169 251 172 250 252 111 17 209 197 228 208 193 78 47 218 70 202 250 90 201 239 222 246 86 216 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumkJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 146 25 36 198 119 17 248 213 155 103 125 223 125 136 30 245 86 16 79 122 209 180 132 156 30 158 213 250 44 218 71 231 84 226 219 53 180 247 109 160 146 223 157 106 195 35 140 124 199 243 233 89 214 113 21 3 53 163 18 122 215 12 218 61 88 45 11 41 36 141 252 110 71 214 174 219 188 131 3 123 126 117 82 36 36 85 232 80 142 181 203 43 27 34 210 77 32 233 35 127 223 70 156 100 144 245 145 207 227 77 68 226 158 23 53 150 131 68 177 201 38 49 189 191 58 79 49 247 99 115 126 116 177 140 14 41 193 57 206 13 45 0 100 146 72 7 223 111 206 171 51 201 253 246 252 234 204 137 199 122 129 163 239 252 169 160 25 230 57 235 35 113 239 77 121 100 198 3 183 224 105 74 99 214 152 227 57 197 49 149 101 121 51 247 219 243 168 29 223 63 125 191 58 180 233 235 214 171 72 152 235 90 38 34 173 196 146 127 125 191 58 199 212 89 202 144 88 254 117 177 58 86 85 250 117 198 107 162 155 70 83 90 28 229 222 224 199 147 215 61 107 54 119 126 155 219 243 173 91 245 236 107 42 113 236 107 209 134 199 149 37 239 26 182 208 147 220 147 91 54 80 112 51 154 130 198 12 28 99 138 216 181 136 122 98 185 170 212 59 40 82 73 18 219 71 192 171 177 198 49 154 32 139 240 171 113 71 92 83 157 206 200 161 97 143 156 250 85 200 227 231 52 216 83 218 173 198 156 116 172 27 45 32 84 199 34 164 84 28 212 138 149 32 67 142 195 240 172 220 145 124 132 59 61 205 72 139 145 237 82 8 240 69 57 83 166 42 121 195 144 129 147 138 136 199 193 53 116 175 24 235 81 148 60 83 82 18 137 69 227 227 189 68 232 122 3 87 157 61 42 39 78 58 85 166 62 83 61 227 239 222 171 201 25 62 184 173 25 83 142 120 170 242 39 57 21 73 143 148 204 153 61 115 89 119 145 240 121 173 201 151 183 74 205 186 79 189 91 211 145 140 162 114 218 132 60 147 205 97 221 33 4 215 85 127 31 7 35 38 185 251 216 249 53 232 210 149 207 51 17 11 59 157 77 172 99 60 243 90 118 201 85 45 144 100 113 90 86 235 192 174 26 146 61 8 43 22 225 65 129 199 21 106 36 205 69 0 231 154 185 18 254 21 203 38 116 69 104 62 36 232 106 212 104 6 5 16 167 21 97 23 181 101 41 22 144 170 163 210 158 171 206 69 60 47 24 167 133 172 155 29 136 194 118 165 217 218 165 10 61 41 219 115 75 152 118 32 40 61 41 140 156 142 42 193 95 65 77 35 185 20 92 44 84 117 168 157 122 213 194 181 19 175 90 164 194 197 25 19 154 175 34 240 120 171 210 47 94 149 90 85 173 98 238 35 58 101 255 0 56 172 235 149 206 79 181 107 76 188 31 74 206 186 81 207 165 109 6 103 52 97 222 38 65 56 205 115 250 148 95 49 56 28 87 81 118 160 131 218 176 181 20 4 100 215 125 41 28 24 136 93 27 246 227 166 43 70 1 192 170 54 194 180 32 7 142 107 150 163 58 162 139 176 14 149 122 16 14 42 156 32 241 87 224 30 156 87 60 142 132 139 150 145 153 101 72 212 224 179 5 4 244 173 6 176 150 55 8 10 49 35 60 31 175 175 208 213 109 36 99 80 182 231 31 188 94 127 26 232 231 181 243 38 89 229 156 121 65 57 193 32 228 18 127 173 121 245 170 184 74 199 69 58 106 113 50 224 177 153 247 3 181 8 198 67 103 191 210 150 11 87 146 220 204 25 118 140 231 147 158 6 107 75 72 114 255 0 104 100 119 219 230 46 51 207 28 211 44 72 26 92 131 122 175 223 227 254 3 89 74 172 213 254 70 138 156 116 249 148 45 96 105 229 17 161 0 144 122 209 52 38 41 10 49 25 29 72 171 122 63 23 160 228 15 149 186 253 41 183 203 186 245 134 114 14 222 71 208 85 243 190 123 116 177 159 34 228 191 153 20 22 50 204 133 198 21 115 129 156 243 77 146 198 97 113 228 2 164 227 113 60 224 10 223 158 39 251 40 138 57 218 48 54 140 133 231 24 170 144 69 36 90 132 168 103 121 27 202 251 196 115 214 177 85 228 238 205 157 24 171 35 46 125 46 120 212 225 145 143 28 12 243 159 194 170 219 216 205 116 91 97 10 6 65 45 158 190 156 87 68 45 230 142 233 228 251 76 178 3 140 41 7 140 243 84 44 111 10 223 75 20 219 162 105 36 99 207 56 39 177 252 170 163 90 109 59 106 39 74 41 171 152 186 133 132 182 163 50 50 17 145 211 61 243 234 61 171 46 65 93 39 136 45 110 65 121 60 217 100 136 96 178 177 63 47 191 249 245 174 122 81 205 118 97 231 205 27 182 97 86 42 50 178 69 25 151 138 206 185 25 246 21 169 55 122 207 184 81 131 93 113 102 50 90 25 23 96 242 43 19 80 81 201 235 91 215 99 25 192 235 88 215 171 242 227 29 171 186 147 56 170 171 163 106 216 115 239 90 48 10 207 181 246 255 0 245 86 148 29 190 181 205 51 120 34 236 2 175 64 189 133 83 183 21 122 30 149 207 39 99 116 95 211 138 165 228 45 35 109 80 224 147 248 214 234 93 196 53 24 177 112 76 27 14 114 120 206 79 255 0 90 185 169 11 44 18 58 240 66 156 85 136 90 83 58 171 42 170 236 39 134 207 113 237 92 21 148 92 181 254 174 117 82 230 81 186 254 172 116 86 146 218 164 215 31 189 10 165 212 174 56 207 7 52 205 50 91 113 111 228 206 229 65 39 63 66 49 88 132 171 92 58 75 41 140 42 238 80 31 110 71 118 252 63 207 90 179 110 26 75 101 222 88 146 62 240 56 39 223 138 231 178 147 107 250 208 214 238 41 73 255 0 87 53 212 216 193 113 27 194 236 71 33 189 178 41 103 254 207 145 76 158 97 243 54 231 175 126 213 139 167 3 228 22 103 102 62 99 143 153 137 224 49 2 172 17 140 154 35 14 100 165 113 78 92 178 113 177 164 183 54 183 22 235 21 193 112 70 50 73 227 142 51 81 197 246 56 47 36 242 229 62 89 143 131 184 117 205 99 217 135 49 164 140 27 44 128 146 100 39 63 133 68 242 236 107 177 35 133 216 65 80 123 13 163 159 207 52 146 74 55 122 38 91 187 157 150 173 26 150 114 66 186 156 204 242 109 66 78 14 236 103 230 20 8 244 233 174 103 123 137 136 204 141 131 184 12 142 49 88 211 151 91 53 220 251 92 133 220 73 199 166 70 123 102 163 183 124 153 80 146 118 55 32 182 236 113 211 63 227 90 217 57 217 59 54 140 236 212 47 186 76 217 213 238 109 146 7 130 7 121 55 162 175 223 200 80 63 253 85 206 202 50 115 218 155 188 135 66 100 221 185 200 200 124 231 175 5 79 76 123 122 83 229 53 190 26 201 104 103 136 78 250 148 230 28 19 84 46 135 122 208 151 32 159 74 163 116 6 13 119 68 230 102 61 216 224 230 178 47 7 90 216 187 224 26 200 188 56 205 118 210 56 234 26 214 131 156 86 165 183 94 5 102 219 140 31 198 181 45 199 74 231 168 116 83 69 232 5 94 132 112 49 85 32 28 10 187 14 43 154 102 201 22 98 92 213 164 94 149 94 42 185 22 49 254 53 207 34 210 28 168 173 141 202 167 7 35 35 60 212 202 189 169 169 197 76 163 53 207 38 104 162 216 221 184 237 72 86 165 192 198 105 164 98 165 49 242 145 17 142 77 67 42 35 16 89 65 32 240 72 233 86 90 160 97 90 69 223 114 90 177 94 80 15 7 144 106 45 170 163 106 128 163 208 14 42 119 233 80 63 124 86 200 151 216 174 232 160 150 10 51 234 5 87 146 172 72 106 188 188 214 136 150 85 155 218 168 92 158 42 244 223 90 161 114 220 117 173 226 65 147 121 223 21 133 126 252 28 86 221 219 112 112 43 7 81 199 62 226 187 169 28 85 158 135 65 110 223 63 227 90 118 237 89 22 196 110 38 180 173 219 2 185 231 185 217 4 106 192 220 85 200 152 26 204 137 185 28 213 216 159 62 156 87 52 209 170 70 148 77 192 230 173 35 240 43 62 39 171 80 181 96 209 164 99 114 244 108 115 86 20 241 84 227 106 176 141 199 29 43 154 123 155 168 147 134 226 154 204 41 133 233 172 213 9 92 86 28 204 58 84 14 121 235 67 184 25 168 93 235 104 198 196 176 115 80 72 121 165 103 170 242 200 57 173 146 50 104 108 167 222 171 200 70 13 36 146 251 213 105 165 244 53 164 85 200 99 39 106 205 186 126 15 53 61 196 167 174 107 50 234 94 188 215 76 35 115 57 59 34 157 235 149 4 138 192 212 229 235 205 105 222 207 193 174 123 81 155 115 26 244 104 196 243 49 19 178 58 187 119 228 228 247 173 8 100 227 255 0 173 89 210 70 208 202 200 224 130 14 8 53 60 50 99 185 174 14 101 61 81 237 84 163 42 50 229 150 230 196 46 125 106 236 50 86 60 82 251 213 216 100 30 185 172 228 137 70 180 47 146 42 252 44 56 230 177 224 147 190 106 244 82 170 174 89 128 29 201 53 203 52 116 210 87 53 99 106 157 90 168 105 174 46 228 117 138 69 98 170 78 65 4 112 113 207 53 97 159 203 149 163 44 24 171 99 35 161 174 7 90 46 163 135 84 122 143 9 104 115 18 179 123 211 75 226 161 105 69 70 210 143 90 233 138 208 243 166 172 201 157 249 168 36 127 122 99 72 61 106 39 148 98 180 72 205 139 44 152 239 85 165 147 189 44 174 8 198 106 172 143 197 90 39 144 108 142 106 164 242 99 169 167 79 37 80 184 151 131 207 21 209 20 99 37 97 183 50 241 237 89 119 146 227 57 169 46 167 224 242 71 181 97 234 23 92 30 113 93 148 169 220 226 173 59 16 234 55 0 247 226 176 238 101 201 38 164 187 184 220 72 205 102 207 38 107 209 167 30 84 121 51 147 156 142 175 83 241 156 55 58 220 237 117 110 208 43 200 196 190 236 237 39 61 69 90 177 215 180 187 153 68 80 94 194 206 122 12 224 159 206 188 222 125 173 195 16 119 72 7 220 235 129 254 121 165 210 45 80 106 118 219 115 143 180 6 57 250 230 185 225 129 167 78 154 138 232 143 115 21 152 206 189 87 62 236 246 8 101 247 171 176 202 49 214 185 203 123 142 113 154 209 182 156 0 73 61 179 92 115 167 97 194 170 103 55 241 11 196 238 102 26 77 176 154 35 20 217 121 163 151 27 190 95 187 129 245 21 204 155 235 185 172 218 55 189 152 219 182 220 198 238 216 206 121 207 60 214 69 188 191 105 189 150 89 9 203 200 238 84 143 83 93 20 86 177 37 178 124 140 206 204 160 5 109 167 168 238 107 209 84 163 78 42 54 57 35 86 83 147 149 203 154 78 163 37 140 87 13 111 59 192 68 129 127 116 122 140 14 15 78 255 0 202 183 53 127 22 107 78 182 211 219 222 76 146 255 0 171 36 19 140 140 29 228 30 14 121 235 158 181 203 106 112 180 54 37 210 62 151 0 17 46 14 71 168 197 90 133 99 104 99 93 170 72 184 124 96 159 127 214 184 167 132 167 42 138 163 95 213 143 118 25 164 214 25 208 125 191 83 174 211 62 40 249 179 193 111 123 164 60 109 38 3 58 75 158 248 206 210 61 123 102 189 5 166 56 205 120 13 177 182 89 45 139 0 8 113 199 94 253 171 218 158 126 79 53 134 43 15 8 53 200 172 113 209 173 41 167 204 238 95 121 189 234 38 159 35 21 68 220 118 221 88 122 239 138 108 52 180 147 115 25 166 81 157 137 253 79 65 92 240 163 41 104 139 149 69 29 89 211 52 220 117 252 41 203 20 178 194 242 162 150 68 251 196 118 175 57 79 17 234 215 174 179 66 235 12 124 0 137 24 61 78 50 115 207 21 177 163 248 190 230 24 26 9 229 192 157 84 18 201 183 113 57 24 250 245 168 197 97 235 194 55 167 185 232 229 179 161 90 124 147 235 177 179 119 46 50 51 205 101 220 207 239 88 154 159 137 196 26 172 150 247 17 40 139 98 178 186 183 57 57 237 248 84 71 84 134 234 1 52 44 90 54 228 26 236 195 210 147 138 151 115 206 204 100 168 213 149 62 169 180 88 190 186 3 56 63 90 192 189 184 220 79 173 58 242 231 113 60 241 89 146 202 9 32 118 175 78 157 62 83 192 171 81 205 217 12 154 67 85 36 122 214 254 199 191 155 74 147 83 72 137 183 140 225 155 210 176 102 126 77 105 78 172 42 95 149 222 198 147 194 213 162 147 169 27 95 84 64 160 238 141 138 32 198 230 233 220 212 186 68 228 235 144 166 70 23 115 145 248 99 250 214 114 92 34 182 50 126 72 192 251 196 255 0 159 173 63 64 184 86 213 38 144 99 228 140 128 126 164 127 133 107 37 166 166 42 231 123 5 215 169 230 180 5 232 75 89 100 207 221 141 143 228 43 150 138 232 100 81 170 223 8 244 91 214 7 7 200 124 126 70 185 229 77 21 10 178 76 230 180 87 45 32 144 14 199 35 183 90 234 75 2 32 25 92 121 139 239 210 184 253 6 80 200 1 98 112 160 242 61 107 164 91 145 186 32 6 0 108 156 28 118 61 107 105 251 214 99 132 185 116 39 213 103 221 107 10 171 103 117 193 251 167 29 207 99 90 58 124 202 32 80 75 255 0 199 195 245 35 158 59 250 215 61 170 222 15 46 217 126 108 153 57 221 215 173 88 210 174 85 237 21 206 210 4 146 48 27 125 187 122 84 56 123 166 145 170 212 203 96 167 218 109 142 78 237 233 195 17 158 162 189 86 73 216 18 50 43 199 173 164 218 246 172 20 109 202 224 14 131 165 122 52 154 130 6 251 194 185 113 52 220 154 58 40 214 73 59 150 181 249 159 251 22 248 164 140 172 45 220 130 189 71 202 107 201 226 224 92 2 199 160 61 125 205 122 14 177 127 27 105 55 171 184 115 110 248 255 0 190 77 121 188 19 169 105 71 170 250 251 154 211 9 7 24 179 28 76 212 154 104 237 124 38 75 217 169 229 137 13 201 60 240 213 71 93 223 111 105 11 8 192 2 84 25 219 183 24 119 244 63 165 30 19 186 95 179 170 3 143 189 219 253 170 169 226 57 148 89 30 8 42 228 231 203 198 113 47 255 0 94 142 79 222 59 150 171 56 193 53 184 251 203 133 154 202 218 118 151 32 194 129 139 49 228 171 0 79 76 119 162 222 117 138 209 151 33 81 9 250 1 89 70 236 127 103 149 39 144 92 14 91 212 31 233 82 23 223 12 241 143 226 4 126 98 181 133 62 85 100 101 136 172 235 73 205 238 200 181 29 101 8 217 100 241 188 128 228 150 7 24 172 187 107 171 171 151 50 53 195 134 61 148 109 95 192 85 24 156 137 144 147 195 30 71 111 187 87 116 231 93 193 120 224 17 249 86 246 72 231 90 27 218 103 137 239 172 172 223 76 184 153 141 140 135 50 128 1 39 167 21 145 173 92 139 93 86 226 5 66 241 7 249 8 254 233 0 143 231 73 169 144 45 164 35 36 133 207 249 252 171 22 93 66 57 194 100 229 213 66 177 62 195 31 225 92 240 161 78 157 71 40 233 125 252 223 127 83 190 166 54 165 108 58 165 61 121 94 143 203 183 161 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albummgJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 115 0 115 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 247 235 255 0 143 159 9 172 46 222 214 243 197 102 41 147 239 41 211 174 191 248 215 53 123 71 248 203 240 223 87 129 231 211 252 68 211 68 141 181 159 236 23 42 51 233 204 98 190 52 248 148 52 35 111 7 219 228 100 188 12 60 191 43 27 202 119 207 183 245 252 107 169 240 214 169 167 219 104 209 29 28 69 62 159 183 99 68 59 227 215 184 111 173 122 171 3 9 211 139 141 238 251 237 249 117 232 123 120 172 174 24 89 212 114 151 52 97 103 100 215 53 186 253 203 87 250 31 83 234 63 23 62 30 233 246 173 115 117 175 50 68 191 121 150 198 225 241 245 219 25 227 222 172 39 197 31 2 186 6 93 115 130 50 51 105 56 63 250 5 124 161 227 148 213 46 124 45 36 254 19 137 245 1 40 219 39 150 71 155 18 247 194 245 39 183 28 215 159 120 103 226 21 254 159 34 217 107 72 211 70 141 176 200 192 249 169 245 245 254 116 169 229 178 169 7 40 238 183 93 126 224 167 79 39 169 85 69 85 147 139 75 93 52 125 158 159 161 247 77 255 0 197 207 135 118 49 172 151 158 36 142 4 103 8 165 237 166 0 177 232 62 229 88 95 138 30 5 97 149 215 84 131 220 91 77 255 0 196 87 198 186 189 166 159 227 11 132 177 187 154 255 0 77 149 99 243 52 249 25 127 115 114 10 130 73 24 200 97 233 158 157 186 214 27 222 120 179 192 133 45 181 24 22 243 75 102 219 28 160 238 95 160 96 126 83 236 212 71 47 140 213 148 189 238 223 228 96 214 89 79 27 44 61 87 36 150 207 79 202 219 122 31 113 93 124 86 240 5 173 187 220 79 226 5 142 40 198 89 141 172 220 15 251 226 158 62 40 248 16 168 97 175 2 15 67 246 89 191 248 138 248 75 226 86 181 169 221 218 218 4 183 154 223 77 158 37 151 44 62 251 30 112 125 49 199 6 179 124 35 227 107 237 32 165 165 203 27 139 44 227 107 114 209 143 246 79 167 181 107 12 162 83 165 206 158 189 142 138 184 108 186 150 43 216 205 201 71 190 159 229 183 153 250 1 255 0 11 63 192 223 244 28 31 248 11 55 255 0 17 88 119 31 31 62 19 91 206 240 79 226 179 28 168 112 200 218 117 208 32 255 0 223 170 249 178 215 90 180 189 176 75 203 105 209 226 101 206 236 244 250 250 26 224 62 32 221 120 126 253 190 209 13 252 127 111 92 6 242 193 101 144 122 18 6 51 248 214 56 108 20 42 84 228 157 254 93 61 116 59 51 44 138 142 31 15 237 104 212 251 218 213 121 108 125 158 159 180 15 194 23 96 163 197 235 146 112 51 167 221 1 255 0 162 235 124 124 79 240 49 25 26 232 63 246 235 55 255 0 17 95 158 240 120 79 92 158 20 154 17 110 209 186 238 82 38 28 138 237 60 37 63 136 180 203 127 177 234 208 137 45 98 82 99 145 92 51 168 31 195 129 201 30 149 174 39 1 66 10 244 167 119 218 232 229 203 178 121 85 159 46 38 19 138 123 52 180 249 232 254 243 237 83 241 59 192 192 100 235 131 255 0 1 102 255 0 226 43 157 184 253 161 62 16 91 202 209 77 226 239 45 208 144 202 116 219 188 130 59 127 170 175 151 237 60 83 165 222 62 200 47 225 103 254 235 29 173 249 28 26 227 190 36 233 105 63 252 77 109 99 195 129 251 240 15 12 59 55 214 178 195 224 233 202 167 37 91 171 255 0 93 142 204 195 135 233 83 195 186 216 89 243 91 125 83 211 228 125 153 255 0 13 23 240 107 254 135 17 255 0 130 219 191 254 53 69 126 121 146 51 69 122 159 216 148 59 191 195 252 143 148 187 45 95 205 117 113 121 36 215 175 35 206 91 231 47 215 53 165 225 59 205 90 223 84 141 116 175 49 221 216 7 136 125 215 30 253 191 30 213 211 120 242 219 71 120 132 211 74 144 94 110 224 162 229 156 123 143 235 91 94 22 181 211 108 44 17 244 237 178 135 25 51 245 102 252 123 125 43 121 230 48 84 20 148 119 251 143 169 163 195 117 106 99 37 74 85 21 150 173 167 173 159 151 126 230 142 159 171 207 225 237 111 239 176 180 152 252 227 251 167 251 194 186 127 16 248 107 195 190 53 142 57 175 17 109 239 215 5 46 162 80 11 143 71 254 240 253 71 106 227 60 66 35 153 160 7 150 219 150 174 135 194 183 47 246 40 193 39 228 59 71 208 84 102 92 178 80 196 82 210 77 106 126 103 93 207 3 137 148 98 245 139 107 238 102 165 213 156 214 147 44 23 17 0 23 5 49 200 32 116 34 174 34 105 247 150 143 103 168 90 37 196 18 13 174 142 78 24 126 117 109 156 92 218 50 201 201 3 42 79 80 107 67 193 90 85 150 165 37 192 186 86 98 155 118 128 216 198 115 207 233 94 22 179 105 45 205 106 226 241 153 158 38 46 172 249 165 210 253 58 244 48 124 69 225 125 63 84 211 204 26 110 154 101 222 160 52 102 231 229 227 209 88 122 122 48 175 16 241 95 129 245 29 39 83 16 195 11 136 221 182 237 151 229 104 243 235 234 61 197 125 49 226 13 30 127 15 221 69 44 82 60 150 178 242 142 122 169 254 233 247 168 53 251 173 51 83 240 196 208 234 250 13 198 179 16 3 114 90 133 251 66 1 206 248 201 32 228 31 67 154 219 9 138 171 135 157 147 209 159 71 75 62 117 34 176 185 133 62 103 29 165 127 123 239 119 77 30 12 60 47 106 154 19 105 226 89 22 87 195 180 129 142 11 129 233 211 21 192 234 54 151 22 23 111 107 114 155 36 67 245 7 220 87 166 61 238 155 253 163 37 158 157 168 181 228 104 55 68 210 33 73 66 231 27 100 83 210 69 232 216 200 238 56 53 141 227 20 211 231 181 81 113 42 165 200 32 161 3 39 30 254 213 232 224 241 117 169 87 116 234 221 223 250 191 161 246 217 166 91 130 198 101 241 197 97 154 143 42 211 165 252 159 153 159 224 127 17 182 157 47 216 174 229 255 0 69 127 185 158 118 55 248 26 239 158 244 52 120 193 207 189 113 86 62 20 176 17 172 147 79 36 251 134 70 210 21 79 245 165 215 229 191 211 218 55 180 187 153 109 200 218 1 195 109 35 220 130 77 99 138 141 28 85 116 168 187 55 189 246 59 50 218 184 156 175 4 229 140 141 226 173 107 59 180 188 250 91 230 82 241 214 150 176 221 255 0 104 64 159 186 152 157 248 232 173 255 0 215 172 59 109 82 250 222 38 129 46 29 161 117 42 209 185 220 164 30 216 237 248 86 171 107 183 114 66 240 93 44 119 17 184 195 7 92 126 88 170 242 104 51 201 104 151 86 78 179 163 12 149 206 24 30 227 222 189 74 79 217 83 80 196 219 201 159 47 139 229 197 98 101 91 46 230 215 86 182 107 191 170 100 182 186 5 189 213 188 119 17 106 74 138 227 59 89 57 83 220 117 245 162 177 202 207 17 49 176 145 10 245 83 145 138 41 186 85 155 210 166 158 136 198 56 172 26 73 79 13 175 93 88 235 161 113 246 135 23 2 79 59 63 54 252 238 207 189 118 158 8 209 117 184 36 23 50 74 214 182 172 114 209 48 229 255 0 14 223 94 181 217 38 149 98 247 105 57 181 142 75 133 225 93 151 38 189 75 195 150 62 13 240 249 65 175 64 117 125 81 177 152 19 230 138 35 217 79 32 19 235 156 253 43 58 152 153 215 167 201 24 122 245 62 94 121 156 253 187 120 41 180 151 218 122 63 194 231 147 75 97 230 63 203 215 220 214 206 141 15 217 162 88 129 247 39 222 190 167 143 195 62 22 190 178 84 155 195 186 106 171 174 74 253 153 1 92 251 129 199 225 92 23 141 254 18 199 16 55 254 23 200 10 11 73 105 35 147 255 0 124 30 191 129 175 34 120 174 120 242 53 99 205 196 101 213 245 157 249 191 51 204 98 148 170 99 61 171 173 248 97 27 53 245 203 99 229 216 163 241 201 172 91 111 13 234 207 39 150 246 198 18 14 15 152 113 138 244 63 8 105 41 165 217 4 251 205 203 72 192 117 53 132 32 211 185 190 87 131 171 237 149 73 43 36 115 255 0 26 252 67 253 149 103 166 105 42 168 198 242 66 210 100 114 17 123 143 198 185 239 15 203 114 215 42 45 198 72 247 192 174 51 198 190 44 143 199 222 60 138 239 79 134 88 236 109 98 22 246 254 96 195 63 36 151 35 182 73 252 128 174 251 195 112 108 153 113 216 86 248 250 42 141 56 93 123 205 106 111 155 69 123 88 53 185 141 227 127 135 190 28 241 6 188 147 233 215 118 250 103 137 207 239 25 3 237 75 166 35 161 237 188 231 183 92 243 235 94 29 97 105 111 165 120 163 84 176 241 92 77 33 142 41 81 150 76 134 243 64 202 129 142 65 200 199 255 0 90 189 67 227 44 175 7 140 38 120 228 42 84 199 130 14 8 62 76 70 188 251 196 119 178 107 218 239 219 111 36 134 226 249 162 85 153 220 114 193 64 1 143 28 182 0 4 245 61 122 243 93 56 74 210 167 81 194 111 75 111 219 169 246 139 41 156 178 184 74 148 175 119 123 117 190 214 93 30 222 170 222 102 255 0 133 53 95 13 93 155 61 63 201 75 100 138 218 66 162 66 79 207 191 0 59 119 56 25 244 231 21 102 101 240 220 203 169 67 121 12 147 66 248 16 108 202 156 228 228 175 183 67 131 92 205 162 217 90 141 209 217 196 102 3 2 70 227 159 82 7 21 145 54 173 49 13 243 68 62 92 97 36 62 249 35 142 191 225 82 176 235 19 85 206 131 181 187 247 59 158 38 121 110 26 52 49 169 190 101 109 26 218 251 127 93 13 171 89 60 47 167 235 243 74 52 232 90 59 24 60 192 205 51 48 146 80 48 0 83 247 178 196 117 236 9 172 221 26 245 38 189 158 56 224 72 35 147 18 44 106 197 128 63 197 201 231 154 75 73 109 47 226 121 38 178 139 204 7 4 129 215 235 85 230 129 173 117 37 190 79 45 32 85 195 1 198 6 58 215 70 34 165 57 198 84 166 253 235 126 62 71 30 85 130 196 97 241 20 241 116 213 233 191 62 143 191 167 232 111 156 231 160 162 168 45 236 78 161 150 69 32 244 230 138 240 185 37 216 253 11 218 193 235 116 117 218 253 212 182 150 66 72 37 49 186 182 237 195 176 0 255 0 245 169 255 0 14 124 68 241 205 5 252 144 36 146 65 33 218 172 78 210 192 124 167 240 36 31 194 172 106 86 113 92 90 56 153 119 5 82 113 235 237 250 86 87 195 11 123 105 245 253 63 79 220 172 190 122 153 71 168 234 115 249 87 214 101 242 230 131 93 22 231 243 166 21 251 182 62 181 240 113 158 203 70 137 181 27 239 54 238 80 103 153 164 110 156 12 227 208 14 43 163 211 53 107 91 187 120 166 142 101 104 230 255 0 86 79 27 190 128 215 206 77 226 155 205 115 197 2 5 184 48 218 206 68 7 7 24 132 28 183 232 51 93 127 195 189 90 95 19 120 202 91 197 114 154 126 153 30 203 88 135 10 160 240 14 61 72 21 193 137 203 154 78 114 126 103 175 75 19 170 137 234 222 37 209 227 191 181 150 230 214 53 55 201 25 49 115 129 33 3 133 99 250 103 181 124 239 173 124 106 214 180 27 233 244 43 191 3 155 45 86 3 182 65 61 217 42 167 177 192 65 144 120 35 154 247 201 252 67 21 174 173 111 166 130 26 71 70 154 82 79 17 68 163 239 31 169 192 252 235 158 215 245 47 4 248 170 251 79 176 188 209 173 245 107 155 131 181 37 104 128 104 19 39 39 127 81 211 56 29 107 143 12 189 155 253 228 57 163 249 30 132 113 49 138 179 103 206 191 14 52 175 37 77 203 227 118 78 7 185 175 88 240 229 190 233 151 235 93 11 120 83 225 254 159 37 212 118 243 223 162 218 128 210 121 82 43 40 98 113 176 100 114 222 221 170 235 233 190 30 181 210 97 5 181 4 154 238 60 236 89 192 120 212 247 220 170 48 113 92 216 202 206 189 110 121 109 250 30 85 72 123 76 79 60 218 178 252 143 154 126 55 46 177 121 241 14 231 69 211 237 154 107 217 100 47 136 206 112 133 85 87 158 131 133 25 39 165 114 26 207 131 53 239 8 222 88 79 171 197 10 165 222 66 52 82 135 25 199 67 142 245 246 119 133 52 79 10 233 2 89 172 244 91 99 49 133 124 219 171 129 230 77 35 250 23 110 72 28 228 250 231 214 188 11 246 142 213 244 131 166 219 233 246 106 13 212 119 141 116 132 46 2 70 65 80 7 177 206 113 237 94 181 28 125 41 199 216 194 63 22 151 239 165 143 115 11 140 175 83 21 75 149 222 48 214 221 146 213 158 89 35 18 112 13 114 82 229 102 112 9 225 136 169 222 234 229 142 76 242 126 7 21 177 246 120 48 3 69 17 56 228 149 228 154 210 156 94 85 173 77 121 187 121 127 195 159 83 136 156 120 135 221 164 185 121 59 245 191 252 49 91 195 238 86 57 121 238 42 238 160 202 108 103 24 199 238 207 242 172 219 201 254 199 54 216 21 20 17 146 49 193 166 53 249 184 129 226 242 200 114 184 227 144 107 10 216 90 181 170 44 76 87 186 236 253 14 172 54 62 134 23 14 240 50 151 191 20 214 218 54 239 183 222 100 149 62 166 138 147 110 56 96 65 244 52 87 208 104 124 35 82 185 238 119 241 201 113 166 205 4 96 172 142 184 7 210 184 159 11 92 77 163 220 253 161 56 184 4 142 123 112 71 245 53 232 19 237 138 218 71 81 202 161 63 165 121 77 228 164 196 193 9 4 17 208 215 159 149 219 150 115 151 67 229 240 151 105 163 115 195 250 221 244 154 141 193 50 97 64 32 99 141 160 130 164 126 32 154 247 143 133 58 149 167 135 252 43 246 251 199 84 55 247 4 41 233 149 94 63 67 187 243 175 158 244 132 107 41 164 183 186 30 93 195 72 114 167 175 2 189 15 197 154 156 113 248 119 65 177 73 20 36 22 94 115 156 247 114 115 159 203 245 174 233 83 246 212 163 22 247 223 243 59 19 179 186 58 91 207 26 75 52 218 197 243 200 34 146 245 60 160 196 241 20 61 199 228 0 252 234 47 15 120 146 222 209 35 147 77 99 117 119 36 36 198 176 12 184 7 229 220 7 110 184 207 189 121 110 162 242 106 22 235 0 243 60 169 120 222 189 51 91 94 31 134 243 67 210 196 86 218 197 196 106 238 36 104 246 169 93 195 24 61 50 58 14 132 116 175 157 226 44 202 150 95 21 70 154 188 228 180 73 55 182 154 217 51 222 201 56 122 182 108 221 73 62 90 113 122 187 165 247 93 163 165 212 126 32 79 162 88 73 52 218 44 229 6 217 2 73 62 194 249 109 185 251 166 187 143 135 222 41 186 241 21 214 163 113 174 104 211 232 54 118 22 226 105 174 238 164 202 96 253 213 25 85 237 159 202 185 63 134 163 68 212 188 93 110 38 188 73 229 150 39 142 234 218 105 12 109 128 167 44 142 184 199 168 228 16 64 231 184 245 249 52 237 43 196 90 61 254 145 123 121 117 123 109 53 170 230 253 209 99 130 60 48 17 194 73 32 187 147 158 205 140 12 156 145 159 41 98 85 76 44 106 74 157 165 37 123 106 181 236 175 219 95 83 106 153 38 31 9 137 149 25 54 226 159 197 217 95 119 110 251 249 30 46 126 46 155 255 0 22 75 246 139 152 237 60 55 167 59 77 228 71 254 187 80 216 126 68 36 246 99 130 64 227 25 206 107 201 126 35 248 158 251 197 222 34 188 214 110 227 11 37 212 155 132 105 247 98 64 48 168 61 128 0 126 21 107 226 79 134 53 157 31 198 247 58 52 150 18 44 172 225 109 214 40 176 37 92 97 118 129 212 156 118 239 92 174 215 132 108 145 89 24 117 12 49 94 133 8 71 15 78 158 34 233 183 170 95 231 233 249 159 79 135 161 135 169 42 148 40 67 150 41 89 203 252 187 223 123 190 133 101 71 18 41 113 181 115 201 53 168 183 40 122 56 111 94 107 62 224 151 199 28 127 58 142 53 1 178 113 94 190 34 131 197 80 85 235 190 91 45 142 92 38 46 56 28 75 195 225 151 50 109 106 255 0 173 144 183 146 25 39 46 57 4 241 82 105 234 55 179 250 10 107 44 100 100 96 26 88 220 42 133 7 158 248 168 171 140 132 240 110 52 83 232 189 2 134 10 116 243 5 58 237 107 119 190 229 226 65 57 32 81 85 12 205 158 13 21 224 170 85 94 201 253 204 250 55 137 160 158 178 95 122 61 201 209 100 136 171 127 16 197 120 253 214 228 153 193 24 207 4 122 17 94 214 16 128 6 50 69 121 207 140 188 57 121 6 179 115 61 180 91 173 229 30 127 94 153 32 54 63 19 249 26 244 176 53 249 121 161 223 250 253 79 195 240 114 74 77 50 95 22 218 53 166 189 246 201 24 102 230 33 34 47 162 146 121 252 113 89 58 150 160 211 91 136 12 132 146 2 114 122 47 165 111 120 134 214 75 175 8 218 107 83 200 237 115 3 37 163 47 96 128 49 207 215 36 86 15 132 116 198 213 60 79 105 105 112 172 177 221 72 34 12 122 2 220 41 252 241 94 205 58 214 194 168 245 217 157 180 163 248 31 68 93 105 26 46 141 225 72 236 227 176 73 52 249 225 37 167 141 129 216 72 3 112 39 243 252 43 145 211 60 55 14 189 166 221 193 167 203 8 184 182 59 34 145 152 143 181 175 36 229 73 32 17 192 200 252 106 11 59 189 115 193 208 157 38 242 22 100 89 135 150 174 197 129 30 170 51 140 30 255 0 173 118 122 62 165 163 107 114 91 195 120 233 98 211 201 180 249 40 170 85 241 193 233 145 219 161 175 201 243 62 18 199 101 216 87 91 11 39 82 173 219 115 230 122 171 223 225 214 239 101 189 188 175 169 247 185 103 19 66 254 202 126 236 31 75 117 181 191 43 156 116 30 20 179 211 109 220 52 13 6 174 65 17 60 174 209 148 62 185 28 99 223 144 107 83 65 241 130 104 112 95 91 106 203 117 12 162 36 86 75 124 73 20 197 78 75 30 165 120 193 27 123 140 215 103 226 191 135 154 197 205 253 172 150 211 77 169 217 68 159 42 75 56 224 254 99 34 163 214 52 11 75 132 134 195 87 209 142 143 59 143 46 43 155 124 24 155 3 163 117 235 249 212 81 226 219 212 167 91 51 138 180 147 90 39 120 59 245 139 119 179 93 82 244 234 109 139 161 9 225 249 48 82 109 222 242 77 171 73 121 117 186 255 0 135 60 131 226 135 139 180 251 189 94 218 239 80 93 94 226 226 218 53 125 61 119 198 136 169 146 80 177 218 89 200 36 224 241 149 219 158 114 79 1 226 255 0 18 193 175 217 90 249 154 112 130 242 15 147 206 87 24 104 251 2 160 14 122 115 94 149 227 255 0 133 55 249 133 162 191 103 92 20 182 223 38 232 246 238 36 42 158 195 30 181 228 218 247 134 181 141 29 183 94 219 21 143 59 86 85 249 145 190 140 56 175 185 163 128 192 86 163 28 94 23 247 146 123 52 238 146 214 246 91 124 173 123 152 96 115 105 57 253 94 114 228 130 232 213 155 126 187 254 54 177 149 185 184 29 105 94 35 212 28 251 83 35 32 30 72 205 62 89 10 142 188 154 245 169 83 85 112 142 88 137 221 122 237 253 118 29 90 174 150 49 71 11 77 39 182 219 255 0 192 243 17 99 36 115 145 72 241 149 249 143 106 98 74 202 73 7 235 82 74 100 117 94 59 116 165 134 197 194 56 89 42 49 119 94 95 137 56 188 37 73 226 212 171 201 89 249 244 236 51 113 245 162 147 62 162 138 240 61 181 95 230 127 121 239 251 26 95 202 190 227 232 232 33 147 119 201 242 228 99 53 118 59 40 238 45 156 221 96 174 49 147 201 60 116 175 64 255 0 133 51 226 189 203 255 0 19 29 31 96 231 30 108 156 31 251 247 83 218 252 32 241 76 113 186 73 125 164 48 63 116 9 164 255 0 227 117 139 170 183 76 252 110 56 58 215 248 89 231 23 254 19 23 94 9 186 182 80 140 39 202 69 32 224 9 23 149 207 167 56 252 41 250 15 130 98 150 11 125 71 103 217 230 134 24 229 149 64 229 24 40 36 254 98 189 86 223 225 143 137 224 73 18 59 253 48 35 12 121 102 87 40 223 81 229 245 247 237 86 116 175 135 158 41 179 157 93 239 52 167 143 24 145 4 178 97 129 234 62 231 67 93 48 204 103 22 245 220 236 133 10 154 39 22 112 122 165 206 137 170 90 255 0 102 248 186 208 0 143 251 139 251 96 74 168 32 225 136 234 58 96 175 32 250 87 152 120 154 202 226 13 86 68 209 53 43 43 187 78 10 61 179 109 200 0 125 232 200 200 232 63 31 173 125 1 119 240 159 90 157 166 137 174 180 185 45 164 200 8 239 38 66 244 199 11 233 92 197 231 192 79 17 139 180 123 13 75 72 142 32 8 203 75 32 113 145 211 34 51 158 113 215 210 189 44 14 103 73 55 206 237 249 127 192 41 209 171 45 28 79 55 240 79 139 252 77 160 222 98 29 70 97 20 153 102 137 242 241 231 60 157 135 128 126 152 175 86 211 126 41 0 240 90 235 90 100 83 75 46 6 251 66 71 95 246 91 252 106 174 157 240 47 197 22 49 161 138 251 67 146 101 199 205 36 146 55 29 199 49 243 214 165 159 224 183 139 230 112 226 239 195 240 20 96 209 132 158 102 11 249 199 199 255 0 94 178 199 225 242 140 123 253 244 98 252 246 102 244 103 139 163 240 182 108 94 107 126 1 184 138 91 91 137 133 183 218 6 94 38 129 212 103 168 63 40 192 110 122 142 107 207 181 136 173 39 190 146 202 9 161 212 52 246 124 41 100 37 89 127 218 7 174 51 222 187 5 248 55 226 246 150 221 231 212 244 119 242 219 115 110 158 82 9 207 167 151 248 102 174 69 240 139 196 177 59 133 189 210 60 178 73 81 230 200 10 156 255 0 185 233 92 57 94 95 151 101 82 147 195 212 118 150 233 189 47 221 105 185 190 34 190 35 17 103 53 170 235 212 240 143 19 124 39 210 245 41 101 147 71 115 167 204 91 33 113 152 190 155 122 143 195 242 175 60 214 126 29 248 179 75 86 121 180 185 38 137 63 229 180 12 28 31 192 115 249 129 95 100 47 195 15 18 17 251 203 221 41 143 77 222 100 153 199 253 241 87 109 126 29 107 177 169 18 92 233 172 72 57 253 235 224 255 0 227 149 232 253 99 8 175 179 185 209 75 50 204 32 146 230 122 31 159 237 19 195 51 36 168 200 234 112 84 140 17 70 252 18 115 95 119 234 255 0 5 109 53 104 246 106 58 118 133 112 79 222 118 86 14 62 142 16 48 252 235 207 124 79 251 39 11 178 210 104 58 220 26 123 30 68 83 51 74 159 64 118 134 3 234 77 111 135 204 112 216 106 78 48 223 95 153 213 60 99 198 86 82 173 120 237 232 143 148 124 215 236 220 81 94 252 223 178 79 196 77 199 110 185 225 82 189 179 115 56 255 0 218 52 87 139 44 117 70 219 230 62 158 53 242 244 146 77 31 107 209 69 21 230 159 32 20 81 69 0 20 81 69 0 20 81 69 0 20 81 69 0 20 81 69 0 20 81 69 0 20 81 69 0 127 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumokJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 226 117 25 39 146 230 228 125 162 101 81 35 103 18 96 12 19 200 193 3 162 183 124 96 30 128 126 231 71 194 190 7 241 183 140 35 148 104 182 23 151 9 27 21 107 159 48 36 89 29 70 230 35 39 174 71 80 73 31 41 36 35 108 116 201 53 95 18 219 233 241 204 200 247 87 139 10 202 1 200 44 216 206 71 57 25 206 114 126 239 95 151 49 251 207 199 175 18 223 120 35 71 209 252 29 225 41 255 0 178 213 173 139 73 36 10 3 136 215 229 1 79 98 78 73 61 78 15 78 89 120 156 22 178 102 177 157 151 41 224 94 41 248 127 241 23 192 209 157 71 92 210 238 198 157 157 178 79 20 235 44 96 31 82 191 119 144 48 72 198 64 246 90 79 12 248 91 197 158 39 138 226 231 195 150 215 58 132 86 219 90 71 75 133 93 129 178 65 57 112 123 31 92 16 122 158 158 209 251 60 120 243 93 241 6 191 115 224 239 21 92 157 86 214 230 214 71 140 220 32 102 200 193 96 73 193 42 65 61 122 99 28 116 174 131 224 15 135 79 134 181 255 0 136 254 27 183 118 107 123 107 228 22 202 78 48 143 27 50 140 103 208 129 156 118 252 1 236 227 86 210 66 131 150 30 86 90 166 124 199 166 90 107 122 229 229 190 153 164 139 203 205 75 121 22 208 198 231 115 174 126 100 206 70 48 126 110 123 19 146 43 99 196 254 30 241 79 134 37 130 47 16 65 61 140 211 41 104 226 123 149 103 35 215 106 177 56 250 241 94 251 163 120 98 31 130 127 13 239 124 80 218 111 246 183 136 165 85 89 29 70 99 182 220 120 80 127 134 48 113 184 140 100 250 113 143 157 53 205 91 81 214 252 69 115 170 106 215 114 93 79 124 76 161 220 244 245 140 14 193 122 1 211 24 245 174 90 209 229 130 190 231 68 36 149 77 62 22 53 229 186 150 40 216 79 57 39 247 76 3 146 73 237 143 240 246 174 183 74 248 71 241 74 254 56 181 24 52 123 168 211 98 144 183 55 75 19 185 83 128 118 150 200 202 142 248 174 191 246 91 240 237 190 169 227 11 189 74 242 52 150 45 50 21 146 56 221 65 30 107 18 21 177 234 0 108 123 253 43 63 199 159 17 62 33 235 254 59 186 183 240 205 254 163 28 118 215 36 90 89 216 46 75 70 140 85 137 0 101 207 70 57 233 85 7 6 185 228 254 45 14 108 84 109 27 91 225 56 143 24 233 126 33 209 108 230 177 213 225 189 178 186 137 67 121 114 49 25 1 186 131 156 17 142 227 210 181 188 3 225 127 21 248 171 74 95 236 75 75 187 165 84 10 210 153 54 198 8 227 5 137 198 120 233 94 137 227 189 83 94 241 191 128 236 116 239 16 120 43 84 177 214 35 49 198 218 140 144 20 139 115 29 141 128 71 1 137 28 122 226 186 223 138 26 132 223 14 124 23 163 120 79 194 174 214 35 200 97 231 162 141 219 83 104 39 39 248 152 182 73 174 196 151 39 149 136 141 220 249 151 84 121 175 137 60 15 227 61 3 78 182 185 191 177 184 16 65 111 39 155 44 83 9 21 9 10 57 193 227 161 230 188 130 246 230 234 77 78 81 246 153 254 254 223 190 126 149 245 7 193 191 23 107 87 218 197 158 131 172 93 62 161 107 121 100 238 76 248 102 12 61 207 80 70 70 43 195 126 40 248 118 219 195 255 0 21 117 157 42 209 66 90 197 56 150 37 254 226 58 134 10 62 155 177 248 80 254 11 199 177 201 140 186 105 249 156 220 19 93 54 161 147 113 54 216 83 39 247 135 175 255 0 172 254 181 169 125 115 113 103 163 70 173 113 42 188 159 188 111 222 28 251 15 228 63 253 117 95 65 179 55 82 19 183 254 62 37 198 125 135 38 172 235 97 110 181 97 6 127 115 31 204 231 209 23 255 0 175 159 210 189 25 67 223 141 62 145 71 159 70 171 84 93 78 178 219 250 244 40 216 173 228 130 27 118 158 114 95 247 211 159 48 143 151 176 235 220 255 0 58 139 94 212 110 158 227 201 138 230 98 16 227 1 207 204 231 191 225 248 86 171 102 207 76 123 183 64 46 46 78 80 30 195 31 40 252 7 63 141 115 167 247 113 155 134 201 102 226 44 245 247 106 152 47 105 83 153 236 191 63 248 6 179 159 179 166 162 183 127 145 12 247 87 99 109 162 93 205 254 217 243 14 51 223 242 252 126 149 36 23 19 198 159 105 154 230 127 37 56 137 89 219 231 61 51 254 115 211 28 128 69 37 189 176 98 68 135 108 104 115 59 103 242 79 243 159 165 69 112 255 0 105 127 49 134 216 19 229 72 199 127 97 254 120 253 43 102 186 17 23 212 105 191 188 145 205 212 247 115 29 199 228 79 57 190 110 115 253 224 113 199 92 243 235 252 66 95 181 95 163 56 251 92 198 227 31 59 25 15 238 71 28 117 192 110 190 155 125 143 220 110 201 99 114 75 98 224 15 153 249 2 1 142 131 253 175 229 199 86 198 43 249 114 94 102 214 213 89 96 94 164 231 159 115 253 7 243 227 49 38 150 136 214 23 220 234 108 47 174 116 111 16 37 250 41 118 183 185 19 42 246 98 165 91 29 59 237 29 71 167 28 34 143 161 254 47 120 102 227 226 110 135 161 120 167 194 70 43 182 17 21 100 19 128 216 36 16 6 126 92 171 2 15 66 61 240 5 124 229 49 15 60 200 152 145 89 216 109 206 121 203 14 59 142 113 199 94 125 79 26 186 7 136 117 223 13 177 159 68 214 174 108 163 44 89 145 37 33 114 70 62 101 60 19 131 215 29 189 150 188 69 62 79 52 123 46 55 61 179 224 159 195 251 255 0 8 234 87 30 48 241 98 67 165 165 181 171 162 35 186 228 100 46 231 109 188 12 5 192 30 254 192 13 159 129 250 239 246 222 179 227 237 122 40 202 27 139 196 146 52 108 253 213 140 132 63 138 168 175 17 213 124 91 174 120 162 5 254 209 214 238 111 85 14 239 45 165 27 1 206 114 21 64 7 255 0 213 143 74 143 77 213 181 189 58 25 98 210 117 107 155 3 47 50 8 36 218 178 113 142 113 215 143 202 169 213 81 74 81 216 34 175 163 61 3 224 31 196 251 191 17 235 186 143 133 188 105 112 183 127 218 165 218 51 47 220 36 140 24 192 232 1 28 0 61 61 115 92 55 198 31 135 215 30 15 241 27 216 64 36 125 62 233 140 250 100 199 179 14 177 147 235 209 125 254 67 235 92 109 229 172 246 183 73 168 216 187 65 115 3 135 5 91 12 140 57 4 31 215 53 191 169 248 143 92 241 46 159 31 246 142 175 123 125 10 62 227 20 242 238 17 201 140 113 233 198 112 107 138 190 37 58 119 107 250 243 242 42 141 57 42 142 140 222 251 121 157 183 236 209 226 139 93 23 197 114 91 94 201 28 54 218 164 34 35 35 156 108 149 78 84 19 216 28 176 250 226 182 60 67 240 199 199 218 15 143 100 214 188 28 4 165 231 146 91 107 149 116 204 66 64 192 135 87 244 221 239 156 87 146 68 138 46 4 153 93 147 156 62 56 11 39 255 0 100 57 250 230 187 125 47 198 30 44 180 210 26 202 211 196 87 241 71 31 0 121 187 138 169 227 130 114 70 14 58 122 214 84 107 197 46 73 39 166 170 198 243 132 167 27 245 122 63 83 217 60 90 186 229 151 193 181 95 16 234 105 127 174 90 205 111 45 204 145 0 20 74 37 86 219 133 0 96 12 14 158 245 91 199 58 114 252 80 240 126 157 175 248 110 72 230 158 5 117 107 114 224 16 91 27 208 158 204 165 71 7 31 202 188 47 64 214 181 134 212 175 52 233 245 75 185 109 239 36 19 207 19 202 89 100 115 140 147 158 164 17 250 10 216 240 77 238 167 162 234 90 226 233 183 243 217 176 152 191 238 223 0 229 114 50 58 26 245 161 136 141 68 213 143 58 148 219 229 75 187 95 113 235 31 12 188 25 125 225 237 69 60 65 226 1 21 148 22 86 59 48 242 2 85 178 197 152 145 192 0 123 215 131 124 71 215 34 241 55 142 53 223 16 219 231 236 242 190 203 98 70 9 69 1 20 227 220 12 254 53 232 62 63 214 117 155 239 12 76 53 13 78 226 116 107 104 73 70 124 41 36 54 78 7 7 183 229 94 95 101 100 36 134 222 18 56 154 125 205 207 69 81 91 208 74 115 140 22 218 126 26 254 135 151 154 86 105 114 175 233 237 250 154 58 29 167 216 180 247 184 35 6 24 66 175 251 237 201 172 253 42 196 221 201 243 41 2 228 249 141 158 208 175 0 126 39 143 206 186 61 110 6 77 58 207 77 143 137 46 152 201 33 254 232 62 191 69 6 171 106 59 116 221 20 200 160 137 175 64 17 167 116 136 112 7 215 31 171 87 117 219 78 75 121 61 14 101 203 22 162 254 24 45 125 78 99 196 19 11 221 65 145 14 45 227 4 18 7 1 123 159 196 241 248 86 82 197 45 213 192 104 198 210 120 137 79 68 81 213 191 15 231 90 23 17 16 126 204 1 102 200 50 237 234 88 244 65 77 188 95 38 54 181 66 4 132 15 180 202 58 47 162 47 249 228 215 66 166 161 21 20 114 251 119 86 110 82 51 110 252 182 65 4 36 173 172 39 230 110 242 55 248 154 105 143 203 253 227 149 141 144 99 61 161 29 64 31 237 127 47 175 75 166 53 133 76 135 247 94 95 0 127 207 63 241 115 250 127 40 99 180 251 66 11 139 156 193 104 159 113 51 243 55 248 159 127 255 0 93 99 82 86 209 29 212 181 212 163 21 175 219 100 1 84 67 101 25 228 149 254 126 167 4 241 219 234 106 73 156 121 98 202 198 51 140 96 224 114 221 51 159 174 15 215 254 249 197 197 142 107 246 17 91 133 138 217 120 207 240 143 241 63 253 122 210 130 194 27 40 72 199 44 57 29 89 190 167 183 126 61 143 165 96 218 142 255 0 215 169 219 78 14 91 125 255 0 228 100 222 200 177 221 221 220 7 40 85 221 156 168 244 57 57 29 240 70 115 215 146 123 87 31 166 199 115 227 13 78 89 175 174 222 222 210 51 132 84 228 15 69 92 241 211 215 158 5 117 186 237 161 156 95 68 153 87 147 204 85 207 57 39 56 231 223 168 205 114 255 0 13 238 227 133 174 244 219 140 44 165 183 0 216 249 176 48 70 15 92 99 56 175 14 19 113 140 164 181 61 249 83 83 146 68 250 214 143 121 224 241 111 171 105 55 146 186 121 129 37 71 251 164 245 0 227 168 60 140 17 159 206 159 241 31 81 93 86 223 66 188 143 49 121 240 51 48 7 140 146 51 248 213 159 136 186 140 17 104 75 96 147 164 146 77 34 183 151 156 149 81 206 125 64 237 131 248 26 200 241 109 177 131 66 240 213 164 167 18 173 179 239 92 97 147 115 3 131 249 214 148 167 207 203 47 233 152 84 166 226 218 58 239 248 85 22 146 33 43 175 220 249 157 64 49 168 7 245 173 139 109 41 252 63 20 30 81 121 173 146 49 12 224 128 24 129 223 235 220 84 86 31 10 180 131 52 126 126 175 169 40 224 171 169 93 167 30 188 87 169 93 104 203 113 25 1 1 114 184 32 244 144 122 125 107 131 17 91 155 88 59 219 116 10 17 146 229 150 143 163 236 124 245 227 63 3 67 162 232 19 106 240 234 183 23 11 185 10 2 128 41 12 216 206 115 239 87 124 1 240 246 223 196 58 45 158 171 54 177 117 110 101 114 29 18 48 193 118 182 59 159 106 233 254 46 89 205 166 120 34 250 209 209 154 218 73 99 104 92 245 141 188 193 149 63 231 173 108 252 19 182 7 192 122 116 129 112 25 164 73 48 56 255 0 88 219 91 250 127 223 53 156 241 53 35 135 246 137 223 95 189 118 54 166 148 231 203 56 217 236 253 123 158 119 240 250 120 172 126 45 234 70 234 120 225 84 150 116 221 36 129 87 253 110 49 207 30 181 208 252 127 184 179 40 130 198 246 218 115 52 241 201 251 153 213 143 17 184 63 116 253 43 151 208 252 47 103 226 143 136 154 253 141 235 78 177 194 247 51 126 233 128 109 203 46 59 131 199 38 182 190 52 124 55 208 252 23 162 232 154 166 143 61 236 135 80 220 146 121 242 43 0 64 207 24 81 237 94 165 25 67 218 217 61 210 254 191 19 207 158 149 26 123 239 249 162 95 218 6 22 93 47 192 31 51 40 159 195 246 219 136 62 170 159 227 83 232 223 8 52 171 203 245 183 62 44 146 37 27 65 124 71 129 158 79 241 118 2 172 126 210 80 231 70 248 95 19 112 36 240 245 186 177 246 41 16 174 130 211 224 191 128 142 141 117 126 250 197 247 152 100 242 237 211 237 208 242 197 136 25 249 125 6 127 26 244 168 65 202 237 47 47 155 60 252 101 85 9 70 237 173 222 215 209 27 126 12 240 196 118 118 241 233 233 121 37 213 157 170 178 45 203 224 19 16 98 206 220 113 206 66 254 117 157 226 59 150 188 212 30 240 2 0 37 45 145 184 3 31 196 125 128 231 234 107 184 184 177 178 208 188 31 101 164 105 243 171 9 45 213 60 208 225 182 193 24 192 36 142 50 78 88 253 113 92 163 219 4 79 182 77 23 95 150 222 22 239 143 95 246 71 86 62 188 122 215 171 66 159 51 231 182 139 68 124 214 51 19 103 236 147 213 234 223 229 253 122 28 243 67 246 40 151 104 255 0 73 144 22 86 111 249 100 135 172 141 238 123 15 79 173 84 104 18 213 60 201 73 64 167 140 253 224 126 157 223 255 0 65 30 245 191 45 179 70 124 233 55 205 60 143 208 15 158 71 246 30 190 153 251 163 223 138 98 88 60 119 42 12 43 117 168 145 148 137 121 75 97 239 239 239 252 205 58 178 182 139 114 240 209 109 35 1 173 22 53 91 157 73 54 140 102 27 81 219 221 191 206 77 89 131 73 185 212 36 243 239 148 164 99 149 143 167 30 254 131 218 186 171 47 15 45 180 159 106 191 99 61 217 231 253 223 167 167 212 243 85 175 174 149 152 197 108 130 118 12 84 237 56 141 15 185 238 125 134 79 210 188 186 181 227 13 190 243 232 240 216 70 215 189 247 127 159 249 25 115 71 5 164 36 160 141 17 7 46 224 5 3 252 63 196 214 61 204 242 206 172 45 21 149 72 57 158 69 57 62 234 189 254 167 3 147 214 180 238 45 179 32 146 242 79 58 81 200 80 62 85 250 47 65 245 57 53 159 169 93 67 110 140 38 149 98 4 125 208 114 199 250 215 10 169 42 174 208 71 164 220 97 185 157 115 29 220 55 211 144 162 101 243 24 228 117 235 88 250 151 135 52 141 90 227 204 115 37 141 201 251 205 26 129 184 250 144 122 159 113 140 215 85 113 4 141 117 63 145 117 20 135 123 29 174 48 195 147 221 127 194 188 247 66 188 241 135 136 30 120 173 46 163 117 135 104 114 241 41 192 36 224 240 164 246 244 175 49 66 170 109 189 45 242 61 23 82 155 178 220 223 208 252 9 166 217 220 173 220 179 75 121 42 16 201 188 124 128 250 144 57 252 243 91 62 32 240 197 174 189 53 180 151 211 220 64 109 242 16 195 140 28 144 121 200 246 237 92 166 147 171 120 139 74 241 93 182 143 170 73 19 139 137 85 65 80 14 3 28 2 49 131 140 246 35 53 177 101 175 107 67 226 161 209 38 184 223 102 36 101 49 71 26 242 4 121 235 140 158 107 10 177 173 205 205 205 170 87 94 134 176 148 18 229 182 236 245 109 38 232 109 17 220 0 202 112 55 129 144 126 163 250 255 0 42 235 180 148 216 138 6 102 183 62 135 37 61 199 168 174 54 198 56 100 4 219 72 21 199 240 244 63 136 53 204 124 0 241 135 136 53 109 119 87 135 84 190 51 195 108 136 209 175 148 170 170 75 145 159 148 100 113 222 184 163 57 74 18 155 127 15 94 186 254 99 171 135 139 146 140 119 125 15 93 241 199 128 45 60 105 225 169 116 217 102 150 36 156 163 153 32 198 230 218 65 24 200 198 120 174 127 194 30 26 131 194 250 58 248 111 50 204 109 67 178 60 156 25 163 102 36 244 238 9 199 235 89 159 31 190 32 248 135 194 26 118 135 47 133 53 35 96 247 141 63 218 87 202 73 21 246 132 218 70 224 64 234 122 126 53 139 241 207 197 94 47 30 63 240 222 143 225 221 65 97 184 191 211 172 229 69 104 83 38 230 82 84 146 72 56 207 25 237 138 175 171 79 19 73 114 73 36 238 254 107 169 135 60 169 74 210 90 173 61 87 103 250 27 254 12 248 113 165 104 222 35 212 245 216 47 175 103 188 187 142 80 233 33 95 47 231 96 228 140 12 244 21 171 226 31 4 105 222 61 240 254 135 162 234 151 151 118 177 218 95 202 129 237 246 239 255 0 86 216 31 48 35 28 87 158 193 97 241 234 59 135 85 212 172 146 88 137 86 93 208 228 119 254 239 78 164 123 102 189 139 192 22 250 157 181 150 159 6 178 200 250 148 109 111 53 203 46 54 180 152 216 228 99 143 226 29 43 76 29 73 70 186 230 154 147 219 70 115 226 160 159 44 226 188 191 175 184 228 190 57 252 56 210 117 153 252 43 166 77 123 124 131 74 210 69 172 70 50 155 157 84 42 169 108 142 164 142 213 131 255 0 12 237 225 68 156 71 46 185 172 172 48 91 137 174 159 247 95 41 35 56 31 47 166 63 18 43 216 252 89 110 183 127 17 225 134 65 152 173 173 34 103 246 3 46 127 144 170 62 38 157 252 161 98 54 37 197 219 253 162 233 191 184 63 132 31 160 193 255 0 190 107 236 240 180 185 226 147 221 159 37 138 197 213 165 82 114 190 137 217 35 129 240 190 129 105 161 104 241 233 54 243 79 37 141 171 49 47 33 82 237 185 139 4 224 1 156 159 241 233 90 79 101 44 211 43 44 1 231 117 196 48 169 194 162 143 115 209 71 169 239 207 92 99 86 11 50 229 81 20 42 167 40 31 162 22 254 54 199 36 183 97 212 244 245 53 215 105 30 22 138 27 127 180 107 12 240 65 33 4 194 199 247 215 7 182 252 116 30 136 63 90 244 235 226 33 70 22 90 36 120 152 108 13 108 85 87 39 171 108 243 253 55 195 183 87 82 51 90 99 36 109 158 253 134 21 71 247 34 7 183 191 122 191 37 166 159 162 71 246 123 88 217 231 126 91 104 204 142 125 79 167 212 227 218 187 189 113 152 90 144 138 186 125 164 107 192 24 14 7 242 78 59 158 126 149 231 122 182 173 107 16 116 211 97 51 100 228 200 14 16 159 86 115 201 252 43 192 158 42 117 244 164 180 239 208 251 12 54 18 150 21 123 218 203 250 254 187 153 58 132 51 92 100 93 182 196 35 152 34 57 207 251 205 212 254 131 216 215 59 170 106 86 118 223 185 66 25 199 2 40 6 72 250 158 131 244 173 75 141 63 89 213 120 97 39 148 223 195 16 242 227 252 73 228 212 45 225 203 123 68 205 221 212 81 40 254 24 198 63 83 89 198 141 52 239 81 243 63 192 235 114 156 150 154 35 143 188 186 190 184 224 108 180 140 158 138 114 199 241 170 73 164 79 34 179 199 110 204 72 251 242 241 159 126 121 253 43 181 157 116 251 32 26 11 82 88 240 29 184 36 253 91 173 101 106 218 144 134 50 207 52 80 161 232 122 126 173 143 235 93 28 211 106 201 89 10 208 143 153 159 121 2 53 205 193 49 68 126 118 251 140 7 115 216 26 243 127 135 118 122 237 197 197 243 104 122 169 211 218 61 158 102 83 122 201 201 192 60 30 156 254 117 234 19 125 153 174 46 20 129 203 183 240 251 251 87 13 163 248 63 197 90 91 204 218 86 179 101 1 155 1 240 92 19 142 157 83 142 181 231 67 68 213 254 243 173 178 189 203 223 248 107 199 54 58 143 137 146 223 91 105 128 217 36 133 134 193 156 100 14 128 140 240 49 138 212 210 209 15 199 226 161 94 53 243 95 253 89 223 143 220 118 207 90 185 165 120 19 87 213 53 139 107 255 0 22 107 233 115 29 185 27 99 66 89 136 7 33 114 64 0 103 173 91 215 60 1 226 107 175 26 92 248 135 66 214 52 219 87 145 247 68 237 41 87 65 180 41 254 2 61 106 102 161 43 169 91 107 14 50 107 99 215 96 177 130 229 54 150 183 149 177 129 188 24 95 245 255 0 26 242 175 217 102 222 119 241 63 136 214 31 188 144 70 72 42 78 71 152 221 199 74 216 240 247 132 254 45 166 163 103 44 254 54 179 123 88 231 70 154 47 181 31 157 3 13 195 238 119 25 173 77 75 224 255 0 140 244 111 23 93 120 155 225 127 136 237 44 13 193 102 104 26 231 202 116 12 114 201 156 21 100 207 32 30 159 133 121 127 82 165 26 115 165 25 91 155 238 58 150 42 124 209 147 87 177 206 254 214 72 86 47 15 6 132 68 229 174 9 218 114 27 136 249 170 31 23 38 212 174 126 41 248 69 109 110 163 182 190 254 205 176 142 218 228 156 172 79 188 237 99 199 99 207 67 210 187 155 15 131 63 16 60 93 226 155 45 103 226 127 136 173 46 237 237 8 34 24 101 87 119 80 115 176 109 85 85 4 245 60 147 252 181 126 50 124 28 241 95 138 60 121 105 226 63 11 220 233 122 122 91 91 68 145 239 149 145 214 84 118 96 192 5 35 28 140 115 218 158 30 31 87 80 167 205 123 39 233 174 193 86 164 107 94 77 111 98 173 247 195 127 142 55 33 175 211 199 250 125 196 219 51 152 216 229 192 231 143 221 224 159 243 222 189 51 65 138 85 91 51 41 221 42 162 199 33 255 0 104 96 159 212 127 42 243 109 63 225 215 237 7 102 9 183 241 245 178 2 114 85 110 88 100 253 60 172 87 174 104 58 94 165 97 225 173 61 181 217 204 186 196 48 40 191 151 57 89 228 29 100 7 3 159 192 87 38 34 45 84 167 82 45 93 61 108 133 100 227 40 244 99 245 24 227 95 17 235 122 156 171 148 13 28 10 59 157 170 191 47 226 112 63 58 198 177 210 47 181 75 215 147 103 153 60 173 189 216 227 104 254 128 15 254 191 160 174 166 210 214 61 82 71 149 164 255 0 70 243 158 67 142 174 196 158 159 65 197 107 76 162 222 15 38 214 9 82 63 72 148 100 253 89 176 63 157 125 186 196 58 81 180 55 62 81 224 85 105 115 79 107 179 46 206 195 78 208 32 18 187 199 37 192 228 74 252 170 19 215 98 245 39 253 174 191 65 197 85 154 231 83 190 148 182 155 100 231 35 155 171 158 7 224 15 79 204 125 42 213 194 92 163 153 45 173 116 216 100 61 102 187 185 243 28 126 0 31 208 214 102 163 22 161 119 197 223 139 18 32 63 134 210 37 95 213 201 53 199 52 166 249 170 59 254 95 114 253 79 70 41 83 143 44 21 151 221 248 178 181 231 135 225 155 247 218 230 170 211 178 243 178 49 149 95 166 112 163 242 174 99 89 214 252 37 163 51 44 47 102 101 29 222 79 57 255 0 33 253 43 102 235 195 222 26 157 79 246 134 161 119 168 55 253 55 156 184 252 178 71 233 89 23 86 94 26 177 5 109 45 99 64 63 186 175 253 22 169 212 131 232 223 200 133 57 45 154 95 51 140 214 60 104 215 42 69 157 142 161 113 158 135 203 242 147 243 56 174 94 255 0 83 241 29 207 22 246 86 214 160 255 0 17 118 145 191 241 193 252 235 190 189 186 211 162 98 209 90 160 111 239 45 179 147 250 226 177 111 181 36 36 145 13 193 250 90 129 252 205 53 86 75 225 128 114 167 241 76 225 174 180 205 122 237 73 159 81 156 103 170 194 139 24 254 96 254 149 68 248 89 118 177 158 41 36 98 57 105 101 99 252 128 254 117 215 221 234 108 71 250 141 67 235 133 31 214 178 46 239 6 24 155 107 182 56 254 39 3 249 84 185 214 237 111 154 45 70 143 86 217 90 109 94 15 182 206 20 43 126 241 190 234 179 119 246 90 231 245 95 136 209 218 94 155 61 51 76 251 124 202 112 199 12 170 8 234 0 198 73 21 165 226 9 118 219 106 51 199 11 51 162 202 202 89 217 176 70 125 107 156 248 63 106 190 69 245 218 164 94 113 117 143 123 1 149 92 103 143 169 254 85 229 41 69 69 206 90 164 123 50 81 186 81 70 214 135 241 69 255 0 180 18 207 87 210 62 192 100 32 35 140 224 103 166 224 216 32 123 215 89 226 79 136 81 248 98 222 38 185 179 243 103 151 253 84 43 128 196 122 147 131 129 239 89 154 230 139 163 107 81 66 53 153 16 152 242 35 101 125 164 103 174 15 225 210 185 63 34 13 79 227 85 165 165 194 155 139 88 54 44 75 43 100 58 164 91 151 158 224 158 125 235 40 202 21 157 210 105 45 197 207 24 38 157 153 213 90 252 107 241 77 138 173 237 247 131 132 118 12 70 217 112 203 128 127 218 101 193 253 43 213 109 254 38 200 255 0 13 111 124 105 164 75 109 117 5 172 91 154 220 196 85 213 131 0 81 143 33 72 207 189 67 21 149 189 253 148 214 119 81 68 240 92 70 99 149 118 103 42 70 15 90 240 127 135 247 82 65 224 63 137 26 79 155 36 150 203 99 28 136 57 35 120 152 46 125 6 71 242 172 85 63 172 198 234 60 173 53 215 116 53 93 83 209 43 252 143 166 126 18 248 223 81 241 207 133 70 187 34 11 44 220 60 62 74 237 127 187 142 115 140 247 244 174 159 196 158 37 179 240 198 131 113 173 235 87 173 5 157 186 229 216 224 179 19 192 85 80 6 88 158 213 229 31 178 253 226 91 124 37 79 58 101 133 78 161 62 208 6 93 143 203 208 127 245 171 158 253 175 175 117 3 163 248 122 213 224 146 222 214 105 103 152 111 57 118 101 85 0 176 237 195 156 15 122 197 96 185 241 14 28 218 95 167 68 105 237 42 58 92 214 73 122 27 182 191 180 31 138 117 41 165 184 240 247 195 235 171 221 58 28 239 147 50 200 192 14 228 162 237 95 214 189 51 225 103 196 205 23 226 69 180 150 9 28 182 58 178 140 203 101 35 238 194 116 46 173 198 224 62 128 131 140 215 79 224 235 45 51 195 94 16 211 180 237 50 24 109 173 173 237 99 63 187 24 31 116 18 196 247 36 228 147 95 56 173 218 105 95 182 14 157 117 164 15 34 59 251 216 188 200 163 224 98 100 195 130 61 243 184 251 154 244 105 210 162 165 201 21 170 57 249 165 185 237 63 8 254 36 195 226 237 119 84 208 224 210 133 151 246 114 51 121 158 119 153 191 18 108 198 48 49 83 124 112 248 159 39 195 109 47 79 189 254 194 139 84 251 100 207 30 211 55 151 183 106 134 207 221 57 206 107 200 127 101 9 255 0 226 230 248 196 156 149 72 92 176 31 221 251 71 63 227 90 223 182 195 159 248 70 188 60 140 67 15 181 204 85 135 70 30 88 230 186 33 137 246 117 149 39 183 67 150 84 249 149 209 185 241 39 227 175 252 34 183 154 37 172 62 16 183 212 223 84 211 33 189 10 46 76 108 141 39 252 179 3 97 221 245 239 92 238 165 251 64 106 214 17 125 163 87 248 61 169 89 219 2 3 203 44 242 198 163 62 237 16 25 252 107 131 253 160 165 75 79 19 252 62 184 104 140 139 15 135 236 37 49 175 37 240 217 192 247 56 174 135 226 135 199 22 212 124 15 169 232 214 222 22 215 172 23 81 133 173 137 191 32 192 161 186 145 145 156 129 208 103 173 122 11 84 96 219 86 208 246 223 2 248 159 194 158 56 240 172 90 254 149 105 124 176 200 89 36 140 146 94 41 23 239 33 10 123 100 115 208 130 13 85 213 224 208 139 48 251 68 209 31 71 145 212 254 166 185 31 217 203 79 181 240 231 194 136 77 252 16 234 177 106 55 15 121 246 155 41 4 139 30 66 174 206 64 228 108 231 223 35 181 118 23 146 233 23 195 203 211 245 137 33 115 210 25 88 169 250 109 106 206 80 146 214 250 18 171 39 46 84 245 57 123 253 51 78 124 249 119 82 145 234 39 106 193 189 209 224 203 21 185 159 254 255 0 147 253 107 119 87 209 167 140 151 251 61 164 255 0 237 121 91 79 230 184 174 102 254 55 76 171 195 117 23 253 114 159 120 255 0 190 90 146 231 123 89 154 115 53 185 66 235 73 3 56 158 227 254 251 172 155 205 47 10 216 184 184 233 253 224 127 165 91 158 98 132 129 124 233 254 196 240 96 126 107 84 238 39 191 33 132 82 91 206 8 224 71 49 31 161 166 165 47 229 26 145 139 118 173 37 205 204 114 176 216 238 192 143 80 73 255 0 61 171 133 182 182 214 124 31 170 79 37 165 147 106 58 124 223 221 4 130 7 35 56 229 72 245 199 53 218 221 92 192 47 167 68 223 59 249 140 48 171 212 103 140 158 223 78 149 75 82 241 29 158 153 255 0 31 183 169 110 248 31 185 183 30 100 167 235 233 250 123 87 12 41 114 221 91 115 161 235 187 57 205 68 235 94 53 190 181 183 158 196 233 122 116 68 51 180 128 140 103 171 114 6 227 142 128 10 223 241 175 135 53 20 213 108 124 69 225 120 100 107 139 68 141 124 178 0 39 96 194 178 175 86 227 130 59 213 175 15 120 163 66 190 184 17 193 116 97 156 253 223 61 72 119 250 19 223 216 86 134 179 227 29 55 69 116 142 87 101 121 114 85 182 22 60 117 233 156 126 57 167 41 42 77 36 190 69 210 165 42 155 43 46 236 199 190 248 133 227 13 71 76 147 75 131 195 119 54 247 211 33 141 165 10 225 84 17 130 85 48 57 247 98 113 90 126 30 240 126 165 164 124 34 241 28 22 246 45 115 169 106 80 47 157 229 169 114 21 88 109 141 0 234 121 36 227 215 218 165 211 188 123 225 0 226 109 79 84 158 103 235 179 236 242 21 7 242 231 252 245 175 85 240 238 164 186 173 149 189 206 158 197 109 102 140 73 27 237 219 149 35 130 1 254 100 125 51 218 20 106 52 174 185 87 110 167 82 141 24 93 39 204 251 244 95 230 121 55 194 191 19 120 255 0 193 26 47 246 86 159 240 222 243 81 144 74 210 249 243 91 79 189 119 99 128 0 192 233 93 150 175 103 226 191 140 190 11 212 44 245 159 12 159 15 107 58 84 233 46 154 211 172 136 46 89 149 188 200 142 241 199 0 28 244 28 102 182 236 190 56 120 2 193 126 207 22 175 115 27 100 137 37 251 20 132 168 246 200 228 147 211 243 53 103 254 23 215 195 216 109 30 104 245 43 134 186 101 219 12 6 210 92 41 39 132 36 142 121 249 152 247 62 194 166 189 73 193 94 156 53 127 214 166 46 87 90 187 163 207 160 248 171 241 23 195 90 20 94 13 215 60 25 115 119 121 98 22 17 51 44 138 206 131 132 70 218 8 110 220 131 200 31 141 116 223 1 188 1 226 107 191 30 255 0 194 201 241 205 185 181 186 50 153 45 45 164 93 174 210 48 219 188 167 240 42 174 64 7 158 135 183 59 30 3 241 118 137 226 15 22 190 143 111 121 37 198 161 106 100 187 190 15 19 47 239 85 130 42 228 140 28 51 15 214 187 143 26 120 215 64 240 77 173 141 230 191 119 37 189 180 178 249 113 178 66 210 18 192 103 162 131 216 26 231 85 223 180 112 140 108 217 208 168 168 193 54 207 20 155 78 241 207 193 111 138 154 135 136 116 157 2 93 115 68 212 218 80 12 72 204 175 19 185 112 140 84 18 142 167 140 145 131 143 122 173 226 155 159 31 252 114 214 52 157 30 47 11 79 161 233 54 12 237 230 76 174 22 37 114 3 59 59 5 221 128 48 20 10 246 79 26 252 82 240 150 129 164 104 23 183 250 140 209 13 66 22 187 180 43 108 237 190 45 249 4 224 113 244 62 181 139 125 241 235 225 207 159 21 204 26 189 203 60 71 56 251 20 163 122 158 24 125 222 227 249 85 123 90 141 123 78 75 189 175 228 112 37 185 198 124 122 240 198 179 63 196 239 8 174 145 162 106 87 118 58 125 157 172 15 44 22 236 233 24 142 99 212 129 129 242 128 77 123 95 197 237 33 181 175 134 222 33 211 163 132 93 180 246 50 181 186 5 221 190 69 27 147 104 236 217 3 21 115 195 126 32 211 188 71 163 219 107 122 45 195 203 103 112 165 237 228 100 40 89 67 21 232 121 24 32 143 202 175 79 122 177 66 237 26 134 66 63 125 23 167 251 64 127 156 87 61 12 202 120 106 171 13 95 166 207 191 245 215 177 85 40 42 177 231 137 226 255 0 179 85 174 167 166 124 57 187 211 53 59 75 237 50 242 45 70 71 88 174 97 104 203 35 162 16 64 97 200 200 106 233 181 196 134 82 69 221 178 147 255 0 61 35 28 126 43 254 21 191 172 202 175 25 145 24 201 23 102 207 204 149 204 223 93 178 131 230 126 242 62 126 113 212 87 208 194 207 88 59 63 235 228 121 149 34 155 247 209 135 55 246 133 162 151 211 53 7 104 199 240 147 188 15 192 242 63 49 89 243 248 142 224 31 47 81 176 18 122 188 95 252 73 231 242 205 95 212 18 57 9 146 39 42 223 222 78 13 98 95 75 32 5 110 34 89 148 255 0 18 140 55 229 84 229 252 241 191 154 209 253 194 140 37 5 122 114 183 226 135 27 221 30 248 145 12 225 31 186 55 4 126 6 178 245 13 38 39 70 40 168 223 78 15 249 255 0 56 170 215 214 150 215 74 76 108 175 143 225 97 200 254 181 153 55 219 172 203 24 110 37 85 28 236 127 157 122 126 127 173 84 82 151 193 43 250 148 170 74 63 28 126 104 204 213 166 54 139 123 59 109 72 227 50 48 95 186 9 25 56 245 56 239 143 90 225 252 19 20 23 119 55 122 149 244 73 117 41 108 40 145 119 13 199 146 112 120 207 97 154 234 53 40 167 212 46 111 34 98 118 187 186 51 185 235 207 175 126 189 189 1 174 99 194 215 169 225 125 74 230 203 87 138 84 82 114 174 171 150 227 128 64 244 35 184 228 87 26 230 156 90 90 30 183 36 40 201 115 106 91 241 190 133 28 58 90 234 208 64 150 143 28 138 165 99 27 114 15 66 113 211 7 31 157 87 241 165 228 119 122 63 135 46 138 128 207 110 222 105 199 82 24 2 127 67 83 248 191 196 112 235 150 246 250 54 144 147 75 230 74 172 195 110 1 61 148 14 167 175 39 183 189 67 227 125 63 251 58 211 65 177 121 4 141 20 44 173 143 185 187 112 221 143 94 73 231 249 86 144 166 160 146 123 147 58 142 109 189 145 214 216 234 159 11 164 145 4 182 54 171 146 0 83 102 231 158 153 111 240 252 207 106 246 77 54 88 44 109 99 211 180 229 142 8 226 140 2 199 238 193 24 28 19 219 160 224 118 235 245 225 87 68 208 4 137 109 111 161 105 166 114 1 201 182 82 35 31 222 60 117 244 29 254 149 187 105 44 82 131 26 146 214 48 191 239 14 114 110 165 207 221 247 0 245 245 35 29 7 60 181 234 40 199 153 236 138 143 189 185 204 252 90 240 223 134 108 190 31 94 106 154 110 135 107 103 56 120 133 179 162 98 66 166 64 26 70 63 237 116 3 208 251 241 71 225 30 137 225 237 83 195 118 122 142 165 162 216 220 11 48 236 239 34 115 43 239 59 3 31 203 240 2 175 124 119 213 66 120 18 230 192 144 215 23 18 68 242 156 253 208 28 96 10 165 240 178 67 63 130 52 125 38 0 9 154 105 12 164 122 151 57 252 151 255 0 67 246 174 104 212 169 245 119 57 117 127 114 47 15 24 213 173 228 142 123 225 151 141 116 223 6 252 83 214 245 237 94 59 169 98 184 107 148 196 40 11 22 105 114 9 4 142 56 38 182 62 61 124 82 208 60 123 162 88 88 105 16 95 71 37 181 207 154 198 226 53 80 70 198 28 97 143 168 170 95 9 173 236 103 248 195 174 195 117 111 111 115 10 139 157 169 52 97 198 68 192 3 130 43 99 246 135 182 210 225 240 237 140 150 58 125 157 171 29 67 105 104 97 84 36 121 109 199 3 165 109 5 7 94 246 214 203 250 252 6 220 156 29 182 42 124 117 146 51 225 143 134 77 39 49 166 141 135 29 126 81 40 207 233 154 234 34 241 167 236 246 108 35 15 225 88 133 194 174 15 252 75 78 9 7 191 205 223 31 173 112 223 24 46 213 188 61 224 2 248 100 139 76 108 131 206 64 144 18 49 93 173 191 197 47 133 11 45 230 116 53 11 36 158 100 95 241 39 140 237 200 206 63 58 174 91 211 90 63 145 199 7 102 143 99 240 86 161 165 67 225 235 91 45 10 24 237 108 12 34 239 78 141 87 110 35 144 110 43 143 196 228 125 106 213 214 162 65 19 70 196 3 147 215 36 30 224 253 63 81 131 92 30 145 226 59 13 99 70 182 214 116 45 209 218 198 197 173 213 227 242 202 160 98 187 118 246 0 130 62 153 173 121 111 227 96 151 40 196 91 220 12 159 151 238 55 169 250 119 246 207 165 120 243 195 125 102 14 155 248 163 170 255 0 35 72 207 217 75 93 191 171 51 70 238 240 174 233 224 225 127 229 172 127 221 247 30 213 147 123 34 200 12 182 196 115 247 147 252 42 188 215 82 67 46 71 202 65 198 61 15 167 210 179 238 103 40 76 240 103 102 126 116 31 195 244 246 173 50 236 108 169 254 238 166 203 240 255 0 129 223 177 117 169 41 106 183 32 186 126 75 66 118 48 234 190 191 231 252 145 89 243 220 171 18 174 54 182 113 248 250 127 245 141 90 185 145 46 87 122 54 217 7 167 122 199 187 109 199 108 131 107 14 1 31 231 244 53 244 170 106 75 93 187 158 107 166 224 244 33 189 137 92 147 131 158 204 58 214 109 196 179 198 165 91 19 38 15 94 181 98 105 101 139 174 25 115 133 36 224 126 125 143 177 252 13 86 153 214 68 110 163 215 3 145 245 31 231 169 162 116 186 238 82 105 232 244 51 238 100 84 186 153 211 44 193 219 230 192 194 242 91 0 116 238 190 220 131 209 142 51 181 3 167 220 19 13 234 218 72 200 126 99 112 202 85 49 158 190 231 105 249 123 115 158 134 164 213 36 145 158 242 88 73 84 82 229 95 161 147 217 70 56 31 123 156 122 241 141 192 112 190 26 180 210 117 43 137 223 91 188 146 57 137 2 52 103 219 184 231 146 88 254 88 168 59 91 229 223 115 209 244 93 55 77 178 76 217 197 10 70 199 151 81 243 201 142 58 246 24 237 239 239 87 175 22 206 238 72 237 205 165 173 213 194 131 176 72 138 226 21 207 36 250 114 63 19 244 56 226 180 13 55 84 209 188 66 99 176 153 110 44 102 83 180 25 120 3 3 230 35 217 184 245 36 17 215 138 196 240 230 176 186 6 165 171 207 196 183 18 43 36 103 3 150 223 215 131 211 243 21 14 45 236 40 187 218 231 173 164 168 28 233 208 79 176 159 158 234 224 176 220 7 166 127 188 70 62 131 211 138 208 58 141 173 173 175 158 12 107 12 43 182 8 212 245 244 192 175 41 240 206 149 113 226 187 211 123 170 179 139 8 114 21 51 204 140 78 79 61 253 207 83 248 84 63 19 227 79 237 40 117 61 45 68 77 6 216 219 203 24 31 47 70 3 219 167 229 92 115 160 170 205 70 250 32 157 75 232 186 157 213 177 131 84 184 185 191 213 98 142 226 222 63 152 164 128 21 118 236 48 125 240 7 227 90 254 13 48 66 110 175 32 72 17 96 82 145 44 32 4 220 79 36 1 211 44 79 228 43 202 124 83 226 104 175 60 37 99 164 233 192 249 215 56 123 164 94 170 192 224 39 226 121 252 171 209 124 15 165 71 225 237 6 207 79 39 116 206 198 234 229 189 91 28 15 160 198 43 44 84 31 39 107 236 191 35 182 140 163 78 60 145 251 206 195 78 179 211 44 46 100 186 182 177 181 134 224 169 15 44 113 42 179 158 167 36 12 156 145 83 219 91 233 250 149 197 188 58 149 149 181 228 98 117 33 39 136 56 7 120 92 224 251 100 86 79 218 24 64 205 156 241 207 226 127 253 117 99 66 185 205 245 167 57 204 177 96 253 91 53 157 40 233 126 239 240 65 125 25 212 166 151 161 94 219 222 67 119 163 233 215 11 107 117 60 80 9 109 145 132 73 184 225 87 35 129 199 65 92 188 26 31 135 98 190 181 67 161 105 101 93 30 19 155 84 251 202 196 3 211 173 110 233 151 95 233 26 170 103 254 95 229 253 88 215 55 125 59 33 149 193 193 134 233 92 31 246 93 70 127 92 209 78 252 214 185 231 61 145 188 235 105 101 110 176 217 219 65 111 109 25 255 0 85 26 5 77 146 117 24 28 15 155 63 247 213 82 176 187 242 230 155 78 150 66 200 231 116 108 195 140 227 63 168 193 255 0 190 169 103 157 37 69 220 126 71 249 31 253 215 28 126 70 176 239 228 152 162 72 72 89 162 109 141 142 128 231 131 244 221 145 244 122 137 167 9 169 173 205 39 105 69 51 112 220 51 43 68 192 151 140 99 24 251 200 59 125 71 242 35 214 170 155 166 70 220 173 158 63 6 31 231 252 245 170 82 220 155 152 35 189 139 11 32 251 217 232 164 100 115 237 212 31 99 236 42 41 38 14 162 69 202 171 147 193 234 143 221 127 63 215 235 70 51 14 165 106 244 254 99 163 63 176 201 238 159 103 239 224 206 210 126 100 29 84 251 85 121 101 75 133 195 48 13 219 158 181 8 184 101 98 71 222 3 230 95 90 173 114 54 15 58 30 80 242 84 118 173 240 149 220 21 158 223 151 252 0 156 57 189 70 206 94 55 42 204 48 123 145 156 142 156 250 142 191 145 170 115 168 11 186 54 232 56 27 177 129 236 125 57 232 127 186 125 69 90 50 172 144 159 49 249 60 43 110 199 235 254 125 125 106 173 210 24 67 99 144 114 49 216 112 127 47 254 183 183 62 196 37 109 81 201 40 46 165 45 78 95 178 139 189 66 80 101 217 186 80 171 232 0 110 8 62 139 156 238 237 215 0 58 114 34 61 7 196 41 36 144 90 188 23 236 196 20 87 3 60 18 92 140 227 104 231 60 14 135 129 252 29 102 181 116 176 95 76 131 18 92 73 51 132 70 56 36 238 57 36 156 96 14 228 183 5 79 57 82 98 230 175 124 47 164 199 27 222 79 117 44 12 70 233 12 88 198 125 20 118 228 224 14 58 116 24 111 47 59 234 116 36 247 50 180 166 159 195 158 42 75 45 62 229 174 252 198 217 34 47 202 28 224 130 167 28 13 188 243 219 6 160 240 230 142 53 125 118 238 59 137 56 66 242 75 176 159 152 150 32 0 121 192 207 115 93 87 133 244 75 109 36 53 252 136 235 114 227 0 56 57 141 114 78 209 211 158 57 227 168 199 27 74 181 141 39 76 177 210 38 184 212 214 71 15 40 37 132 142 8 3 59 184 239 159 204 224 119 228 86 85 42 239 21 184 61 14 107 74 212 174 252 43 168 221 104 151 79 136 165 108 7 236 164 244 113 236 71 111 165 116 58 92 80 77 28 247 23 171 186 219 203 96 202 121 202 247 31 82 127 144 172 77 114 222 223 93 191 71 157 152 63 98 173 141 169 233 254 24 227 39 181 108 51 199 167 216 65 100 179 177 17 32 146 66 216 201 3 238 47 251 92 140 227 253 159 122 154 138 202 221 122 154 225 225 204 249 190 239 212 230 126 29 233 241 220 248 190 68 150 34 126 205 184 128 203 144 173 187 28 251 129 159 242 43 213 214 227 205 150 105 23 149 98 35 95 247 71 255 0 171 252 230 184 239 9 233 54 154 88 185 213 23 119 218 38 82 135 45 194 150 57 32 15 203 242 174 138 25 48 34 140 56 36 46 112 123 147 255 0 214 231 242 174 74 222 244 249 151 69 255 0 12 109 240 166 141 59 139 130 33 63 54 58 224 125 7 255 0 94 174 104 146 255 0 196 214 205 65 225 110 34 2 185 251 169 242 136 165 186 255 0 236 205 254 31 206 180 116 59 133 58 181 161 12 50 110 227 239 248 255 0 90 168 198 202 8 119 209 157 45 133 193 26 134 172 55 127 203 228 135 255 0 30 205 101 106 239 190 238 238 14 130 88 9 95 98 172 127 248 161 69 165 192 26 182 174 187 135 252 125 73 85 53 73 209 117 72 37 12 48 236 202 70 127 188 185 31 250 13 98 189 214 159 245 187 56 165 178 46 88 92 253 162 194 48 73 203 169 67 236 122 143 215 53 94 230 101 105 22 71 92 165 194 17 46 15 112 48 195 219 140 31 248 13 102 105 87 11 24 158 13 223 50 57 43 207 161 200 254 102 167 187 147 114 204 170 114 120 158 46 71 39 184 252 121 31 141 107 82 27 174 223 169 116 157 213 152 182 55 15 111 116 246 243 114 178 18 135 221 199 127 248 16 32 253 105 210 74 182 211 60 114 17 229 62 3 146 127 5 111 228 167 254 2 107 42 245 214 88 210 104 216 28 237 66 251 186 119 141 191 93 191 240 47 106 177 29 202 222 89 7 249 124 196 4 50 147 215 177 95 161 255 0 38 175 15 165 224 246 102 77 53 234 139 82 179 9 54 255 0 26 227 254 4 61 127 206 42 52 152 140 182 70 211 144 192 145 219 175 227 235 253 58 213 104 39 222 134 45 249 146 37 221 19 55 59 147 167 61 121 236 120 252 243 76 105 87 151 82 49 209 148 156 144 71 227 219 252 227 165 101 82 131 165 61 13 212 212 213 203 114 196 232 193 163 201 141 152 125 221 199 157 216 227 3 212 126 99 215 131 10 207 186 53 86 63 41 10 59 245 249 56 233 238 191 152 199 240 83 35 184 88 216 143 148 161 57 32 46 225 215 211 7 35 168 239 233 206 10 173 107 176 35 204 145 176 216 203 208 28 250 126 99 243 251 221 247 126 243 162 141 87 31 79 203 254 1 50 138 103 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumpJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 250 251 91 188 146 198 193 174 35 85 102 12 6 27 167 53 207 167 137 174 252 213 47 12 37 51 200 0 231 31 92 214 207 138 151 58 36 199 208 169 255 0 199 133 113 34 149 207 107 46 195 82 171 73 185 171 187 157 112 241 45 143 120 167 31 128 255 0 26 95 248 73 108 49 247 39 255 0 190 71 248 215 35 69 23 58 191 178 232 121 253 231 93 255 0 9 45 135 252 243 159 254 249 31 227 71 252 36 182 31 243 206 127 251 228 127 141 114 52 81 112 254 203 161 231 247 157 119 252 36 182 31 243 206 127 251 228 127 141 56 120 147 78 238 39 31 240 1 254 53 199 212 55 119 86 118 147 91 69 117 123 105 4 151 83 165 188 41 36 232 172 242 63 220 64 9 206 227 216 119 160 137 101 216 104 238 237 243 59 133 241 22 152 122 201 32 250 161 167 15 16 105 127 243 221 191 239 219 127 133 120 87 138 254 51 124 53 240 246 159 109 168 75 226 69 189 182 186 121 99 129 237 32 121 3 188 100 7 0 129 142 55 47 57 238 43 203 117 207 218 207 195 241 59 46 137 225 77 74 240 2 112 247 83 164 25 252 23 125 7 44 176 248 37 175 63 245 247 31 100 13 127 74 207 252 124 17 255 0 108 219 252 41 195 94 210 191 231 235 255 0 33 183 248 87 231 158 191 251 82 124 64 189 114 186 101 150 143 165 199 219 108 13 43 143 169 115 131 255 0 124 138 243 223 18 124 87 248 141 226 25 139 234 94 48 213 113 130 60 187 121 141 188 120 255 0 114 61 170 127 17 76 229 154 194 47 135 153 253 223 228 126 167 127 110 233 95 243 246 63 239 134 255 0 10 99 120 131 75 29 39 102 250 70 107 242 95 74 188 241 62 169 170 193 105 166 222 106 183 87 211 190 216 163 134 103 105 29 189 176 115 93 102 155 241 47 226 127 129 117 153 236 160 241 125 204 178 196 66 201 19 222 37 252 25 192 56 4 151 76 246 59 79 94 59 80 103 23 135 191 188 159 222 191 200 253 50 189 241 102 149 105 107 53 204 198 101 134 20 105 36 109 156 5 3 36 245 244 175 8 214 255 0 108 207 134 22 76 201 167 233 158 33 212 136 232 201 110 145 169 252 93 193 253 43 230 205 123 246 150 241 206 179 224 219 239 15 221 88 233 49 201 123 3 91 201 121 12 110 178 8 216 16 216 27 136 12 65 198 123 122 87 136 26 3 17 236 52 246 95 137 246 7 136 191 110 13 81 221 147 195 222 3 179 129 71 221 146 250 249 165 39 234 168 171 143 204 215 3 226 15 218 223 227 38 180 194 13 50 231 74 209 139 157 170 44 108 3 187 103 182 101 47 207 208 10 249 246 189 235 246 57 248 121 31 137 188 97 39 138 181 56 82 77 55 68 117 49 35 174 68 183 36 101 127 239 129 243 125 118 208 103 70 147 171 53 5 212 250 219 224 85 239 141 244 127 1 91 183 141 245 107 157 95 92 189 99 115 113 246 179 205 182 224 49 10 133 192 0 0 51 238 77 122 21 159 136 174 103 188 134 22 130 32 36 144 41 35 60 100 215 55 86 180 131 141 86 215 63 243 217 127 152 165 115 232 39 128 161 26 111 221 232 117 94 45 114 186 51 129 252 110 160 254 121 254 149 197 215 99 227 19 141 37 127 235 170 255 0 35 94 15 241 227 226 166 157 240 207 195 130 93 169 119 172 221 130 182 54 132 240 79 121 31 190 193 249 147 192 238 64 99 151 78 52 240 206 114 218 231 117 173 235 26 86 135 96 250 134 177 168 218 233 246 137 195 77 113 42 198 185 244 201 239 237 94 67 226 111 218 103 225 182 151 230 199 167 73 168 235 82 166 64 251 53 185 72 216 250 110 147 111 30 224 31 198 190 61 241 199 140 60 69 227 61 98 77 87 196 90 156 215 179 49 37 17 142 35 136 31 225 68 232 163 233 248 228 215 162 91 248 134 235 66 248 155 225 255 0 3 105 140 208 120 110 25 44 172 117 13 57 142 98 191 105 85 62 210 243 175 73 11 52 143 180 156 237 1 0 198 209 69 142 122 217 180 219 181 53 100 122 167 133 191 105 109 67 196 90 189 248 139 195 86 218 118 157 167 233 243 223 206 76 173 115 59 164 107 194 168 27 6 73 35 36 240 6 79 56 174 35 226 167 199 79 136 246 247 214 143 161 120 142 214 45 31 83 180 91 219 41 109 244 244 142 67 25 102 70 71 14 95 107 163 163 161 195 115 183 32 224 215 156 232 58 110 167 225 205 2 243 226 38 149 127 20 103 76 215 19 72 251 44 145 111 19 44 176 204 204 31 60 50 21 140 163 41 28 135 53 216 255 0 101 120 47 199 86 126 1 209 161 178 213 60 59 127 169 199 61 181 191 145 42 221 91 66 77 203 146 112 251 100 217 184 185 11 185 136 29 216 211 56 101 140 175 45 228 206 83 74 241 143 142 60 115 226 221 27 65 214 252 91 172 220 219 106 58 132 22 210 68 110 217 99 33 228 85 251 160 133 239 233 93 198 135 172 203 114 218 247 141 82 65 12 250 182 177 168 106 122 124 99 254 88 37 141 133 211 70 195 253 144 247 48 160 255 0 112 250 85 95 131 22 95 14 110 237 60 63 175 207 101 172 90 235 62 31 215 44 35 190 104 39 95 46 243 206 157 252 185 73 124 236 84 40 128 170 168 36 30 185 57 87 124 52 186 182 214 60 107 226 177 226 251 49 97 162 120 115 195 87 16 53 133 146 144 176 65 28 241 171 64 132 228 239 144 179 141 236 114 94 66 73 160 194 82 148 183 119 56 175 27 89 223 173 135 131 60 15 107 103 44 186 133 189 143 218 36 130 36 45 35 92 94 63 154 170 0 231 62 81 183 24 236 115 92 197 198 131 170 195 226 24 252 62 45 68 250 148 178 71 12 80 91 74 147 249 142 248 216 170 200 74 177 57 3 131 215 138 244 189 42 51 115 163 235 62 47 213 188 73 166 232 158 33 241 53 198 98 51 204 203 37 182 154 237 39 218 38 141 84 100 238 42 176 170 15 152 166 240 6 211 154 221 241 190 175 225 175 6 220 124 49 213 70 129 168 67 119 103 107 21 204 48 151 72 228 142 197 46 167 218 236 87 32 220 75 195 156 240 132 99 156 252 161 39 157 235 158 10 181 139 64 213 175 244 27 187 157 81 124 60 241 71 173 94 50 164 118 194 73 31 98 164 3 37 164 27 131 124 199 25 3 56 21 209 91 120 43 68 211 190 26 248 83 197 122 213 186 201 20 176 234 26 165 236 123 217 90 229 4 177 65 107 109 144 65 1 164 86 98 70 8 70 118 7 129 88 81 120 219 75 210 236 151 195 186 94 145 45 223 134 222 7 75 232 174 159 201 158 254 87 104 220 202 204 132 236 218 209 71 181 65 96 161 79 36 179 19 71 196 255 0 16 117 189 127 195 95 240 142 220 65 97 109 166 139 213 187 72 173 162 43 176 36 66 40 162 4 177 62 90 40 56 29 114 196 146 199 160 7 107 111 225 99 96 190 58 154 193 180 223 14 195 115 120 52 237 62 231 81 186 48 198 182 165 217 174 69 187 185 45 33 10 34 83 183 115 20 144 142 75 115 71 226 86 157 161 90 252 40 240 219 217 91 11 37 75 203 164 211 165 123 48 151 58 180 91 96 50 93 76 119 18 139 184 144 138 115 242 236 192 251 204 120 203 113 169 94 107 90 4 254 44 109 86 93 49 230 138 4 150 235 204 97 246 117 117 12 145 150 234 2 158 139 211 53 217 252 110 211 60 65 29 133 140 250 149 141 203 24 166 150 231 81 186 91 118 75 104 238 46 88 136 161 137 186 20 88 45 226 3 111 202 48 84 116 160 15 40 61 105 41 90 146 128 10 245 127 217 127 198 86 222 17 248 141 12 154 199 137 110 52 109 22 100 111 180 160 82 240 220 62 48 138 224 3 140 19 157 248 227 29 64 36 215 148 81 65 116 234 58 115 82 93 15 212 77 39 83 211 181 107 24 239 244 187 235 107 219 73 57 73 160 148 58 55 208 142 43 75 76 63 241 51 181 255 0 174 201 255 0 161 10 249 99 246 67 248 93 175 217 121 94 53 214 47 245 29 58 202 81 190 207 79 138 102 140 92 130 56 150 85 7 5 61 20 245 235 211 175 212 218 111 252 132 109 191 235 170 255 0 49 72 250 122 117 101 86 139 148 149 180 58 127 26 186 166 144 29 216 42 172 128 146 78 0 24 53 249 95 241 111 198 55 158 58 241 246 165 226 11 169 11 71 36 165 45 83 160 142 5 36 70 191 151 39 212 146 107 244 135 246 155 187 150 203 224 151 137 238 32 114 146 46 159 56 86 29 70 99 97 159 214 191 44 207 90 103 207 74 163 246 17 135 171 23 181 122 15 196 73 5 143 196 237 43 93 134 96 241 94 90 233 154 156 114 15 86 130 34 227 254 3 34 186 255 0 192 107 207 135 74 233 164 185 111 19 233 126 23 240 221 142 159 60 218 237 188 210 105 240 184 144 109 184 142 89 67 193 24 7 163 9 36 155 146 113 134 81 218 131 152 245 109 67 194 247 115 252 43 248 169 160 89 66 243 221 104 222 52 134 225 33 65 151 149 21 46 148 149 3 147 132 220 252 127 10 177 232 43 141 182 213 164 240 110 179 240 187 88 187 129 219 251 62 205 47 166 183 232 198 54 191 184 124 125 90 60 17 236 192 213 111 18 248 235 196 50 93 166 143 169 196 254 31 190 181 212 35 159 84 186 179 71 23 114 221 219 198 97 73 24 51 128 29 84 191 10 84 22 118 39 168 196 63 25 188 61 168 105 58 253 190 173 62 187 123 226 59 45 94 4 158 219 85 187 86 18 202 118 46 232 228 203 54 29 3 47 27 143 202 200 71 12 40 1 250 157 238 131 225 175 6 106 218 38 133 174 219 235 55 154 190 163 111 56 184 181 138 104 214 214 218 15 48 170 183 152 138 124 198 105 20 144 1 11 229 245 36 241 221 124 36 241 2 124 64 248 144 250 20 126 26 142 7 241 20 87 115 120 138 72 175 25 95 80 97 109 33 218 153 27 98 86 148 135 218 3 124 236 57 192 0 114 191 26 244 189 51 76 208 60 20 154 61 157 165 180 75 165 253 159 81 242 224 81 43 106 49 145 246 130 242 99 115 112 241 224 19 129 216 12 154 232 188 8 218 165 157 142 137 23 131 236 5 183 141 60 63 166 29 98 202 242 27 51 41 188 19 25 36 146 222 65 130 24 249 47 27 38 239 238 186 142 93 112 1 199 233 233 226 15 18 248 227 77 241 166 187 162 78 116 70 212 160 89 37 104 124 187 56 224 141 128 16 35 190 16 42 198 133 66 231 162 253 107 170 241 6 137 255 0 9 143 196 239 15 232 190 37 212 239 228 138 230 213 44 44 117 75 36 138 230 61 74 237 157 165 148 137 60 192 161 90 121 220 103 230 32 21 202 140 224 112 158 28 186 55 254 4 241 126 147 56 47 32 251 54 175 19 119 243 34 151 201 97 143 116 186 114 127 220 173 47 3 222 106 214 255 0 15 175 158 211 112 146 219 196 26 117 206 144 199 3 23 128 75 144 132 250 168 82 223 238 38 123 80 5 11 72 188 46 124 47 169 73 113 225 251 219 103 148 60 54 90 133 197 251 73 228 220 198 22 79 44 162 70 160 135 92 167 61 11 3 144 5 59 197 51 71 168 124 53 240 238 161 109 163 233 182 34 59 187 171 43 185 45 173 149 94 89 16 36 136 238 248 221 202 77 180 12 224 249 121 198 114 107 175 241 36 177 221 248 234 247 72 241 47 141 116 148 240 108 122 231 219 225 2 240 223 108 132 51 159 46 20 131 126 214 40 251 72 33 70 84 100 241 92 47 135 245 253 46 211 71 213 124 53 172 91 93 94 232 215 119 9 117 12 150 206 177 205 4 241 135 84 145 119 2 10 149 118 12 135 25 249 78 70 222 64 52 244 93 109 226 179 240 174 190 209 205 170 95 233 58 132 182 82 91 52 167 45 11 17 36 59 91 146 174 90 75 140 16 56 42 167 154 189 103 101 224 205 75 74 213 52 95 15 120 139 197 90 118 165 113 11 74 250 126 167 101 19 219 78 208 131 38 198 150 55 220 174 54 176 12 99 234 112 112 9 174 103 196 87 49 216 180 26 54 155 164 94 233 11 20 169 116 237 168 63 250 76 174 84 24 221 190 85 85 77 173 149 0 116 114 75 54 70 61 11 90 211 62 33 234 122 191 137 37 241 69 206 151 162 162 233 51 235 183 26 165 174 159 111 139 216 37 32 42 199 115 18 238 145 101 121 68 99 231 35 146 14 113 138 0 241 147 210 155 79 237 76 160 2 167 211 222 120 239 173 228 182 64 243 172 170 99 82 129 247 54 70 6 211 193 231 183 122 130 128 72 233 64 31 165 95 13 110 124 89 119 225 11 57 252 105 167 217 105 250 195 47 239 33 181 114 202 6 6 9 29 21 189 64 36 15 94 195 172 211 70 117 43 97 255 0 77 147 249 138 249 163 246 87 248 214 53 168 173 188 13 226 187 175 248 153 198 187 52 251 201 27 254 62 84 116 141 143 247 192 232 127 136 15 94 191 76 233 35 58 173 168 255 0 166 201 252 197 35 234 105 214 141 74 28 209 125 14 31 246 156 213 124 111 169 120 23 196 122 14 155 240 254 86 211 90 214 116 58 149 198 169 2 121 138 35 36 180 112 161 119 110 248 13 180 159 74 252 224 61 107 245 203 198 228 20 182 140 128 65 220 72 63 133 126 95 252 104 240 117 223 129 254 35 106 186 28 240 249 112 121 173 61 147 15 186 246 238 73 66 62 131 229 62 234 71 106 103 131 82 139 88 120 84 245 56 213 53 214 124 38 130 73 188 121 101 36 50 65 28 246 209 92 93 64 243 206 144 198 178 197 3 201 25 103 114 21 70 245 94 73 0 87 38 58 215 65 224 253 91 79 210 158 248 93 232 127 218 183 23 150 230 214 13 215 70 20 139 127 12 196 40 203 18 56 31 48 3 39 57 236 28 135 95 227 157 53 124 73 225 85 241 12 122 158 157 127 226 77 18 52 183 215 146 210 118 148 220 64 48 144 221 238 219 181 136 226 57 10 150 28 70 196 229 154 181 52 153 31 93 240 182 139 166 248 142 222 107 125 7 91 180 142 210 45 90 117 117 182 177 212 173 217 225 134 66 248 218 21 161 88 163 147 253 147 187 147 24 170 113 120 87 226 63 195 139 13 119 83 211 174 180 59 75 187 120 124 173 94 210 214 246 214 238 250 202 221 219 97 222 160 187 34 18 234 173 131 221 119 86 63 129 188 25 170 252 65 240 175 137 39 210 198 167 169 235 186 47 217 166 180 211 237 212 203 230 193 44 172 179 109 64 9 202 187 70 220 113 130 228 208 5 223 20 222 104 218 215 132 117 215 188 241 13 149 190 162 60 75 113 168 105 182 196 72 230 88 101 86 89 190 226 48 66 76 86 251 119 16 8 207 106 175 121 121 170 106 250 174 147 169 248 82 79 24 234 118 186 101 181 167 218 18 8 26 63 177 201 12 104 164 68 232 210 0 50 153 14 85 121 231 109 73 241 179 192 82 248 38 203 193 211 77 163 220 105 23 26 158 138 30 246 218 118 37 214 238 57 93 37 36 18 113 184 8 219 29 183 99 2 186 15 137 154 239 140 188 53 101 224 171 111 6 234 90 166 147 225 185 180 75 73 180 230 210 230 120 163 186 186 49 143 180 179 20 35 124 194 98 234 65 201 0 40 233 64 28 186 120 194 235 84 248 137 37 231 134 116 61 15 195 151 26 211 253 138 88 228 139 237 16 230 102 42 236 226 96 234 160 238 228 42 128 0 225 69 31 24 52 165 209 117 17 164 223 248 215 251 123 92 211 238 37 180 189 179 134 202 88 109 172 89 14 10 196 206 20 17 184 30 21 20 113 145 156 213 223 218 29 94 219 199 246 55 23 16 71 101 175 203 163 217 92 235 113 68 161 60 189 65 163 13 33 32 125 215 35 99 48 254 243 53 117 95 30 124 79 97 227 13 54 109 102 63 136 26 18 195 127 29 174 160 190 29 178 210 202 206 47 26 20 19 121 210 164 74 164 171 180 184 102 118 56 192 250 0 101 248 107 225 183 134 124 87 240 99 73 212 244 139 249 44 252 103 113 169 221 217 36 87 18 1 109 124 241 172 114 44 1 143 17 202 81 198 204 240 228 48 206 113 92 255 0 199 141 5 52 143 18 233 55 240 233 113 233 80 235 58 37 157 233 178 142 15 40 91 204 35 242 103 77 152 27 79 157 20 135 24 29 107 19 76 241 72 180 248 115 171 120 70 91 55 148 221 234 86 186 141 173 192 155 111 217 100 137 100 70 59 112 115 185 100 199 81 141 160 243 138 177 227 207 30 120 163 226 12 90 28 30 32 145 111 238 180 155 83 103 5 200 140 153 231 82 229 135 152 217 59 219 39 25 198 79 124 147 154 0 217 248 223 43 107 54 190 10 241 130 198 66 106 222 29 130 222 103 63 197 115 102 90 214 79 199 17 198 223 71 21 214 248 99 197 154 14 141 240 67 71 240 47 141 47 102 212 116 207 18 221 207 117 41 180 186 47 62 135 10 50 172 44 168 15 59 165 18 72 98 60 21 10 70 9 205 113 58 71 195 95 138 222 35 211 237 108 237 188 49 175 205 99 110 93 173 99 185 83 12 49 239 32 177 79 52 170 141 196 12 145 215 2 189 43 193 223 178 175 138 111 158 25 188 79 172 88 233 48 28 23 134 12 220 76 7 167 100 7 220 22 252 104 55 167 133 173 83 225 139 60 26 93 53 167 215 159 75 209 30 77 99 116 230 43 87 183 129 195 92 12 252 165 80 141 192 145 206 8 200 174 235 199 31 4 124 115 224 239 4 199 226 189 106 11 36 181 44 139 52 17 206 94 107 125 199 10 92 99 111 82 7 12 121 34 190 202 248 103 240 171 193 191 15 224 7 67 211 67 222 149 196 151 247 56 146 119 207 81 187 24 81 236 160 10 232 60 75 175 120 127 71 131 102 185 127 107 10 200 185 17 75 243 51 143 100 228 145 248 84 185 37 171 61 124 54 75 42 190 238 174 79 100 181 255 0 135 63 57 116 15 8 120 171 95 43 253 137 225 205 91 80 86 56 15 111 104 238 191 247 208 24 21 232 186 55 236 221 241 79 81 141 36 155 75 178 211 149 255 0 231 238 241 1 3 220 38 226 63 157 125 37 175 124 104 176 129 26 29 11 74 150 118 28 36 151 7 203 65 238 20 100 145 249 85 143 132 250 255 0 137 252 97 175 92 234 90 149 224 143 78 179 77 171 111 10 108 70 145 186 103 185 192 201 228 245 34 178 88 136 57 40 173 79 111 253 75 196 81 195 203 17 136 247 98 187 232 223 149 181 123 247 177 228 94 26 253 147 181 148 120 174 117 127 26 91 89 92 70 193 148 88 91 60 133 72 232 67 177 66 15 225 95 87 120 6 198 242 197 52 171 13 67 82 125 78 234 0 169 37 219 198 17 166 35 248 136 28 3 235 78 173 15 14 12 235 118 223 83 252 141 108 121 175 13 79 15 74 110 11 163 52 124 106 127 210 45 151 209 9 253 107 193 255 0 104 255 0 133 11 241 39 195 176 205 167 60 80 107 218 118 227 106 239 194 204 167 239 68 199 182 113 144 123 31 169 175 118 241 167 252 126 192 63 233 153 254 117 131 67 39 9 74 53 48 145 132 182 127 230 126 98 120 159 195 250 207 134 53 121 116 157 123 78 158 194 246 19 134 138 85 198 125 193 232 195 208 140 131 89 217 32 228 117 236 69 126 145 248 255 0 225 255 0 132 188 117 109 28 62 38 210 34 189 48 130 33 148 51 36 145 103 174 214 82 15 97 199 78 58 87 146 106 95 178 143 130 166 98 214 58 238 183 104 9 225 89 163 144 1 233 247 65 253 104 185 231 85 202 170 167 238 106 143 39 248 219 227 152 62 195 107 117 162 104 250 100 23 254 50 240 237 156 186 214 170 179 60 151 18 144 66 203 14 221 219 34 6 75 112 78 23 44 54 242 50 115 231 159 12 124 92 190 19 184 215 146 117 185 54 186 206 137 117 166 72 109 206 29 25 192 104 156 100 143 187 42 70 79 63 119 118 43 234 29 23 246 86 240 37 164 171 38 165 170 107 90 136 7 38 51 34 68 141 236 118 174 127 35 93 246 147 240 99 225 118 150 168 45 188 23 166 72 83 161 185 86 156 159 175 152 91 52 92 80 202 171 61 236 143 136 163 188 241 15 137 188 11 165 120 86 207 64 190 212 191 178 239 238 110 96 185 183 138 73 92 44 235 22 232 176 160 240 26 61 217 245 99 93 255 0 195 191 0 254 208 246 58 75 67 225 159 237 221 6 194 224 238 49 190 160 45 64 99 252 66 54 96 202 223 237 0 15 189 125 179 105 111 111 105 109 29 181 172 17 65 4 106 22 56 227 64 170 163 208 1 192 21 45 23 58 225 148 65 124 82 108 248 255 0 69 253 149 252 99 169 78 247 126 36 241 62 155 104 242 177 121 12 126 101 212 172 199 146 88 157 163 39 215 38 187 223 13 126 202 190 12 178 34 77 115 89 213 117 87 31 193 25 88 35 63 80 1 111 252 120 87 208 89 172 141 123 196 250 6 132 8 213 117 91 107 103 3 62 89 109 210 17 254 232 201 253 41 57 37 171 59 104 101 84 165 37 26 112 114 127 55 248 28 199 135 254 12 252 49 208 200 107 63 7 233 178 184 254 59 180 55 39 235 251 194 192 126 21 218 89 105 218 125 138 109 178 177 181 182 81 208 67 18 160 31 144 175 44 241 23 198 155 104 243 30 131 166 60 205 255 0 61 174 142 213 252 20 114 127 49 94 113 226 63 28 120 155 94 46 151 186 156 169 110 252 27 120 127 119 30 61 48 58 254 57 174 105 226 225 29 181 62 187 1 193 248 186 182 114 138 166 188 247 251 151 235 99 223 124 71 227 207 11 232 57 75 189 78 57 103 255 0 158 54 255 0 188 127 199 28 15 196 138 243 205 95 227 101 217 145 151 73 209 96 68 7 229 123 167 44 79 252 5 113 143 204 215 145 81 92 147 197 206 91 104 125 126 15 132 176 52 21 234 39 55 231 162 251 151 235 115 212 45 190 53 235 234 217 185 210 180 201 23 210 48 232 127 86 53 200 248 255 0 197 119 62 46 213 227 191 158 214 59 85 138 33 20 113 163 22 227 36 228 147 212 228 215 59 69 99 42 211 146 179 103 173 135 201 240 88 106 190 214 141 52 165 243 255 0 134 10 247 191 217 247 81 177 155 194 243 105 182 214 242 199 115 109 33 146 226 70 3 108 133 201 193 7 175 1 64 252 43 193 42 206 148 111 134 163 2 233 178 76 151 143 32 72 76 46 85 203 19 128 1 30 244 232 212 246 114 185 158 117 150 199 48 194 186 78 92 189 111 233 223 250 243 62 191 173 63 11 169 109 106 19 253 208 199 244 174 83 193 250 117 246 151 160 219 218 234 122 132 215 247 128 110 154 89 92 183 204 127 132 19 216 87 109 224 184 183 94 79 55 247 19 111 230 127 250 213 236 199 83 241 60 199 150 149 58 137 59 173 85 251 244 19 198 103 253 58 31 250 231 253 77 97 86 231 140 255 0 228 35 23 253 114 254 166 176 233 179 60 15 251 188 66 138 40 164 117 133 20 82 80 3 100 116 141 25 228 101 68 81 150 102 56 0 122 147 94 107 226 223 139 218 70 157 36 150 186 52 7 83 157 114 60 220 237 132 31 175 86 252 48 61 235 158 248 245 226 233 165 190 62 23 177 149 146 8 128 107 194 191 242 209 142 8 95 160 24 63 83 237 94 75 92 53 241 78 47 150 7 221 100 60 47 78 181 40 226 49 90 167 170 142 218 119 126 167 85 226 15 136 94 43 214 178 179 234 146 91 68 78 124 171 95 221 47 211 35 146 62 164 215 44 238 210 57 119 98 204 78 73 39 36 210 81 92 50 148 165 187 62 234 134 22 142 30 60 180 162 162 188 149 130 138 40 169 55 10 40 162 128 10 40 162 128 10 125 188 134 41 210 64 238 133 88 16 200 112 195 220 31 90 105 86 10 24 169 10 122 28 112 107 71 67 208 53 157 110 95 47 74 211 110 46 200 56 44 137 242 169 247 99 192 252 77 52 155 122 25 212 169 8 69 202 109 37 221 159 76 120 27 89 210 181 141 2 222 77 42 246 91 152 226 64 143 231 190 233 148 129 255 0 45 51 252 94 253 235 210 60 25 30 219 41 165 238 242 99 240 3 255 0 175 95 58 124 59 248 107 226 125 27 83 139 84 151 89 139 77 96 62 104 161 30 105 144 119 70 232 184 252 255 0 173 125 37 225 31 249 3 175 251 237 94 213 25 74 81 247 149 143 194 56 166 142 30 131 113 195 84 231 139 127 119 151 103 234 140 175 25 255 0 200 70 47 250 229 253 77 97 214 239 141 7 250 124 39 254 153 255 0 83 88 85 163 57 48 63 238 241 10 40 162 145 214 20 135 165 45 67 121 44 144 219 180 145 91 73 114 227 164 113 149 12 223 139 16 63 90 1 43 232 124 167 227 57 158 127 23 235 18 200 78 230 190 155 175 111 156 241 89 53 211 252 81 211 174 244 255 0 26 95 61 221 152 181 55 110 110 81 3 239 24 115 147 131 129 158 115 92 197 120 115 77 73 220 253 199 3 56 207 13 78 81 218 203 242 10 40 162 164 234 10 40 162 128 10 43 127 195 126 13 241 39 136 25 78 157 166 74 97 110 124 249 70 200 241 235 184 245 252 51 94 145 225 255 0 130 177 4 89 53 221 89 203 245 49 90 46 0 255 0 129 176 231 242 21 172 40 78 123 35 202 198 231 120 28 30 149 106 43 246 90 191 195 111 153 227 42 172 236 21 84 179 30 0 3 36 215 162 248 7 225 110 169 171 205 29 230 183 28 154 126 158 48 219 24 98 89 71 160 31 194 61 207 224 43 217 188 61 225 63 15 104 3 58 94 151 4 50 99 6 86 27 228 63 240 35 147 91 117 217 79 6 150 179 212 248 252 199 140 106 85 139 134 22 60 190 111 127 146 217 126 38 77 207 134 116 11 157 58 211 78 184 210 173 164 180 179 96 208 68 203 242 161 3 29 59 251 231 175 122 211 183 130 27 120 86 27 120 99 138 37 24 84 69 10 163 232 5 73 85 181 27 251 45 58 213 174 175 238 161 182 133 122 188 174 20 126 102 187 161 7 39 104 173 79 139 171 94 92 159 188 150 139 93 94 158 108 177 93 167 132 199 252 73 144 255 0 182 223 206 188 11 80 248 169 103 119 172 90 232 222 24 181 55 183 55 51 172 43 113 56 41 18 228 227 56 251 204 63 42 247 239 9 255 0 200 18 47 247 155 249 215 102 43 1 136 194 40 186 241 229 230 217 61 254 238 159 51 231 49 89 142 31 25 74 74 132 185 148 90 77 173 175 103 215 175 200 203 241 168 255 0 72 182 63 236 55 243 174 126 186 127 26 198 12 22 243 119 86 43 249 140 255 0 74 230 43 141 158 158 93 43 225 226 20 81 69 35 184 41 41 104 160 14 51 226 175 131 83 197 122 48 123 124 38 165 106 11 91 177 56 14 15 84 63 92 112 123 31 198 190 113 212 44 174 244 251 183 180 190 182 150 218 120 206 26 57 20 169 21 246 13 102 107 218 14 145 174 192 176 106 214 16 221 34 156 174 241 202 159 98 57 21 205 95 12 170 59 173 207 167 201 56 146 121 116 125 141 72 243 67 241 94 159 228 124 149 87 180 141 31 85 213 231 242 116 205 62 230 237 251 136 163 36 15 169 232 63 26 250 54 31 135 30 11 138 65 34 232 112 146 57 1 164 118 31 145 56 174 158 210 214 222 210 5 130 214 8 160 137 6 21 35 64 170 7 176 21 132 112 79 237 51 219 196 241 173 37 31 220 83 109 255 0 123 79 202 247 252 15 18 240 215 193 157 74 229 98 159 92 191 75 36 39 45 4 35 124 152 244 45 247 65 252 235 210 60 59 240 251 194 186 33 15 111 166 37 196 223 243 214 231 247 173 248 103 129 248 10 234 169 107 174 20 41 195 100 124 166 55 61 199 99 52 157 75 46 203 69 255 0 7 231 113 0 0 96 0 5 45 21 205 248 163 198 222 28 240 234 178 223 223 163 92 3 143 179 195 243 201 159 112 58 126 56 174 186 24 122 184 137 242 82 139 147 236 143 7 17 137 163 134 135 61 105 40 174 239 67 163 172 95 19 248 167 66 240 228 59 245 91 248 226 114 9 88 87 230 145 254 138 57 252 122 87 141 120 183 226 238 183 169 110 131 70 140 105 118 249 35 120 33 165 97 245 60 47 225 249 215 156 220 79 53 196 205 53 196 175 44 174 114 206 236 89 137 245 36 215 218 101 188 23 86 165 167 139 151 42 236 181 127 126 203 241 62 27 52 227 170 52 239 12 28 121 159 119 162 251 183 127 129 234 218 231 198 189 65 231 219 162 233 118 240 194 63 138 235 46 237 248 41 0 126 181 198 248 211 199 26 199 139 32 183 135 83 75 68 75 118 44 158 76 101 114 72 199 57 38 185 122 43 237 48 153 38 3 9 40 202 149 52 154 217 245 251 207 132 198 103 249 134 50 50 133 106 173 197 238 182 95 113 161 225 205 86 125 19 91 181 213 45 130 25 109 223 114 239 93 195 166 15 31 67 95 98 124 20 241 148 62 48 240 244 211 219 105 151 182 145 91 75 229 153 38 219 178 70 60 144 164 30 112 8 207 3 168 175 138 235 232 31 217 155 226 62 141 164 233 199 194 186 237 244 182 210 73 113 155 55 144 40 128 6 228 174 224 50 9 98 121 98 71 78 157 252 126 45 203 86 35 11 237 233 195 154 113 237 125 186 233 215 244 212 236 225 236 198 84 106 125 94 83 180 37 175 207 109 250 127 195 31 69 94 217 219 222 68 35 184 143 122 131 145 201 24 53 145 115 225 155 102 141 190 207 44 136 253 183 28 138 223 162 191 43 63 64 165 136 171 75 72 74 199 11 54 143 169 69 33 67 106 239 142 233 200 53 69 213 145 202 58 149 96 112 65 24 34 189 35 21 151 171 232 246 247 239 230 238 104 230 3 27 135 57 250 138 86 61 74 25 171 189 170 173 60 142 42 138 208 214 52 153 244 237 172 88 75 27 113 188 12 96 251 214 117 7 175 78 172 106 199 154 14 232 90 40 162 145 160 81 69 20 0 82 26 90 165 174 121 231 69 190 22 187 133 199 217 228 242 182 245 221 180 227 31 142 42 161 30 105 37 220 137 203 150 46 93 143 20 248 161 241 55 80 187 191 184 210 116 27 134 180 178 137 140 114 79 25 196 147 17 193 193 236 190 152 228 254 56 175 46 98 88 146 73 36 245 39 189 33 235 69 126 233 128 203 232 96 41 42 84 99 110 239 171 243 103 243 246 99 153 98 51 10 206 173 121 95 178 232 188 144 81 69 21 220 112 5 0 19 210 186 255 0 9 124 59 241 39 136 149 103 142 219 236 118 132 255 0 175 185 202 130 61 84 117 111 203 30 245 236 94 9 248 103 160 248 121 210 238 96 117 27 228 57 19 76 184 84 63 236 167 65 245 57 53 243 249 151 18 96 176 9 197 203 154 125 151 234 246 95 159 145 244 121 87 11 227 179 6 164 163 203 7 213 254 139 119 249 121 158 111 161 252 33 215 117 45 46 214 246 107 187 123 22 156 229 224 153 27 124 105 216 241 252 71 251 188 125 123 87 186 252 41 248 81 225 13 18 201 47 229 176 93 79 80 87 255 0 95 118 3 133 35 186 167 221 28 253 79 189 91 174 191 193 252 233 77 255 0 93 79 242 21 249 206 59 136 241 248 212 225 41 218 47 162 211 229 125 217 247 243 225 156 6 2 138 156 33 121 105 171 215 254 2 185 183 69 20 87 134 102 20 81 69 0 71 113 12 119 17 52 82 168 116 97 130 13 98 77 225 139 102 57 138 226 72 253 136 13 91 244 80 109 75 17 82 151 192 236 114 111 225 139 192 78 217 224 35 182 114 51 250 85 91 173 7 81 129 148 44 66 96 123 198 122 126 117 219 81 69 142 184 230 149 211 214 204 226 6 133 170 99 63 102 3 254 6 191 227 84 174 173 174 45 92 37 196 45 25 61 51 223 233 94 137 138 173 168 89 193 123 110 97 153 50 59 30 234 125 69 22 54 167 155 79 155 223 74 222 71 159 212 87 81 52 208 52 75 52 144 150 227 122 99 112 250 100 26 232 159 195 23 96 252 151 16 176 237 156 143 233 78 143 195 23 7 253 101 212 107 254 232 38 133 116 238 143 69 227 176 237 107 35 228 255 0 138 254 9 186 240 214 173 45 229 172 82 73 164 220 62 232 165 206 239 45 143 84 99 252 137 234 61 243 92 62 43 238 183 240 156 114 198 82 91 173 234 120 42 98 4 31 214 179 96 248 105 225 235 121 188 251 125 63 77 138 108 228 58 88 160 108 253 69 125 222 7 141 37 74 130 133 122 124 210 93 83 223 212 252 239 48 225 92 45 106 238 166 30 183 44 95 70 158 158 158 71 203 62 15 248 111 226 47 16 148 149 160 58 125 147 40 97 113 112 164 110 7 251 171 213 191 65 239 94 197 225 47 134 222 27 208 54 204 109 255 0 180 46 215 7 206 185 1 182 145 253 213 232 63 83 239 94 165 39 133 238 7 250 187 168 155 253 229 35 252 105 191 240 140 222 255 0 207 120 63 51 254 21 226 102 92 75 142 199 94 55 229 143 101 250 189 223 229 228 125 14 85 146 101 24 4 165 126 121 247 151 232 182 95 159 153 133 75 90 242 120 115 81 95 186 97 127 163 255 0 136 168 36 209 53 52 255 0 151 98 223 238 176 53 243 214 62 162 56 186 18 218 72 207 174 167 193 114 102 206 120 255 0 187 38 239 204 15 240 174 125 244 237 65 78 13 149 199 225 25 53 187 225 59 123 187 107 137 150 123 121 35 87 64 65 101 199 32 255 0 245 232 71 46 97 56 78 131 73 163 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumrhJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 240 35 115 54 71 204 120 237 158 181 23 218 110 55 127 174 108 14 226 161 102 249 254 94 190 158 180 232 136 201 13 207 212 87 62 167 1 33 185 184 223 242 202 220 158 198 144 94 92 253 214 148 245 245 168 198 54 252 167 4 84 68 149 250 208 181 2 202 93 220 115 153 159 215 173 56 222 92 110 207 155 32 250 55 21 81 72 7 61 65 237 67 30 73 4 211 176 23 13 213 198 223 245 175 159 247 141 44 119 51 109 230 119 246 249 205 81 77 197 143 205 147 87 44 236 238 110 3 249 48 77 32 143 150 49 161 109 191 92 84 73 168 238 92 33 41 190 88 171 178 113 60 202 188 207 41 255 0 129 26 65 113 62 64 243 229 199 251 198 156 154 110 162 234 25 108 238 10 236 223 159 44 242 167 163 125 41 5 141 234 71 189 173 103 11 207 59 14 56 25 63 166 106 121 227 220 211 234 213 191 149 253 204 5 196 253 166 147 63 239 26 145 46 167 25 2 105 57 235 135 52 163 77 212 2 43 155 25 194 177 10 14 195 130 73 192 20 146 105 247 144 68 100 150 214 88 208 49 66 204 164 0 71 24 205 46 120 190 163 120 106 209 87 112 127 115 17 174 164 192 253 251 143 76 177 235 81 180 147 72 196 153 92 145 220 147 81 149 249 242 121 197 4 177 206 42 204 5 50 190 126 249 61 186 211 131 2 167 29 69 66 65 222 112 48 41 81 182 47 28 251 208 2 177 247 20 217 24 244 206 5 38 78 73 224 83 6 79 221 235 64 15 207 202 6 121 21 50 145 180 228 159 111 122 132 41 221 142 49 83 160 11 216 228 116 20 1 66 69 25 60 30 188 81 184 14 132 212 142 1 30 153 168 192 102 98 48 72 170 76 4 82 70 87 109 42 128 121 193 24 53 171 111 225 251 249 227 13 18 231 15 180 169 254 117 97 188 49 124 144 78 92 0 232 72 85 254 246 61 43 31 172 82 78 206 71 82 192 226 36 147 80 102 23 150 49 157 196 209 229 158 195 57 237 158 245 107 236 210 193 43 71 44 108 25 78 13 54 37 2 85 232 48 115 154 213 62 199 51 139 91 151 245 175 13 235 218 12 86 178 235 58 69 254 156 151 72 90 221 174 33 100 19 1 140 149 200 231 168 252 235 83 195 186 63 139 34 208 238 117 173 47 75 191 125 49 127 215 221 44 12 98 27 114 8 47 208 125 239 229 95 92 124 89 248 84 223 19 124 47 224 246 77 126 13 40 233 246 67 253 108 59 252 192 233 31 251 67 24 219 239 214 184 207 218 86 83 224 79 134 158 22 248 109 162 199 42 217 76 187 238 110 21 118 172 254 89 4 142 59 179 157 228 125 40 156 20 147 230 216 232 163 58 148 39 207 77 180 215 84 120 207 246 23 196 101 188 143 77 111 12 234 6 228 192 37 142 19 96 219 196 106 64 12 6 51 128 112 51 234 105 186 135 135 126 35 105 214 111 121 117 225 157 94 218 40 212 150 153 172 93 118 46 15 83 142 0 201 53 246 58 18 126 58 105 196 141 185 240 164 156 127 219 204 117 231 186 103 199 63 16 73 241 141 252 29 119 165 105 243 105 231 86 125 60 52 40 226 96 60 194 138 196 238 32 227 169 227 215 165 100 240 212 86 241 252 14 223 237 28 99 255 0 151 178 251 207 150 27 196 26 139 162 9 76 101 227 125 234 197 50 67 122 253 106 11 221 98 246 238 6 134 86 140 134 251 196 32 12 121 206 51 245 230 189 83 246 178 240 206 153 160 252 84 97 163 219 197 105 21 237 156 119 111 20 75 181 85 203 58 182 0 233 157 185 250 147 94 69 5 188 146 184 141 80 179 177 1 64 231 53 62 194 156 94 137 25 84 204 177 149 19 140 234 55 127 63 145 211 120 119 225 167 142 252 65 163 199 171 232 222 24 189 190 177 147 112 73 163 3 13 180 224 227 156 158 65 21 205 235 90 101 246 143 169 79 166 234 118 146 218 94 91 185 73 97 144 97 145 189 13 126 131 120 115 73 213 252 49 225 159 7 232 58 53 148 38 214 213 82 45 76 150 10 85 4 77 184 128 122 147 33 12 113 232 125 107 229 175 219 3 195 195 74 248 175 46 162 128 152 181 91 104 238 122 112 24 126 237 135 254 56 15 252 10 186 28 108 174 113 74 22 216 241 60 100 246 226 151 203 224 18 6 7 165 72 87 36 18 56 62 148 245 66 196 129 154 155 145 98 6 85 225 135 83 72 171 142 156 243 218 172 24 192 232 185 227 2 167 182 179 102 195 130 9 60 226 165 187 20 160 228 244 41 227 111 108 103 189 0 243 140 242 43 70 75 80 221 87 129 222 170 73 108 202 195 28 250 81 123 142 80 113 51 164 200 198 71 67 128 125 106 72 20 239 12 196 130 15 21 160 45 213 208 238 32 119 28 247 168 68 36 103 60 129 235 222 142 107 135 179 104 239 252 63 226 11 11 219 35 105 60 107 5 206 220 96 46 67 129 239 235 90 76 145 206 174 3 110 80 185 4 142 249 207 90 242 199 184 54 238 22 35 181 143 82 59 85 197 214 238 222 221 173 247 144 178 49 57 7 161 36 28 113 236 8 252 107 200 173 149 243 75 154 155 177 239 97 243 158 88 114 85 213 163 95 199 73 28 82 172 113 69 181 217 67 171 41 206 224 69 114 72 89 36 27 206 14 123 214 197 196 179 221 4 121 24 22 85 17 175 94 0 24 31 202 178 238 161 117 37 156 252 222 149 233 97 233 251 56 40 62 135 145 140 169 237 170 58 139 169 235 191 29 254 38 104 94 55 209 188 37 101 160 255 0 104 67 54 147 108 208 221 25 208 34 177 43 24 27 112 199 60 161 235 142 213 179 226 47 138 62 31 241 95 193 109 55 194 250 237 150 166 254 33 211 118 27 107 181 69 104 201 67 180 22 37 129 229 56 60 117 193 175 12 211 116 253 70 236 110 182 179 154 101 4 252 202 188 113 239 90 214 36 136 177 34 16 202 121 6 180 149 77 236 42 84 228 221 228 172 153 244 207 252 47 111 6 255 0 194 201 178 241 23 217 53 131 103 14 138 246 46 60 132 223 230 25 81 193 3 126 54 225 79 57 252 42 209 248 207 240 134 198 242 127 16 105 94 11 157 181 150 223 34 207 246 8 35 119 145 179 146 206 24 144 78 121 108 19 245 175 153 119 38 50 77 62 16 7 66 185 238 51 214 167 219 72 232 84 149 205 127 137 94 42 212 252 115 226 155 159 16 106 43 28 114 75 133 142 36 206 216 145 70 21 70 127 201 36 214 119 129 174 236 180 191 25 233 26 150 173 28 210 216 217 222 71 52 233 18 134 102 85 96 216 0 144 14 113 235 85 206 214 124 133 3 154 146 49 24 39 42 63 58 92 239 169 30 199 153 158 181 241 79 227 215 136 53 79 21 71 117 224 221 71 80 210 180 168 225 68 242 37 68 13 35 130 75 51 15 155 212 14 189 170 151 237 1 241 47 195 159 18 52 205 26 93 62 199 82 181 212 108 183 44 222 114 39 150 202 224 100 2 24 147 134 95 65 212 215 153 75 18 63 10 128 125 41 143 111 16 249 139 96 250 10 126 218 251 137 225 229 208 201 242 216 190 57 32 117 53 106 24 66 41 61 170 200 242 70 113 193 239 197 67 110 24 33 201 1 73 192 167 205 115 47 102 162 236 51 96 114 185 24 193 226 173 197 129 30 6 62 153 171 94 18 210 111 60 75 226 109 47 66 211 202 9 239 103 88 65 35 133 201 229 143 176 25 63 133 109 252 71 240 102 165 225 63 28 221 120 94 21 154 250 88 128 104 90 40 142 233 85 148 48 96 163 61 179 159 161 164 211 102 144 146 138 185 134 98 86 139 140 103 29 170 148 176 100 16 15 214 189 135 246 116 248 95 23 141 37 213 181 13 126 9 62 197 102 60 136 161 46 209 150 184 198 78 72 228 5 24 207 251 195 210 185 79 141 30 7 185 240 15 138 165 211 147 204 151 79 187 95 62 202 103 234 209 158 170 79 247 148 240 127 3 222 166 52 103 21 123 154 213 173 78 107 107 30 119 112 198 52 80 0 201 53 175 224 223 14 222 120 143 86 135 78 180 87 102 144 254 241 128 207 150 185 229 141 101 65 107 115 123 125 21 188 16 188 146 72 193 35 64 50 73 60 96 87 211 255 0 9 124 43 101 225 141 55 236 123 227 147 86 117 15 122 202 58 103 144 128 250 12 254 185 238 42 209 133 56 243 203 200 243 237 67 225 12 17 248 247 78 178 210 238 226 158 218 105 79 218 34 147 12 208 42 34 22 44 7 92 228 122 125 245 250 213 191 16 124 32 210 237 188 83 105 107 163 44 166 221 225 113 118 142 114 208 55 27 101 82 122 245 228 14 192 227 219 223 52 125 42 202 218 226 75 232 173 97 91 137 179 190 109 191 59 103 29 79 252 4 126 66 164 212 52 171 91 155 136 238 140 120 185 132 48 138 65 213 115 237 223 241 173 226 227 212 213 210 91 159 56 248 155 225 92 144 120 78 251 95 177 47 39 217 228 82 177 175 62 108 96 15 50 65 220 97 179 129 232 166 188 170 123 113 48 199 97 235 95 113 207 111 12 26 98 218 132 27 54 236 11 253 236 245 254 181 243 239 138 188 25 109 226 43 248 245 125 50 238 214 222 57 36 22 196 108 192 146 84 221 147 199 124 15 210 167 217 73 174 104 132 148 126 19 205 252 19 115 175 105 201 114 44 108 228 186 178 228 186 4 200 86 245 207 211 173 85 150 25 132 206 25 66 179 18 88 123 215 209 126 6 240 196 90 38 137 21 187 52 115 0 178 18 84 124 172 206 71 205 249 40 28 251 215 158 252 72 240 173 197 190 163 46 163 103 111 18 218 144 90 101 78 161 143 66 7 161 200 250 115 89 60 27 119 169 5 239 61 205 163 89 69 42 117 36 249 86 199 154 27 119 24 85 66 236 123 1 214 161 200 36 6 28 227 242 175 72 240 119 133 110 238 38 214 46 224 117 102 177 134 72 98 37 78 36 144 171 2 20 158 50 21 91 191 4 143 173 121 205 236 114 218 222 73 111 44 123 101 141 138 178 227 24 35 168 169 141 57 40 115 72 206 172 162 165 104 143 130 22 108 21 25 29 56 173 175 22 232 242 232 58 156 86 130 81 52 114 219 197 60 111 143 188 25 70 127 38 220 191 133 87 240 252 114 188 209 60 96 16 205 128 79 64 122 2 127 26 245 79 139 62 13 214 46 188 3 225 95 17 196 124 210 144 152 38 18 124 174 21 221 164 76 241 234 92 126 34 173 65 58 82 168 222 204 106 50 230 140 34 155 111 250 208 241 135 159 203 108 5 0 14 185 237 91 30 28 240 253 230 191 101 168 205 111 24 204 17 129 27 147 128 100 220 48 131 220 231 31 82 42 93 47 193 186 133 250 194 145 177 55 51 51 33 136 140 121 123 72 206 227 237 214 189 235 194 26 13 181 134 129 21 140 11 26 41 81 135 69 25 99 193 14 125 242 51 249 86 180 176 250 115 72 193 212 148 159 41 242 227 151 18 20 40 17 129 33 129 29 234 69 134 225 162 222 144 200 99 7 168 82 70 126 181 236 62 37 248 82 183 126 38 150 116 213 22 24 238 238 75 20 49 242 165 185 192 231 215 63 157 116 246 22 49 71 102 96 134 56 227 26 108 66 8 132 103 239 56 81 184 125 114 27 191 122 168 208 109 234 100 224 250 148 127 99 95 12 197 115 226 189 67 196 23 150 229 154 198 217 69 169 100 56 13 33 101 46 15 209 88 126 38 189 187 226 63 132 172 111 60 67 97 226 157 172 183 112 66 109 157 148 227 114 103 112 7 232 115 249 212 223 6 35 142 63 9 70 237 20 17 206 92 197 47 146 48 185 94 159 158 73 255 0 129 87 107 121 109 21 212 6 25 151 114 18 14 62 135 53 74 28 170 200 209 90 45 121 28 79 128 52 227 22 165 116 208 68 246 177 36 190 108 165 70 209 57 42 0 60 112 126 233 63 149 115 63 181 135 133 14 187 240 232 106 214 208 151 187 209 164 243 184 25 38 22 226 65 248 112 223 240 19 94 194 160 40 192 24 30 149 6 163 107 21 245 140 246 87 8 175 12 241 180 82 169 25 12 172 8 35 242 53 164 218 150 132 201 92 249 11 193 58 54 137 105 172 75 171 198 137 28 198 32 96 193 221 229 100 124 236 23 174 236 112 56 239 94 183 225 125 26 43 3 182 6 38 48 131 33 135 207 146 114 204 231 187 19 244 175 8 248 107 120 218 141 204 50 59 202 254 88 243 9 136 130 192 143 188 24 30 199 184 175 161 172 174 225 211 35 180 178 153 131 221 220 3 44 171 159 245 113 128 55 49 246 3 3 241 171 199 208 132 36 165 13 158 162 193 85 115 143 189 208 232 96 57 79 149 122 14 149 32 30 163 38 156 137 242 140 119 172 225 121 21 182 176 186 107 200 230 105 65 144 100 113 206 72 0 253 1 252 171 138 49 114 77 163 181 201 45 14 55 226 221 134 177 36 150 58 148 90 183 216 116 203 34 94 104 226 7 204 153 201 27 87 62 135 191 61 51 214 170 90 88 105 154 31 130 244 178 74 74 36 141 184 127 151 124 132 51 179 119 32 227 127 233 93 215 138 180 136 117 125 40 195 48 114 145 200 178 108 83 254 179 105 206 211 245 226 184 13 118 21 212 252 64 246 150 183 49 24 52 184 196 11 16 32 169 149 241 230 22 3 159 186 72 199 3 32 243 214 180 167 55 164 122 25 78 42 238 69 221 52 221 71 29 244 115 206 55 196 93 162 45 194 96 0 192 17 233 140 254 181 155 125 61 157 247 133 110 245 121 22 31 179 96 25 16 62 71 148 85 78 9 236 112 217 173 93 82 69 254 210 182 149 38 63 103 187 83 17 35 149 44 81 149 120 252 73 63 67 233 82 127 103 233 150 179 222 233 139 108 22 9 33 89 167 137 83 43 46 65 82 49 220 225 122 123 138 236 149 249 174 180 50 79 75 51 59 192 214 70 61 43 76 183 150 39 67 20 87 19 56 80 72 44 207 181 121 232 126 86 53 230 223 19 188 31 167 218 107 143 171 41 97 5 198 90 64 199 1 36 254 32 71 228 127 19 94 249 107 111 5 157 138 36 106 177 196 138 21 0 24 10 184 192 21 199 252 69 208 173 53 125 58 75 121 165 88 154 228 129 12 153 229 38 31 112 143 92 231 31 74 198 84 149 120 202 23 181 205 105 85 84 39 25 184 169 91 163 60 231 225 182 142 47 252 99 163 233 194 20 120 62 208 37 125 171 242 236 64 91 156 123 237 31 141 125 29 226 93 46 45 70 57 188 61 34 111 141 180 244 184 183 63 221 146 55 61 255 0 224 67 143 173 115 95 4 60 57 22 153 21 198 171 112 33 207 150 44 173 213 114 91 229 99 189 142 121 4 252 128 129 199 201 94 135 170 188 48 107 90 85 203 238 5 196 182 199 11 217 148 55 243 65 249 214 116 48 171 15 75 216 183 117 171 245 55 199 102 15 23 137 85 162 185 108 146 74 251 88 249 231 193 115 91 234 158 40 186 149 33 68 107 146 206 174 79 204 98 143 106 144 7 187 103 222 182 172 181 118 155 196 237 225 184 30 24 222 43 71 148 202 131 56 59 200 78 61 54 243 143 122 135 75 182 159 76 241 142 189 126 214 111 107 23 155 246 43 43 118 77 164 162 252 219 135 177 36 154 209 248 95 162 217 195 226 182 185 188 120 75 220 74 32 183 37 8 37 0 7 0 231 190 15 224 43 90 188 206 246 216 228 167 178 53 124 65 165 223 218 105 234 240 36 127 110 184 117 138 223 205 24 220 238 9 7 166 7 10 120 200 228 99 189 96 216 248 122 238 217 161 208 239 162 120 38 185 148 52 108 201 144 251 193 227 61 9 25 62 224 1 222 189 119 196 182 137 127 123 103 2 146 160 93 124 193 71 80 169 215 219 5 135 228 41 250 36 209 93 106 73 4 247 176 93 180 123 230 128 5 229 74 49 141 176 125 183 0 125 235 73 90 52 209 10 119 157 217 230 190 30 241 47 252 32 90 62 177 165 221 70 247 64 107 51 65 19 22 3 203 5 6 198 62 196 227 167 169 53 236 154 69 245 190 165 165 219 95 218 78 147 195 60 97 214 68 57 6 188 231 197 122 70 139 173 120 186 251 68 185 130 88 83 80 104 213 166 138 80 25 102 68 12 174 163 215 24 4 99 167 53 222 248 83 69 183 240 246 129 105 163 218 187 60 86 201 180 49 24 201 39 36 227 183 36 241 78 189 72 77 221 45 122 147 24 56 173 77 74 40 162 185 202 62 58 248 91 225 15 236 111 26 106 122 147 200 207 166 233 177 137 146 56 219 230 105 14 112 152 234 71 29 126 158 245 235 122 62 143 168 91 221 93 106 19 196 46 175 175 219 253 99 182 18 222 45 203 133 199 115 130 78 58 29 184 174 27 195 58 197 180 55 118 205 246 63 41 93 132 123 153 176 135 105 5 87 57 231 7 3 243 175 87 240 252 211 127 103 219 45 196 166 226 230 80 94 102 198 2 30 164 1 216 2 64 31 157 116 102 52 229 74 86 91 25 224 229 25 71 77 205 200 48 88 119 170 154 198 147 21 236 214 247 39 122 79 108 197 162 101 236 113 223 212 85 235 85 194 142 6 77 78 65 101 233 94 122 147 134 199 91 119 51 214 19 111 166 36 79 35 57 84 195 57 234 199 185 175 61 215 227 177 182 176 138 37 101 51 202 124 175 56 69 147 43 131 134 44 70 63 136 1 245 206 43 115 226 135 140 45 60 45 30 155 109 50 180 215 23 179 109 142 21 234 192 113 156 251 51 37 97 252 62 181 158 231 195 147 222 220 205 33 146 242 234 230 75 118 60 249 104 100 56 11 219 170 131 248 214 209 167 238 115 147 237 61 238 82 159 137 173 165 95 15 65 12 64 121 235 112 25 85 159 4 0 196 176 200 239 179 117 116 30 29 186 180 214 244 216 238 139 102 88 219 202 149 151 134 14 132 131 248 119 199 189 100 219 189 198 169 115 49 92 44 48 238 73 67 12 144 227 105 200 252 24 131 89 126 21 212 198 159 227 171 173 55 100 226 27 160 0 1 73 10 234 112 28 250 3 211 62 164 87 99 141 225 230 140 57 173 43 244 58 253 89 53 11 152 164 210 173 145 163 222 16 139 141 216 80 166 64 15 111 189 183 113 199 210 188 183 197 50 234 250 148 240 220 219 55 218 46 102 190 49 219 170 185 24 112 219 84 133 30 225 177 159 122 244 159 21 92 93 88 120 159 194 219 161 151 236 87 55 241 198 210 15 186 89 156 109 31 163 126 126 212 255 0 133 122 76 23 23 183 51 52 1 162 130 97 42 150 249 148 185 103 116 97 238 22 65 93 24 79 221 67 218 61 91 255 0 130 103 136 151 60 185 87 245 177 221 248 51 77 125 62 206 202 202 67 184 219 91 141 228 243 186 70 229 219 243 201 252 107 165 154 52 149 70 225 156 28 131 220 26 206 208 73 146 222 107 135 18 174 249 220 5 144 96 128 167 96 199 177 219 187 254 5 90 85 199 86 92 210 46 154 178 56 95 18 248 54 91 187 235 157 66 218 244 23 157 198 35 112 112 139 252 88 63 159 111 79 74 169 162 248 54 45 46 232 106 83 220 75 50 199 123 29 196 107 187 132 33 85 78 113 255 0 2 174 226 242 231 200 121 154 112 177 219 71 22 243 43 28 1 215 57 246 0 10 206 210 174 31 254 17 235 155 187 219 102 50 197 52 238 209 160 229 246 187 109 199 174 84 45 53 59 70 195 187 108 173 225 153 238 46 117 41 188 232 149 82 9 231 65 158 88 159 53 176 115 159 238 170 138 231 53 11 177 160 248 167 75 185 134 38 251 34 222 79 109 36 139 128 160 72 81 136 111 199 56 255 0 118 186 63 9 75 18 216 93 234 79 52 70 62 124 194 163 1 89 115 188 231 235 252 141 102 120 174 206 205 180 253 76 163 8 82 240 36 147 56 27 129 144 35 14 127 186 72 216 51 237 245 165 91 68 210 10 90 202 236 60 95 100 182 58 149 190 174 55 20 134 96 110 153 23 230 84 145 136 222 61 199 35 215 129 93 220 108 10 15 155 119 108 214 15 132 47 35 214 60 63 167 95 199 55 158 134 220 36 185 28 153 23 25 200 61 193 7 243 173 196 0 10 231 78 236 214 79 66 77 195 214 140 138 109 55 62 181 68 31 22 248 50 226 219 85 127 178 223 75 37 189 172 225 36 14 167 167 0 241 233 208 143 173 123 239 134 67 94 93 167 151 43 5 183 31 189 13 156 201 145 242 158 194 190 99 248 69 172 219 218 106 17 67 169 71 230 193 110 90 57 16 174 73 66 56 56 246 39 244 175 165 60 42 205 161 120 116 72 211 253 174 239 84 188 99 104 24 117 70 36 160 250 5 203 115 235 94 190 101 83 158 156 106 46 171 241 234 112 101 234 205 199 170 254 145 219 219 41 3 145 223 140 213 140 124 184 232 42 11 41 163 158 214 59 136 126 104 228 80 234 222 160 242 13 74 146 169 108 3 156 254 117 243 186 179 213 57 47 138 22 154 114 232 231 85 184 178 134 123 219 69 34 214 73 23 62 83 54 57 30 135 129 143 124 87 61 119 168 37 151 130 52 107 121 225 204 210 22 66 136 118 16 168 140 249 192 245 10 188 123 138 238 188 75 167 71 170 219 164 55 27 204 40 233 41 65 143 222 21 59 182 159 110 43 206 124 109 113 166 255 0 194 68 169 169 106 118 150 63 97 180 88 173 218 121 213 21 103 147 27 152 140 141 196 41 30 195 191 106 218 148 181 72 83 90 92 215 176 69 211 174 111 10 160 253 234 249 158 80 61 119 71 159 230 135 159 122 224 181 21 189 214 8 242 224 185 91 149 219 19 36 106 85 209 159 202 96 65 227 33 126 99 249 215 111 170 79 99 117 123 166 222 193 60 114 91 204 134 53 150 50 8 59 148 168 32 131 239 159 194 186 93 2 210 218 127 23 45 145 183 86 48 65 28 238 219 56 231 112 235 235 242 254 68 87 162 228 147 187 234 142 107 93 88 131 199 81 72 222 2 211 110 51 254 153 101 119 4 217 56 200 145 28 134 31 250 16 173 223 2 232 146 120 103 195 176 105 247 6 39 186 44 22 73 35 83 135 110 20 31 94 128 126 85 139 241 118 234 61 63 195 50 219 200 135 139 232 140 97 9 36 171 184 114 127 48 195 30 149 214 232 87 146 234 55 234 197 30 47 34 16 101 92 252 187 219 140 3 223 24 111 200 122 213 73 201 81 93 136 73 57 154 182 112 121 81 24 203 22 42 217 36 142 167 173 76 142 8 244 203 16 51 234 13 115 26 238 184 116 165 214 135 152 198 104 18 50 164 142 23 205 109 168 127 3 159 193 104 209 161 184 215 188 49 161 222 59 178 62 232 175 27 127 44 167 171 46 65 228 228 158 113 200 174 90 137 173 89 180 44 244 55 94 51 120 168 201 34 27 124 171 110 31 48 144 103 145 244 197 100 120 209 226 176 208 4 17 75 29 180 101 247 182 71 27 19 50 56 246 206 49 159 122 223 137 98 183 129 96 136 97 35 80 170 62 149 192 248 134 233 181 175 23 92 88 172 2 91 59 91 127 179 182 239 186 237 33 249 249 255 0 128 237 252 13 93 8 115 75 93 144 170 59 71 67 91 195 201 26 124 61 183 54 172 127 127 106 36 220 71 57 147 230 36 227 221 169 218 109 133 185 187 188 146 72 100 242 99 151 205 80 227 0 145 184 55 212 124 231 21 103 195 236 70 150 214 114 70 144 199 20 205 28 10 132 99 202 66 21 127 149 80 134 13 102 195 93 150 32 249 210 154 69 141 124 207 156 16 248 220 58 130 14 65 29 241 156 251 84 85 123 142 149 211 46 233 197 52 255 0 17 222 105 176 152 224 129 82 43 133 78 237 191 114 48 252 10 198 115 239 90 90 173 244 86 209 71 48 153 113 28 192 72 170 65 56 35 156 253 1 221 248 87 47 227 11 235 13 27 89 209 93 91 115 5 251 52 210 48 12 124 162 87 5 179 212 2 51 145 220 84 62 46 133 237 109 102 154 11 210 32 186 219 42 16 48 173 185 124 179 142 122 224 169 252 77 96 151 67 116 174 211 59 192 234 122 48 63 74 71 150 37 25 105 20 125 77 115 254 26 132 106 122 37 165 228 151 147 52 141 16 89 49 183 239 14 15 81 234 13 106 38 151 2 117 146 102 39 220 12 126 64 86 155 110 101 109 79 130 236 180 13 78 207 198 209 216 193 19 1 122 11 43 58 242 16 28 182 120 237 143 229 94 199 103 172 107 139 170 11 253 73 101 186 138 198 31 46 211 236 233 26 5 202 29 216 7 29 23 35 138 196 181 182 212 47 30 11 181 184 68 6 2 129 149 114 79 66 14 115 198 64 21 175 97 225 214 188 136 70 53 59 233 214 38 216 66 91 130 160 224 100 100 182 59 215 69 78 101 104 238 149 255 0 29 206 90 16 74 242 75 115 182 179 213 252 98 214 241 163 249 86 42 84 12 92 73 20 97 56 233 235 80 62 185 169 164 114 125 167 196 214 113 227 7 247 87 66 79 228 43 38 219 192 241 150 13 52 215 39 215 204 0 127 38 168 60 77 160 105 58 62 148 211 22 15 44 167 203 141 124 172 243 223 156 156 113 154 195 144 235 187 46 197 227 11 148 133 29 252 76 168 74 150 109 209 188 172 51 248 1 192 254 85 200 234 144 218 107 13 253 161 60 109 123 122 219 165 147 118 154 164 110 108 116 98 220 116 198 113 93 118 145 162 71 54 143 167 219 164 4 93 234 127 42 101 126 236 107 203 156 231 211 63 157 111 106 222 18 134 241 86 35 25 180 182 132 23 105 16 12 74 0 198 222 188 247 252 171 63 117 50 154 109 28 5 237 214 161 107 161 35 36 87 70 40 37 83 17 32 42 166 231 219 144 7 35 1 143 231 93 143 130 239 188 116 46 27 82 89 146 103 158 33 30 22 20 39 131 211 24 245 205 105 234 86 246 165 35 181 79 221 168 249 194 250 140 21 198 49 234 65 252 43 208 124 37 107 107 160 120 78 8 71 5 99 105 229 99 234 196 187 100 254 53 212 210 113 70 43 73 30 97 172 93 220 120 147 226 29 141 166 162 242 8 44 144 203 52 73 133 105 36 136 146 3 118 192 203 14 61 77 118 127 10 245 70 187 77 121 247 43 186 106 109 19 30 112 219 81 84 176 246 44 24 215 9 225 184 24 95 120 159 197 178 111 253 205 129 134 55 45 242 180 174 73 110 61 126 224 207 251 70 186 223 129 209 91 69 224 8 46 226 86 86 185 154 89 165 103 198 78 92 227 244 197 119 227 41 198 16 229 139 218 203 240 187 57 112 242 114 157 223 93 74 191 29 181 165 209 188 39 125 116 176 71 36 247 242 71 105 144 14 64 80 72 63 80 89 141 116 94 0 214 18 15 8 216 65 29 186 249 81 198 86 61 173 252 32 156 125 79 189 112 31 16 173 39 241 13 180 186 100 134 85 141 53 9 100 195 2 55 170 130 72 95 193 151 7 216 250 87 101 225 75 54 183 240 237 148 39 203 24 76 225 58 12 156 227 245 174 74 138 42 9 95 83 170 154 110 77 189 141 77 83 197 208 217 249 237 45 169 11 18 150 44 100 0 116 207 165 113 62 15 214 19 236 247 73 119 189 239 164 157 167 102 86 0 6 220 115 199 25 25 59 191 224 85 47 143 214 218 39 138 222 121 21 133 200 103 216 27 147 176 103 167 83 208 116 172 223 12 105 162 218 201 39 121 163 150 73 163 4 184 36 228 117 207 62 160 143 200 84 197 242 67 78 165 56 169 75 208 236 99 241 68 81 92 188 151 48 72 176 34 109 237 207 67 158 190 188 85 150 241 102 141 45 175 149 113 13 229 196 77 32 144 96 1 220 48 193 221 92 173 196 107 53 161 30 102 4 177 157 164 41 221 140 122 17 214 146 194 201 70 163 109 12 132 45 185 96 93 216 224 1 223 147 197 102 210 123 154 89 10 179 105 30 52 241 13 197 140 9 119 106 4 38 59 83 38 195 27 237 236 172 28 157 221 91 4 122 214 102 161 113 226 27 13 32 232 151 146 177 134 214 83 26 239 69 56 42 120 195 99 56 198 15 90 222 241 55 195 63 135 90 148 141 127 105 98 116 203 208 197 141 198 145 120 45 229 12 122 21 10 219 115 159 81 92 198 179 224 111 136 154 74 68 60 63 227 53 241 21 165 201 242 90 211 94 10 197 70 9 95 222 163 22 44 58 3 199 95 67 88 243 52 196 155 91 161 254 25 241 62 179 165 60 182 246 151 95 185 61 35 112 172 50 59 142 51 220 87 64 158 59 241 0 224 180 15 159 88 199 21 230 23 87 186 255 0 135 38 154 223 197 158 24 190 182 146 223 230 105 236 81 174 96 199 31 49 42 56 31 225 90 154 15 136 180 141 106 16 250 125 252 19 18 57 69 113 189 126 170 121 31 149 104 154 98 186 103 45 161 95 186 89 253 162 218 85 68 128 44 158 88 80 88 168 195 110 207 112 58 125 5 123 7 134 44 214 123 8 12 50 172 81 204 222 120 221 130 112 249 97 250 144 43 231 223 135 151 137 123 45 148 87 106 198 222 120 124 151 117 28 245 35 167 60 119 175 115 184 213 180 109 15 70 72 95 83 183 211 237 237 20 52 102 226 80 60 197 244 5 143 60 250 87 177 152 210 143 44 92 94 234 231 149 129 168 245 191 67 184 135 74 183 82 171 35 180 135 25 35 128 63 42 225 62 35 89 157 94 50 214 94 89 134 210 117 183 129 83 134 123 130 193 88 31 80 1 199 215 53 66 63 139 119 55 226 123 95 11 248 114 239 86 120 178 77 220 153 134 47 47 179 96 169 114 123 116 0 227 175 53 75 192 218 180 145 200 243 234 108 204 150 210 121 137 24 203 19 59 18 51 211 191 63 128 207 106 249 229 204 175 39 208 245 212 148 157 143 67 240 253 173 188 51 67 60 167 230 177 139 251 62 220 99 239 144 6 242 7 169 40 71 225 90 240 71 37 189 172 113 92 21 150 105 28 153 10 143 151 36 30 196 244 237 129 82 104 113 73 30 156 139 114 136 178 150 103 101 24 224 150 39 250 213 169 80 200 64 220 0 231 112 61 72 197 99 123 179 70 113 126 27 211 221 239 98 55 193 102 190 73 157 24 130 15 203 188 243 249 12 253 107 163 248 139 169 201 166 120 86 227 202 138 73 90 225 77 184 218 56 93 192 140 159 195 167 190 40 240 237 128 135 94 189 157 231 70 249 70 70 0 193 57 60 254 24 252 205 39 141 117 24 34 188 210 52 169 102 72 214 238 227 206 156 50 243 229 68 55 158 59 101 130 143 206 189 124 61 156 226 218 186 220 227 168 236 154 71 19 241 18 35 162 252 29 109 60 197 42 220 93 75 28 27 19 134 119 102 201 63 137 21 208 248 14 224 167 130 237 35 150 216 217 0 210 179 195 183 2 49 230 54 7 62 128 86 7 197 168 245 125 118 219 69 176 182 130 52 150 123 196 150 20 86 37 217 119 174 24 142 216 228 253 1 53 204 252 89 248 205 22 137 227 55 240 70 129 163 193 172 204 170 34 184 127 53 148 153 143 38 37 198 119 30 199 220 145 218 182 196 84 253 212 121 183 109 191 208 202 157 163 55 229 100 116 186 245 150 179 55 136 236 46 162 222 209 252 229 85 64 193 57 103 25 231 251 170 23 220 251 102 187 168 156 52 74 89 28 18 1 32 175 79 106 227 188 107 226 251 95 9 248 163 194 171 175 219 193 5 173 233 54 215 50 161 37 109 229 40 191 154 130 113 158 56 201 174 255 0 88 54 214 218 107 202 178 42 180 170 171 11 109 201 44 231 106 247 245 34 185 100 211 105 35 166 18 90 179 202 245 157 71 206 241 252 233 12 82 72 24 37 172 98 72 254 64 118 187 54 61 243 140 251 99 214 180 160 211 5 182 141 4 48 102 104 132 2 34 219 179 200 92 99 245 63 144 174 211 70 211 44 111 45 218 101 242 139 156 230 80 191 48 102 235 248 224 45 95 139 68 183 130 212 193 16 65 27 177 0 4 232 127 206 107 74 141 45 17 16 157 158 167 159 88 72 129 98 141 227 102 115 25 114 50 114 6 70 59 251 245 246 171 113 249 126 82 161 129 203 12 101 137 60 215 95 99 225 152 36 150 73 156 166 245 99 24 249 63 135 138 167 227 29 15 84 178 209 164 186 240 245 181 165 237 220 92 155 121 99 193 144 122 41 7 175 214 177 115 70 202 86 57 185 96 180 149 63 227 218 72 219 213 65 199 211 21 159 115 97 114 35 221 111 111 43 144 120 10 164 159 174 43 204 188 71 241 123 197 90 89 118 139 195 58 84 158 89 196 177 60 110 29 8 235 198 107 210 126 14 124 68 240 111 196 36 142 204 78 52 189 111 111 239 44 102 11 243 227 188 109 143 159 233 212 122 119 168 246 139 97 42 145 185 157 53 235 31 45 225 150 88 153 138 163 16 228 115 141 192 123 142 79 229 89 150 26 62 133 125 112 215 19 232 150 146 207 157 194 87 132 111 4 28 117 198 120 53 232 158 37 208 109 5 196 246 145 163 110 37 165 141 132 106 11 58 40 125 128 246 200 39 57 236 107 3 194 90 71 246 197 221 221 189 164 138 191 185 50 99 32 148 115 255 0 235 61 61 42 160 211 69 74 219 179 229 47 3 46 167 168 207 30 149 13 220 86 113 121 128 25 10 229 212 55 28 19 194 254 85 235 186 111 133 244 189 19 196 215 81 107 43 38 181 168 91 66 30 25 103 145 164 105 50 133 148 115 208 112 192 99 211 165 120 223 133 37 48 248 130 0 140 2 50 16 249 239 128 77 122 188 186 162 77 21 165 196 138 86 236 42 217 204 254 97 253 226 103 247 71 219 99 96 127 192 171 212 142 23 218 97 213 93 249 93 153 226 66 170 133 71 14 250 158 167 109 13 181 222 141 119 38 140 145 196 86 196 249 62 83 1 186 57 57 0 250 96 171 10 200 240 21 245 157 173 132 122 133 218 121 48 52 223 188 46 156 177 141 202 160 207 76 229 100 32 156 15 152 122 215 49 240 111 84 184 182 241 43 217 51 6 130 64 209 76 160 1 130 84 176 24 244 24 227 30 181 135 119 58 221 94 172 203 113 37 180 214 151 242 65 50 143 149 16 25 21 85 137 206 14 220 147 211 214 188 252 77 23 103 111 83 209 163 93 105 115 233 232 238 221 223 117 180 25 137 139 239 153 184 3 110 49 245 4 103 7 218 172 0 222 116 120 114 120 99 180 250 156 119 246 230 177 116 29 82 218 235 73 141 44 146 99 10 129 26 52 136 71 152 48 62 110 122 231 57 168 245 157 90 223 72 66 183 136 211 60 187 81 35 83 141 217 234 61 134 59 215 159 78 157 221 142 217 59 27 250 158 161 101 225 221 56 223 94 201 144 187 156 129 247 153 189 0 239 92 127 130 98 151 197 254 37 186 241 46 181 190 59 119 132 195 105 108 1 219 229 147 140 147 245 252 206 125 170 175 136 237 53 27 253 48 106 90 153 111 50 241 196 118 144 99 59 83 171 54 61 0 31 174 77 118 22 208 88 248 87 193 179 221 220 203 229 218 105 246 173 44 178 19 130 118 130 73 175 79 145 70 154 119 213 233 242 57 27 188 189 15 25 248 209 241 12 120 67 86 154 254 197 49 116 45 154 29 48 73 147 216 198 36 30 203 150 111 175 29 235 202 191 101 175 12 220 120 175 226 160 215 47 164 150 75 125 35 254 38 23 18 183 205 190 93 223 32 39 212 156 159 248 9 175 62 241 191 137 181 15 21 107 143 127 119 41 100 141 124 171 117 60 5 140 18 71 226 114 73 175 172 127 101 189 2 15 10 252 46 179 187 190 120 161 189 241 5 200 156 6 56 37 122 70 188 245 224 22 199 189 103 90 167 214 42 233 178 211 228 142 120 104 98 126 215 241 11 143 5 105 96 169 105 33 190 121 25 187 100 163 19 250 10 231 254 23 124 100 147 82 240 237 143 132 117 183 17 234 118 74 18 194 245 159 137 112 10 170 185 63 196 55 117 238 7 175 94 163 246 189 22 35 225 141 178 66 234 247 80 235 10 36 249 178 202 26 57 142 15 215 173 120 46 177 224 107 168 188 57 255 0 9 53 132 208 164 22 232 134 238 50 248 120 156 168 193 30 161 142 122 122 86 50 127 188 186 53 147 146 119 71 216 63 11 39 213 47 60 21 5 221 252 139 31 158 236 33 37 48 196 25 91 4 227 143 187 180 15 160 174 148 220 198 222 38 130 55 116 242 109 241 110 128 49 207 156 203 188 131 219 238 237 60 215 150 254 205 95 16 37 241 63 128 133 159 137 74 172 182 215 137 101 107 42 169 30 118 212 66 50 115 146 249 228 158 245 215 232 50 222 203 226 233 109 145 148 218 93 24 239 225 119 83 188 46 64 8 115 208 227 159 195 29 235 103 37 36 218 42 11 102 207 72 92 6 32 117 164 13 153 89 54 48 192 7 119 99 156 255 0 133 115 191 218 63 217 49 222 106 122 145 103 4 170 254 236 250 202 68 104 50 112 73 14 57 250 214 136 212 210 234 192 223 89 74 143 2 198 219 177 201 13 198 57 237 142 107 158 230 214 56 63 140 127 12 45 188 85 20 154 182 142 169 6 178 139 243 14 139 115 142 129 189 27 176 63 159 183 200 190 45 240 141 229 150 167 44 150 241 203 167 106 182 178 101 227 57 66 174 14 114 63 186 217 239 95 160 176 28 219 169 193 233 248 215 154 252 112 240 34 248 147 78 254 212 179 142 222 43 219 88 157 158 82 48 206 0 200 83 142 190 158 163 181 76 182 185 18 133 207 157 62 24 252 117 214 52 105 34 210 60 95 230 93 172 76 139 5 220 164 150 128 135 206 92 14 88 96 144 72 231 7 191 21 244 95 193 105 52 91 95 3 205 174 91 220 91 201 102 206 242 44 200 65 1 73 221 183 56 207 25 11 143 106 249 23 196 218 47 218 90 104 239 109 158 218 230 53 202 110 92 50 240 164 100 119 31 55 235 89 94 26 241 127 140 60 13 230 217 217 93 202 154 117 230 26 107 86 230 25 134 65 206 59 31 113 131 85 74 74 58 61 153 147 168 250 244 63 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumwsJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 248 254 151 52 148 86 135 160 56 84 209 84 67 181 79 16 201 3 222 154 55 166 141 93 57 56 21 185 108 159 40 172 189 57 122 86 221 170 244 226 188 236 84 247 61 140 20 57 154 101 184 23 21 106 33 134 21 20 75 237 86 97 95 154 188 153 179 235 112 176 177 106 216 124 213 169 109 247 107 62 217 121 173 8 6 5 121 56 167 115 220 163 177 58 211 233 139 78 175 57 155 49 194 138 74 59 81 113 8 248 37 121 199 205 253 41 79 90 196 213 53 9 210 230 224 193 5 220 137 102 99 44 98 139 41 202 200 88 49 63 68 224 115 201 173 156 228 102 186 235 225 39 70 157 57 203 105 43 158 118 15 50 163 139 175 86 141 61 233 180 159 159 167 228 12 120 168 165 60 84 141 210 160 147 166 43 8 45 79 73 149 100 206 13 80 156 100 254 21 161 39 74 167 40 6 189 74 14 199 29 85 115 198 232 20 82 138 251 84 126 58 135 165 91 180 77 204 42 178 10 210 211 227 201 205 13 217 29 52 209 175 96 152 81 91 54 137 197 103 217 71 192 24 173 139 100 192 21 226 226 167 121 31 81 150 209 209 22 34 94 106 220 41 205 69 2 252 213 204 248 143 196 243 218 95 53 166 159 180 24 142 36 118 25 201 244 21 199 78 141 76 68 185 32 123 120 172 117 12 182 143 181 172 244 219 77 217 219 219 167 53 122 37 192 174 87 193 30 34 254 215 223 109 112 169 29 210 13 223 47 71 30 160 123 87 90 162 188 124 117 58 148 106 58 117 22 167 171 128 198 81 198 80 85 168 187 197 138 5 56 80 5 45 112 51 177 140 150 72 225 140 201 44 139 26 47 37 152 224 15 198 169 193 172 105 83 204 32 135 81 181 121 9 192 85 144 18 79 181 113 95 21 110 229 123 251 109 57 24 136 214 47 53 134 112 9 36 245 250 99 245 174 227 246 92 240 29 223 136 181 45 74 75 155 107 68 178 188 210 238 99 75 155 168 195 152 118 148 30 108 99 251 202 197 121 227 140 215 208 97 178 72 212 195 42 211 149 155 217 31 23 152 113 84 240 248 231 134 167 77 53 29 219 127 125 191 35 161 210 188 71 173 233 122 61 254 145 97 168 75 5 142 160 187 110 161 0 17 32 198 59 140 142 56 227 25 172 131 237 82 220 68 33 184 146 21 153 39 17 185 81 42 15 149 240 113 145 236 106 42 240 100 229 179 123 31 97 74 16 87 156 85 175 171 243 245 26 221 42 9 106 195 116 168 37 170 166 245 53 101 105 58 85 105 7 90 183 45 86 113 214 189 10 76 231 154 60 86 156 5 37 56 87 220 159 141 162 88 198 72 21 183 167 71 192 226 177 237 198 92 87 65 167 175 2 179 175 43 68 238 195 198 242 72 215 177 78 122 86 172 11 233 84 44 87 129 197 105 192 56 175 159 173 43 179 237 242 250 73 36 89 129 114 221 43 172 209 255 0 102 109 91 88 177 143 89 212 252 69 111 167 11 185 76 172 134 28 170 70 216 42 11 51 41 243 50 216 218 1 28 31 155 35 21 213 252 37 248 45 174 248 195 76 139 93 187 158 45 51 71 50 125 249 65 243 38 140 125 230 65 140 99 176 36 143 198 189 203 246 154 242 244 255 0 131 218 147 233 87 77 105 171 233 177 174 163 101 34 156 178 24 88 110 99 156 130 54 150 92 30 14 113 205 117 229 212 171 38 228 180 185 243 188 85 141 194 213 228 162 159 51 139 119 183 67 225 31 137 122 13 183 195 175 138 55 58 62 149 127 45 220 54 14 152 149 212 7 96 84 18 24 14 59 159 195 21 223 89 207 21 213 180 119 16 48 120 228 80 202 71 112 107 63 224 127 131 38 248 131 251 68 105 246 30 45 75 157 66 25 208 234 154 135 158 196 188 177 249 94 98 239 244 12 90 48 71 161 192 237 95 74 252 125 248 79 225 189 23 195 167 196 94 21 211 160 210 77 177 81 113 107 110 54 67 34 19 141 202 157 21 129 61 177 145 156 228 210 206 240 94 218 138 168 159 189 21 247 163 147 133 51 143 170 226 37 135 146 247 38 244 242 127 240 122 158 2 5 40 4 209 94 207 251 58 38 149 28 178 218 94 165 164 247 26 145 49 201 19 149 103 242 54 48 219 142 160 49 36 145 232 170 122 98 190 83 13 67 219 84 80 189 143 209 115 12 103 212 240 242 173 203 123 116 62 114 241 239 131 53 29 94 104 175 236 252 188 199 1 220 89 176 140 160 231 134 233 145 146 49 235 199 90 250 26 59 216 254 30 252 13 240 174 165 167 90 233 243 106 162 211 236 251 177 230 71 229 203 131 33 44 48 63 129 78 15 117 246 53 39 198 107 61 74 63 14 233 122 29 214 129 230 104 250 113 150 36 212 109 73 104 88 130 17 90 65 183 229 97 131 184 30 24 147 131 222 188 150 102 51 57 209 27 83 150 77 25 39 243 153 62 101 142 71 0 224 129 206 220 130 70 125 198 107 218 120 185 225 226 176 237 221 45 158 223 240 231 204 195 43 163 152 79 235 177 86 114 119 107 116 237 167 201 245 107 240 42 176 110 89 147 110 79 96 0 252 49 198 62 156 83 107 216 188 93 46 182 255 0 5 32 127 18 216 199 101 52 101 109 244 228 145 10 204 209 121 177 28 182 127 217 24 233 146 6 77 120 246 43 198 197 81 84 164 172 247 87 62 151 47 197 188 76 36 218 183 43 107 71 117 167 84 198 55 74 138 65 83 48 166 53 97 23 102 122 5 73 126 149 93 250 26 183 40 170 238 56 53 223 74 70 50 71 136 138 112 166 138 114 14 107 239 79 198 98 90 182 193 144 87 65 167 142 5 96 90 143 222 10 232 44 6 0 174 124 75 247 79 75 11 241 163 118 207 160 197 105 219 143 150 179 109 7 25 173 43 115 192 21 243 245 79 186 192 232 143 164 190 14 124 105 209 109 188 33 109 225 159 22 180 150 203 167 198 169 5 194 35 184 153 16 29 168 66 114 8 194 142 120 32 114 69 97 124 111 248 215 107 169 207 99 163 248 110 47 183 233 173 31 218 117 99 119 25 67 124 161 142 45 48 57 84 201 228 131 207 190 14 124 102 223 167 2 189 23 224 207 195 75 239 29 235 130 79 37 160 210 160 112 46 238 241 142 59 198 135 28 185 31 151 83 216 23 71 49 175 204 169 197 92 242 243 30 29 203 227 25 98 106 73 197 110 251 124 151 123 236 174 118 191 179 70 133 103 225 127 142 158 41 150 121 89 228 214 96 243 180 137 28 46 217 108 217 131 254 237 193 193 218 64 66 163 166 209 192 233 95 67 120 243 72 58 239 132 181 45 35 118 211 117 108 241 35 99 59 88 169 10 127 3 131 86 172 52 13 34 203 76 177 211 161 176 132 91 88 108 251 50 48 221 229 149 251 164 19 206 71 60 251 213 153 174 84 220 53 170 219 201 43 4 12 251 118 237 0 228 115 146 61 13 125 4 215 60 109 46 199 231 49 151 178 169 205 77 236 238 190 243 224 203 107 55 58 136 179 185 97 19 70 196 78 199 141 129 114 92 254 0 26 109 190 184 116 189 98 29 102 37 65 45 180 203 60 81 6 227 228 32 133 245 198 0 21 222 75 97 161 248 143 226 206 179 103 167 90 221 69 107 115 29 227 69 20 196 110 91 133 137 219 168 36 99 204 92 142 122 87 153 93 152 225 137 174 36 35 10 2 157 199 0 2 69 124 31 179 229 146 182 186 219 79 43 127 153 251 74 196 42 148 219 150 158 234 110 253 19 189 255 0 47 192 250 171 225 239 143 52 111 21 24 116 177 58 69 246 143 180 155 139 89 78 9 220 9 192 7 134 24 99 249 116 174 67 194 255 0 12 244 171 127 138 215 22 235 170 77 54 147 165 197 21 216 121 21 65 145 183 18 177 177 232 87 247 76 73 192 233 208 87 159 73 224 127 28 248 111 88 211 231 58 60 137 118 211 110 181 17 75 28 165 217 65 126 2 49 236 164 211 252 77 227 127 21 105 186 70 174 247 90 36 154 124 186 131 108 150 105 33 145 0 69 18 70 202 129 135 92 200 195 57 56 175 74 53 165 87 150 53 161 170 125 159 220 124 212 176 49 195 185 253 74 178 229 154 238 157 181 223 206 202 251 26 127 30 188 123 103 226 125 82 223 73 211 101 142 226 223 77 220 94 100 108 172 146 177 56 3 212 5 193 207 185 244 175 57 7 229 6 170 105 229 100 143 205 3 5 134 121 28 242 42 202 54 228 205 121 120 186 142 165 70 222 231 211 229 216 72 97 48 241 165 13 151 235 168 172 120 168 216 210 185 192 168 100 106 198 17 187 59 134 73 222 169 220 200 35 66 106 196 132 140 154 201 212 100 224 215 163 134 167 204 206 76 77 111 103 7 35 200 197 72 131 38 163 167 37 125 209 249 4 119 46 217 143 156 26 232 44 71 2 185 235 76 239 24 174 130 195 56 25 174 124 66 109 30 142 26 73 73 54 110 218 231 96 173 27 112 115 89 54 204 84 119 227 181 122 247 236 231 240 217 62 32 107 62 118 171 116 208 105 246 202 178 207 4 106 219 228 12 72 85 220 112 0 59 91 36 103 161 30 227 197 116 39 81 218 39 212 195 52 195 225 34 165 85 151 190 8 252 45 212 252 121 168 45 204 235 37 166 133 3 226 123 172 115 33 254 228 121 234 125 79 65 249 3 246 71 135 180 93 55 64 210 109 244 189 38 210 59 91 72 23 106 70 131 245 39 169 39 185 60 154 151 72 211 172 180 157 58 13 59 78 181 138 214 210 4 9 20 81 46 213 81 236 42 221 122 88 92 36 48 235 77 223 83 226 179 124 230 182 101 83 93 32 182 95 171 243 2 64 4 147 128 58 154 225 60 53 226 247 214 124 115 172 44 33 98 208 44 160 16 199 116 248 84 154 117 99 188 169 238 160 28 103 167 6 186 175 17 222 197 167 248 127 81 212 39 137 100 134 214 210 89 221 88 112 202 138 88 131 237 197 124 5 225 111 140 62 57 150 43 237 87 83 118 212 224 146 67 228 218 199 251 164 4 238 30 90 34 142 23 230 224 1 252 61 235 162 163 146 141 226 121 148 84 101 62 89 27 49 120 146 45 43 198 83 106 150 55 246 210 205 13 220 164 19 40 249 193 36 16 112 123 130 127 58 183 224 175 4 71 241 10 123 237 23 251 82 222 201 69 177 144 187 46 242 121 0 109 25 29 9 7 173 124 249 127 169 207 113 169 203 36 246 16 172 207 41 45 16 82 48 196 242 0 61 57 237 93 31 130 60 115 168 120 39 196 95 218 182 118 70 222 233 33 146 38 137 216 128 67 161 3 35 25 224 224 254 21 228 195 33 246 115 82 83 189 181 183 252 27 159 89 62 47 246 180 165 7 77 43 174 91 223 167 165 189 116 61 47 83 210 245 13 22 250 77 47 83 226 242 219 247 114 48 200 12 71 27 134 121 193 199 21 155 115 229 203 152 39 39 161 224 159 188 61 171 23 192 154 215 139 124 125 241 35 65 208 103 150 208 221 234 110 96 51 76 78 124 189 206 217 108 30 54 13 193 70 7 1 71 64 49 237 223 25 190 10 234 94 23 176 147 82 211 222 93 91 73 141 119 188 138 184 154 216 129 247 136 29 191 218 29 59 251 249 152 204 170 182 30 163 154 87 143 151 79 248 99 232 114 190 36 194 227 41 70 148 157 170 109 103 179 249 249 158 125 225 31 13 234 58 206 167 253 155 165 68 140 254 73 124 51 96 40 95 127 196 10 167 60 55 22 55 82 88 222 66 208 220 66 219 36 70 234 8 172 207 5 120 226 125 63 87 186 211 154 71 134 250 72 26 8 167 71 40 93 91 7 32 142 141 199 210 186 159 17 235 80 234 214 182 210 223 70 231 84 141 66 61 207 31 190 0 145 243 122 156 109 231 212 31 239 113 203 91 15 200 185 106 233 61 252 154 61 92 46 54 85 234 115 81 179 167 183 156 95 91 255 0 94 151 70 51 227 21 94 119 10 50 105 243 74 168 57 60 214 85 221 195 63 74 199 15 69 201 249 30 141 90 170 8 75 187 190 161 107 46 103 102 206 77 78 245 3 138 246 41 193 67 99 231 49 181 103 83 119 161 230 34 164 65 77 2 167 129 119 48 24 175 169 63 63 132 110 203 86 17 157 192 215 65 100 132 1 154 161 167 194 48 56 173 155 88 251 87 22 38 173 180 61 92 37 7 55 114 196 72 25 48 195 138 251 83 246 70 240 149 207 134 126 31 173 205 237 180 144 77 169 74 110 194 190 78 34 42 2 115 238 57 199 189 124 211 240 167 193 71 196 26 156 26 134 163 186 61 18 218 96 110 153 98 105 26 64 164 18 138 170 14 73 200 31 137 198 113 95 108 89 107 171 171 205 107 107 165 193 42 216 227 116 243 180 102 53 10 49 132 92 247 63 202 176 194 169 107 39 177 57 220 224 162 169 193 43 245 125 188 174 117 192 130 56 52 216 228 73 55 5 57 40 219 88 122 31 242 106 24 47 109 37 144 197 29 196 78 224 114 161 193 35 240 172 127 21 107 51 233 82 89 125 142 213 167 50 92 162 79 232 177 179 4 206 127 222 101 199 227 93 205 216 249 132 155 118 51 126 55 181 217 248 69 226 248 44 6 110 159 67 188 217 244 242 91 63 142 51 138 252 203 208 181 72 32 178 91 38 89 26 71 157 73 198 49 140 251 228 126 159 157 126 166 94 71 6 165 46 181 165 220 41 146 57 45 86 41 19 61 81 213 129 31 143 63 157 126 85 248 199 74 62 29 241 126 171 163 71 57 148 105 247 146 192 147 1 130 225 24 128 216 237 144 1 197 107 74 42 105 166 103 57 56 59 162 61 70 253 25 38 129 67 7 251 67 184 56 24 251 221 126 181 28 151 159 104 179 115 114 205 44 204 193 139 186 134 99 140 1 243 117 198 43 57 152 150 44 199 36 156 156 210 102 183 228 70 110 109 154 182 186 157 222 143 171 217 234 186 45 244 246 151 150 197 100 134 226 41 10 201 27 14 249 29 13 125 245 251 63 124 115 183 241 118 137 167 233 94 50 120 173 181 137 225 80 46 72 11 13 209 35 161 29 17 143 167 67 219 29 43 243 192 245 205 123 6 137 34 175 133 172 138 48 35 236 200 50 62 128 87 149 154 226 39 135 80 148 59 159 71 195 121 109 28 198 85 105 213 210 202 233 246 119 62 168 248 207 251 63 105 154 207 153 173 120 66 214 27 123 208 198 71 178 225 81 206 115 152 143 240 55 183 67 237 223 230 251 251 75 203 75 235 139 13 66 25 33 184 128 148 104 228 82 174 167 220 30 134 189 103 224 159 199 187 205 0 193 161 248 194 73 111 116 177 132 138 243 150 154 216 112 0 111 239 160 252 199 191 74 236 63 107 73 60 5 115 240 226 15 24 71 53 163 235 114 180 73 165 221 219 72 55 220 33 113 189 91 31 125 2 150 235 208 250 119 243 43 97 41 226 151 61 55 103 216 250 12 46 101 138 201 234 123 28 84 121 163 252 203 123 46 253 237 231 170 239 99 230 89 31 35 12 114 106 180 152 166 53 207 154 55 224 2 122 129 235 81 51 231 173 113 194 155 142 231 213 212 196 66 74 232 118 208 73 201 197 69 34 2 112 163 52 51 84 176 131 183 56 173 118 56 237 26 175 150 199 152 199 22 77 107 233 186 124 178 114 177 54 0 44 91 28 0 58 156 212 73 172 106 47 254 178 224 73 158 165 227 86 63 153 21 191 46 183 54 161 99 13 180 182 208 39 150 138 187 211 118 78 59 156 156 100 247 250 87 209 86 148 146 208 248 154 48 79 116 73 105 107 103 26 41 105 30 103 61 163 27 66 254 36 100 159 108 126 53 208 105 154 78 144 210 198 247 26 208 142 221 128 44 22 2 101 67 220 21 36 15 197 75 126 124 87 63 107 199 78 107 66 46 156 215 145 82 164 175 174 167 189 67 13 25 47 113 216 239 95 198 250 125 132 86 186 6 137 99 127 253 151 110 230 73 47 101 112 94 89 54 133 5 20 145 177 65 249 187 18 64 36 14 65 235 62 20 252 109 186 240 174 156 186 54 173 166 73 169 216 139 137 30 41 36 159 116 176 68 79 202 139 145 200 28 255 0 23 126 58 87 143 47 29 234 116 40 80 41 140 18 9 59 187 159 243 253 106 101 140 168 182 71 85 62 31 195 77 90 109 202 255 0 215 67 237 175 135 95 16 180 127 20 200 171 166 234 150 243 172 95 126 218 52 49 52 99 223 204 195 31 174 49 239 87 62 44 93 193 117 160 166 155 103 122 17 239 37 81 60 254 111 16 196 172 50 220 116 249 153 64 247 53 241 78 157 119 113 100 206 246 115 201 111 35 174 194 232 112 219 115 156 103 240 20 253 62 226 123 41 166 123 107 153 60 217 142 100 103 59 183 156 231 144 122 140 128 113 254 21 75 52 141 181 90 158 109 110 18 148 106 41 66 122 31 110 220 62 163 109 162 234 18 91 111 109 87 85 113 29 162 117 100 140 40 85 99 143 65 150 207 189 126 111 252 102 178 109 59 226 191 138 172 75 151 242 53 107 132 220 205 184 144 36 56 201 238 107 221 155 226 103 143 12 17 147 226 77 68 68 31 12 99 147 97 247 5 135 60 224 247 174 47 86 146 223 84 191 185 188 188 179 130 230 123 135 50 75 53 194 9 25 157 185 99 200 193 36 147 146 65 207 94 43 74 89 204 34 239 202 206 41 112 142 38 162 75 157 125 207 254 7 234 120 119 53 211 248 91 193 215 62 32 240 238 177 172 193 169 88 91 46 150 133 222 25 220 135 148 8 222 67 179 0 228 225 8 250 145 93 92 222 26 209 164 63 241 226 171 199 240 49 31 202 168 79 224 173 61 137 104 110 46 34 246 200 35 245 21 215 28 226 132 183 186 249 28 117 120 63 48 135 195 203 47 157 191 52 143 59 108 138 233 60 61 171 106 13 246 59 121 181 41 26 218 221 252 168 237 137 56 10 219 152 159 76 110 61 253 107 118 219 193 118 41 38 251 155 137 103 255 0 100 13 163 244 167 69 224 203 84 212 82 226 27 169 35 141 92 56 143 102 122 118 206 105 213 204 240 179 139 139 127 128 97 184 107 53 161 40 213 140 108 211 238 191 206 214 249 154 41 46 255 0 186 9 199 160 171 70 9 175 45 214 222 127 154 0 48 17 207 0 19 158 7 106 209 142 56 35 140 34 198 0 21 21 196 49 184 249 23 107 118 34 190 113 226 83 126 234 177 250 36 48 82 80 181 87 205 221 109 254 103 49 22 173 104 154 180 154 56 137 196 136 229 68 165 242 167 3 166 49 250 230 180 114 122 87 61 123 225 141 77 117 147 121 106 240 144 101 222 164 177 4 30 188 215 91 246 53 49 168 39 12 7 36 87 163 138 149 21 203 40 59 221 107 234 120 25 85 28 100 149 74 117 96 227 202 221 175 217 244 94 132 86 209 33 27 137 220 125 42 102 28 112 41 209 219 164 103 130 73 245 52 172 62 149 192 231 118 125 21 42 124 145 179 90 158 89 16 173 107 22 24 21 143 27 138 185 107 48 83 201 175 169 173 22 209 240 52 101 27 29 37 163 138 209 137 134 58 215 63 111 112 6 42 252 55 67 161 175 30 173 38 153 237 225 171 69 26 234 123 212 168 248 53 152 151 35 214 172 71 56 61 235 154 80 103 175 71 20 141 52 124 227 154 176 178 0 49 145 89 43 46 122 53 76 147 122 154 230 157 27 158 149 60 74 104 208 103 5 185 197 0 128 123 85 63 61 70 41 201 58 145 212 212 123 38 91 173 22 92 220 51 218 130 220 26 169 230 130 120 165 18 133 200 165 236 152 189 170 44 174 211 214 158 54 250 213 65 48 160 204 15 122 78 147 99 246 168 184 204 160 100 154 137 228 25 227 53 89 165 24 235 76 105 184 224 211 141 18 101 93 22 75 100 242 105 11 1 85 60 234 105 152 15 106 209 82 50 117 226 88 103 4 252 199 20 153 244 57 170 198 96 123 210 9 135 60 214 138 153 147 175 27 158 92 175 138 145 37 247 170 123 169 67 226 190 175 152 252 182 53 218 53 97 185 43 142 106 236 55 158 166 176 4 134 158 178 145 222 166 84 227 35 174 158 49 163 166 142 232 127 122 172 71 118 71 122 229 210 225 135 241 26 149 47 28 119 174 121 97 34 246 59 105 230 13 29 82 94 156 245 169 150 248 255 0 122 185 100 190 61 9 169 150 248 122 214 18 193 51 178 25 155 238 116 235 122 49 214 158 183 213 204 11 225 234 41 194 244 127 122 179 250 147 55 254 212 243 58 113 122 61 105 126 218 190 181 205 173 226 250 208 111 87 214 163 234 108 175 237 71 220 232 205 248 245 164 251 120 238 107 155 55 163 214 154 111 135 173 53 130 98 254 213 125 206 149 175 134 58 212 70 247 29 235 158 55 195 214 154 215 227 212 85 44 19 34 121 165 250 157 9 189 227 173 70 215 190 245 207 27 255 0 122 99 95 30 196 214 139 2 204 94 100 116 38 248 159 226 160 222 156 117 174 104 222 177 239 73 246 214 171 250 138 51 254 210 119 49 141 20 83 107 166 231 202 54 63 52 161 169 153 164 162 236 57 137 119 154 112 146 161 205 25 167 204 82 155 69 128 244 225 33 245 170 217 163 119 189 62 114 213 86 139 94 97 245 165 18 251 213 77 212 110 247 167 206 82 174 203 158 113 61 205 30 113 245 170 155 205 27 233 243 143 219 178 223 156 125 233 12 190 245 87 125 38 243 75 156 61 187 45 121 167 214 147 204 53 91 119 189 38 238 104 231 39 219 178 201 147 222 147 204 247 170 197 142 104 220 105 115 146 235 50 115 39 189 6 95 122 175 154 51 75 153 139 218 179 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 12:06'!
albumxxJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 0 160 0 160 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 248 202 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 40 160 2 138 80 9 32 1 146 107 233 111 135 223 178 71 138 124 73 240 174 235 196 186 133 233 210 181 201 227 19 105 58 100 200 0 145 49 159 222 158 168 95 141 163 248 127 139 175 0 31 52 81 87 117 205 43 81 208 245 139 173 35 87 179 154 202 254 210 86 138 120 37 93 172 142 14 8 34 169 80 1 69 20 80 1 69 20 80 1 69 20 248 99 146 105 82 40 145 164 145 216 42 170 140 150 39 160 3 185 160 6 81 95 78 105 95 178 7 139 174 254 17 73 226 41 174 254 207 226 183 197 197 190 138 234 0 48 224 254 237 216 159 150 102 224 129 208 99 7 147 149 249 166 250 210 230 198 246 107 43 219 121 109 174 96 144 199 44 82 169 87 70 7 5 72 60 130 13 0 67 69 20 80 1 69 20 80 1 69 20 80 1 74 1 36 0 50 77 37 125 43 251 5 248 71 225 255 0 136 252 119 117 123 226 107 200 174 53 221 63 108 186 94 149 58 129 28 188 18 210 243 254 177 151 251 184 227 239 115 216 3 208 127 99 239 217 191 236 159 99 248 131 241 6 195 253 39 137 180 173 42 101 255 0 87 208 172 210 169 254 46 234 167 167 83 206 0 251 10 138 40 3 195 63 106 95 128 122 111 197 77 33 181 141 29 97 177 241 117 164 88 130 114 54 165 218 142 145 74 127 244 22 237 244 175 206 125 115 74 212 116 61 94 235 72 213 236 230 178 191 180 144 197 60 18 174 214 141 135 80 69 126 197 215 134 126 212 191 0 244 223 138 154 59 106 250 58 195 101 226 235 72 241 111 57 249 82 237 71 72 165 63 250 11 118 250 80 7 230 213 21 119 92 210 181 45 15 87 186 210 53 123 41 236 111 237 36 49 79 111 50 109 120 216 117 4 85 42 0 40 162 157 20 111 44 171 20 72 206 238 66 170 168 201 98 122 0 59 208 2 195 28 147 74 145 68 141 36 142 193 85 84 100 177 60 0 7 115 95 119 254 200 95 179 148 126 20 138 215 199 126 59 179 89 53 247 81 38 159 97 32 5 108 84 128 67 184 35 253 119 183 240 127 189 247 87 246 67 253 156 83 194 81 219 120 235 199 118 106 254 33 112 36 176 211 228 25 26 120 236 238 59 203 232 63 131 253 239 187 245 45 0 21 243 159 237 105 251 60 91 124 68 179 155 197 158 19 130 43 111 22 192 153 146 33 132 77 69 70 62 86 61 164 0 124 173 223 161 227 5 126 140 162 128 63 27 111 173 110 108 111 38 178 189 183 150 218 230 7 49 203 12 168 85 227 96 112 84 131 200 32 246 168 107 237 63 248 40 79 132 60 1 109 97 105 226 207 183 69 167 120 198 229 196 107 107 18 110 58 140 67 0 179 128 126 82 131 31 188 61 126 239 60 99 226 202 0 40 162 138 0 40 162 138 0 42 230 141 169 234 26 54 171 109 170 233 87 147 217 95 90 200 37 130 120 92 171 198 195 161 4 85 58 40 3 244 131 246 86 248 253 167 252 82 210 147 66 215 30 27 63 23 218 69 153 98 31 42 94 160 28 203 24 245 254 242 118 234 56 233 239 21 248 229 163 106 122 134 141 170 219 106 186 85 228 214 119 214 178 9 96 158 22 218 241 184 232 65 175 209 95 217 95 227 254 159 241 75 74 77 15 92 146 27 47 23 218 199 153 98 225 82 245 71 89 98 30 191 222 78 221 71 29 0 61 226 138 40 160 15 11 253 169 126 1 105 223 21 52 134 214 52 100 130 199 197 214 145 226 9 200 10 151 106 63 229 148 167 31 247 203 118 232 120 233 249 207 173 233 122 142 137 171 93 105 58 189 148 246 55 246 178 24 167 183 153 10 188 108 59 16 107 246 50 188 47 246 165 248 5 166 252 84 210 27 88 209 150 11 31 23 90 199 136 39 63 42 93 168 233 20 167 240 249 91 183 78 157 0 63 55 98 142 73 101 72 162 70 146 71 96 170 170 50 88 158 128 14 230 190 241 253 144 191 103 40 252 39 21 175 142 188 117 102 178 120 129 212 73 97 97 42 228 88 2 56 119 4 127 174 246 254 15 247 186 47 236 143 251 55 143 7 249 30 54 241 237 154 63 136 190 245 141 131 225 214 195 209 219 4 134 148 245 31 221 255 0 123 167 212 148 0 81 69 20 0 87 153 126 208 127 24 180 15 132 126 22 55 183 172 151 154 205 210 149 211 180 229 124 60 205 253 246 238 177 131 213 191 1 205 55 246 133 248 199 160 124 36 240 177 187 187 100 188 214 174 149 134 157 167 43 252 210 183 247 219 186 198 15 83 248 14 107 243 83 199 222 47 215 252 115 226 155 207 18 120 146 249 239 47 238 155 36 159 187 26 231 132 65 252 42 58 1 64 7 143 188 95 175 248 231 197 55 126 36 241 37 243 221 223 221 54 73 60 44 106 58 34 15 225 80 56 3 250 228 214 13 20 80 1 69 20 80 1 69 20 80 1 69 20 80 1 86 244 109 79 80 209 181 91 93 87 74 188 154 202 250 210 81 44 19 194 229 94 55 7 32 130 42 165 20 1 250 65 251 43 124 126 211 254 41 105 73 161 107 143 13 159 139 237 34 204 177 15 149 47 81 64 204 177 250 31 239 39 110 163 142 158 241 95 142 90 62 165 127 163 234 182 186 174 151 119 45 157 245 164 171 53 188 241 54 215 141 212 228 16 107 244 87 246 86 248 253 167 252 81 210 147 66 215 100 134 207 197 246 177 254 246 46 21 111 148 14 101 140 122 247 100 29 58 142 58 0 123 197 20 81 64 5 20 81 64 5 121 143 237 9 241 139 64 248 71 225 99 121 120 82 243 90 186 82 186 118 156 174 55 74 223 223 110 235 24 61 91 240 28 210 254 208 159 24 180 31 132 126 21 55 183 165 46 245 155 165 97 166 233 193 176 211 48 254 38 254 236 99 185 252 7 53 249 167 227 255 0 23 235 254 58 241 77 223 137 60 73 124 247 151 247 77 146 79 11 26 255 0 12 104 63 133 7 64 7 243 201 160 4 241 247 139 181 255 0 28 248 166 239 196 158 36 190 123 203 251 166 201 36 252 177 175 100 65 252 42 58 1 88 52 81 64 5 20 81 64 5 20 81 64 5 20 81 64 5 20 81 64 5 20 83 162 141 229 149 98 137 25 221 216 42 170 140 150 39 160 2 128 8 163 146 89 82 40 145 164 145 216 42 170 140 150 39 160 3 185 175 188 191 99 255 0 217 208 120 65 109 124 123 227 123 108 248 133 215 125 133 139 255 0 203 130 176 35 115 142 242 144 122 31 187 254 247 68 253 144 255 0 103 24 252 39 21 175 142 188 117 102 146 120 129 212 73 97 97 42 130 182 0 224 137 24 127 207 111 111 224 255 0 123 167 212 180 0 81 69 20 0 81 69 20 1 225 191 181 79 192 107 15 138 218 55 246 198 149 229 218 120 178 198 18 182 211 49 194 93 70 50 68 18 122 114 78 27 177 62 149 249 205 174 233 58 150 133 172 221 232 250 189 156 182 87 246 114 180 55 16 74 184 104 220 28 16 127 199 189 126 197 215 134 254 212 223 1 116 239 138 186 51 106 250 66 69 103 226 235 56 177 111 57 225 110 208 100 136 100 231 29 79 13 219 233 64 31 155 52 85 221 115 74 212 116 61 98 239 72 213 236 229 179 191 179 149 162 184 130 81 134 141 193 228 26 165 64 5 20 81 64 5 20 81 64 5 20 81 64 5 20 83 226 142 73 165 72 162 70 146 71 96 170 170 50 88 158 128 14 230 128 8 99 146 105 82 40 145 164 145 216 42 170 140 150 39 160 3 185 175 188 63 100 47 217 201 60 37 29 175 142 252 117 102 175 226 23 2 75 11 9 7 26 120 61 29 199 121 125 191 131 253 239 186 159 178 23 236 227 31 133 34 181 241 223 142 236 210 77 125 212 73 97 167 202 161 150 196 16 8 119 4 127 174 244 254 231 251 223 119 234 106 0 40 162 138 0 43 204 191 104 63 140 122 7 194 63 11 155 219 210 151 154 205 202 145 167 105 170 248 105 155 251 205 253 216 199 115 248 14 105 63 104 63 140 122 7 194 63 11 27 203 194 151 154 205 210 149 211 180 229 111 154 86 193 249 219 186 198 15 86 252 7 53 249 169 227 255 0 23 235 254 58 241 85 231 137 124 73 124 247 119 247 77 146 79 220 141 123 34 15 225 65 208 15 235 147 64 31 160 127 178 223 237 3 167 124 85 211 191 177 181 207 179 105 222 45 182 66 210 64 159 44 87 104 63 142 32 73 57 3 239 47 110 163 142 158 237 95 142 122 46 167 168 104 186 173 182 171 164 222 207 101 125 107 32 150 11 136 92 171 198 195 161 4 87 232 175 236 175 241 255 0 79 248 165 165 38 135 174 60 54 94 47 181 143 247 177 15 149 47 84 14 101 136 122 224 101 151 183 81 199 64 15 119 162 138 40 3 194 255 0 106 127 128 122 119 197 77 33 181 157 25 97 179 241 117 156 88 130 115 194 94 32 206 33 147 255 0 101 110 221 15 29 63 58 53 205 43 81 208 245 123 173 35 87 178 154 202 254 210 83 20 240 76 165 93 24 30 65 21 251 23 94 23 251 82 252 1 211 126 42 105 45 172 232 201 5 143 139 173 99 196 19 156 42 93 168 255 0 150 82 156 127 223 45 219 161 227 160 7 230 221 21 119 92 210 181 45 15 87 185 210 53 139 41 236 111 237 100 49 207 111 50 21 120 216 118 34 169 80 1 69 20 80 1 69 20 80 1 95 76 254 192 118 95 14 174 126 33 92 73 226 73 3 248 170 44 54 137 13 192 30 65 192 37 217 57 249 166 24 224 30 131 145 147 247 126 102 169 108 238 110 44 238 162 187 180 158 72 46 33 112 241 203 27 21 100 96 114 8 35 144 65 160 15 217 58 43 230 239 217 39 246 136 183 241 253 172 62 16 241 125 196 112 120 174 20 196 19 182 21 117 21 3 168 227 2 64 58 175 126 163 184 31 72 208 1 94 97 251 66 124 100 208 62 17 248 88 221 221 148 188 214 174 149 151 78 211 149 240 210 183 247 223 186 198 15 83 248 14 105 127 104 63 140 122 7 194 63 11 27 219 210 151 122 205 210 178 233 186 114 183 205 51 127 125 187 172 96 245 111 192 115 95 154 126 62 241 126 191 227 159 20 221 248 147 196 151 207 121 127 116 217 36 147 182 53 236 136 63 133 71 97 64 7 143 188 93 175 248 231 197 55 126 36 241 37 243 222 95 221 54 73 60 44 107 217 16 127 10 140 224 10 193 162 138 0 42 222 143 169 106 26 54 169 109 170 105 87 147 217 95 90 200 36 130 120 92 171 198 195 161 4 85 74 40 3 244 127 246 87 253 160 52 255 0 138 90 90 232 90 243 193 101 226 251 88 243 44 67 9 29 234 15 249 105 16 207 80 62 242 246 234 56 233 239 53 248 229 163 106 122 134 141 170 218 234 186 85 228 214 119 214 178 172 176 79 11 149 120 220 28 130 8 175 209 79 217 87 227 245 135 197 45 41 52 29 117 226 179 241 125 164 89 150 49 194 95 34 129 153 163 236 15 247 147 183 81 199 64 15 121 162 138 241 207 218 103 227 158 143 240 147 195 255 0 103 183 242 111 252 83 123 25 54 54 36 157 168 185 199 157 46 58 32 231 3 130 196 96 96 2 64 7 144 255 0 193 67 237 62 27 174 159 97 119 59 249 126 60 125 162 4 180 10 90 75 124 224 155 145 215 104 0 132 61 115 192 200 206 62 40 173 63 20 235 250 199 138 53 251 189 123 95 212 38 212 53 43 201 12 147 207 41 201 99 233 232 0 28 0 56 0 0 56 172 202 0 40 162 138 0 40 162 138 0 40 162 138 0 150 206 230 226 206 238 27 187 73 228 130 226 23 18 69 44 108 85 145 129 200 96 71 32 131 206 107 236 175 135 127 182 53 189 167 194 203 180 241 117 140 183 190 47 176 141 99 180 242 215 108 122 137 57 1 220 142 16 174 50 222 191 195 201 192 248 194 138 0 222 241 247 139 245 255 0 28 248 166 239 196 158 36 190 123 203 251 166 201 39 133 141 123 34 47 240 168 236 63 174 77 96 209 69 0 20 81 69 0 20 81 69 0 21 111 70 212 175 244 109 86 215 85 210 238 229 179 190 180 149 101 130 120 155 13 27 131 144 65 170 148 80 7 218 122 95 237 153 110 159 8 36 150 255 0 75 50 248 238 44 91 71 24 76 91 76 74 156 92 146 49 133 4 115 24 228 146 49 193 37 126 63 241 78 191 171 248 163 196 23 154 254 189 125 45 246 165 123 41 150 121 228 60 177 61 135 96 0 192 0 112 0 0 86 101 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 0 81 69 20 1 255 217) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 14:49'!
dePng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 11 8 2 0 0 0 249 128 154 110 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 179 73 68 65 84 120 218 98 244 241 113 102 248 251 157 225 223 63 6 102 150 95 127 254 253 250 253 231 255 191 223 12 12 255 24 112 0 128 0 98 249 253 251 123 113 113 57 144 245 15 12 254 254 253 243 247 47 132 252 3 5 191 127 255 249 11 166 126 255 94 183 110 53 64 0 177 48 49 49 1 85 159 56 121 9 36 1 22 254 5 4 63 65 16 14 126 252 248 1 196 254 1 78 64 149 0 1 196 34 203 192 32 240 239 159 44 88 245 159 95 191 64 58 126 254 4 34 160 174 223 63 126 252 250 249 3 168 225 247 247 31 64 253 18 127 128 78 101 0 8 64 98 28 220 0 0 130 64 16 228 129 21 209 140 253 55 225 29 8 104 52 217 76 86 103 208 50 45 162 221 251 75 222 10 44 226 13 122 177 28 35 182 138 28 1 196 242 255 247 175 255 127 255 50 0 213 253 250 253 31 168 226 215 175 127 80 13 96 213 64 244 253 59 68 63 72 37 3 3 64 0 177 0 49 195 223 63 8 131 129 140 31 63 128 170 161 218 128 170 127 253 252 11 84 13 20 255 251 251 47 3 3 64 0 177 252 182 98 96 80 251 255 159 249 223 255 191 255 254 253 6 162 191 16 198 127 80 240 2 73 134 191 191 255 3 201 127 64 210 132 241 199 97 6 128 0 98 249 175 199 240 95 230 223 127 65 160 42 16 250 15 36 129 22 130 66 248 15 36 152 129 98 96 46 195 127 97 198 127 174 12 0 1 196 194 240 139 225 63 208 251 172 70 76 12 191 24 65 26 128 228 31 134 255 191 255 131 216 64 242 207 255 255 64 29 127 64 182 252 250 195 244 149 1 32 128 88 126 188 101 216 51 111 210 63 160 54 102 134 159 223 65 49 252 159 143 129 233 7 195 63 96 64 48 51 252 253 5 98 176 50 49 252 251 193 192 192 204 240 237 23 3 64 128 1 0 119 116 136 201 24 173 95 88 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 15:18'!
fiPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 11 8 2 0 0 0 249 128 154 110 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 123 73 68 65 84 120 218 98 124 250 250 51 3 20 48 73 187 156 96 248 245 143 129 135 233 234 50 3 46 14 134 63 255 24 24 254 65 193 31 48 249 225 211 23 128 0 98 97 98 96 144 16 225 1 42 255 255 255 127 107 153 198 191 255 255 254 254 101 208 80 18 0 114 33 130 200 224 218 157 95 0 1 196 242 15 108 56 68 250 217 155 159 64 83 255 254 253 247 31 27 96 100 100 252 245 231 31 64 0 177 252 3 170 248 7 53 236 247 95 32 251 223 159 63 255 129 36 208 4 100 213 12 255 255 49 128 53 0 4 16 35 131 241 193 246 18 149 167 111 126 1 13 254 245 251 255 159 191 64 109 64 119 253 251 245 231 63 80 231 111 144 32 208 136 127 191 254 254 147 17 97 95 213 176 27 32 0 5 116 108 3 0 8 195 64 144 130 253 231 13 188 21 248 52 174 206 146 229 189 42 246 14 78 87 55 153 84 96 83 151 14 163 225 221 57 161 190 0 98 97 248 247 7 100 37 200 80 176 106 176 34 32 0 234 7 218 249 239 47 16 254 3 99 144 2 96 168 1 4 16 227 237 251 239 229 100 120 255 129 29 29 215 113 23 104 42 16 173 173 87 249 135 234 115 160 39 129 158 62 126 254 1 64 0 177 48 177 252 99 102 4 114 128 2 12 16 213 64 4 86 129 134 64 0 232 53 128 0 2 58 233 31 60 200 197 5 89 193 30 0 25 198 128 2 24 225 122 0 2 136 5 232 232 59 15 222 64 34 114 86 241 81 6 134 95 192 40 143 180 252 207 195 5 140 233 127 64 252 7 30 219 255 24 62 125 249 2 16 96 0 235 199 105 156 129 0 184 234 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 14:50'!
gbPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 11 8 2 0 0 0 249 128 154 110 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 249 73 68 65 84 120 218 98 156 52 115 159 154 141 222 225 67 183 94 190 97 96 96 248 251 247 223 223 138 24 221 43 109 83 254 255 253 171 91 155 95 208 119 242 255 111 166 175 223 126 200 170 114 58 93 216 118 223 39 140 69 136 159 199 253 206 62 183 244 208 187 143 191 30 63 255 252 239 127 70 85 69 33 53 67 110 134 95 63 255 43 10 121 154 201 254 254 243 215 70 91 216 244 208 76 134 53 93 147 182 94 103 218 119 231 251 94 9 23 198 229 43 84 30 156 140 245 87 121 254 252 39 35 35 3 195 197 187 12 151 238 0 25 143 222 254 79 103 189 163 119 120 5 99 105 243 130 181 55 59 155 78 48 1 221 241 244 249 251 250 55 122 143 254 42 253 109 110 168 204 212 2 138 48 124 255 204 240 253 59 144 238 190 63 157 219 205 230 102 96 146 147 215 138 43 55 62 253 248 249 147 225 230 221 183 255 254 253 71 7 161 161 255 253 252 208 196 128 202 206 92 123 201 114 185 101 130 154 17 55 195 197 59 12 191 127 51 252 250 5 37 129 146 63 127 254 113 112 248 255 235 215 191 223 191 255 1 69 254 254 101 209 144 222 121 230 11 14 27 108 109 255 152 89 64 204 5 226 191 127 255 254 249 251 231 247 159 63 39 175 190 96 74 107 60 218 55 239 66 116 250 206 171 215 62 48 188 123 251 43 37 1 232 244 255 95 191 3 109 0 121 134 225 255 51 103 167 67 115 118 200 200 205 139 76 217 108 110 215 204 244 227 199 31 113 97 182 165 51 221 229 215 244 127 156 59 47 89 48 29 168 234 223 207 159 64 199 48 252 255 111 237 176 92 100 239 62 83 198 23 23 92 15 233 153 202 51 252 251 195 20 19 171 26 237 175 241 163 163 242 146 125 108 227 55 115 33 158 191 255 255 51 48 106 74 51 106 74 0 29 35 171 46 20 19 191 230 176 166 173 232 156 57 153 167 235 179 19 109 89 158 191 126 59 205 45 109 189 170 253 185 165 7 127 255 249 254 231 239 223 196 48 213 109 199 63 252 255 243 199 253 250 155 149 27 247 50 252 251 187 122 235 33 17 57 193 202 238 174 91 149 211 1 2 12 0 13 196 65 10 229 75 126 129 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 14:50'!
gfPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 11 8 2 0 0 0 249 128 154 110 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 179 73 68 65 84 120 218 98 44 158 122 153 1 6 254 253 249 151 231 199 247 247 239 223 159 63 127 2 201 63 127 254 48 50 50 42 185 24 254 251 194 240 231 39 195 31 160 2 6 6 128 0 98 1 170 11 180 147 2 146 255 255 253 255 247 239 191 164 36 239 255 255 255 65 220 255 64 238 63 32 201 218 210 247 255 207 239 127 191 126 253 255 253 251 109 69 19 64 0 129 52 48 252 103 248 252 237 247 223 191 32 21 95 191 126 253 15 6 64 54 208 120 160 61 124 207 158 252 251 245 243 255 175 159 12 194 34 64 75 0 2 144 56 6 57 0 128 48 8 75 248 255 131 221 116 213 38 222 56 180 64 156 177 91 122 224 204 77 34 45 250 131 26 189 168 98 235 180 151 158 0 98 249 243 231 31 80 233 223 191 64 244 31 200 4 42 2 41 253 7 113 14 200 109 64 213 64 227 255 253 250 205 248 235 215 47 6 6 128 0 20 143 65 14 0 48 8 194 48 248 255 7 163 113 131 59 165 208 210 94 12 55 198 246 145 76 24 104 187 51 170 2 140 252 161 220 13 124 1 196 2 84 15 116 201 239 191 64 242 31 80 228 63 18 0 122 0 68 253 250 249 23 232 227 95 191 153 192 54 0 4 16 203 143 95 127 64 174 255 243 15 164 7 136 255 65 93 3 84 13 97 131 85 3 253 240 155 1 24 86 12 12 0 1 196 242 227 199 31 144 106 160 61 127 254 2 73 44 0 232 36 160 210 223 191 25 255 252 5 134 18 64 0 177 124 3 122 226 207 63 46 78 102 32 239 207 31 38 72 248 64 226 145 17 12 152 197 37 129 134 49 2 253 247 23 100 3 64 0 177 124 251 246 167 109 193 229 31 63 126 125 251 241 231 203 143 95 210 156 146 64 167 254 6 242 255 2 221 242 235 199 143 31 122 147 231 3 213 65 162 25 8 0 2 12 0 238 173 123 102 155 12 117 68 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 16:49'!
sjPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 11 8 2 0 0 0 249 128 154 110 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 146 73 68 65 84 120 218 98 124 200 0 5 114 255 255 115 69 93 250 178 68 231 1 51 243 63 6 134 127 96 65 8 227 15 18 9 16 64 44 64 81 193 218 106 32 249 255 255 255 158 4 41 70 70 70 225 162 194 255 127 255 48 252 249 243 31 132 126 255 255 13 34 255 1 201 223 191 239 110 216 4 16 64 44 96 131 254 255 123 242 20 72 189 124 255 7 168 237 207 131 7 64 21 12 191 129 138 128 170 129 232 215 191 95 191 254 255 250 205 44 43 11 180 1 32 128 192 26 254 2 85 253 5 209 255 64 14 249 255 231 23 200 212 95 32 165 32 213 64 61 191 64 36 211 239 223 64 87 1 4 16 139 204 223 191 64 103 64 156 244 7 168 243 255 127 129 181 27 254 99 3 64 101 26 159 62 1 4 16 35 115 240 249 254 100 233 23 239 127 255 253 7 118 243 191 127 64 109 64 14 136 252 3 36 255 253 254 11 18 7 138 72 9 178 206 206 57 13 16 64 140 127 255 254 133 24 255 159 225 127 201 130 103 221 113 146 255 113 0 38 38 166 247 239 223 3 4 16 203 61 102 102 145 220 172 63 247 238 11 108 216 244 27 236 164 183 118 214 255 126 129 124 204 0 242 238 111 168 55 126 255 97 81 86 186 122 250 28 64 0 177 0 189 249 31 28 100 64 165 32 103 253 255 255 239 39 68 197 47 144 32 72 39 136 241 15 232 144 63 192 192 102 0 8 32 176 134 63 127 152 36 65 46 17 229 3 5 26 179 140 44 211 95 80 192 51 128 131 159 249 207 31 144 234 191 127 255 129 29 15 16 64 140 87 97 81 168 240 254 189 160 222 137 183 23 204 174 9 11 255 129 197 49 36 130 25 96 36 16 0 4 24 0 244 158 90 146 165 108 165 165 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMListImagesFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/9/2011 15:18'!
usPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 11 8 2 0 0 0 249 128 154 110 0 0 0 4 103 65 77 65 0 0 175 200 55 5 138 233 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 1 243 73 68 65 84 120 218 98 76 78 63 194 0 7 255 254 49 252 251 195 192 240 139 129 225 63 144 156 37 191 231 255 183 175 111 94 191 0 242 255 129 17 80 14 32 0 195 114 110 2 0 8 4 64 208 254 43 48 16 68 99 27 48 80 44 74 238 247 185 101 210 13 62 220 123 234 50 125 82 166 169 106 26 198 76 177 155 8 123 68 136 8 14 96 183 150 191 0 98 4 106 176 143 180 88 126 232 223 223 127 12 64 244 235 207 255 191 255 65 140 31 127 254 159 101 168 102 120 247 129 225 211 71 134 47 159 25 190 125 99 140 242 188 113 230 8 64 0 1 109 216 15 52 24 104 146 125 221 175 175 95 191 90 85 254 124 255 254 189 126 241 15 150 146 31 159 62 125 250 240 225 195 187 119 239 222 188 121 243 247 111 244 151 47 159 78 158 60 8 16 64 44 12 255 152 129 142 119 111 102 252 247 239 191 107 11 203 159 223 12 14 45 156 87 25 126 254 249 122 154 43 110 10 208 96 134 47 95 254 255 248 241 239 215 47 206 164 174 63 87 207 1 4 16 67 114 242 14 160 187 109 171 126 126 252 248 209 172 228 231 235 215 175 153 11 159 62 126 252 152 193 127 43 196 236 87 175 94 189 124 249 242 249 243 231 215 255 253 221 178 101 5 64 0 177 0 3 100 193 1 198 63 127 24 28 91 216 255 253 249 47 209 242 237 239 207 27 178 105 127 25 30 253 227 243 246 6 154 205 240 243 39 16 1 25 162 217 225 55 238 222 0 8 32 198 71 143 238 74 74 202 1 45 249 7 116 211 255 255 255 192 0 206 128 179 129 33 165 200 202 48 101 195 18 128 0 98 145 94 48 129 209 35 132 105 235 190 255 47 95 50 124 248 0 116 49 8 253 248 241 31 232 250 95 191 254 195 25 64 19 75 18 248 159 220 7 8 32 198 91 183 46 203 203 171 125 102 101 229 249 245 227 255 127 6 160 113 255 81 193 159 63 191 127 252 16 98 96 120 242 247 239 63 161 73 13 0 1 196 194 221 85 254 242 63 40 22 63 65 34 18 22 163 63 24 24 62 51 48 124 3 163 223 96 46 68 22 32 192 0 26 160 91 190 250 48 253 43 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

WAFileLibrary subclass: #JQMTestsFileLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/20/2011 14:10'!
externallinkGif
	^ #(71 73 70 56 57 97 13 0 11 0 128 1 0 106 106 106 255 255 255 33 249 4 1 0 0 1 0 44 0 0 0 0 13 0 11 0 0 2 26 140 143 153 192 172 216 66 139 50 2 101 229 114 250 30 250 45 134 167 61 36 41 142 211 122 20 0 59) asByteArray! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/23/2011 18:26'!
jqmSeasideCss
	^ '
a {
	text-decoration: none;
}	

.code {
	margin-top: 10px;
	margin-bottom: 10px;
	padding: .4em 15px;
	background: white;
	-moz-border-radius: .6em;
	-webkit-border-radius: .6em;
	border-radius: .6em;
	font-family: monospace;
	text-shadow:none;
	color: #333;
}

.codeNoPadding {
	margin-bottom: 10px;
	font-family: monospace;
}

.introText {
	margin-left: 1em;
	margin-top: 1em;
}

a.externalLink {
	white-space: nowrap;
	padding-right: 15px;
	background: url(''externallinkGif'') no-repeat 100% 50%;
	text-decoration: none;
}

/* O btn theme - for show source */
.ui-btn-up-o {
	border:1px solid #bbb;
	background:#1b313c;
	font-weight:bold;
	color:#fff;
	text-shadow:0 1px 1px #000;
	background-image:-webkit-gradient(linear,left top,left bottom,from(#24263b),to(#1b313c));
	background-image:-webkit-linear-gradient(top,#24263b,#1b313c);
	background-image:-moz-linear-gradient(top,#24263b,#1b313c);
	background-image:-ms-linear-gradient(top,#24263b,#1b313c);
	background-image:-o-linear-gradient(top,#24263b,#1b313c);
	background-image:linear-gradient(top,#24263b,#1b313c)}
	
.ui-btn-up-o a.ui-link-inherit {
	color:#2f3e46}
	
.ui-btn-hover-o {
	border:1px solid #eee;
	background:#1b313c;
	font-weight:bold;
	color:#fff;
	text-shadow:0 1px 1px #000;
	background-image:-webkit-gradient(linear,left top,left bottom,from(#24263b),to(#1b313c));
	background-image:-webkit-linear-gradient(top,#24263b,#1b313c);
	background-image:-moz-linear-gradient(top,#24263b,#1b313c);
	background-image:-ms-linear-gradient(top,#24263b,#1b313c);
	background-image:-o-linear-gradient(top,#24263b,#1b313c);
	background-image:linear-gradient(top,#24263b,#1b313c)}
	
.ui-btn-hover-o a.ui-link-inherit {
	color:#2f3e46}
	
.ui-btn-down-o {
	border:1px solid #808080;
	background:#24263b;
	font-weight:bold;
	color:#fff;
	text-shadow:0 1px 1px #222;
	background-image:-webkit-gradient(linear,left top,left bottom,from(#1b313c),to(#24263b));
	background-image:-webkit-linear-gradient(top,#1b313c,#24263b);
	background-image:-moz-linear-gradient(top,#1b313c,#24263b);
	background-image:-ms-linear-gradient(top,#1b313c,#24263b);
	background-image:-o-linear-gradient(top,#1b313c,#24263b);
	background-image:linear-gradient(top,#1b313c,#24263b)}
	
.ui-btn-down-o a.ui-link-inherit {
	color:#fff}
	
.ui-btn-up-o,.ui-btn-hover-o,.ui-btn-down-o {
	font-family:Helvetica,Arial,sans-serif;
	text-decoration:none}
'! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/13/2011 17:57'!
jqmdocsCss
	^ '/* jqm docs css

Beware: lots of last-minute CSS going on in here 
cobblers, shoes, 
*/

body { background: #dddddd; }

.ui-mobile .type-home .ui-content { margin: 0; background: #e5e5e5 url(../images/jqm-sitebg.png) top center repeat-x; }
.ui-mobile #jqm-homeheader { padding: 40px 10px 0; text-align: center;  margin: 0 auto; }
.ui-mobile #jqm-homeheader h1 { margin: 0 0 ; }
.ui-mobile #jqm-homeheader p { margin: .3em 0 0; line-height: 1.3; font-size: .9em; font-weight: bold; color: #666; }
.ui-mobile #jqm-version { text-indent: -99999px; background: url(../images/version.png) top right no-repeat; width: 119px; height: 122px; overflow: hidden; position: absolute; z-index: 50; top: 0; right: 0; }
.ui-mobile .jqm-themeswitcher { margin: 10px 25px 10px 10px;  }

h2 { margin:1.2em 0 .4em 0; }
p code { font-size:1.2em; font-weight:bold; } 

dt { font-weight: bold; margin: 2em 0 .5em; }
dt code, dd code { font-size:1.3em; line-height:150%; }
pre { white-space: pre; white-space: pre-wrap; word-wrap: break-word; }

#jqm-homeheader img { width: 235px; }
img { max-width: 100%; }

.ui-header .jqm-home { top:0.65em; }
nav { margin: 0; }

p.intro {
	font-size: .96em;
	line-height: 1.3;
		border-top: 1px solid #75ae18;
		border-bottom: 0;
		background: none;
		margin: 1.5em 0;
		padding: 1.5em 15px 0;

}
p.intro strong {
	color:  #558e08;
}
.footer-docs {
	padding: 5px 0;
}
.footer-docs p {
	float: left;
	margin-left:15px;
	font-weight: normal;
	font-size: .9em;
}

.type-interior .content-secondary {
	border-right: 0;
	border-left: 0;
	margin: 10px -15px 0;
	background: #fff;
	border-top: 1px solid #ccc;
}
.type-home .ui-content {
	margin-top: 5px;
}
.type-interior .ui-content {
	padding-bottom: 0;
}
.content-secondary .ui-collapsible {
	padding: 0 15px 10px;

}
.content-secondary .ui-collapsible-content {
	padding: 0;
	background: none;
	border-bottom: none;
}
.content-secondary .ui-listview {
	margin: 0;
}
/* new API additions */

dt {  
	margin: 35px 0 15px 0; 
	background-color:#ddd; 
	font-weight:normal;
}
dt code { 
	display:inline-block; 
	font-weight:bold;
	color:#56A00E; 
	padding:3px 7px; 
	margin-right:10px; 
	background-color:#fff; 
}
dd { 
	margin-bottom:10px; 
}
dd .default { font-weight:bold; }
dd pre { 
	margin:0 0 0 0; 
}
dd code { font-weight: normal; }
dd pre code { 
	margin:0; 
	border:none; 
	font-weight:normal; 
	font-size:100%; 
	background-color:transparent; 
}
dd h4 { margin:15px 0 0 0; }
		
.localnav {
	margin:0 0 20px 0;
	overflow:hidden;
}
.localnav li {
	float:left;
}
.localnav .ui-btn-inner { 
	padding: .6em 10px; 
	font-size:80%; 
}


/* F bar theme - just for the docs overview headers */
.ui-bar-f {
	border: 1px solid 		#56A00E;
	background: 			#74b042;
	color: 					#fff;
	font-weight: bold;
	text-shadow: 0 -1px 1px #234403;	
	background-image: -webkit-gradient(linear, left top, left bottom, from(#74b042), to(#56A00E)); /* Saf4+, Chrome */
	background-image: -webkit-linear-gradient(top, #74b042, #56A00E); /* Chrome 10+, Saf5.1+ */
	background-image:    -moz-linear-gradient(top, #74b042, #56A00E); /* FF3.6 */
	background-image:     -ms-linear-gradient(top, #74b042, #56A00E); /* IE10 */
	background-image:      -o-linear-gradient(top, #74b042, #56A00E); /* Opera 11.10+ */
	background-image:         linear-gradient(top, #74b042, #56A00E);		
}
.ui-bar-f,
.ui-bar-f .ui-link-inherit {
	color: 					#fff;
}
.ui-bar-f .ui-link {
	color: 					#fff;
	font-weight: bold;
}




/* docs site layout */

@media all and (min-width: 650px){
	
	.jqm-home {
		position: absolute;
		left: 10px;
		top: 0;
	}
	.type-home .ui-content {
		margin-top: 5px;
	}
	.ui-mobile #jqm-homeheader {
		max-width: 340px;
	}
	.ui-mobile .jqm-themeswitcher {
		float: right;
	}
	p.intro {
		margin: 2em 0;
	}
	.type-home .ui-content,
	.type-interior .ui-content {
		padding: 0;
		background: url(px-ccc.gif) 50% 0 repeat-y;
	}
	.type-interior .ui-content {
		background-position: 45%;
		overflow: hidden;
	}
	.content-secondary {
		text-align: left;
		float: left;
		width: 45%;
		background: none;
	}
	.content-secondary,
	.type-interior .content-secondary {
		margin: 30px 0 20px 2%;
		padding: 20px 4% 0 0;
			background: none;
					border-top: none;
	}
	.type-index .content-secondary {
		padding: 0;
	}
	.content-secondary .ui-collapsible {
		margin: 0;
		padding: 0;
	}
	.content-secondary .ui-collapsible-content {
		border: none;
	}
	.type-index .content-secondary .ui-listview {
		margin: 0;
	}

	.ui-mobile #jqm-homeheader {
		padding: 0;
	}
	.content-primary {
		width: 45%;
		float: right;
		margin-top: 30px;
		margin-right: 1%;
		padding-right: 1%;
	}
	.content-primary ul:first-child {
		margin-top: 0;
	}
	.content-secondary h2 {
		position: absolute;
		left: -9999px;
	}
	.type-interior .content-primary {
		padding: 1.5em 6% 3em 0;
		margin: 0;
	}
	/* fix up the collapsibles - expanded on desktop */
	.content-secondary .ui-collapsible-heading {
		display: none;
	}
	.content-secondary .ui-collapsible-contain {
		margin:0;
	}
	.content-secondary .ui-collapsible-content {
		display: block;
		margin: 0;
		padding: 0;
	}
	.type-interior  .content-secondary .ui-li-divider {
		padding-top: 1em;
		padding-bottom: 1em;
	}
	.type-interior .content-secondary {
		margin: 0;
		padding: 0;
	}
	
}
@media all and (min-width: 750px){
	.type-home .ui-content,
	.type-interior .ui-content {
		background-position: 39%;
	}
	.content-secondary {
		width: 34%;
	}
	.content-primary {
		width: 56%;
		padding-right: 1%;
	}	
	.type-interior .ui-content {
		background-position: 34%;
	}
}

@media all and (min-width: 1200px){
	.type-home .ui-content{
		background-position: 38.5%;
	}
	.type-interior .ui-content {
		background-position: 30%;
	}
	.content-secondary {
		width: 30%;
		padding-right:6%;
		margin: 30px 0 20px 5%;
	}
	.type-interior .content-secondary {
		margin: 0;
		padding: 0;
	}
	.content-primary {
		width: 50%;
		margin-right: 5%;
		padding-right: 3%;
	}
	.type-interior .content-primary {
		width: 60%;
	}
}'! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/13/2011 17:54'!
pxcccGif
	^ #(71 73 70 56 57 97 1 0 1 0 128 0 0 204 204 204 0 0 0 33 249 4 0 0 0 0 0 44 0 0 0 0 1 0 1 0 0 2 2 68 1 0 59) asByteArray! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/29/2011 13:07'!
seaside114x114Png
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 114 0 0 0 114 8 6 0 0 0 143 221 133 125 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 1 100 105 84 88 116 88 77 76 58 99 111 109 46 97 100 111 98 101 46 120 109 112 0 0 0 0 0 60 120 58 120 109 112 109 101 116 97 32 120 109 108 110 115 58 120 61 34 97 100 111 98 101 58 110 115 58 109 101 116 97 47 34 32 120 58 120 109 112 116 107 61 34 88 77 80 32 67 111 114 101 32 52 46 52 46 48 34 62 10 32 32 32 60 114 100 102 58 82 68 70 32 120 109 108 110 115 58 114 100 102 61 34 104 116 116 112 58 47 47 119 119 119 46 119 51 46 111 114 103 47 49 57 57 57 47 48 50 47 50 50 45 114 100 102 45 115 121 110 116 97 120 45 110 115 35 34 62 10 32 32 32 32 32 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 34 34 10 32 32 32 32 32 32 32 32 32 32 32 32 120 109 108 110 115 58 120 109 112 61 34 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 34 62 10 32 32 32 32 32 32 32 32 32 60 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 60 47 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 10 32 32 32 32 32 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 32 32 32 60 47 114 100 102 58 82 68 70 62 10 60 47 120 58 120 109 112 109 101 116 97 62 10 27 229 122 14 0 0 32 0 73 68 65 84 120 1 229 157 9 212 222 85 125 231 127 207 242 46 121 179 135 144 132 132 37 97 73 64 54 65 4 2 110 227 214 106 93 232 81 43 206 32 114 90 28 209 218 170 71 61 163 211 82 237 232 233 180 117 156 83 59 118 180 238 29 112 24 228 56 199 165 104 157 163 45 212 165 42 34 20 69 89 34 4 8 9 129 36 100 127 183 103 153 239 231 254 159 239 147 251 252 243 188 111 18 16 230 77 230 151 220 231 238 247 254 238 239 123 127 191 123 255 247 191 188 149 118 187 29 135 59 85 68 26 199 225 63 144 39 1 4 2 120 18 213 159 190 170 128 245 68 123 251 255 1 228 25 15 100 31 0 115 64 243 176 113 46 207 204 158 248 145 10 234 140 5 114 26 0 13 158 125 3 88 246 13 96 217 143 35 17 204 106 121 244 51 48 14 96 118 240 91 61 61 162 246 178 147 163 182 50 162 174 120 45 115 41 95 113 202 19 118 61 251 74 82 226 147 48 211 169 129 25 248 51 35 53 50 19 116 14 64 229 5 43 163 62 119 34 170 95 223 24 77 201 18 77 171 157 184 48 6 143 174 68 251 71 219 82 90 171 147 158 107 33 225 178 83 146 18 69 41 112 4 252 204 56 32 167 0 177 250 186 99 163 126 195 134 152 148 204 155 167 141 196 178 231 44 139 185 255 186 53 38 127 188 35 182 129 195 73 115 98 232 87 187 99 130 124 57 0 205 65 205 195 6 85 69 142 28 48 103 58 144 152 199 120 229 242 24 148 22 142 125 232 140 88 245 150 213 241 246 121 245 120 81 165 29 243 154 237 24 221 58 30 63 249 194 125 241 197 171 239 140 219 86 204 138 129 157 163 49 182 43 18 224 6 211 62 0 150 1 165 249 35 66 51 103 20 144 125 180 177 34 77 28 144 38 78 124 249 185 113 246 43 143 141 27 6 134 227 196 104 116 32 1 5 65 221 28 141 241 255 179 57 254 211 203 191 27 215 205 31 142 202 142 177 216 171 156 113 185 92 59 13 232 126 96 30 9 38 118 166 2 153 54 42 39 107 13 92 39 133 89 62 55 230 253 234 183 226 235 195 179 227 194 16 104 90 217 216 228 232 20 0 101 138 86 165 26 3 232 218 215 54 196 135 94 253 253 184 118 197 80 196 195 227 33 197 76 166 214 176 151 65 181 137 77 235 228 225 14 102 50 93 26 240 76 34 54 56 137 214 158 21 117 9 120 226 187 47 142 215 14 207 138 11 219 99 210 176 74 12 233 104 160 166 66 85 133 107 10 15 180 155 210 81 141 228 21 203 227 234 63 57 45 94 36 16 107 2 115 174 26 25 148 3 116 198 201 238 54 77 144 204 239 110 166 50 107 160 236 195 143 102 34 144 72 17 1 87 127 177 37 218 18 240 208 210 89 241 74 32 16 104 237 158 11 138 78 73 105 100 29 48 171 3 17 239 92 29 239 61 102 40 78 16 152 195 243 134 98 182 138 0 166 114 122 46 83 12 32 254 17 65 51 6 200 76 35 146 112 95 176 50 170 183 110 140 198 21 43 227 152 129 106 156 154 46 32 42 9 198 66 240 148 74 37 229 3 50 96 54 162 185 112 110 172 186 126 109 188 73 169 131 67 173 152 35 95 134 182 123 189 201 120 115 231 86 82 75 25 15 42 118 120 209 140 1 178 35 54 67 83 225 122 81 105 173 243 151 198 81 245 106 44 78 64 2 157 69 159 203 153 146 105 213 84 29 93 160 92 188 56 94 255 254 83 227 5 143 77 70 117 233 96 2 211 38 214 135 7 212 112 75 185 127 216 30 22 204 52 32 129 39 129 57 44 16 8 87 107 49 40 147 138 86 237 19 125 25 6 182 43 2 178 50 16 218 188 69 179 58 24 21 153 216 171 134 106 177 124 243 68 12 205 29 138 89 42 129 121 205 215 203 124 205 76 125 42 255 176 165 153 8 36 194 172 140 119 86 195 185 3 161 11 138 4 106 1 36 185 6 146 176 137 52 233 93 165 30 181 246 100 52 151 204 141 147 190 245 188 184 92 169 67 37 19 107 48 221 138 125 107 230 97 169 149 12 98 70 211 252 193 180 251 68 248 186 214 16 164 136 27 174 115 241 251 66 2 157 67 247 106 202 213 69 199 115 23 199 107 222 179 38 46 222 34 237 94 50 176 159 137 165 133 178 86 30 182 96 206 52 32 45 200 202 100 43 65 86 105 52 193 79 164 28 109 104 10 61 245 74 215 73 199 75 107 40 233 195 42 55 171 99 98 7 162 250 238 83 226 74 165 46 125 116 50 134 230 12 38 152 153 20 56 131 88 158 22 202 58 252 104 166 1 105 9 86 38 11 200 98 86 61 70 170 92 49 138 186 26 9 4 64 145 115 207 121 13 132 86 234 162 163 50 156 76 108 107 217 188 88 45 19 251 6 114 134 219 233 114 36 223 197 78 5 102 234 239 112 218 197 230 162 64 12 51 142 164 69 35 6 76 155 158 2 60 64 244 149 33 28 147 238 131 55 242 48 175 243 228 180 249 193 196 190 240 232 120 253 31 156 20 23 202 196 86 100 98 185 182 204 55 62 214 72 124 90 202 221 83 178 94 50 65 14 149 196 215 180 52 99 129 108 116 54 59 19 173 238 133 71 49 16 56 70 143 12 5 169 6 146 67 56 242 209 57 157 235 84 230 203 196 86 162 89 31 140 218 251 79 139 127 175 106 203 158 110 19 219 15 176 14 199 249 132 153 46 172 226 26 75 70 41 161 244 51 147 128 100 48 144 7 149 34 195 117 233 87 206 37 97 180 206 90 153 231 113 170 10 1 50 90 185 64 141 205 45 76 236 49 115 99 245 223 95 28 175 39 119 26 19 75 223 180 104 30 18 79 200 80 105 7 77 153 204 93 47 111 207 237 227 79 231 92 199 229 221 86 23 212 156 33 10 205 104 98 141 76 195 213 1 121 18 175 215 71 128 68 243 60 2 134 9 144 104 37 101 180 233 73 251 221 163 228 143 168 166 242 94 188 44 126 231 202 149 241 236 206 46 182 159 137 165 102 46 56 11 115 90 19 155 3 215 1 221 245 240 221 30 254 116 206 125 151 203 228 109 184 93 53 85 104 105 10 232 7 113 204 36 130 209 30 210 61 199 98 27 227 28 134 201 144 113 108 103 209 62 0 36 159 146 14 147 206 121 142 210 43 90 27 91 122 170 160 94 139 129 15 156 30 87 126 102 125 220 35 19 187 69 217 179 116 39 218 119 69 124 17 67 43 244 146 54 203 242 77 156 251 38 46 184 83 226 176 51 229 155 195 3 249 213 99 85 246 100 141 64 135 80 218 96 167 190 184 85 211 222 173 17 220 185 111 181 55 63 246 233 138 182 205 87 242 225 3 126 102 26 144 48 219 67 58 157 153 157 64 107 164 1 232 68 85 217 128 148 3 57 166 56 195 2 2 238 66 226 147 239 114 130 170 170 59 34 237 205 209 58 118 78 156 126 227 69 113 233 111 253 32 62 49 79 27 31 105 39 79 29 80 3 151 11 205 45 42 185 75 22 30 64 231 212 15 188 60 45 61 103 164 131 223 234 86 213 90 167 190 54 20 55 191 83 123 74 162 44 109 14 157 42 206 239 218 103 91 202 124 185 188 138 38 234 198 103 4 144 125 102 119 116 54 59 109 105 17 39 59 136 184 215 180 230 64 90 100 140 141 135 61 128 134 52 70 135 99 184 210 212 10 128 111 143 120 233 210 184 244 205 43 227 214 79 175 143 31 178 139 149 118 42 183 7 72 106 88 72 8 211 148 247 68 154 227 185 79 184 178 92 192 172 18 40 154 75 181 7 213 150 52 141 62 152 102 245 99 34 22 255 161 158 78 57 57 226 4 129 187 76 25 205 135 35 30 250 88 196 207 126 25 177 121 68 23 80 26 222 132 180 148 209 208 63 86 3 126 114 94 20 77 148 172 3 195 156 217 148 155 86 68 4 199 104 26 62 113 204 39 160 26 60 124 107 37 115 28 199 198 103 126 74 175 182 70 101 98 27 49 112 245 105 113 165 128 188 183 99 98 135 37 177 242 236 87 133 68 244 66 158 129 45 82 139 95 242 32 252 234 89 114 179 22 69 173 177 45 42 183 170 252 198 130 43 192 152 245 186 136 19 95 21 113 206 73 58 211 23 43 107 181 188 175 209 50 62 200 80 104 248 76 185 231 70 220 119 75 196 223 94 17 113 131 242 6 208 96 153 91 234 67 6 209 126 15 63 51 21 200 202 110 238 61 10 162 161 186 142 214 16 19 49 64 129 99 131 73 58 32 33 13 3 201 48 209 60 226 212 161 12 229 53 205 99 161 154 216 43 216 55 70 235 184 57 113 198 87 46 140 215 93 242 195 248 180 206 115 231 110 221 167 149 42 216 37 106 211 162 57 200 133 87 57 86 233 39 44 142 250 172 102 84 239 123 60 226 14 52 103 91 18 60 156 46 250 139 57 113 202 179 218 113 225 209 227 241 156 225 70 156 35 22 142 129 13 212 107 84 14 132 228 12 76 117 177 192 126 89 196 95 92 27 113 212 101 17 159 21 224 180 99 146 226 118 201 60 57 97 230 174 145 178 128 144 110 126 164 253 103 39 38 15 237 51 152 12 147 157 43 142 167 116 44 118 128 68 74 249 112 209 92 238 78 30 45 124 149 95 217 18 241 242 37 113 233 239 44 143 159 124 105 99 220 186 124 36 230 110 220 155 106 228 96 33 115 90 53 144 177 70 60 45 88 164 77 74 43 170 55 109 143 246 134 45 105 202 208 219 208 139 231 196 113 111 158 31 103 174 169 72 235 26 177 118 112 50 206 24 153 208 84 19 159 163 106 65 55 2 98 135 112 236 204 175 170 124 118 79 93 176 100 74 39 53 47 7 206 143 120 199 27 34 110 191 46 226 39 203 53 126 105 54 35 49 95 157 234 137 39 37 23 233 136 100 70 82 171 115 68 215 42 52 179 224 145 33 27 68 124 134 7 136 92 106 144 71 28 194 180 2 38 115 152 124 242 24 62 229 116 226 83 89 18 213 214 158 104 14 84 98 248 35 103 196 91 4 228 127 16 136 219 86 205 142 185 155 246 164 170 6 47 1 120 170 14 23 84 45 54 138 151 187 119 10 184 109 9 60 165 196 252 15 159 16 167 191 100 94 92 176 188 26 207 153 221 140 243 134 26 113 252 136 172 1 200 238 86 255 123 181 52 200 107 11 189 212 166 144 227 49 149 125 100 120 148 162 57 58 32 77 109 72 51 135 94 29 241 18 1 41 37 79 220 123 90 82 218 46 241 166 120 242 103 34 144 108 20 162 106 211 90 77 87 131 137 123 29 154 23 64 226 227 24 2 102 21 128 240 1 144 52 0 196 118 225 51 108 202 66 140 214 38 118 84 187 216 7 163 117 252 156 56 243 71 207 143 183 95 112 115 252 213 253 123 82 11 35 203 135 98 64 197 26 2 186 241 192 88 76 222 181 43 77 11 90 175 159 59 47 150 190 111 101 60 227 156 217 177 118 73 61 158 51 82 139 51 235 45 173 192 136 90 125 238 17 136 219 27 209 104 74 151 213 125 77 125 86 171 153 101 64 5 219 138 131 110 119 226 41 8 117 88 173 80 92 171 192 113 242 230 238 212 124 144 15 231 212 96 36 6 18 63 129 136 63 19 129 20 95 18 70 97 91 181 161 77 219 153 148 150 204 42 166 213 32 230 64 98 58 209 66 210 144 132 31 136 36 204 40 61 100 202 73 195 98 137 220 168 90 122 56 226 252 163 226 229 15 190 36 86 124 242 254 248 187 63 91 23 183 108 28 15 25 222 36 56 86 218 129 55 47 143 149 151 174 136 179 79 157 21 23 47 170 199 121 131 149 88 83 165 77 218 150 120 5 74 91 119 105 90 77 245 161 197 170 90 29 137 122 186 64 84 126 75 45 52 53 5 112 41 44 192 147 138 82 183 15 25 29 85 35 88 87 55 244 196 168 113 212 194 49 154 30 162 208 140 35 77 230 125 140 114 217 97 2 192 28 72 210 137 219 188 106 145 73 68 13 64 69 135 88 229 32 183 136 79 121 129 89 89 38 105 9 240 202 86 109 126 230 198 217 31 58 45 62 250 7 171 226 206 77 99 241 243 237 147 177 113 110 45 134 78 24 138 103 44 168 199 217 122 110 72 43 163 234 209 158 28 207 7 105 146 181 53 205 170 106 15 99 1 39 81 85 94 139 124 33 209 2 64 181 143 6 54 164 173 77 241 212 100 106 236 27 17 85 246 241 86 164 39 141 188 47 226 1 229 176 137 161 93 122 206 157 162 61 241 25 191 217 169 13 212 210 242 84 220 139 100 72 118 54 50 196 109 94 9 99 128 24 114 199 212 165 184 162 41 13 31 162 110 199 196 178 245 212 28 175 182 182 69 75 187 143 234 178 145 56 99 217 236 56 35 205 123 4 203 252 7 60 133 57 128 103 151 92 17 120 114 152 205 212 55 230 18 243 89 81 223 109 129 87 17 104 90 131 147 6 162 125 128 56 41 3 137 70 150 169 2 207 240 11 248 42 34 131 193 161 193 232 151 139 245 177 166 121 0 7 253 64 236 105 106 166 105 36 12 231 84 213 90 9 76 5 49 104 64 240 176 72 37 78 9 46 67 48 155 8 139 124 0 149 20 186 187 87 234 230 68 156 211 214 37 114 170 95 157 19 213 246 54 201 114 84 130 147 80 105 162 77 25 128 227 72 66 183 196 42 67 2 207 235 113 198 7 0 118 39 14 98 7 72 241 209 20 120 19 186 44 153 212 66 151 214 68 101 153 18 248 240 171 118 90 154 116 220 61 231 63 27 235 239 70 220 124 115 196 253 234 170 162 33 148 225 135 181 253 104 38 1 105 6 49 45 251 194 26 93 151 16 44 142 92 151 32 147 81 96 46 113 210 132 68 212 3 72 76 44 26 5 216 8 63 111 143 52 36 71 125 105 104 229 104 181 186 71 61 160 205 162 180 131 160 77 202 185 111 3 72 59 118 54 225 138 183 89 3 197 67 67 0 78 72 181 48 173 148 3 184 226 81 7 177 33 0 107 106 151 52 214 78 61 147 75 145 166 172 125 237 126 157 236 188 55 226 43 170 213 80 54 156 192 189 178 247 163 92 2 105 8 251 149 120 58 19 58 199 115 48 213 117 140 187 19 175 233 81 200 57 12 67 102 45 146 25 66 144 56 19 37 17 50 179 27 161 19 55 1 162 180 163 107 94 73 119 190 69 67 93 180 25 176 208 80 230 63 162 179 65 83 176 91 135 48 233 212 181 143 54 82 94 125 181 180 70 55 4 222 196 35 106 70 64 38 83 218 225 149 117 18 254 235 154 56 128 8 1 114 210 70 121 96 171 253 93 227 35 17 159 123 88 111 60 204 87 88 215 156 158 134 238 141 106 244 94 118 79 63 144 125 206 85 17 109 143 107 46 20 84 18 196 137 115 99 174 46 1 22 37 182 41 131 230 32 120 3 201 240 32 106 3 4 102 143 124 132 75 26 160 160 17 248 148 165 190 1 84 176 135 168 71 29 202 80 214 162 51 104 78 83 86 151 58 0 182 5 160 214 216 104 110 82 215 143 41 204 5 131 8 141 75 237 200 3 192 1 169 92 21 16 213 86 67 124 165 157 172 54 115 42 198 67 242 241 249 136 255 121 93 196 173 42 198 193 1 173 152 243 253 128 83 94 207 72 44 18 165 63 117 4 120 166 78 47 12 49 119 240 65 28 191 122 162 94 143 147 223 248 240 5 113 166 110 44 175 97 56 218 22 22 119 62 44 112 21 72 53 240 169 101 32 241 25 34 173 33 124 76 45 166 47 7 198 34 176 175 236 253 136 250 253 136 116 234 97 244 104 91 106 164 187 42 233 118 70 75 218 136 105 77 125 171 12 38 83 207 218 234 77 92 41 253 114 249 139 52 207 52 217 48 177 0 217 217 252 180 165 125 241 237 136 127 250 147 136 127 144 102 234 229 178 244 2 18 92 91 223 205 189 253 253 56 103 254 253 218 9 208 250 52 234 180 126 126 2 80 117 170 199 207 143 129 109 59 146 94 13 189 228 216 248 93 109 48 184 68 104 118 55 26 112 236 22 242 78 0 24 141 196 161 133 16 195 197 180 98 160 16 73 174 145 22 69 217 87 177 30 34 223 101 200 160 29 218 67 95 184 214 149 6 182 1 16 80 33 70 34 113 83 165 38 132 6 117 36 84 195 116 43 33 237 96 49 191 170 219 2 72 129 166 11 255 218 109 17 191 188 44 66 202 24 19 170 190 91 115 129 17 160 141 54 242 0 152 131 104 174 204 217 175 239 242 163 15 120 22 183 125 241 146 32 112 188 235 107 178 214 70 22 69 125 145 52 241 1 129 184 121 79 236 248 201 107 227 93 139 103 199 203 209 38 21 172 166 245 11 129 76 7 36 102 139 50 29 97 42 84 136 3 45 1 0 68 1 237 39 134 34 185 155 238 50 157 228 228 81 151 118 16 177 236 94 58 50 144 57 77 90 137 200 197 100 218 204 160 133 226 3 45 172 45 80 152 181 91 117 117 215 165 88 67 5 120 67 187 88 21 107 177 92 62 24 177 245 247 147 85 141 199 181 223 218 171 230 153 34 104 35 173 194 117 25 76 56 193 117 65 84 56 137 5 255 144 105 26 224 104 171 11 82 167 97 226 121 90 113 191 110 177 238 215 205 137 218 237 154 217 27 139 111 0 48 128 225 91 94 27 127 120 238 226 248 112 98 87 39 38 2 135 203 241 2 36 52 47 39 15 7 240 16 26 215 135 148 97 248 244 104 13 66 44 12 159 180 28 72 215 183 175 236 30 17 145 238 54 56 112 0 188 45 114 104 163 250 72 213 212 38 102 20 170 74 197 234 226 181 42 77 4 68 182 224 77 129 199 198 166 33 127 82 245 117 124 215 18 214 85 225 217 248 51 109 110 238 142 88 175 117 145 251 143 74 218 15 68 90 198 229 0 154 91 251 135 6 228 52 224 229 32 169 207 30 208 136 87 151 47 143 234 106 61 241 93 215 195 80 91 116 191 78 224 53 55 114 231 96 75 98 124 228 183 79 138 19 222 180 58 78 95 187 44 254 237 146 145 120 21 108 235 244 164 165 217 93 77 215 122 154 221 105 87 10 96 176 239 33 184 103 37 37 0 209 72 52 147 41 65 30 34 144 0 211 252 70 20 174 175 96 183 29 183 103 223 121 148 167 29 116 4 17 3 32 14 211 74 89 218 18 200 9 68 129 86 91 162 46 143 82 178 84 205 32 98 66 89 241 0 115 92 117 117 56 144 54 55 24 150 235 34 174 191 161 216 220 52 84 4 61 167 229 92 19 13 162 253 50 152 93 142 105 239 128 84 2 208 162 235 231 231 105 149 179 150 234 133 83 1 55 170 215 80 111 90 31 122 108 70 195 126 44 205 239 250 49 195 113 212 159 63 63 78 57 111 113 60 91 167 41 23 235 150 248 51 245 88 199 138 52 181 16 94 77 32 46 144 168 36 152 164 141 18 78 202 131 117 200 61 21 177 226 215 235 36 96 34 120 136 242 8 147 181 114 182 156 4 62 37 128 110 27 31 113 118 64 8 173 129 9 64 218 68 164 238 219 97 22 186 69 74 198 148 114 61 42 169 82 132 219 101 60 136 131 38 142 61 42 149 147 54 170 233 54 197 110 140 248 199 15 20 155 27 14 126 0 145 222 48 222 6 18 59 128 163 23 3 136 15 119 118 10 22 52 45 144 211 0 232 161 224 59 188 191 214 109 142 198 29 155 19 115 148 153 247 254 103 197 202 151 173 138 51 79 156 23 23 45 24 138 103 207 170 197 41 218 119 163 63 5 187 140 82 199 96 21 46 63 230 201 201 222 164 11 118 95 86 164 130 165 31 134 100 234 103 94 201 3 68 180 146 237 161 71 108 81 148 125 196 134 94 80 254 113 57 52 16 32 153 92 16 125 88 172 76 24 52 80 64 194 39 107 99 186 67 67 27 130 131 243 86 78 119 198 181 33 154 16 144 186 53 215 92 168 219 88 255 218 142 187 46 151 54 170 212 184 4 147 238 118 41 108 16 115 32 105 201 174 12 162 57 215 218 60 197 195 87 7 11 224 74 141 97 181 180 174 38 173 187 87 179 109 221 198 244 120 3 90 7 51 67 47 93 25 199 190 237 236 56 227 212 133 113 254 210 145 56 127 78 45 206 210 195 194 192 84 176 199 124 211 253 186 246 128 240 67 227 180 22 234 174 65 45 109 88 16 18 218 131 224 41 111 182 61 109 136 67 196 243 48 229 169 155 46 96 58 249 136 8 96 240 105 51 111 207 237 226 147 15 232 104 30 224 9 128 116 33 128 8 93 7 177 210 167 52 48 150 41 136 175 137 198 101 70 226 131 49 169 60 230 22 115 58 161 137 48 246 144 112 29 143 150 230 101 237 129 118 108 125 107 196 23 84 202 155 27 89 213 52 117 232 221 26 104 63 7 17 46 12 166 130 221 81 19 238 206 207 20 225 167 15 136 22 29 126 229 100 13 137 119 251 101 251 107 223 90 23 109 125 77 163 17 155 19 112 12 101 209 39 94 24 167 92 184 60 206 93 174 251 117 122 245 251 220 161 106 172 76 59 55 4 5 123 147 154 64 53 205 50 206 47 5 41 107 160 206 50 139 203 6 90 176 195 76 34 188 50 229 160 57 236 50 112 104 243 138 158 99 172 104 3 113 176 206 1 18 125 209 7 117 237 224 43 215 66 0 68 27 189 206 210 6 34 164 29 234 31 45 39 16 121 0 26 123 146 107 97 106 83 229 56 166 155 212 100 0 196 137 237 197 97 184 16 107 253 185 118 168 119 235 28 85 160 122 115 67 207 214 66 251 6 16 63 7 208 28 119 71 142 54 170 204 254 64 146 216 161 4 156 194 9 200 147 245 201 176 181 186 207 118 205 29 209 90 119 71 26 34 13 204 125 231 51 227 164 223 94 29 103 175 154 31 23 46 28 138 243 103 13 196 51 106 131 9 166 2 56 132 52 33 173 171 105 136 128 55 44 224 212 78 218 93 34 108 132 138 22 1 128 193 75 61 42 110 159 158 28 86 48 9 11 159 52 231 165 225 40 142 208 105 19 129 59 95 193 4 42 90 201 174 150 116 28 34 234 167 133 148 163 61 218 194 71 156 132 89 175 1 112 177 156 118 165 157 69 97 159 30 41 9 106 9 26 206 90 199 55 200 61 82 180 132 33 184 38 226 75 95 210 227 27 50 62 222 220 48 181 224 32 7 176 172 141 6 19 78 114 151 76 170 210 18 33 194 46 101 218 232 161 226 71 250 214 205 186 244 60 38 29 47 254 198 37 241 172 83 23 197 218 69 195 177 118 100 64 247 234 6 52 71 17 30 130 129 37 153 17 9 170 197 77 86 129 86 233 152 204 66 184 6 143 242 57 112 238 81 201 251 81 226 66 169 12 3 34 238 112 74 40 253 24 76 202 193 19 62 226 194 100 98 118 13 12 188 162 181 219 229 208 66 182 28 164 65 174 75 125 234 228 90 56 91 113 111 154 16 123 198 11 39 59 77 181 51 177 81 218 248 160 16 155 208 230 70 111 117 126 163 29 55 253 81 196 55 84 141 219 146 7 218 220 24 76 122 55 120 121 184 7 68 149 233 171 145 12 1 74 62 95 157 226 131 69 138 207 185 231 138 184 82 15 248 94 174 39 219 206 213 153 33 226 42 132 162 110 121 75 88 231 57 122 4 91 207 164 144 135 230 161 21 0 135 99 224 56 3 72 235 238 73 193 68 176 76 154 253 34 117 95 154 227 211 249 110 215 26 14 104 16 162 1 72 120 193 100 210 7 70 13 16 49 163 0 74 26 163 66 100 56 218 98 35 131 22 2 36 90 8 168 76 127 202 82 38 39 245 193 57 235 164 54 54 227 128 168 231 130 4 34 155 155 123 47 43 54 55 99 106 114 151 138 161 243 112 129 92 225 172 236 204 129 125 122 155 150 186 26 153 105 35 21 24 66 161 137 27 98 252 83 255 38 78 189 236 25 241 223 103 141 196 243 72 79 179 86 223 188 73 173 107 182 9 192 10 175 124 51 192 116 235 7 192 202 224 209 83 1 61 45 20 130 40 66 157 222 28 121 18 190 133 203 240 1 146 62 17 149 137 109 5 4 111 0 204 186 137 72 9 167 17 203 183 232 152 132 152 208 165 114 128 137 22 82 111 170 49 168 30 215 140 233 238 199 3 66 73 79 29 204 22 136 27 218 177 237 42 61 218 168 154 91 101 213 57 185 129 11 64 68 247 203 0 194 137 157 57 97 84 185 219 79 27 149 223 87 35 73 175 240 25 205 27 214 69 227 29 167 199 138 203 79 139 235 134 244 144 146 54 11 116 12 213 52 240 90 90 228 25 24 206 26 224 129 194 6 165 17 144 5 76 188 159 57 165 76 63 167 228 174 128 9 231 195 113 155 78 163 63 68 0 112 136 136 116 120 193 135 104 159 124 52 144 116 139 75 193 20 183 216 200 3 184 37 114 172 137 218 149 116 181 144 54 76 238 183 227 115 205 216 82 219 147 27 132 210 166 104 15 232 169 131 157 173 104 253 101 59 254 238 238 98 115 51 41 4 13 162 185 204 129 52 71 230 4 191 212 139 18 58 155 27 179 97 159 57 155 83 87 156 115 198 116 199 188 221 30 127 252 205 149 247 12 205 142 51 117 40 60 169 204 186 4 178 111 56 238 10 31 54 200 65 16 185 203 1 206 211 9 187 60 254 116 97 101 39 242 176 28 199 119 154 135 143 136 48 147 204 121 79 59 5 187 128 82 158 116 124 250 116 125 124 107 33 32 206 151 243 90 8 175 38 202 65 121 61 245 217 146 217 158 220 168 121 244 128 100 61 158 46 41 227 211 173 184 254 218 86 220 162 205 77 83 8 178 46 122 115 147 3 72 216 32 226 123 36 121 15 169 215 169 64 84 157 254 26 41 109 172 74 27 39 223 180 166 178 226 51 47 210 87 167 16 142 158 103 209 192 139 135 20 169 233 1 17 238 71 206 71 88 101 114 90 63 159 180 178 115 125 218 116 158 211 220 6 113 242 17 11 32 122 21 82 112 74 162 188 249 100 253 43 107 33 147 16 114 25 124 250 195 183 184 37 250 182 224 105 234 122 81 32 114 32 222 158 35 57 125 179 17 223 253 227 201 248 150 86 25 54 55 172 206 6 209 38 21 208 166 3 145 30 232 41 245 62 29 136 42 211 23 200 202 210 70 98 183 165 219 72 75 245 52 237 162 206 162 190 15 68 106 30 136 82 247 42 212 101 101 138 240 116 229 250 229 209 111 158 78 28 114 26 97 207 111 194 16 121 118 41 33 251 1 24 131 184 72 97 76 105 190 22 230 237 82 205 113 3 41 88 216 224 52 164 141 147 143 69 75 123 161 234 131 205 216 242 182 209 248 170 74 143 203 228 237 145 129 192 70 160 14 6 14 223 97 115 235 22 13 160 138 28 60 149 77 107 94 179 186 109 44 38 116 66 145 62 216 215 29 64 94 194 218 224 193 57 47 143 59 108 159 50 121 216 51 220 109 185 13 124 231 229 97 215 197 159 202 81 126 42 114 29 242 9 3 26 64 202 254 165 181 144 141 154 121 33 63 231 65 209 68 164 35 126 137 60 61 163 35 163 217 208 78 149 27 197 84 191 165 17 63 149 130 62 170 38 185 245 152 131 216 15 188 78 75 73 93 204 93 238 79 185 46 38 94 58 63 201 250 151 118 172 241 189 122 26 226 224 59 126 160 175 101 54 227 30 54 40 250 164 166 62 148 162 90 118 110 133 129 98 130 152 18 56 46 47 24 77 217 33 48 242 92 142 58 94 39 45 56 37 117 77 22 243 50 31 226 84 243 182 31 63 180 3 57 207 126 145 90 252 58 141 190 205 135 215 66 242 172 23 246 93 222 121 230 79 224 113 48 206 153 170 250 171 142 138 207 219 155 177 94 177 113 21 225 2 199 154 88 6 177 223 136 202 189 29 20 136 234 99 63 211 154 68 186 78 71 111 175 90 19 181 175 221 29 123 126 250 88 124 234 57 67 250 78 170 96 208 97 16 79 118 21 90 204 128 40 109 65 32 4 131 99 159 180 178 144 148 212 37 11 199 66 201 133 228 180 28 76 210 156 94 46 155 199 221 46 126 78 253 210 17 51 58 131 70 178 182 122 178 41 152 38 66 238 19 134 12 65 199 79 15 35 235 105 115 61 219 90 217 163 123 141 27 155 105 77 228 193 243 124 61 204 185 119 56 247 115 238 18 231 7 90 23 11 102 138 223 4 10 21 58 90 73 3 64 19 2 177 169 199 46 102 63 247 171 241 181 187 94 31 31 91 179 36 222 81 105 22 159 211 84 182 30 55 85 185 206 139 54 221 129 1 32 130 160 5 194 56 107 32 126 14 48 101 112 137 101 249 80 121 40 6 145 116 134 108 223 233 164 57 204 124 71 108 56 131 3 48 121 155 138 118 137 116 250 167 30 7 2 240 231 73 167 11 190 253 166 184 146 18 81 207 125 154 39 198 37 106 41 46 48 245 198 64 106 137 92 59 115 238 184 253 156 59 194 79 152 234 101 179 154 181 212 222 189 35 177 92 63 245 250 248 200 119 94 17 91 46 90 26 239 210 87 140 23 165 84 9 64 26 202 144 16 71 85 32 23 3 68 48 12 12 211 138 57 37 183 51 208 30 96 45 52 101 167 50 246 243 225 56 156 251 121 56 23 7 253 226 0 15 13 99 179 191 77 14 227 102 162 110 217 145 71 153 71 228 152 4 6 137 75 143 52 205 229 155 168 235 62 93 78 227 227 4 75 167 89 149 166 110 132 207 150 121 61 169 146 142 18 40 205 232 161 114 175 253 226 121 185 131 54 169 169 117 253 32 98 119 134 223 227 216 47 107 31 80 173 234 89 154 207 254 34 110 187 123 123 124 119 229 72 140 107 123 189 104 184 22 11 116 87 35 105 166 30 103 72 47 24 137 93 62 79 205 131 245 251 180 131 48 108 67 180 14 128 244 138 111 48 157 238 222 157 71 185 220 217 236 89 203 137 219 121 77 182 240 17 56 3 0 88 200 60 48 185 172 113 240 134 163 95 38 1 19 0 48 221 191 125 37 117 161 112 157 142 207 163 28 221 243 213 45 186 203 193 87 45 101 102 175 105 199 15 149 53 41 118 198 240 213 2 61 192 21 53 241 115 103 96 149 92 208 7 63 248 65 7 15 202 239 7 100 46 222 10 114 152 37 22 22 207 138 161 31 61 22 91 63 115 87 252 139 238 195 220 92 175 196 47 70 244 218 217 72 53 22 12 233 75 197 58 154 75 160 10 81 238 171 164 23 198 165 165 149 100 230 104 196 179 221 2 133 189 50 128 164 65 6 180 136 21 191 164 65 206 203 227 22 184 39 8 34 3 68 174 222 48 179 16 253 114 78 202 37 198 2 57 214 68 38 1 124 225 104 15 209 114 253 73 29 226 110 23 31 202 69 111 64 73 83 24 48 117 219 170 178 119 151 110 81 182 98 153 88 121 232 251 17 247 176 33 150 194 35 1 184 202 107 229 173 245 0 121 40 107 163 218 76 100 177 16 113 184 60 4 235 196 128 158 114 27 214 221 142 225 13 59 187 58 53 251 156 69 113 252 91 78 139 103 189 224 152 120 174 190 108 112 246 240 176 174 196 104 65 108 11 84 190 91 213 150 150 22 147 3 109 65 35 48 91 8 18 193 18 71 160 228 21 165 10 78 20 237 18 237 77 69 158 24 246 1 5 179 186 73 238 33 57 107 36 109 28 221 113 104 36 113 242 56 178 195 172 82 7 162 29 68 12 143 203 228 168 3 175 240 9 25 14 252 78 152 3 1 14 202 247 254 66 205 252 60 90 195 227 81 85 147 143 94 18 241 190 245 58 158 83 119 92 75 50 173 48 226 76 19 184 116 11 110 145 94 233 61 141 228 80 193 100 56 158 111 132 203 142 60 156 193 68 220 3 11 134 99 16 64 119 140 199 192 158 226 75 199 148 153 251 155 43 98 213 239 173 137 11 159 189 56 214 174 24 137 211 234 42 151 216 18 219 122 204 161 37 64 185 140 225 235 171 197 167 116 13 40 130 213 58 147 214 85 64 165 55 56 129 236 151 195 41 83 63 105 216 29 159 48 98 98 109 124 80 14 48 73 67 68 180 127 156 220 98 57 250 163 15 68 136 6 178 217 161 172 110 4 39 157 145 151 234 0 222 82 185 37 114 240 138 249 134 208 43 139 31 95 227 227 214 21 55 145 119 222 46 99 240 136 238 122 168 7 105 228 63 190 42 226 47 37 180 61 42 198 148 193 120 51 125 224 146 154 118 180 104 32 241 15 121 141 68 76 128 0 89 100 248 78 183 111 48 241 1 19 49 36 80 245 117 226 193 17 189 37 184 171 29 3 123 153 103 69 123 11 46 63 57 86 95 186 42 206 127 166 238 91 46 29 214 179 57 218 12 36 86 197 186 52 149 107 82 238 154 240 135 30 10 33 113 162 130 176 114 80 233 197 148 115 71 154 1 204 195 136 0 147 186 89 238 62 57 68 71 61 202 114 0 126 188 28 166 21 128 220 30 162 68 188 6 147 186 136 154 124 196 203 40 5 126 155 122 226 49 221 154 115 30 117 59 160 242 58 29 90 185 71 253 238 186 83 15 0 142 233 59 3 42 247 183 237 248 175 127 26 241 191 213 61 15 12 192 17 28 150 181 210 64 50 2 184 77 163 59 20 173 132 37 3 169 96 98 159 180 220 145 239 114 136 214 160 18 206 93 125 209 96 12 234 195 50 131 143 241 70 83 81 7 49 44 122 207 25 113 250 37 199 197 218 211 230 199 179 117 51 90 127 146 69 169 0 170 199 62 244 15 230 1 180 194 91 190 233 136 140 133 5 71 156 178 230 16 46 250 145 135 142 56 48 96 27 228 214 203 1 8 4 55 199 201 173 144 99 194 16 135 220 30 245 16 47 230 21 32 55 202 113 129 79 190 184 227 197 85 30 184 193 204 86 117 152 158 118 169 180 65 61 28 128 98 117 84 103 92 245 119 221 165 234 15 68 75 115 146 119 29 183 93 22 241 238 219 35 238 94 40 156 53 95 242 59 32 212 196 185 165 28 200 67 2 211 0 169 173 68 30 26 126 238 114 48 13 36 190 29 195 114 122 93 19 190 62 50 152 14 16 6 244 230 47 121 48 53 176 100 86 28 243 206 83 227 204 223 56 38 46 62 101 94 156 59 119 88 115 157 90 26 74 2 85 94 122 199 3 0 209 0 204 160 4 151 204 34 229 32 115 88 196 138 150 9 211 3 243 124 139 220 125 114 155 228 40 139 136 104 99 165 28 235 29 109 67 110 7 31 135 8 89 193 16 51 96 50 25 36 117 182 227 188 101 220 84 219 109 213 173 202 204 242 212 92 85 214 131 79 142 216 202 24 76 222 133 28 125 72 243 73 96 142 235 242 141 167 230 110 109 199 247 94 26 241 167 154 147 187 212 213 14 53 101 19 139 13 203 193 52 144 246 15 218 196 50 4 139 72 193 238 240 28 246 48 115 159 242 7 114 12 49 57 45 43 245 5 210 212 86 61 6 182 236 237 182 63 235 156 133 113 236 91 87 199 185 207 91 26 23 157 48 18 103 13 15 105 75 33 246 211 67 201 186 168 78 181 49 135 199 202 1 42 107 28 92 152 28 78 243 86 137 12 157 245 14 109 250 149 28 154 233 50 104 34 237 44 144 195 70 64 30 81 30 166 45 180 24 48 165 74 108 150 90 154 16 188 85 163 107 196 116 27 35 189 255 166 9 81 215 36 171 1 166 6 200 218 159 224 16 15 188 38 199 123 145 187 197 195 46 57 157 85 183 85 172 114 77 196 95 191 87 207 36 171 218 164 230 26 38 54 223 248 48 221 0 20 159 214 12 100 26 221 193 152 88 134 147 3 169 104 119 248 14 123 200 246 73 207 129 116 122 158 150 135 1 148 120 93 31 209 29 208 122 58 32 11 84 215 122 234 122 115 94 182 60 86 93 161 245 244 37 203 226 21 11 103 203 0 78 106 32 250 8 81 170 181 92 53 143 151 67 171 48 179 16 53 115 178 32 17 207 250 142 67 36 136 3 13 92 37 183 84 142 53 216 117 221 123 30 87 118 34 68 42 38 209 238 230 122 73 88 142 27 138 124 169 131 123 204 128 89 246 0 0 21 160 73 68 65 84 82 60 42 94 19 152 131 210 78 61 57 223 125 105 85 53 82 159 156 148 143 105 219 186 243 110 249 186 182 68 145 197 218 206 183 201 196 222 164 87 202 165 208 163 82 118 166 26 211 166 159 86 230 64 30 20 152 12 3 33 151 201 195 35 157 176 227 121 152 122 196 237 59 143 248 116 142 247 60 235 3 2 85 79 220 177 235 245 38 169 114 236 172 56 238 230 23 198 123 79 92 16 23 36 205 4 76 128 56 89 238 24 57 194 180 108 50 87 12 155 249 173 205 70 220 43 247 152 28 132 8 164 2 177 82 14 173 86 199 137 92 207 28 231 113 10 16 7 76 137 186 165 182 154 15 72 218 247 201 73 211 120 163 42 189 215 168 62 107 66 100 72 19 100 64 147 44 125 111 140 137 166 186 124 4 130 87 206 247 74 163 209 204 198 120 52 85 164 118 167 94 15 120 126 196 251 85 106 135 88 209 166 191 199 196 50 245 172 149 6 210 254 1 77 108 46 22 181 211 165 52 11 58 49 194 253 28 29 231 157 231 113 102 153 157 140 77 90 189 236 143 107 0 163 122 119 108 143 54 69 187 164 153 59 23 14 198 248 113 35 250 138 212 104 172 63 233 198 248 192 230 221 241 115 14 24 120 234 60 1 196 220 165 182 185 80 48 9 27 223 68 62 38 17 77 114 57 204 168 52 38 153 101 236 2 233 253 40 79 55 168 148 215 110 37 189 203 113 156 80 56 73 115 72 147 1 32 217 252 176 102 178 22 238 190 71 254 195 98 79 151 60 233 11 30 26 53 77 232 145 208 244 74 221 160 192 86 188 198 156 120 70 196 179 62 30 241 26 101 87 197 22 87 167 42 149 140 61 156 130 5 189 90 9 104 198 142 45 62 225 41 137 74 46 92 46 104 113 80 217 97 124 102 137 103 138 195 6 49 247 153 93 128 105 223 192 226 35 118 156 48 141 177 199 39 98 247 67 123 99 231 202 217 105 98 60 252 159 239 140 191 210 172 159 20 235 53 105 38 31 104 40 90 202 5 174 164 46 209 3 101 118 200 161 153 140 132 178 104 176 197 197 72 243 81 40 58 37 81 142 145 168 29 94 3 72 111 88 173 144 212 79 145 212 151 171 25 165 115 239 17 64 117 205 24 187 215 21 218 151 94 210 17 98 104 44 196 75 173 67 2 127 64 38 157 38 73 126 105 196 229 175 142 56 87 86 155 102 49 246 232 49 0 78 5 34 163 193 77 11 102 14 100 42 235 74 68 58 228 225 19 117 24 191 12 38 241 28 72 135 17 179 157 193 36 14 144 61 160 174 223 19 123 164 157 149 143 173 139 31 63 176 59 254 41 13 141 126 92 155 30 160 50 23 180 132 38 74 136 137 3 242 25 58 98 2 76 111 112 20 76 148 215 39 12 57 173 60 10 165 243 58 0 175 201 213 101 70 135 100 230 135 86 42 77 186 212 121 227 56 125 181 99 247 125 218 107 61 40 176 132 16 239 63 98 94 225 161 174 254 49 189 250 75 9 250 100 108 122 177 117 150 54 61 87 41 247 40 89 223 97 53 3 135 6 19 60 114 80 187 32 42 125 90 202 129 76 168 119 74 231 97 55 224 161 230 113 134 77 58 126 217 1 36 16 76 5 40 121 6 214 128 142 235 34 58 193 114 199 142 248 30 53 181 35 228 25 117 254 237 235 201 61 226 211 10 90 136 54 2 38 68 58 162 193 172 178 46 50 74 210 32 251 69 172 136 147 102 103 110 115 95 35 227 67 14 122 199 69 215 80 146 254 137 146 254 41 2 73 224 186 57 54 65 0 169 235 199 24 211 186 202 163 228 220 167 228 73 67 214 207 58 147 74 77 40 185 117 170 190 234 249 153 136 75 137 11 69 114 132 103 226 216 38 22 142 193 192 62 225 132 201 84 38 150 130 166 188 34 105 169 162 51 51 223 67 118 146 227 246 13 40 113 194 185 72 8 35 250 169 220 164 14 227 19 184 15 141 106 243 79 105 200 45 209 154 123 113 26 165 185 42 67 27 153 2 16 121 136 7 7 160 80 94 111 170 112 153 211 114 92 205 32 249 129 163 4 228 9 178 218 167 9 84 1 107 73 105 25 72 166 150 77 142 118 171 197 43 230 74 227 115 103 124 8 162 38 95 93 243 237 28 30 16 254 119 111 140 184 80 243 143 75 83 65 221 213 74 155 88 124 3 152 251 125 77 44 51 192 128 49 60 168 28 47 82 251 255 230 117 28 118 73 199 241 205 8 121 14 3 11 19 9 71 153 228 4 36 32 79 232 155 111 252 221 157 44 167 20 86 52 81 110 86 41 15 33 2 107 35 97 200 121 249 232 72 131 11 156 65 83 26 201 233 218 80 126 74 47 229 167 111 228 104 237 67 219 184 142 172 106 45 28 123 88 245 104 67 149 199 101 51 217 12 13 11 112 76 43 35 102 243 83 215 230 73 143 77 234 19 235 209 84 245 250 239 71 188 229 26 237 179 181 217 126 20 19 171 42 157 22 186 35 47 115 15 107 125 9 32 77 12 209 5 61 92 242 156 230 114 253 252 188 76 222 142 203 146 239 54 241 29 38 61 175 27 124 145 81 105 77 29 34 72 60 157 92 151 202 125 90 96 216 222 228 224 67 8 221 218 136 193 162 92 79 15 157 56 117 89 199 168 39 21 225 14 6 155 151 84 30 169 72 147 121 106 222 159 24 227 190 99 23 112 133 249 204 202 128 14 24 210 96 58 128 142 109 16 75 152 121 17 47 183 234 5 223 24 212 250 152 192 84 26 155 159 42 253 232 180 75 154 216 58 57 98 205 181 17 111 188 44 226 99 152 88 1 137 125 113 79 248 112 142 207 100 199 239 202 13 19 155 31 20 136 213 30 42 15 187 91 177 167 212 190 72 185 60 57 185 216 242 250 164 187 60 62 206 204 42 88 144 128 68 156 205 121 254 42 36 181 236 40 141 131 72 67 27 37 176 180 62 34 2 183 10 144 104 2 163 163 28 228 158 137 83 150 245 84 154 195 53 103 83 126 247 219 113 148 99 93 229 210 67 237 232 166 122 177 115 5 88 137 211 93 168 68 250 56 14 223 207 129 99 210 49 161 163 27 10 147 74 62 187 215 177 173 2 19 179 42 16 169 175 59 66 49 41 128 117 211 182 2 235 107 245 102 198 85 186 190 252 164 62 207 34 19 59 91 218 153 38 178 178 44 27 64 132 235 188 107 69 187 35 35 156 134 74 1 15 151 52 199 115 159 244 188 12 241 131 161 114 157 60 78 152 62 242 217 86 17 144 12 160 201 109 178 212 65 177 205 41 122 167 134 91 160 20 179 95 187 135 228 156 135 22 2 100 63 109 164 12 224 179 158 110 150 147 57 108 234 200 133 99 181 116 158 42 128 165 45 109 29 199 241 119 40 245 220 191 24 20 160 92 244 213 4 88 77 97 204 42 218 152 62 243 217 145 16 113 54 62 67 0 170 209 140 110 20 88 108 190 104 67 105 58 115 141 186 250 0 68 52 60 105 186 78 182 132 88 83 213 106 87 70 188 245 139 186 9 45 16 31 86 55 179 52 199 152 204 140 16 103 32 225 222 152 40 168 72 166 149 204 89 168 167 64 22 119 58 62 68 99 79 136 114 51 160 254 243 54 104 19 151 152 238 0 217 30 108 75 167 58 57 242 138 26 46 69 109 180 10 179 136 192 48 145 52 73 11 104 162 4 222 189 228 160 14 132 111 16 31 81 248 33 21 103 11 169 179 208 6 143 170 168 174 14 200 245 154 132 64 36 77 239 116 54 181 158 233 99 72 88 213 10 151 27 124 228 97 80 230 180 142 185 68 91 5 96 50 189 180 45 7 200 92 106 112 208 78 250 164 38 137 215 77 62 144 196 102 40 173 169 146 58 97 213 97 23 219 92 25 177 242 243 17 87 188 54 226 191 168 170 254 39 78 13 102 167 117 75 35 141 84 69 18 145 151 8 32 115 176 186 25 157 252 178 231 178 229 244 3 198 243 217 3 168 196 85 169 204 100 91 79 182 167 52 61 19 36 177 36 226 9 131 66 79 25 162 107 0 10 182 9 237 66 40 180 198 220 197 212 81 51 223 38 80 7 224 209 94 77 123 238 108 112 203 169 169 39 24 36 208 170 62 46 159 12 250 94 181 211 80 57 253 21 130 202 72 75 31 177 80 189 221 18 167 76 100 83 160 86 245 29 244 10 143 142 243 152 28 26 56 32 151 206 90 5 114 23 80 241 145 214 196 206 102 8 48 125 189 201 6 136 117 24 109 166 60 96 170 11 254 146 64 156 23 241 234 183 70 252 203 39 116 51 122 161 166 162 172 61 28 27 204 30 171 165 116 70 212 67 0 105 213 69 76 22 46 133 28 46 251 228 229 228 252 60 237 128 225 62 96 82 167 13 46 248 146 13 122 5 203 189 215 144 112 137 195 172 82 24 48 33 210 168 129 83 229 196 189 71 132 72 40 183 69 78 230 52 125 252 79 79 188 13 74 3 39 36 204 59 246 196 189 183 236 209 223 220 24 139 135 119 79 198 216 81 122 175 250 2 253 129 238 53 205 56 103 97 35 22 235 83 215 124 55 21 201 54 211 93 16 129 170 139 254 202 184 192 192 220 162 157 201 236 118 76 39 98 6 168 206 181 99 241 153 79 172 134 8 13 69 251 49 193 240 200 36 101 174 72 209 107 111 208 122 41 32 111 19 136 219 52 23 7 85 133 41 10 152 200 184 47 152 86 16 128 132 242 130 69 74 241 219 15 164 126 105 121 157 41 195 238 116 138 2 105 150 233 9 46 124 189 169 94 172 145 172 85 233 82 192 115 19 112 208 70 36 11 144 132 77 128 200 202 170 202 137 104 9 81 0 226 54 53 186 81 78 26 162 205 70 75 127 174 183 186 105 52 182 127 116 115 252 175 143 110 137 91 85 66 57 73 11 44 188 111 158 162 123 38 87 84 227 153 107 91 113 241 138 136 51 22 171 117 216 216 43 9 240 167 158 18 40 187 4 170 52 29 224 48 155 105 103 42 20 248 74 32 54 135 52 14 4 82 163 6 83 124 37 147 139 36 69 20 195 88 168 143 115 127 55 226 236 207 69 220 164 161 232 209 159 180 104 0 96 14 34 85 160 78 237 36 175 238 74 82 100 237 171 128 8 114 162 82 158 86 142 231 101 159 84 152 37 79 84 215 90 57 43 105 25 189 2 30 18 68 26 196 209 70 236 17 163 55 87 76 73 128 148 0 211 16 73 167 60 101 53 197 19 136 218 65 78 234 22 217 144 30 6 19 136 143 191 225 254 248 111 55 239 141 95 8 131 182 62 123 61 33 179 167 55 36 162 161 166 146 156 239 213 45 234 63 106 241 23 144 226 155 191 25 113 210 235 34 46 56 35 226 162 163 219 113 178 150 194 42 115 72 175 32 203 184 36 80 249 227 48 21 238 93 166 221 173 248 0 76 111 138 88 79 33 204 107 151 103 243 174 42 234 183 37 75 93 189 40 226 44 1 249 125 241 196 136 153 146 128 136 188 113 57 160 251 106 43 195 26 169 96 119 248 84 128 122 10 22 73 221 50 68 159 16 152 211 105 229 82 181 185 115 71 234 151 71 43 135 187 28 192 9 195 146 109 75 224 160 141 128 40 161 37 2 104 52 17 199 80 41 79 89 64 212 204 0 196 214 163 170 170 29 105 77 183 198 116 235 44 174 222 20 255 67 32 254 242 104 29 0 62 222 140 29 219 155 73 199 147 226 168 22 45 182 53 47 184 214 175 73 153 119 254 131 46 17 228 110 147 100 111 184 74 71 108 47 213 225 204 137 90 218 4 234 98 225 101 211 171 103 204 82 237 10 239 72 250 188 21 109 77 224 106 80 60 85 144 174 87 251 73 87 85 151 20 55 236 134 52 68 70 0 144 200 217 78 193 20 198 239 33 128 164 144 155 37 156 19 233 121 126 158 71 120 186 188 114 217 131 138 203 190 209 103 93 39 60 186 177 165 16 14 177 34 98 76 19 113 76 37 102 149 52 8 240 0 145 97 67 204 122 242 4 118 123 147 230 128 46 53 208 4 212 172 46 247 185 173 241 229 207 110 139 31 207 215 103 98 30 107 38 147 202 212 112 45 166 76 2 82 137 124 187 158 37 23 229 74 95 252 215 188 216 252 55 122 128 82 238 159 87 235 185 131 43 4 230 133 250 107 72 43 100 18 23 137 11 216 163 142 26 224 213 124 30 216 174 118 54 53 73 90 152 219 233 132 166 206 233 155 43 20 70 69 209 178 83 82 55 141 238 18 25 72 34 221 68 133 169 12 149 211 242 120 81 162 40 219 47 221 249 7 235 187 79 202 215 52 138 161 212 59 45 51 52 230 39 64 34 102 180 17 48 221 171 164 220 221 224 80 14 72 164 173 124 71 149 143 225 162 25 186 187 223 100 39 122 243 206 184 229 45 155 226 70 97 222 208 11 55 222 46 209 50 208 227 12 100 2 83 241 212 156 154 132 63 150 188 186 54 38 60 229 208 190 71 15 149 252 199 226 9 161 111 190 50 226 148 215 200 236 158 46 167 181 20 211 91 163 81 25 5 150 121 218 170 178 177 33 50 5 165 172 95 69 220 175 252 134 134 68 201 169 75 151 26 201 129 36 139 138 48 236 6 242 48 249 83 209 193 150 75 245 167 51 175 42 64 223 181 26 127 216 154 16 14 209 2 144 164 146 124 128 68 74 16 249 146 110 90 36 16 87 71 122 254 162 49 71 111 250 155 28 9 196 123 247 198 195 151 60 24 215 170 212 110 45 89 60 52 204 74 75 13 160 55 136 248 180 100 32 233 1 98 140 21 21 172 202 74 163 45 156 17 12 72 128 3 154 83 59 190 174 239 231 200 221 166 244 235 223 174 117 238 197 17 207 57 73 107 170 64 93 44 246 186 166 87 249 0 150 218 226 135 184 58 226 187 173 3 27 116 113 244 241 136 31 42 141 63 172 7 79 240 112 80 36 62 82 163 20 54 195 229 138 157 254 186 249 196 203 101 251 165 149 219 153 42 238 246 121 42 163 34 37 130 208 200 193 174 40 25 14 64 66 128 137 54 122 136 136 20 32 33 13 157 91 71 109 217 63 204 105 122 147 88 175 185 13 54 163 246 216 68 140 191 107 115 124 97 123 43 30 209 198 102 124 87 161 141 180 134 192 104 125 42 141 244 88 205 39 61 18 230 250 143 122 24 244 58 64 40 48 184 165 0 227 219 2 228 123 167 105 35 250 166 194 244 62 111 185 214 85 149 153 165 178 221 206 104 88 0 164 195 35 177 59 166 58 159 92 175 11 36 29 36 177 17 102 130 49 74 28 69 113 83 18 64 66 48 134 115 97 51 77 158 211 8 79 71 121 253 233 202 245 203 235 233 111 217 112 232 207 70 234 210 222 61 27 72 124 22 32 196 239 60 70 32 209 2 32 233 156 153 54 31 43 64 148 57 109 115 193 207 218 248 169 199 227 186 27 119 199 29 11 106 58 112 209 230 166 211 138 65 60 24 32 85 165 43 39 192 196 1 62 126 77 27 99 4 175 79 237 165 203 71 174 1 91 191 212 55 166 222 39 243 171 244 27 95 21 177 250 213 58 90 21 184 231 105 119 186 92 229 132 87 84 4 152 158 103 142 187 255 38 226 203 95 213 37 173 150 122 62 109 166 57 146 240 198 22 49 82 143 214 190 146 122 201 64 146 138 48 167 2 195 130 158 178 161 222 102 15 28 195 188 150 75 233 175 123 85 184 104 95 172 191 175 161 76 125 106 80 37 112 6 18 113 3 36 226 235 16 23 156 152 94 118 37 124 58 172 169 45 102 231 232 45 26 122 76 100 190 214 165 47 239 140 239 252 241 214 248 142 132 215 210 73 13 32 178 223 45 131 72 235 8 206 206 154 160 164 196 133 249 5 56 194 56 3 74 157 4 172 26 173 201 37 80 49 189 82 193 65 109 224 118 125 77 166 87 14 211 187 224 153 122 194 118 141 158 16 16 235 213 159 235 250 245 142 226 237 147 49 33 11 235 250 159 248 131 31 120 48 31 246 45 149 30 44 0 18 134 72 52 115 61 5 148 158 147 203 230 105 191 238 112 251 188 225 24 209 198 96 136 33 200 47 134 2 120 136 203 218 168 116 253 37 187 180 192 32 54 142 193 90 130 136 199 22 217 222 235 4 166 57 79 155 155 159 142 198 189 175 221 28 55 168 38 159 212 228 171 83 76 5 4 93 6 210 61 24 72 122 182 83 48 17 227 71 160 248 118 6 211 62 237 48 189 120 42 146 63 192 3 199 152 94 29 31 71 93 160 110 185 93 79 205 202 117 235 107 99 195 169 159 255 60 4 124 225 204 15 253 229 32 42 186 63 229 26 73 174 27 103 0 132 241 77 229 184 211 115 255 96 202 228 229 251 133 219 122 173 160 46 0 139 47 25 192 1 195 96 126 118 28 166 18 176 244 173 187 98 77 212 176 211 217 41 32 106 248 252 193 177 17 173 139 15 76 198 246 223 123 52 62 175 154 219 100 206 246 106 139 202 108 71 176 180 132 160 202 206 32 230 194 83 177 30 178 140 240 1 143 178 14 219 167 29 3 139 207 159 1 1 156 116 163 68 150 129 203 25 237 231 210 77 102 191 94 233 190 205 147 227 248 57 144 72 4 7 217 79 123 61 58 135 156 72 188 95 152 50 121 30 241 39 75 238 59 181 179 128 79 17 170 239 101 250 118 164 70 95 92 126 208 39 67 145 232 211 205 95 233 18 219 188 4 36 181 8 99 82 53 245 211 51 167 90 23 117 76 82 229 245 167 143 110 143 107 111 111 196 175 100 178 120 146 95 255 187 32 78 5 36 2 235 39 56 122 130 204 47 62 142 242 248 83 1 106 48 93 134 7 176 244 233 214 84 135 52 19 242 198 209 94 206 131 121 113 58 190 203 26 35 37 73 213 211 239 190 31 26 167 128 125 114 242 112 191 56 105 57 149 203 231 121 211 133 169 151 136 7 151 197 69 157 33 161 125 105 39 42 96 248 214 27 225 46 136 42 141 73 229 88 140 116 158 4 231 226 123 142 234 125 97 79 124 245 227 123 227 251 90 163 176 182 178 104 61 235 162 103 61 62 194 178 67 80 132 203 194 234 39 19 243 139 79 61 252 169 0 117 94 238 171 120 15 185 79 218 202 29 252 56 238 50 221 138 220 124 32 146 175 145 206 164 179 148 233 132 167 217 111 47 228 249 242 102 161 145 218 176 36 141 76 90 40 205 179 89 69 100 9 60 165 161 137 0 200 245 226 66 173 139 255 60 22 63 189 106 103 124 85 11 21 247 139 217 220 176 46 98 218 20 221 207 156 26 204 178 176 44 52 203 2 31 217 64 121 152 52 59 218 32 220 15 80 167 187 172 138 245 180 71 156 250 180 157 251 7 226 139 122 93 32 105 220 12 147 94 142 147 150 211 129 242 243 178 135 26 230 131 124 117 221 181 175 117 77 168 122 75 0 10 134 164 161 26 90 26 173 226 9 68 205 89 214 197 57 90 23 239 158 140 205 111 220 149 46 250 119 117 46 250 185 234 156 10 196 124 182 231 2 35 12 229 50 233 23 119 26 242 192 65 150 141 211 104 203 225 178 159 42 116 126 220 87 26 154 210 250 249 121 249 158 112 217 180 230 153 102 40 79 59 216 240 19 170 219 224 6 178 176 153 221 138 217 3 210 68 30 94 74 192 145 232 176 196 146 76 43 126 39 77 241 150 206 80 171 91 26 49 121 245 104 124 110 83 43 54 104 93 28 151 73 245 230 166 31 144 6 209 62 2 71 120 185 64 185 181 225 184 178 246 81 159 171 39 202 121 220 248 16 126 63 231 60 252 156 220 255 84 62 101 157 215 195 155 129 116 103 20 202 137 244 114 26 249 83 165 231 117 15 53 220 214 65 57 125 85 38 198 99 98 140 139 62 137 184 11 154 196 156 64 37 45 15 115 209 175 77 82 85 160 94 51 17 215 127 165 17 183 11 68 78 70 216 220 112 189 136 57 45 155 84 192 179 3 192 28 196 190 130 82 153 30 50 192 157 235 97 203 40 241 175 130 101 159 186 150 177 195 185 79 24 202 219 41 135 243 120 15 136 84 52 144 132 255 223 147 46 230 69 213 205 99 177 125 116 32 198 116 225 53 156 78 103 4 148 193 51 176 201 212 74 252 104 227 124 153 212 27 39 227 166 171 27 197 215 24 133 94 190 46 162 141 130 185 235 202 0 30 50 136 48 105 50 160 196 15 17 84 55 81 246 13 24 233 132 29 183 191 31 136 20 100 81 134 242 217 82 164 28 248 151 58 191 86 226 10 66 13 214 191 184 61 54 140 77 196 166 170 244 136 111 130 203 165 71 11 185 21 229 183 135 9 43 189 49 71 107 233 207 198 227 190 203 26 233 143 132 141 138 169 233 62 53 157 131 72 248 73 129 88 30 60 160 154 58 121 6 194 253 224 31 200 81 199 101 92 127 90 16 233 203 26 217 45 72 226 175 137 0 250 96 219 77 229 116 230 216 58 94 215 143 223 27 143 77 91 70 227 102 221 244 93 165 19 154 150 76 103 173 187 201 209 16 209 74 109 110 26 243 244 73 181 13 173 216 241 110 29 165 42 233 81 93 244 143 103 215 139 83 105 98 14 38 2 163 239 131 229 243 160 69 3 160 46 92 210 84 146 187 121 46 115 32 63 111 175 95 89 107 100 191 60 167 245 211 188 67 102 196 141 77 227 211 38 31 207 192 175 126 126 87 124 97 147 76 236 200 100 12 232 10 122 66 26 216 228 17 69 133 241 155 243 38 163 254 104 43 246 126 72 175 116 235 190 207 93 2 113 66 32 98 82 243 115 84 155 84 192 35 140 223 111 182 167 190 149 215 215 108 145 254 100 200 90 90 246 167 106 179 92 238 64 32 210 14 32 73 118 221 89 201 128 242 89 234 1 146 6 57 142 15 217 47 135 83 102 41 223 105 185 79 255 118 76 42 92 253 100 221 238 89 39 161 127 98 56 46 249 141 118 252 245 209 218 197 242 29 48 214 201 116 174 165 66 202 191 255 195 210 196 175 71 252 92 15 177 241 132 190 65 228 28 213 27 156 124 147 115 32 48 159 18 16 197 203 211 66 28 238 234 240 35 145 65 177 223 73 238 201 203 211 8 247 211 214 114 153 233 226 6 209 109 37 11 193 158 231 104 61 54 241 165 70 172 219 219 140 31 232 240 187 62 169 135 121 181 134 238 126 88 183 133 190 29 241 247 87 232 137 141 159 41 156 129 232 195 240 28 60 107 225 84 230 148 177 166 241 30 204 172 135 201 153 74 8 210 26 105 173 195 119 216 3 45 199 115 176 29 182 159 143 181 95 90 158 95 6 146 137 5 152 248 188 189 54 178 181 40 205 100 91 58 95 113 169 29 64 161 117 60 27 204 241 91 63 83 106 0 241 29 46 155 85 198 212 229 239 112 7 114 42 141 236 14 80 131 125 50 116 176 26 107 64 115 31 132 90 199 22 247 244 170 50 157 163 66 79 74 25 147 11 4 160 80 216 171 124 180 144 187 25 108 108 0 56 55 159 14 3 88 238 24 91 207 248 14 119 16 53 158 238 26 153 207 78 15 154 124 6 76 28 178 95 22 132 133 98 191 40 189 239 119 170 116 151 48 216 248 104 35 62 19 44 119 233 13 110 53 84 23 106 6 155 118 237 204 51 190 205 168 125 167 81 150 176 235 224 31 214 235 34 252 155 184 252 72 3 114 66 201 207 243 16 32 130 120 170 200 2 166 253 188 159 148 142 118 42 29 173 51 224 148 131 92 143 124 59 64 204 195 148 33 238 178 248 71 12 136 140 197 215 145 132 161 52 192 34 216 19 238 36 61 229 158 251 199 71 240 57 17 71 99 211 134 72 62 128 66 148 181 51 120 185 239 182 92 6 255 136 2 145 241 24 200 52 56 18 68 121 184 72 41 126 167 74 71 160 83 229 229 245 167 10 83 183 220 134 219 51 152 46 67 156 178 118 46 135 111 103 16 137 19 118 186 125 37 29 121 100 32 15 102 100 101 97 31 76 157 39 90 6 0 208 60 132 15 225 27 60 251 41 163 147 71 216 64 245 3 207 237 164 58 71 194 230 38 13 36 251 41 3 217 51 224 172 220 83 29 116 191 246 1 11 64 114 159 48 84 246 169 227 122 14 79 21 63 226 76 106 146 136 126 0 50 31 180 211 159 118 31 45 233 115 38 9 31 240 7 120 6 144 180 60 108 254 73 119 24 63 15 147 119 196 130 200 216 254 47 199 104 224 115 128 135 196 204 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/29/2011 13:07'!
seaside57x57Png
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 57 0 0 0 57 8 6 0 0 0 140 24 131 133 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 1 100 105 84 88 116 88 77 76 58 99 111 109 46 97 100 111 98 101 46 120 109 112 0 0 0 0 0 60 120 58 120 109 112 109 101 116 97 32 120 109 108 110 115 58 120 61 34 97 100 111 98 101 58 110 115 58 109 101 116 97 47 34 32 120 58 120 109 112 116 107 61 34 88 77 80 32 67 111 114 101 32 52 46 52 46 48 34 62 10 32 32 32 60 114 100 102 58 82 68 70 32 120 109 108 110 115 58 114 100 102 61 34 104 116 116 112 58 47 47 119 119 119 46 119 51 46 111 114 103 47 49 57 57 57 47 48 50 47 50 50 45 114 100 102 45 115 121 110 116 97 120 45 110 115 35 34 62 10 32 32 32 32 32 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 34 34 10 32 32 32 32 32 32 32 32 32 32 32 32 120 109 108 110 115 58 120 109 112 61 34 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 34 62 10 32 32 32 32 32 32 32 32 32 60 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 60 47 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 10 32 32 32 32 32 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 32 32 32 60 47 114 100 102 58 82 68 70 62 10 60 47 120 58 120 109 112 109 101 116 97 62 10 27 229 122 14 0 0 19 185 73 68 65 84 104 5 205 154 123 140 93 213 117 198 191 115 206 189 119 158 102 252 182 1 123 252 192 54 15 59 128 49 49 175 132 24 9 181 32 10 252 229 138 64 218 70 16 65 213 16 202 95 109 165 134 226 190 83 84 41 105 139 80 32 133 168 161 16 26 146 210 42 16 30 66 133 0 17 118 176 193 96 227 96 108 226 183 61 54 182 199 246 188 103 238 189 167 191 111 223 187 135 235 7 16 202 24 117 203 107 246 61 123 239 179 247 250 214 183 214 218 251 156 227 36 207 115 157 204 146 80 60 63 235 156 220 133 62 2 68 50 214 107 27 212 114 41 157 176 68 169 215 237 30 84 242 254 219 170 190 8 78 46 163 124 182 160 13 114 44 4 0 102 44 89 177 76 5 215 141 115 114 221 60 79 106 162 46 34 238 183 1 142 26 211 56 126 172 127 123 193 49 43 0 204 238 126 33 47 95 124 105 50 113 255 242 100 121 38 117 110 56 172 85 44 240 242 102 169 60 77 170 238 165 174 47 88 181 39 3 232 164 187 241 152 185 235 21 73 82 120 81 170 60 120 153 218 151 207 209 189 227 50 253 190 42 32 42 171 127 125 183 190 179 248 89 221 55 78 26 132 206 225 253 210 8 64 13 182 138 24 231 73 5 106 183 25 147 178 108 161 82 43 123 109 167 174 110 45 234 43 65 253 178 202 133 76 173 11 39 234 79 31 189 72 55 244 224 174 29 237 106 97 65 187 45 68 215 226 118 76 20 248 136 73 198 4 36 110 151 158 218 28 146 138 10 137 46 200 82 148 175 194 84 170 66 94 85 165 88 80 118 213 233 186 227 150 89 90 242 94 175 178 121 237 106 70 39 135 74 0 202 253 33 3 127 132 158 159 170 107 76 64 174 64 133 53 136 193 146 126 58 2 63 117 158 146 12 32 64 158 208 166 206 175 159 173 91 25 54 105 87 175 74 29 82 137 223 145 77 227 60 105 64 199 4 36 202 106 141 81 226 126 192 44 57 207 230 25 127 13 129 168 203 139 252 6 210 162 14 93 253 131 165 186 126 0 119 157 222 122 156 219 254 255 6 249 54 36 26 225 213 48 147 38 196 27 87 137 163 206 92 145 82 224 40 201 79 81 181 216 174 226 85 211 245 181 107 79 215 162 141 253 74 207 104 15 219 74 116 219 147 198 230 216 49 9 158 153 167 5 215 12 32 67 106 113 228 121 133 97 128 182 146 152 38 171 50 101 130 102 223 117 150 110 166 117 98 119 69 165 83 62 161 219 6 75 16 22 127 73 54 71 74 150 223 69 104 47 32 105 93 168 62 112 255 49 217 39 223 175 49 153 156 182 0 119 45 144 80 204 171 89 244 246 79 74 13 27 6 149 166 3 153 109 229 252 62 93 247 192 18 189 118 235 26 253 112 102 171 154 143 244 127 176 157 48 234 184 253 211 10 251 20 69 95 246 13 214 234 194 63 238 206 115 76 247 65 153 159 36 94 45 99 63 102 133 218 201 202 56 157 241 199 4 164 150 49 237 139 202 231 181 160 72 221 93 3 192 54 218 13 118 176 38 73 11 110 59 11 183 29 84 118 221 160 110 254 201 116 189 245 108 151 222 154 218 166 150 125 125 181 61 147 145 46 6 154 46 3 208 231 230 41 251 234 108 37 235 182 170 178 186 14 140 190 236 145 36 153 49 73 154 135 179 140 223 42 117 1 238 87 170 237 189 54 134 129 122 15 14 6 27 19 144 61 61 129 59 181 53 41 37 38 107 76 122 55 52 72 215 71 144 126 132 165 19 114 111 222 169 234 180 62 205 251 187 51 117 11 32 239 106 175 170 231 148 118 85 15 245 42 153 117 154 42 115 83 229 111 236 12 231 221 242 11 155 242 33 238 116 230 110 253 201 164 100 65 103 191 22 175 149 46 227 96 177 4 251 205 197 105 90 231 178 194 243 210 131 87 74 247 77 144 122 187 63 56 108 132 179 242 152 128 180 18 148 188 80 1 96 14 119 182 165 157 199 32 209 70 28 113 2 72 3 101 239 208 20 140 210 39 45 236 209 53 247 46 210 234 219 215 235 97 90 157 139 139 251 119 171 76 162 54 247 233 242 41 154 242 234 5 201 153 115 202 186 104 207 28 93 86 232 213 34 230 63 141 233 155 171 160 179 191 142 112 244 38 174 91 22 72 119 126 75 218 248 103 210 147 157 220 187 189 238 178 12 25 27 119 93 194 76 40 134 111 212 20 13 127 237 166 22 131 116 205 190 161 94 196 217 150 212 148 207 84 181 169 71 165 155 250 116 123 107 65 229 255 216 167 231 75 21 117 95 214 166 211 175 156 172 179 102 54 105 105 107 162 75 154 170 90 148 13 168 35 197 47 141 188 23 132 3 189 170 148 65 88 29 97 30 218 14 241 147 238 150 105 210 153 92 62 207 114 62 54 218 104 118 91 210 196 216 149 60 173 250 192 3 164 192 9 19 155 81 179 217 138 24 160 221 214 39 86 88 38 62 83 205 85 62 190 79 167 126 37 213 223 254 206 100 221 192 9 118 111 91 170 217 205 5 205 207 154 153 197 219 16 19 150 81 117 100 72 149 74 55 87 187 149 84 14 43 3 96 136 145 28 215 110 202 149 14 230 234 125 147 216 228 142 210 97 64 215 238 12 67 194 209 138 235 79 87 252 204 200 12 73 179 153 180 68 144 110 197 196 106 71 222 71 156 105 205 168 65 27 236 120 152 192 1 139 227 84 152 114 88 139 195 44 118 115 75 51 138 22 225 189 170 36 59 194 184 29 202 202 104 63 132 235 151 161 52 197 128 102 23 206 170 173 35 202 0 248 203 239 72 235 184 181 72 84 120 149 160 19 245 167 7 73 66 72 150 207 8 176 116 160 172 34 103 213 118 95 17 8 244 212 87 176 203 218 103 28 147 6 58 25 49 203 78 68 0 133 237 60 31 80 158 84 169 105 194 7 19 250 194 118 35 128 85 118 3 142 244 57 4 79 85 210 16 135 10 97 24 141 244 171 210 222 175 236 61 105 203 159 75 143 48 227 97 112 67 116 96 50 36 29 218 254 111 49 25 128 45 71 137 13 202 12 112 78 27 7 113 212 92 253 229 100 113 115 170 121 6 144 248 112 103 144 102 213 46 107 118 236 178 4 80 136 24 131 180 26 118 44 3 107 98 52 236 38 102 216 109 174 97 45 223 194 79 80 148 15 210 135 161 90 200 42 5 64 14 118 171 90 218 167 236 0 65 240 79 210 67 111 176 133 76 96 230 122 102 245 12 81 126 51 38 1 149 178 25 39 11 151 41 57 176 83 217 213 243 164 199 31 87 5 96 163 27 242 171 203 147 75 47 24 175 187 178 34 112 38 176 128 115 44 76 133 130 82 193 101 49 177 179 170 188 41 216 213 162 173 35 40 215 46 30 179 163 38 57 40 188 137 20 166 16 108 100 150 2 247 245 239 82 94 221 167 148 88 205 31 151 30 126 152 135 114 146 246 16 0 237 43 241 89 213 171 135 21 78 248 208 108 166 24 224 87 25 41 177 148 30 232 84 242 47 79 215 236 235 19 4 125 58 107 74 50 238 187 95 212 172 51 199 233 252 44 209 197 167 52 235 154 230 102 205 214 84 38 158 13 43 118 207 184 140 89 217 136 188 139 216 117 157 142 199 35 110 247 24 131 243 172 78 159 123 145 173 245 154 235 10 158 80 129 162 236 116 132 61 119 104 155 242 238 151 149 167 93 74 159 150 254 235 171 210 3 228 167 253 56 198 97 108 97 144 22 207 100 176 129 205 163 64 70 112 247 47 81 182 134 17 15 172 81 57 130 242 177 233 150 139 117 234 53 243 117 206 180 22 45 109 206 180 180 148 233 115 197 102 77 201 218 96 15 5 242 14 118 145 137 24 198 46 26 166 167 142 64 119 242 251 205 250 245 185 212 51 27 250 60 198 44 111 67 182 35 206 194 46 147 152 179 179 86 123 175 200 161 234 224 139 170 166 111 40 93 149 235 151 87 75 255 72 239 118 28 165 135 72 112 48 52 2 12 142 111 253 71 65 70 128 43 22 170 112 247 250 154 27 174 185 49 153 92 38 198 166 180 104 113 71 179 62 223 154 133 83 198 130 140 243 102 56 201 216 13 157 41 219 128 226 152 42 58 26 41 17 152 235 248 27 5 245 6 66 108 233 12 228 44 196 163 109 243 46 100 43 226 12 236 0 112 252 206 64 8 139 16 207 30 99 20 111 170 90 126 78 233 166 62 237 184 35 213 223 175 172 106 45 36 251 132 227 116 230 140 234 145 14 134 0 144 218 24 143 74 60 201 50 150 53 192 245 127 144 156 203 243 222 77 231 76 215 82 142 105 231 52 21 112 66 239 89 94 156 152 192 229 114 164 154 3 140 135 98 187 118 237 47 63 234 87 53 112 238 137 37 222 111 183 220 143 24 152 65 146 57 181 11 113 28 186 76 70 230 35 51 17 223 99 213 185 103 104 31 190 241 186 210 253 125 58 114 175 244 61 0 174 199 227 7 0 232 59 35 56 155 200 102 13 1 96 128 252 174 37 30 179 120 43 46 122 255 234 124 100 239 31 38 215 46 152 164 123 75 69 217 81 106 133 195 60 48 170 121 51 16 218 1 230 26 96 137 189 222 83 250 202 10 71 241 212 81 220 23 93 215 113 106 87 182 99 57 70 109 111 115 224 26 119 23 113 199 1 33 184 105 152 203 243 83 170 61 202 203 107 149 246 119 169 242 72 170 71 127 80 213 47 58 0 72 162 54 64 51 103 137 218 28 5 144 246 26 200 31 177 29 44 255 81 62 242 196 111 39 83 175 57 83 127 81 42 1 176 175 158 232 253 92 97 41 3 202 30 79 182 27 5 19 65 29 91 55 2 244 111 47 235 123 13 206 197 215 142 59 215 46 19 145 57 136 93 212 158 226 123 12 156 58 71 245 225 13 74 170 155 56 175 229 250 217 138 170 158 130 224 62 8 246 108 145 65 3 244 29 129 197 200 32 215 161 216 182 122 254 215 128 100 192 180 162 166 102 21 205 182 125 114 54 227 240 126 198 183 213 23 12 74 69 0 86 208 18 175 63 172 102 200 232 24 207 21 139 13 227 251 57 93 135 19 231 52 106 179 236 181 204 190 231 163 191 186 95 213 194 70 165 155 7 180 253 155 21 253 55 173 221 164 2 187 105 4 104 23 141 44 250 174 227 138 151 82 247 154 240 220 149 254 116 187 118 13 86 57 107 99 205 144 205 42 184 40 203 133 200 181 59 89 33 34 61 88 158 204 23 226 199 44 184 205 125 78 68 30 103 54 28 79 86 218 197 96 130 141 169 143 53 134 199 248 0 111 96 30 19 197 96 81 189 66 162 202 241 203 109 185 182 109 169 104 15 121 110 184 14 208 192 162 120 5 139 73 60 14 168 95 25 4 187 177 193 23 191 181 78 61 151 204 208 95 95 126 186 38 141 111 210 133 188 148 170 45 58 28 142 91 62 75 166 201 56 212 113 70 117 18 10 38 242 212 117 137 75 69 64 86 212 98 91 219 185 246 33 142 65 143 143 99 1 161 205 136 51 169 247 78 23 247 249 62 230 177 14 86 187 200 249 148 224 226 77 110 236 25 173 227 76 39 4 232 233 108 71 131 76 55 123 49 108 250 216 102 237 221 123 72 47 177 101 236 225 169 162 84 72 213 193 126 216 12 179 105 50 4 193 131 168 192 25 51 188 108 112 2 50 88 179 102 54 204 160 153 244 49 206 172 122 227 183 144 37 66 187 1 194 74 88 213 158 224 177 6 15 53 33 133 248 126 139 141 80 79 37 62 207 142 236 100 157 61 106 222 158 104 245 219 48 58 5 248 132 120 76 54 54 135 129 106 197 138 21 174 142 43 17 164 129 6 153 59 65 165 23 246 168 231 223 54 234 245 251 214 233 37 120 126 173 144 107 159 1 151 82 181 21 171 0 238 103 236 33 0 247 27 46 128 29 217 126 31 16 124 162 190 134 21 141 197 140 91 165 93 136 19 142 1 46 64 166 35 54 144 219 156 208 92 123 46 27 206 222 64 212 97 220 100 132 39 141 150 237 106 159 57 172 214 135 11 90 213 207 155 4 236 88 198 87 235 124 215 124 233 195 64 6 22 153 46 214 86 39 27 63 94 165 9 35 106 218 210 23 28 210 125 205 28 223 78 189 237 28 157 183 116 170 46 57 99 156 46 156 152 105 62 89 216 46 20 152 203 57 206 37 147 153 199 140 186 28 11 120 39 109 175 35 78 23 231 32 115 17 155 216 81 229 190 95 33 236 159 57 161 192 3 181 82 27 192 133 241 213 195 132 229 43 74 6 222 145 158 74 117 207 109 85 253 235 105 152 109 119 205 249 61 163 103 49 155 39 116 217 200 36 253 31 148 65 92 242 16 214 179 167 157 218 170 172 157 151 26 0 62 242 236 46 109 122 232 93 173 124 239 176 94 233 171 104 61 221 71 154 203 106 111 234 231 201 253 0 70 199 245 120 135 83 99 194 32 163 152 149 45 200 30 196 147 26 160 93 218 106 153 73 199 162 239 51 32 198 12 3 186 226 185 48 88 138 71 224 178 54 94 53 223 171 100 202 160 230 247 100 90 247 74 174 29 184 173 119 38 207 110 191 9 114 34 54 173 134 217 139 37 94 199 218 70 8 66 136 21 199 183 8 111 85 186 219 167 144 90 251 184 43 166 171 243 206 179 117 249 149 83 116 51 36 76 206 231 192 232 66 148 242 93 46 158 221 241 254 42 226 99 219 25 136 153 52 56 23 247 199 213 24 87 94 13 214 181 0 197 117 179 169 132 237 28 194 221 70 192 49 187 215 241 228 243 166 178 13 185 126 254 91 210 159 160 198 110 108 54 64 168 91 163 200 102 245 216 12 27 151 96 76 40 182 134 237 107 177 133 124 163 115 227 16 134 237 219 57 160 94 0 246 243 10 113 120 70 139 70 200 27 135 95 232 210 134 235 95 208 189 63 221 163 123 120 244 25 76 246 163 50 15 192 163 166 243 140 184 97 72 56 78 42 147 17 187 184 87 104 44 30 7 155 217 249 116 159 75 55 99 142 188 77 168 254 2 182 182 66 19 90 180 78 85 58 52 73 57 118 250 210 247 164 155 184 163 105 90 45 125 57 72 60 107 192 83 223 49 184 172 21 55 126 28 80 7 183 193 186 118 250 24 224 29 169 1 251 212 209 183 160 37 24 65 95 91 165 39 15 12 106 165 157 134 231 63 210 17 35 93 28 49 93 136 239 60 165 46 238 107 20 51 105 147 50 214 159 23 154 96 186 237 34 0 179 255 246 237 3 232 107 88 115 99 24 147 52 17 251 41 112 232 190 233 102 94 77 110 230 22 200 118 170 50 72 251 143 103 59 170 68 128 17 108 99 103 84 35 178 26 193 154 89 139 213 31 124 23 176 212 67 188 124 58 52 84 230 81 215 119 89 225 40 118 85 187 169 87 112 86 181 58 238 115 177 58 158 29 107 133 217 188 2 226 102 187 233 196 47 178 19 117 178 24 110 116 104 61 204 130 40 227 27 89 101 124 120 196 156 116 171 244 71 116 119 110 1 224 105 181 153 13 210 226 207 5 163 96 141 222 37 54 184 182 154 141 229 68 215 86 205 99 43 76 158 239 70 85 178 109 169 213 95 180 220 19 197 74 239 69 8 154 112 128 112 108 185 184 223 179 178 109 84 48 75 229 16 79 250 204 198 65 131 44 199 91 14 127 77 97 76 243 76 128 162 114 138 51 246 189 199 150 186 141 54 12 149 53 41 235 43 41 159 51 172 139 254 1 70 191 44 125 219 142 66 241 138 113 245 128 211 241 25 65 122 128 149 182 189 189 188 7 30 91 78 4 54 199 163 18 64 230 147 58 84 40 84 225 137 81 236 109 126 203 86 3 103 144 118 118 3 36 136 71 89 196 13 243 183 248 194 215 197 219 184 1 214 246 238 142 138 71 0 84 29 207 123 84 82 103 105 2 47 229 96 254 148 179 80 12 176 125 191 38 62 49 76 201 243 144 241 43 188 119 189 40 215 141 119 72 107 255 89 122 134 60 213 196 180 246 19 139 245 13 58 71 63 182 74 110 48 80 23 215 97 64 184 58 230 79 67 246 202 47 244 187 53 38 109 101 211 230 11 115 96 146 195 125 18 94 72 217 85 81 42 100 82 159 111 237 72 94 158 182 124 29 231 229 189 60 31 14 170 123 75 191 54 12 245 107 112 218 128 102 181 246 242 125 163 170 180 23 112 101 152 109 154 200 27 144 118 165 188 188 74 90 103 224 217 24 141 183 116 193 109 7 121 139 212 81 81 199 141 210 45 255 46 189 5 192 237 132 125 145 196 28 25 13 56 12 210 63 78 4 42 182 197 154 97 181 98 63 136 64 175 69 223 53 200 68 158 90 216 211 154 3 8 47 225 56 51 139 142 88 103 84 246 160 96 182 67 48 181 129 87 24 0 124 171 87 235 239 218 169 239 63 223 163 119 177 242 192 249 37 117 92 199 183 218 203 18 93 58 117 72 75 58 134 52 153 108 157 13 96 156 106 11 70 129 65 222 243 248 117 101 226 87 147 148 212 211 79 151 206 133 205 165 43 56 86 224 0 5 64 198 28 99 242 66 70 114 237 70 151 208 72 29 129 197 58 116 158 232 15 174 26 198 140 43 134 119 174 45 1 164 83 146 83 147 19 142 123 13 208 43 0 176 242 142 170 217 110 165 59 122 180 251 143 119 232 254 23 123 181 150 132 106 135 30 90 57 172 174 149 210 219 252 126 234 134 76 243 174 207 117 233 156 92 95 152 94 209 252 182 94 141 171 146 128 6 51 220 148 207 243 188 57 39 144 195 141 62 36 21 103 73 164 7 21 177 175 125 197 171 121 101 203 232 222 98 112 163 141 238 160 124 168 187 186 179 145 77 143 109 41 168 200 249 54 48 153 160 76 96 18 147 134 99 158 247 71 146 79 101 27 0 183 42 61 204 126 123 207 94 61 8 192 117 211 139 26 62 56 162 94 22 31 97 155 172 48 148 131 141 14 60 86 209 251 143 73 175 225 126 63 188 83 58 111 177 116 249 60 216 26 95 209 220 113 120 141 173 98 59 210 111 239 239 121 89 218 202 207 192 44 117 0 71 29 74 163 187 186 193 157 6 215 8 48 182 185 255 184 210 93 191 103 92 170 34 3 91 28 13 225 120 71 71 224 167 173 86 151 55 99 248 237 124 199 128 229 71 186 245 227 123 15 234 37 20 236 239 26 9 185 215 206 61 140 7 134 183 223 16 239 47 0 228 49 229 7 57 213 252 85 237 77 208 207 175 146 102 33 75 46 96 127 196 45 23 65 215 36 236 120 240 89 233 199 15 145 124 184 39 231 220 225 96 105 212 63 48 105 16 166 215 52 187 248 250 35 129 133 81 30 68 89 94 187 200 103 55 171 148 86 234 76 122 203 96 245 96 45 254 248 53 255 240 46 54 120 190 153 60 215 171 255 249 122 151 158 192 69 143 128 215 156 147 70 194 46 105 98 66 86 116 35 98 157 200 57 42 144 152 75 0 238 123 70 218 128 188 195 189 79 93 193 171 174 233 128 220 202 105 239 165 218 171 232 62 230 227 95 152 195 158 57 10 52 50 233 134 70 112 141 191 233 250 112 208 40 19 146 208 127 158 199 247 158 156 45 4 53 205 36 143 97 170 176 84 21 70 135 15 170 218 62 160 116 195 160 54 222 190 55 124 139 220 71 242 236 103 88 4 232 52 18 65 122 61 23 235 144 50 198 226 254 194 84 98 142 29 166 176 19 246 158 171 229 237 48 6 35 36 132 187 239 183 216 147 109 172 81 160 17 100 4 69 95 152 220 245 111 84 230 213 71 117 100 106 130 201 38 199 34 159 217 84 69 125 175 50 204 19 77 11 255 211 99 247 176 14 124 179 91 223 223 84 209 38 148 58 246 77 155 149 179 155 141 42 198 239 168 83 0 226 126 182 8 143 203 216 89 10 36 218 2 9 199 239 214 114 218 13 202 226 57 26 231 9 108 70 144 244 141 78 26 105 246 228 241 119 236 111 188 118 91 120 115 225 122 98 89 165 74 159 74 222 53 29 92 62 80 143 148 121 34 25 82 122 132 111 139 223 29 208 163 79 12 107 21 201 101 16 171 247 113 139 217 177 216 242 81 177 209 39 8 135 2 237 46 174 13 222 32 236 194 41 209 48 130 248 119 28 99 189 60 38 142 107 52 214 104 76 210 127 20 32 95 127 162 114 224 176 42 131 252 215 51 62 169 107 24 128 60 182 231 124 40 205 219 135 149 60 61 164 39 255 102 88 63 35 209 56 110 28 177 142 29 3 108 100 112 20 160 23 142 251 176 127 54 0 182 242 6 102 128 46 177 54 200 40 30 227 226 41 220 54 58 40 90 196 109 159 168 204 196 122 40 145 61 115 68 59 70 122 181 165 9 142 252 185 219 15 189 29 61 74 87 247 107 213 55 134 195 183 195 131 172 222 11 50 3 140 32 143 99 240 68 139 7 109 107 10 71 198 162 91 218 11 162 39 152 105 139 135 31 101 48 207 57 17 193 139 194 51 59 110 78 134 172 157 232 73 98 225 32 230 195 88 112 147 122 109 131 52 74 97 70 237 84 218 244 74 187 110 235 106 81 255 33 190 16 239 225 51 247 75 210 202 179 165 223 99 252 231 89 100 33 117 39 66 254 8 219 155 215 113 184 120 238 240 77 198 56 78 134 120 145 88 2 181 241 162 94 27 204 137 218 27 135 241 245 32 196 66 225 11 189 236 127 60 250 157 42 93 186 147 236 247 109 105 213 86 158 38 217 6 134 216 239 142 141 67 91 221 174 101 203 127 220 26 141 235 125 226 223 6 225 163 179 23 27 93 180 254 219 11 55 10 151 161 28 171 144 231 72 97 179 8 48 179 239 235 232 13 5 92 36 63 92 139 61 187 85 76 52 254 237 53 143 115 43 218 198 188 88 33 50 122 0 19 65 134 197 105 115 237 18 129 214 174 106 215 241 183 107 207 97 177 91 23 58 113 117 16 102 160 200 72 237 166 207 243 120 110 199 81 140 31 183 153 192 184 6 151 39 175 68 144 94 44 42 99 80 241 218 43 127 28 72 143 105 4 234 24 115 24 196 182 56 159 129 70 67 126 102 0 89 51 40 227 250 211 22 3 113 49 136 8 202 32 93 98 159 13 231 223 159 41 64 43 240 191 13 79 165 47 105 193 164 152 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/29/2011 13:07'!
seaside72x72Png
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 72 0 0 0 72 8 6 0 0 0 85 237 179 71 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 1 100 105 84 88 116 88 77 76 58 99 111 109 46 97 100 111 98 101 46 120 109 112 0 0 0 0 0 60 120 58 120 109 112 109 101 116 97 32 120 109 108 110 115 58 120 61 34 97 100 111 98 101 58 110 115 58 109 101 116 97 47 34 32 120 58 120 109 112 116 107 61 34 88 77 80 32 67 111 114 101 32 52 46 52 46 48 34 62 10 32 32 32 60 114 100 102 58 82 68 70 32 120 109 108 110 115 58 114 100 102 61 34 104 116 116 112 58 47 47 119 119 119 46 119 51 46 111 114 103 47 49 57 57 57 47 48 50 47 50 50 45 114 100 102 45 115 121 110 116 97 120 45 110 115 35 34 62 10 32 32 32 32 32 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 34 34 10 32 32 32 32 32 32 32 32 32 32 32 32 120 109 108 110 115 58 120 109 112 61 34 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 34 62 10 32 32 32 32 32 32 32 32 32 60 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 60 47 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 10 32 32 32 32 32 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 32 32 32 60 47 114 100 102 58 82 68 70 62 10 60 47 120 58 120 109 112 109 101 116 97 62 10 27 229 122 14 0 0 27 114 73 68 65 84 120 1 205 155 11 144 158 85 121 199 159 247 187 127 187 95 54 201 134 220 111 155 101 19 33 1 5 137 225 34 4 209 122 193 58 99 171 34 163 85 209 82 109 73 77 189 76 29 173 140 157 58 212 169 83 157 206 8 214 182 48 45 142 14 224 136 245 6 21 167 83 40 34 138 74 2 162 92 98 18 194 110 200 141 220 55 123 249 118 191 219 219 255 239 124 223 243 229 205 102 23 66 101 129 51 121 246 156 247 188 231 242 60 255 243 127 158 115 222 247 253 18 197 113 108 47 85 138 148 52 255 75 167 192 41 24 142 130 167 208 236 247 107 2 16 137 17 188 236 57 183 92 9 207 237 229 2 220 180 3 148 0 39 58 207 44 125 81 159 165 86 10 145 135 106 22 61 216 111 141 199 78 4 7 128 92 94 30 32 193 160 233 18 25 11 75 82 200 21 107 44 71 158 156 75 215 29 107 230 90 73 121 190 37 89 229 25 9 125 232 27 22 48 217 231 197 46 163 204 180 39 129 147 249 246 163 113 229 7 151 70 75 159 121 103 244 62 107 88 207 96 197 182 188 109 137 221 121 231 46 59 176 108 166 101 119 14 90 69 138 52 36 245 150 66 148 99 24 40 80 218 174 215 186 247 162 101 211 230 98 45 215 138 62 114 158 165 111 220 108 181 59 214 91 223 27 151 218 183 243 89 59 39 64 32 147 143 142 216 35 95 248 173 125 252 203 219 237 137 85 51 172 190 117 200 198 101 57 0 213 36 0 20 64 122 41 1 130 202 211 153 162 35 99 77 87 89 191 196 62 151 47 10 156 138 85 227 154 64 168 90 109 214 12 123 213 103 206 182 127 89 59 195 250 4 78 135 124 173 32 101 96 181 187 89 112 181 68 28 155 78 93 39 29 123 90 1 18 123 82 184 214 247 94 111 43 58 178 118 153 64 33 178 164 181 167 165 21 101 50 128 53 167 100 103 124 245 124 219 168 59 157 165 130 117 42 39 86 1 80 90 226 177 200 94 42 144 166 5 32 119 175 252 96 48 208 186 51 182 88 19 205 15 251 83 36 136 66 248 85 128 73 91 86 206 20 175 237 182 119 127 229 28 251 195 125 99 150 233 45 90 71 11 160 36 139 166 69 79 205 243 156 105 90 38 246 152 49 164 173 28 13 138 5 235 16 107 178 186 138 3 100 173 89 35 113 36 206 9 167 140 69 87 246 216 134 21 157 214 187 163 108 121 33 52 209 213 2 164 47 5 139 166 5 32 95 150 145 22 64 233 200 138 81 107 38 177 38 106 242 74 173 20 168 163 130 182 254 140 213 231 119 218 138 91 206 183 171 85 219 217 153 15 44 98 203 199 205 146 174 6 70 1 116 213 191 40 105 58 1 138 198 26 77 6 201 194 92 179 36 64 112 28 76 199 76 246 40 221 140 186 4 153 174 229 106 239 248 251 179 236 15 14 140 91 102 129 88 215 106 153 140 71 170 122 113 211 116 2 212 182 36 151 213 65 144 153 0 5 115 195 145 81 57 167 27 54 245 146 14 132 179 172 145 205 91 230 195 189 118 205 188 188 45 83 60 202 21 139 225 0 153 100 81 24 229 255 203 162 64 191 103 249 35 77 78 74 211 2 144 27 48 94 15 155 79 148 106 198 159 38 64 176 199 35 12 0 113 226 81 93 52 87 174 166 179 208 188 146 245 222 126 161 253 169 106 59 230 52 38 101 81 112 49 159 67 237 38 77 9 28 82 42 7 81 195 180 30 119 50 8 229 150 128 129 3 79 187 144 84 23 210 180 0 212 26 59 170 184 139 101 197 153 166 26 113 112 175 162 90 192 34 76 5 32 128 154 161 203 197 106 37 240 46 236 182 119 126 246 76 187 116 215 184 165 91 174 230 6 185 49 65 111 44 81 207 118 106 154 22 254 38 219 165 250 180 4 87 232 113 70 146 221 44 48 36 209 133 42 35 234 156 4 138 241 78 88 0 38 158 182 148 75 5 211 45 147 106 197 32 212 6 24 24 196 211 215 136 4 128 120 200 104 214 71 113 69 174 86 177 204 71 123 109 195 183 119 218 150 237 35 214 47 60 171 229 214 169 90 45 129 19 97 180 134 224 8 96 169 76 10 6 174 209 189 213 50 124 76 215 15 171 237 118 245 223 22 199 227 106 155 125 179 150 162 91 192 220 102 54 68 135 94 109 178 59 154 26 208 151 113 219 39 120 160 158 46 128 194 42 192 32 182 252 129 15 70 108 241 77 245 1 6 128 16 76 227 240 56 42 65 53 33 17 45 148 171 141 88 125 97 205 86 221 180 214 62 120 217 79 236 31 230 228 173 33 54 1 101 120 244 80 78 162 28 230 33 191 92 163 149 150 88 138 141 225 142 61 86 215 91 2 30 91 24 181 235 31 204 206 184 47 138 214 109 50 187 180 203 172 71 157 114 159 52 219 245 115 179 155 63 102 246 179 197 114 185 221 102 194 51 68 68 101 33 133 185 166 11 32 159 36 4 161 93 87 5 190 52 1 113 128 120 134 135 224 152 141 106 152 35 55 3 36 91 42 232 196 174 139 198 236 29 159 89 101 63 251 226 86 187 123 213 76 235 220 58 24 12 86 3 139 22 9 160 133 250 179 90 113 238 127 159 177 198 93 26 41 126 58 176 36 243 142 14 155 123 101 201 94 217 91 177 11 102 143 216 197 90 132 115 181 37 10 231 38 2 236 11 115 205 206 59 205 236 178 131 102 215 92 103 118 143 64 50 129 132 22 104 4 176 128 175 19 200 244 39 2 5 14 212 244 118 74 104 202 67 5 44 146 239 4 181 112 55 105 28 182 253 153 98 222 114 107 228 180 147 109 92 97 31 189 113 192 182 9 156 29 175 208 163 200 168 30 81 242 41 171 30 26 182 202 230 61 86 86 60 193 160 210 23 123 173 239 177 181 209 171 119 157 109 175 43 142 217 107 178 163 214 151 169 90 30 236 33 232 184 14 169 42 55 90 16 71 154 174 166 233 186 222 106 246 103 2 232 145 35 102 250 23 24 4 56 46 211 230 98 76 224 41 74 133 208 171 203 140 38 134 53 184 22 224 112 210 25 148 96 226 176 132 165 101 201 36 209 60 185 218 176 53 22 141 218 43 30 184 216 62 251 231 143 216 151 238 61 104 79 180 90 213 230 20 173 116 215 26 59 183 39 107 23 204 207 217 69 26 106 109 190 102 11 49 77 113 204 6 53 198 88 193 234 42 18 215 44 85 183 84 163 98 233 196 139 147 44 107 35 34 47 232 17 161 250 21 147 68 224 140 2 19 174 133 38 193 125 95 12 6 49 19 176 180 141 15 0 193 36 220 140 61 196 1 130 224 30 155 148 71 184 218 49 139 87 213 108 253 15 95 99 171 21 135 238 31 169 218 214 57 41 155 37 89 87 76 91 95 54 173 81 90 97 154 119 127 213 146 53 26 179 69 217 113 75 165 71 245 96 124 72 64 201 143 4 142 197 152 174 212 218 251 226 108 108 209 97 179 195 253 210 64 164 206 9 28 8 7 48 1 28 242 233 4 200 39 209 217 66 145 133 43 192 96 198 150 65 1 32 128 2 24 252 0 55 155 41 225 62 28 4 192 149 98 64 100 141 25 251 236 180 51 243 246 71 97 125 25 7 200 25 171 168 213 6 212 140 122 233 49 56 163 163 65 44 75 171 7 180 53 29 213 208 146 42 227 182 82 74 253 96 81 90 139 194 186 220 99 246 128 178 49 5 239 72 93 28 28 207 195 20 222 247 133 204 195 4 85 173 144 6 141 208 39 12 142 65 148 168 5 4 2 50 194 134 203 110 118 76 178 64 130 241 172 54 109 196 134 104 181 74 243 85 115 84 176 113 182 210 3 46 253 226 172 165 244 192 155 14 96 106 146 72 62 19 139 18 13 1 82 217 43 112 158 145 175 224 71 74 60 24 103 112 105 181 27 215 46 57 71 154 252 202 236 87 159 55 251 9 211 9 28 240 154 152 94 184 32 205 153 161 53 186 155 31 21 121 198 58 104 153 168 97 221 128 162 39 247 38 103 105 33 69 67 232 38 88 3 4 94 15 64 114 133 80 239 109 200 49 140 135 149 121 202 105 71 95 229 17 101 4 48 113 33 197 177 250 46 1 240 148 240 150 107 233 197 92 112 167 140 130 75 78 204 228 186 124 200 26 165 216 210 253 102 123 62 102 246 239 234 57 40 181 198 181 62 140 196 200 73 249 253 25 52 1 24 141 223 228 199 229 125 150 191 107 187 213 62 114 150 45 236 202 217 218 48 61 143 172 48 8 21 48 28 70 1 16 117 168 71 160 198 213 168 163 13 233 4 117 117 77 63 0 241 251 42 134 200 161 56 19 63 213 4 8 6 209 70 167 47 43 44 209 52 26 143 24 52 188 75 107 84 181 148 110 143 94 103 118 227 22 179 29 114 173 113 173 11 78 206 168 46 62 235 243 3 40 1 134 198 10 170 122 30 173 89 163 211 235 160 165 7 165 0 7 68 129 131 211 68 215 173 179 79 23 178 182 92 229 186 158 218 113 136 166 26 244 68 13 173 110 136 33 168 136 96 92 183 132 228 64 180 213 85 29 101 79 56 5 187 160 88 99 114 169 88 101 88 130 102 153 185 34 157 246 113 98 78 93 46 60 252 148 66 143 22 0 124 111 50 251 198 119 205 126 41 239 29 211 222 238 14 78 79 231 35 51 147 78 205 197 18 192 48 62 98 231 105 238 121 250 198 149 153 105 233 194 51 22 223 254 152 213 31 141 227 114 171 237 140 47 93 98 189 87 173 180 143 207 205 219 135 130 219 44 147 139 16 128 125 132 48 138 174 137 65 48 6 67 81 17 128 80 147 251 14 76 50 87 117 0 142 216 162 24 99 59 37 138 59 244 137 233 39 127 201 45 22 41 231 75 65 49 180 38 87 43 63 45 36 14 88 172 233 83 119 154 221 245 69 179 31 43 254 3 14 78 205 66 34 204 238 32 249 140 83 51 168 101 168 155 17 204 146 219 164 207 208 83 247 246 129 112 156 111 88 147 37 33 106 124 105 189 45 254 159 183 71 171 119 95 109 235 74 105 123 109 62 178 87 229 243 58 250 241 22 113 169 166 94 172 146 246 210 96 116 24 77 101 18 17 18 22 193 44 212 4 40 152 68 91 39 188 51 73 85 1 108 89 102 50 26 214 4 247 226 62 99 138 53 217 133 66 65 12 212 217 203 26 226 70 85 187 216 240 78 171 207 172 89 122 179 217 230 171 204 110 17 110 195 154 2 112 216 214 209 31 97 118 32 246 89 1 233 100 128 146 192 188 78 243 20 5 74 105 44 132 81 187 93 128 252 104 91 56 206 167 251 74 214 253 229 55 216 202 53 115 108 221 204 140 93 84 202 11 16 179 190 20 193 148 173 91 134 199 29 154 108 182 118 26 57 122 123 103 82 49 24 131 65 168 0 48 0 4 80 168 137 218 196 34 174 29 24 218 161 58 236 2 20 88 3 144 212 113 15 22 46 209 80 2 39 162 12 15 196 176 186 218 28 219 110 141 226 176 165 7 34 219 243 129 56 4 229 253 82 239 152 66 29 209 142 25 89 14 103 144 3 196 168 60 70 158 232 98 9 112 162 141 125 150 185 65 131 199 2 68 141 121 166 42 222 252 38 235 187 255 202 232 220 61 27 236 252 25 25 59 63 31 219 89 217 156 78 43 4 91 12 237 208 160 2 37 42 73 109 157 124 34 192 226 30 96 248 42 171 24 174 201 61 177 75 113 150 1 0 92 7 144 0 149 68 63 204 144 171 4 214 236 83 142 70 152 208 98 141 157 174 178 118 184 240 92 223 50 183 33 144 135 183 73 159 221 150 210 112 149 127 140 237 63 212 117 71 183 102 145 71 50 19 163 34 73 215 74 46 137 110 37 24 52 17 156 235 5 204 183 162 168 244 192 123 162 245 189 179 237 194 195 27 236 18 189 124 95 83 136 228 44 172 46 9 80 10 82 66 167 87 129 18 9 32 222 15 164 66 61 202 35 158 216 202 125 122 175 243 28 16 1 136 132 186 218 145 2 64 204 195 58 3 202 46 9 225 212 199 160 253 50 201 114 9 177 141 132 195 40 241 104 81 222 161 103 47 109 83 180 255 134 217 215 191 101 246 11 17 117 84 224 0 63 48 34 0 52 145 61 204 16 232 67 142 106 201 20 233 51 113 250 250 71 227 241 223 188 47 122 195 83 31 179 207 10 144 245 105 189 10 13 141 66 87 77 169 247 60 2 37 18 119 162 168 83 82 16 36 24 51 17 20 86 25 96 28 168 228 125 175 99 96 202 244 167 45 36 151 21 193 77 185 6 44 174 49 37 201 154 21 186 94 36 193 165 72 220 39 169 127 85 128 142 60 110 113 105 196 82 223 141 236 174 235 98 187 75 65 185 44 124 29 28 90 35 73 112 24 29 105 131 67 57 24 238 236 193 173 0 103 235 7 162 183 174 153 103 223 209 231 152 98 24 102 76 174 38 80 194 91 29 157 94 9 160 156 76 195 106 178 14 0 199 72 24 148 20 12 231 218 193 96 122 218 38 5 198 48 134 183 163 45 172 25 144 208 14 51 130 218 202 1 99 177 100 153 100 150 132 57 105 79 187 150 121 13 5 240 209 71 173 209 185 223 82 191 76 217 111 63 88 179 91 213 140 160 76 212 154 24 148 153 221 227 78 24 133 184 163 186 118 10 0 113 117 133 166 82 204 169 255 110 65 212 121 199 187 236 218 116 90 234 148 173 162 214 57 157 145 83 60 47 180 21 198 0 18 32 185 97 14 12 10 79 172 227 154 228 83 211 134 228 99 18 119 180 219 132 241 169 39 177 182 168 236 109 231 168 188 92 178 64 130 123 49 38 253 125 12 114 233 85 222 162 39 144 126 75 13 196 182 123 99 141 35 143 29 16 57 135 52 5 90 79 198 28 7 8 108 24 229 132 212 6 104 135 62 19 199 155 226 234 237 151 69 61 169 88 97 175 201 140 108 120 128 240 110 201 124 98 153 107 23 166 240 242 196 118 201 123 94 6 8 214 50 217 7 96 16 234 78 147 172 144 0 18 174 72 29 125 60 97 162 250 215 246 75 182 137 18 210 253 107 53 251 238 227 13 219 33 162 149 133 61 224 0 185 187 21 101 103 143 107 168 170 147 147 175 173 205 216 28 126 106 146 249 222 86 59 90 111 216 254 150 114 181 182 34 40 11 99 16 96 69 209 164 80 135 112 63 105 28 211 99 128 11 170 185 170 44 2 194 181 171 153 204 1 129 241 8 194 10 34 161 76 221 68 193 84 141 161 216 19 103 7 45 18 78 251 126 48 110 143 170 86 207 165 97 199 242 89 61 119 214 48 18 51 78 202 30 213 7 147 200 237 94 53 186 98 137 229 110 219 101 71 62 63 104 55 173 156 103 215 139 198 217 240 75 12 158 202 113 51 7 129 115 142 151 49 192 97 6 152 164 242 14 138 175 21 215 201 178 95 187 218 109 117 213 206 129 162 61 209 131 141 89 177 47 128 20 76 82 153 68 153 54 18 29 72 226 168 106 209 96 205 202 138 237 35 82 177 2 110 199 91 180 151 201 1 122 86 112 212 79 79 218 74 20 72 183 239 10 3 20 87 221 102 223 220 124 133 117 157 49 219 62 209 145 23 177 81 92 63 50 208 59 203 240 109 29 37 20 161 248 218 213 140 7 40 142 0 148 179 71 197 144 220 24 114 7 128 220 193 129 65 24 175 101 15 59 86 178 189 247 225 30 101 128 192 221 88 20 18 117 62 142 198 76 41 136 131 70 87 205 138 11 180 175 246 215 245 218 86 173 228 87 204 232 50 113 6 221 154 58 37 29 34 152 183 72 38 106 59 204 220 248 184 61 116 108 204 238 155 153 178 225 108 202 58 139 25 155 163 237 94 159 217 5 65 69 239 120 198 164 154 126 251 19 241 253 157 158 128 229 46 230 64 145 51 131 179 13 230 209 206 1 101 87 234 104 213 1 20 129 26 131 105 63 91 194 51 154 135 85 29 252 218 39 108 95 12 7 237 56 71 162 209 221 122 98 63 100 51 198 98 219 241 211 216 30 83 216 170 9 127 70 7 94 90 50 3 2 96 39 108 233 92 79 76 190 222 228 152 211 54 233 244 146 21 159 28 14 215 185 229 69 91 252 161 51 236 85 111 89 102 151 246 118 217 5 221 5 235 73 99 104 83 177 88 239 121 26 138 17 169 104 182 192 234 82 61 187 12 70 50 154 39 102 72 38 140 35 145 195 160 223 73 118 74 80 125 174 100 185 132 57 56 3 13 72 0 143 182 196 162 21 146 133 18 215 193 67 175 66 241 208 175 173 49 118 159 165 246 86 108 247 123 205 62 245 152 217 22 225 57 36 132 152 37 185 205 7 70 77 182 115 169 93 59 57 48 228 94 110 131 84 42 89 78 47 196 11 79 30 14 60 160 190 216 219 105 11 63 113 150 173 189 112 161 189 182 175 203 214 206 204 105 227 165 167 192 226 213 40 171 30 128 2 44 127 198 226 62 201 103 73 130 131 154 128 240 27 137 2 71 48 122 165 242 101 18 64 102 221 169 223 38 193 213 184 102 1 150 72 0 9 86 82 215 98 90 245 25 13 119 191 213 51 253 150 126 40 178 187 223 20 219 223 10 211 163 34 32 135 68 14 20 206 73 103 209 148 1 90 109 219 160 36 203 0 225 18 156 67 54 103 103 22 45 87 107 88 118 191 222 249 182 250 117 94 60 207 150 95 115 166 173 61 175 219 46 89 82 178 179 59 179 58 190 97 176 0 136 245 177 47 154 163 113 230 235 154 93 200 123 169 216 78 0 133 113 3 18 246 28 212 215 190 108 103 75 112 49 18 160 50 166 14 128 246 164 132 182 162 67 93 245 13 249 79 90 64 165 112 69 7 73 99 140 168 221 161 7 244 46 167 108 209 215 83 246 133 107 27 118 155 154 141 239 58 241 36 77 15 70 70 166 116 53 166 7 12 18 101 18 215 94 79 25 144 48 47 136 194 70 166 171 96 185 114 108 153 99 227 161 29 109 75 239 237 177 149 111 95 102 231 175 155 107 175 93 144 179 179 11 105 173 115 85 243 206 80 156 130 17 28 240 24 129 68 15 103 17 196 135 61 3 18 210 10 9 237 97 6 237 92 84 12 207 98 59 212 117 171 240 208 195 107 85 64 241 146 39 219 195 10 170 41 166 138 201 117 185 218 145 135 173 81 221 18 30 84 15 252 133 217 198 123 53 75 183 162 152 200 154 60 48 62 39 139 152 222 1 82 49 168 67 238 32 249 125 76 163 14 105 131 53 187 104 217 172 88 37 189 210 7 155 96 113 127 206 135 251 108 213 134 85 246 174 115 186 237 114 88 17 107 231 137 94 169 59 48 137 17 61 1 146 92 194 54 75 96 8 76 88 35 1 76 7 134 17 73 126 205 120 98 72 229 97 201 110 1 5 235 212 175 208 163 216 175 121 82 0 43 133 202 123 196 162 77 86 47 30 177 180 240 191 247 245 102 127 163 88 116 72 152 106 15 106 199 162 36 139 38 117 53 7 64 125 218 201 77 112 149 60 71 85 196 251 56 80 212 101 102 21 44 171 151 225 217 253 98 86 69 187 156 234 114 155 222 98 215 202 253 174 16 253 27 114 155 148 245 168 214 71 80 49 4 249 45 202 21 73 67 121 145 242 51 37 0 149 156 85 151 237 126 128 170 128 82 239 151 149 2 182 188 93 93 117 205 139 155 142 30 81 89 146 86 140 130 69 67 138 91 131 91 172 209 161 143 134 255 105 246 79 27 244 146 126 169 92 237 233 166 171 121 44 74 130 116 146 171 37 141 214 204 33 161 130 11 164 133 134 8 3 185 136 200 33 216 105 65 194 22 58 118 116 204 70 244 97 111 72 224 12 45 201 7 115 71 174 249 133 125 245 88 217 250 53 26 95 73 249 100 211 76 140 78 130 236 7 36 168 138 35 19 119 216 194 125 118 207 85 21 234 232 207 204 210 154 151 99 249 115 181 10 125 186 37 48 199 228 59 131 191 149 60 42 133 52 102 172 118 121 249 84 78 66 151 55 154 93 253 102 179 115 4 78 70 85 132 121 22 152 89 201 147 203 166 203 227 201 111 248 122 145 123 74 170 135 106 14 22 32 1 152 131 132 121 0 229 249 184 128 26 158 175 207 190 15 30 181 129 189 101 251 41 211 43 62 52 66 47 31 137 81 112 43 132 153 56 15 205 148 184 6 212 145 92 11 114 95 38 102 214 56 25 1 218 41 215 237 60 91 101 177 174 174 122 189 65 180 163 98 228 24 59 158 218 20 244 70 179 154 179 186 154 206 188 214 236 47 85 123 154 194 94 81 205 113 70 192 73 2 196 185 217 53 208 173 227 200 81 233 96 133 27 137 63 174 170 155 70 62 145 85 168 156 4 169 162 223 6 113 61 162 23 233 131 40 26 62 251 38 71 224 68 162 149 14 59 23 179 179 123 1 18 179 209 206 129 161 204 232 196 26 132 101 112 30 75 139 180 44 45 173 22 249 46 104 198 32 230 25 85 252 57 182 85 32 105 124 94 220 231 245 53 101 80 163 202 123 47 186 201 236 79 164 88 86 44 82 207 112 168 120 86 22 113 147 132 138 168 68 238 101 21 79 74 14 86 242 6 96 121 63 135 192 244 221 28 192 107 29 236 102 234 213 126 93 226 173 9 149 156 111 48 182 40 1 32 214 50 57 3 128 200 117 98 25 90 215 178 235 23 178 166 23 116 97 91 231 155 87 216 181 212 63 173 254 157 189 170 215 253 99 114 177 177 189 90 45 16 17 152 121 81 39 35 135 210 83 64 84 22 50 175 51 251 192 123 204 30 188 77 191 11 90 164 153 133 37 26 185 222 1 3 72 228 7 72 7 72 109 218 192 36 141 165 126 178 148 52 131 251 97 96 229 244 37 69 149 214 23 176 28 31 138 153 158 22 158 195 136 67 146 228 233 88 167 185 118 27 70 33 62 245 171 203 147 10 39 250 228 172 221 42 194 133 116 254 137 97 90 122 150 62 121 97 188 250 17 148 113 140 252 92 61 135 137 38 105 57 207 232 211 34 158 0 166 79 78 109 244 3 209 104 172 98 245 238 216 58 255 74 219 190 0 218 33 21 246 10 239 138 176 71 51 128 98 81 131 109 14 18 0 161 142 27 236 6 186 193 94 175 38 83 167 22 218 225 127 230 180 90 53 134 143 134 9 137 130 249 48 58 35 185 26 48 67 172 8 78 8 107 136 61 68 4 218 32 184 223 83 106 190 213 98 125 6 141 242 250 145 84 86 234 107 3 176 212 168 152 128 11 85 244 25 76 223 232 115 58 177 23 230 234 190 192 18 75 194 135 194 130 168 193 56 229 125 178 90 172 129 77 220 211 27 82 62 108 214 251 204 206 253 166 217 251 222 111 246 21 17 183 40 128 224 49 218 185 160 69 72 0 132 138 126 131 74 7 137 50 201 27 39 129 108 222 153 240 23 160 132 60 237 241 6 198 76 103 162 166 139 41 54 68 225 91 58 163 28 147 200 117 130 90 128 227 193 153 30 50 136 175 23 98 78 35 165 207 77 67 85 27 223 60 104 191 250 245 176 61 49 166 215 24 171 99 91 118 122 205 94 51 171 98 75 74 58 123 141 202 85 143 60 173 182 114 51 197 154 72 140 138 2 24 98 89 97 158 134 147 27 243 3 134 186 64 199 5 181 227 165 198 165 225 58 179 119 189 193 236 238 187 205 54 157 166 229 81 51 64 130 65 206 162 96 55 0 145 80 123 42 0 166 170 15 29 67 103 80 81 242 138 243 164 199 102 73 143 38 203 196 2 8 195 153 222 69 218 132 39 115 70 158 33 97 211 165 55 204 97 213 183 89 35 173 7 229 253 101 59 242 201 157 246 181 91 6 109 147 238 16 181 196 33 139 151 234 48 122 181 88 176 62 178 139 23 235 35 239 236 88 17 76 46 57 34 1 11 29 22 35 185 93 10 160 252 23 29 48 169 33 22 106 202 72 131 240 235 142 89 138 69 151 8 160 71 4 2 252 101 118 192 65 43 151 246 119 49 42 184 137 41 109 67 85 246 196 253 201 234 253 254 9 185 102 162 189 229 102 88 70 204 41 134 81 165 92 251 252 74 252 33 14 161 150 130 64 72 48 71 110 87 151 91 105 223 75 149 229 66 95 216 107 55 11 156 159 235 63 195 84 171 98 143 6 173 73 26 34 216 192 223 41 134 168 229 143 95 175 135 147 247 155 93 188 90 96 205 215 143 53 5 86 14 87 28 145 132 144 165 207 80 250 202 202 175 220 28 32 212 9 52 95 216 252 4 80 20 168 0 143 253 72 208 93 121 72 48 136 10 140 39 167 1 32 37 211 41 3 147 236 164 114 60 163 110 122 149 36 128 52 130 94 178 53 89 3 15 60 56 195 28 237 70 1 56 213 139 57 86 215 55 116 61 187 68 183 28 180 111 93 127 208 126 162 175 182 227 135 107 161 7 70 48 74 93 196 128 120 124 16 172 222 163 255 254 42 249 181 230 184 245 35 102 175 188 92 172 232 213 118 174 109 92 111 105 44 93 22 107 213 177 225 6 146 203 192 186 12 79 105 61 112 244 240 171 28 229 216 239 224 120 30 78 146 14 202 115 1 65 167 41 219 200 203 218 110 38 50 132 182 157 133 240 219 160 166 139 97 154 162 97 80 9 50 211 2 128 88 14 169 89 31 144 33 251 245 236 84 183 244 189 131 246 192 135 247 216 15 116 123 116 180 9 142 22 249 248 9 72 227 243 185 23 93 82 10 178 188 154 202 10 172 3 55 42 166 72 238 95 34 102 108 52 59 127 173 217 250 229 102 175 86 155 89 76 135 10 76 215 165 126 79 233 41 240 159 205 238 163 74 245 56 63 233 36 251 156 65 193 32 53 32 71 72 39 53 86 157 183 11 13 166 248 211 238 63 55 219 98 16 90 161 157 179 7 117 0 71 75 195 79 86 234 251 20 76 245 83 222 78 129 243 228 168 61 125 213 30 251 186 238 30 214 237 65 97 9 56 194 35 8 163 224 172 232 134 68 34 35 11 140 100 4 68 86 96 197 187 180 7 126 58 236 131 118 199 219 244 110 224 143 197 168 51 20 151 229 205 75 165 92 250 113 189 93 186 222 236 182 7 245 154 174 36 224 53 134 99 119 146 205 0 68 98 2 159 52 84 232 207 169 128 225 109 67 14 139 40 200 254 208 183 71 239 144 180 115 1 197 113 128 48 87 169 65 11 149 249 129 193 248 126 185 85 205 82 7 245 60 247 215 251 237 166 157 85 235 151 11 13 11 79 56 7 223 0 8 23 3 90 196 117 101 20 7 136 31 114 208 134 115 99 70 44 201 105 248 161 59 229 130 146 71 84 127 203 233 10 238 106 156 222 214 228 113 89 33 176 50 220 156 131 49 89 70 196 199 86 81 3 73 130 49 83 228 126 143 182 167 156 122 212 178 95 147 45 207 153 126 210 220 58 40 242 162 31 191 144 9 236 38 141 180 132 3 200 33 157 103 244 244 159 214 26 254 235 81 187 245 251 163 246 208 108 65 119 228 248 174 229 224 56 64 206 32 215 39 9 82 0 75 192 164 37 1 44 141 5 171 178 66 249 200 147 205 39 191 136 248 165 78 53 185 37 99 195 30 7 62 9 80 96 211 68 128 28 144 100 238 138 120 238 247 252 250 164 92 179 210 198 102 101 172 160 199 1 157 97 5 134 52 110 72 203 134 182 98 216 195 99 0 191 252 170 234 75 201 76 29 4 127 56 98 255 253 185 65 251 145 40 63 42 112 196 171 160 124 18 28 55 196 141 240 121 153 203 197 217 228 121 90 99 5 160 212 6 102 81 143 167 251 24 128 141 0 16 57 245 126 79 197 227 12 162 204 36 147 37 234 3 154 147 221 124 150 186 134 182 231 156 24 147 227 132 164 95 188 54 1 146 186 188 158 224 92 82 209 55 127 129 147 122 120 204 158 184 242 136 221 170 177 252 135 77 147 1 227 6 160 11 70 144 146 186 81 166 158 220 1 162 143 151 83 90 35 238 121 242 113 124 92 207 169 111 39 103 144 79 68 238 229 118 163 73 10 167 210 38 238 212 127 5 16 115 50 21 77 93 149 176 93 52 180 86 252 142 176 170 255 213 83 80 220 25 168 216 225 107 134 237 38 221 218 171 184 113 76 180 23 199 78 96 143 211 31 3 130 81 137 67 105 48 166 21 251 40 187 254 73 160 168 3 36 191 151 212 61 140 167 123 180 71 184 14 226 115 120 144 86 253 148 44 73 14 72 187 83 78 67 67 122 109 172 247 64 105 153 86 147 153 245 22 56 42 199 250 158 150 26 213 97 240 134 138 221 188 169 97 143 43 86 224 90 138 153 1 28 220 194 93 10 128 92 249 134 43 158 84 34 81 151 124 30 76 234 29 92 75 125 28 36 186 59 24 94 102 142 80 78 140 215 244 73 213 210 241 5 75 58 128 49 89 246 191 142 217 30 61 81 239 35 246 140 143 138 60 226 248 120 89 49 90 229 130 120 242 189 49 251 206 13 53 187 87 219 51 63 168 244 184 3 56 73 128 24 203 229 57 117 196 56 146 26 34 222 15 246 185 36 25 201 125 234 201 79 96 142 174 67 114 100 185 152 10 36 58 78 150 166 106 175 223 118 90 99 141 0 250 183 99 182 107 239 176 125 191 68 96 30 181 84 77 192 68 202 187 202 150 190 187 98 247 108 208 231 24 157 1 134 116 91 248 180 95 135 37 193 73 42 223 126 71 51 153 50 19 235 154 48 181 255 194 60 196 199 115 224 188 62 48 147 214 19 199 73 2 52 241 94 242 122 74 48 146 141 146 101 89 140 18 153 141 35 246 213 135 71 236 142 184 108 117 125 174 78 141 85 109 240 135 177 125 231 221 102 55 232 254 65 105 124 84 136 136 91 129 53 4 103 119 173 164 49 232 126 146 242 106 251 188 83 24 40 241 231 185 6 192 240 110 137 35 138 82 129 106 173 58 202 220 35 121 125 243 170 249 119 50 165 61 32 166 79 211 25 232 160 182 87 53 237 250 148 254 43 170 158 161 22 61 164 231 245 31 133 99 146 213 116 80 211 51 105 27 28 152 227 236 1 36 230 117 125 158 23 123 212 239 5 75 14 144 43 226 185 3 227 57 19 158 42 64 140 137 0 76 90 193 55 39 32 242 207 232 66 73 69 43 204 17 179 20 141 249 238 231 241 0 64 92 168 67 15 0 10 115 190 80 236 209 120 207 59 177 139 161 196 196 228 117 158 79 188 255 92 215 244 195 192 72 174 134 225 124 11 204 137 65 188 90 30 21 171 184 239 226 128 56 88 47 27 112 208 59 9 144 131 225 57 247 147 9 86 76 117 47 217 206 203 1 32 191 208 243 40 215 184 159 187 160 3 4 32 46 180 65 194 189 151 146 57 210 33 164 228 57 200 235 126 223 220 65 4 80 140 37 81 231 0 185 11 58 64 228 0 228 109 66 253 203 1 28 233 20 24 68 142 82 47 116 242 49 1 198 217 231 128 249 181 183 9 160 168 93 200 95 46 224 0 200 255 1 231 253 196 254 216 64 13 78 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/13/2011 11:47'!
seasideJQueryMobilePng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 201 0 0 0 148 8 6 0 0 0 248 88 210 236 0 0 0 9 112 72 89 115 0 0 11 18 0 0 11 18 1 210 221 126 252 0 0 32 0 73 68 65 84 120 1 236 157 7 188 93 87 117 167 247 185 247 245 247 212 123 239 178 44 89 46 50 54 54 182 137 193 244 24 8 100 128 4 134 208 73 97 76 50 3 9 19 24 192 16 126 73 32 161 76 134 18 8 16 32 64 24 8 96 154 105 6 11 12 198 184 96 185 202 178 172 222 172 222 158 244 234 189 119 190 111 157 123 158 174 100 201 54 36 153 96 229 110 233 188 115 206 62 187 172 189 207 61 235 191 215 218 107 175 157 213 106 181 212 12 205 30 56 89 15 100 132 147 252 62 178 134 180 141 215 13 209 169 241 71 213 120 125 170 52 141 241 39 187 62 89 61 69 92 113 110 204 103 92 99 189 197 117 113 110 76 235 245 169 226 79 76 247 152 184 247 189 65 104 118 121 74 165 235 107 181 97 110 187 185 111 227 56 178 140 63 247 228 237 173 114 201 235 173 121 110 134 102 15 52 123 224 20 61 112 50 38 120 138 164 205 232 255 100 61 112 42 240 41 226 139 243 195 117 139 224 83 0 80 113 110 76 127 178 184 198 231 197 245 137 117 121 223 24 215 120 93 228 105 60 23 245 120 46 174 27 159 123 125 170 248 19 211 253 218 223 3 138 37 136 140 62 250 233 211 210 111 205 233 76 47 218 55 152 210 170 189 233 171 191 119 115 250 214 244 148 134 182 167 84 33 141 71 1 150 167 77 251 127 237 95 80 147 192 199 84 15 248 49 53 67 179 7 30 169 7 10 80 26 97 190 100 40 226 60 27 223 248 172 40 175 49 77 113 93 60 243 108 220 35 133 198 52 69 25 141 231 162 222 130 134 226 92 164 177 252 226 186 56 63 82 157 143 233 231 87 95 30 239 162 250 153 139 211 37 23 76 76 31 153 49 38 253 151 229 19 210 127 121 209 236 244 177 207 92 144 94 6 64 182 47 155 148 90 105 100 185 222 55 143 233 246 54 137 111 246 192 191 103 15 200 80 154 161 217 3 39 246 128 96 82 132 2 88 138 223 138 247 5 16 141 156 55 110 220 232 181 76 183 56 188 47 242 22 103 162 142 15 117 213 224 241 145 199 238 204 87 132 162 140 198 114 139 107 207 197 81 212 95 222 186 117 107 11 241 141 64 80 148 209 88 110 81 254 105 113 86 138 92 185 50 154 210 253 248 41 233 197 173 237 105 98 26 78 149 90 37 85 219 58 82 247 5 19 210 203 230 118 166 51 238 217 157 202 147 82 0 101 244 225 35 188 135 211 162 111 154 141 104 246 192 175 210 3 126 32 205 208 236 129 198 30 104 4 144 19 65 165 241 222 107 127 63 130 80 105 238 220 185 69 190 80 223 17 87 60 47 226 137 122 104 112 82 236 161 177 143 24 211 88 118 128 227 206 157 59 165 195 48 196 209 207 49 48 115 230 204 62 206 40 26 67 149 106 158 226 224 242 244 12 151 95 158 74 43 81 161 254 245 5 105 206 140 158 116 105 180 188 68 187 253 71 79 207 233 78 139 95 60 39 93 64 235 59 59 199 52 165 201 211 243 87 208 108 213 191 101 15 52 65 242 223 178 55 79 207 178 10 144 59 14 152 234 160 100 156 32 228 97 240 190 135 163 157 99 152 99 128 67 208 244 119 230 179 226 224 242 17 131 105 139 80 228 43 206 69 121 158 5 199 218 148 41 83 172 171 101 239 222 189 139 250 250 250 46 222 183 111 223 227 57 158 122 228 200 145 229 196 171 90 20 60 171 183 221 118 91 99 185 68 65 84 216 185 196 229 99 250 143 210 224 226 195 209 199 45 103 142 78 143 235 106 73 243 226 14 144 164 137 25 61 85 235 236 76 61 79 153 146 46 166 161 61 131 149 164 164 61 34 109 155 255 49 221 1 77 226 155 61 240 239 208 3 126 32 205 208 236 129 162 7 26 153 100 1 72 62 43 174 139 115 9 80 18 4 203 3 3 3 179 15 31 62 252 212 161 161 161 243 74 165 210 100 4 195 97 142 114 107 107 235 78 238 127 4 80 125 123 225 194 133 135 72 123 178 223 218 163 149 34 139 122 61 55 2 164 215 3 212 63 102 112 112 240 25 195 195 195 207 168 86 171 43 184 30 13 13 221 240 252 190 254 254 254 67 60 95 87 46 151 191 72 218 47 159 127 254 249 189 117 90 52 90 137 64 218 71 75 71 145 229 215 245 156 221 127 91 200 142 29 211 123 210 57 64 94 103 244 186 189 198 80 165 198 80 193 203 133 163 210 227 206 27 151 22 221 190 63 173 26 199 59 220 127 172 79 79 151 126 248 117 125 63 77 186 30 131 61 112 50 198 245 24 108 70 147 228 127 135 30 104 4 166 2 156 10 128 26 62 116 232 208 217 72 108 191 7 40 93 1 198 44 234 238 238 110 25 174 84 114 169 12 86 11 104 38 192 234 101 29 29 29 55 220 127 255 253 31 189 227 142 59 190 245 130 23 188 96 232 133 47 124 97 105 217 178 101 233 234 171 175 62 37 54 41 209 52 224 86 81 103 65 67 113 54 126 248 192 129 3 75 1 234 119 84 42 149 103 83 87 169 82 173 38 104 10 164 224 207 216 114 169 52 173 92 202 206 0 44 127 131 244 79 190 247 222 123 223 186 116 233 210 205 239 120 199 59 252 237 87 31 142 142 198 62 173 211 20 32 210 120 221 152 230 63 250 250 114 192 110 37 56 120 246 248 52 102 222 168 116 86 200 207 237 192 227 32 3 11 20 208 153 139 64 104 245 148 206 52 255 197 179 210 133 128 228 234 206 81 105 104 255 225 144 178 139 247 221 4 202 255 232 23 217 172 255 215 170 7 100 52 205 208 236 129 19 123 64 134 217 24 10 6 234 239 165 15 149 230 37 168 49 255 177 165 165 229 191 33 49 158 9 87 109 225 190 58 60 208 95 173 12 244 85 135 56 42 149 225 90 169 84 238 34 60 29 0 253 248 5 23 92 240 74 192 37 1 144 35 76 88 176 49 28 87 17 247 13 0 89 212 107 146 226 90 26 2 32 145 16 207 3 32 63 212 222 222 254 92 164 214 82 255 192 64 53 171 12 85 91 170 195 181 246 218 80 173 61 65 67 101 176 74 154 42 146 36 100 116 255 30 244 188 7 160 28 255 246 183 191 93 73 56 66 16 113 2 29 197 35 206 81 111 157 166 135 92 215 211 253 135 159 108 195 225 243 131 214 218 165 211 210 220 182 82 154 25 82 100 39 164 169 108 150 242 150 148 213 70 99 192 51 38 149 47 27 31 42 215 113 219 15 167 210 248 92 202 111 242 130 255 240 183 216 36 224 215 177 7 78 75 73 82 134 209 32 166 200 30 100 204 70 199 234 233 127 207 23 81 175 123 100 158 75 230 90 175 55 170 109 164 161 158 118 4 52 126 85 186 138 58 31 46 255 169 104 104 200 99 63 53 134 0 4 34 100 158 94 123 174 28 60 120 240 10 64 231 239 0 155 37 71 251 250 170 37 158 116 148 179 108 168 90 43 29 96 102 242 240 112 150 198 181 213 82 151 51 133 213 74 237 104 223 112 181 163 189 29 62 156 222 123 195 13 55 236 188 244 210 75 191 250 165 47 125 169 48 178 33 58 94 76 156 125 103 132 184 54 186 126 120 95 208 80 208 81 133 142 105 71 143 30 253 107 0 242 18 233 160 192 172 179 156 74 235 14 103 105 227 145 82 218 203 12 101 7 185 150 142 169 102 179 187 107 74 151 85 128 188 212 214 214 246 34 64 126 37 101 254 61 18 165 229 141 4 251 200 208 64 195 200 179 135 185 56 174 12 211 213 251 122 164 33 15 147 247 223 244 209 228 131 209 79 67 207 153 147 206 105 47 167 57 169 131 226 71 209 143 154 49 25 252 218 199 230 247 179 122 210 178 103 77 79 75 174 221 158 118 162 119 246 125 68 31 215 127 75 255 223 105 151 188 102 104 246 192 175 99 15 252 155 131 100 195 71 22 204 163 206 48 138 182 255 155 127 124 245 250 138 242 227 92 103 114 141 204 43 174 27 227 235 116 213 204 111 38 158 253 107 104 27 169 171 40 166 56 215 203 14 186 26 174 139 58 141 138 235 130 158 145 132 15 127 49 82 159 201 26 235 58 85 182 198 52 245 235 198 122 27 179 25 95 148 31 103 141 116 52 140 233 237 237 93 92 7 166 37 125 125 253 149 214 82 86 26 168 212 178 27 247 150 210 117 59 74 105 205 161 82 234 69 62 235 44 215 210 133 19 170 233 5 179 43 217 220 238 90 185 191 127 160 210 221 221 213 53 110 220 184 171 46 187 236 178 149 128 229 126 84 175 101 192 178 177 207 51 84 160 25 18 158 113 5 13 141 103 153 120 105 207 158 61 198 149 153 127 124 5 210 225 19 1 108 185 123 54 204 88 228 235 155 203 233 147 235 202 105 125 111 41 13 50 7 39 72 142 107 171 166 87 47 24 78 47 154 51 108 254 170 42 89 194 147 233 239 127 162 31 142 52 208 17 180 160 126 149 14 146 230 1 122 138 203 135 59 55 182 163 120 31 210 249 255 19 48 179 158 246 24 12 246 156 57 46 93 214 214 153 186 48 161 170 166 110 186 103 47 132 104 62 37 69 93 252 157 152 210 228 29 105 198 115 39 165 243 1 201 155 58 123 210 208 193 222 0 74 231 105 109 203 113 237 225 190 25 154 61 240 159 182 7 254 85 32 217 0 48 35 29 216 200 128 141 108 100 206 220 6 227 24 73 220 112 241 171 130 196 9 229 55 148 248 240 151 5 157 13 249 163 57 220 63 26 6 113 202 118 156 162 86 211 91 110 145 239 33 117 20 244 52 228 127 72 26 9 124 20 228 21 117 52 20 53 114 249 144 50 79 81 94 99 25 25 66 152 249 202 72 98 127 136 36 182 98 96 112 176 90 206 106 229 163 72 141 31 184 175 37 253 223 77 45 105 15 146 155 169 34 37 77 189 97 87 41 221 188 167 148 254 102 197 80 154 213 85 45 33 237 165 81 163 70 157 255 199 127 252 199 23 81 214 183 81 187 102 117 144 12 154 0 167 164 100 7 64 149 126 227 55 126 195 180 89 103 103 103 134 196 26 203 75 118 239 222 93 70 189 91 6 168 7 70 143 30 125 46 101 188 212 238 44 101 89 117 16 41 246 147 235 90 210 7 215 180 164 35 128 116 25 234 45 180 159 235 7 143 150 210 255 185 191 5 208 174 164 37 99 106 105 112 104 56 77 158 60 249 252 207 124 230 51 19 72 114 132 114 109 107 65 67 180 91 58 38 77 154 212 216 7 36 57 101 48 111 145 54 202 225 190 56 23 191 255 19 159 159 178 176 95 245 193 229 12 32 190 116 79 170 60 110 74 154 205 104 96 137 246 197 168 86 179 76 59 99 229 196 58 5 153 170 215 113 169 218 50 41 149 158 48 49 84 174 95 120 176 55 245 33 234 151 247 229 210 100 181 254 59 27 105 3 57 154 161 217 3 255 105 123 192 209 245 47 29 2 77 248 236 100 176 167 96 178 191 116 153 245 114 252 148 139 227 100 101 60 220 51 211 23 207 27 207 182 177 241 190 241 250 184 58 26 105 168 183 241 184 231 13 229 156 24 95 220 55 150 109 189 197 97 124 227 117 99 186 34 239 137 103 73 104 76 119 42 128 108 76 243 112 109 109 76 231 245 137 161 241 185 207 226 126 199 142 29 165 105 211 166 13 162 162 188 12 176 124 1 6 50 52 164 150 4 200 255 13 64 126 236 129 150 164 154 181 157 154 227 64 138 108 149 10 194 143 182 151 210 55 182 186 242 160 154 13 15 87 106 72 113 163 103 204 152 177 32 127 122 236 175 210 155 119 2 211 149 87 94 153 9 144 99 198 140 41 9 144 0 99 134 36 91 66 106 44 49 7 41 96 150 49 10 186 146 185 208 185 67 195 195 181 182 82 181 244 51 192 248 163 208 49 172 244 8 32 168 2 22 166 74 25 180 64 207 222 129 44 221 135 148 75 7 70 31 146 191 149 178 39 91 231 229 151 95 238 73 64 8 26 0 232 146 116 72 131 7 243 151 165 7 30 120 160 236 65 26 91 230 17 125 83 63 159 120 95 60 227 241 67 66 212 241 144 216 127 101 132 191 147 229 11 3 10 171 175 95 154 102 79 104 75 243 5 201 108 20 5 59 12 150 194 34 64 65 173 3 250 49 107 157 62 42 157 249 242 89 233 108 30 181 96 192 35 124 22 109 180 200 34 48 14 201 226 120 7 231 23 102 89 185 56 234 241 255 46 109 42 200 109 158 155 61 240 31 221 3 191 146 36 121 50 96 68 2 80 85 102 123 30 205 71 211 56 74 109 188 110 236 143 71 83 78 99 154 83 93 159 138 166 17 198 72 130 70 26 226 186 1 48 27 105 58 241 186 168 179 56 159 172 174 226 89 81 135 44 171 184 246 124 226 243 226 89 49 0 57 241 121 99 29 197 179 226 220 248 204 235 198 208 88 151 241 69 61 197 185 40 227 184 51 0 233 243 18 192 242 204 150 214 214 41 131 3 131 53 230 187 74 215 2 128 255 184 161 37 71 12 114 160 238 68 138 100 238 143 115 197 28 30 128 212 234 3 136 107 67 213 0 46 84 164 172 96 239 28 205 147 116 207 61 247 212 148 30 9 89 33 185 21 210 35 210 106 38 56 146 22 227 212 82 38 64 26 122 122 122 42 88 213 78 227 221 96 162 146 165 22 208 122 223 64 150 125 107 107 57 237 71 146 237 225 215 76 85 35 52 72 130 244 28 6 196 187 202 60 192 151 119 221 238 181 124 247 221 119 183 252 246 111 255 182 245 27 50 105 17 32 79 164 193 135 210 226 25 15 62 9 7 5 53 188 11 121 155 0 236 145 150 114 235 117 99 48 79 241 252 100 241 141 113 199 93 139 78 180 177 152 10 40 202 9 26 44 243 106 233 229 194 3 103 229 217 229 28 19 48 198 225 182 99 84 75 58 139 181 144 163 248 151 175 86 117 117 40 253 18 234 86 149 169 252 250 50 12 120 210 248 84 27 63 49 141 123 238 228 116 217 167 182 164 27 91 171 105 120 246 152 84 157 132 43 244 201 219 83 137 197 174 181 221 228 58 76 242 219 242 220 214 89 180 103 132 166 215 42 184 35 205 215 107 240 55 123 98 63 240 168 25 154 61 240 216 237 1 63 159 95 54 20 31 107 145 47 238 1 72 207 39 62 43 210 20 103 159 159 248 17 53 198 249 172 241 190 200 119 226 185 168 199 115 145 190 49 206 244 197 253 137 121 139 250 139 124 141 207 227 89 29 240 139 116 141 207 139 235 162 108 207 197 181 207 78 188 246 190 40 231 196 103 166 47 158 21 231 34 125 113 111 154 34 156 152 255 225 238 205 83 60 183 172 198 107 159 21 229 27 239 117 99 26 159 23 233 61 87 30 124 240 193 233 240 190 165 64 85 42 3 76 251 7 83 246 189 237 229 58 248 60 20 32 89 129 1 231 228 15 234 206 177 112 223 182 18 106 78 86 135 200 63 239 187 239 190 210 185 231 158 155 152 11 76 72 105 161 98 157 63 127 126 73 213 106 1 142 24 227 136 137 5 56 138 25 94 43 65 186 163 197 20 142 133 149 74 53 181 100 181 108 235 209 114 90 115 184 20 210 171 224 28 220 154 51 58 142 28 44 137 24 207 188 228 188 110 80 0 196 172 65 23 243 152 29 88 186 238 180 161 219 183 111 63 14 32 149 96 5 69 15 170 140 126 144 22 211 26 144 106 5 250 56 35 101 215 144 172 107 2 39 143 26 143 72 219 240 199 103 141 193 242 78 140 139 231 180 173 68 215 100 43 159 148 101 87 95 142 225 209 36 250 123 125 42 95 119 91 170 46 187 60 127 47 87 175 100 233 202 229 169 228 185 94 78 121 229 109 169 127 210 232 52 255 140 177 233 55 89 29 153 210 24 202 207 61 237 228 111 211 161 153 193 90 185 70 21 155 50 230 38 81 185 62 243 143 230 165 219 62 188 33 125 157 39 131 155 15 6 216 242 230 98 252 163 233 143 215 14 108 134 230 98 39 123 52 165 110 34 6 46 229 76 134 3 31 75 105 15 207 10 24 86 85 27 253 208 4 75 122 165 25 78 139 30 248 85 64 178 104 184 31 122 193 60 78 60 155 230 196 56 63 30 227 226 35 50 65 61 20 241 222 122 93 132 34 190 136 59 177 188 198 123 175 27 239 45 163 184 47 202 43 206 69 121 39 150 95 60 111 52 30 41 226 138 180 222 23 229 158 236 124 98 156 233 101 79 69 157 222 55 6 227 139 178 27 175 139 114 26 227 204 87 196 23 215 197 253 169 206 166 107 12 150 103 40 202 205 239 142 149 107 124 134 106 177 132 3 0 159 73 59 2 98 173 131 99 106 5 144 65 122 75 27 49 140 217 194 92 159 16 18 192 84 151 32 149 218 60 248 75 13 57 255 62 119 92 5 67 30 230 7 43 89 24 205 0 78 155 76 33 48 2 146 53 206 161 90 21 148 10 112 196 72 40 195 9 129 42 190 8 34 38 89 156 39 44 51 135 184 16 181 239 12 29 200 180 34 77 110 239 203 210 182 163 220 65 75 81 127 33 209 134 76 3 71 95 54 169 146 38 182 85 0 234 90 173 179 187 61 91 115 223 234 59 255 244 79 255 116 247 27 223 248 198 196 26 206 218 244 233 211 75 148 107 29 58 73 8 112 132 158 168 95 128 52 96 116 148 88 147 25 18 158 244 207 154 53 43 161 130 174 141 31 63 62 97 76 36 88 86 1 241 42 128 89 181 93 72 199 209 19 166 173 135 19 239 125 103 35 113 214 193 125 233 5 252 249 226 23 241 180 74 184 156 131 232 46 78 218 167 118 126 105 101 188 127 65 107 20 0 137 236 28 224 228 172 99 246 198 243 210 156 63 88 146 174 90 208 157 158 168 207 163 90 143 89 121 98 171 12 190 14 15 3 241 204 77 102 105 90 170 77 222 149 166 188 43 165 183 188 122 74 186 100 83 95 218 60 163 45 85 71 151 210 232 29 131 169 60 191 53 117 29 233 77 163 106 71 82 173 116 36 141 239 235 77 165 106 127 106 163 194 209 8 168 135 223 148 210 22 36 217 175 34 77 126 143 82 117 210 32 221 65 59 231 145 182 113 221 12 205 30 120 204 246 192 47 5 146 126 200 48 75 63 61 15 195 137 215 39 198 69 162 122 186 226 163 241 179 245 186 184 63 241 220 152 199 235 162 174 147 197 23 207 10 58 26 239 139 244 141 101 20 117 169 58 123 36 9 192 180 39 150 119 178 251 162 238 198 122 138 184 145 50 52 16 129 201 143 212 79 98 175 139 35 1 76 53 128 169 120 94 196 55 214 215 120 93 212 117 170 184 136 215 18 116 226 196 137 69 153 9 26 92 10 81 243 64 141 90 85 109 136 10 212 122 45 207 80 131 142 144 162 124 166 116 199 60 96 6 176 29 229 213 171 192 11 158 171 106 245 65 23 167 155 129 235 99 224 100 4 170 85 184 49 203 36 211 146 241 149 116 246 152 74 234 27 170 213 218 90 91 75 72 109 189 72 165 119 89 206 141 55 222 88 18 72 156 103 20 152 152 99 140 121 71 85 171 155 55 111 46 33 209 37 193 145 122 253 189 68 123 48 28 234 4 140 156 67 235 176 158 126 152 254 154 67 25 243 163 57 93 129 3 210 67 2 105 138 76 136 181 103 65 195 4 150 165 236 31 168 213 198 182 183 241 52 221 194 239 184 119 229 202 149 45 206 73 66 135 243 144 37 0 79 227 164 18 96 173 39 161 132 129 144 192 87 129 190 128 151 177 99 199 10 0 170 53 5 170 4 112 74 155 10 77 223 95 43 253 84 70 210 108 49 31 64 89 193 217 66 194 195 79 194 64 41 36 103 146 65 213 41 67 116 231 151 80 146 190 255 137 217 133 207 152 155 86 80 233 248 95 188 52 117 118 151 82 251 16 114 33 194 115 59 234 212 150 129 225 212 197 4 98 75 39 215 7 7 83 203 216 86 210 180 164 5 163 187 210 172 80 179 206 64 96 110 163 249 82 93 244 158 215 82 111 45 198 73 137 203 65 206 160 29 93 105 234 184 3 233 119 206 179 37 198 147 238 12 211 10 195 116 151 118 193 67 220 247 241 206 135 108 61 101 57 56 2 44 47 4 193 159 242 250 148 94 251 119 24 99 77 161 100 196 115 75 104 26 255 208 9 205 112 122 244 192 47 5 146 13 0 25 252 135 46 240 220 120 216 43 197 125 113 29 103 25 116 29 36 52 196 208 215 166 31 83 124 80 38 104 8 198 21 229 55 68 143 92 22 229 55 158 125 216 120 159 237 223 191 191 228 232 191 33 212 136 11 73 64 144 192 112 35 83 2 0 68 42 117 192 12 9 0 198 86 147 177 213 203 107 200 62 114 121 92 61 245 116 198 25 138 103 178 33 131 247 53 164 162 4 243 79 158 173 59 158 212 255 8 98 246 7 70 45 213 250 156 151 236 204 52 5 43 43 202 54 135 113 141 247 94 23 113 197 57 234 131 225 87 109 27 101 103 50 121 203 86 125 88 159 99 84 93 88 86 109 168 244 3 32 22 52 9 144 214 19 243 112 228 75 190 39 212 138 74 51 204 46 230 224 51 190 189 150 96 202 105 39 238 195 219 49 140 145 90 11 208 131 182 7 107 249 83 103 75 53 253 247 37 195 201 53 138 3 216 203 116 183 182 10 184 223 125 237 107 95 187 238 53 175 121 141 69 249 123 40 97 105 170 35 130 12 96 17 140 4 159 26 239 205 226 68 179 97 234 22 164 59 232 55 157 2 140 227 55 120 86 75 107 91 86 27 30 172 245 86 178 108 53 6 57 130 182 29 209 40 213 10 222 122 223 73 173 149 180 108 244 48 160 89 171 129 194 46 33 73 188 227 85 36 79 119 221 117 87 217 193 66 65 7 234 222 146 234 83 6 14 125 46 21 193 99 80 15 125 52 122 215 174 93 83 73 110 31 232 234 110 12 7 112 91 179 200 118 200 218 75 252 30 230 75 143 208 119 155 233 115 166 241 82 11 253 13 142 165 10 190 98 109 103 0 165 234 229 250 18 23 30 29 11 245 129 128 109 238 185 238 249 233 170 139 167 166 215 117 181 165 233 35 111 214 146 124 234 185 248 98 189 230 141 79 231 20 176 109 7 184 4 100 12 103 13 115 252 21 21 191 20 127 25 35 191 14 174 45 203 231 6 84 174 72 157 181 76 87 240 3 168 196 43 92 251 22 6 25 255 16 103 235 134 65 190 1 242 15 8 146 131 196 145 215 34 196 208 177 40 118 231 164 244 120 46 127 204 40 234 40 73 235 48 74 245 4 250 200 164 205 208 236 129 199 108 15 20 159 220 163 109 128 159 93 113 248 217 25 138 251 198 243 200 39 41 48 169 138 146 81 212 131 222 79 84 155 201 140 170 48 150 86 129 3 6 233 216 213 15 170 56 146 12 198 32 104 193 96 52 240 240 182 177 158 184 134 241 149 96 78 25 11 204 203 50 83 202 173 80 159 223 176 193 52 178 132 50 204 215 207 191 200 95 60 111 133 156 22 64 35 36 0 24 229 8 88 146 54 194 163 169 159 50 162 63 108 43 180 192 74 70 234 109 1 176 90 0 200 144 224 20 142 234 253 33 45 142 221 5 143 178 76 153 50 50 64 65 41 6 107 208 225 154 42 191 185 199 27 135 20 180 23 125 63 210 207 148 99 121 246 97 155 18 17 253 219 69 121 227 41 183 159 119 208 45 0 112 191 135 62 106 131 249 247 209 223 251 100 218 90 144 2 4 206 247 217 111 193 208 168 55 84 142 148 145 65 75 153 188 251 121 182 3 247 110 33 189 205 236 170 165 223 153 51 156 222 125 79 107 234 179 214 226 141 213 197 202 233 204 255 253 247 37 67 233 89 211 43 2 88 181 133 190 1 152 142 80 206 39 224 153 135 145 186 218 231 205 155 87 198 72 38 109 218 180 105 72 137 21 233 109 234 182 109 219 22 72 51 105 198 195 95 91 57 163 81 205 6 89 155 185 155 248 181 208 53 30 218 231 16 167 122 181 134 213 106 182 190 55 11 144 212 180 166 144 104 145 184 232 124 254 112 49 161 67 73 18 169 19 143 178 29 29 237 165 157 15 238 216 245 15 255 240 15 119 99 69 155 214 174 93 155 88 183 233 251 177 31 7 237 111 142 169 208 185 156 247 116 30 245 159 69 221 139 120 6 148 40 56 105 19 154 250 169 191 135 103 74 75 189 64 73 15 53 29 226 188 29 218 214 32 41 127 131 247 251 125 212 174 91 117 154 192 82 151 50 239 55 250 149 188 201 249 110 207 141 96 249 218 243 83 249 163 183 214 134 62 247 212 108 217 227 198 167 183 0 144 93 241 38 181 50 210 200 134 62 100 158 49 171 129 66 172 123 172 177 172 35 99 8 161 200 238 4 96 56 46 247 26 153 59 202 142 95 66 126 149 67 150 173 243 11 48 72 137 239 204 251 250 123 11 213 171 105 152 129 204 152 59 142 95 101 31 103 190 144 42 64 57 204 240 104 144 153 199 193 131 220 243 139 141 162 153 155 102 122 23 175 70 41 237 74 137 39 169 12 51 17 186 227 55 205 185 25 154 61 112 90 244 192 47 3 146 126 27 30 5 99 46 238 139 184 34 222 207 175 80 220 40 205 85 1 160 209 204 231 12 194 232 4 128 118 64 100 31 12 184 133 81 188 245 247 194 76 50 220 150 181 194 44 91 100 214 248 217 140 79 90 149 155 1 166 42 51 183 30 67 212 75 254 48 213 167 92 139 85 26 27 134 241 11 124 157 128 230 116 70 255 162 242 84 25 26 184 57 6 166 215 9 99 67 241 23 86 131 37 226 118 19 247 32 105 14 115 190 147 188 71 0 229 86 230 167 90 97 148 214 31 52 8 204 170 32 139 250 1 49 146 179 138 158 131 122 189 22 124 148 126 6 161 73 223 103 163 0 196 57 148 63 15 102 169 145 201 84 174 71 113 180 145 78 240 235 39 75 130 190 1 226 182 67 206 46 192 98 45 231 117 83 167 78 61 140 10 112 24 245 103 171 243 115 228 175 33 145 68 187 205 75 62 165 194 104 63 244 21 172 207 54 119 51 63 54 147 244 231 83 206 50 14 219 237 253 40 174 25 236 167 65 238 45 175 141 254 223 193 245 30 152 249 186 9 19 38 172 130 177 175 164 204 237 164 105 165 15 219 160 41 24 186 117 121 13 200 182 64 235 126 104 252 54 239 229 74 89 113 11 136 240 202 5 195 89 55 50 195 215 183 150 240 112 3 31 39 215 4 12 100 46 28 63 156 174 156 62 156 206 71 213 138 23 30 98 41 137 246 2 134 31 127 209 139 94 244 163 207 125 238 115 45 212 217 130 234 117 112 254 252 249 237 244 239 185 168 90 159 70 253 79 135 174 57 208 43 16 149 200 169 68 226 153 50 106 67 208 178 133 103 210 62 109 120 120 136 249 200 148 61 128 119 157 189 253 206 78 130 135 164 26 153 139 228 62 115 78 148 131 53 154 97 180 51 132 52 219 209 82 78 0 224 166 175 127 253 235 171 1 171 150 179 206 58 203 58 134 215 172 89 147 206 59 239 188 179 120 246 84 202 127 50 113 79 160 132 158 182 92 53 155 232 183 104 159 103 186 165 71 9 21 60 18 150 70 91 47 131 135 177 173 45 173 99 89 198 185 148 117 156 87 146 255 167 91 182 108 249 12 191 239 107 248 109 31 4 144 99 80 72 252 72 160 30 175 227 207 71 67 113 1 10 151 211 148 209 173 192 95 62 196 170 242 20 175 8 180 127 136 126 0 216 0 48 1 46 11 105 177 149 254 129 250 80 70 151 243 114 162 112 127 181 81 42 103 104 139 163 184 55 127 241 203 46 174 77 83 196 89 239 17 14 64 81 211 214 97 126 21 253 124 33 253 0 228 208 161 188 174 22 228 105 223 73 13 227 45 68 125 45 95 239 248 74 74 191 32 87 105 27 127 8 69 109 36 242 253 55 67 179 7 30 219 61 160 58 228 209 182 64 166 44 168 249 17 20 128 232 185 184 14 96 4 40 198 80 230 60 152 192 18 0 65 144 208 50 114 34 140 178 139 179 76 201 192 101 109 63 207 118 114 94 203 249 126 24 208 221 172 161 219 203 179 86 128 161 165 144 106 76 12 48 101 26 74 48 58 183 110 213 164 142 248 67 106 68 10 240 211 238 34 110 57 140 244 2 202 59 151 99 17 199 124 226 5 70 1 7 112 24 172 118 118 118 176 148 129 29 104 43 195 195 196 181 32 221 12 81 183 140 247 30 210 125 19 26 175 5 168 54 146 239 33 52 80 95 102 253 0 73 128 163 0 73 30 13 55 134 145 212 90 1 159 21 148 243 20 162 46 38 255 66 31 193 116 187 181 194 108 107 107 13 6 142 130 46 181 182 182 36 22 227 195 88 177 200 108 109 77 72 25 142 235 183 146 119 19 231 219 104 195 151 232 135 219 185 22 248 29 153 71 128 54 146 100 170 67 71 218 141 154 114 12 192 117 49 3 139 103 83 223 227 121 188 152 21 247 173 109 173 109 105 184 98 177 193 208 252 43 99 147 193 115 13 231 229 60 4 13 244 249 65 234 91 67 190 47 67 203 87 0 232 13 23 95 124 113 27 125 99 29 248 94 45 133 148 75 29 21 226 198 49 136 249 71 210 93 49 56 52 84 195 104 39 19 32 118 3 82 170 93 173 99 50 198 49 211 144 220 176 143 209 72 38 84 204 168 33 85 237 126 237 37 47 121 201 107 24 244 236 127 195 27 222 208 198 96 100 16 71 231 103 163 98 125 53 117 92 73 63 205 98 4 224 252 40 170 60 105 21 31 178 40 71 146 233 235 56 160 51 177 4 69 149 117 172 135 252 32 78 2 222 187 90 200 134 161 123 144 215 181 146 230 23 85 170 131 181 244 202 197 195 233 47 206 25 196 112 168 20 239 255 206 59 239 252 251 167 63 253 233 127 248 177 143 125 76 245 233 208 146 37 75 166 206 153 51 231 229 208 240 26 234 153 101 93 58 106 23 16 169 186 198 154 79 39 225 51 44 105 193 18 228 83 234 209 96 137 57 66 172 107 249 161 240 235 199 235 144 75 79 106 56 31 34 54 149 187 58 59 84 233 106 204 243 105 6 4 111 91 176 96 193 22 231 63 127 244 163 31 9 71 137 229 38 166 43 66 6 70 150 213 153 60 123 110 90 240 145 75 211 199 103 140 77 151 160 246 68 153 204 183 37 0 154 218 67 96 243 107 83 124 235 228 80 178 28 205 209 195 161 29 42 168 21 33 7 211 60 189 63 131 7 56 214 112 56 92 90 206 97 250 70 96 244 253 1 140 225 153 199 47 16 64 116 237 199 0 242 225 32 249 125 207 118 66 149 114 135 14 211 189 251 120 247 124 117 63 79 233 103 127 147 210 167 110 225 18 114 246 81 140 198 59 40 101 233 30 118 131 225 220 12 205 30 120 204 247 192 163 6 201 186 145 67 1 146 124 50 249 72 159 179 32 229 92 207 12 152 156 32 113 5 247 23 115 30 7 3 236 16 8 100 106 240 110 190 174 154 0 149 218 219 59 98 151 136 33 38 56 252 152 56 54 114 252 148 124 95 34 207 207 25 217 31 80 154 226 62 2 140 43 164 40 153 54 215 156 74 37 140 40 250 81 133 141 7 40 158 74 249 214 123 9 76 116 30 32 146 243 19 192 9 253 102 212 41 219 228 25 146 17 243 82 112 93 200 200 144 6 188 206 144 0 160 167 45 81 206 48 229 252 152 10 63 141 74 242 155 72 56 135 11 176 22 32 105 135 213 54 214 63 4 192 117 0 142 23 193 12 159 79 253 207 228 249 52 214 18 166 97 129 216 186 243 58 130 217 42 56 88 47 229 203 238 50 165 30 242 16 147 149 236 35 84 146 209 39 244 161 3 242 107 32 247 147 72 34 119 211 175 178 196 8 164 83 210 38 201 176 214 166 151 145 230 101 156 159 68 60 30 58 1 62 118 222 176 80 155 40 184 200 79 173 215 74 13 86 44 147 215 74 21 198 151 33 2 103 248 85 77 244 35 228 212 110 160 29 31 68 50 255 182 237 181 207 181 230 68 202 44 173 94 189 186 111 249 242 229 79 162 125 239 163 203 206 36 187 19 114 153 0 209 206 242 142 188 124 28 12 128 20 125 160 149 92 157 116 2 77 47 125 249 29 214 36 190 225 165 47 125 233 102 126 67 29 2 5 128 249 76 0 247 189 72 169 11 28 68 0 232 130 110 13 208 201 180 158 13 166 12 157 72 86 0 16 145 84 96 157 174 129 180 121 224 105 168 121 223 126 103 91 250 194 38 172 90 184 199 235 78 0 164 32 11 92 1 146 21 64 50 165 15 93 60 144 158 63 171 146 142 86 203 181 246 182 214 236 154 107 174 121 249 235 94 247 186 79 211 119 229 31 254 240 135 75 0 176 171 1 200 255 226 59 96 240 66 191 101 232 120 129 4 234 28 0 39 117 68 176 29 235 217 131 67 30 224 8 247 174 114 24 170 102 1 212 83 25 20 116 183 212 210 124 230 94 231 143 98 195 141 106 86 195 211 143 157 80 106 111 107 19 44 175 249 201 79 126 242 154 223 253 221 223 221 163 250 149 193 65 0 37 175 194 110 243 149 120 46 207 196 29 57 211 198 45 255 243 220 244 140 215 157 149 254 106 230 248 180 64 125 12 195 202 92 189 234 240 210 156 126 109 14 71 227 171 227 236 87 34 64 10 150 30 66 191 191 24 227 45 221 116 107 235 135 160 186 148 195 179 101 168 36 21 20 247 113 8 146 172 239 136 120 192 182 194 151 94 17 116 45 155 48 68 186 35 235 120 239 219 82 182 111 48 13 253 52 165 235 254 7 0 9 42 174 167 186 3 168 51 156 139 21 110 131 66 222 147 80 221 12 205 30 120 204 247 192 163 6 73 90 234 39 83 128 164 159 172 31 247 48 106 190 165 48 195 103 3 48 207 227 195 88 6 227 203 96 227 49 18 231 222 68 53 231 178 196 4 207 50 87 174 195 250 13 32 41 9 22 45 204 102 116 117 117 42 85 57 10 189 6 6 253 1 152 243 173 140 250 59 56 171 176 131 167 197 90 57 216 97 88 21 170 174 20 156 254 144 232 231 34 229 0 16 195 201 122 173 10 24 173 105 192 79 149 140 250 75 88 230 177 254 128 27 152 109 54 12 83 110 111 109 169 181 147 160 127 8 35 13 16 3 9 196 129 50 91 86 116 202 212 100 196 31 65 2 120 7 106 211 125 72 143 49 62 151 134 6 128 118 39 140 115 1 165 63 131 156 39 194 100 39 42 125 8 82 84 91 109 165 161 69 91 251 89 32 136 174 80 178 161 3 9 7 34 208 187 226 9 134 37 12 174 134 135 46 72 240 228 185 132 174 215 122 18 210 219 109 196 190 141 250 175 67 82 237 164 254 18 113 131 156 166 1 204 127 76 187 95 217 217 217 213 53 48 56 16 136 101 81 28 56 26 143 3 47 56 89 58 132 87 28 49 67 103 223 163 121 115 2 16 238 228 210 148 14 12 111 48 184 129 20 70 40 178 222 172 212 221 213 153 1 150 71 232 211 183 174 91 183 238 31 220 206 138 247 17 115 149 244 239 50 218 248 9 164 194 165 135 123 123 113 73 151 74 74 81 123 0 140 67 48 219 163 20 34 104 44 234 97 0 228 58 68 151 90 48 207 8 192 223 193 50 139 23 125 251 219 223 94 3 64 40 251 148 87 172 88 241 114 158 189 141 223 201 164 126 164 123 5 181 214 82 45 59 4 8 185 156 227 126 12 113 60 123 47 237 147 160 117 33 224 115 230 104 230 23 225 198 2 165 224 185 22 171 214 55 252 162 45 221 182 143 41 185 0 45 193 159 31 155 82 104 21 148 34 179 224 117 205 111 244 167 101 232 54 6 178 182 108 176 191 175 255 246 219 111 191 0 181 239 221 108 221 117 33 42 242 15 66 203 5 76 97 243 75 169 85 1 252 146 237 88 203 186 203 159 227 143 118 213 254 82 218 192 156 167 192 184 87 214 15 61 74 144 128 103 24 46 245 113 22 208 39 98 200 52 21 58 47 194 95 237 179 102 84 80 53 35 77 199 59 205 88 251 217 185 217 226 36 0 0 32 0 73 68 65 84 170 170 249 221 76 39 188 21 9 178 194 65 65 199 5 191 35 127 215 45 232 153 219 216 219 177 243 101 11 211 133 175 95 158 94 181 100 108 186 162 171 61 188 175 86 145 254 178 176 70 245 203 83 70 19 142 84 141 122 240 126 35 88 146 0 169 164 40 88 122 248 211 115 216 181 147 195 231 227 57 186 57 4 72 36 198 0 70 219 102 185 166 247 57 132 212 120 91 153 113 124 145 3 155 83 237 240 173 84 187 33 101 235 135 210 174 127 98 95 206 191 199 154 149 167 219 193 219 94 208 81 9 82 138 66 138 228 204 47 128 23 209 12 205 30 56 13 122 224 81 129 164 0 197 143 222 49 165 31 179 159 142 31 128 115 141 47 33 254 207 57 230 193 68 67 141 72 2 12 53 152 179 131 3 123 244 15 15 103 135 25 90 227 150 35 29 236 27 76 29 173 229 56 84 141 245 180 113 221 214 82 27 130 73 49 127 165 216 167 1 139 139 189 55 2 186 111 101 46 240 95 96 214 8 89 229 18 158 86 74 115 231 206 133 37 165 97 84 186 47 68 154 186 26 230 61 91 213 37 12 17 96 130 33 49 231 212 59 48 148 89 207 246 253 44 250 218 127 36 29 226 122 255 209 193 116 144 67 233 202 122 187 219 90 210 212 49 157 105 116 103 107 58 135 33 251 226 41 163 161 179 82 27 68 150 180 125 130 20 128 247 33 218 247 22 64 122 16 41 19 1 177 213 121 76 173 97 75 212 125 41 199 59 153 167 60 79 80 5 236 171 130 178 7 184 155 214 237 62 148 238 223 121 40 109 218 123 36 237 58 212 71 253 3 169 151 62 16 24 67 44 162 21 19 186 219 211 212 177 108 236 55 177 39 45 158 58 38 205 28 215 141 93 63 245 198 10 13 236 52 48 228 97 199 224 45 128 226 75 144 40 111 165 47 116 165 182 28 250 174 230 120 10 175 36 234 117 110 142 118 101 135 176 211 191 227 64 126 220 119 176 148 246 1 146 170 65 143 32 137 33 25 133 36 52 186 181 22 12 125 10 76 93 63 166 151 99 43 37 67 23 161 7 112 70 3 64 235 56 124 31 64 249 58 6 33 95 6 20 59 144 42 33 165 227 189 180 255 191 50 8 65 226 171 101 189 0 216 183 113 38 240 157 29 229 116 207 65 12 103 232 53 65 248 9 147 134 211 31 46 26 2 48 28 250 216 219 169 194 187 122 5 192 248 89 174 203 172 73 124 21 109 120 31 101 117 49 168 168 98 163 90 66 242 74 55 236 46 167 107 183 149 211 47 0 37 129 87 32 20 124 4 73 129 93 105 117 17 64 249 95 231 85 210 115 102 86 194 113 249 247 31 44 165 63 190 181 53 210 131 245 145 39 164 72 116 130 33 69 130 102 43 88 31 249 169 139 7 211 232 182 172 218 217 51 186 116 255 154 251 110 197 80 231 138 111 126 243 155 51 152 143 252 4 32 121 113 111 239 145 42 38 87 209 135 171 233 183 47 225 36 253 71 59 203 105 39 106 228 254 144 133 242 150 248 234 252 241 25 108 152 234 221 8 156 117 166 46 112 26 181 24 48 127 195 153 67 233 217 24 45 209 134 42 63 156 210 209 35 71 118 95 123 237 181 207 69 130 253 217 239 255 254 239 183 162 234 141 146 235 37 88 156 135 223 85 43 174 226 58 216 190 202 235 153 239 190 48 61 239 229 139 210 203 38 247 176 237 149 245 227 17 39 155 204 55 8 50 69 16 28 133 38 101 56 1 207 179 128 103 233 254 146 29 222 249 197 154 78 201 209 248 130 110 211 89 171 67 23 203 211 52 201 163 177 108 0 120 112 99 170 245 254 36 101 253 72 163 119 85 211 154 247 161 105 249 94 74 55 35 168 242 182 248 220 114 152 21 28 11 128 20 194 29 34 20 53 113 219 12 205 30 120 236 246 0 172 237 145 3 163 95 215 127 185 158 173 5 233 192 207 111 6 223 192 239 129 13 127 2 3 237 194 121 117 13 80 169 181 1 142 74 67 219 15 28 77 119 108 217 159 238 219 113 32 237 56 116 52 237 62 60 16 96 229 103 51 8 32 118 2 82 147 71 117 164 89 227 187 5 168 236 220 217 19 210 130 201 163 202 216 169 212 216 49 66 43 196 185 72 77 239 158 55 111 222 94 214 204 93 135 165 170 99 99 141 88 4 176 87 113 253 14 24 109 15 105 97 112 128 19 154 208 7 15 246 165 219 54 237 77 63 125 96 23 245 30 76 59 14 30 77 71 153 80 57 220 63 4 47 80 42 169 34 201 213 82 59 64 218 135 212 9 38 166 137 108 155 48 105 84 123 186 120 193 228 244 252 21 115 178 243 231 76 40 203 216 66 75 90 42 189 142 229 9 27 104 247 223 81 103 59 70 46 21 36 45 231 49 95 7 64 93 5 120 76 150 193 10 80 24 132 148 182 209 230 91 54 238 73 63 190 255 193 116 247 214 253 105 43 0 125 20 41 82 155 87 235 117 144 224 92 93 4 78 3 72 158 240 230 52 22 83 198 113 221 109 105 30 96 249 155 203 103 165 223 58 111 118 169 173 165 84 59 194 246 79 93 157 157 179 168 239 205 72 61 175 6 92 22 208 231 255 27 195 160 115 143 28 57 202 165 158 108 88 151 134 212 245 93 192 234 59 15 182 32 245 228 224 232 64 128 234 130 7 90 95 200 243 156 149 206 54 34 25 65 78 250 222 142 148 62 187 161 156 158 50 181 146 94 189 112 56 91 208 83 43 3 130 85 84 132 90 144 254 29 115 173 71 233 255 175 111 216 176 225 114 218 251 98 165 45 118 253 8 7 226 127 189 186 53 125 113 99 75 236 248 97 233 54 107 27 191 138 213 123 81 27 83 239 159 47 27 82 109 202 28 96 87 25 160 125 50 85 127 1 149 235 147 161 93 213 38 210 239 16 86 76 24 122 224 144 224 35 107 91 210 183 182 229 101 201 179 149 10 61 171 202 53 8 148 130 213 109 251 242 93 70 214 98 172 243 135 139 134 145 56 25 116 49 16 48 216 158 188 107 185 0 29 108 59 112 146 150 140 70 194 3 4 14 14 103 213 9 204 71 243 155 185 17 144 108 63 227 140 51 222 143 4 121 113 47 123 96 10 144 170 85 191 1 72 127 2 39 233 74 145 14 42 164 67 63 176 214 111 169 113 20 215 197 217 120 174 5 80 29 38 48 220 72 107 24 52 188 241 54 167 24 82 250 173 153 195 46 35 169 209 238 73 184 188 123 37 253 120 43 158 134 252 126 108 93 20 89 63 75 177 247 21 0 114 112 74 79 234 56 212 155 118 189 233 230 244 79 63 222 158 126 241 250 101 233 197 79 152 156 174 196 140 182 29 131 153 90 54 131 148 99 232 38 191 10 143 9 28 66 84 1 152 170 78 5 77 239 5 71 131 165 27 138 179 121 10 96 204 151 141 228 42 90 33 142 178 106 28 131 235 49 110 189 145 169 148 7 210 48 179 169 63 121 119 74 159 95 135 39 60 4 81 55 123 97 232 23 114 168 16 124 28 12 243 227 44 106 225 81 51 52 123 224 177 221 3 143 74 146 100 169 64 27 210 76 39 35 239 33 230 169 38 1 96 12 40 211 243 67 154 65 34 0 120 74 131 232 186 110 217 176 39 253 8 144 240 188 113 111 111 72 142 197 231 226 28 157 170 79 133 53 193 66 208 80 222 24 213 209 154 206 152 58 58 61 243 172 153 233 133 23 204 69 186 211 232 4 83 80 150 44 192 96 238 70 178 249 125 0 226 78 85 127 156 149 92 255 154 103 163 144 54 171 72 142 37 65 240 251 247 110 79 95 188 101 67 186 123 219 1 64 24 145 136 114 157 183 2 63 227 40 190 89 191 220 144 54 56 123 173 4 219 199 225 205 178 233 227 210 219 158 125 78 186 124 201 212 52 48 92 173 48 87 87 6 160 238 6 24 95 64 125 27 145 90 41 46 230 0 63 8 64 106 0 68 253 168 64 201 255 173 59 182 166 175 175 218 156 238 216 186 143 193 192 144 214 142 113 88 191 117 219 79 35 52 80 151 244 25 60 171 130 149 102 213 192 200 109 233 165 23 47 76 175 191 226 76 193 211 86 176 92 100 248 16 125 240 62 36 202 203 24 144 92 49 8 192 200 216 197 193 149 72 60 159 197 127 234 47 0 144 62 37 70 24 181 12 91 148 9 224 224 210 170 100 244 134 17 134 207 189 207 7 234 17 151 179 86 254 61 172 36 159 215 195 154 70 94 207 168 158 158 50 115 137 159 194 2 246 109 88 251 254 77 119 79 207 139 142 30 57 26 192 246 121 128 245 207 86 181 6 151 151 211 51 161 60 82 62 99 143 180 28 201 244 51 204 3 78 239 66 138 234 232 46 245 30 62 244 101 6 55 239 194 24 233 189 2 166 42 86 192 167 116 63 96 247 238 123 91 211 15 145 8 5 196 160 251 4 26 37 187 64 15 229 82 193 146 129 65 250 95 103 13 165 59 145 99 62 7 45 58 49 183 45 133 20 25 11 253 108 52 255 255 234 188 193 244 170 5 149 212 91 109 173 117 180 183 102 14 54 48 212 233 97 192 243 129 195 135 123 25 224 212 40 13 71 237 236 30 242 169 245 24 84 81 190 180 68 159 81 183 245 215 139 58 238 154 232 99 241 214 237 65 10 211 242 170 19 202 141 116 193 228 106 250 212 69 3 186 229 171 150 90 219 74 253 125 125 155 174 187 238 186 103 190 250 213 175 94 205 188 100 27 234 103 193 50 170 224 108 51 61 168 61 151 40 17 232 218 216 238 170 125 111 95 76 113 76 255 219 11 211 149 47 153 147 126 103 234 168 52 223 121 194 218 84 134 1 204 68 132 122 213 156 6 207 130 156 144 165 26 118 23 199 131 28 189 28 69 109 158 5 197 69 28 130 36 34 97 212 90 148 1 168 214 72 63 116 55 211 0 55 166 108 253 166 116 232 51 3 233 203 239 201 213 171 155 193 100 156 240 4 56 58 131 89 128 163 80 76 239 229 181 240 91 183 93 205 208 236 129 211 162 7 202 39 153 35 121 72 195 96 210 237 72 115 37 230 225 198 0 92 111 6 52 94 74 156 234 190 26 234 211 210 186 221 135 211 251 190 119 79 250 228 79 30 72 55 172 221 137 228 216 239 156 12 115 141 250 250 244 128 129 115 150 129 160 57 69 133 134 248 197 181 224 161 100 185 126 79 111 250 225 125 59 210 46 242 157 51 107 60 146 85 123 70 124 5 235 199 169 212 211 195 250 185 47 33 217 184 68 224 61 72 117 19 176 174 12 96 94 191 231 112 250 64 212 187 54 84 155 214 99 217 216 156 4 191 176 33 193 192 248 102 3 15 96 16 126 191 5 83 149 6 22 73 66 103 150 182 238 59 146 110 90 191 59 157 77 253 115 38 244 100 3 131 195 24 11 101 147 1 196 173 56 227 190 9 53 235 111 1 84 127 137 52 50 26 137 171 130 234 180 188 3 233 245 131 63 92 157 62 112 221 189 49 40 144 53 208 29 48 110 42 230 218 62 48 78 48 204 207 249 117 208 196 31 207 18 26 253 131 232 37 224 222 76 255 117 180 183 164 139 22 76 198 208 200 165 7 181 54 218 125 49 199 34 250 194 146 153 245 75 217 167 0 199 247 174 110 75 110 50 44 80 232 31 213 32 167 194 202 50 202 142 118 114 111 61 113 93 167 37 248 37 215 170 50 165 117 61 82 217 30 164 50 193 210 249 62 173 156 170 204 227 210 215 187 105 239 239 80 196 248 22 106 197 187 77 246 126 0 69 67 22 193 74 126 108 173 113 240 199 54 118 195 116 127 103 110 37 169 218 117 230 18 144 223 192 242 145 201 12 112 94 170 97 76 27 154 248 93 168 84 223 121 87 75 186 30 144 119 207 71 27 37 77 209 47 156 11 186 45 55 104 53 142 11 105 21 200 54 179 228 68 87 116 187 144 118 34 175 25 99 10 76 251 211 60 211 40 124 198 94 133 51 131 137 29 165 106 107 71 39 235 52 143 62 136 211 132 85 88 73 255 17 6 75 227 161 139 28 89 246 207 108 243 37 72 170 50 21 32 131 6 138 43 232 145 6 11 45 222 159 183 134 99 233 120 183 245 251 34 141 247 7 6 106 233 60 92 242 45 26 85 97 208 197 8 166 86 235 70 69 241 163 249 243 231 175 254 240 135 63 220 10 45 164 26 9 81 77 253 206 107 4 70 164 56 12 116 39 178 255 35 107 19 143 94 187 45 221 177 114 103 90 53 181 35 181 177 23 214 130 214 1 192 211 229 33 238 15 25 179 230 245 220 180 33 128 207 249 69 1 176 80 195 70 169 220 251 3 113 222 114 50 135 115 147 134 226 25 141 174 1 125 67 247 130 171 63 77 217 93 91 211 230 15 14 167 127 252 80 53 125 141 162 208 85 164 195 8 167 66 174 50 170 0 169 210 182 0 200 40 165 9 144 244 72 51 156 86 61 224 39 245 176 129 245 100 206 7 194 58 49 122 97 163 91 62 130 87 34 205 152 39 12 84 126 124 255 206 244 166 47 223 154 190 112 243 134 0 199 118 196 25 129 194 47 70 144 80 114 84 74 82 98 242 26 35 154 252 26 78 168 101 163 204 166 147 101 17 170 65 191 120 203 198 244 247 43 215 36 12 106 96 136 89 134 196 106 61 203 145 96 159 202 249 42 212 86 83 153 47 171 40 65 110 66 82 189 250 107 171 210 191 220 182 137 229 6 48 119 56 190 198 26 170 81 61 136 138 250 149 48 4 41 207 21 216 162 82 172 170 87 227 164 79 163 26 211 119 160 255 219 2 232 126 238 166 117 193 212 96 200 85 234 19 200 159 136 122 110 49 0 249 103 12 14 166 193 232 171 12 12 202 107 152 115 252 95 95 253 69 250 20 3 3 203 70 213 28 140 212 182 170 238 180 236 2 28 115 30 84 167 195 250 227 159 244 228 233 138 254 9 112 5 185 149 74 215 239 202 183 153 103 32 2 9 153 30 103 66 234 183 220 79 175 43 197 222 137 26 205 180 97 128 67 49 97 80 226 60 25 205 201 219 75 135 25 63 210 15 214 197 225 252 97 30 71 30 175 37 142 95 129 115 140 63 64 170 115 124 161 1 18 13 95 2 176 61 147 167 99 45 71 245 227 125 128 169 134 53 5 152 88 129 217 125 94 128 211 2 116 130 99 113 1 55 12 217 90 47 211 111 103 3 182 207 55 157 105 52 124 249 199 245 229 80 17 11 180 242 108 233 150 14 207 65 31 231 188 29 182 229 216 181 244 58 255 152 211 161 193 78 254 60 184 188 32 9 33 5 29 211 113 120 176 0 113 108 152 1 131 150 195 128 253 94 140 103 86 32 205 46 80 165 207 142 33 165 149 236 121 249 225 181 44 249 160 142 160 197 186 26 15 104 147 174 163 116 199 97 14 37 89 247 171 244 136 223 17 180 28 151 222 188 68 160 208 70 213 94 77 119 99 133 99 223 56 48 227 29 150 208 194 184 126 213 221 77 136 141 32 185 126 131 158 141 163 17 113 56 254 160 198 52 176 135 89 3 190 130 163 51 58 211 192 109 123 211 29 207 253 97 250 155 79 174 75 127 189 125 23 11 59 54 147 111 61 249 132 171 162 148 232 0 238 45 205 207 199 121 74 59 217 185 198 105 28 130 39 116 165 45 28 202 130 166 139 151 192 153 26 171 187 32 119 85 74 155 118 165 29 127 58 152 62 254 169 225 244 93 178 160 171 72 135 64 68 229 83 1 178 0 73 105 52 183 216 200 207 221 214 54 67 179 7 78 175 30 120 196 57 73 230 80 90 0 137 65 12 61 87 240 13 252 17 146 85 155 170 198 46 80 233 155 119 108 73 239 249 206 93 204 191 29 77 221 72 63 1 60 112 224 156 113 240 189 196 255 156 137 203 78 143 3 14 190 39 211 153 200 175 44 151 44 153 244 248 249 250 116 249 25 83 211 211 150 77 47 13 32 173 242 100 22 170 78 166 67 210 124 22 106 11 158 229 157 72 112 127 243 221 187 210 141 235 118 97 169 154 131 147 117 91 158 223 169 197 122 86 158 204 1 209 98 140 132 9 68 186 168 56 24 90 126 149 63 67 164 75 191 96 94 115 45 0 120 214 140 177 153 131 1 120 218 28 24 236 203 105 247 121 130 182 11 80 246 32 241 190 235 27 171 210 202 53 15 166 158 246 124 13 164 243 142 86 64 241 81 191 182 181 50 250 98 144 96 189 168 103 67 210 13 58 73 109 92 65 175 234 232 8 32 229 250 93 135 210 122 140 127 22 79 30 197 128 193 118 208 10 12 112 187 153 240 251 194 230 82 250 56 115 103 246 101 43 210 93 133 185 55 171 182 118 75 240 236 218 54 193 200 122 148 50 141 11 222 201 133 215 214 25 193 250 185 80 45 220 143 36 249 99 64 3 47 57 44 13 137 167 102 89 66 7 116 185 164 66 117 238 90 0 82 160 240 65 81 87 164 228 143 239 207 121 192 179 199 214 210 56 36 27 247 152 108 201 219 52 131 62 172 217 151 61 248 207 249 38 115 127 95 197 56 70 80 178 12 105 207 223 91 126 246 218 10 236 27 253 133 134 221 49 145 210 164 228 235 243 145 250 185 14 35 202 58 64 70 99 44 149 248 21 227 113 141 71 30 183 13 209 249 0 97 20 131 156 199 59 48 115 222 116 11 146 232 199 217 131 82 169 120 20 98 146 224 108 213 118 141 103 105 147 124 251 113 30 192 127 241 196 106 154 140 154 243 65 224 193 249 81 231 70 13 65 59 231 200 231 31 114 234 200 128 69 147 172 33 13 117 58 131 155 84 237 96 126 150 101 75 66 148 142 210 133 52 171 48 152 169 49 120 95 196 153 198 235 202 182 190 52 204 54 86 237 244 201 142 255 118 75 250 244 181 219 211 3 159 88 145 222 53 181 148 102 215 216 41 132 183 148 171 79 76 45 105 2 160 64 168 36 41 64 46 224 112 137 200 118 142 251 57 182 114 40 73 206 225 144 11 248 169 209 223 85 150 131 12 237 98 89 229 96 186 235 103 195 233 54 8 62 76 244 17 112 216 18 133 93 33 217 14 53 71 208 199 239 169 160 151 168 102 104 246 192 233 213 3 143 8 146 152 175 103 179 103 207 30 141 154 245 247 24 1 79 195 210 83 9 178 116 199 150 125 233 189 223 187 59 212 156 2 164 210 80 193 244 29 77 251 213 40 165 197 124 155 243 126 4 240 37 84 139 1 12 124 87 126 90 141 95 151 106 210 222 222 254 244 109 244 60 79 62 147 97 175 9 112 172 205 226 248 179 16 32 163 124 85 163 255 240 227 53 233 123 247 108 15 233 45 234 34 89 49 39 20 223 43 247 214 141 154 139 236 46 185 192 113 9 98 136 244 9 84 81 47 127 130 14 232 50 94 190 226 177 1 105 114 27 70 55 231 162 118 237 103 77 39 105 198 32 9 61 143 71 210 207 26 184 74 246 129 239 223 19 0 217 129 4 124 12 248 243 54 219 34 75 115 190 83 21 243 52 172 104 103 99 160 164 234 249 158 109 251 211 30 236 1 109 131 52 140 244 87 208 98 253 68 250 0 66 118 98 240 164 212 237 61 117 132 53 254 58 36 185 79 1 144 238 157 216 201 254 136 195 76 169 89 23 57 40 203 62 96 136 15 235 154 137 151 153 39 76 170 166 185 204 49 10 110 63 103 83 226 159 237 166 208 40 187 94 135 153 204 25 232 102 1 185 231 156 163 84 217 19 174 93 176 189 41 149 150 82 46 123 38 87 177 212 200 178 123 49 74 17 212 4 153 200 110 9 245 11 165 188 18 18 228 242 177 5 95 183 55 35 8 8 33 245 41 141 125 110 35 18 59 192 228 222 143 1 76 228 31 1 121 10 179 56 65 94 64 92 14 224 206 236 12 43 209 116 23 184 178 163 238 93 199 58 163 218 0 71 234 243 28 49 17 27 151 43 152 27 109 167 159 1 21 221 0 250 238 220 24 179 60 136 116 203 186 202 236 90 36 103 203 84 189 220 8 144 81 18 9 61 51 63 155 158 137 149 234 155 151 13 165 185 184 218 179 221 40 28 210 42 64 242 15 110 110 75 247 209 31 188 214 232 251 232 136 160 131 95 98 189 159 85 185 246 65 0 227 56 44 149 251 248 237 181 104 33 94 94 191 126 189 125 34 177 30 118 148 135 215 69 240 218 143 198 116 133 180 86 217 125 36 85 152 19 172 206 239 76 29 168 95 111 185 115 65 186 126 106 87 122 25 206 241 4 98 76 116 73 109 73 194 151 96 232 97 220 66 142 41 28 208 158 102 115 8 119 15 112 108 224 16 182 53 226 41 96 143 193 141 191 129 77 3 177 122 18 51 166 212 71 114 37 71 1 210 163 160 135 159 111 52 152 168 102 104 246 192 233 219 3 143 4 146 165 103 61 235 89 186 91 187 144 15 226 217 253 236 140 0 179 207 118 195 232 157 139 219 184 231 8 203 41 244 80 146 3 144 76 223 209 183 31 236 32 140 73 96 112 137 197 12 182 25 16 204 92 26 177 26 160 144 49 7 111 54 97 4 191 108 242 201 153 184 220 204 252 160 96 162 245 105 168 34 177 156 245 137 229 253 120 205 206 244 181 85 91 70 152 179 224 32 83 138 186 163 56 188 189 192 245 84 159 62 121 201 180 116 225 188 137 9 169 55 109 96 222 84 3 159 13 204 127 26 138 60 197 117 206 93 114 85 173 115 170 176 107 36 16 213 190 225 67 58 214 126 34 53 102 223 191 119 91 186 6 117 168 243 136 242 8 25 124 148 97 142 160 146 182 195 24 23 177 172 228 165 23 45 72 151 45 158 146 38 208 14 151 167 104 129 251 246 175 221 158 126 184 122 7 107 36 205 159 211 237 57 207 76 73 148 169 129 147 83 140 168 88 1 72 152 51 117 217 3 95 70 138 220 130 194 171 173 36 64 34 95 90 39 255 156 131 228 4 32 34 250 225 167 244 93 120 152 121 28 32 161 117 166 115 109 74 117 111 89 213 146 174 217 8 58 144 151 164 145 62 254 144 215 236 190 144 35 84 162 164 136 107 52 219 165 71 161 32 11 172 103 169 69 74 235 176 158 181 189 242 218 226 153 69 197 219 35 223 100 22 212 47 213 79 42 192 12 201 35 193 250 192 171 48 210 209 224 70 117 109 161 98 181 233 185 234 50 7 27 199 5 26 32 253 201 25 67 233 69 248 135 29 207 252 153 32 246 163 93 229 244 63 49 24 218 139 53 111 102 231 20 125 230 217 192 201 225 130 191 63 247 114 58 131 37 46 245 39 241 152 193 146 179 164 1 116 46 143 249 234 22 172 156 169 203 62 226 231 27 105 125 110 126 131 207 158 56 185 146 222 122 214 32 235 63 107 161 98 21 123 156 19 93 70 27 47 154 88 73 247 237 71 123 130 164 126 140 22 11 210 101 29 239 132 196 76 135 198 53 99 156 112 66 187 25 235 108 138 208 74 92 47 68 209 235 220 215 107 140 110 108 36 153 71 241 204 116 166 241 208 166 38 117 241 26 57 13 236 56 146 30 96 71 144 132 47 12 35 28 47 249 163 192 13 18 199 70 14 9 158 201 49 145 35 94 26 103 65 81 208 84 113 186 133 76 107 242 123 36 209 28 254 224 8 216 143 165 69 149 128 211 14 234 43 224 211 210 60 232 129 156 22 206 205 208 236 129 211 190 7 30 22 36 153 143 148 25 182 236 216 177 227 185 72 145 51 142 224 153 5 169 177 244 253 123 182 165 27 152 139 108 131 243 133 36 5 82 201 122 11 169 206 57 197 169 99 58 210 107 127 227 140 176 90 21 36 251 248 154 85 33 190 235 91 119 164 235 239 198 109 71 168 73 11 158 80 63 107 108 72 216 133 121 128 115 152 74 129 193 250 248 252 93 120 127 132 50 254 249 230 245 233 0 107 31 5 14 235 150 89 231 0 153 51 116 65 165 19 128 124 227 211 206 74 175 184 100 81 168 99 45 211 245 153 79 5 36 95 253 233 159 38 213 165 26 20 229 252 85 38 199 255 130 217 145 246 16 198 237 182 69 166 75 253 1 22 90 227 218 174 175 48 7 186 131 229 30 90 229 58 247 104 24 41 135 235 1 68 170 57 227 123 210 95 252 214 121 233 73 128 180 207 84 185 122 62 103 230 184 244 146 139 230 167 159 99 32 116 84 85 174 53 88 68 94 76 20 100 139 85 77 142 103 51 36 219 168 147 2 182 32 198 72 37 75 223 217 238 61 32 202 96 33 56 38 105 99 25 60 40 167 36 55 177 189 154 254 4 199 226 79 194 0 71 169 77 208 179 240 169 172 139 124 214 212 106 250 230 22 104 134 197 217 174 156 102 30 211 110 213 173 170 33 221 78 106 60 12 215 178 130 40 226 227 21 112 231 92 36 158 86 66 48 177 212 162 254 145 114 136 84 114 173 91 200 82 71 30 76 43 64 42 149 169 106 61 0 93 222 11 182 118 159 239 206 107 203 17 44 165 237 21 243 134 210 159 44 214 74 88 90 212 4 164 244 188 153 53 36 98 84 164 24 217 132 155 136 168 184 158 209 107 243 82 174 3 173 69 72 160 179 81 37 186 6 83 237 133 191 35 127 39 69 99 126 134 100 189 134 246 248 107 147 6 254 231 237 225 194 118 73 19 235 79 211 171 23 12 167 133 180 73 199 129 210 204 255 145 180 211 156 86 164 239 114 117 175 133 120 144 155 179 42 126 159 117 1 146 198 209 181 56 87 232 114 7 22 49 174 130 101 182 166 51 100 136 34 45 214 224 253 201 66 17 47 56 197 245 116 140 139 119 145 119 121 119 154 213 206 18 23 128 207 207 47 255 81 8 126 107 57 246 114 40 33 206 226 40 190 242 252 243 202 221 211 157 65 97 168 98 135 54 242 156 247 218 178 128 119 75 58 166 111 83 9 245 44 183 203 80 159 204 253 42 99 35 164 215 97 8 47 192 209 46 162 59 109 112 51 52 123 224 244 239 129 226 179 57 89 75 221 124 88 135 1 51 97 50 151 228 18 77 41 237 69 194 83 34 147 201 27 10 117 99 14 144 50 188 92 170 124 237 19 207 72 127 0 72 78 103 193 188 22 172 50 188 21 115 198 167 223 121 220 220 212 197 80 181 42 8 198 55 239 183 214 240 189 145 95 64 27 3 8 89 166 108 4 86 132 244 145 165 123 182 239 79 215 99 5 27 204 141 103 193 96 235 103 175 11 48 122 205 19 23 167 151 93 178 16 6 137 234 8 96 21 92 117 48 112 6 139 246 151 78 31 43 106 213 235 164 252 248 214 243 115 112 43 116 125 163 112 50 32 243 179 76 67 48 77 26 176 10 21 243 173 204 89 42 209 158 8 208 146 234 33 239 16 8 157 87 117 157 102 31 135 134 65 177 212 131 54 143 101 137 139 82 86 244 151 237 30 169 63 167 9 135 159 33 121 234 236 128 173 12 163 60 37 147 53 48 180 205 48 192 188 237 57 109 5 208 88 132 254 67 157 59 211 235 75 24 150 4 49 50 104 236 58 16 219 180 126 165 85 86 124 172 206 168 191 232 138 26 91 74 85 145 34 143 73 199 209 248 250 31 65 101 63 86 169 210 46 152 25 142 181 57 79 164 53 167 6 62 245 199 17 233 181 146 163 42 214 27 144 6 243 62 202 201 136 247 199 115 186 37 218 41 58 47 196 107 207 171 230 227 87 22 58 123 17 131 29 20 232 7 214 180 231 176 157 99 25 47 58 94 199 111 39 42 202 105 17 148 226 253 81 214 66 218 49 13 240 192 169 121 131 68 139 1 15 9 220 123 242 7 15 150 3 180 243 182 80 55 148 90 84 208 198 157 210 247 50 212 198 231 140 83 98 207 145 44 111 161 116 99 228 69 95 110 18 238 120 232 187 201 193 145 76 208 28 243 145 252 118 176 15 198 193 66 188 63 139 47 29 238 61 236 58 91 224 40 181 98 37 94 20 23 36 23 55 156 79 188 31 121 84 7 165 234 50 106 89 117 32 212 158 227 177 12 62 223 121 197 42 146 127 52 66 101 232 70 14 213 172 12 118 66 138 116 30 210 82 165 194 163 8 19 185 157 79 19 184 239 187 15 156 4 88 107 24 249 196 46 32 120 220 97 249 240 152 39 178 95 36 143 99 56 192 121 132 182 38 64 22 157 216 60 255 103 232 1 121 238 169 66 124 20 124 16 115 56 150 96 17 168 132 150 173 71 109 41 88 48 97 21 204 82 134 117 236 128 89 3 64 174 123 124 242 153 83 131 241 12 200 232 97 30 177 38 17 192 16 52 101 124 241 80 206 20 135 36 212 25 31 249 207 99 62 208 121 78 25 188 31 182 82 220 33 215 67 50 15 217 11 224 41 49 68 157 60 47 234 54 157 146 222 92 22 229 191 226 9 139 114 21 37 245 176 140 35 14 159 119 2 190 61 56 50 8 166 102 132 117 71 213 212 109 59 160 179 13 0 151 153 202 12 5 114 227 138 112 203 134 221 105 27 86 181 185 20 43 80 89 132 160 144 51 104 231 64 5 225 43 207 153 21 116 69 124 222 139 81 132 101 110 63 112 4 105 51 196 185 122 253 117 58 40 35 24 46 125 52 111 66 79 154 59 161 59 156 30 68 70 152 238 237 240 85 253 147 250 207 122 143 59 66 254 201 85 135 163 80 42 6 0 147 167 160 173 12 195 102 195 97 48 136 140 128 9 185 163 15 4 26 65 13 39 14 105 52 110 213 46 156 80 25 49 204 177 94 83 42 65 177 177 111 114 93 99 248 81 173 199 91 148 207 227 128 118 175 46 96 231 143 104 46 119 6 99 125 87 130 249 15 1 38 213 190 254 224 188 87 2 142 115 252 20 236 67 46 224 208 79 99 75 201 185 204 169 10 140 246 179 239 143 135 113 56 127 24 75 93 162 190 162 6 207 134 124 190 84 181 226 57 108 71 41 221 17 43 1 4 105 113 158 115 107 95 41 221 132 36 121 236 173 250 174 243 254 180 191 28 63 153 247 41 72 227 99 233 203 66 170 246 153 191 53 201 217 71 95 106 148 19 139 113 204 44 61 241 59 145 78 11 179 239 49 244 65 178 103 168 71 221 234 12 210 0 75 153 92 230 159 48 224 145 40 15 67 113 206 239 30 225 239 236 133 145 126 240 77 139 211 180 41 109 24 86 49 203 25 91 93 57 102 221 193 177 158 3 18 98 146 64 73 210 224 189 193 206 183 54 239 57 74 76 251 151 230 51 152 96 240 117 232 54 190 159 117 60 6 53 91 199 224 220 135 65 198 217 236 19 57 27 231 84 142 205 198 208 45 245 220 140 153 235 157 74 68 51 52 123 224 116 239 1 63 155 147 6 85 173 6 190 135 229 44 133 80 229 200 226 235 44 123 0 203 75 173 75 157 147 11 32 129 91 198 156 18 140 194 127 195 0 128 238 222 198 32 49 41 65 202 136 101 48 17 56 239 198 77 155 204 42 255 82 141 207 15 191 93 243 203 85 207 159 51 49 164 73 213 86 198 169 106 221 134 5 173 214 172 50 169 130 47 249 44 7 75 165 17 24 35 15 157 3 28 143 7 27 239 85 35 70 221 245 250 77 171 97 78 4 227 226 144 99 72 3 103 10 214 53 156 110 235 148 100 44 63 207 159 103 81 26 21 157 44 55 184 77 189 92 121 70 72 87 112 216 167 44 157 30 134 58 170 93 243 116 102 113 137 72 22 222 127 190 11 208 11 166 65 91 20 155 183 223 203 168 11 208 114 144 49 90 117 46 82 165 253 167 229 236 93 7 114 247 111 86 9 9 209 7 209 118 34 4 27 219 242 32 243 117 91 145 216 240 133 26 105 140 22 252 113 252 19 101 7 141 245 230 198 123 161 32 1 210 166 255 46 46 223 30 143 5 103 88 175 218 188 122 112 192 176 13 96 217 196 124 164 150 178 214 201 255 145 163 120 191 99 112 244 189 24 215 113 210 54 18 184 246 125 105 76 116 227 110 140 167 172 155 32 29 150 145 143 149 28 160 0 153 244 221 12 192 241 210 137 248 224 245 1 129 1 74 191 135 253 107 61 58 50 103 223 150 248 141 228 213 28 35 212 231 254 103 218 56 64 82 41 210 124 39 134 187 233 199 221 72 196 114 124 203 136 182 196 217 183 45 109 206 37 2 16 72 146 29 44 175 81 165 158 183 151 190 226 218 245 162 59 176 100 241 112 192 113 236 247 69 70 1 50 18 87 81 91 87 217 162 75 13 165 229 242 14 7 153 165 175 84 148 241 216 131 6 31 130 121 176 202 95 38 100 11 243 212 229 75 71 167 115 39 116 33 71 182 51 45 234 28 165 86 172 235 57 92 222 129 178 36 150 123 168 102 181 6 197 69 159 239 134 58 172 87 71 204 112 120 214 58 155 193 195 76 162 152 199 60 112 23 72 142 30 183 140 100 234 222 149 51 152 218 125 222 112 66 120 77 37 4 86 187 76 186 237 212 135 118 44 145 205 208 236 129 211 177 7 138 143 245 33 109 67 213 90 115 231 15 152 20 142 196 101 248 218 129 15 167 219 55 249 149 201 224 114 166 17 80 2 99 16 184 4 77 195 30 220 208 105 60 83 204 27 70 100 124 173 168 187 144 148 100 180 50 176 144 242 60 83 182 188 165 2 55 191 2 41 236 210 69 147 67 42 44 190 68 1 229 246 45 249 210 12 141 90 130 81 83 222 8 195 230 90 224 25 135 55 232 39 157 193 240 152 244 62 43 158 123 22 64 55 97 180 83 72 113 193 220 164 201 138 11 230 198 189 0 62 3 105 215 120 211 228 71 14 152 43 112 159 55 126 116 103 58 138 65 188 245 169 138 83 226 25 192 213 140 233 158 122 246 204 244 146 199 207 143 186 100 140 81 63 141 215 104 199 246 126 252 134 251 211 119 176 220 181 221 81 127 212 157 211 32 147 15 169 149 180 231 206 26 23 210 182 143 157 27 219 10 67 222 6 0 42 105 70 187 236 235 130 54 202 55 157 170 229 251 0 128 15 222 215 18 91 50 40 113 133 68 201 115 95 139 150 162 231 162 62 52 68 181 204 215 81 85 154 197 156 219 171 207 24 78 255 141 67 16 194 200 4 250 243 159 69 148 75 253 91 88 188 175 163 111 165 78 75 176 60 15 219 16 224 68 71 44 27 93 73 147 152 251 212 139 15 77 141 96 31 88 146 14 203 55 2 178 100 225 176 79 235 249 77 69 223 135 181 9 253 120 206 24 36 113 202 81 117 28 243 174 213 234 94 234 56 90 82 87 79 161 59 40 231 84 44 58 0 17 218 167 177 62 242 12 220 209 133 154 212 228 117 98 60 89 239 157 88 180 22 203 88 10 58 162 61 65 91 144 147 92 235 185 4 58 164 184 19 160 212 0 135 205 56 66 205 170 3 119 141 167 30 112 172 85 252 110 226 76 207 196 25 96 132 254 185 93 149 52 131 129 3 155 61 51 200 107 73 123 246 238 93 243 201 79 126 50 20 161 120 51 178 43 12 245 158 26 57 231 177 167 248 251 2 210 255 31 150 229 46 238 76 147 207 234 78 79 13 103 1 170 85 161 39 109 226 208 187 142 246 179 211 57 52 196 241 101 9 142 107 33 254 103 80 183 146 53 176 215 3 132 183 177 66 197 180 228 43 147 191 11 228 109 195 250 181 127 39 201 87 35 89 30 96 34 158 133 63 61 172 212 185 32 165 203 73 57 254 96 14 146 194 110 252 56 232 215 130 118 162 154 161 217 3 167 111 15 248 163 63 101 192 185 120 7 11 203 167 40 209 9 50 206 175 221 137 235 181 144 34 225 48 57 8 120 150 233 201 252 0 25 80 102 45 210 230 63 253 236 129 244 223 159 178 52 128 50 36 3 211 144 240 76 230 5 167 140 238 72 155 240 175 58 44 58 26 100 25 236 150 112 5 174 233 222 252 155 103 227 215 213 121 76 231 117 4 210 82 0 171 75 78 116 26 32 240 90 159 204 182 168 55 138 224 70 127 176 58 43 207 1 39 87 141 89 131 128 238 188 152 134 67 123 89 98 50 130 202 114 73 43 247 100 32 221 194 73 163 40 39 183 170 13 32 139 167 58 46 175 166 75 22 77 9 250 190 122 251 38 124 173 163 117 0 0 32 0 73 68 65 84 212 166 125 225 60 161 11 171 18 125 208 254 38 0 249 188 21 115 130 118 1 84 160 113 185 137 0 191 154 182 126 254 231 235 210 103 110 92 23 42 79 251 175 94 118 94 111 157 6 157 33 116 161 83 60 11 149 173 203 63 36 75 233 77 53 165 243 154 114 39 133 44 240 45 158 145 124 228 28 5 17 255 47 172 65 108 201 90 210 85 88 135 206 6 48 142 160 134 19 48 22 142 170 133 235 185 159 176 22 210 93 45 4 209 89 60 95 140 30 109 201 24 1 51 99 3 192 112 210 142 179 157 202 126 220 13 141 67 205 93 18 176 52 218 57 2 239 47 128 166 232 46 235 140 181 7 68 104 213 58 1 245 98 111 133 250 131 141 198 211 80 93 62 192 66 2 189 227 196 158 140 164 149 110 143 0 21 90 224 111 199 198 157 205 156 227 88 36 48 247 6 193 221 144 5 28 225 253 79 176 145 254 22 214 3 180 154 226 6 29 209 114 147 16 226 103 148 119 138 243 150 61 97 157 75 186 250 239 203 170 20 131 116 190 96 91 84 161 58 64 40 250 175 17 184 45 214 254 250 218 214 124 11 46 154 31 109 208 170 85 50 129 111 220 0 170 122 182 98 227 136 52 83 60 204 7 13 198 205 193 210 119 50 32 233 102 207 157 172 109 34 110 237 47 126 241 139 157 115 231 206 213 219 78 52 46 10 200 255 88 72 99 176 69 199 197 9 74 151 215 91 250 202 89 105 226 148 22 118 134 180 81 6 213 172 27 57 204 49 149 131 119 170 77 106 13 229 110 182 153 216 29 244 16 96 121 168 31 153 18 69 78 251 154 148 245 78 70 234 158 207 129 74 182 141 57 200 209 203 105 55 192 127 100 11 175 130 114 221 89 155 21 78 217 98 20 12 23 242 243 185 153 177 47 2 106 153 34 125 187 15 161 143 184 102 104 246 192 105 217 3 39 5 73 63 72 90 155 225 92 124 52 107 4 93 35 21 204 126 15 0 163 36 104 144 177 229 82 36 215 112 27 25 67 48 187 120 88 77 31 89 121 95 204 67 254 225 229 103 132 19 239 163 3 67 1 114 179 153 111 251 171 223 126 92 250 46 22 174 251 144 200 252 174 103 97 13 122 38 192 112 57 214 160 19 123 58 85 199 197 182 86 62 19 20 15 224 242 228 158 109 7 11 62 68 158 28 32 173 51 170 243 12 197 231 32 129 77 98 185 5 190 14 66 189 233 179 66 162 85 245 171 225 207 65 218 80 66 245 153 103 37 95 189 140 32 132 235 51 167 141 13 85 167 204 17 128 27 68 186 219 213 214 214 50 21 138 240 163 158 210 43 47 93 164 19 242 112 67 167 84 170 196 51 21 233 114 58 235 196 5 99 251 160 11 192 23 40 239 97 10 234 123 88 2 127 3 167 11 247 110 63 16 85 228 210 53 60 82 210 173 219 51 33 36 50 16 112 209 228 113 49 136 112 14 215 103 52 37 141 226 45 41 81 122 173 80 21 237 55 7 207 229 182 69 49 190 53 25 252 103 89 75 169 90 241 109 203 135 88 10 82 161 223 81 7 147 206 29 42 116 147 38 56 40 33 185 140 4 182 94 67 95 135 0 89 42 141 30 53 202 189 37 55 208 230 205 237 173 109 79 74 248 67 235 37 239 221 236 142 161 138 212 185 58 235 147 46 251 222 220 161 194 5 148 92 31 41 247 60 62 72 105 22 30 114 246 177 132 196 165 5 210 199 255 200 47 225 150 225 206 131 186 145 59 3 250 164 7 199 13 186 228 59 64 29 187 33 107 190 125 230 126 142 155 112 136 62 2 146 208 174 186 51 94 124 148 99 161 41 157 63 129 254 167 30 61 112 227 187 96 132 28 157 23 216 14 165 81 219 65 150 58 29 254 150 243 118 121 214 114 246 158 253 28 123 220 232 153 118 211 126 83 186 80 181 166 87 64 6 23 145 211 2 242 18 56 113 93 63 236 31 4 199 180 4 213 179 6 220 67 248 102 192 239 112 13 103 28 247 240 168 87 55 139 156 125 29 69 1 92 62 36 248 236 33 97 49 228 173 228 39 176 176 35 45 109 203 112 44 103 59 144 250 50 84 164 225 89 7 192 11 128 164 175 107 91 161 104 35 207 120 126 239 161 180 241 155 251 211 13 251 217 16 103 17 249 112 211 123 209 228 29 105 110 239 253 188 147 249 72 140 115 83 38 80 246 44 4 72 239 202 129 178 99 34 211 147 72 153 99 113 195 251 60 230 38 1 201 85 8 167 8 153 1 205 143 68 255 67 104 111 70 52 123 224 177 218 3 124 206 15 13 48 39 85 173 101 230 34 123 241 50 51 146 70 62 16 6 53 92 4 79 128 35 200 6 101 152 197 87 45 72 168 30 235 67 117 234 90 74 119 195 120 227 211 207 10 99 20 45 98 85 53 94 186 104 106 186 104 254 228 0 220 46 60 214 184 216 31 48 198 73 73 141 141 117 217 95 16 177 38 84 143 144 166 36 182 153 45 167 92 224 31 124 69 198 96 189 65 67 14 150 206 31 202 15 93 11 249 183 120 226 81 234 147 30 13 126 4 43 65 220 184 159 99 120 67 129 65 123 148 85 39 90 94 235 101 9 17 200 249 192 238 142 214 26 27 8 179 39 100 169 204 150 81 159 192 227 207 249 115 231 206 189 146 189 20 107 71 240 233 42 205 103 179 254 83 247 123 2 163 86 181 33 173 114 239 32 226 166 245 187 98 16 112 237 221 91 161 169 55 234 115 155 44 235 48 93 30 60 215 15 218 18 79 161 117 57 219 210 119 49 39 170 212 236 88 197 244 163 152 24 212 65 192 154 222 232 237 60 87 244 185 157 145 151 98 153 246 137 179 119 162 192 42 152 252 159 221 158 165 171 151 15 198 78 31 58 21 24 172 162 246 37 141 57 14 87 114 41 23 47 52 180 71 103 238 71 19 75 125 110 192 171 209 23 113 106 254 178 22 196 136 42 35 140 253 131 89 73 255 176 14 26 156 159 172 83 108 117 65 179 239 98 28 70 63 103 161 206 29 64 196 37 73 4 211 9 70 238 107 233 142 29 6 227 78 12 1 146 148 225 146 10 246 125 36 77 169 214 202 230 200 3 253 149 61 252 38 202 108 138 141 208 87 169 29 96 102 242 176 243 145 49 72 160 20 95 184 64 73 14 255 74 95 6 83 63 147 50 188 247 185 73 12 198 56 192 177 29 250 124 13 144 52 158 190 48 159 116 41 184 122 95 72 183 25 131 136 40 211 101 28 166 229 84 34 110 100 32 104 174 72 95 63 71 45 208 207 251 26 205 82 26 215 171 70 159 129 152 253 125 71 247 92 127 253 245 247 82 76 89 192 140 2 237 190 83 7 159 21 233 34 213 11 168 254 99 121 92 231 210 174 244 100 218 208 29 35 150 93 148 227 12 72 59 7 19 135 74 140 149 141 236 169 250 96 202 250 208 145 222 116 36 221 254 230 237 233 211 63 239 75 171 120 106 99 42 75 83 250 214 155 83 122 233 5 125 233 105 173 135 82 182 127 123 170 117 204 98 28 192 44 67 59 18 102 223 54 84 178 251 233 62 116 204 61 116 227 2 108 186 200 247 213 237 204 150 140 167 13 84 39 125 142 165 149 144 143 163 147 248 102 104 246 192 105 213 3 35 0 216 216 42 127 252 56 245 46 109 216 176 97 120 234 212 169 71 85 121 106 25 57 25 53 233 164 158 142 0 29 153 133 255 242 179 252 226 24 3 241 218 105 45 68 148 244 213 155 214 135 219 186 171 159 125 110 44 1 81 101 43 0 8 126 221 29 112 53 130 203 249 0 131 12 247 111 89 59 76 133 117 100 40 126 82 55 100 128 183 46 253 56 128 170 72 63 160 57 192 249 89 122 136 55 130 41 167 248 106 111 90 251 96 186 105 53 159 50 198 55 136 144 176 21 190 101 128 43 174 213 175 193 89 114 206 100 142 250 81 207 172 27 177 233 168 77 23 76 30 29 170 77 104 97 55 217 195 123 217 48 248 90 54 127 254 248 123 222 243 158 10 107 69 159 67 198 168 211 121 173 240 166 66 153 122 214 57 132 164 124 35 219 116 125 29 169 241 167 15 236 140 181 158 210 168 202 213 170 162 159 140 136 122 45 197 107 3 103 255 7 219 65 34 99 45 165 75 96 180 212 213 51 143 134 35 99 233 166 75 216 85 226 7 72 12 114 57 93 181 153 190 177 180 40 138 62 181 10 91 89 98 169 196 3 72 78 175 187 165 61 189 97 233 112 122 201 220 161 80 119 106 10 68 191 22 82 214 96 101 120 104 219 161 129 126 148 6 155 191 254 166 55 189 233 243 111 123 219 219 46 6 36 23 232 191 149 31 71 166 122 114 207 96 222 149 57 92 68 77 199 254 16 169 218 118 33 243 120 174 75 44 128 201 4 74 128 110 248 124 47 101 232 13 38 232 181 173 197 69 196 228 69 93 140 135 160 153 148 115 20 159 175 173 145 128 253 10 81 249 178 31 99 42 161 107 102 159 201 108 3 115 163 6 219 103 17 249 91 183 78 126 137 188 143 249 0 164 106 206 2 172 163 47 200 66 213 225 28 224 62 232 208 155 140 82 165 207 162 47 121 150 3 36 23 34 161 37 115 246 55 108 109 121 61 121 77 254 222 34 206 200 160 49 46 184 201 227 253 185 241 211 78 23 176 12 71 245 51 146 122 13 55 191 2 201 142 85 171 86 9 146 45 244 253 177 76 145 51 170 48 238 97 3 195 187 168 250 229 211 211 148 217 109 44 253 176 81 253 104 222 143 48 170 80 185 131 152 87 197 104 103 24 133 69 11 192 183 187 47 13 124 229 96 250 246 255 220 149 174 57 80 73 15 140 109 197 5 237 80 170 160 133 173 64 200 170 151 51 213 253 214 82 186 229 105 195 233 191 78 221 158 230 12 238 229 179 65 177 141 79 160 12 235 214 52 4 216 150 208 16 248 62 23 51 157 13 72 159 249 37 166 167 169 166 5 144 180 118 59 171 25 154 61 112 218 247 192 73 65 242 234 171 175 206 112 110 93 90 186 116 233 48 210 197 234 33 36 64 65 76 9 231 9 11 39 167 111 163 42 205 153 126 157 87 208 77 193 51 78 56 251 129 149 176 210 188 5 171 212 55 124 233 150 244 230 103 157 157 174 192 221 156 32 41 19 50 200 176 9 67 44 19 233 27 28 24 56 114 96 255 254 149 72 110 19 168 255 105 26 12 41 73 185 47 229 97 64 168 112 3 87 128 179 52 200 184 100 101 1 204 0 34 226 31 113 128 48 186 189 224 70 252 41 179 48 191 160 119 132 185 197 67 243 202 125 160 129 57 64 231 22 245 148 3 48 213 122 186 59 50 104 89 67 95 236 248 234 87 191 250 120 146 205 67 176 201 176 56 53 103 38 144 133 148 187 175 23 231 0 123 194 41 249 79 0 71 183 238 114 29 165 75 100 44 217 229 47 5 160 29 71 131 237 143 195 62 160 122 164 200 49 216 221 47 96 78 212 37 50 121 183 228 60 26 102 155 93 57 131 13 253 246 84 211 117 236 156 225 226 250 40 59 248 166 215 20 101 134 232 211 28 64 100 241 74 62 7 153 127 252 203 123 90 67 162 251 35 22 232 171 102 5 68 106 12 56 100 222 21 182 195 250 219 139 46 186 232 19 20 1 121 181 33 54 119 94 142 116 57 206 13 150 153 183 204 156 79 116 14 179 152 79 172 147 108 141 86 27 225 60 12 130 92 158 161 151 26 199 36 69 240 205 186 62 82 195 31 1 164 200 155 231 244 47 239 175 142 60 23 2 44 254 22 16 222 117 164 175 82 129 193 89 121 94 21 215 53 118 7 59 144 132 202 53 216 179 5 23 213 115 237 173 44 123 1 42 206 217 128 228 81 164 100 233 176 60 147 217 95 74 180 110 170 28 221 20 217 253 205 228 197 228 69 229 0 233 58 199 66 218 246 185 116 231 125 157 35 67 81 113 209 221 249 57 255 253 233 101 103 26 134 80 47 198 82 120 20 155 82 98 205 91 170 13 14 212 24 128 124 235 167 63 253 233 206 49 99 198 180 224 183 181 0 23 171 45 14 43 121 184 144 45 134 136 149 164 95 222 158 22 179 76 131 253 220 248 104 142 210 116 6 48 53 218 87 5 228 170 40 45 90 251 152 38 25 76 7 62 117 40 253 223 119 238 75 223 160 208 221 232 119 143 226 196 129 28 225 61 167 234 170 17 166 136 143 188 189 154 62 123 45 246 94 111 76 233 229 43 6 210 21 45 204 93 246 117 166 26 224 24 254 123 171 131 24 250 208 133 104 98 199 61 17 149 43 32 185 146 38 130 179 241 22 56 53 67 179 7 78 255 30 104 96 105 199 26 203 6 177 37 247 79 36 134 93 169 134 174 103 55 135 3 138 116 114 209 167 99 92 115 1 174 222 250 81 167 202 32 12 68 231 23 35 127 243 7 198 202 17 202 72 113 247 97 120 115 213 231 111 74 159 193 160 71 112 9 16 129 79 43 165 2 62 195 248 132 253 240 15 126 240 131 39 177 107 251 95 160 226 237 82 130 160 202 218 78 150 140 184 37 214 72 160 208 96 110 252 201 235 29 137 136 123 1 210 218 115 64 18 42 114 43 220 32 49 255 51 82 148 244 75 139 105 51 56 233 51 150 207 100 33 63 92 2 238 170 191 79 36 199 117 183 222 122 235 139 87 172 88 241 207 99 199 142 59 27 230 93 131 38 0 178 37 230 36 157 119 189 234 243 63 79 127 206 46 40 223 70 181 234 188 167 3 9 37 75 171 146 62 25 181 64 239 60 233 241 65 42 115 218 227 37 32 57 206 96 94 211 205 151 221 50 75 12 115 110 142 29 44 50 12 77 106 227 144 38 255 108 105 5 199 221 174 33 148 109 231 71 81 166 247 249 11 161 204 8 218 140 10 148 8 28 164 127 31 86 175 127 113 119 91 218 55 36 128 99 23 67 247 1 134 157 236 173 248 146 119 190 243 157 11 201 82 187 234 170 171 166 67 239 82 234 141 126 115 147 102 29 121 107 164 18 32 87 47 57 26 23 215 210 159 210 227 0 56 132 222 8 245 83 180 219 249 71 253 163 234 109 231 248 252 36 165 95 34 45 35 136 110 172 98 151 97 21 2 107 174 241 91 176 156 163 72 242 253 24 222 76 16 36 41 39 187 231 0 210 117 29 132 227 53 154 219 23 72 96 252 22 108 91 231 234 170 85 237 1 251 221 96 90 213 196 74 180 174 245 204 187 28 112 174 63 59 78 205 202 111 71 141 66 213 67 195 23 207 160 66 21 2 148 84 171 168 60 188 207 175 57 211 137 121 186 168 42 157 137 83 245 171 153 7 62 159 254 192 234 185 218 221 213 149 248 45 223 255 233 79 127 250 139 121 138 248 43 121 197 209 16 61 242 236 196 184 184 71 72 180 65 217 133 229 116 102 237 72 154 220 79 196 224 62 54 140 230 211 232 223 151 106 3 88 171 226 156 60 187 249 96 90 255 198 93 233 131 0 228 191 32 8 238 224 103 195 254 205 49 99 233 71 164 11 4 77 215 122 209 204 30 5 252 142 254 28 141 236 239 166 244 86 8 124 247 166 90 218 90 6 120 43 164 244 247 65 90 127 194 246 110 34 237 116 78 99 40 192 91 127 178 65 15 231 102 104 246 192 105 221 3 39 149 36 217 255 207 15 32 185 217 50 192 112 23 123 57 222 206 142 245 79 234 235 239 175 178 88 191 124 245 115 206 77 127 242 133 159 167 213 168 65 219 1 140 88 75 22 223 212 201 251 138 15 14 83 243 214 116 240 200 96 250 203 111 221 137 42 177 154 94 117 217 98 24 26 126 73 248 8 97 136 157 128 242 185 175 122 213 171 182 0 148 75 216 206 104 185 234 190 14 184 249 118 92 192 109 100 233 134 160 26 95 44 95 173 160 102 153 1 146 92 7 177 252 201 37 128 156 3 5 240 64 142 95 186 115 147 230 49 161 172 217 107 153 182 101 96 202 137 24 87 75 191 121 254 220 244 156 115 103 203 60 107 157 29 29 25 42 223 141 128 200 104 84 143 239 128 190 214 254 254 190 216 228 89 167 6 238 126 162 245 238 157 91 225 84 150 79 97 130 163 124 69 64 140 74 163 124 192 17 240 27 143 138 90 87 121 15 30 60 10 205 117 176 148 30 3 233 114 126 132 90 139 249 208 9 164 101 61 102 141 254 206 48 162 121 0 208 160 59 122 166 14 12 12 214 22 140 170 101 111 61 107 56 189 227 30 188 255 96 97 9 126 230 101 28 247 183 49 78 160 140 42 162 175 62 205 182 80 2 236 255 130 145 163 194 197 31 109 37 177 79 230 19 240 207 251 118 212 172 175 122 218 211 158 54 14 128 92 166 4 175 161 208 102 92 225 173 99 233 71 0 92 157 220 162 42 7 31 2 76 7 0 119 102 24 220 144 192 5 123 244 181 73 121 91 116 107 22 235 59 173 83 73 147 19 116 88 66 94 152 148 122 191 20 53 233 36 230 53 177 174 13 99 25 246 188 118 150 173 219 249 210 218 240 96 237 224 80 41 91 139 101 171 245 169 73 215 186 55 138 32 111 81 70 153 95 242 10 140 118 116 99 39 62 22 32 89 156 85 249 42 77 154 222 32 5 57 21 199 238 124 131 179 80 27 235 117 168 155 242 28 28 72 119 81 134 113 90 198 218 182 118 230 42 253 253 181 99 200 51 186 5 131 168 158 74 186 116 18 218 8 84 198 172 11 117 128 83 102 83 0 231 121 63 123 205 53 215 172 225 119 212 189 125 251 118 165 176 162 234 162 250 226 44 33 69 56 49 174 32 187 125 212 64 154 137 143 131 50 94 149 98 60 104 159 148 233 56 193 251 199 76 135 255 143 195 233 159 30 168 166 59 1 72 157 147 187 123 7 152 24 7 50 103 188 2 114 36 180 180 148 65 115 80 159 182 31 165 169 127 158 210 103 158 194 230 31 111 72 233 21 103 84 211 101 106 90 37 214 174 116 85 9 103 13 248 248 82 162 11 165 167 160 137 203 102 104 246 192 233 219 3 124 246 199 7 24 66 118 237 181 215 150 206 63 255 124 63 244 54 230 38 15 225 33 228 211 125 125 125 151 194 180 90 143 192 172 207 155 61 33 123 203 111 158 147 222 202 126 138 27 88 238 209 10 231 114 52 95 48 251 227 75 228 142 207 73 96 82 162 60 12 7 121 231 55 238 72 251 177 88 125 61 75 68 244 130 3 16 39 128 248 25 183 221 118 219 187 144 40 55 128 73 163 66 13 7 72 234 225 103 39 182 235 74 124 50 84 235 40 192 50 216 13 127 244 140 163 78 46 18 200 53 156 7 84 140 241 51 6 92 171 128 65 216 252 155 193 116 212 169 122 147 5 108 105 44 146 163 203 55 174 186 98 41 96 134 20 9 75 132 158 42 224 196 32 60 93 65 119 180 3 80 85 6 3 37 213 190 74 143 223 65 221 220 219 63 28 115 135 148 24 42 67 219 39 125 6 105 212 170 214 112 193 252 73 233 170 39 159 25 234 216 127 97 25 72 73 147 71 129 84 90 162 65 57 232 75 179 206 224 1 89 5 217 144 100 111 190 249 230 143 210 47 251 207 60 243 204 247 211 247 163 40 178 134 36 153 125 232 130 161 244 238 123 217 119 114 27 160 68 73 52 49 192 208 250 34 162 78 71 220 243 199 91 138 132 45 166 244 133 77 45 24 150 224 240 252 44 93 200 177 199 110 95 95 198 134 218 207 249 202 87 190 242 84 6 71 135 168 103 142 134 80 130 228 14 157 8 28 65 210 119 206 207 114 234 36 91 98 188 109 186 112 9 170 214 41 24 221 132 159 84 137 169 7 7 41 174 237 140 101 27 69 100 113 150 22 250 32 104 162 155 150 35 166 76 104 207 80 147 50 216 64 146 100 181 61 83 112 105 146 245 57 175 185 30 160 222 14 39 119 94 211 96 53 210 51 114 193 205 68 64 86 176 214 98 247 24 20 154 72 90 177 208 69 162 213 37 93 177 117 88 180 197 199 132 104 11 116 204 70 85 250 151 231 12 81 14 123 158 114 31 134 74 208 234 88 196 223 95 49 38 209 162 183 196 96 199 215 200 175 139 193 153 253 149 247 81 127 165 196 119 19 239 175 182 110 221 186 207 127 232 67 31 250 23 170 104 231 119 77 111 229 221 104 157 245 16 205 56 201 117 241 124 228 92 151 224 134 239 60 152 118 226 187 213 119 81 98 79 238 196 138 153 180 11 71 73 223 175 164 31 188 101 32 125 158 169 196 245 168 87 217 84 46 246 250 16 216 192 201 145 205 145 73 29 63 21 123 82 122 42 116 171 59 139 232 35 61 93 135 31 121 36 203 181 111 76 233 249 79 77 233 183 167 210 37 36 170 222 197 120 233 43 168 90 73 226 74 85 105 110 164 155 219 102 104 246 192 233 219 3 15 1 73 231 35 151 47 95 94 194 103 171 166 235 165 201 147 39 183 96 241 248 207 204 167 140 67 186 251 43 44 62 59 152 83 172 61 117 217 140 108 108 87 91 122 215 55 239 8 135 221 74 83 69 144 1 29 227 96 245 88 30 7 80 50 89 36 19 254 200 202 213 225 35 21 0 201 4 6 54 51 206 144 106 94 65 61 235 48 198 169 0 82 37 44 69 51 151 109 152 94 163 29 241 239 24 115 203 191 83 5 51 165 175 101 211 199 224 116 188 37 22 238 59 167 231 38 206 166 80 2 85 138 115 30 84 255 175 122 239 49 184 123 201 248 238 142 88 242 113 254 220 137 121 62 64 168 163 189 93 144 60 0 3 47 35 221 142 97 231 147 26 64 94 186 13 159 173 111 97 80 112 39 106 99 247 176 236 224 144 89 74 79 1 144 246 64 204 183 114 94 49 103 66 122 254 121 115 210 115 89 46 34 224 127 248 250 213 193 90 76 147 179 83 46 8 222 71 191 64 239 185 179 199 199 181 42 104 104 24 64 250 152 142 133 241 76 250 99 7 201 70 153 92 163 20 215 63 186 188 99 44 192 242 217 13 122 7 82 2 131 219 229 93 66 42 74 205 95 66 94 67 220 10 22 121 244 71 215 182 166 153 221 89 122 245 194 10 115 172 213 26 243 191 237 231 156 115 206 171 145 124 238 129 150 246 50 157 170 199 26 231 1 93 91 24 197 153 151 163 8 150 37 187 213 154 116 58 86 145 186 174 3 28 226 177 85 43 241 41 133 238 128 77 219 229 69 222 17 210 72 42 199 22 121 206 198 141 156 18 155 70 59 117 171 230 125 188 255 121 245 199 56 50 192 227 18 236 57 202 161 160 188 105 249 133 53 250 27 208 21 221 104 68 44 165 215 156 138 188 78 223 182 14 202 221 214 74 143 63 157 252 226 253 29 69 136 34 64 27 110 84 161 34 169 211 30 188 229 0 66 26 147 169 129 136 192 89 64 143 177 13 17 198 234 30 61 180 2 212 231 18 27 165 101 7 111 252 196 88 181 194 182 99 27 55 126 224 185 207 125 238 251 73 122 100 244 232 209 37 28 8 8 74 148 250 144 131 168 71 12 181 181 245 36 159 238 75 223 157 210 151 158 177 164 150 46 81 251 187 174 154 54 127 174 150 174 249 72 96 92 218 1 224 245 213 1 82 9 178 0 72 122 224 184 101 39 246 128 205 246 204 84 102 60 27 158 8 88 238 1 16 223 158 210 39 127 150 210 205 151 50 126 33 65 215 119 82 186 227 70 140 125 72 59 84 79 91 180 131 168 102 104 246 192 233 221 3 15 1 73 154 91 66 146 43 9 82 92 15 32 89 180 115 189 4 6 224 232 254 62 64 242 92 153 129 115 108 23 47 152 156 222 255 162 11 211 95 32 25 94 203 2 123 119 246 40 44 80 243 110 11 22 150 95 250 151 91 112 40 84 106 230 127 63 251 50 206 97 221 36 235 14 51 189 214 80 239 104 142 197 48 74 4 25 182 109 194 66 213 181 134 249 200 61 87 147 198 215 153 115 73 24 23 112 3 199 115 59 172 119 178 235 134 174 220 164 205 224 98 254 156 199 177 112 30 238 26 14 13 34 222 157 52 152 187 170 139 5 1 72 112 63 172 119 3 32 25 8 108 133 33 86 136 159 3 112 215 200 155 221 190 121 95 186 154 45 174 4 200 227 212 170 148 103 117 121 149 208 139 106 117 20 238 248 94 142 115 245 151 60 126 65 154 207 252 162 160 172 228 185 17 159 175 2 66 65 159 52 142 4 0 124 193 148 49 236 156 130 95 91 68 114 129 2 41 190 117 206 156 57 175 167 255 203 144 134 176 156 247 155 18 141 64 233 6 192 111 7 40 181 230 252 224 218 182 220 249 56 111 44 44 95 71 10 62 254 194 158 161 91 144 188 83 250 199 117 229 244 36 118 6 89 12 48 56 8 97 254 245 113 212 213 73 219 219 68 29 84 141 236 31 153 187 146 243 45 22 0 145 151 40 24 113 133 5 237 89 128 138 239 74 158 107 186 198 224 146 139 221 168 108 93 31 73 19 143 11 182 163 138 129 205 248 206 42 146 27 146 104 42 215 218 216 63 140 182 35 220 196 128 96 20 173 78 125 20 111 57 71 88 163 24 238 246 70 74 201 107 139 191 180 231 60 230 106 221 163 82 121 173 48 218 145 102 180 224 97 229 171 1 81 72 145 196 73 173 33 206 20 16 239 143 126 89 128 36 233 220 175 91 125 249 251 169 196 15 168 158 26 48 4 0 195 50 214 185 81 203 99 13 100 100 198 51 13 249 144 98 105 35 101 133 38 128 1 135 32 117 128 113 78 59 106 86 114 68 117 22 118 226 65 212 35 135 7 120 5 76 10 182 254 96 40 173 103 60 242 166 167 164 116 17 83 135 99 110 64 242 83 250 131 108 40 10 128 180 222 2 32 213 152 90 183 7 63 163 252 151 202 181 160 239 27 145 22 207 113 0 144 74 149 109 36 174 0 140 63 229 184 133 103 106 91 7 248 51 68 161 150 123 34 224 18 213 12 205 30 56 125 123 0 22 114 124 192 104 7 91 145 114 9 169 110 0 163 131 51 248 152 94 6 255 120 30 95 254 60 190 177 126 24 170 95 26 223 35 95 37 32 230 146 137 191 250 237 243 211 52 92 185 125 246 166 117 177 46 81 233 77 166 126 170 96 9 122 230 57 202 142 34 239 251 222 61 225 97 102 190 86 157 213 42 216 228 70 61 50 41 172 34 89 27 233 222 146 134 162 180 226 28 113 245 27 157 138 235 197 71 240 51 202 188 65 164 76 142 255 46 95 17 12 93 215 40 115 110 193 194 83 134 231 92 170 146 95 9 131 145 206 142 118 231 33 55 1 146 223 2 48 94 98 122 85 106 251 153 71 253 219 239 222 29 110 241 92 35 170 84 40 208 75 145 117 228 53 82 22 117 159 139 219 186 215 95 113 102 122 246 57 72 143 60 116 137 136 245 187 126 83 3 164 240 0 147 103 34 99 100 14 122 84 7 47 159 49 46 252 221 134 101 171 165 215 176 105 82 245 40 96 194 177 25 127 228 210 34 207 228 104 106 147 219 104 196 107 23 13 163 38 76 233 157 24 229 108 65 242 211 80 199 32 133 121 200 235 41 98 114 35 23 124 216 34 157 93 143 211 241 51 70 13 199 190 153 0 227 40 222 245 57 172 186 65 43 91 169 177 62 50 187 159 89 45 213 142 154 112 89 94 144 204 31 231 126 53 106 233 102 61 160 174 238 194 241 57 237 52 152 206 241 199 1 140 126 4 89 35 226 145 127 234 215 94 70 156 96 143 20 186 112 52 3 23 64 200 113 25 134 173 3 244 253 12 204 43 145 245 171 105 27 32 123 7 170 210 72 95 47 159 83 92 9 206 14 160 18 18 164 96 109 189 214 79 59 234 41 120 196 165 46 245 180 176 13 73 52 158 228 233 188 52 165 146 40 62 40 66 42 166 171 177 234 213 194 118 232 0 106 241 93 14 218 172 194 178 99 187 175 173 165 244 245 173 229 216 5 68 159 186 118 202 212 246 74 122 225 156 161 244 204 169 224 7 68 49 216 200 88 58 245 172 39 60 225 9 159 191 241 198 27 55 163 29 41 35 73 214 107 254 149 79 213 237 128 23 235 20 135 0 198 213 28 27 40 73 0 43 65 122 24 187 114 114 222 209 67 9 82 48 243 240 231 34 62 218 53 35 161 126 31 128 78 164 207 60 70 164 202 41 116 29 191 222 97 70 44 14 90 252 35 224 22 199 73 203 52 93 51 52 123 224 116 235 129 227 64 18 230 146 49 234 21 32 135 118 236 216 113 57 96 249 183 28 203 101 58 67 72 122 48 177 78 191 53 88 31 67 83 190 41 254 187 88 95 9 72 99 158 121 19 71 165 247 126 239 238 180 31 64 144 197 201 124 252 242 70 66 195 141 96 83 98 152 239 60 223 143 217 155 114 49 238 234 134 144 28 4 23 255 9 180 186 115 115 239 72 129 205 79 60 178 215 191 117 153 155 105 123 80 249 10 212 32 59 180 64 35 226 2 69 235 64 102 100 211 96 141 139 76 187 3 199 236 110 124 44 128 43 225 9 172 186 192 147 171 218 46 218 58 142 108 207 230 60 70 231 226 88 169 102 95 186 117 99 56 86 87 125 155 211 86 231 38 210 83 167 101 128 229 41 79 63 123 86 44 113 57 115 218 152 176 78 149 8 151 130 56 119 121 223 131 120 11 18 140 5 239 96 224 245 142 136 54 121 157 197 238 33 130 176 160 108 62 203 70 61 28 75 53 92 90 177 119 144 94 39 239 244 110 24 58 111 173 31 128 33 26 192 202 210 115 102 176 67 110 247 96 122 219 29 173 236 185 168 159 88 31 240 167 78 31 119 13 33 31 32 104 177 121 199 254 124 51 103 95 20 253 213 1 64 116 168 126 213 254 198 185 196 157 200 13 14 38 114 142 88 239 127 222 66 81 244 212 186 83 243 48 150 105 168 65 48 58 196 178 145 213 58 17 200 113 178 225 105 65 26 207 208 4 204 196 114 196 181 155 148 94 159 213 75 130 100 39 7 0 87 173 161 178 205 86 177 81 115 1 128 54 41 239 61 213 199 57 88 207 68 154 158 203 161 132 103 73 6 211 72 187 192 166 218 216 237 195 10 144 204 123 60 146 241 199 28 89 12 4 230 50 216 240 29 149 116 175 3 72 242 179 24 66 162 103 117 16 191 75 210 124 102 99 11 115 193 172 227 117 7 16 61 239 48 128 177 166 245 120 55 186 139 1 193 68 6 13 56 104 15 131 40 212 228 115 94 252 226 23 79 3 36 31 0 36 59 235 254 90 173 186 241 224 54 130 113 143 38 96 192 154 134 152 194 205 0 70 135 96 85 134 144 25 0 38 33 254 28 4 177 2 28 189 207 95 93 241 67 37 226 196 192 35 129 210 232 2 80 163 172 157 121 89 126 234 30 210 103 121 141 135 233 154 161 217 3 167 125 15 28 7 146 204 71 150 1 73 193 226 50 90 254 119 88 85 158 193 124 36 51 69 48 17 244 147 88 67 226 195 212 239 68 107 78 220 118 17 175 138 49 164 49 152 218 171 46 91 20 107 13 223 245 205 85 105 45 192 160 161 78 110 164 66 150 17 54 144 95 200 236 100 72 126 234 183 110 220 147 94 140 99 112 193 161 241 203 211 149 155 160 161 186 52 0 138 76 126 239 230 141 207 154 145 188 110 238 148 66 137 98 4 223 154 177 219 194 6 24 108 9 167 210 115 97 110 53 202 204 220 249 227 159 126 182 46 93 191 122 7 6 67 14 180 73 76 33 230 123 221 147 151 166 167 159 53 3 50 116 49 87 30 13 83 28 141 154 53 230 52 239 223 121 40 9 146 161 234 148 6 209 215 127 18 96 25 28 170 113 207 199 56 231 29 207 61 23 191 177 99 216 202 11 175 66 50 29 254 107 116 178 7 107 88 219 17 137 141 151 177 214 243 123 91 65 71 215 141 91 59 247 186 180 44 227 12 118 13 254 78 179 239 238 108 73 63 3 248 14 13 3 210 160 215 24 230 33 159 61 171 150 158 51 211 61 34 45 150 119 0 96 42 209 189 119 197 96 122 23 18 229 119 182 9 148 57 173 121 105 246 78 78 115 220 71 37 110 247 164 106 17 113 4 76 80 197 139 84 102 162 16 120 245 146 35 72 134 209 14 177 52 61 47 35 146 112 195 121 5 117 198 78 25 208 80 208 157 215 135 58 18 201 109 35 18 156 224 102 219 235 167 226 113 126 38 147 243 145 186 145 11 200 227 29 240 91 67 249 154 112 172 143 163 115 178 185 132 68 23 115 182 71 26 248 31 117 7 176 123 7 253 179 241 70 228 142 27 3 248 124 205 85 170 121 66 165 111 231 84 239 100 62 50 8 136 188 121 213 81 78 126 105 225 105 20 126 222 38 96 169 75 187 152 35 199 145 67 75 203 20 104 105 181 206 110 196 209 175 33 61 126 224 62 220 13 82 94 25 48 204 123 42 167 69 205 130 155 92 187 92 230 226 9 121 37 168 91 53 214 97 4 22 192 146 71 250 183 222 132 252 242 164 127 143 35 173 158 194 184 34 126 24 155 106 175 5 53 1 172 232 218 0 55 238 253 64 189 142 60 188 210 34 31 81 39 15 69 26 218 91 228 43 202 178 236 34 68 121 220 20 105 138 248 230 185 217 3 167 117 15 52 130 164 155 44 15 179 33 236 20 140 70 222 142 154 233 140 195 135 123 171 120 125 113 125 100 118 253 125 219 211 207 214 237 14 181 161 150 155 250 42 125 250 178 233 225 158 173 144 244 84 125 61 155 93 60 148 44 223 252 149 91 211 109 44 178 215 213 219 177 239 244 132 239 181 254 253 170 138 60 216 55 148 38 226 88 92 53 158 82 222 238 195 253 105 221 174 195 1 142 190 129 145 79 29 134 166 4 225 95 35 71 49 15 41 45 48 51 190 113 164 128 82 233 40 103 252 90 10 236 45 105 11 234 218 171 191 182 42 93 199 238 27 17 0 243 16 113 57 239 97 251 173 253 72 170 75 144 254 148 130 93 159 40 195 144 229 147 61 253 0 239 61 15 64 131 106 218 2 32 115 176 206 57 144 160 230 38 202 127 130 149 238 130 73 163 143 1 100 94 83 112 175 53 12 22 44 67 122 142 5 175 109 3 129 190 212 161 186 78 12 220 94 75 117 167 224 119 47 210 201 135 49 176 185 105 31 110 205 96 254 206 145 209 184 212 87 43 165 251 0 159 169 157 195 233 201 204 41 42 41 89 180 219 81 233 196 252 189 231 15 98 37 218 158 126 188 61 87 189 134 106 56 58 239 88 223 199 192 133 122 4 20 45 62 187 0 201 124 232 147 83 169 212 245 0 12 191 143 121 64 172 120 242 249 199 32 190 224 147 156 233 112 215 108 170 138 141 189 31 235 237 179 77 2 203 221 0 211 17 231 246 136 40 106 246 25 157 27 17 17 71 189 75 48 252 233 228 108 157 185 20 151 117 217 199 154 93 233 29 103 37 206 19 252 93 105 19 20 220 57 50 242 135 184 248 93 209 134 229 56 53 215 186 244 40 191 29 52 165 35 207 48 50 77 168 141 211 26 164 188 232 2 31 69 59 114 26 138 75 35 23 3 205 19 58 148 206 243 185 236 114 73 39 109 134 220 131 207 151 183 180 224 245 137 246 48 15 75 53 35 5 81 109 92 219 79 19 0 79 131 191 77 84 246 131 227 198 33 243 161 21 7 112 37 221 144 39 200 175 27 255 158 42 62 210 248 155 244 130 31 101 99 57 190 50 122 63 130 207 139 35 210 144 165 72 91 79 242 200 167 122 61 74 150 150 85 228 247 141 21 33 232 224 198 164 197 117 241 172 121 110 246 192 105 217 3 35 32 41 42 224 95 178 101 201 146 37 207 3 32 47 97 36 140 170 47 149 220 228 248 125 168 80 191 124 219 38 150 111 12 57 111 24 146 146 238 229 190 190 106 115 122 239 11 47 72 151 177 59 134 155 45 27 122 145 156 206 101 211 228 191 121 193 5 233 13 255 247 150 116 59 254 82 3 40 27 249 131 223 87 157 169 202 189 250 81 229 250 141 203 92 92 252 37 40 185 62 210 221 68 156 95 108 148 34 139 98 226 19 37 157 117 118 98 33 0 0 32 0 73 68 65 84 206 197 187 241 165 234 189 121 97 72 11 105 75 135 6 61 37 16 254 163 63 190 63 0 178 172 5 135 76 82 52 197 225 154 213 59 175 183 15 73 85 53 236 60 164 74 235 167 28 22 240 179 47 35 0 170 26 56 212 174 44 194 11 185 140 244 214 19 117 19 163 20 184 140 249 208 75 22 78 1 40 84 26 30 227 39 246 167 116 223 176 118 39 14 218 7 66 60 59 198 87 234 133 212 251 64 128 156 136 133 174 82 168 106 102 37 167 191 103 77 227 143 118 149 89 34 163 36 67 157 164 173 209 23 237 156 119 247 151 210 237 251 74 233 114 54 6 54 88 171 82 120 31 160 61 21 214 254 7 139 134 210 93 251 91 211 126 212 130 76 183 6 237 57 225 121 98 211 219 63 83 217 181 99 28 107 2 135 0 94 227 164 215 125 47 119 32 5 174 1 36 73 69 156 241 182 57 167 217 249 200 0 49 104 42 214 71 58 172 48 144 34 184 182 253 170 42 23 77 115 24 237 228 249 243 231 38 202 235 74 24 31 161 46 231 181 20 220 88 26 45 195 170 232 134 116 39 106 214 219 246 74 91 157 14 18 230 116 48 152 224 93 59 112 81 101 251 184 113 46 217 224 218 252 30 244 145 121 172 73 135 230 14 36 172 195 24 143 198 160 196 174 117 240 120 244 151 26 67 245 178 213 163 113 81 14 249 5 240 251 144 170 237 111 85 172 121 253 148 32 145 30 150 200 121 10 125 169 17 149 234 126 132 74 13 144 14 51 199 141 31 156 99 205 203 19 243 247 24 57 94 159 72 146 113 39 13 212 45 128 21 221 101 55 214 199 54 199 149 97 178 71 93 230 201 42 170 231 143 50 168 207 122 70 194 191 182 236 145 130 154 23 205 30 120 140 244 64 49 18 117 78 174 182 112 225 194 185 124 220 191 43 19 228 219 168 105 129 250 201 159 172 141 45 158 142 2 150 186 98 115 222 204 249 185 113 221 237 105 19 46 217 110 192 21 91 177 37 145 223 147 198 23 206 83 186 247 226 27 112 108 62 138 116 50 179 248 210 252 118 227 251 205 207 50 106 185 234 56 230 21 219 235 42 213 162 223 54 83 246 118 128 202 228 210 19 95 44 15 139 171 56 83 223 89 172 45 236 132 38 25 163 18 45 146 36 172 215 225 123 153 13 150 123 177 44 69 130 36 222 16 210 96 81 94 20 156 75 130 19 160 49 200 34 13 221 16 237 91 7 64 43 5 218 30 37 25 105 8 58 200 111 221 26 253 180 3 188 186 233 235 193 124 211 166 212 171 137 178 4 119 85 187 63 64 2 247 97 241 204 220 69 8 137 142 246 159 199 160 194 224 19 170 139 13 138 111 7 32 148 40 165 220 178 197 0 15 165 24 105 221 87 95 24 95 231 97 188 182 234 17 213 223 46 115 88 136 123 182 201 48 109 19 6 88 152 161 126 4 200 81 80 11 12 255 76 118 4 113 175 196 0 27 235 39 153 18 156 155 55 43 73 26 172 211 62 225 47 255 105 135 60 31 240 91 200 226 249 25 157 44 208 3 17 77 105 26 15 219 169 116 186 213 29 59 72 106 48 187 37 20 161 184 54 231 248 186 244 85 60 179 62 213 164 170 47 191 176 169 12 240 231 229 131 255 148 97 65 224 2 116 228 133 186 236 131 221 67 104 135 239 195 20 6 251 196 58 165 197 126 234 21 181 124 154 63 142 115 36 39 46 206 244 5 190 77 99 217 139 121 34 212 47 60 93 135 129 211 118 164 247 92 229 107 33 245 250 125 175 209 184 90 154 135 19 130 73 244 57 82 181 142 241 211 161 67 135 214 126 246 179 159 221 69 226 210 254 253 225 116 162 94 123 94 252 163 253 75 159 30 151 207 251 122 224 231 200 47 8 215 130 158 41 207 104 239 143 75 255 104 235 57 85 58 203 107 12 167 74 215 140 111 246 192 233 218 3 176 163 8 193 26 152 147 187 8 6 115 225 32 190 90 1 173 236 174 109 251 153 147 219 16 12 198 121 65 193 194 249 57 193 66 137 210 221 59 246 98 161 170 244 168 247 23 63 38 152 53 44 9 245 31 115 141 43 88 247 55 119 2 150 38 92 231 60 135 239 215 111 56 190 99 20 129 117 102 119 182 59 95 192 25 241 23 26 163 120 61 193 40 73 90 49 69 214 121 162 76 56 39 214 191 1 14 112 206 105 168 90 221 154 202 103 117 192 136 107 165 209 155 214 239 14 137 48 43 84 190 145 223 63 57 67 183 178 133 147 71 33 197 1 228 81 120 94 129 117 58 31 169 202 215 142 17 68 2 168 56 7 96 114 206 215 98 150 210 82 182 214 202 229 150 122 94 137 35 88 156 251 78 222 187 29 171 70 197 162 34 50 191 168 223 194 219 254 31 123 231 1 104 71 81 253 255 221 123 239 107 201 75 239 149 244 4 18 66 9 210 133 16 138 32 93 13 150 159 13 253 129 98 65 84 208 159 53 201 79 69 5 20 255 138 5 27 54 64 19 21 65 126 130 8 36 10 72 71 90 26 9 41 164 247 250 146 215 238 238 255 243 61 187 115 179 239 230 182 151 130 162 111 146 251 102 118 230 204 153 51 103 103 207 153 51 21 58 39 162 36 149 219 202 34 240 232 6 4 59 67 157 202 102 74 145 161 81 169 10 89 108 194 43 88 157 193 234 14 234 54 100 178 115 64 128 225 99 10 67 243 137 86 79 104 53 226 77 142 74 184 243 163 50 61 217 178 48 54 190 224 88 239 65 120 101 65 73 201 202 114 210 48 165 156 178 91 137 246 174 98 165 0 81 186 152 120 32 11 119 236 94 69 35 42 106 23 58 227 85 219 53 214 105 219 57 244 139 111 66 17 131 68 248 12 167 22 213 104 127 100 164 4 21 165 178 196 123 197 61 128 98 186 115 5 181 1 141 120 96 195 198 134 44 162 223 148 53 239 223 221 65 25 173 52 85 121 65 35 63 91 145 169 186 138 190 45 12 147 234 13 136 6 99 135 10 211 179 253 137 30 116 103 167 59 238 207 120 14 112 39 232 120 100 67 202 187 117 169 184 74 185 202 17 243 207 124 158 169 181 33 62 150 43 201 164 36 101 209 170 29 50 101 49 239 241 199 31 223 200 97 16 105 148 100 156 217 138 140 75 87 225 7 206 193 183 131 130 247 192 81 216 129 169 131 3 175 77 14 72 118 72 26 106 113 14 134 152 63 154 48 211 63 145 50 124 100 209 122 179 230 52 252 40 229 168 239 80 159 162 68 131 148 158 157 223 74 6 237 29 52 43 141 36 112 104 101 140 124 179 40 109 127 162 166 56 44 163 190 227 40 172 30 184 132 115 53 202 113 108 191 46 182 200 69 202 17 1 39 8 111 35 10 106 23 55 127 200 73 129 153 0 181 20 139 50 184 26 198 34 165 168 101 185 70 74 56 130 149 130 212 221 151 58 62 142 68 179 48 85 188 149 109 94 84 23 61 143 227 40 56 45 66 210 176 170 156 44 64 221 56 162 197 54 234 8 88 217 20 238 58 7 17 45 226 128 78 213 225 200 185 206 156 239 70 88 241 226 143 248 160 121 210 23 184 156 250 251 179 23 88 189 35 1 109 4 216 51 224 198 116 173 120 213 62 209 33 61 58 153 210 149 146 210 37 201 90 80 163 173 23 82 138 102 187 1 47 41 171 159 6 117 133 73 27 223 53 172 25 151 171 119 87 39 29 162 28 207 48 200 183 173 73 80 68 40 82 57 196 0 248 237 155 37 198 162 37 22 186 140 197 26 148 114 145 69 43 190 11 179 202 125 129 161 82 216 102 249 162 142 76 140 71 229 233 69 96 125 30 222 141 149 196 188 215 168 252 136 79 170 191 234 186 153 149 173 155 163 87 103 52 91 209 196 43 43 255 237 167 191 154 203 92 130 197 170 249 68 89 143 90 192 163 225 205 251 87 167 188 175 206 205 208 209 138 128 173 76 213 195 14 77 149 31 215 131 145 142 9 93 91 237 88 56 232 230 120 67 91 137 58 31 5 181 73 215 181 41 183 14 57 16 179 85 54 57 35 54 200 231 167 135 168 221 132 172 10 230 168 26 182 178 214 167 53 207 202 246 22 20 228 67 235 125 239 243 255 72 179 207 82 112 20 96 52 56 94 240 38 160 67 115 232 135 212 183 122 167 247 163 157 129 81 7 180 55 52 236 108 88 181 106 213 195 148 176 139 197 111 210 176 86 156 138 196 237 97 65 219 176 75 51 160 142 63 29 28 232 224 192 191 6 7 16 75 145 91 180 104 81 21 130 178 39 31 185 9 218 29 187 155 125 13 167 154 128 65 194 72 208 73 200 232 187 118 202 82 105 186 57 67 195 175 154 163 68 193 72 88 119 214 49 113 53 40 214 229 12 119 46 99 143 160 172 37 19 48 146 15 146 86 206 1 55 146 69 51 135 128 163 25 43 82 184 77 73 34 140 116 155 6 145 158 207 170 18 19 196 202 99 89 163 252 166 132 233 250 107 209 143 20 155 156 224 52 204 170 167 159 61 178 200 123 152 171 179 100 110 69 101 19 169 74 128 68 233 58 196 186 39 11 102 94 207 112 169 14 22 208 156 42 67 181 8 72 159 107 174 154 189 231 80 114 38 88 201 163 108 170 179 156 202 48 135 167 98 117 153 180 21 79 188 22 158 72 65 191 184 106 179 247 69 14 31 88 193 144 109 138 33 106 27 86 21 241 8 213 24 25 52 240 140 146 29 138 130 20 255 212 153 208 112 169 86 99 106 203 135 168 20 191 109 95 35 190 209 64 121 17 29 190 13 71 74 152 235 56 56 81 164 58 118 101 81 201 43 188 178 159 47 166 76 240 105 120 80 255 162 114 165 4 133 143 225 76 20 193 185 3 81 46 154 143 164 44 209 109 7 129 50 55 169 243 77 101 73 202 124 139 238 79 116 74 1 138 164 20 40 167 154 114 142 96 30 80 67 173 70 24 152 197 59 225 86 199 98 75 115 218 22 218 168 104 197 37 88 102 15 162 73 84 171 15 244 211 197 204 43 215 102 189 129 156 34 36 11 244 65 22 234 220 194 165 209 75 109 173 19 157 19 232 0 11 255 197 187 200 215 242 26 237 31 149 217 124 24 214 176 134 136 121 47 190 206 251 229 164 168 57 236 81 124 155 218 135 218 146 20 185 202 210 95 254 196 252 3 101 244 96 244 137 79 42 239 170 167 56 228 126 0 43 183 169 159 246 145 254 137 85 194 235 118 145 83 231 180 186 138 216 139 144 146 38 206 194 161 119 201 80 14 117 96 133 173 110 87 169 173 171 246 23 46 93 242 224 165 151 94 250 119 10 169 225 212 42 8 237 112 29 28 232 224 192 107 149 3 57 37 201 62 174 128 227 201 184 184 160 206 219 189 171 1 217 20 166 55 51 148 218 76 23 93 123 30 181 47 210 148 163 106 42 225 135 208 144 21 167 27 47 52 244 168 133 35 38 184 16 28 154 187 212 98 149 59 158 89 230 53 98 209 165 57 11 204 206 87 149 188 83 102 19 80 8 45 148 196 105 99 250 123 67 123 114 91 130 20 34 195 138 234 142 75 97 108 103 213 169 148 171 202 209 191 156 139 131 82 76 58 127 245 207 204 57 158 121 216 64 143 131 215 205 218 219 70 185 63 123 100 177 247 157 7 230 121 187 165 192 0 140 20 11 25 157 180 22 50 150 249 159 193 181 93 19 185 191 81 167 253 152 13 38 193 75 89 235 57 43 118 19 150 172 20 141 182 93 184 122 71 120 12 196 44 166 93 208 120 219 227 75 176 6 59 99 81 214 24 205 127 153 183 198 251 57 229 63 255 202 38 86 0 69 121 163 250 70 184 35 26 98 30 128 74 135 48 212 161 200 85 79 13 89 75 241 109 193 18 19 180 228 50 38 190 213 222 114 232 143 68 62 137 183 179 103 111 44 43 50 117 44 92 55 54 211 239 224 140 178 103 56 244 252 71 139 184 36 16 11 200 4 123 44 208 93 153 166 44 80 68 147 122 103 189 115 6 176 8 139 19 111 180 24 69 2 95 247 45 169 212 197 172 74 93 141 98 160 100 178 17 47 34 98 60 74 23 15 52 172 56 134 225 86 89 161 122 101 40 35 221 22 179 35 83 85 221 75 35 4 181 40 97 13 219 202 89 86 253 113 15 170 153 80 162 152 164 183 30 89 199 66 163 157 25 206 94 213 89 177 190 183 150 161 81 101 138 44 55 229 227 103 52 40 95 244 115 22 92 31 78 235 25 137 53 188 155 9 201 186 186 78 254 234 149 43 87 221 117 215 93 11 47 191 252 114 27 110 85 177 3 80 192 92 225 141 242 6 47 255 13 159 208 26 17 17 126 71 222 179 12 115 63 187 145 10 201 188 84 147 64 57 218 194 39 213 69 64 42 31 250 85 71 227 37 245 127 125 127 14 18 24 162 211 198 57 253 33 93 149 106 228 246 234 21 43 86 252 138 179 142 55 14 29 58 180 134 107 178 162 222 159 21 152 123 149 224 233 112 29 28 232 224 192 107 129 3 57 37 201 138 86 78 182 242 106 52 31 169 37 10 82 124 58 81 39 26 114 140 149 149 228 4 2 66 162 66 242 166 25 51 68 11 99 206 56 108 128 89 148 58 172 92 233 43 217 118 33 75 238 119 204 103 154 37 7 46 19 15 177 96 146 12 210 237 27 3 251 212 123 231 30 62 200 86 84 106 251 5 58 17 129 139 85 2 64 157 198 223 80 90 38 140 36 160 204 169 212 40 44 185 233 83 222 163 220 85 249 209 91 31 245 38 13 235 101 138 230 69 142 177 211 86 21 89 60 218 14 16 13 23 42 15 63 254 11 119 22 165 216 15 11 238 173 175 59 4 171 10 165 76 217 58 140 64 78 55 96 232 89 112 18 140 178 28 85 39 115 230 233 15 63 121 128 220 197 188 227 134 237 187 76 73 190 140 213 172 197 66 187 53 71 155 91 136 36 216 56 79 172 112 164 108 52 183 169 235 185 180 125 37 154 211 140 80 106 91 134 110 182 23 203 164 195 80 75 252 83 61 226 159 8 161 220 249 108 17 249 228 211 82 148 212 19 40 109 1 153 143 130 219 164 169 92 27 26 212 240 49 229 170 76 124 212 181 5 187 163 88 46 29 209 106 123 2 181 40 70 115 136 170 159 241 11 196 139 177 168 214 72 73 74 137 153 82 82 118 189 63 189 117 17 21 122 19 187 101 89 149 10 141 100 211 85 94 13 59 119 46 160 253 236 174 235 220 185 87 152 229 48 120 63 96 60 2 88 41 38 234 96 206 112 68 180 24 63 132 206 106 230 121 43 24 114 93 193 201 220 86 38 240 234 0 209 135 177 116 193 68 117 32 67 76 135 218 132 10 215 156 232 176 206 129 44 218 160 23 167 39 98 205 46 191 239 190 251 158 124 239 123 223 187 179 174 83 103 134 142 3 22 23 249 236 161 12 188 69 108 3 241 25 66 141 94 69 130 14 5 133 15 39 222 199 236 178 147 139 140 47 148 99 233 202 168 119 166 122 1 175 91 55 142 232 149 245 62 49 182 133 187 35 101 209 179 79 23 94 44 89 190 252 47 55 220 112 195 35 0 85 179 120 39 66 236 10 136 124 23 7 72 92 176 66 109 195 81 68 174 225 217 99 199 159 14 14 116 112 224 159 192 1 41 73 125 180 62 11 12 212 25 182 153 36 68 137 173 208 211 98 29 57 29 185 230 148 133 201 10 178 200 151 18 122 148 33 205 15 254 242 17 239 184 97 125 108 229 107 3 214 219 147 108 251 120 110 5 19 99 0 9 67 82 81 233 217 174 98 66 35 190 255 164 209 118 127 98 19 38 9 195 99 56 149 149 101 56 47 229 13 96 107 135 122 244 150 87 90 65 5 154 224 22 69 206 69 66 237 73 104 120 114 49 67 171 170 9 112 82 158 90 244 34 193 31 137 33 18 68 47 104 84 54 199 161 122 239 61 113 148 119 52 11 102 100 193 106 53 162 9 68 21 1 140 14 47 223 161 177 64 43 79 121 249 201 37 124 56 96 176 202 247 136 86 176 90 26 153 25 58 77 51 171 171 83 90 132 203 156 210 132 194 96 246 224 146 229 216 157 121 85 83 10 164 105 104 85 202 103 52 243 141 127 223 40 113 12 30 41 71 124 211 81 162 71 136 132 7 220 43 81 104 43 165 92 164 140 228 72 223 99 129 169 238 17 188 41 72 132 58 91 58 189 171 16 234 39 247 145 82 101 157 143 142 235 193 217 176 36 180 52 112 148 220 75 40 90 110 167 194 10 166 134 177 82 111 163 156 136 59 146 161 86 173 138 221 201 62 200 58 78 164 225 246 150 217 35 71 142 60 140 59 55 53 10 224 215 83 127 89 112 155 119 99 157 66 131 201 250 152 22 163 201 133 41 91 65 241 201 241 202 230 97 105 111 92 248 28 91 163 113 61 4 104 191 168 219 160 240 120 134 90 69 71 67 200 41 56 77 141 30 67 155 11 159 127 254 249 121 248 43 184 39 243 136 221 77 97 200 2 35 255 44 142 139 91 180 149 166 14 237 170 112 142 30 177 71 74 207 124 248 111 188 85 156 98 227 242 226 54 231 172 199 104 126 148 178 57 72 97 250 4 246 216 242 174 216 234 146 101 8 38 205 225 1 203 126 243 155 223 220 244 210 75 47 237 24 60 120 112 102 229 202 149 113 79 197 80 90 41 132 140 4 124 247 108 137 249 127 160 177 100 122 62 124 199 115 7 7 58 56 112 112 56 96 150 228 172 89 179 82 220 29 217 244 254 247 191 127 131 182 115 176 72 37 236 222 169 202 215 113 111 127 153 187 138 103 4 182 201 12 19 29 38 171 236 27 39 78 240 47 112 67 198 11 12 47 154 249 35 197 132 196 243 17 186 18 239 57 129 68 56 39 160 152 255 187 248 117 195 189 55 79 26 74 150 192 46 23 166 122 24 173 1 71 146 165 59 43 207 216 254 93 188 122 54 8 106 229 172 230 187 164 148 244 223 156 249 238 129 81 89 148 154 147 41 210 180 82 142 38 98 18 114 198 148 51 229 10 201 123 79 28 237 93 242 186 97 12 179 218 225 122 130 215 212 28 39 179 113 251 115 54 235 235 30 203 129 28 136 176 77 171 91 17 146 17 110 149 239 202 84 216 80 217 31 89 141 123 28 22 22 216 122 117 169 181 125 165 209 254 73 129 197 25 28 14 30 181 39 82 195 180 154 199 140 142 228 67 65 131 234 132 62 161 119 235 43 26 118 22 31 85 126 68 55 125 151 100 49 198 79 209 199 217 224 70 143 232 140 58 6 81 89 166 94 137 147 85 86 5 204 7 71 101 189 183 12 209 226 40 22 185 176 33 18 216 6 221 54 82 85 93 211 83 214 232 122 134 58 95 146 210 85 229 156 130 84 152 242 165 36 116 56 155 230 1 181 229 66 48 40 52 157 119 235 173 95 191 254 129 177 99 199 214 105 177 12 123 18 195 190 53 89 127 52 48 115 117 43 164 156 234 236 126 49 190 56 65 104 44 201 192 244 135 34 164 128 180 178 244 73 86 150 238 25 54 142 0 85 39 145 150 162 229 30 139 37 135 62 133 10 47 205 201 80 222 223 254 246 183 127 128 161 133 43 170 30 224 104 197 243 56 255 213 26 198 212 33 45 254 236 181 156 37 171 161 84 148 191 234 170 66 237 95 27 186 64 108 78 101 73 155 209 102 45 93 236 0 154 194 184 11 220 59 115 96 214 251 48 103 230 142 96 200 153 19 139 2 238 254 84 249 45 139 23 47 254 238 79 127 250 211 39 184 114 172 26 5 89 104 152 85 5 36 127 113 121 29 94 7 7 58 56 240 175 202 1 147 238 35 70 140 72 113 218 14 58 42 120 113 247 46 59 183 13 213 231 135 199 13 239 131 245 145 177 85 156 18 212 38 40 204 58 67 200 56 159 120 100 189 9 20 89 150 82 88 242 37 88 157 37 34 97 99 214 18 214 149 112 156 123 244 80 239 195 167 141 179 57 77 61 203 113 181 208 125 204 139 62 95 83 91 163 97 220 224 56 110 246 56 149 67 10 180 220 82 68 154 122 48 129 37 1 23 9 57 243 161 67 67 183 82 14 250 105 238 83 126 68 95 36 228 116 80 57 119 20 218 21 87 151 158 60 218 251 8 101 107 56 23 5 29 116 174 171 243 182 239 216 113 23 23 28 223 203 61 185 62 43 86 195 190 40 184 195 7 117 139 202 145 160 148 92 51 58 229 11 119 236 199 97 208 16 141 16 197 207 50 79 57 129 45 45 151 113 68 159 142 55 139 148 131 163 87 117 117 248 184 181 130 253 157 42 75 60 80 151 2 30 133 218 178 112 98 239 0 101 134 140 141 235 43 161 30 173 74 85 217 0 196 63 221 146 17 48 238 23 100 245 19 15 176 94 161 65 115 118 170 179 205 169 178 184 102 4 251 38 103 76 108 102 152 213 150 139 90 77 100 61 115 62 239 189 212 123 94 45 60 135 44 122 10 12 149 55 68 117 141 234 44 186 35 218 77 25 83 244 81 108 117 112 202 161 19 188 67 25 172 100 120 241 37 172 183 249 187 26 26 88 113 27 114 240 170 23 158 51 160 213 246 98 6 204 149 106 97 141 104 210 79 180 27 141 230 107 133 40 67 219 252 66 232 231 37 113 64 66 179 55 99 66 163 55 160 134 250 19 167 122 184 58 69 214 28 44 4 244 36 46 56 62 14 62 105 219 6 239 13 62 4 235 22 44 88 240 24 169 181 119 222 121 231 221 212 235 137 78 117 181 74 15 52 36 251 37 234 127 28 22 165 120 41 154 2 58 76 42 83 101 235 167 50 172 44 11 235 89 52 1 11 156 126 26 150 158 216 43 240 254 247 240 102 239 243 88 144 135 128 147 225 234 160 154 27 115 152 143 109 226 222 213 235 166 78 157 122 27 229 103 226 197 58 122 217 84 152 202 239 249 17 44 232 4 211 225 58 56 208 193 129 127 65 14 152 146 116 116 109 221 186 245 113 194 203 152 95 210 176 89 120 226 200 62 54 223 104 7 86 34 90 101 207 57 193 109 223 191 9 208 88 41 17 54 37 37 133 17 199 107 192 80 121 244 156 101 24 86 27 243 223 143 146 250 212 217 19 236 0 1 20 82 182 190 115 103 159 185 155 127 124 229 43 95 249 42 22 201 51 18 246 218 110 81 199 114 254 247 156 56 210 27 210 183 222 107 101 232 83 138 72 138 54 82 152 142 142 88 254 152 50 145 32 142 133 49 2 45 162 85 2 142 177 48 202 30 194 226 26 149 251 145 41 227 108 238 147 121 199 160 182 182 54 181 118 221 186 133 92 140 251 117 100 253 125 178 88 185 133 194 103 110 53 124 227 225 131 57 8 161 218 242 154 146 167 30 50 218 84 127 61 75 105 91 60 145 18 254 42 71 191 35 70 244 246 102 92 112 4 55 155 116 179 21 190 82 50 234 51 68 121 68 151 169 123 77 132 218 201 68 163 216 254 162 179 111 197 27 246 169 50 0 234 135 218 232 255 65 44 149 139 135 114 197 61 74 78 66 93 86 76 164 92 34 133 137 138 143 20 12 194 156 147 220 45 108 130 93 194 93 130 157 60 90 208 243 166 67 178 222 215 142 106 182 67 208 197 53 13 233 118 237 210 197 103 21 232 236 239 124 231 59 55 115 211 203 78 241 22 69 237 75 17 88 131 0 159 148 137 120 40 158 218 92 29 229 235 246 148 119 15 111 229 160 130 104 171 136 20 45 11 84 102 111 220 184 113 237 29 119 220 241 56 237 231 229 26 218 78 35 11 105 78 69 137 125 100 12 39 8 177 136 71 39 19 169 13 232 39 62 184 176 148 144 209 74 122 77 42 235 253 215 176 22 111 218 132 38 239 8 182 151 68 214 170 203 171 14 72 212 244 84 175 209 221 3 239 178 81 173 54 23 168 129 122 181 25 182 92 220 193 197 209 75 89 217 218 137 145 145 85 12 121 254 0 101 213 4 95 211 144 19 28 219 179 213 251 238 49 77 222 23 81 112 167 13 108 241 70 50 84 219 25 171 210 20 166 248 43 30 200 215 143 186 234 87 207 105 114 58 36 224 141 131 91 161 171 217 187 105 82 19 124 108 213 246 144 80 115 144 117 180 31 58 95 217 133 11 23 126 253 157 239 124 231 77 88 144 205 252 244 130 243 149 99 220 80 169 124 135 235 224 64 7 7 94 83 28 224 120 75 223 167 7 28 204 156 57 51 61 113 226 196 133 47 188 240 194 31 6 12 24 240 41 45 216 209 124 217 231 222 56 209 107 64 73 61 248 194 42 42 134 208 68 226 71 154 21 65 130 0 141 156 196 175 171 119 36 88 73 69 177 17 169 5 57 40 188 241 135 244 246 46 57 118 152 119 225 145 67 13 22 252 89 86 211 166 17 172 107 217 116 61 237 225 135 31 126 230 130 11 46 72 15 27 54 236 77 8 154 1 141 205 205 1 23 23 167 190 114 241 209 118 239 164 238 114 148 178 163 80 155 92 140 246 193 81 10 101 152 149 74 188 72 48 154 160 221 196 20 9 253 24 54 61 115 252 64 239 205 199 12 227 124 213 46 42 59 196 88 12 187 116 233 156 218 180 105 243 11 127 252 227 31 191 248 179 159 253 108 62 251 217 170 153 71 90 204 121 155 163 118 113 36 31 91 67 252 207 159 59 209 142 228 91 199 149 93 134 92 202 142 159 74 138 202 161 68 149 69 100 119 14 36 184 132 33 228 183 76 26 102 43 109 117 172 221 4 142 172 123 130 243 95 91 153 3 181 140 226 135 16 241 127 28 252 120 15 243 162 58 82 175 89 91 41 100 51 51 220 140 226 169 39 16 246 169 9 253 207 141 111 241 198 163 16 238 94 153 182 155 44 118 51 103 104 245 119 245 68 169 25 29 54 12 27 225 238 132 98 28 194 60 217 17 61 67 239 172 1 89 239 117 156 175 170 123 24 217 158 16 96 113 165 176 124 100 65 62 124 251 237 183 127 6 197 182 248 234 171 175 110 16 14 169 222 62 181 161 127 14 91 67 110 218 145 161 179 16 145 170 242 196 242 110 40 198 203 70 182 120 167 179 154 19 197 20 208 145 74 109 221 186 101 221 146 37 75 110 7 50 123 243 205 55 207 59 253 244 211 239 236 211 167 207 39 164 33 88 165 27 126 104 116 179 223 139 249 225 219 150 165 188 69 12 227 234 84 28 41 70 138 66 89 234 48 138 144 133 53 28 43 7 141 162 117 18 86 170 206 104 213 137 61 23 160 200 86 236 12 189 123 215 232 212 157 168 222 157 169 219 73 88 143 151 142 108 181 123 48 209 173 217 206 157 235 116 13 213 98 234 243 75 138 13 24 246 212 10 172 90 218 244 221 188 219 209 135 30 122 232 255 112 121 118 106 119 99 83 160 211 125 222 53 172 57 53 117 136 86 210 122 204 191 122 182 197 99 3 39 169 111 229 167 85 185 170 171 230 133 117 14 107 63 22 6 141 224 142 73 248 162 67 224 209 231 198 71 77 15 164 52 23 203 57 199 139 177 32 191 251 129 15 124 224 87 148 169 23 224 163 152 177 109 173 245 57 63 122 49 68 198 174 208 179 75 219 47 95 223 50 8 236 199 59 85 249 230 20 223 179 231 168 46 94 109 216 141 123 101 94 199 102 78 245 195 56 116 33 60 154 166 195 141 107 254 227 242 101 162 7 217 204 147 126 83 51 231 31 44 217 153 135 195 117 168 137 22 151 58 92 7 7 254 51 56 96 31 20 183 127 248 135 29 118 152 148 101 246 218 107 175 157 120 209 69 23 253 190 111 223 190 35 119 54 52 4 92 215 148 90 198 138 205 31 254 117 129 119 207 11 43 56 97 167 209 11 88 236 98 78 185 115 223 11 223 141 194 250 153 50 64 216 160 56 116 120 248 25 227 6 120 147 249 13 97 171 7 67 122 150 131 133 14 254 230 205 155 87 60 250 232 163 95 253 248 199 63 126 59 202 177 150 33 215 93 44 225 255 40 231 199 126 217 230 33 49 57 216 102 146 90 207 94 200 191 204 91 233 61 206 129 233 58 46 110 45 167 241 108 220 26 221 51 169 115 97 141 30 124 237 151 212 86 20 157 231 170 179 88 143 96 123 199 113 220 208 161 187 26 181 21 4 139 45 0 93 10 11 210 147 96 101 88 238 138 47 127 249 203 79 210 57 168 97 193 71 243 31 254 240 135 207 30 117 212 81 215 104 158 13 193 17 130 207 127 108 201 122 86 233 46 99 49 210 70 79 139 146 54 238 224 94 72 170 221 25 197 167 131 216 135 113 24 192 145 67 122 96 113 15 244 14 231 136 60 89 95 186 192 25 186 237 178 230 95 60 186 152 131 5 182 144 23 203 135 67 6 152 235 229 146 232 62 118 16 252 40 230 124 197 45 174 85 210 209 101 207 82 255 223 177 109 224 114 22 81 13 217 221 216 200 189 134 116 72 48 61 181 225 94 103 161 46 220 206 141 247 236 131 212 145 109 90 153 42 125 195 168 177 215 5 161 222 27 37 166 97 69 93 28 172 195 186 7 177 239 80 180 112 79 35 106 220 247 235 59 119 146 0 111 154 63 127 254 175 126 244 163 31 221 52 103 206 156 101 84 35 139 245 245 129 35 142 56 226 122 91 208 132 34 208 205 35 82 106 179 81 78 58 48 156 149 170 40 164 172 119 38 202 241 100 172 67 250 72 102 15 98 69 249 79 61 245 212 119 223 250 214 183 254 47 23 11 7 220 30 211 116 198 25 103 12 254 250 215 191 254 19 158 79 216 193 237 49 180 5 159 131 2 252 141 40 32 29 112 176 150 149 183 155 56 228 64 195 175 93 176 210 116 213 214 16 246 23 14 70 81 234 54 17 237 51 140 154 147 142 205 147 205 233 249 243 89 149 186 156 179 100 107 80 125 82 90 90 212 132 194 210 17 114 54 212 169 118 130 213 248 57 58 88 255 79 86 228 218 181 107 179 92 77 21 242 126 213 72 51 247 222 123 239 229 92 94 253 81 58 100 131 52 172 221 212 168 119 139 2 209 132 106 168 13 62 129 47 195 145 67 251 173 240 168 88 22 174 169 158 81 115 150 213 200 104 120 202 215 8 11 23 67 203 122 110 162 190 179 126 248 195 31 222 66 71 227 57 202 241 233 216 105 225 144 235 90 56 5 169 254 2 88 76 105 202 151 147 239 194 238 89 126 206 181 87 9 197 202 81 87 195 229 20 99 151 1 163 251 208 126 142 132 180 147 169 246 8 144 159 196 111 32 63 149 109 125 61 2 54 88 192 3 44 176 102 109 105 164 175 7 234 17 160 94 134 11 143 102 178 45 79 175 95 191 148 149 113 145 163 60 108 233 61 101 185 248 14 191 131 3 255 142 28 144 96 136 191 49 207 195 154 76 73 81 62 240 192 3 111 225 28 215 159 34 20 186 52 54 53 101 165 40 181 160 229 233 229 27 189 71 56 244 91 43 87 215 177 237 65 231 185 110 99 14 78 195 137 90 132 194 212 144 215 135 131 186 117 71 163 238 85 60 140 33 71 41 142 174 40 7 4 148 89 112 92 159 101 214 204 134 13 27 30 249 245 175 127 125 45 67 157 79 97 197 25 111 177 2 90 177 228 234 111 187 237 182 47 98 1 188 95 159 114 115 19 23 32 73 43 241 17 51 68 234 235 36 157 37 235 182 217 97 3 58 72 64 138 75 39 230 200 160 235 134 229 219 139 33 210 222 204 243 105 107 133 230 252 100 188 96 1 224 60 191 174 174 86 11 77 90 217 187 134 126 188 243 166 31 255 248 199 255 232 215 175 159 174 52 242 40 187 241 236 179 207 30 240 213 175 126 245 251 196 157 166 56 50 217 45 40 172 128 245 117 48 194 186 109 187 236 48 246 168 204 104 62 177 87 61 229 177 248 6 229 27 178 141 69 66 6 125 140 132 37 47 71 251 165 52 207 167 35 246 140 79 240 168 23 29 7 205 67 194 244 80 74 27 203 46 141 5 25 62 243 204 51 87 189 251 221 239 190 245 198 27 111 188 248 245 175 127 253 103 225 195 112 93 217 197 42 217 64 39 211 74 73 104 229 168 142 139 83 41 170 144 78 199 209 80 104 53 63 221 198 193 58 39 51 212 36 254 149 70 149 83 154 151 211 38 123 234 243 50 10 242 187 108 143 248 13 52 54 210 9 170 98 120 187 233 205 111 126 115 255 47 124 225 11 183 240 124 60 157 162 44 150 156 182 255 164 54 163 216 164 136 117 26 142 20 48 241 204 151 82 40 142 27 46 176 34 183 62 2 175 46 103 104 115 53 10 34 45 197 196 144 245 110 58 92 147 206 63 255 252 235 251 246 237 115 188 238 32 165 108 238 48 209 232 66 96 195 185 26 154 214 141 31 90 189 42 197 140 17 109 180 242 158 82 53 28 47 40 165 39 167 173 72 176 48 0 142 124 212 69 42 13 115 199 234 5 243 152 15 245 153 119 220 189 100 201 146 159 64 255 183 94 124 241 197 205 208 145 138 45 185 80 55 112 208 241 144 210 242 153 51 61 225 164 147 78 122 79 247 238 221 222 200 78 167 30 85 213 213 58 54 142 21 177 77 26 94 143 20 3 116 193 83 11 155 143 82 84 199 42 205 225 246 26 10 103 174 94 121 214 98 61 62 206 240 234 204 143 125 236 99 15 128 187 9 197 92 133 98 150 50 76 42 70 61 11 151 124 253 228 244 236 126 22 17 255 81 92 27 23 211 209 38 174 208 67 252 225 230 148 227 240 225 195 107 183 54 87 159 77 191 230 173 168 188 163 64 60 140 197 104 118 48 49 108 142 74 55 68 42 82 31 149 43 58 250 192 114 101 240 168 57 114 125 127 204 219 178 129 217 123 5 200 59 233 220 252 104 227 234 151 230 11 142 178 245 162 68 170 67 146 203 222 17 232 224 192 191 19 7 244 117 184 47 196 194 8 185 144 95 250 158 123 238 185 98 196 136 17 255 139 85 211 109 219 246 237 116 40 131 0 195 9 179 36 244 181 249 126 21 67 144 218 240 175 30 191 246 83 42 115 87 14 250 214 246 141 94 157 107 205 71 200 160 24 3 27 166 210 16 21 171 0 213 219 222 133 80 249 227 103 63 251 217 47 61 247 220 115 43 16 206 117 8 107 9 24 134 64 173 55 222 50 97 194 132 110 55 221 116 211 101 8 160 247 97 245 13 210 119 40 129 134 99 224 45 212 215 201 62 125 173 194 213 134 246 104 174 82 86 130 85 4 95 195 98 20 139 194 8 83 214 251 71 248 74 81 160 8 231 178 184 227 135 40 138 187 193 181 21 229 156 33 206 4 92 215 174 93 53 55 218 116 229 149 87 14 127 251 219 223 62 131 45 4 23 163 12 252 221 187 57 35 142 202 75 81 67 135 206 7 48 225 14 110 147 33 58 154 78 202 75 135 13 201 66 101 47 185 132 70 64 222 52 214 160 73 94 78 212 65 246 99 190 144 71 78 52 51 255 152 194 186 17 77 173 40 175 155 176 200 174 83 18 191 86 172 249 241 135 31 126 248 71 6 13 26 116 1 194 190 147 148 13 195 207 182 56 71 150 163 137 46 104 81 144 106 138 146 148 234 175 64 85 166 74 55 161 68 130 125 247 238 0 126 191 196 106 207 59 177 208 127 251 187 223 253 110 49 60 206 80 143 20 229 102 99 126 55 162 68 78 153 50 101 202 119 224 247 72 58 69 172 206 213 189 32 224 165 12 106 29 41 38 244 177 222 159 148 24 202 240 175 40 199 207 126 251 219 223 126 30 171 177 22 171 202 222 31 86 176 79 7 164 249 138 43 174 56 156 149 210 31 135 167 103 193 147 238 40 34 104 211 254 83 230 135 221 251 50 170 177 148 17 196 194 73 103 72 214 253 75 180 133 191 193 251 49 40 221 147 176 176 211 122 199 202 35 69 165 154 107 164 64 219 107 80 128 47 49 212 121 3 229 252 145 132 102 202 210 161 226 78 57 137 209 33 109 215 238 222 102 206 84 91 155 170 152 247 62 129 14 200 25 192 78 164 204 97 196 13 231 29 212 96 25 102 121 78 107 171 48 239 175 21 37 154 129 30 174 24 205 238 68 49 110 64 49 206 131 182 167 153 18 120 148 78 77 163 160 38 0 0 32 0 73 68 65 84 221 98 242 233 196 242 42 248 149 146 229 74 216 41 67 87 126 190 111 244 0 39 23 53 130 189 195 81 162 26 123 5 78 74 10 80 149 227 245 239 127 68 231 230 212 174 139 104 6 111 7 251 185 145 254 82 123 181 100 209 103 159 70 194 87 182 82 206 209 32 159 131 160 104 113 130 230 147 2 209 207 178 126 240 189 173 171 22 61 163 168 36 29 122 238 112 29 28 248 87 224 0 237 210 181 249 118 147 195 119 229 218 191 229 21 34 247 179 136 201 147 39 171 55 238 179 247 45 243 167 63 253 233 13 8 190 43 171 171 171 79 173 97 145 130 20 21 130 131 78 41 199 241 152 214 96 177 131 132 29 57 37 4 9 42 201 132 26 97 233 13 246 36 86 219 62 68 44 153 109 8 192 217 143 61 246 216 239 152 191 122 136 121 177 29 204 95 85 99 81 170 183 239 132 74 136 112 244 17 72 82 22 30 66 237 245 167 156 114 202 187 128 59 11 188 189 58 117 238 108 2 178 185 169 153 21 176 241 105 58 18 162 252 40 204 104 64 214 89 121 85 177 98 100 197 229 86 232 94 136 240 190 31 75 249 14 134 84 23 129 186 26 5 105 138 34 89 246 176 97 195 124 134 60 155 79 62 249 228 254 40 241 169 40 169 119 161 236 14 149 130 23 155 90 233 84 203 2 17 255 181 216 69 194 93 66 94 14 65 219 130 117 53 15 43 227 215 228 105 25 57 114 228 127 211 1 24 167 250 75 209 42 143 248 33 199 133 208 18 232 144 213 52 15 65 255 227 15 125 232 67 119 147 127 39 74 129 3 140 82 89 248 47 161 94 207 176 232 241 12 131 191 133 184 227 17 230 67 80 56 25 213 181 182 70 43 98 89 217 137 226 84 184 169 217 58 16 166 68 89 136 179 29 94 173 71 9 62 143 114 252 59 251 246 230 176 193 126 41 248 66 234 92 21 119 10 114 252 166 206 30 117 110 253 218 215 110 56 233 244 211 79 189 18 254 159 2 205 245 82 24 170 175 234 137 138 151 50 231 213 103 55 160 112 238 196 218 189 25 165 251 50 74 182 10 90 77 65 10 63 63 15 197 228 49 140 222 66 187 169 125 223 251 222 119 210 145 71 30 249 246 209 163 71 159 76 39 165 7 116 49 61 88 163 227 121 180 216 38 160 94 77 212 123 3 120 23 51 100 58 231 254 251 239 127 140 81 132 249 180 193 65 40 191 243 225 225 197 240 173 143 173 190 69 255 195 175 109 116 46 182 47 95 190 252 126 110 216 248 45 239 114 33 69 86 197 29 28 87 39 231 139 28 115 208 68 81 169 16 218 69 107 138 247 210 249 178 203 46 27 62 100 200 144 62 212 171 59 52 13 64 217 55 179 152 9 101 236 87 215 213 117 222 14 79 26 121 239 27 233 84 189 242 139 95 252 66 74 145 93 169 86 199 140 148 35 237 89 29 16 149 229 126 170 191 43 219 249 138 51 190 196 190 11 243 152 139 87 56 231 224 81 18 38 23 159 12 248 254 105 116 116 102 183 194 155 116 247 129 99 207 99 56 232 106 20 227 201 130 73 40 70 61 70 61 11 133 246 221 137 30 213 199 112 177 173 134 238 19 50 192 247 63 147 105 105 250 185 134 97 69 7 100 139 183 29 174 131 3 255 84 14 208 22 37 100 115 163 43 7 130 24 67 152 135 72 113 233 241 227 199 123 12 97 53 179 223 108 208 207 127 254 243 169 195 135 15 127 43 2 106 2 52 212 35 84 76 89 233 115 22 73 118 123 7 130 84 25 157 242 64 88 75 161 52 32 216 86 32 52 159 97 31 230 29 44 18 121 8 16 73 244 76 66 73 185 143 80 190 253 176 158 208 61 126 72 62 41 139 212 117 215 93 247 58 230 205 94 15 45 135 19 63 138 184 97 8 242 30 148 181 131 95 29 2 48 141 160 149 16 171 227 99 221 202 48 220 22 158 151 33 244 158 103 239 218 19 223 251 222 247 158 197 250 217 74 122 43 67 169 213 164 75 192 185 143 218 9 52 146 115 66 94 138 187 121 210 164 73 135 96 85 191 9 101 121 22 22 105 95 234 211 27 193 217 133 50 182 17 230 32 53 111 43 10 125 21 130 126 33 130 251 169 91 111 189 245 25 172 141 165 196 87 95 122 233 165 99 207 59 239 188 179 160 237 56 20 79 63 234 212 2 108 22 30 54 64 243 58 230 64 101 141 253 133 189 125 154 235 169 66 225 104 206 144 32 115 140 123 230 183 196 171 110 151 92 114 201 216 55 189 233 77 227 160 97 12 138 180 39 74 184 19 150 84 53 225 0 124 30 202 121 55 113 219 168 151 22 210 188 204 226 171 249 8 118 225 181 227 217 16 234 213 40 3 83 116 196 57 126 19 140 4 117 172 216 116 111 72 245 45 183 220 114 14 67 221 231 137 191 88 80 53 148 193 86 207 236 122 234 55 15 139 247 175 116 92 212 201 208 188 95 21 245 113 188 115 239 78 56 61 222 147 143 66 82 154 222 95 167 235 175 191 126 8 29 164 129 240 190 15 139 163 210 132 165 180 26 161 105 27 157 177 173 240 97 57 112 154 100 78 83 94 53 10 200 248 207 115 143 115 206 57 103 24 157 150 20 214 106 163 134 53 41 115 3 202 84 59 48 91 121 47 53 172 106 85 57 142 14 231 19 149 83 66 106 150 250 25 93 240 94 115 225 122 20 172 202 17 237 236 126 204 57 41 3 83 166 113 140 158 157 98 12 121 71 142 127 174 44 247 236 124 101 83 154 126 206 41 77 191 164 203 127 182 52 218 86 193 120 151 145 246 111 10 137 142 71 205 230 134 244 117 216 250 87 170 114 113 62 149 121 32 20 163 43 46 223 23 109 226 77 116 33 107 232 221 87 149 201 126 104 221 43 139 94 118 116 229 103 232 120 238 224 192 171 197 1 218 160 166 15 237 251 241 79 59 45 227 205 153 83 242 91 202 163 43 192 96 168 217 185 179 166 106 195 134 5 145 32 142 1 244 125 233 163 74 58 23 151 66 73 164 17 98 38 72 232 217 15 196 58 56 25 203 224 40 122 221 227 16 156 44 240 203 244 68 89 212 16 110 64 113 118 146 53 132 16 218 2 173 91 16 170 11 81 82 11 89 220 177 128 185 71 9 236 6 20 163 132 174 230 146 146 189 112 85 196 253 68 135 194 38 212 152 23 53 129 134 80 115 2 167 26 11 96 40 194 177 19 101 116 163 252 126 88 153 26 190 77 33 212 171 41 123 43 150 105 35 2 122 243 47 127 249 203 53 224 97 13 163 125 212 105 202 102 86 143 75 117 177 136 240 92 121 206 119 248 5 18 34 228 83 221 187 119 247 81 176 130 245 167 76 153 210 141 197 68 18 240 117 8 240 42 222 67 29 248 26 177 212 182 163 144 26 158 120 226 9 150 165 216 80 105 53 244 100 168 95 8 156 148 142 148 68 15 44 163 174 172 24 78 75 160 243 219 73 62 165 73 1 166 224 101 6 5 160 242 245 51 121 135 47 186 82 148 199 141 18 13 89 20 162 240 232 61 112 239 152 199 166 70 11 87 161 24 211 240 92 105 58 20 66 56 141 94 124 225 73 199 22 143 4 187 112 187 186 38 125 162 45 94 22 96 10 62 59 222 176 210 209 218 69 53 138 45 224 61 10 183 202 15 80 246 53 212 223 71 49 11 143 195 75 48 194 163 0 206 151 162 20 15 5 23 43 76 193 10 135 112 251 125 250 192 156 58 20 237 43 92 177 1 253 88 119 105 241 141 247 35 139 151 40 207 39 44 120 213 79 206 241 38 141 229 104 239 18 107 220 209 155 79 135 112 38 157 242 230 126 212 149 105 131 32 37 11 20 11 93 35 39 82 50 74 223 203 41 141 182 22 80 150 227 155 202 146 115 207 242 147 229 187 112 146 6 151 199 50 198 121 93 56 231 67 67 50 79 46 94 1 104 48 250 4 211 125 208 232 163 153 170 253 6 250 114 114 194 114 52 158 180 201 116 240 30 172 238 118 88 67 144 93 152 78 103 207 91 191 98 241 98 72 204 13 1 31 188 162 59 48 119 112 96 111 14 232 251 208 183 209 183 239 132 254 173 85 205 95 100 220 110 44 95 19 178 163 240 119 237 48 232 163 98 88 132 239 211 239 132 16 120 158 1 167 197 27 87 189 244 109 151 46 95 48 197 148 164 210 124 132 184 172 52 237 171 51 33 73 156 62 248 238 199 30 123 108 47 134 255 90 176 132 82 111 120 195 27 234 17 176 59 176 142 100 9 52 18 102 13 166 57 229 201 245 196 101 9 240 172 159 125 100 9 159 160 197 203 79 10 10 163 65 2 156 250 251 40 11 7 231 132 163 4 131 131 87 88 184 93 79 58 3 237 154 103 20 255 164 148 93 153 133 202 119 56 132 95 206 202 149 160 215 67 44 228 93 126 69 57 129 164 178 210 88 126 105 9 91 20 154 9 121 1 32 232 125 148 148 167 225 100 172 31 241 193 112 41 13 151 70 209 75 56 135 177 160 87 92 62 13 238 57 133 213 150 146 165 73 167 32 96 24 208 67 184 203 18 11 80 64 90 85 105 86 55 252 17 140 230 124 45 31 190 234 41 231 232 118 126 126 156 1 197 127 124 148 162 110 210 112 101 203 151 194 147 98 178 203 131 121 7 142 127 46 95 178 28 23 39 223 120 136 159 146 82 210 251 19 173 74 232 49 177 182 211 164 41 189 199 47 123 110 251 203 79 254 126 249 214 29 26 201 68 79 41 13 231 124 227 151 234 173 246 175 159 18 229 83 111 71 131 131 149 239 126 2 75 198 39 249 174 176 209 128 159 31 86 190 36 172 112 232 185 24 94 23 239 104 81 126 197 57 126 184 103 197 37 93 254 179 165 193 159 130 241 74 20 3 228 1 18 244 28 48 230 92 102 163 111 228 165 143 230 81 223 129 107 239 2 125 117 29 235 168 152 81 166 211 24 44 200 164 91 47 88 191 226 229 69 144 218 161 40 95 221 183 240 31 95 154 190 15 247 253 244 26 56 246 119 126 58 243 38 237 123 110 151 227 19 227 96 150 47 164 67 255 207 27 215 44 124 50 153 55 41 40 92 188 125 144 60 180 17 38 88 72 105 9 59 230 150 180 178 81 67 161 162 194 193 40 175 83 88 18 214 22 47 171 17 197 225 172 70 193 72 16 148 250 9 38 233 28 45 230 59 11 0 5 100 74 83 128 48 71 105 109 156 20 133 248 150 232 253 59 1 228 56 151 79 67 155 252 137 7 225 78 73 89 210 81 144 178 146 5 98 229 233 89 101 160 0 53 76 234 240 37 178 90 80 241 190 44 22 193 234 167 88 249 177 194 183 103 131 220 211 121 16 239 146 248 172 238 49 140 172 51 241 223 30 69 15 229 43 44 152 100 158 74 195 134 39 254 227 104 145 162 180 247 231 234 138 162 119 105 14 62 137 95 113 249 233 14 206 209 110 126 143 17 61 210 91 150 108 9 63 240 163 19 79 99 111 104 246 150 43 30 253 27 139 80 233 252 56 112 243 11 225 74 198 185 176 252 98 97 33 114 105 10 59 58 92 216 249 201 120 197 201 41 46 223 21 42 203 225 119 105 206 119 121 243 159 21 239 242 56 152 156 239 62 242 92 68 34 96 141 7 128 222 131 198 93 200 106 170 223 242 172 197 87 234 120 105 4 225 159 235 164 40 253 52 138 50 59 123 203 234 151 206 128 46 221 77 155 19 90 255 92 226 58 74 255 79 224 0 205 205 166 32 122 14 24 123 14 93 201 63 242 9 75 126 169 3 89 232 91 206 103 9 167 178 248 213 44 242 248 206 230 53 11 175 204 79 212 179 19 18 249 200 92 188 10 115 105 46 172 231 148 230 13 133 64 194 94 150 142 194 18 216 132 229 39 133 129 19 22 46 206 61 43 139 83 90 10 187 116 133 147 206 209 146 239 11 198 209 150 132 79 134 29 78 87 166 243 5 147 159 150 204 151 196 91 172 92 7 35 223 225 74 226 80 88 241 201 244 82 112 74 75 166 59 252 194 227 194 206 119 113 201 103 151 215 249 130 113 97 249 46 156 140 207 15 235 217 225 116 190 226 242 93 27 92 195 134 121 254 160 137 99 171 30 185 107 161 27 26 117 240 57 28 24 168 105 214 197 120 231 127 108 124 175 209 167 244 189 125 199 166 230 47 255 232 242 71 30 210 40 65 220 225 114 121 156 159 44 35 63 206 165 21 242 93 156 203 35 223 209 225 252 252 56 23 175 188 46 44 24 57 135 207 249 201 56 133 93 27 206 79 79 62 11 78 174 80 156 58 122 5 227 149 1 1 96 150 89 175 65 163 207 226 74 231 59 233 105 213 146 225 95 67 65 138 192 200 33 144 16 84 94 240 5 20 229 151 29 205 46 177 195 183 247 232 218 149 243 29 91 244 156 255 254 237 185 84 187 112 153 255 211 125 215 214 122 12 26 125 84 42 76 221 195 7 211 79 29 53 248 98 58 169 12 127 88 252 150 202 176 8 242 233 76 139 127 154 230 34 157 194 77 230 43 214 19 117 47 205 249 202 147 44 88 243 100 122 214 11 150 53 227 194 102 89 17 151 204 199 163 61 187 56 249 201 112 126 186 158 157 115 13 74 240 46 108 101 198 0 46 78 143 46 236 112 199 32 109 202 114 105 242 93 88 112 201 176 203 151 244 149 94 174 220 36 188 11 39 241 58 28 242 147 97 193 10 183 139 119 188 116 245 113 233 206 119 121 93 186 243 93 126 193 41 236 156 11 59 95 241 201 176 131 115 190 210 28 61 206 87 90 50 172 231 208 27 69 220 98 47 60 255 203 175 31 201 46 152 16 37 185 152 245 94 254 220 185 57 252 202 19 253 208 146 140 227 102 71 28 223 251 205 181 245 153 19 151 61 180 246 89 210 178 85 85 155 85 158 234 92 202 37 105 74 194 41 94 63 185 124 63 138 141 254 186 52 209 226 156 163 45 63 205 61 59 56 231 39 227 21 118 207 206 23 28 31 230 40 240 178 177 180 141 227 200 158 189 156 46 206 156 171 222 110 209 186 251 254 37 214 67 238 61 104 236 184 32 76 223 196 136 144 20 164 242 20 251 110 247 42 37 17 33 26 146 191 68 146 5 37 84 28 79 242 211 202 61 71 219 42 67 239 51 8 171 255 67 72 253 163 144 176 41 132 68 66 206 243 166 82 238 172 66 201 137 184 169 132 103 169 67 161 250 239 147 139 202 178 58 86 146 95 91 160 10 188 183 74 178 70 48 148 39 126 170 126 73 186 43 194 169 188 90 197 236 121 115 212 62 68 74 69 249 74 81 39 140 17 61 165 160 246 59 45 159 206 3 66 123 33 170 226 250 88 18 39 73 93 197 118 131 126 12 179 86 218 129 212 25 43 140 200 4 156 5 22 126 98 195 134 133 82 144 234 144 238 213 190 220 199 166 138 137 129 73 167 56 189 32 125 60 114 174 242 14 46 233 187 112 4 25 253 117 240 46 78 207 46 46 233 187 176 131 203 247 149 46 252 14 46 89 150 194 46 45 25 239 96 133 171 80 216 197 57 95 112 114 201 103 135 207 213 191 88 186 139 119 240 122 118 46 137 47 63 206 193 59 24 231 11 78 225 228 179 96 245 115 113 206 39 42 23 175 56 135 83 241 73 24 23 118 48 238 57 31 78 207 201 114 92 216 249 123 224 81 134 222 92 47 139 82 76 85 119 170 186 160 97 221 174 95 147 24 206 173 21 72 174 236 168 188 81 94 106 221 243 54 167 237 101 106 82 167 55 115 74 65 167 62 157 12 142 67 108 212 198 138 42 10 1 225 28 221 46 108 145 113 124 126 156 75 43 228 23 170 119 146 103 201 112 50 127 161 124 201 116 23 230 3 93 236 194 206 79 230 117 113 101 125 247 193 74 80 246 232 239 221 192 62 91 55 7 233 230 195 203 226 0 64 101 187 242 53 61 64 253 244 191 64 53 233 124 199 114 88 239 66 0 5 128 136 45 236 216 86 27 210 43 79 179 248 33 184 2 144 203 37 108 84 158 36 100 225 44 34 195 210 203 189 251 98 217 219 21 191 47 101 197 121 138 210 95 136 0 229 33 222 120 71 213 85 183 156 208 101 203 81 93 99 99 231 76 99 186 181 174 54 203 62 48 92 144 201 114 231 77 166 161 42 155 110 132 133 41 46 229 217 181 117 235 48 29 9 40 97 175 159 57 208 58 57 36 150 182 139 38 33 72 212 37 71 79 132 249 213 249 235 232 135 244 3 249 190 109 158 190 199 160 49 31 133 61 239 70 65 138 47 149 124 31 130 83 155 21 39 175 220 178 230 165 191 65 95 209 109 76 154 219 208 92 153 94 170 50 230 127 24 138 211 207 185 228 7 228 226 147 121 242 241 56 24 229 119 97 231 39 227 28 254 100 90 50 221 149 145 143 63 9 147 159 55 153 150 12 231 195 229 63 11 86 206 197 39 95 106 62 29 130 115 52 57 120 197 149 114 14 206 249 130 77 134 29 62 87 150 210 92 186 226 92 188 242 201 37 211 29 92 148 178 39 95 254 115 62 156 75 151 159 159 230 240 187 114 45 125 60 116 204 5 248 172 47 157 246 49 188 35 126 112 197 99 55 120 147 160 237 233 189 243 143 231 204 23 96 195 15 255 252 228 225 236 21 61 27 248 230 140 14 148 69 70 112 254 130 240 186 118 149 95 54 73 57 151 159 150 255 156 3 140 3 249 233 142 254 82 112 249 121 242 97 75 61 7 189 6 140 30 139 4 122 51 95 19 195 206 241 166 216 66 57 248 152 89 81 87 11 220 236 205 171 23 62 148 15 162 239 145 207 210 218 93 207 1 171 174 103 36 243 92 30 245 92 137 0 112 232 84 23 161 162 222 28 6 16 41 193 103 9 45 37 97 53 111 73 203 118 217 244 40 229 22 50 68 229 79 2 126 34 194 70 189 105 130 86 190 19 204 14 103 41 31 33 99 36 191 3 107 242 251 91 86 45 250 7 192 226 121 81 158 74 246 244 25 52 110 44 91 175 143 10 82 33 123 163 139 85 143 227 16 57 176 137 201 206 245 91 199 13 120 40 156 61 59 167 60 74 17 228 210 196 3 149 213 179 255 168 9 156 161 52 62 155 50 5 68 114 126 121 145 254 72 135 41 138 75 61 78 150 229 46 175 195 85 204 23 156 231 77 150 160 21 109 86 231 1 28 13 184 155 163 1 217 77 125 20 4 140 230 218 134 33 94 85 200 193 148 233 222 208 80 103 184 252 244 48 206 146 218 220 146 14 54 131 33 237 103 170 215 247 28 176 122 85 207 65 99 215 176 130 225 121 54 129 191 48 160 79 205 211 224 205 77 101 84 74 147 163 213 193 119 29 124 104 175 170 48 123 52 59 148 89 9 160 69 95 249 245 119 57 218 227 131 38 164 173 115 172 9 189 176 117 126 171 45 38 211 109 236 28 112 210 218 88 147 13 86 174 91 183 100 29 244 91 227 112 180 180 167 132 66 176 224 49 165 198 55 55 158 54 251 89 113 31 166 139 239 149 180 217 44 43 179 51 172 123 251 213 150 53 11 127 30 227 55 250 10 149 229 44 73 151 230 26 180 26 183 115 202 156 124 22 140 158 93 156 203 227 224 157 175 244 100 90 177 176 131 47 229 187 188 206 23 172 43 191 84 190 100 90 50 111 50 190 92 56 153 207 133 93 221 242 105 80 122 126 156 195 239 210 28 14 23 159 132 87 154 75 119 240 130 75 198 21 203 167 120 71 151 131 41 228 59 92 46 205 61 171 113 185 112 190 47 188 185 70 52 233 242 73 169 167 127 248 116 246 35 63 57 169 31 135 74 92 197 245 100 159 80 222 201 231 79 246 230 60 61 39 191 189 144 23 149 234 205 13 51 181 85 195 65 44 237 145 233 50 168 118 40 145 27 107 106 198 83 238 92 149 231 202 36 184 79 206 229 119 126 62 18 23 175 186 36 157 158 139 165 37 225 242 195 202 163 159 229 239 221 251 144 126 152 78 191 73 167 170 14 143 229 65 62 252 158 103 78 13 98 107 47 135 63 52 247 37 242 33 9 14 37 34 72 28 29 122 23 89 4 229 201 160 255 8 9 74 110 143 147 180 231 198 107 41 199 112 62 199 220 254 0 174 255 149 211 175 86 239 92 187 120 99 162 156 28 78 9 80 186 214 71 164 131 236 105 148 201 225 4 126 109 12 103 180 229 0 139 7 4 135 30 75 117 134 43 26 27 149 146 44 232 84 95 71 3 39 29 126 139 27 222 207 230 154 50 218 13 39 24 22 116 72 96 78 180 64 153 60 215 127 193 202 51 1 217 0 10 155 171 45 8 158 136 116 101 245 234 53 186 43 135 254 254 152 230 119 92 84 150 132 105 174 73 199 57 162 215 160 19 66 208 33 223 37 242 35 9 84 69 131 64 59 43 164 117 56 71 3 110 107 172 58 157 86 241 118 214 143 156 68 87 176 63 253 14 235 10 82 233 24 135 29 18 24 133 45 206 231 104 40 175 167 34 120 101 195 249 171 222 13 79 192 177 13 122 245 230 150 213 172 106 190 59 76 251 183 109 89 185 240 57 241 142 244 138 234 31 21 18 253 69 43 124 159 69 240 83 97 36 132 168 128 252 250 39 161 43 13 131 198 214 35 226 211 241 226 61 113 46 50 21 128 68 78 211 110 110 201 164 183 245 24 56 118 19 169 119 178 230 241 118 72 95 10 237 60 182 105 239 149 22 102 112 202 15 30 141 84 164 123 12 24 205 52 68 170 63 223 156 58 39 249 250 172 16 94 242 49 15 25 100 159 168 13 131 79 10 0 60 37 121 105 72 99 166 27 225 49 86 247 54 147 113 74 114 241 242 147 105 201 112 140 194 96 29 188 139 43 230 151 131 43 134 191 24 190 74 227 203 149 43 60 165 202 46 148 191 80 156 163 167 80 154 226 84 134 75 115 190 242 184 112 57 26 92 186 131 87 222 66 46 63 61 122 158 74 249 179 114 195 66 14 87 50 127 50 159 143 130 12 166 78 31 95 87 219 171 230 27 213 117 233 129 219 215 181 62 1 112 184 99 245 14 39 228 146 240 97 237 73 181 26 154 13 211 233 96 4 103 161 34 127 8 86 103 6 147 231 25 239 48 254 202 36 109 191 115 101 56 191 82 12 249 240 201 103 133 11 213 223 225 78 194 186 56 193 135 65 186 234 16 222 214 136 32 107 135 69 169 215 239 120 225 224 146 62 119 160 133 12 76 135 203 227 72 125 244 38 177 156 0 176 120 230 248 244 65 147 20 41 189 36 134 226 97 19 30 224 107 66 6 126 49 172 109 254 225 150 165 75 163 229 208 174 48 89 144 222 36 232 227 180 120 143 211 243 189 167 185 6 52 212 94 223 7 245 235 221 127 204 221 168 171 47 82 246 27 41 91 116 149 170 75 140 213 60 199 159 139 252 99 142 153 6 78 86 190 238 81 136 9 64 227 89 175 193 163 105 3 169 147 226 102 174 184 162 206 50 120 225 150 94 189 106 108 57 55 128 174 172 162 121 226 4 209 158 13 107 211 135 195 243 137 97 188 192 188 68 166 136 142 84 248 74 12 19 21 93 32 131 234 70 116 36 176 143 57 166 170 199 234 237 239 243 252 106 157 155 123 26 188 179 28 122 173 188 62 189 63 209 155 228 99 84 78 4 165 84 171 79 84 41 148 88 244 12 188 223 157 98 186 131 243 48 246 40 92 218 107 208 216 95 116 74 237 250 2 188 221 77 124 73 225 46 212 14 166 123 255 177 35 232 155 157 34 221 72 94 21 147 40 223 136 56 0 127 252 46 109 176 82 2 255 123 67 195 72 144 31 203 174 181 25 189 7 143 185 140 226 127 166 194 136 23 239 162 42 43 162 114 39 62 102 81 144 255 77 71 100 114 252 233 84 98 22 107 37 107 154 133 58 235 145 118 151 175 89 183 72 157 45 215 193 41 90 122 242 165 21 2 82 5 244 211 135 146 95 25 151 230 210 29 76 50 190 16 78 23 231 224 10 229 115 105 206 23 76 33 56 135 171 82 223 225 147 95 8 95 50 221 133 93 217 197 224 43 41 91 184 228 28 78 231 23 194 29 65 182 133 205 47 59 9 83 8 111 33 252 249 56 140 166 169 145 130 12 223 245 139 179 234 62 124 235 148 33 70 163 236 128 182 229 59 124 33 86 164 62 174 240 144 137 253 207 99 1 206 219 152 95 124 58 147 77 109 81 134 46 47 61 109 56 21 78 186 46 3 37 140 25 148 225 78 107 20 100 88 211 41 227 101 170 124 149 18 212 246 176 69 45 142 15 130 115 97 71 175 123 46 148 86 176 188 100 217 251 16 54 90 201 87 200 47 128 78 150 176 42 231 31 193 103 223 57 6 208 9 62 234 128 22 250 233 99 198 74 227 24 199 172 111 231 159 122 222 228 228 119 104 225 94 3 198 189 5 56 41 41 188 138 199 197 180 90 143 85 166 225 106 242 157 189 121 205 130 235 164 32 37 8 226 159 108 36 19 234 97 248 84 139 142 182 139 252 200 50 113 48 27 215 190 244 248 136 129 93 46 2 199 159 192 39 122 36 228 43 113 194 45 206 13 236 177 102 231 177 113 6 181 151 130 206 15 124 193 232 148 44 165 23 226 119 20 199 49 205 146 182 208 183 92 167 128 137 206 202 133 235 228 168 252 192 134 146 235 208 16 178 56 228 138 150 103 244 248 222 188 8 172 240 95 71 3 176 65 15 182 230 244 88 189 227 65 88 255 3 246 141 158 102 200 209 140 36 57 229 168 119 174 182 32 94 186 159 232 74 254 92 188 252 4 188 206 80 118 184 252 62 12 189 127 178 33 232 244 211 232 104 66 219 110 35 248 178 46 29 102 251 83 225 106 112 57 216 162 245 7 96 31 211 120 145 86 128 10 225 71 24 254 24 31 84 7 94 32 22 156 127 75 175 65 99 46 117 68 180 215 143 249 158 237 51 112 220 49 176 239 122 163 52 146 25 226 101 41 167 58 113 23 7 111 200 243 191 186 101 221 194 231 28 174 82 153 148 150 99 112 5 141 46 159 113 133 112 39 97 148 158 124 118 225 164 208 83 92 123 156 195 225 252 124 92 46 62 233 11 70 207 206 119 105 237 41 215 193 186 188 73 63 73 67 177 112 18 62 25 78 226 77 134 5 147 239 92 62 197 43 156 95 31 151 158 244 243 113 180 125 70 65 206 98 193 224 229 55 79 170 237 219 37 251 223 58 154 182 45 192 222 79 78 225 113 58 226 133 25 93 77 226 135 58 239 79 39 242 120 156 162 163 178 247 118 115 162 40 142 189 125 153 16 11 20 236 249 232 43 190 119 114 55 13 219 78 158 156 107 135 249 249 147 207 201 112 132 176 244 95 193 187 60 201 112 233 92 237 78 181 21 170 84 201 63 38 210 39 198 195 82 31 172 134 202 84 202 18 132 234 226 168 184 57 122 151 174 103 109 10 41 76 133 178 228 20 93 169 130 98 168 211 86 235 109 72 5 222 197 91 214 44 154 35 33 192 79 214 6 130 202 126 18 90 142 39 194 157 115 68 199 2 13 193 59 97 66 53 39 101 181 64 208 181 68 211 38 100 121 90 123 203 193 23 9 64 176 198 217 252 110 64 79 140 96 38 231 100 76 34 143 49 128 229 133 227 68 51 241 162 73 112 138 207 255 41 181 10 234 16 187 254 227 164 87 236 192 13 174 57 198 63 198 79 199 82 31 242 218 190 234 252 50 220 115 188 62 35 156 199 45 52 79 21 43 72 120 197 79 165 247 26 56 238 42 30 238 128 205 39 99 116 59 197 168 36 241 76 63 225 222 31 39 190 196 184 224 2 86 41 175 245 109 61 6 172 190 133 139 32 80 122 209 190 212 226 5 196 252 247 211 67 168 127 15 224 196 107 87 223 131 225 139 222 228 207 241 193 230 191 245 14 104 33 63 232 53 232 208 19 161 221 134 141 139 211 222 54 37 201 119 134 98 62 7 207 117 65 176 222 131 202 43 229 172 206 106 14 176 235 218 77 171 23 124 75 184 200 96 223 93 169 140 74 107 131 92 68 151 201 160 116 7 227 194 197 252 98 66 188 76 17 251 148 92 140 134 36 173 251 132 184 29 153 92 89 202 82 40 156 140 43 132 86 233 229 96 28 238 74 224 10 149 177 39 46 178 32 237 185 107 255 110 95 231 179 159 244 131 247 60 184 122 250 116 162 102 89 227 113 244 228 124 174 81 243 231 76 159 147 253 232 175 38 15 2 234 168 86 187 104 209 171 169 110 182 97 214 144 149 174 57 88 210 115 97 14 162 80 152 6 106 10 164 186 165 177 213 195 170 28 83 215 191 250 67 138 223 79 151 43 7 60 201 176 67 107 101 199 15 201 244 82 225 98 121 21 159 204 103 31 90 183 161 67 187 51 138 55 65 21 196 41 174 148 211 210 115 165 47 220 178 122 222 114 190 213 196 144 217 100 9 20 4 239 216 203 232 241 106 110 83 8 45 78 241 37 28 223 154 225 217 200 68 228 27 57 49 228 137 216 210 144 114 172 72 16 36 113 135 145 181 150 218 188 106 193 35 212 246 230 136 220 36 68 137 48 247 0 216 94 110 63 28 82 8 74 194 9 154 76 193 192 202 51 99 94 196 207 133 114 40 78 252 10 183 251 233 172 155 231 52 70 23 131 78 198 75 166 73 233 131 99 104 244 126 202 213 134 178 66 111 93 125 170 43 199 64 153 107 83 86 252 190 194 190 67 70 141 234 57 112 236 47 33 237 70 160 168 147 205 137 57 133 16 103 61 224 158 41 31 20 101 43 29 172 119 174 217 220 252 245 184 132 18 109 46 234 36 208 169 61 129 166 38 112 241 186 4 124 140 241 224 120 220 250 71 123 100 243 62 222 228 125 40 194 232 238 57 104 220 167 185 208 66 35 29 106 219 21 124 31 234 72 216 189 70 51 89 40 247 57 87 174 218 134 11 151 242 219 40 73 1 86 152 81 200 43 42 160 84 225 121 105 14 167 243 149 156 12 59 240 131 93 174 43 51 223 119 229 31 104 63 191 156 114 245 43 4 159 204 147 12 39 105 77 198 135 83 109 109 133 23 92 253 251 83 143 131 203 239 163 185 220 46 224 57 109 135 254 146 249 189 13 227 55 88 35 173 170 247 78 98 46 114 108 107 35 223 91 96 86 70 27 184 252 135 241 227 103 25 205 126 149 247 34 34 106 121 138 201 17 53 79 6 242 190 116 205 29 147 39 206 153 227 101 153 227 148 69 225 92 27 90 93 36 126 126 124 242 57 1 182 223 65 225 117 184 243 195 73 228 198 143 112 119 85 47 230 186 134 199 223 220 94 223 84 50 3 97 245 168 245 95 243 184 114 134 35 82 30 209 205 30 124 249 151 196 209 101 148 71 132 192 144 192 88 112 252 207 134 213 11 158 138 20 228 236 178 163 2 123 114 23 12 69 117 243 2 183 129 81 245 114 60 41 152 193 34 117 215 55 96 144 51 64 207 26 210 85 221 242 51 116 63 228 144 30 80 220 37 198 184 87 122 2 94 203 64 228 52 143 187 42 142 47 79 71 4 104 57 235 55 54 118 135 223 199 193 117 197 150 42 43 234 192 164 188 121 107 215 62 215 16 189 19 181 212 200 241 108 29 26 157 29 221 218 154 190 145 199 119 198 242 82 194 58 217 126 93 150 131 225 139 126 91 123 4 97 151 51 47 119 42 52 104 20 97 175 118 23 211 27 246 233 51 142 249 14 255 117 26 1 85 222 131 65 84 59 112 98 202 235 159 230 109 109 216 92 180 151 122 39 134 218 193 246 30 56 230 80 78 199 249 88 252 46 43 41 86 150 183 134 231 95 73 251 217 235 148 1 92 122 143 185 247 90 14 73 65 134 9 129 92 185 204 164 11 38 249 171 32 139 129 36 243 184 112 126 94 197 59 231 96 92 92 242 57 63 172 60 14 46 25 206 135 115 207 174 140 114 190 131 47 231 23 194 163 60 206 229 231 119 241 73 63 9 95 73 188 96 28 222 100 216 197 57 124 246 204 60 100 138 155 55 130 171 110 159 124 136 151 202 252 134 12 27 179 91 131 71 149 177 207 220 57 14 86 143 73 103 86 164 34 24 211 63 205 190 55 154 54 202 161 121 75 67 117 177 60 150 31 235 52 244 166 123 254 183 46 158 195 81 76 254 173 233 42 134 61 184 233 171 170 134 41 130 84 234 91 239 189 101 114 205 172 233 115 91 38 79 159 172 246 232 112 25 173 134 160 112 221 226 164 127 190 151 206 100 142 79 165 50 156 150 96 22 82 169 15 94 117 146 37 213 10 144 83 146 174 190 150 175 71 255 49 103 17 224 120 55 179 34 43 17 188 90 173 199 71 31 220 179 105 213 130 159 68 220 136 173 135 253 99 141 209 21 86 55 63 15 238 185 177 28 115 180 150 198 44 168 192 27 170 123 46 11 0 154 204 241 91 171 135 1 54 38 22 51 5 229 144 203 107 34 213 243 22 108 90 181 120 133 139 107 143 95 155 201 176 155 215 31 168 158 73 9 167 68 132 41 138 36 244 31 139 224 34 203 94 97 234 175 247 102 90 102 119 88 255 5 34 206 227 209 33 44 73 127 132 235 128 254 165 60 218 80 42 211 137 161 237 55 198 152 29 45 201 130 172 77 53 215 166 250 19 121 116 204 107 139 75 2 189 202 97 202 151 138 11 7 212 247 31 101 43 122 41 191 36 77 49 239 179 90 161 76 47 230 7 52 247 1 188 75 117 32 203 241 93 157 30 189 83 173 78 251 192 134 213 139 159 6 151 117 116 218 83 231 146 133 192 212 66 140 47 133 95 240 149 252 74 225 216 223 52 71 179 163 67 248 92 220 254 226 110 147 191 223 213 127 238 52 108 250 92 132 99 27 231 202 77 250 2 112 207 109 128 75 60 36 225 147 225 18 89 202 39 161 176 52 15 25 160 144 210 153 186 244 77 93 122 85 15 161 31 247 120 118 199 74 221 152 226 197 67 166 123 35 154 158 136 242 253 206 214 204 37 50 66 127 64 255 190 129 93 53 197 73 59 69 27 251 212 185 58 85 133 177 158 86 255 103 44 246 89 137 162 172 110 105 202 182 86 213 166 79 237 221 51 117 235 212 111 158 80 171 161 92 230 71 43 81 12 9 98 246 10 22 165 97 47 200 253 143 48 161 201 30 49 125 180 14 155 123 87 197 124 193 101 189 140 191 210 101 136 125 67 128 61 112 73 108 20 228 16 230 193 37 31 129 65 8 4 129 230 15 191 162 132 248 148 158 74 242 38 241 20 10 27 142 109 175 140 208 126 74 22 177 24 91 43 193 11 32 7 212 249 94 215 221 85 89 221 88 35 183 247 59 9 82 135 51 100 232 230 148 246 78 143 242 237 249 27 122 15 25 162 72 89 85 66 71 46 111 107 54 60 37 46 64 249 138 149 37 243 87 154 112 125 152 10 94 140 50 207 137 222 111 244 96 249 24 10 191 28 184 255 137 69 74 41 124 185 242 227 128 96 37 216 245 147 149 239 126 122 78 150 195 99 69 78 227 135 250 254 206 244 217 118 34 89 45 242 243 114 26 159 210 65 139 230 126 163 99 62 138 215 63 47 235 65 123 84 103 3 228 169 177 213 236 33 141 75 201 167 59 87 184 234 164 186 41 34 172 77 93 139 130 60 5 165 39 158 85 48 204 26 161 97 42 228 155 204 67 222 11 170 118 43 72 97 40 169 36 5 32 2 229 20 238 112 17 7 198 124 109 225 196 177 55 44 123 184 123 191 113 219 107 235 235 215 140 189 126 217 186 209 215 45 209 158 170 162 47 123 95 120 23 113 158 238 234 1 228 255 220 195 34 101 53 233 136 244 121 188 221 179 155 25 50 229 91 91 247 157 43 23 219 102 101 148 104 121 199 183 73 131 67 225 105 231 67 234 232 234 186 206 81 99 199 68 45 230 100 185 74 65 223 248 230 251 151 2 243 115 230 36 5 234 163 48 179 181 157 171 222 116 200 200 78 183 203 162 252 225 7 158 110 149 165 43 216 98 184 138 196 59 248 232 131 138 121 22 243 176 160 87 4 79 165 209 42 47 250 46 2 239 228 56 147 190 39 197 23 253 153 2 12 189 149 117 74 250 196 90 0 0 32 0 73 68 65 84 65 253 226 56 143 9 55 17 216 109 200 132 158 32 124 131 67 27 167 151 242 148 87 95 241 29 154 63 36 140 64 153 41 1 114 192 156 134 75 65 182 182 189 111 3 193 212 154 202 52 20 18 254 22 199 80 251 136 118 212 147 246 230 45 137 43 37 222 86 234 162 247 227 123 108 51 177 108 133 232 113 184 108 24 144 63 219 59 133 185 14 140 229 135 173 26 174 11 122 12 30 123 4 17 223 137 51 136 207 101 229 39 48 194 33 30 234 245 176 144 138 150 207 176 67 238 199 51 41 194 35 124 17 189 4 42 112 177 178 241 142 232 214 156 57 44 134 47 200 27 180 255 176 24 113 165 248 197 167 66 63 209 184 191 63 225 213 10 101 182 109 250 23 16 150 142 97 52 100 47 5 175 36 57 227 49 219 133 78 128 162 119 198 198 123 193 122 70 224 185 191 28 24 64 43 11 195 123 91 210 41 247 206 42 173 127 14 137 2 149 188 100 203 160 143 56 223 181 193 244 31 242 48 232 51 143 247 244 211 53 247 49 4 116 34 175 213 248 199 251 237 147 78 165 191 61 246 235 75 46 221 95 54 36 121 156 196 149 140 119 225 100 122 165 225 89 151 204 10 62 250 237 115 170 25 160 123 127 166 154 217 65 148 21 146 118 141 112 78 159 109 39 134 152 82 118 101 228 252 105 81 127 105 250 204 201 157 145 55 83 88 199 199 23 205 96 43 35 78 169 140 167 67 133 195 241 243 198 231 192 11 5 68 163 226 201 240 19 148 227 146 234 78 25 230 231 188 160 113 103 75 182 166 83 250 194 222 61 82 183 125 124 230 148 129 178 116 81 146 161 148 37 139 133 74 43 76 154 253 244 112 186 4 134 209 253 241 153 39 184 77 240 81 89 37 24 83 136 198 74 227 226 170 232 163 227 131 245 135 139 27 252 151 0 41 36 92 114 113 170 62 128 191 95 181 234 169 93 4 156 179 143 62 211 218 252 62 89 230 17 76 89 181 36 68 236 85 215 91 240 127 16 35 170 248 123 118 5 87 232 183 27 47 202 38 19 180 118 110 147 79 130 80 252 141 124 111 140 88 134 43 39 240 208 183 52 146 48 88 24 211 90 14 62 66 26 151 165 185 79 54 207 15 139 243 150 247 66 111 245 170 85 11 55 182 165 53 90 104 228 103 189 255 65 159 85 211 171 212 123 174 196 146 209 123 151 94 204 88 53 195 240 37 242 62 197 41 58 15 224 63 72 139 157 67 205 158 167 114 171 5 36 53 10 188 242 180 199 177 231 39 197 118 136 226 142 173 54 39 197 67 214 21 225 134 12 182 10 113 120 67 254 143 19 48 136 218 255 31 60 4 183 94 255 217 58 170 175 24 229 162 131 230 194 161 26 19 134 114 8 194 47 41 187 27 223 142 120 223 166 93 21 200 47 165 171 97 214 23 216 150 253 254 237 43 231 111 138 113 69 45 174 64 134 82 81 188 188 125 119 106 240 46 55 68 84 212 120 29 124 190 159 196 149 159 86 232 121 127 203 115 56 219 91 238 184 235 151 189 147 178 251 186 252 73 159 151 168 147 103 126 154 140 171 36 220 94 26 28 206 100 190 74 249 161 60 215 252 113 202 217 236 87 58 215 107 165 187 191 189 149 145 177 240 5 225 60 108 67 180 10 213 225 79 250 51 102 120 254 180 105 94 184 169 190 46 85 211 220 196 25 157 246 217 103 81 180 25 172 209 55 1 59 203 155 150 204 177 119 120 218 180 48 152 225 205 72 93 127 254 159 151 126 226 119 83 46 104 222 213 114 15 138 114 8 10 179 181 169 33 27 48 71 121 49 29 213 227 174 185 243 244 235 174 187 224 254 255 71 157 80 124 51 77 168 106 120 120 242 169 156 59 0 141 227 167 142 15 231 206 154 107 237 109 166 103 150 147 181 195 79 223 117 214 49 85 153 206 13 148 60 95 178 137 15 202 226 247 166 100 255 99 28 239 241 131 238 3 15 189 212 207 134 131 40 81 139 75 138 124 7 146 245 236 166 76 7 205 157 210 141 185 161 67 81 34 28 230 251 254 201 136 39 228 167 237 229 43 247 109 218 240 32 2 246 249 170 108 213 147 113 141 14 90 125 99 252 149 120 208 32 145 28 174 239 91 219 164 119 33 231 232 18 111 194 30 61 70 116 197 127 189 148 95 25 167 57 37 205 183 46 74 103 82 57 203 187 76 30 151 108 101 165 155 171 7 194 245 250 152 132 34 239 198 178 32 120 69 143 111 239 70 1 126 138 144 64 70 80 143 59 137 119 243 182 232 85 153 229 71 116 73 23 11 234 112 7 59 67 102 130 237 238 76 75 243 99 27 198 15 219 152 60 86 143 75 130 235 131 76 243 16 116 193 229 20 249 95 180 249 62 113 123 40 167 8 34 250 244 145 4 161 230 28 219 56 201 3 225 17 126 108 182 163 219 36 22 126 176 202 147 164 21 209 108 181 9 184 255 207 90 35 31 145 148 38 151 196 135 57 107 190 48 134 40 182 20 143 35 8 237 160 76 101 51 24 122 174 125 148 194 199 91 104 249 32 205 96 36 213 169 164 115 194 183 100 150 127 35 151 19 126 105 195 170 5 116 64 236 89 121 247 201 149 251 16 43 70 10 99 247 106 241 122 81 197 16 20 130 47 6 91 40 126 127 243 23 194 89 73 28 138 208 13 109 20 0 247 199 120 211 103 167 195 105 147 53 188 242 170 186 74 249 49 99 198 140 148 119 100 234 178 170 26 223 207 182 232 149 133 155 25 251 89 41 98 231 161 124 138 17 61 29 5 57 141 196 239 156 115 207 142 171 239 156 114 63 3 70 111 97 95 165 189 117 94 242 241 159 152 117 118 207 111 78 189 119 243 140 25 126 74 202 176 24 158 105 222 52 83 148 223 124 243 131 115 63 113 231 153 231 54 239 202 254 177 186 83 250 16 20 101 11 115 148 82 186 3 179 45 193 183 62 117 231 233 151 93 125 199 148 223 126 234 238 179 110 189 252 143 147 86 221 124 222 236 164 229 165 139 21 114 238 19 119 159 62 40 19 120 215 160 159 6 87 213 86 95 161 132 72 130 228 64 14 90 64 109 28 38 60 77 1 250 85 236 226 124 234 0 72 24 134 253 250 141 224 50 177 42 110 83 183 87 80 78 64 170 28 45 107 79 133 126 246 238 245 235 95 220 41 60 228 45 202 247 138 9 203 3 244 71 143 174 233 17 164 88 224 101 9 69 191 231 68 54 41 111 86 39 121 107 22 45 90 212 164 122 38 210 44 152 174 173 26 157 229 188 216 88 71 238 149 158 128 183 33 80 222 230 203 195 250 117 89 31 199 23 109 163 137 124 4 39 139 98 58 89 41 78 218 241 89 105 107 217 138 149 165 68 222 35 127 82 156 151 218 214 69 229 133 1 139 117 100 60 154 37 83 206 138 212 161 14 25 172 196 23 216 190 254 206 45 43 22 180 193 9 75 12 145 138 225 157 237 196 163 83 231 125 188 207 192 67 127 149 13 131 223 193 191 67 72 208 187 44 215 14 212 35 227 2 12 79 157 14 185 100 253 20 14 179 85 217 137 212 171 79 153 250 43 175 218 147 78 163 121 112 235 154 151 206 230 194 250 90 148 152 213 93 247 202 174 238 212 41 27 242 62 5 120 32 157 107 31 240 33 226 115 140 92 60 34 138 206 201 152 119 80 173 207 196 77 187 44 63 200 110 40 193 246 141 205 107 23 234 238 85 241 97 191 190 139 3 166 36 11 49 46 191 226 133 96 94 107 113 212 169 83 196 247 2 148 51 196 52 208 235 194 158 44 155 131 40 0 240 207 143 106 154 248 16 75 239 195 97 8 142 248 187 241 50 205 126 171 91 96 81 150 64 153 67 215 248 83 92 15 48 133 98 83 63 115 88 186 166 133 198 236 221 84 22 1 0 82 148 151 204 186 36 61 115 234 95 94 192 162 60 183 101 119 246 79 53 157 51 67 91 152 31 101 239 101 11 32 85 88 149 227 193 59 190 105 119 235 123 186 120 221 150 94 115 231 25 243 41 122 17 131 92 207 99 105 217 66 33 246 74 77 225 99 24 137 196 57 21 109 179 3 41 119 230 181 231 252 105 131 20 117 88 66 81 87 66 99 165 48 251 210 198 245 225 38 242 153 96 107 77 103 176 34 83 227 88 132 83 145 112 132 62 230 116 178 89 228 215 3 49 173 134 167 82 186 43 128 19 190 176 231 102 175 38 168 225 252 209 88 163 85 144 79 243 64 106 94 207 70 176 26 194 111 187 29 133 179 134 80 2 82 20 109 228 98 33 212 145 194 229 146 53 29 110 0 219 218 209 17 152 19 9 198 180 63 137 108 26 33 85 199 181 140 188 163 184 172 183 204 17 66 121 38 168 187 115 186 11 43 186 79 164 86 74 42 199 103 41 27 29 37 56 23 5 125 193 150 85 243 151 233 125 163 180 169 239 28 179 102 120 247 57 171 38 74 139 250 116 196 63 141 197 250 125 186 24 95 139 203 114 164 20 243 141 22 134 83 11 41 129 136 206 48 236 10 175 89 101 92 146 118 37 170 174 16 18 252 28 95 248 218 118 74 139 81 176 159 241 148 181 87 35 128 39 122 207 217 225 44 72 242 194 234 171 237 253 85 102 69 98 189 195 251 32 248 53 23 40 127 94 164 137 191 133 202 104 15 217 101 26 77 123 80 117 192 190 22 56 208 146 241 79 174 170 74 141 215 202 82 198 235 51 58 101 167 58 204 148 239 33 234 147 139 155 51 83 177 238 35 87 172 172 191 52 10 238 125 159 189 231 141 191 185 118 90 104 74 170 148 53 41 62 205 156 58 51 27 41 202 7 231 94 125 231 25 231 52 237 106 229 32 111 239 237 172 118 237 142 37 233 65 159 148 37 103 95 251 195 176 90 135 161 52 79 51 37 218 194 114 110 251 106 188 84 231 158 213 117 65 107 224 237 218 214 242 72 202 75 93 242 245 139 238 91 45 75 185 92 217 42 127 127 156 251 240 180 95 110 151 215 249 191 17 82 39 131 175 144 160 106 83 12 138 3 229 30 222 202 71 251 123 213 1 95 243 168 142 151 167 56 254 182 201 84 248 193 122 253 88 42 115 189 154 221 110 131 125 217 242 11 163 42 29 155 170 77 107 142 244 72 126 2 140 4 111 241 44 2 162 94 1 103 170 123 27 34 176 57 73 33 104 249 81 30 199 211 1 18 156 104 46 102 29 40 31 130 27 144 192 139 135 147 35 235 48 194 91 252 111 252 126 34 126 132 172 60 142 200 46 69 187 148 177 230 215 23 55 167 83 47 199 152 37 92 237 221 64 232 123 232 192 116 129 22 61 203 10 44 230 226 225 225 240 21 234 120 222 150 53 82 144 186 19 82 67 152 109 59 10 14 1 101 168 158 26 81 16 222 44 220 184 39 204 6 172 158 245 186 43 158 95 105 186 139 167 27 223 81 182 167 240 17 113 98 81 89 218 173 56 206 86 94 69 0 118 216 93 150 174 109 42 170 164 83 61 122 14 28 199 190 209 128 149 129 190 86 202 151 162 91 184 148 174 122 223 162 149 167 138 144 75 190 187 237 205 85 223 227 249 168 184 157 148 226 187 178 70 10 50 12 150 112 255 200 245 49 46 235 228 40 188 63 174 67 73 238 15 247 94 139 121 131 224 92 173 17 192 249 172 78 165 81 122 189 89 164 58 140 231 127 120 51 230 164 188 105 211 10 10 91 125 4 145 82 155 153 69 178 63 202 85 87 239 99 46 82 246 168 20 164 230 19 143 106 110 110 122 51 120 126 224 86 208 18 46 233 164 40 53 71 121 195 133 247 207 3 240 67 159 188 123 202 205 156 198 195 112 169 63 149 185 202 158 220 46 194 151 132 13 131 28 209 42 92 150 18 120 156 251 202 182 1 228 38 11 134 118 110 106 102 227 124 240 253 235 47 124 240 167 138 19 174 105 69 232 87 250 1 116 18 236 217 6 175 211 56 198 59 111 68 128 242 92 94 158 153 110 15 178 11 200 251 123 126 146 7 185 94 46 53 61 190 152 182 216 155 110 147 127 42 114 251 214 229 203 183 236 157 126 224 98 104 12 39 65 166 93 169 39 154 203 96 54 101 195 11 219 28 100 194 133 49 172 17 27 215 53 18 186 190 247 186 56 77 109 173 88 181 133 75 86 233 86 230 113 227 161 236 216 58 44 67 4 201 38 128 181 90 152 213 48 227 163 119 83 146 118 218 49 89 252 240 201 29 171 22 180 225 39 115 122 253 177 63 47 138 45 187 98 180 230 40 178 246 234 5 55 111 89 179 96 153 134 170 185 95 84 22 44 115 122 101 88 55 126 188 41 201 160 57 219 64 115 218 77 142 238 178 200 43 116 109 144 83 22 122 61 12 122 246 28 217 205 163 115 105 77 179 236 187 211 88 65 184 209 107 244 227 247 54 71 29 184 138 8 208 187 21 157 96 56 42 149 174 186 32 234 91 180 33 169 64 53 244 122 185 9 39 200 142 26 62 124 248 156 165 75 151 54 198 120 196 227 44 87 96 189 133 243 13 47 173 224 221 9 55 237 72 86 127 208 200 118 172 171 54 172 90 244 12 184 196 131 138 149 124 1 2 115 81 101 95 122 14 178 35 240 239 194 129 238 209 202 84 19 78 45 157 186 105 116 216 238 226 96 208 178 116 21 181 96 70 16 126 170 245 1 86 164 190 146 201 72 219 106 168 135 65 26 173 114 13 189 171 62 125 215 148 177 166 252 102 216 92 91 105 132 164 218 28 37 214 31 194 197 255 198 121 15 62 135 194 251 32 11 103 207 105 222 221 250 81 78 244 249 42 22 229 223 25 130 125 57 219 28 204 39 252 50 139 125 110 101 30 243 115 45 187 195 211 82 126 227 148 235 46 136 21 164 44 72 134 113 203 22 120 96 0 140 15 88 175 88 68 105 62 198 160 89 66 137 255 197 126 90 12 65 178 250 23 12 25 71 78 56 76 146 232 20 17 2 99 42 28 98 83 54 91 213 74 224 30 161 66 32 168 199 108 52 233 249 0 57 195 7 218 211 98 124 149 224 143 148 141 231 173 216 178 242 165 120 184 53 22 209 113 93 117 27 5 130 111 104 44 252 74 202 31 49 135 31 11 70 218 125 210 142 145 204 48 201 177 4 42 176 130 169 26 114 158 181 218 143 82 95 172 116 179 254 172 190 45 85 77 199 34 111 7 67 131 158 69 82 49 231 22 25 45 204 180 86 125 91 64 154 195 35 155 222 125 249 31 71 1 90 158 106 187 46 140 133 113 101 217 45 0 218 158 136 10 214 41 47 174 77 166 116 186 138 149 232 169 129 113 187 42 69 187 44 58 77 202 254 125 99 191 212 166 8 85 91 92 113 92 17 111 170 189 71 80 220 35 189 68 125 57 56 223 206 177 45 246 61 232 59 104 13 76 135 133 61 182 236 174 30 24 33 182 213 245 220 238 113 232 48 20 164 206 87 85 180 20 93 41 218 163 172 209 223 47 109 94 181 232 143 177 130 60 96 178 160 195 146 76 178 248 63 35 60 86 74 50 110 117 41 157 191 202 231 48 72 85 159 54 57 58 66 140 6 220 230 99 115 108 153 206 102 11 20 145 87 223 37 181 98 231 54 111 25 123 36 135 182 182 182 154 53 201 34 160 108 109 151 170 177 141 59 90 190 9 252 185 26 242 44 183 136 199 225 149 245 39 188 102 9 162 232 190 121 209 3 79 144 166 95 89 167 50 166 79 215 119 105 243 40 101 225 15 16 64 196 159 144 83 92 34 89 162 239 168 148 192 151 0 69 10 107 145 70 122 78 62 13 204 234 142 227 125 56 193 88 78 32 168 108 225 66 168 249 139 99 92 5 223 87 126 57 149 62 67 170 89 184 186 52 24 243 253 248 72 70 21 110 19 121 56 225 129 44 4 239 78 197 231 9 43 171 23 150 63 10 50 53 36 110 98 165 234 74 157 16 255 92 39 182 101 31 79 218 161 140 17 12 235 90 227 16 57 121 180 186 71 149 195 129 12 217 221 0 198 11 108 230 228 248 201 170 152 183 196 57 21 87 12 135 112 229 210 90 171 154 207 239 217 127 244 206 144 253 144 196 230 112 185 2 11 250 98 91 232 53 165 189 204 187 160 185 155 26 116 18 103 193 60 22 9 88 232 175 200 75 55 90 90 51 217 49 44 167 30 90 1 46 19 8 188 183 37 241 185 189 185 186 228 225 45 242 56 203 226 91 90 178 203 210 233 244 106 106 162 239 162 28 253 246 98 128 29 158 78 251 163 64 176 196 33 167 141 112 137 114 106 16 159 180 20 157 13 123 185 180 2 62 39 15 217 60 228 189 213 65 246 199 113 122 101 60 47 128 172 80 84 169 15 187 16 124 71 220 107 156 3 40 182 137 234 227 81 13 251 16 162 111 49 28 56 99 214 37 102 82 150 18 133 244 72 201 231 251 82 166 168 132 59 178 45 136 119 53 98 9 2 38 42 81 144 2 56 135 45 28 159 118 108 146 133 232 194 229 124 89 130 130 215 188 162 173 194 45 154 151 115 101 88 248 227 148 112 44 4 218 160 151 160 111 19 113 128 30 132 87 229 197 254 137 149 162 141 152 237 205 221 186 118 193 43 113 30 88 21 29 236 128 112 212 188 153 241 191 50 124 134 109 107 170 202 123 184 50 248 118 67 153 92 104 102 81 20 57 181 37 65 8 42 228 39 141 193 15 11 221 160 97 72 24 74 60 5 235 91 157 10 13 67 150 194 105 105 116 4 254 102 133 199 124 87 184 2 103 101 129 253 132 184 136 232 185 112 198 200 138 194 250 205 84 165 157 149 47 197 26 244 239 63 170 47 89 38 199 217 74 225 16 136 19 250 99 97 192 109 116 46 238 164 2 191 231 221 222 81 209 207 243 88 213 234 253 31 2 159 109 38 86 84 41 222 196 36 153 215 236 87 133 203 146 17 132 165 92 248 122 210 103 196 241 229 104 23 52 100 251 47 199 240 26 170 172 32 79 12 29 151 183 125 195 203 75 25 63 154 175 142 9 174 220 80 39 64 178 218 105 106 65 246 56 101 208 188 109 143 1 99 223 195 171 230 206 73 59 242 175 28 15 180 205 70 11 117 230 179 86 255 242 181 107 23 175 231 185 189 180 171 232 146 206 62 134 146 16 29 137 255 86 28 104 109 73 54 190 120 27 136 239 143 223 81 183 193 150 145 207 152 49 189 100 195 212 126 73 99 72 107 230 182 160 53 124 129 69 59 180 110 251 71 188 31 50 4 139 76 240 190 202 98 156 183 200 154 156 14 124 123 20 165 20 177 89 150 54 183 24 41 35 26 126 206 69 47 131 221 147 204 103 10 127 161 151 163 242 218 249 145 23 66 83 44 206 234 223 167 207 248 126 84 140 19 88 42 149 37 8 161 148 247 8 116 37 104 182 131 223 37 159 180 178 85 229 149 83 28 130 65 150 137 229 222 226 141 97 131 155 63 171 148 8 229 175 216 97 9 93 128 160 237 70 105 162 171 156 172 16 13 240 61 216 24 180 166 230 38 11 209 203 115 245 6 136 173 31 70 110 212 142 146 128 5 194 200 80 205 225 202 85 6 31 149 21 142 182 249 64 207 109 178 47 197 31 210 120 55 158 191 115 227 138 133 241 176 229 100 43 171 37 149 57 154 114 233 36 216 43 43 87 255 136 198 61 202 165 34 122 149 41 118 6 79 89 137 246 225 146 138 249 150 37 219 212 18 44 45 12 17 142 168 128 109 226 141 142 54 212 106 86 55 68 94 24 93 145 88 125 107 26 162 198 211 124 194 156 248 147 168 128 95 180 100 120 203 80 212 201 66 173 109 80 196 252 79 92 140 248 80 138 135 164 219 52 195 14 224 62 160 115 125 121 245 154 118 104 7 255 226 146 202 120 21 84 164 12 134 142 228 215 20 7 36 96 247 56 182 244 178 58 52 83 147 26 197 26 213 73 22 63 109 79 106 161 144 20 147 29 8 112 241 159 215 211 184 127 24 195 232 67 195 25 190 44 195 39 148 18 206 252 212 93 167 79 21 252 212 89 154 179 104 91 114 4 95 254 175 62 192 164 43 159 67 163 86 97 40 203 120 198 12 155 91 42 159 101 31 32 178 233 214 83 200 214 173 66 129 111 195 89 28 47 244 138 138 226 99 182 239 142 122 209 147 182 85 141 61 42 196 19 83 74 55 32 12 215 120 43 251 73 121 29 80 7 61 82 104 89 29 78 14 35 143 141 233 170 68 78 112 12 152 14 141 241 254 15 107 217 9 237 184 93 68 36 106 53 48 250 17 171 193 162 219 180 196 2 149 80 27 98 174 59 103 221 148 131 119 40 12 110 71 115 74 83 8 44 242 42 91 150 193 211 102 254 161 122 199 239 195 112 17 119 52 157 23 157 121 218 158 121 49 225 83 161 251 250 171 132 215 162 207 58 75 248 75 234 130 90 41 56 57 171 172 190 23 123 242 189 17 230 199 241 113 56 223 51 107 142 33 206 85 28 118 176 56 78 220 7 69 19 45 170 194 140 251 61 205 122 43 13 65 245 40 139 39 98 146 127 100 207 145 35 187 181 164 171 110 128 223 227 244 30 200 91 110 152 85 77 85 237 237 70 174 191 122 136 176 44 200 114 214 107 126 221 43 122 214 176 71 135 139 57 48 124 198 50 119 8 112 81 158 212 214 155 80 43 154 158 242 234 106 193 83 178 113 44 155 251 100 11 166 208 65 121 161 69 9 139 19 204 202 138 190 37 23 163 33 78 22 142 6 111 34 226 207 76 12 106 53 77 105 55 99 58 48 211 188 170 172 127 123 139 23 124 184 186 46 51 142 133 54 174 97 167 25 206 205 178 250 53 205 86 142 219 176 40 169 234 253 191 21 66 55 60 90 26 249 190 167 70 171 111 195 236 39 102 113 184 64 198 63 170 243 169 222 189 194 166 175 41 39 56 246 29 125 156 51 26 34 229 227 126 29 223 165 86 212 233 93 151 19 108 250 128 145 180 58 40 92 78 56 34 43 146 77 219 53 187 67 230 35 219 233 232 160 52 113 126 65 201 118 214 78 148 14 92 117 201 54 167 179 189 104 38 71 181 67 121 107 51 34 89 221 240 168 89 22 78 137 155 226 104 242 234 135 18 224 158 76 147 225 138 43 230 226 69 48 225 178 116 166 205 66 167 98 240 201 120 195 219 210 18 140 230 181 244 204 169 139 36 196 158 176 8 225 221 4 94 42 8 254 238 162 221 118 13 4 240 24 234 163 104 35 216 165 87 224 151 170 91 5 217 43 5 81 49 225 35 58 76 194 229 136 149 69 192 234 208 241 124 214 163 24 250 86 82 89 122 216 178 178 116 195 134 101 27 28 158 125 240 173 160 77 107 22 205 227 158 205 229 200 148 238 21 140 178 200 132 215 199 211 53 220 157 249 14 101 94 20 141 178 150 253 158 180 221 67 214 239 111 216 15 57 45 166 213 202 223 7 186 203 102 41 247 113 151 69 240 90 7 24 119 221 210 177 135 222 176 252 238 67 111 120 101 115 109 125 106 119 185 31 237 237 237 165 234 92 95 95 191 169 28 142 113 199 29 187 155 242 94 24 119 195 178 75 75 225 58 24 105 8 141 230 182 120 137 225 19 66 80 156 121 205 47 223 208 57 218 66 129 120 40 225 162 97 78 174 173 191 248 254 77 72 198 79 163 32 217 187 200 144 205 30 97 34 5 153 229 40 177 12 218 233 55 215 220 53 229 19 66 167 124 82 100 214 255 43 129 127 95 146 220 246 148 171 238 58 163 95 186 198 255 64 54 237 175 210 220 169 230 54 15 148 130 140 148 109 116 128 56 253 214 163 98 209 83 78 81 201 90 100 5 74 248 114 202 107 125 41 170 155 41 72 227 113 163 87 135 50 10 43 89 129 232 216 98 194 128 205 237 43 168 215 193 232 104 69 194 38 104 25 15 217 61 213 50 40 184 100 123 32 93 22 24 124 246 94 193 152 180 142 137 219 56 239 136 150 79 119 98 56 94 37 115 175 244 1 40 210 15 95 216 212 173 202 9 238 136 174 36 194 130 225 201 70 43 107 173 101 5 214 65 191 120 84 142 126 142 19 78 47 141 208 69 249 101 73 51 49 49 40 238 36 252 43 202 73 117 36 208 131 254 74 209 29 241 127 207 187 226 172 134 35 137 238 25 211 95 170 254 209 74 233 48 184 95 237 9 60 251 180 82 186 237 55 22 62 26 241 178 236 95 232 50 85 90 75 243 121 23 208 58 62 176 92 123 211 105 70 234 156 206 109 77 121 31 81 9 137 186 151 45 112 95 0 254 21 95 254 190 212 99 159 242 12 191 126 89 127 47 157 122 12 46 159 203 103 212 99 159 144 236 83 38 174 31 246 189 9 188 236 159 30 122 253 43 31 221 39 20 251 152 9 155 234 62 205 35 210 18 157 208 73 181 114 106 14 77 109 176 215 37 203 217 169 178 248 202 11 21 190 79 128 124 255 235 23 60 120 23 193 31 179 178 85 153 156 229 32 52 105 134 114 179 44 20 66 120 250 55 112 98 206 207 63 115 215 217 163 52 151 200 103 17 106 200 86 205 91 128 251 227 100 157 58 5 249 233 187 46 236 82 21 122 247 114 226 235 241 223 184 224 47 255 16 125 145 210 223 159 18 246 206 219 99 248 112 246 176 105 168 213 210 202 213 1 40 64 252 112 101 175 78 169 228 82 253 40 95 224 119 133 76 132 89 69 184 34 98 200 9 248 70 61 28 4 1 97 148 160 165 24 89 48 18 35 202 162 146 75 252 21 81 193 179 27 94 177 179 50 11 118 76 128 56 44 241 202 13 121 17 132 116 220 120 123 158 183 193 173 182 108 43 132 11 231 130 23 244 201 108 133 182 134 234 142 139 121 90 24 56 23 107 100 108 197 226 138 59 48 186 122 208 243 26 189 166 190 80 48 137 114 245 88 138 86 165 191 218 78 68 201 146 98 182 56 248 71 92 120 76 227 228 200 231 82 25 228 139 194 102 222 23 33 80 120 176 230 96 119 42 220 135 173 31 109 177 194 254 120 136 52 245 112 204 177 10 219 142 84 163 141 200 68 244 180 69 155 124 162 46 218 179 27 100 169 217 231 183 71 7 209 75 169 151 235 168 38 113 180 59 252 31 173 36 107 253 212 149 124 8 58 217 226 159 231 252 178 131 155 7 148 54 90 161 205 95 80 111 215 128 17 44 94 107 109 125 70 90 238 34 21 38 139 143 244 146 130 65 66 75 139 114 4 159 106 78 125 107 247 246 214 167 216 232 95 197 99 158 162 140 26 112 93 215 204 187 91 195 150 59 63 117 199 233 83 63 60 235 180 250 104 79 99 24 206 178 85 170 51 104 243 165 203 83 57 206 73 24 74 57 186 225 91 41 222 207 222 113 70 175 32 220 249 23 62 183 177 108 81 190 92 176 211 203 44 66 114 248 218 225 71 223 75 75 213 48 120 54 58 22 160 229 190 33 179 212 249 184 87 196 103 153 182 81 32 97 152 81 254 114 56 218 146 200 155 227 165 105 229 41 194 197 230 53 75 190 171 182 153 139 63 137 175 122 175 186 220 22 132 103 198 144 174 157 20 207 104 243 71 84 51 157 186 181 20 16 157 163 83 120 207 2 41 103 1 51 125 11 116 224 63 19 225 155 92 110 126 202 21 107 200 187 14 30 207 98 35 239 16 184 163 248 82 188 137 231 245 252 39 54 213 6 214 233 96 26 211 50 165 50 193 97 176 131 142 51 132 148 198 161 50 156 19 236 171 241 147 197 71 189 130 103 194 186 150 135 227 194 109 196 34 234 36 28 163 111 249 188 56 222 234 227 8 220 219 55 246 52 102 211 222 95 247 78 219 183 24 172 248 135 209 121 171 96 155 222 91 153 242 115 101 232 27 40 249 174 92 58 45 227 147 27 87 45 252 3 44 144 130 44 215 150 114 5 236 107 224 63 123 78 210 15 15 47 253 94 246 149 173 237 200 231 123 189 134 93 187 124 192 178 207 30 178 166 29 185 246 25 20 213 184 68 215 99 217 252 145 107 146 12 149 54 238 52 221 118 17 135 142 31 254 205 11 255 242 130 45 182 153 90 90 152 73 153 74 81 125 109 90 248 10 55 112 92 200 209 114 119 113 6 235 164 166 134 214 22 8 84 219 82 65 186 65 32 220 181 189 37 203 202 215 195 104 212 51 59 165 83 15 94 115 231 148 159 52 85 215 254 238 219 83 255 196 220 154 166 65 167 201 195 105 123 199 212 212 84 66 243 230 69 243 118 58 193 103 252 188 13 224 154 28 76 159 54 93 114 220 9 34 79 202 49 155 241 222 26 248 225 21 245 61 107 38 52 108 109 254 220 87 207 159 189 44 18 34 28 202 206 220 233 129 115 162 10 10 67 239 80 63 157 238 70 135 86 31 104 41 1 46 58 181 68 93 162 22 5 110 206 113 221 61 10 166 61 206 242 163 146 186 80 71 41 220 3 217 139 22 238 48 168 243 71 112 68 68 39 132 145 232 202 163 119 47 82 1 50 229 202 74 219 214 199 242 83 245 30 68 163 134 47 57 236 123 120 126 122 129 231 104 62 50 8 182 49 92 26 91 73 209 162 144 2 176 249 81 70 43 151 12 31 70 130 59 68 160 84 7 132 178 116 142 83 246 49 109 252 23 63 201 23 241 51 203 129 7 12 68 182 211 149 227 85 59 209 21 5 103 133 148 72 13 155 183 44 93 186 53 1 165 200 108 207 254 219 56 152 34 245 250 184 105 148 170 191 58 9 12 188 120 207 111 11 27 87 199 120 218 93 233 68 249 177 162 14 151 247 28 56 230 175 140 138 190 35 254 70 14 132 158 209 194 176 12 39 244 220 177 101 245 75 255 47 46 243 64 182 253 68 53 218 6 15 4 241 109 49 190 134 158 104 13 219 94 173 86 93 140 45 208 16 238 106 105 208 50 230 87 197 177 70 123 81 141 148 164 77 153 199 69 70 182 14 119 58 102 210 28 40 254 89 98 223 46 235 172 18 130 220 60 227 204 169 247 173 254 212 159 78 59 143 43 175 254 136 85 122 76 164 116 117 26 15 27 31 192 79 137 12 191 74 160 135 169 234 186 244 20 142 178 155 194 149 91 31 185 230 174 211 31 231 35 157 181 115 240 182 39 111 158 244 20 202 85 219 59 138 43 103 167 76 81 202 3 3 143 43 186 124 239 3 40 223 9 181 93 171 188 134 45 77 95 190 238 130 7 174 117 116 199 202 212 61 238 151 31 11 251 136 39 161 119 10 116 86 136 79 45 44 216 133 44 126 57 206 80 32 99 206 170 175 16 167 169 175 94 131 7 15 230 216 51 111 119 133 153 42 0 155 108 74 130 13 244 111 96 164 174 15 202 189 92 39 0 156 216 123 220 49 136 247 135 77 171 94 126 37 46 36 89 71 49 32 108 12 119 245 79 133 41 134 150 45 73 113 69 157 101 240 67 148 100 176 60 6 74 226 43 154 143 132 24 57 183 241 168 103 22 13 225 21 83 18 130 213 220 22 175 39 140 15 174 80 253 231 216 59 230 196 151 163 35 171 183 93 150 164 104 75 142 164 232 249 192 58 125 183 58 220 42 48 99 242 71 66 78 219 52 139 138 238 165 149 197 222 210 122 246 105 214 151 169 191 96 225 1 181 12 195 39 194 21 43 246 187 29 233 123 139 79 43 210 129 151 79 131 247 29 148 81 140 255 70 107 133 127 168 44 7 51 4 217 133 53 85 222 213 202 163 14 141 58 95 21 230 223 47 176 255 104 37 73 159 241 65 94 225 127 237 23 7 247 51 179 26 232 250 105 135 229 86 167 237 39 186 242 217 83 85 127 225 72 185 165 233 170 244 112 22 215 168 145 89 35 230 107 73 233 124 84 4 212 219 62 245 135 41 191 189 238 162 7 127 231 230 250 202 33 149 66 141 96 103 175 253 252 221 167 95 212 216 144 253 53 66 246 100 225 166 25 11 169 41 74 190 73 149 21 114 45 150 202 77 163 44 79 160 185 159 208 220 216 250 193 110 43 187 45 186 122 229 233 115 176 59 86 104 165 29 57 150 179 62 118 5 20 50 63 95 213 195 107 205 14 39 247 33 208 55 20 165 58 1 255 84 62 241 110 85 117 105 163 127 247 214 150 107 175 187 240 129 47 68 180 70 195 134 81 248 192 254 181 171 163 188 84 165 219 24 172 167 142 26 89 189 165 103 230 201 152 18 19 228 123 168 98 246 143 10 139 241 21 58 154 140 132 132 119 66 99 182 243 120 242 60 197 79 185 243 240 86 136 45 6 139 59 1 38 224 57 233 251 152 61 35 101 37 9 19 37 204 141 133 187 130 32 245 43 161 114 2 59 81 186 33 192 220 238 11 221 61 98 34 75 33 21 78 97 218 205 190 69 134 236 218 229 12 61 186 113 44 86 71 185 140 234 186 209 46 195 229 217 76 54 158 143 220 115 94 41 20 12 44 135 32 78 23 30 189 195 5 52 243 171 210 173 233 231 90 50 1 23 209 53 197 85 173 16 75 133 96 82 105 129 199 37 174 153 160 69 243 191 202 134 178 48 197 238 86 76 51 118 51 177 66 116 81 247 213 247 12 207 129 81 60 145 213 15 145 207 133 169 160 129 247 216 89 20 66 79 169 119 94 138 92 100 133 218 88 176 13 12 151 173 93 190 112 73 129 54 86 42 255 126 167 253 71 43 201 133 187 126 246 179 113 245 239 101 177 138 239 198 239 247 155 161 237 65 64 203 217 200 45 28 87 180 39 207 254 194 118 237 214 188 102 231 182 212 10 22 212 12 215 193 2 174 229 226 235 242 214 108 77 109 58 141 178 252 36 74 239 15 82 126 110 222 175 92 185 6 203 98 156 47 159 247 192 170 75 127 118 218 153 125 122 248 87 240 5 126 147 91 61 116 0 186 122 191 12 109 153 66 86 145 38 193 80 150 246 113 51 252 91 155 202 164 14 207 248 30 195 223 104 86 44 93 206 105 245 130 150 212 139 0 183 176 121 98 16 150 98 95 221 14 98 14 198 105 127 103 52 108 236 121 205 77 217 175 221 112 225 3 159 83 90 165 244 70 136 218 245 87 116 135 189 118 165 134 83 252 161 246 217 87 244 225 139 179 225 223 181 0 37 175 52 9 14 140 152 214 93 156 66 179 3 65 171 61 151 138 83 57 101 28 96 190 95 71 87 227 117 0 58 37 89 38 79 217 228 168 126 131 70 113 100 92 58 222 250 161 1 128 146 142 225 53 173 52 204 46 169 14 170 221 49 130 241 75 106 155 143 43 103 186 98 110 178 213 197 170 221 54 177 240 211 18 69 35 16 233 20 196 220 46 12 103 177 109 225 252 83 99 208 82 133 209 246 205 44 219 92 215 82 239 134 26 147 37 12 175 0 135 64 52 127 159 102 64 253 225 205 171 231 255 57 137 224 213 14 195 38 227 61 223 221 228 114 47 14 218 196 155 200 146 14 189 231 34 90 39 171 195 89 240 253 69 233 21 253 53 158 119 78 239 124 116 119 88 175 19 112 134 199 116 149 237 181 20 195 174 245 71 108 43 187 113 75 180 31 210 172 230 98 176 7 35 254 63 90 73 50 97 165 6 113 254 152 111 44 127 19 3 131 39 34 18 6 148 101 178 15 156 231 15 43 6 199 231 60 147 246 87 122 200 197 247 118 161 53 230 121 59 155 127 185 104 218 152 141 197 112 29 140 120 109 139 96 165 233 109 205 187 90 95 79 219 163 193 217 199 98 223 20 127 210 77 40 52 102 105 78 24 86 189 233 227 148 127 67 123 104 208 98 28 173 90 189 229 189 179 27 201 119 227 167 239 58 227 89 20 228 127 103 106 210 239 64 27 248 156 19 107 203 214 35 156 102 85 218 135 147 229 152 188 160 213 29 40 11 21 146 137 40 84 86 225 78 16 172 206 154 229 200 59 134 98 115 10 36 93 215 165 202 223 189 179 229 25 96 191 113 92 115 239 223 8 78 219 61 52 252 171 240 193 114 176 107 8 230 161 45 44 169 180 12 106 100 66 8 129 177 215 16 81 144 73 109 99 234 75 19 174 131 75 73 244 68 89 128 178 229 66 189 107 63 248 0 167 148 176 121 59 92 87 8 119 34 79 197 65 63 76 31 131 37 50 50 86 216 102 165 46 216 6 210 0 0 32 0 73 68 65 84 151 200 44 129 69 178 127 123 124 241 115 1 133 22 205 227 114 14 19 119 3 134 149 200 27 213 79 34 124 159 70 87 122 15 25 59 136 239 248 144 72 7 228 218 139 161 44 248 39 244 87 174 93 251 92 131 248 231 210 133 131 112 125 197 56 160 152 81 100 219 170 194 144 39 109 122 150 80 85 248 58 93 169 237 247 157 82 84 78 232 79 240 158 237 73 81 213 75 209 32 43 82 150 244 50 174 48 93 24 149 30 89 129 237 167 100 79 14 104 226 243 48 90 118 245 24 56 246 14 88 163 237 95 209 59 221 3 86 105 72 195 172 105 206 241 249 245 200 65 93 220 52 202 65 253 190 11 17 86 73 163 45 148 239 223 42 238 165 79 30 242 123 42 164 95 89 55 238 134 229 191 228 149 15 43 6 184 163 97 195 165 171 166 77 114 39 96 20 3 251 167 198 251 205 217 59 195 234 212 215 176 196 186 99 201 242 33 229 12 74 170 198 140 20 39 230 48 119 249 85 22 215 60 116 253 180 240 241 25 115 78 203 216 121 173 21 80 109 138 114 70 238 208 241 217 100 153 205 129 2 11 233 179 95 198 208 232 96 109 22 150 210 99 182 203 117 36 100 174 80 44 144 246 73 231 190 235 108 107 147 148 170 197 114 161 65 170 202 0 209 236 40 222 38 22 2 253 192 203 4 95 190 225 188 217 214 201 0 129 31 30 92 5 105 31 58 42 248 72 174 49 170 106 151 12 12 131 87 98 214 25 142 56 108 21 221 177 250 165 45 61 6 140 94 31 141 122 155 198 137 147 75 122 178 0 200 239 31 209 146 170 250 60 144 31 149 192 140 239 0 212 13 11 251 34 72 140 30 50 31 111 178 19 233 9 222 36 189 249 4 197 233 148 203 124 100 156 152 123 139 123 128 165 255 65 20 120 3 89 236 196 212 37 45 174 244 229 199 70 7 99 14 71 107 177 15 117 145 2 75 40 128 61 152 243 66 81 217 45 225 96 148 188 230 106 203 57 246 245 90 81 15 199 128 57 218 211 126 80 203 68 107 38 34 164 28 26 210 1 164 109 198 29 236 89 198 123 232 174 56 123 5 37 84 12 18 93 15 230 117 141 219 167 241 190 72 102 179 164 129 219 208 57 179 203 45 26 60 80 52 171 195 145 229 46 216 255 131 11 251 170 36 35 5 25 4 47 180 166 83 31 105 255 165 219 69 106 189 15 209 185 222 211 62 228 237 200 242 26 229 192 117 83 103 175 69 169 252 57 83 45 67 46 255 99 230 104 185 150 48 64 81 102 208 157 223 225 34 229 62 209 166 252 202 143 120 147 53 39 33 161 121 74 177 136 251 34 255 151 107 229 143 105 221 21 156 143 53 249 75 148 100 19 251 42 51 181 245 85 25 230 37 211 88 140 178 26 83 28 143 151 251 113 63 101 186 186 115 166 10 152 106 210 88 176 24 108 34 239 163 173 187 179 151 134 233 224 200 27 46 122 224 42 41 72 41 112 19 162 123 213 227 128 191 28 19 32 148 117 2 63 33 151 176 47 41 132 72 103 78 214 86 105 190 168 12 73 39 254 128 199 134 142 232 210 175 144 148 197 181 83 72 1 238 123 239 231 54 251 235 123 14 26 57 84 203 255 65 107 43 12 193 173 59 12 43 254 137 30 163 207 247 47 136 233 44 71 139 134 90 101 65 205 217 92 239 189 28 231 161 200 168 204 248 121 143 167 53 148 149 57 80 194 145 208 235 18 84 53 196 138 103 146 222 113 178 46 42 167 141 243 188 73 214 214 80 110 71 195 75 29 243 167 242 138 189 159 136 22 174 107 162 59 24 15 53 238 225 125 115 75 70 211 0 123 122 142 165 233 102 116 192 86 47 191 189 247 160 177 103 68 124 156 76 55 179 13 189 162 253 128 185 34 228 88 93 211 45 77 39 145 222 59 126 157 197 234 175 234 25 119 248 187 10 183 11 226 52 202 17 241 165 72 1 237 136 54 60 65 216 178 152 246 191 150 130 68 71 123 112 11 86 29 193 128 35 141 191 184 125 229 252 77 241 217 176 251 210 249 107 7 217 133 65 59 44 201 194 124 249 183 141 141 134 36 167 233 171 254 41 91 54 46 230 83 174 214 45 136 180 226 196 7 197 148 123 150 238 116 151 204 235 26 119 54 221 204 57 168 111 155 54 109 118 115 165 11 121 28 243 52 79 105 22 30 133 125 235 130 251 181 145 254 110 253 174 190 235 244 31 179 120 104 10 159 228 32 210 17 132 161 22 73 36 63 0 236 197 176 9 45 242 138 201 75 223 127 36 237 135 247 50 133 186 238 198 139 102 219 146 119 205 61 170 28 20 114 235 180 246 124 126 202 212 78 23 11 144 160 111 223 225 253 195 76 245 161 152 53 194 144 224 87 65 132 209 124 157 23 188 232 55 251 110 1 74 178 142 185 76 200 167 187 152 215 123 15 17 88 168 38 76 202 225 86 94 193 136 144 58 242 95 237 5 153 211 122 13 24 247 117 132 202 243 200 58 13 159 181 155 43 88 180 167 130 107 88 44 43 75 117 160 133 59 58 169 37 21 254 88 219 39 120 150 94 138 23 144 232 41 207 97 222 229 197 20 123 212 16 160 122 16 125 179 217 140 14 218 248 88 24 106 213 115 89 103 48 28 10 112 52 215 67 129 194 230 187 75 200 55 99 159 230 19 95 201 199 92 93 213 154 110 97 187 122 133 12 20 34 117 76 106 152 53 248 10 199 193 173 230 202 208 248 248 193 124 204 7 230 89 218 86 44 106 139 45 154 79 100 85 238 81 41 63 85 35 5 67 122 177 119 72 94 235 160 209 25 9 31 137 241 84 250 126 218 22 91 248 201 104 211 225 25 155 26 188 103 33 247 108 200 21 61 214 145 41 156 37 23 171 188 18 27 234 40 177 31 114 129 219 15 233 70 158 114 128 175 86 160 68 35 122 181 72 232 40 231 213 228 128 246 25 106 27 197 117 23 61 112 223 53 127 56 227 30 206 88 189 144 69 50 5 26 112 152 98 27 71 150 125 143 23 55 120 155 127 115 229 61 111 124 219 76 246 52 182 87 81 98 21 200 98 242 167 79 159 238 207 61 108 174 47 197 121 195 5 15 252 141 58 235 231 233 32 114 221 64 82 221 162 83 237 34 215 204 161 176 173 173 94 235 141 23 62 152 220 3 102 137 206 58 157 57 173 184 64 86 121 123 11 17 135 125 159 124 19 32 45 126 117 63 2 253 98 241 84 76 0 185 2 52 231 35 213 255 204 134 13 11 56 182 47 178 26 93 98 236 199 74 179 249 57 47 204 108 2 190 191 20 4 105 149 10 44 193 33 126 178 18 210 147 224 245 76 236 181 181 156 157 185 24 36 11 176 133 160 49 46 34 175 224 61 143 40 47 159 227 200 60 79 71 131 157 65 60 231 23 87 68 131 6 194 119 145 121 64 175 129 227 206 102 105 69 39 246 238 101 161 165 138 67 5 182 108 90 245 210 236 88 48 90 81 97 138 3 217 77 110 219 254 217 242 117 132 4 128 174 236 57 112 92 111 208 222 212 220 26 154 181 90 155 205 236 174 173 109 104 101 30 45 199 163 150 150 30 169 13 27 230 238 234 54 112 212 145 92 132 125 78 164 31 74 10 100 218 164 244 131 55 111 83 77 203 210 152 23 162 201 28 107 194 184 232 217 195 202 172 184 167 97 86 24 239 224 88 118 103 60 194 117 79 55 178 125 229 31 12 49 47 105 73 103 214 106 151 76 23 111 231 126 79 193 100 179 189 253 186 186 237 232 226 80 115 254 121 110 142 209 79 15 227 16 107 119 90 40 87 92 73 70 121 195 176 153 78 242 179 49 162 92 253 243 16 183 251 17 250 224 239 37 88 130 139 154 122 13 26 171 19 205 206 174 172 73 89 81 228 165 131 18 6 183 111 90 189 240 91 113 225 229 26 113 187 105 108 79 134 14 37 217 30 110 253 27 192 74 105 229 20 157 239 223 132 130 188 144 161 85 14 37 215 71 101 139 105 146 181 76 115 48 64 150 33 207 139 194 157 205 183 162 40 255 75 138 82 167 228 76 69 217 37 1 75 133 245 209 144 110 31 33 130 196 159 30 78 247 189 57 115 82 222 95 231 4 88 130 90 245 105 243 138 197 112 168 60 29 44 48 125 26 196 79 45 175 28 227 242 138 161 219 231 120 6 160 95 143 174 235 129 34 80 221 75 245 138 85 87 14 17 224 150 246 104 245 105 193 50 29 157 155 217 95 216 115 208 24 22 57 164 88 17 108 188 42 8 95 36 82 202 66 195 182 145 80 68 209 34 255 249 113 253 144 169 145 82 100 58 140 6 200 131 74 183 242 93 132 3 200 247 227 244 144 3 7 252 111 168 28 237 98 17 233 182 157 141 211 86 122 14 28 121 2 153 86 184 140 88 5 28 123 22 186 45 1 46 186 152 47 252 226 33 173 197 123 7 171 109 223 81 149 98 107 16 123 66 179 169 112 195 206 108 167 93 152 177 41 39 57 83 233 22 15 43 24 102 251 99 201 161 243 86 45 111 49 228 17 110 21 17 60 22 46 93 186 151 194 217 180 114 209 74 58 26 162 85 160 194 85 137 163 211 32 6 248 221 233 118 204 8 105 30 112 179 37 29 4 75 193 210 186 43 172 119 243 126 149 224 218 27 134 94 136 159 106 170 110 105 170 222 220 183 239 132 15 177 80 106 173 190 37 189 47 60 41 233 108 143 1 135 14 35 60 25 165 172 252 101 58 113 86 55 141 244 228 222 209 222 133 238 79 76 52 23 77 247 109 126 202 215 231 130 121 31 191 211 18 88 197 107 234 18 52 164 189 212 55 4 71 125 108 74 162 68 158 131 158 212 161 36 15 58 139 255 245 10 152 117 9 139 11 104 142 203 155 123 204 30 90 181 241 167 52 197 247 153 44 208 119 147 239 144 220 12 141 202 162 124 51 171 113 51 88 126 151 76 155 58 179 185 61 139 121 146 40 245 81 243 28 122 147 25 242 157 172 20 29 49 23 137 115 61 37 157 148 162 158 157 98 156 150 76 204 11 243 177 155 192 208 48 236 206 17 103 213 93 255 174 63 35 228 246 223 241 145 10 175 117 8 40 227 144 232 59 47 139 87 194 82 66 115 51 234 235 249 24 218 234 146 159 211 9 1 22 26 255 10 161 170 237 64 149 8 147 124 52 122 150 80 20 123 41 199 120 92 232 109 22 202 231 226 68 159 242 148 17 174 14 220 249 42 206 133 247 116 180 210 213 181 109 135 72 131 212 86 212 26 91 93 188 206 192 187 178 114 25 11 4 76 138 71 245 129 38 223 31 162 8 126 99 120 15 22 72 18 106 192 66 107 245 183 122 20 64 153 23 229 123 75 20 195 59 144 146 113 58 55 2 10 253 69 96 25 167 228 40 162 162 191 122 231 182 162 202 242 249 30 139 205 124 232 181 50 14 171 8 67 81 32 234 102 77 42 108 105 169 110 153 1 24 115 125 70 91 142 151 88 209 157 49 32 251 70 175 191 36 221 102 73 67 232 130 141 61 50 75 227 34 133 231 128 56 234 172 42 219 55 195 34 168 19 164 31 97 139 248 155 124 101 133 202 146 194 215 101 0 143 215 215 54 206 141 1 218 190 151 66 185 14 114 92 135 146 60 200 12 254 87 68 47 193 163 185 201 153 211 102 102 175 185 239 13 87 6 141 173 147 80 130 71 48 71 185 183 133 132 184 231 95 74 22 101 77 125 230 194 157 187 54 207 228 100 157 15 94 247 198 217 107 237 144 242 25 211 237 172 215 125 175 167 46 89 78 136 217 4 162 105 137 112 169 160 20 164 75 223 61 233 13 135 167 195 102 205 95 184 143 204 37 237 151 207 186 163 170 30 3 194 241 38 160 43 16 156 34 136 137 222 166 218 108 232 230 35 139 9 33 19 2 155 86 205 255 59 214 203 15 145 215 151 199 2 69 202 178 189 78 197 230 120 209 222 204 251 1 239 234 134 79 241 161 247 204 250 165 145 165 3 78 19 150 91 6 119 94 208 99 245 142 117 240 175 63 58 210 193 151 43 210 213 199 101 137 51 22 205 238 224 75 225 21 141 90 20 178 149 157 182 179 99 192 28 207 144 209 145 194 244 117 147 133 127 126 41 68 69 210 146 138 64 116 151 163 185 8 154 189 162 213 78 36 175 55 110 173 11 22 196 169 109 24 17 166 154 71 248 94 166 146 147 118 200 206 155 96 62 178 192 254 221 24 245 254 121 170 54 188 76 247 24 56 102 84 204 220 54 180 22 193 110 199 4 134 126 246 137 165 88 248 185 119 81 4 248 213 138 78 190 208 87 171 204 142 114 254 5 56 192 153 166 118 238 234 245 103 253 185 129 110 250 53 77 187 90 182 48 21 160 137 193 189 27 179 20 37 22 78 211 206 214 160 170 58 117 33 155 252 159 229 56 185 203 180 221 67 43 89 53 124 155 84 84 175 102 245 164 168 117 208 186 164 209 213 119 157 241 158 108 182 229 157 95 59 255 65 83 144 7 136 38 251 198 123 15 217 217 7 193 114 124 44 242 114 66 181 120 93 101 84 120 47 174 89 179 200 246 207 21 131 115 194 68 233 108 165 248 54 194 123 11 58 95 10 210 148 75 177 124 255 98 241 226 135 126 200 19 198 65 189 192 109 167 114 195 129 255 191 189 47 129 179 170 184 210 175 123 239 219 122 129 166 89 100 7 65 20 21 151 100 68 103 220 34 208 160 9 42 141 154 54 154 140 25 147 204 79 51 147 73 254 6 1 151 232 191 155 209 40 208 136 198 137 137 102 113 28 25 19 5 21 104 8 46 108 42 98 92 192 168 17 21 84 64 64 26 104 122 95 223 187 75 205 247 213 189 183 121 189 210 13 77 243 192 91 240 250 221 87 183 234 212 169 83 247 158 175 78 109 199 144 27 54 96 129 179 44 66 59 145 245 206 234 157 36 250 42 47 243 183 246 233 64 187 128 1 55 85 5 44 150 50 50 131 208 226 153 71 91 44 69 91 96 136 88 45 16 107 113 223 205 118 208 191 158 76 90 229 181 53 254 219 141 83 108 59 218 118 241 217 103 77 172 116 60 67 234 89 193 230 173 241 7 229 200 77 0 25 128 154 126 192 9 56 159 195 14 230 237 72 50 197 106 86 255 83 134 67 178 103 118 176 205 89 62 166 40 28 12 71 200 13 110 33 227 40 143 163 30 82 130 137 163 46 133 175 40 3 4 56 14 79 206 153 178 106 37 140 197 223 226 204 85 234 143 182 149 51 18 225 116 27 59 18 53 250 195 87 228 239 102 44 205 185 141 30 61 184 24 135 32 197 33 216 238 18 37 1 80 13 249 122 64 61 179 104 210 15 117 71 126 207 72 232 116 222 138 0 149 76 152 234 170 96 218 39 67 151 246 106 69 159 182 93 130 20 175 243 38 122 196 10 44 218 74 72 37 199 94 51 28 214 110 130 82 185 203 75 71 160 60 234 67 77 109 241 220 74 60 101 13 108 145 166 45 140 237 205 238 171 118 208 28 109 153 23 79 37 218 117 109 211 172 176 131 252 228 138 86 38 217 81 185 119 203 54 47 109 50 47 106 200 143 206 131 209 205 89 128 118 97 146 182 223 9 143 64 247 124 129 35 29 167 55 1 189 89 30 129 141 207 22 175 249 252 224 105 199 60 112 114 85 120 167 213 160 122 112 120 186 188 85 184 71 6 140 140 144 54 22 124 1 40 213 123 168 248 108 149 27 55 210 5 110 77 22 195 204 247 44 229 87 82 226 249 15 64 178 157 86 107 227 22 231 2 90 13 120 22 42 83 253 32 129 86 25 71 36 124 116 252 186 190 202 92 135 97 87 2 93 155 203 173 241 164 27 102 130 158 34 97 49 132 180 217 233 17 253 173 233 75 114 110 32 93 247 192 1 122 241 224 254 200 3 67 160 188 215 85 129 224 72 250 4 64 150 247 243 37 227 79 132 85 251 92 40 162 253 17 203 255 159 152 157 183 114 135 91 126 23 2 36 152 183 132 54 2 95 7 123 209 155 84 19 230 181 175 132 59 146 79 105 183 242 61 91 30 69 213 126 239 137 143 239 103 138 40 232 38 85 107 237 7 21 54 227 55 134 44 185 177 89 2 85 183 253 197 155 223 129 245 246 52 244 57 111 31 45 5 168 10 199 80 248 59 46 200 140 135 127 194 3 207 138 119 173 42 130 115 219 127 11 60 194 2 25 28 174 221 206 59 209 172 174 71 244 39 38 236 94 101 1 144 117 211 225 248 49 99 216 195 61 177 3 133 243 212 43 14 41 239 192 214 175 35 11 70 182 60 205 123 101 58 130 220 104 18 136 29 94 138 216 89 68 253 216 177 60 90 207 72 19 49 6 32 217 68 28 7 255 129 158 178 191 175 168 181 196 152 199 56 182 130 111 77 62 120 245 139 197 97 71 187 10 115 143 235 97 81 182 175 20 36 206 186 193 222 74 7 91 215 113 0 192 233 24 130 125 114 70 209 196 37 51 150 76 26 199 254 45 45 75 126 115 40 212 7 76 62 244 135 46 153 3 192 75 112 116 233 11 129 50 175 51 52 125 101 102 118 244 106 156 206 115 95 97 238 154 63 209 50 246 239 31 122 121 77 114 186 124 107 218 133 73 202 189 189 186 80 33 64 9 225 253 198 194 8 143 82 123 233 85 18 42 103 95 49 192 83 245 237 168 230 108 220 96 156 63 244 154 18 10 195 171 79 107 95 156 79 226 32 232 6 111 203 75 163 146 243 234 166 148 58 78 39 188 19 178 217 230 213 171 205 206 88 107 5 116 65 156 215 54 182 173 59 206 155 46 189 150 214 10 248 229 150 26 189 100 215 199 91 112 178 246 245 88 12 83 137 223 4 161 38 195 156 93 192 79 71 73 128 111 2 155 179 223 18 250 167 205 50 169 103 171 79 169 121 54 226 211 15 192 125 179 84 7 126 186 96 36 228 174 35 112 210 14 193 91 181 251 136 17 35 98 40 232 122 175 216 142 128 36 234 129 183 187 113 168 181 115 29 210 3 213 235 250 43 42 195 32 116 66 2 155 103 158 184 228 180 7 190 192 166 248 166 135 162 227 197 170 196 152 217 173 157 32 149 50 73 253 121 197 133 121 171 74 167 45 250 230 20 172 102 93 2 139 242 98 0 38 149 88 171 207 8 158 104 245 114 2 156 104 233 24 72 159 139 227 226 114 49 4 187 12 199 182 45 21 150 177 172 240 170 151 246 137 60 175 154 80 247 106 43 71 222 24 41 102 49 142 11 126 184 182 165 101 224 28 163 200 47 16 155 22 109 210 152 61 15 219 62 124 247 89 220 87 89 155 86 122 6 102 97 110 193 225 233 55 132 163 186 168 41 139 127 30 142 68 189 61 85 5 45 9 30 98 140 247 194 115 40 212 232 61 240 148 175 121 100 14 246 194 123 96 231 108 106 112 172 29 29 204 163 146 121 96 66 37 195 185 178 59 178 7 159 250 38 192 242 15 208 215 125 169 62 120 166 27 196 78 145 249 31 143 124 74 124 113 49 12 216 21 111 187 220 140 35 40 54 130 32 234 68 57 178 110 219 250 12 58 101 6 210 253 10 245 26 140 104 214 137 89 216 97 111 237 113 224 189 46 12 202 94 49 117 205 217 214 30 81 240 169 128 18 223 175 224 68 163 203 241 189 12 252 194 139 137 122 222 201 103 119 26 24 228 133 242 221 148 165 215 127 225 241 237 119 154 148 204 32 220 11 113 209 147 64 131 160 226 188 116 205 191 220 57 89 41 246 37 157 180 227 211 106 158 246 144 127 215 59 145 65 96 2 206 175 15 202 143 95 134 242 222 9 119 106 237 25 33 126 218 110 253 110 85 1 118 43 7 199 96 97 159 212 60 145 59 58 227 198 31 128 245 9 248 96 158 74 251 187 112 26 30 254 116 230 232 214 188 9 28 19 53 164 245 69 171 111 97 222 139 101 112 100 76 139 114 105 44 35 116 97 61 86 181 226 97 111 79 129 193 1 44 142 199 193 254 110 124 235 0 75 30 61 119 165 237 88 27 103 44 201 225 182 134 117 61 42 228 38 121 35 54 64 251 126 34 243 41 18 245 199 125 133 154 75 8 224 169 162 60 128 157 245 196 248 88 117 223 208 88 205 177 47 22 81 237 58 12 64 158 138 67 216 35 92 108 95 87 105 150 130 187 155 238 251 214 138 18 90 174 92 144 212 156 220 97 252 166 178 145 253 250 157 216 15 154 188 71 7 95 120 181 66 15 128 246 94 205 222 173 60 101 136 193 173 143 123 221 238 95 40 99 130 44 229 205 203 165 189 6 159 188 19 218 227 199 248 157 7 61 169 230 68 17 239 211 96 93 253 31 228 245 104 5 240 160 214 249 151 96 16 222 155 231 106 105 161 249 204 149 238 222 242 28 86 61 150 8 105 255 2 35 153 151 18 89 9 176 94 224 5 62 236 63 97 90 185 203 2 232 225 68 120 60 163 97 16 221 111 69 237 207 61 210 109 150 1 57 123 224 36 215 247 29 114 234 183 113 128 193 239 209 54 35 153 207 107 3 230 245 25 167 252 253 54 240 191 153 180 107 2 40 226 201 120 119 39 252 62 122 71 180 121 29 144 115 248 172 0 35 229 40 245 216 56 112 221 41 100 184 165 236 60 121 114 54 210 125 126 188 206 76 35 207 93 195 167 171 43 236 184 41 206 70 235 245 33 215 32 76 25 181 41 103 239 30 142 193 148 37 122 212 120 189 171 24 233 42 58 236 217 117 21 173 128 206 113 32 1 23 40 23 218 211 94 250 102 111 163 161 209 162 100 205 248 160 243 133 60 88 80 214 39 14 36 23 56 127 85 192 42 77 224 253 94 135 76 213 248 252 5 14 97 247 91 142 182 7 253 226 42 39 17 218 51 31 160 236 110 37 1 108 2 224 166 45 186 32 45 28 202 56 17 39 200 210 127 100 24 139 61 254 9 79 232 197 176 159 46 132 83 104 1 247 94 2 32 140 211 225 116 122 21 169 0 112 92 49 119 202 203 235 57 87 73 85 123 48 230 58 115 223 237 189 171 77 218 227 52 205 89 129 188 105 248 176 140 246 148 32 20 171 142 53 68 242 150 242 221 159 192 90 226 156 215 218 70 139 234 80 202 103 158 190 3 71 159 235 232 242 219 80 244 23 161 248 11 200 129 178 137 60 130 168 251 193 57 235 76 225 157 73 11 177 211 127 35 198 223 63 44 219 189 229 76 102 133 236 168 91 90 180 7 227 121 159 247 70 96 72 174 50 30 190 17 143 213 117 136 185 132 70 178 170 83 123 210 101 230 67 13 224 6 77 35 28 203 44 42 43 222 146 75 50 109 241 153 92 132 159 102 192 128 81 39 36 12 3 123 138 197 13 200 168 246 61 250 109 224 202 191 177 186 232 83 181 11 10 201 228 219 191 6 168 225 31 223 59 88 230 218 13 101 187 63 249 95 240 3 171 178 209 50 151 67 135 14 77 171 181 211 215 235 70 232 235 106 59 98 91 242 35 123 144 177 58 228 66 58 227 203 139 63 125 5 180 56 63 233 3 125 251 188 28 228 46 229 196 36 108 91 156 194 244 44 14 180 191 134 126 187 125 25 181 149 93 85 144 125 44 219 124 188 180 120 203 143 152 142 180 72 167 173 60 221 25 31 128 100 119 74 251 24 41 203 7 202 25 139 47 59 1 96 245 99 188 86 119 3 148 66 0 37 40 123 90 57 45 78 230 105 94 51 170 35 124 104 21 9 3 195 162 240 253 168 11 236 195 196 139 32 77 12 199 214 227 193 51 145 0 123 161 68 28 6 161 2 95 118 114 145 143 195 116 112 212 74 87 69 66 199 1 232 97 190 216 112 237 197 50 212 156 16 230 76 195 56 50 175 18 158 74 114 231 95 181 230 85 159 95 38 232 202 224 191 168 120 225 239 1 15 119 65 151 80 249 145 191 182 2 148 141 146 79 21 18 92 81 230 250 191 59 44 37 4 30 154 228 207 30 49 162 151 30 143 98 43 138 24 1 215 26 23 162 188 175 67 51 1 136 149 188 50 185 190 20 113 109 241 119 36 226 93 29 135 118 196 197 255 7 72 62 214 156 231 214 10 69 26 165 232 121 15 39 200 100 58 97 147 157 161 19 193 252 69 224 126 52 128 129 178 238 234 64 48 232 1 89 61 88 94 188 249 73 191 125 59 82 72 114 157 250 245 59 181 135 140 138 115 225 226 13 157 55 13 174 243 228 112 240 142 161 69 209 31 31 180 88 123 143 72 71 74 107 154 6 101 96 144 215 250 18 39 241 93 92 177 231 147 109 62 223 254 55 189 165 36 244 134 249 40 122 44 222 185 90 228 110 171 51 203 247 43 29 212 86 148 21 127 154 15 12 162 165 220 101 96 148 76 171 247 224 209 15 131 15 116 234 68 37 228 211 142 64 80 60 116 4 210 213 32 221 61 28 101 104 90 251 163 255 43 0 201 163 223 6 41 201 129 26 186 196 246 10 50 7 87 87 223 134 226 122 44 154 110 244 86 206 144 109 181 47 139 47 98 71 180 49 94 204 198 225 150 16 246 98 18 243 240 193 55 40 240 59 57 80 227 146 58 22 6 169 104 128 42 246 124 35 63 140 21 108 59 225 208 174 128 243 229 21 200 120 71 225 148 85 31 52 30 216 158 76 164 11 174 155 188 240 131 70 255 9 154 239 250 142 128 36 242 241 224 111 12 187 91 231 243 184 185 100 58 135 202 22 105 32 47 63 208 107 80 241 73 129 86 132 101 197 50 177 9 177 175 196 222 109 205 134 234 110 125 170 55 41 87 215 93 162 21 165 99 232 33 248 3 221 83 177 247 211 207 59 67 217 173 215 56 128 229 161 89 218 157 41 171 43 210 130 95 62 243 45 218 128 29 23 173 30 110 224 116 3 219 132 16 52 57 20 3 187 81 200 70 189 63 42 238 80 255 184 61 199 40 178 195 169 243 230 117 148 89 243 103 224 80 73 31 137 124 62 127 131 7 15 78 55 35 145 158 70 67 136 103 205 54 125 201 147 10 102 117 236 88 212 208 235 141 106 207 175 103 202 213 47 0 201 164 6 11 46 155 74 128 43 69 25 195 133 61 183 189 48 126 136 147 208 255 19 63 175 135 101 24 131 85 137 97 27 64 24 122 173 120 3 218 124 9 154 82 84 166 34 18 123 115 77 212 247 80 2 4 192 38 233 128 9 84 244 136 84 74 134 101 224 32 118 205 78 56 176 36 181 123 10 167 174 186 135 233 143 148 5 73 218 120 121 149 165 131 185 168 9 0 108 14 181 82 81 17 160 154 242 138 136 164 128 185 33 56 137 197 124 36 20 26 28 223 42 58 93 250 210 83 9 145 172 95 38 20 208 225 43 98 159 216 97 126 147 183 67 81 224 205 235 116 152 108 116 36 59 217 100 91 30 82 0 191 234 189 240 50 31 22 173 206 48 208 158 124 155 241 116 80 178 96 58 101 158 27 159 217 246 234 231 167 57 26 223 1 72 30 13 169 31 99 101 38 131 209 204 162 9 23 2 42 112 198 168 118 85 56 61 148 110 197 113 50 186 107 89 178 86 237 12 171 116 162 210 174 7 3 1 55 203 216 170 134 131 182 194 152 219 172 54 95 6 112 222 57 111 234 26 181 7 239 80 207 142 237 8 23 254 203 202 111 44 48 121 6 235 145 242 160 83 168 84 146 149 99 107 164 56 124 197 165 250 143 98 216 241 223 124 58 173 37 236 170 56 150 225 209 242 191 187 138 116 103 232 176 108 130 69 202 41 222 206 84 226 80 211 122 109 64 25 120 109 48 174 139 219 162 26 244 54 98 154 219 61 89 231 80 249 236 206 124 73 207 101 135 139 229 3 212 225 196 221 152 48 0 201 110 20 246 177 92 84 50 80 178 30 240 9 249 13 88 132 63 132 77 152 23 142 233 233 140 75 52 112 164 15 255 168 34 148 205 229 235 10 108 243 103 130 164 224 222 105 98 81 250 118 26 28 47 171 81 85 129 67 11 106 97 75 110 198 161 5 247 164 215 247 94 193 131 213 81 166 198 45 34 180 110 147 200 117 233 165 191 216 166 207 224 211 46 128 222 95 3 221 7 43 82 149 215 1 144 212 1 146 214 63 151 237 254 244 41 40 138 38 243 137 93 202 100 64 44 144 64 32 129 110 145 64 0 146 221 34 230 227 167 144 228 185 74 214 106 250 226 73 23 193 187 195 143 0 122 39 193 234 187 56 20 225 42 71 32 37 58 133 236 23 186 215 173 215 95 205 73 2 81 213 55 12 34 90 141 92 220 131 140 31 98 22 99 19 104 62 88 152 187 22 75 213 221 30 102 115 160 110 157 106 199 99 9 98 66 140 107 6 124 253 192 250 66 187 239 208 209 131 225 120 186 8 108 253 3 34 58 98 69 162 182 180 234 36 182 65 24 231 150 239 254 232 11 208 111 92 156 210 113 174 130 148 129 4 2 9 164 146 4 2 144 76 165 214 56 70 120 81 214 156 40 208 120 192 185 207 50 188 137 100 104 245 246 21 128 198 81 64 11 236 217 18 147 96 77 198 112 31 123 182 68 122 163 133 201 12 52 43 65 4 127 235 240 225 138 85 236 253 210 94 6 24 109 133 25 186 57 146 72 188 26 205 203 41 245 233 187 224 8 247 94 30 88 34 253 97 7 148 199 103 159 156 180 8 125 134 156 60 68 218 198 111 176 200 232 74 224 99 71 0 146 52 44 76 71 226 128 102 123 1 230 35 191 207 136 246 202 224 253 32 4 18 8 36 144 250 18 8 64 50 245 219 40 101 57 36 8 20 20 0 44 91 217 192 63 125 249 248 190 134 25 234 135 243 122 178 112 176 192 16 0 163 101 120 83 150 54 86 247 211 209 51 236 179 93 186 99 84 193 246 220 119 223 85 171 74 155 87 148 86 107 1 92 52 183 5 102 205 211 119 244 183 15 94 217 131 78 31 174 9 11 94 211 113 228 152 90 137 40 117 216 150 240 199 39 38 195 188 29 11 128 228 190 147 142 30 184 1 124 71 16 226 95 75 191 252 228 143 254 144 109 71 121 10 210 5 18 8 36 144 154 18 8 64 50 53 219 229 152 226 202 5 29 33 102 205 34 96 22 192 58 107 221 66 59 120 165 232 128 185 0 56 83 32 10 242 73 228 80 233 180 93 146 15 144 76 129 189 92 79 235 122 248 59 238 104 106 82 30 160 55 128 185 163 22 36 51 98 85 43 64 95 192 131 129 161 141 45 217 241 201 238 228 114 146 40 7 151 71 72 2 148 183 55 66 193 182 107 117 132 160 43 138 230 40 138 162 131 191 71 178 156 174 224 53 160 209 53 18 8 64 178 107 228 24 80 105 33 1 2 30 135 84 113 6 235 233 156 94 108 25 198 124 132 115 92 113 223 117 186 124 228 20 91 114 201 62 120 113 67 184 19 150 107 160 243 96 49 202 56 210 36 175 204 229 60 101 179 185 202 100 42 45 174 213 41 59 216 177 242 63 165 95 110 190 17 101 4 11 118 90 136 168 243 17 108 171 130 130 142 44 210 34 112 29 120 126 8 100 77 81 242 192 189 206 115 113 32 7 183 68 249 11 198 88 70 222 162 188 174 62 76 255 64 97 199 213 21 221 218 141 83 239 87 193 248 87 184 111 178 105 243 164 120 93 3 144 76 241 6 10 216 235 90 9 64 239 170 197 52 189 6 157 134 67 47 229 74 40 215 108 148 192 151 182 85 32 239 76 233 216 86 63 70 249 33 12 22 236 116 70 108 173 166 117 129 238 128 50 109 190 96 172 181 76 237 13 207 19 112 15 71 57 39 231 231 65 253 121 202 211 13 185 104 10 208 173 241 245 85 142 107 222 142 174 196 14 175 45 186 91 158 161 238 46 48 40 47 144 192 81 150 128 234 197 98 30 244 98 232 183 108 40 206 131 29 53 119 48 118 213 130 29 108 22 93 76 128 244 18 115 168 54 8 135 40 1 46 212 146 240 252 114 235 178 73 255 4 147 28 123 84 229 199 61 140 140 63 137 43 68 93 83 165 235 2 212 237 203 38 140 193 121 192 183 160 184 190 211 151 76 120 115 250 146 137 13 24 123 205 198 225 137 22 76 202 76 195 208 127 3 26 59 146 45 193 206 176 166 202 4 129 25 75 39 77 196 105 121 55 106 97 17 126 103 73 206 78 60 63 75 231 230 202 117 1 80 182 46 77 191 173 126 254 252 55 7 134 52 235 18 56 144 171 181 164 179 14 162 196 153 203 199 14 80 118 102 72 169 117 73 4 177 129 4 142 17 9 120 47 166 2 48 188 168 35 61 182 15 199 130 4 45 141 43 90 203 177 215 229 46 210 67 25 180 84 143 169 225 164 67 109 62 42 65 245 161 96 113 237 158 208 68 224 130 28 188 223 110 92 203 18 84 150 164 60 76 175 242 225 198 194 60 174 100 198 120 183 227 252 240 132 17 153 211 96 231 95 187 169 62 198 33 113 193 33 78 63 173 59 127 141 9 97 91 203 203 30 152 246 175 61 122 71 167 98 80 224 58 168 223 7 50 251 68 243 211 50 195 247 32 203 79 225 250 131 167 37 97 216 31 142 84 16 200 83 50 175 188 215 86 80 128 141 161 220 153 139 115 224 147 198 89 30 203 8 127 47 189 87 228 218 172 129 105 183 98 218 26 229 97 46 222 27 74 116 193 210 173 71 50 61 151 223 3 242 225 111 191 14 126 58 63 142 252 145 14 249 115 175 59 38 203 228 58 37 211 246 233 53 137 243 202 247 203 76 230 193 173 131 31 195 95 8 30 63 138 39 92 31 184 235 94 249 116 146 211 50 174 64 173 47 192 60 134 145 184 46 123 112 218 159 145 250 89 45 13 190 237 16 56 140 174 168 183 66 207 165 154 58 127 3 75 50 117 218 34 224 164 155 36 192 149 167 189 6 10 30 76 125 184 37 58 56 19 72 7 72 62 230 14 179 194 2 58 134 78 69 57 220 202 55 46 172 242 197 136 197 86 164 57 107 214 44 93 230 99 225 147 247 155 10 147 241 126 122 42 91 200 73 1 161 59 31 237 143 119 187 115 144 248 229 252 100 209 248 204 140 168 126 98 109 89 156 185 247 248 142 180 253 111 150 225 175 170 198 178 226 247 42 138 235 119 161 8 2 203 106 108 218 217 5 31 163 23 225 80 10 184 22 211 222 144 17 77 185 176 163 231 181 133 110 7 198 231 24 180 105 209 40 238 26 227 248 139 129 124 211 162 229 181 163 139 233 105 61 194 81 156 252 196 21 207 239 215 85 152 136 210 97 69 226 216 198 113 107 45 151 78 203 206 145 170 43 101 193 116 158 60 90 20 132 123 190 108 252 71 146 105 241 113 121 224 124 171 151 87 241 228 205 191 178 76 174 46 247 100 217 72 214 189 160 204 113 7 129 101 55 222 76 46 139 55 146 66 35 15 94 92 114 59 249 229 231 227 30 203 101 146 3 180 189 122 251 133 144 119 220 191 246 244 107 21 32 34 241 168 250 26 158 40 41 222 156 127 217 139 244 149 170 142 186 228 183 159 133 215 169 26 2 144 76 213 150 9 248 58 18 18 224 203 45 251 14 42 62 9 171 7 78 243 206 93 86 47 124 39 11 227 187 109 123 251 34 95 176 141 112 161 155 223 181 128 58 73 235 152 76 78 144 18 167 47 10 237 46 143 201 199 110 218 96 222 252 187 177 225 236 254 217 167 90 134 85 60 47 127 237 126 86 10 7 227 159 30 50 180 26 121 133 220 193 223 141 96 233 129 198 207 94 152 28 77 79 152 167 52 104 114 223 67 83 86 237 85 74 58 223 109 142 104 84 12 128 234 61 27 153 208 98 90 9 243 99 40 245 28 45 28 142 207 187 252 229 77 4 97 90 121 217 229 91 245 242 236 145 203 70 68 247 127 108 217 34 246 192 85 107 222 247 220 188 21 209 31 106 77 60 81 81 120 233 75 244 140 1 231 221 11 21 224 77 123 126 210 200 112 72 235 109 70 245 173 80 244 74 105 243 126 243 224 131 198 173 69 147 190 174 11 109 40 15 198 0 50 60 101 152 198 255 179 210 172 176 22 11 153 55 111 28 27 46 223 58 82 29 25 7 135 229 189 195 81 39 54 103 202 203 10 148 9 50 254 71 224 58 83 0 0 21 109 73 68 65 84 66 159 95 20 77 236 111 9 125 168 37 181 189 59 19 89 234 190 15 248 44 151 242 27 148 221 160 229 231 125 152 184 125 249 164 97 137 184 221 99 254 53 107 54 145 7 214 115 88 90 229 201 97 43 209 32 167 202 237 46 159 141 195 149 10 103 152 7 62 61 78 136 11 103 39 101 73 70 153 142 121 199 136 143 212 162 153 252 188 77 64 42 41 121 164 163 40 233 7 0 195 236 64 191 126 78 193 56 44 166 65 60 193 239 231 11 207 143 101 137 33 118 193 181 139 76 200 70 129 251 172 89 227 67 213 231 68 70 9 221 170 127 96 242 154 29 62 56 146 62 235 40 78 31 211 248 28 128 118 172 161 34 54 224 254 169 47 108 103 253 102 161 179 35 162 198 36 30 20 34 28 185 129 121 24 220 124 121 33 241 81 137 147 159 159 218 7 220 7 11 119 220 54 11 254 126 5 36 0 29 160 44 189 62 131 79 253 17 94 244 63 120 85 166 50 233 8 80 50 157 255 49 148 59 36 199 94 105 88 225 171 247 237 251 176 6 180 27 173 163 227 89 148 190 226 191 125 233 164 51 49 191 180 4 146 163 245 246 62 140 191 127 128 24 251 226 55 157 249 62 139 185 192 169 16 214 121 158 108 103 207 203 93 115 31 229 66 101 60 115 233 132 201 184 247 239 72 127 14 34 34 80 179 232 179 8 58 168 126 90 164 133 30 34 168 205 88 50 225 218 72 90 232 25 28 117 136 100 90 21 232 87 226 130 46 212 232 211 243 111 97 71 155 98 133 156 51 224 85 241 5 156 151 191 7 247 210 64 115 211 188 220 213 19 103 44 157 240 143 224 233 77 186 104 139 215 217 119 207 155 186 250 222 219 23 77 202 178 99 246 101 240 79 250 47 72 119 145 98 69 192 61 147 38 150 57 82 251 175 121 185 171 128 24 174 245 133 188 106 145 15 65 125 250 210 9 47 162 78 223 0 159 244 96 131 161 117 73 139 149 60 20 226 247 38 252 126 22 249 254 142 223 111 32 19 14 211 128 163 97 77 62 141 131 135 231 20 94 249 210 54 5 176 210 121 2 247 7 227 67 176 74 128 30 189 218 124 9 105 172 207 76 236 155 81 19 234 119 138 208 245 37 248 29 65 153 27 65 227 2 164 235 1 186 175 41 121 74 113 35 238 177 204 12 88 205 144 229 170 255 196 181 10 51 150 77 202 21 182 243 125 252 200 65 90 100 5 109 77 236 196 134 223 31 207 185 114 229 155 51 138 114 254 3 177 115 16 95 15 39 116 151 158 91 223 231 253 183 163 165 171 145 234 116 164 3 246 139 183 231 77 89 115 249 109 203 39 14 181 29 180 167 35 70 162 172 155 10 167 174 89 72 57 66 4 200 175 93 130 184 116 72 199 1 108 198 33 158 217 115 115 87 61 66 6 102 20 77 60 11 50 88 140 123 56 75 82 123 15 205 123 14 190 123 162 189 222 53 53 253 58 221 210 50 12 195 89 23 203 12 15 106 168 182 238 135 115 130 59 153 111 230 210 137 119 226 89 152 133 124 43 100 44 244 93 182 121 178 149 204 52 169 18 2 75 50 85 90 34 224 163 219 36 0 133 124 46 48 13 239 49 188 138 240 229 134 6 104 167 112 222 227 135 74 128 243 97 208 3 240 11 226 56 79 203 104 226 39 165 187 55 19 32 191 58 195 172 249 5 74 84 82 179 79 198 130 152 145 4 34 212 255 68 194 11 1 13 223 151 192 217 54 148 42 142 32 130 167 24 136 75 224 16 252 123 97 85 190 85 152 187 114 213 140 165 57 87 33 114 81 52 3 54 38 238 225 112 124 156 219 64 127 137 178 31 172 141 123 205 58 251 13 100 93 11 208 24 194 123 72 235 132 163 122 79 35 20 234 233 216 202 225 182 200 200 142 92 80 179 63 254 3 184 41 44 235 209 47 146 86 91 30 31 17 235 17 22 117 21 241 53 44 23 76 156 21 129 131 238 120 173 85 11 24 120 141 81 118 196 158 19 10 25 55 195 63 169 226 11 60 179 204 172 72 186 241 227 218 138 4 134 101 197 245 104 102 156 134 232 15 249 10 169 128 67 58 99 225 191 52 6 255 165 112 218 38 5 234 59 36 61 43 44 42 247 54 32 181 56 51 179 119 52 90 95 109 142 141 196 140 177 116 239 230 88 82 192 10 188 201 208 172 199 103 44 187 12 107 85 56 143 25 26 132 180 72 207 250 128 23 164 65 250 1 24 186 141 209 114 156 190 36 231 59 233 61 195 39 89 113 71 192 111 235 80 214 155 206 197 117 93 187 12 143 233 101 244 197 10 247 112 74 78 102 131 117 199 244 21 57 255 51 111 242 234 47 166 23 77 188 53 100 136 121 209 204 176 162 73 254 152 23 178 237 93 91 158 248 37 138 202 1 232 141 198 252 44 207 86 78 175 42 55 229 91 209 210 11 99 233 161 75 76 180 21 234 37 106 43 205 97 236 184 76 183 114 46 236 53 32 237 235 85 123 27 18 120 49 182 112 49 20 100 180 12 243 175 253 72 211 54 201 187 203 63 248 252 53 218 115 47 192 250 89 84 233 148 80 88 27 73 30 141 176 54 156 85 100 61 34 105 145 113 162 218 60 79 234 14 172 102 45 11 245 224 179 129 142 1 128 21 167 115 129 214 15 178 250 167 133 42 247 212 103 249 0 201 103 165 221 55 145 153 143 66 0 235 65 8 36 112 252 75 0 47 60 173 3 251 140 51 206 136 160 167 127 62 65 18 54 80 24 223 176 132 218 250 64 125 195 100 228 176 170 122 197 165 44 7 58 62 15 144 156 0 15 241 223 43 223 182 141 171 244 104 65 170 97 188 227 95 138 168 225 43 175 40 157 225 72 61 87 1 81 157 181 39 94 147 248 5 128 226 89 42 114 42 84 92 127 8 80 185 5 190 71 63 228 111 40 206 4 28 136 101 18 128 64 97 58 1 18 0 198 116 191 51 235 157 255 136 215 218 127 129 210 150 84 174 64 162 243 149 28 165 115 74 72 173 241 144 85 184 119 23 0 229 231 137 122 123 1 232 57 176 72 8 56 103 128 222 139 53 37 13 247 34 46 142 251 44 231 85 230 197 189 129 170 36 41 234 194 78 100 199 109 69 19 199 163 157 110 230 189 186 202 196 42 148 249 141 68 173 245 239 0 245 26 208 164 98 206 152 181 232 218 136 202 139 63 5 249 174 170 118 116 139 86 223 141 13 53 230 43 0 20 118 166 62 52 227 214 173 85 123 18 223 182 13 241 191 200 56 136 96 134 206 192 86 148 127 7 234 244 55 148 77 93 95 5 192 10 107 142 245 83 204 99 14 50 209 89 72 212 91 69 241 122 107 26 202 187 11 114 250 156 137 128 200 139 88 38 120 59 141 223 144 87 25 202 186 59 94 107 46 165 19 58 118 50 192 227 194 120 181 249 51 148 251 30 59 9 148 165 48 181 12 90 168 154 35 239 215 67 186 168 171 50 223 104 168 181 38 91 166 152 104 154 246 155 4 97 208 15 253 236 169 201 61 193 77 58 1 17 115 180 22 242 90 120 88 115 224 151 21 139 157 164 109 54 0 120 165 168 226 233 88 184 200 101 155 160 181 222 9 73 99 167 237 104 11 0 190 253 234 202 19 123 235 171 204 5 86 220 252 137 226 165 222 150 116 64 0 23 175 106 209 18 170 113 37 59 74 102 220 113 192 67 1 104 44 163 12 216 97 98 121 120 201 198 161 3 147 1 26 113 176 191 146 245 212 227 214 213 120 171 70 85 236 173 151 56 227 234 191 25 199 5 89 200 231 162 48 35 82 40 4 32 153 66 141 17 176 114 228 37 176 105 211 38 46 188 248 51 60 189 191 133 183 120 29 0 239 245 182 63 114 61 250 230 207 64 243 63 136 60 255 44 117 57 161 124 247 230 107 202 139 63 85 202 24 202 141 192 171 230 109 142 60 231 71 191 4 214 151 139 84 200 9 42 62 48 28 129 250 144 226 245 185 24 74 133 13 52 13 209 251 169 48 161 252 159 153 59 101 213 175 160 241 158 82 115 81 176 194 165 37 235 166 47 30 63 5 126 65 47 160 210 70 184 11 110 207 110 230 176 157 173 133 110 1 157 114 130 162 171 144 40 87 109 18 1 0 52 94 41 204 93 253 203 194 169 171 31 130 66 159 133 124 187 97 109 177 140 26 206 253 1 150 233 58 45 202 114 116 169 195 106 33 62 104 255 72 203 6 23 85 156 27 195 132 225 15 162 25 97 130 78 53 38 222 158 67 131 149 10 67 223 7 32 45 115 193 180 105 27 18 214 185 231 114 238 228 181 123 66 161 196 235 32 52 132 192 130 248 247 11 167 172 153 63 119 234 202 231 106 119 87 238 67 196 249 56 97 137 208 191 107 110 238 234 217 40 250 57 128 34 127 87 74 71 31 129 244 215 177 147 0 43 236 201 140 120 159 60 12 57 63 136 94 23 45 229 225 228 19 249 119 252 14 115 154 40 110 4 186 105 40 70 91 54 119 202 234 123 101 72 206 131 85 90 7 239 58 68 210 245 115 167 174 254 47 212 101 129 39 75 13 248 86 7 11 245 187 209 204 80 24 178 132 103 28 177 24 121 191 112 28 43 6 110 122 177 76 240 32 163 253 108 91 199 54 24 90 207 8 111 235 150 133 121 70 237 122 116 20 64 78 108 54 194 74 70 166 238 132 71 35 223 229 140 68 25 243 236 136 118 2 46 71 211 50 5 83 247 64 254 223 159 115 229 154 223 88 86 152 237 180 13 22 35 190 180 4 137 242 57 80 116 132 252 176 112 202 234 89 160 240 48 161 206 8 33 13 228 128 46 228 73 188 70 69 246 105 134 243 163 25 75 38 62 128 133 85 143 96 40 157 197 113 104 88 109 155 114 15 22 33 197 212 11 232 33 7 33 144 192 241 47 1 246 82 147 64 109 54 78 220 121 196 129 155 15 56 172 196 200 169 205 183 184 73 240 227 203 202 62 171 105 14 132 160 67 173 195 197 26 212 34 95 153 80 80 64 189 38 228 244 231 115 134 67 2 195 104 177 64 0 197 20 64 72 179 79 133 52 210 149 130 86 243 109 212 249 162 63 21 164 41 68 133 41 156 45 152 212 123 128 214 103 125 69 98 171 109 214 207 247 5 135 1 208 116 80 86 136 8 122 53 211 159 159 48 76 55 68 6 135 46 65 227 61 63 29 78 216 237 3 155 61 29 174 211 144 88 219 174 226 53 61 151 67 173 176 228 42 160 172 63 184 227 47 87 240 112 136 177 68 32 228 93 126 91 209 69 152 219 139 141 163 197 135 113 129 30 192 162 223 18 108 148 53 132 74 80 193 39 232 121 230 163 69 46 248 35 115 114 163 218 78 244 194 72 154 62 10 67 178 68 4 101 9 177 220 30 39 244 57 11 3 139 103 43 75 84 147 47 50 14 19 150 79 85 237 111 120 49 97 90 59 162 145 240 69 200 208 71 13 208 75 173 136 110 222 152 6 0 61 9 67 180 161 154 210 134 18 216 109 107 55 239 202 24 0 118 6 187 146 149 106 129 146 238 232 3 1 48 152 171 133 184 165 131 249 86 4 169 95 74 158 205 122 187 46 77 26 213 64 198 139 200 40 158 197 8 234 89 136 133 72 133 161 72 24 32 135 97 79 200 39 81 103 26 153 149 89 102 109 164 84 247 234 35 181 176 49 22 160 126 50 44 210 29 104 171 143 144 238 116 80 110 192 0 240 89 40 43 19 50 44 173 75 56 171 210 35 250 237 152 67 76 135 69 219 96 59 18 157 4 44 180 65 167 33 218 211 174 179 107 68 29 59 12 16 230 199 92 140 4 62 135 187 2 211 94 98 58 35 67 188 35 106 181 179 172 6 43 17 211 244 138 132 116 206 165 229 15 239 64 67 51 178 163 51 97 81 11 88 149 54 104 151 128 239 135 171 6 85 160 125 53 141 219 115 252 249 110 210 73 165 16 128 100 42 181 70 192 203 17 149 0 65 205 3 74 89 82 242 73 117 71 11 67 30 104 133 113 248 188 66 96 84 43 25 59 154 247 120 74 71 69 198 250 0 100 56 143 53 220 5 34 125 39 227 96 209 125 13 138 208 5 73 221 216 202 56 88 72 227 232 58 13 96 82 10 171 167 220 174 115 78 162 36 161 88 87 207 207 123 163 94 165 193 31 156 84 244 29 45 164 247 82 64 38 67 175 233 17 187 191 99 139 30 158 37 179 217 79 7 128 252 70 90 207 48 231 219 26 96 78 253 149 241 96 232 20 165 180 177 8 102 246 21 43 119 76 91 146 115 30 64 39 66 0 135 33 244 161 110 68 79 198 24 110 22 120 1 222 72 120 46 214 222 7 72 196 56 148 137 188 9 64 105 166 110 24 43 253 85 168 46 88 129 240 172 2 181 103 3 105 7 193 42 100 81 213 186 244 234 133 31 134 110 14 6 45 205 182 72 71 251 140 9 238 159 186 118 59 190 248 193 202 222 9 57 25 189 162 17 204 147 22 59 90 152 139 153 220 32 101 95 206 93 98 168 127 183 29 142 21 135 226 137 188 88 207 80 127 128 176 132 41 172 0 9 79 233 21 152 247 12 213 85 154 197 33 33 189 188 114 48 64 5 120 36 223 195 136 115 26 186 9 89 138 160 148 127 7 185 13 50 33 34 86 130 103 39 8 224 167 214 3 19 154 111 0 152 77 28 172 160 152 71 70 11 182 29 124 191 134 208 161 192 98 35 77 14 80 32 140 197 66 168 199 53 189 78 136 114 158 245 191 31 201 91 91 131 121 227 179 104 173 215 215 136 191 214 148 84 41 75 143 30 121 102 214 96 62 89 19 167 58 168 51 236 227 207 27 116 49 0 11 115 96 49 35 104 142 2 248 217 19 87 98 129 149 224 66 38 181 168 39 28 13 241 216 71 90 241 31 87 238 173 127 31 209 215 161 92 195 113 156 133 176 172 239 101 58 134 133 121 240 122 144 162 33 0 201 20 109 152 128 173 35 35 1 31 40 65 93 41 252 14 148 194 44 28 82 229 231 43 29 26 135 196 52 113 126 122 86 36 86 87 145 192 246 9 249 154 43 20 125 12 45 58 44 168 121 87 215 227 239 114 62 44 154 169 101 18 68 16 214 139 114 252 141 138 40 231 29 17 46 231 60 225 182 120 239 215 134 135 247 95 3 192 184 54 13 195 161 24 6 252 27 134 85 223 155 89 52 241 155 160 27 162 85 138 16 186 115 241 196 62 150 46 38 2 208 166 41 224 148 226 239 115 175 94 179 254 182 162 75 7 1 56 178 48 20 128 100 238 94 72 40 180 94 200 5 235 138 75 72 245 183 48 111 167 160 133 191 241 127 11 6 131 255 152 150 229 124 32 78 232 151 16 111 151 232 187 251 246 208 163 134 133 108 184 11 36 101 96 161 60 83 152 1 249 78 230 240 162 25 135 23 155 144 166 22 158 48 222 113 180 145 24 30 54 80 159 50 140 58 172 103 156 218 198 81 188 209 222 61 240 28 163 103 255 94 3 8 196 160 144 137 25 192 201 211 150 231 44 55 52 39 27 22 216 73 44 9 40 83 245 240 183 86 196 177 250 244 36 15 152 119 56 182 254 49 233 128 141 76 181 208 5 126 85 203 134 86 127 201 122 130 171 116 119 80 88 219 96 27 122 79 12 72 103 83 182 0 77 44 58 210 22 203 52 99 77 220 54 172 62 105 245 26 97 186 102 144 234 157 64 100 82 87 195 219 154 56 83 51 180 222 152 243 252 194 48 228 227 0 214 59 220 121 67 109 44 248 137 1 32 27 32 169 101 170 124 252 161 197 7 54 207 207 234 159 125 61 182 234 60 19 53 19 121 136 120 16 67 183 4 239 178 72 52 182 206 138 199 175 203 232 19 13 99 190 115 15 108 114 101 77 115 123 201 238 45 213 26 183 5 129 71 28 206 172 0 18 7 34 201 219 31 152 178 166 104 70 209 132 33 209 244 208 69 13 53 98 202 29 69 227 31 170 23 70 117 88 202 27 81 22 68 45 23 207 153 178 166 177 83 228 243 114 180 191 221 94 198 209 230 34 40 63 144 64 55 74 192 85 133 202 34 244 45 195 246 190 61 165 217 141 12 166 96 81 208 96 141 46 209 160 176 149 85 3 54 247 99 87 132 178 36 161 216 251 33 9 44 36 177 125 206 148 215 171 211 122 88 153 184 31 113 173 60 241 249 236 60 88 24 142 248 136 194 196 188 229 32 8 252 249 97 145 210 149 154 161 63 131 249 169 81 156 39 3 93 206 253 18 170 114 176 34 51 194 193 62 88 63 11 236 48 202 9 107 79 135 34 218 64 2 5 138 121 158 233 44 219 201 68 218 116 35 12 107 213 91 57 9 101 60 10 244 211 1 6 21 161 132 85 98 91 90 13 146 114 171 3 195 245 122 204 88 95 83 169 253 181 230 211 210 101 53 217 218 95 179 236 218 95 61 252 173 23 48 170 0 251 77 1 37 73 185 117 189 121 227 205 152 96 20 151 114 110 20 217 223 189 255 242 149 91 21 21 252 65 61 38 99 248 144 67 184 207 250 251 34 31 187 105 163 26 178 37 64 0 28 170 177 42 87 13 241 130 239 71 49 118 186 43 108 132 105 97 77 32 104 129 158 2 86 152 213 35 221 225 75 81 31 182 180 189 179 22 157 193 225 211 44 55 78 43 123 236 156 13 88 129 109 14 67 250 62 106 78 82 151 31 96 78 82 205 189 146 47 12 175 14 5 112 21 137 122 107 99 36 30 95 134 186 173 171 201 214 23 234 13 176 158 17 64 43 196 102 193 85 47 12 161 242 226 237 217 87 114 255 165 200 100 37 112 47 19 67 224 52 150 150 204 155 178 218 237 240 104 162 158 67 187 224 33 6 123 252 209 152 25 255 8 171 113 23 64 174 189 220 46 132 246 208 125 223 90 81 2 67 122 20 193 28 149 217 109 87 233 74 54 249 216 115 233 203 1 125 151 179 56 247 8 105 21 195 122 118 105 59 218 42 90 176 209 12 99 168 45 245 169 16 240 247 177 90 121 118 172 103 248 126 180 192 35 220 59 139 12 8 46 215 238 245 209 253 27 128 228 209 149 127 80 122 32 129 99 67 2 68 55 4 90 75 0 174 97 156 47 68 40 169 24 92 86 194 13 235 80 106 28 136 134 62 212 118 241 134 173 57 4 210 52 172 96 229 240 234 58 198 193 238 249 13 86 149 150 1 36 26 160 88 179 176 136 103 60 242 36 204 58 107 47 116 226 13 216 207 184 128 233 112 47 6 235 132 223 38 64 17 83 198 210 182 19 142 201 213 179 241 58 235 151 222 34 25 150 200 61 123 178 122 127 67 28 60 173 114 179 138 209 216 78 193 203 101 25 121 227 246 205 191 122 229 86 40 246 135 80 38 57 182 248 13 112 57 3 138 250 82 148 121 54 176 241 83 2 36 235 0 96 83 149 42 152 133 146 17 178 118 126 54 12 204 103 115 165 41 110 52 110 132 159 185 36 135 195 198 35 184 162 22 171 157 63 97 90 87 169 35 127 126 129 250 21 50 228 67 176 180 119 80 38 176 40 77 88 125 245 137 6 171 24 132 108 204 99 90 0 141 119 84 66 77 158 103 37 0 154 82 108 101 71 34 17 29 128 243 132 69 54 214 130 242 182 26 234 116 44 12 32 3 111 33 147 221 210 212 222 122 112 234 218 10 200 133 43 101 171 208 14 14 190 77 0 232 104 44 254 193 98 39 99 44 184 239 233 3 55 202 195 50 86 86 75 154 232 136 160 41 228 114 85 174 208 108 207 202 55 49 39 27 199 2 155 71 221 120 180 157 35 30 0 239 187 109 76 72 34 39 86 131 107 35 193 123 3 100 87 133 237 45 119 99 175 227 61 74 94 56 218 17 171 152 41 172 197 133 55 184 251 28 149 224 60 57 162 253 207 163 236 32 195 229 228 153 244 209 235 89 137 57 73 240 143 120 77 51 97 239 15 38 13 126 16 179 129 214 53 211 165 14 68 118 220 161 44 249 14 66 32 129 64 2 95 85 9 80 251 65 139 13 202 30 9 211 172 244 241 186 154 248 179 88 169 185 157 150 206 172 234 241 24 122 213 30 196 252 219 51 186 230 206 161 105 150 241 5 44 160 127 179 44 89 213 163 167 195 21 157 162 102 95 213 107 189 6 244 188 0 147 111 35 0 10 153 78 2 26 84 23 13 122 186 241 186 59 151 69 213 40 37 180 242 189 245 142 92 0 250 195 176 213 0 7 201 64 205 98 51 63 244 106 101 143 247 46 89 41 114 221 70 112 236 250 125 186 17 251 169 227 232 122 79 203 225 124 23 38 182 140 63 0 52 55 192 26 220 174 182 171 140 203 119 0 190 119 79 95 62 233 37 221 182 6 99 152 20 128 5 136 195 202 75 221 17 91 231 78 93 243 57 243 37 159 126 227 3 29 44 155 19 128 94 25 180 124 80 190 162 207 180 154 30 223 39 101 116 26 134 43 165 161 37 94 85 113 138 115 76 99 98 238 142 11 80 102 231 203 247 177 181 226 50 221 22 103 99 155 3 22 70 235 37 102 34 252 190 17 49 47 65 45 67 216 239 128 185 70 64 188 51 254 46 108 161 9 97 31 168 2 205 72 188 119 121 34 82 126 91 67 101 34 203 50 35 107 73 59 20 137 125 98 89 245 55 34 79 85 186 221 183 152 113 168 211 159 167 47 155 248 25 120 59 9 214 94 2 231 215 194 224 113 170 13 91 108 207 140 247 221 198 52 236 208 100 245 235 249 199 120 220 252 11 182 3 99 117 154 180 65 235 117 222 195 121 138 133 154 105 45 148 136 71 239 192 130 233 248 38 227 121 146 210 252 252 213 111 79 123 110 194 165 88 212 116 38 186 40 52 241 33 0 205 177 49 64 61 63 111 245 151 76 55 32 179 38 100 152 242 247 216 3 251 36 104 187 86 49 226 253 142 6 211 160 19 243 0 158 147 199 165 52 220 14 1 226 26 18 206 7 105 97 253 187 128 220 222 154 8 99 169 180 236 47 77 251 109 182 71 93 66 186 178 68 97 28 237 33 141 84 8 100 38 21 248 8 120 8 36 16 72 224 24 148 0 181 103 178 98 116 171 224 130 93 114 117 0 7 237 42 190 206 172 108 108 189 76 150 214 74 185 173 242 151 204 89 203 107 206 171 113 171 11 78 133 249 73 36 195 248 53 86 98 110 211 109 249 141 57 87 175 221 69 11 170 9 160 182 204 238 197 180 228 165 205 164 141 55 90 203 211 50 206 149 37 51 181 173 188 219 150 81 99 97 237 92 180 44 211 79 76 186 188 110 222 230 135 87 158 79 93 117 27 218 125 78 14 164 236 190 171 0 36 187 79 214 65 73 129 4 142 11 9 208 218 160 35 237 49 31 45 194 33 220 238 114 18 130 28 87 191 186 30 60 96 122 32 20 200 2 165 80 105 93 249 21 103 58 90 106 155 22 185 142 184 199 228 141 193 97 216 5 232 169 31 80 248 84 184 244 32 209 220 89 55 211 22 128 106 178 149 193 173 9 164 125 160 12 77 187 22 27 211 147 121 227 125 159 103 94 51 144 22 87 176 250 252 187 177 80 210 30 168 50 125 205 215 94 91 210 103 104 198 149 165 59 235 158 44 204 93 245 47 201 32 236 151 219 156 31 159 14 191 125 153 240 154 139 158 242 243 11 176 255 18 245 66 221 23 193 211 9 129 134 116 248 219 151 155 155 207 149 175 159 166 81 150 179 184 224 182 169 44 253 21 199 170 12 175 78 5 249 20 166 43 207 38 60 80 126 144 181 42 215 107 47 63 223 1 249 49 166 41 239 252 221 90 59 249 50 245 249 100 186 228 224 223 79 174 27 239 251 117 118 243 241 124 89 180 87 18 111 201 52 82 225 58 0 201 84 104 133 128 135 64 2 129 4 82 66 2 4 21 2 231 204 21 227 7 72 83 191 15 168 57 28 221 128 39 56 95 218 113 43 50 37 170 18 48 209 69 18 8 64 178 139 4 25 144 9 36 16 72 32 144 64 32 129 227 79 2 193 234 214 227 175 77 131 26 5 18 8 36 16 72 32 144 64 23 73 32 0 201 46 18 100 64 38 144 64 32 129 64 2 129 4 142 63 9 252 31 191 69 1 68 143 251 116 225 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/29/2011 15:39'!
seasideSplashPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 54 0 0 1 204 8 6 0 0 0 95 181 132 214 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 1 100 105 84 88 116 88 77 76 58 99 111 109 46 97 100 111 98 101 46 120 109 112 0 0 0 0 0 60 120 58 120 109 112 109 101 116 97 32 120 109 108 110 115 58 120 61 34 97 100 111 98 101 58 110 115 58 109 101 116 97 47 34 32 120 58 120 109 112 116 107 61 34 88 77 80 32 67 111 114 101 32 52 46 52 46 48 34 62 10 32 32 32 60 114 100 102 58 82 68 70 32 120 109 108 110 115 58 114 100 102 61 34 104 116 116 112 58 47 47 119 119 119 46 119 51 46 111 114 103 47 49 57 57 57 47 48 50 47 50 50 45 114 100 102 45 115 121 110 116 97 120 45 110 115 35 34 62 10 32 32 32 32 32 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 34 34 10 32 32 32 32 32 32 32 32 32 32 32 32 120 109 108 110 115 58 120 109 112 61 34 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 34 62 10 32 32 32 32 32 32 32 32 32 60 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 60 47 120 109 112 58 67 114 101 97 116 111 114 84 111 111 108 62 10 32 32 32 32 32 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 32 32 32 60 47 114 100 102 58 82 68 70 62 10 60 47 120 58 120 109 112 109 101 116 97 62 10 27 229 122 14 0 0 32 0 73 68 65 84 120 1 236 157 9 128 157 85 121 247 207 189 119 246 37 251 190 49 9 33 1 18 17 4 130 172 226 130 74 1 177 181 182 46 117 255 212 186 126 173 85 107 171 40 109 109 139 218 170 213 218 86 161 84 224 179 238 173 210 42 138 178 8 42 32 38 72 194 78 200 190 239 235 204 100 214 239 255 123 222 247 121 231 220 119 238 157 76 146 9 98 204 73 206 156 253 57 207 217 254 247 57 235 91 232 239 239 15 71 83 21 164 14 133 254 213 87 95 93 49 254 169 167 158 106 254 19 39 78 44 180 182 182 150 197 105 108 108 44 52 53 53 21 101 150 182 111 223 94 232 233 233 233 63 237 180 211 122 148 111 183 116 95 46 255 56 173 23 190 168 56 117 219 182 109 171 173 169 169 41 17 95 52 122 85 55 253 125 125 125 30 39 35 227 126 189 189 189 22 70 126 89 224 48 45 109 109 109 253 171 86 173 42 212 215 215 23 247 236 217 83 146 50 190 70 143 30 221 39 122 125 78 27 255 169 83 167 134 205 155 55 23 38 79 158 28 196 99 81 126 69 20 117 171 180 161 165 165 69 44 245 149 149 115 220 184 113 49 79 121 123 222 13 215 248 13 199 191 90 220 56 45 113 142 171 227 53 240 107 171 129 194 209 2 182 8 208 98 32 137 11 90 117 32 84 2 183 106 192 214 213 213 85 51 103 206 156 162 6 61 32 214 21 101 80 191 110 221 186 153 114 159 36 32 56 73 229 156 41 61 81 124 213 74 219 32 22 22 108 19 62 60 166 240 101 242 91 33 208 220 166 248 0 98 113 235 214 173 77 117 117 117 181 2 24 148 129 134 226 103 60 187 93 97 230 55 92 112 19 112 22 118 236 216 81 156 54 109 90 81 252 244 239 223 191 191 71 32 119 64 121 102 180 101 175 19 144 213 2 96 178 7 48 12 147 60 39 76 152 224 128 141 137 127 173 192 174 30 94 85 6 226 3 198 166 100 15 228 17 131 156 226 6 209 176 242 19 76 156 84 185 31 206 74 254 177 95 28 199 211 229 195 83 178 199 141 227 53 240 244 215 192 136 3 155 6 151 3 153 155 195 41 213 160 65 145 7 183 60 176 141 31 63 190 4 152 204 157 59 23 80 8 143 60 242 72 157 164 182 57 26 224 207 150 243 76 177 113 150 198 244 169 2 146 201 146 138 66 109 109 173 241 33 63 51 157 205 238 238 238 32 112 1 16 87 72 47 21 136 252 82 113 238 85 186 7 4 116 251 4 112 45 74 91 163 120 0 137 129 11 166 43 33 72 191 131 27 126 213 0 14 64 19 157 162 232 244 205 152 49 163 195 211 75 106 107 144 255 44 241 115 138 242 93 32 115 182 244 84 209 29 47 179 78 241 188 110 104 171 110 241 183 67 254 155 228 191 90 230 147 138 247 152 236 107 36 213 237 148 217 43 77 65 27 214 175 95 95 7 32 54 55 55 35 253 245 142 29 59 182 95 128 26 98 144 83 60 104 187 150 213 148 187 61 95 60 43 249 185 63 38 192 31 199 199 239 184 58 94 3 191 182 26 24 49 96 211 32 139 129 44 182 15 183 112 101 3 35 15 108 15 63 252 112 225 149 175 124 101 64 58 3 212 36 229 116 66 120 205 154 53 115 4 26 175 208 160 255 29 177 112 186 128 109 140 166 164 0 80 144 52 103 90 97 12 188 62 133 203 218 159 231 205 166 118 14 126 194 128 176 111 223 62 128 238 23 138 251 239 162 247 45 1 92 231 238 221 187 91 5 114 189 76 21 201 23 64 195 68 185 189 26 192 49 69 150 68 9 48 30 160 158 36 73 158 36 208 89 36 250 103 203 239 57 210 39 75 58 155 32 16 10 10 54 222 229 55 72 17 134 114 179 179 179 51 8 40 247 136 206 114 249 61 168 160 197 162 243 160 220 79 78 154 52 105 59 113 5 102 77 2 206 58 77 89 251 167 79 159 14 15 14 82 4 163 188 28 177 191 219 61 204 227 185 191 37 76 255 224 119 28 216 226 26 57 110 255 181 215 192 17 3 155 6 84 30 40 242 238 67 45 100 54 152 242 224 38 96 171 217 178 101 75 223 197 23 95 220 179 98 197 138 89 2 163 247 42 251 215 107 141 105 34 153 56 144 201 138 228 210 15 111 26 228 76 207 42 242 4 235 10 7 40 0 189 62 236 82 6 116 13 13 13 128 70 56 112 224 192 143 229 247 65 77 29 31 144 116 53 70 192 214 47 169 12 250 25 160 197 246 24 220 4 50 172 129 149 230 207 159 191 87 113 138 146 162 126 71 230 27 4 106 207 19 239 19 5 154 6 98 240 77 94 202 63 230 3 178 166 224 211 85 100 199 179 36 80 15 208 81 94 72 139 161 189 189 29 192 127 92 241 238 150 249 3 209 188 79 210 220 14 217 155 54 109 218 212 40 169 182 119 212 168 81 86 63 242 203 234 58 181 227 118 191 188 93 65 25 40 122 28 252 80 78 47 113 29 255 91 181 6 212 46 3 141 89 53 86 229 0 181 165 245 105 15 197 237 246 227 102 121 13 28 17 176 85 104 164 195 110 180 114 182 178 193 21 28 220 0 53 77 71 109 13 77 18 207 255 81 222 127 59 102 204 152 73 72 45 2 6 22 250 33 65 254 174 115 36 203 157 7 233 95 14 48 37 129 64 65 210 218 78 209 255 139 235 174 187 238 90 241 33 108 104 170 17 224 25 184 197 64 230 211 80 129 84 191 192 182 36 201 175 247 204 51 207 108 95 187 118 237 217 2 160 143 9 124 46 67 42 235 232 232 128 103 24 54 233 15 94 68 191 34 0 19 150 134 151 23 32 113 65 195 53 62 128 114 1 80 6 240 216 88 144 186 95 233 191 42 169 237 91 154 134 174 151 187 69 0 87 47 41 178 39 149 62 227 244 110 199 116 149 247 203 187 137 119 28 216 188 182 134 48 213 14 244 77 91 7 205 69 203 143 27 220 113 27 228 162 155 51 14 143 237 73 224 111 57 232 81 201 135 165 210 70 58 172 180 195 72 84 6 78 2 52 3 53 173 163 141 19 168 221 36 96 185 86 131 119 210 174 93 187 186 83 80 99 39 19 93 17 28 242 249 37 253 43 239 91 230 102 97 191 6 31 129 67 183 164 171 177 202 243 223 222 250 214 183 126 78 249 150 228 238 146 182 221 211 56 149 192 196 58 168 214 179 106 191 246 181 175 117 156 117 214 89 29 226 247 221 2 155 219 4 144 151 33 81 65 79 60 3 156 36 53 190 149 23 166 121 196 244 220 62 68 31 37 13 101 54 58 50 11 0 173 164 182 30 129 113 15 121 136 239 179 197 243 167 145 60 181 33 241 46 129 109 253 148 41 83 118 73 106 44 73 130 164 140 208 240 188 157 94 92 143 30 30 199 113 63 37 53 229 97 238 62 110 86 175 129 60 8 197 117 231 245 234 166 183 131 187 99 51 14 139 237 73 131 12 163 147 87 103 241 55 63 228 176 36 54 213 25 21 156 87 149 252 242 113 14 201 45 105 45 176 105 32 41 169 87 107 105 23 8 32 254 67 82 198 92 13 90 164 152 30 192 167 50 43 229 217 32 204 245 103 63 128 72 64 3 225 164 143 156 3 1 169 141 112 229 131 68 88 146 196 195 154 213 87 180 179 248 118 77 239 10 123 247 238 45 73 98 52 201 205 19 10 180 106 78 63 253 244 93 79 60 241 196 116 73 109 159 146 132 246 106 166 153 210 221 41 191 195 174 243 225 148 205 243 173 98 50 117 49 222 37 161 21 4 102 76 85 239 149 244 118 149 214 41 239 216 185 115 103 139 0 175 78 192 215 45 233 151 1 231 26 114 110 199 68 85 115 19 230 107 119 216 143 171 42 53 160 182 160 171 197 221 45 111 207 135 15 162 52 87 233 103 180 133 66 99 77 210 161 111 89 158 173 111 230 219 201 210 170 207 185 255 32 90 199 178 199 176 7 153 87 66 218 56 238 140 205 184 145 98 255 195 182 191 237 109 111 43 125 241 139 95 236 94 189 122 245 107 36 13 221 32 160 168 145 196 193 177 14 151 52 140 118 210 95 202 179 233 77 215 246 233 74 58 240 21 74 58 49 129 25 199 213 162 90 32 158 199 37 78 37 69 26 245 15 91 32 23 176 150 36 41 126 74 107 110 31 100 205 77 82 80 159 206 213 217 148 146 41 106 91 91 219 46 129 240 2 241 251 45 73 110 39 11 60 124 97 125 144 132 151 207 203 144 67 60 101 93 81 249 198 202 93 120 195 147 187 227 56 85 236 144 134 15 206 0 22 153 34 171 60 215 8 236 254 65 128 214 41 119 171 36 189 225 76 77 141 69 209 241 193 226 110 192 221 234 64 230 113 85 165 6 212 102 52 153 55 91 37 179 82 56 212 44 238 249 19 66 205 242 109 161 111 115 114 62 147 58 47 190 114 70 168 217 42 144 187 115 149 253 184 16 215 219 196 219 136 190 155 217 137 240 219 160 14 9 216 210 134 169 84 47 222 72 149 194 242 126 195 138 251 185 207 125 174 230 61 239 121 207 1 129 199 149 154 246 125 135 53 35 73 23 221 226 33 57 183 17 81 77 250 139 90 20 160 82 19 150 212 127 26 235 74 161 174 70 18 186 220 157 90 235 63 208 211 23 58 186 122 66 143 128 204 122 143 226 52 215 215 132 166 58 45 190 43 94 183 194 247 43 156 46 80 13 224 68 159 41 100 17 94 36 153 253 161 118 25 191 33 16 27 11 216 58 168 105 61 109 161 194 111 22 128 204 150 100 9 191 101 32 28 177 109 86 192 21 12 134 39 242 173 209 209 181 26 153 216 189 92 158 6 222 136 79 25 122 116 180 46 73 75 121 28 180 61 230 144 102 143 36 223 26 241 27 36 113 254 88 246 247 107 7 245 33 217 199 82 190 10 27 11 202 117 208 96 137 65 140 112 36 182 216 111 72 6 126 91 3 213 158 214 245 84 126 31 3 177 25 135 185 157 170 42 140 83 215 152 62 58 148 150 237 14 237 114 215 188 102 118 152 48 103 82 168 187 254 145 176 115 253 158 254 109 34 91 123 197 180 80 251 63 27 236 64 250 160 246 82 187 226 247 91 165 134 13 108 105 163 84 171 28 111 160 106 225 248 15 21 167 44 236 79 255 244 79 107 63 253 233 79 119 44 93 186 116 161 166 127 63 215 84 169 85 83 62 206 112 213 86 107 35 192 1 128 106 169 175 13 93 2 178 21 219 246 133 101 235 118 134 71 54 238 10 171 100 223 180 187 61 236 233 236 206 64 132 12 91 27 235 194 156 137 45 225 244 153 227 195 249 115 39 133 83 167 141 9 221 2 140 253 7 122 134 2 183 30 73 58 53 218 0 88 39 18 47 210 148 243 41 173 89 141 94 182 108 217 46 109 20 76 23 8 255 80 82 208 201 2 53 54 58 56 135 86 81 217 105 17 49 209 160 139 14 141 2 87 202 5 0 239 106 239 10 123 58 186 67 71 119 175 73 146 54 20 68 129 174 9 216 1 196 163 26 107 195 104 241 94 175 180 248 117 137 231 3 138 223 163 35 46 196 227 60 111 89 133 14 230 0 128 238 23 136 149 196 231 86 213 235 123 116 28 229 155 90 255 27 67 59 11 148 125 106 233 3 2 211 53 212 0 49 15 195 93 233 134 7 254 199 85 84 3 233 24 98 61 204 21 205 228 58 94 39 203 252 70 9 200 180 5 132 180 223 245 157 23 135 139 158 55 35 188 185 169 38 44 212 81 236 122 29 92 218 190 243 64 248 193 71 126 25 190 112 221 210 176 65 224 214 112 28 220 146 170 29 22 176 165 13 226 141 145 55 15 50 134 44 122 165 56 238 231 166 69 188 244 210 75 139 183 220 114 75 151 204 186 127 251 183 127 187 77 83 191 243 89 112 119 80 19 47 101 249 51 141 100 112 143 210 64 223 217 126 32 252 248 145 141 225 127 30 92 27 126 185 106 107 216 188 71 231 188 56 153 161 94 160 40 22 175 40 187 145 208 176 212 124 204 0 69 23 148 194 148 209 141 225 119 78 155 17 222 114 193 73 97 222 148 209 2 151 174 138 211 61 0 72 60 116 11 20 106 53 37 253 134 128 225 117 98 72 39 46 234 186 181 158 246 109 241 123 153 166 159 21 37 75 24 7 120 144 180 144 22 107 148 239 250 93 251 195 47 86 110 11 75 86 111 15 79 108 222 35 158 59 194 110 129 27 210 35 101 243 242 82 106 164 185 86 165 163 172 147 71 53 8 148 91 13 140 23 76 31 107 246 81 13 181 6 110 237 93 189 58 70 146 212 11 121 86 83 148 67 64 92 203 26 160 202 245 17 129 219 63 168 60 77 170 235 98 21 112 115 169 204 65 206 193 237 56 176 85 171 228 200 95 245 77 51 58 176 97 119 29 131 26 118 119 215 142 111 12 245 219 59 66 239 3 191 31 254 248 217 227 195 71 11 141 74 227 173 144 110 25 117 181 135 135 190 187 58 188 241 15 190 23 30 168 6 110 106 95 111 171 136 163 99 215 122 80 96 75 27 99 168 26 160 113 134 82 249 112 119 231 77 163 161 51 106 197 59 238 184 163 115 249 242 229 215 232 96 236 159 11 212 88 75 208 236 210 163 171 55 164 118 166 100 77 154 114 178 118 6 152 125 225 142 199 4 104 186 21 165 249 104 141 252 235 37 193 1 30 182 182 6 117 145 32 237 0 37 188 180 126 166 160 3 2 192 118 129 73 219 248 150 240 177 151 157 30 94 126 198 9 97 175 36 60 75 67 218 84 165 192 102 83 82 188 180 54 117 185 166 164 223 211 14 227 199 5 106 31 118 126 61 126 108 2 104 240 130 180 245 196 230 221 225 43 247 62 21 110 22 223 72 148 186 144 0 254 10 124 19 158 185 76 85 48 201 43 225 54 225 59 89 127 179 117 193 180 159 214 232 138 233 248 230 134 112 242 212 209 225 162 121 83 194 197 243 167 8 236 52 111 81 62 123 59 123 12 68 1 254 74 42 173 71 118 79 109 106 170 27 24 159 148 244 121 149 192 173 185 10 184 197 146 90 12 110 72 120 180 211 113 53 68 13 168 158 105 8 7 45 236 174 221 15 19 184 194 172 153 211 24 26 87 116 132 238 31 94 22 94 251 226 19 194 167 136 221 223 43 233 56 89 121 32 86 210 6 205 161 246 192 126 129 218 119 195 229 63 90 27 182 95 220 22 10 233 154 91 220 70 252 120 225 254 173 80 67 2 91 218 16 7 171 8 26 167 154 138 195 242 246 216 109 233 175 184 226 138 154 155 111 190 185 253 193 7 31 124 137 118 237 56 92 74 99 48 152 132 7 130 32 235 23 234 13 50 25 220 76 201 54 237 238 8 87 125 231 129 240 173 251 87 34 10 133 70 249 1 14 166 184 18 42 121 157 100 14 103 102 215 159 56 115 232 1 56 76 225 246 9 204 112 127 242 247 207 12 175 59 119 174 166 175 93 22 150 16 68 226 202 250 70 143 54 7 106 36 157 125 85 224 246 101 173 85 221 162 181 181 162 142 116 24 191 30 31 147 188 0 225 250 218 100 234 120 195 207 150 135 207 254 232 225 176 118 219 222 80 146 95 131 52 0 108 113 137 204 229 8 254 155 145 242 106 110 241 104 177 210 48 69 80 13 105 189 77 211 88 1 35 192 57 185 181 33 92 36 112 251 195 179 219 194 121 154 94 67 136 50 25 184 139 70 94 81 86 149 169 87 102 137 51 118 2 183 127 16 184 1 208 45 196 205 173 185 81 120 215 4 187 29 137 237 56 176 81 35 67 40 213 49 45 64 19 98 198 118 252 208 25 168 77 107 12 13 27 58 66 241 119 103 135 121 255 249 130 240 85 29 77 28 15 168 137 66 109 150 58 105 79 22 89 123 66 83 168 221 180 51 124 106 234 151 194 135 46 158 24 154 238 220 106 247 166 253 135 200 218 73 237 140 249 91 161 142 20 216 146 170 173 94 85 30 30 155 110 47 75 165 59 159 5 73 105 61 2 183 122 109 28 252 72 3 234 60 45 104 219 148 142 246 160 79 184 102 45 105 76 99 125 120 120 195 174 240 182 27 127 22 30 89 177 45 212 182 232 62 168 192 129 193 77 195 3 7 25 190 97 183 62 37 127 194 160 85 150 123 226 135 23 211 189 78 73 110 196 185 246 13 231 133 75 159 53 195 214 189 144 122 226 126 161 240 62 128 76 211 184 173 74 214 169 169 232 76 206 167 201 238 216 3 57 203 7 80 3 188 88 11 251 200 127 45 9 95 190 251 9 93 25 40 134 102 77 29 161 105 60 91 92 202 72 154 132 187 60 175 73 249 19 154 70 92 127 108 61 77 209 75 136 123 82 172 181 49 21 29 45 128 127 233 179 166 135 183 61 111 126 120 150 166 170 251 180 110 200 134 67 53 233 77 73 141 119 237 60 115 165 236 42 29 103 249 196 198 141 27 71 107 147 193 175 145 57 136 197 38 89 226 102 61 241 56 176 81 27 67 40 181 31 13 11 120 97 186 118 64 75 39 150 22 94 59 177 62 52 109 61 16 138 191 252 189 240 23 103 206 8 111 236 63 16 36 89 235 52 128 167 138 77 234 94 151 79 122 186 195 198 143 254 44 188 224 239 23 135 21 218 45 45 125 115 93 182 169 99 109 166 190 134 249 91 161 202 6 97 92 226 180 17 98 175 67 181 83 245 177 242 166 136 253 50 251 185 231 158 91 163 122 239 189 230 154 107 46 215 226 60 160 198 25 44 252 44 14 38 154 53 179 86 109 16 60 185 101 79 120 237 117 63 17 168 109 13 13 173 245 22 167 91 128 231 32 129 36 19 55 35 110 20 126 70 203 92 3 127 98 250 72 86 157 186 243 254 55 255 243 96 88 191 115 127 104 148 219 233 122 10 197 7 212 250 53 101 155 40 128 3 212 200 96 80 125 178 142 199 148 24 112 251 191 95 189 47 124 249 206 71 67 147 64 135 13 3 118 98 145 60 93 57 207 213 120 77 120 76 144 36 75 163 228 144 0 236 161 85 167 13 133 177 205 117 182 126 248 245 95 172 12 127 116 237 93 54 69 103 54 202 186 30 124 84 82 170 107 164 226 94 157 115 227 193 128 191 209 213 181 87 9 220 182 107 211 134 181 196 184 45 243 237 24 135 85 34 125 220 175 122 13 80 119 244 153 88 151 70 55 132 122 129 90 105 193 184 48 123 254 232 112 73 250 147 161 197 225 202 132 36 224 151 52 65 237 175 169 15 83 95 125 106 120 161 98 245 109 213 106 132 76 111 43 75 57 2 99 186 50 3 207 64 223 65 3 113 132 120 140 155 128 60 188 130 243 228 205 191 173 173 173 120 247 221 119 219 47 190 22 179 57 179 70 60 206 90 197 116 52 112 251 66 157 36 170 189 154 30 190 251 43 247 132 213 107 119 132 122 77 189 144 132 252 78 58 195 214 1 45 51 51 144 27 24 212 6 34 121 110 82 55 146 77 171 164 169 135 55 236 12 55 254 252 41 155 66 58 173 92 146 2 23 224 211 171 84 101 188 18 143 52 72 72 72 85 127 254 173 251 195 183 239 89 30 90 196 47 121 3 68 30 39 166 125 168 224 6 216 129 217 148 140 180 0 48 0 71 190 227 180 246 198 70 196 223 252 207 175 194 59 255 223 61 97 221 206 118 73 186 181 101 96 106 76 144 54 97 162 36 179 71 96 205 218 225 231 116 70 239 28 109 40 236 2 220 20 37 110 195 216 238 36 142 155 105 13 0 32 149 84 90 135 94 79 94 135 101 160 166 192 154 49 53 161 65 102 233 253 11 195 115 53 17 153 110 123 206 128 31 141 156 239 101 114 35 7 106 164 244 2 101 211 91 194 243 20 171 225 225 45 33 204 29 220 102 10 250 237 80 21 129 141 70 25 161 226 59 253 60 61 220 153 223 188 121 243 74 43 87 174 236 252 254 247 191 63 79 131 234 2 13 36 46 135 23 165 19 233 42 26 249 156 79 251 167 31 63 18 126 241 240 122 155 126 114 180 35 25 219 26 214 105 188 204 100 168 211 25 164 12 48 18 107 226 151 249 167 158 21 12 142 83 252 247 3 171 195 234 237 251 52 149 76 167 185 131 227 149 149 37 14 6 100 0 200 127 209 166 198 77 119 63 25 154 90 26 76 146 138 121 34 62 110 247 51 119 202 55 60 15 132 187 139 184 73 185 210 34 36 110 225 164 209 137 210 0 158 72 112 108 86 124 127 217 186 240 198 235 239 14 247 105 218 62 166 73 18 93 5 201 45 161 219 95 35 233 179 91 187 162 99 228 254 172 36 231 81 90 115 59 32 211 207 227 121 187 197 229 38 12 240 195 116 141 196 16 15 90 236 113 26 57 143 61 149 142 29 47 103 190 174 242 110 175 19 175 39 234 172 118 91 151 213 101 235 185 147 195 69 212 166 218 185 207 19 86 172 49 5 218 127 137 6 205 53 225 140 203 231 132 169 91 183 134 190 209 211 76 106 35 201 144 201 43 210 252 13 247 164 66 203 212 33 128 218 193 42 171 90 184 251 99 162 139 90 176 54 62 116 154 255 44 73 108 227 53 176 224 201 226 165 131 77 231 203 122 67 179 166 111 15 172 217 30 190 244 147 199 131 230 119 153 148 102 77 175 4 14 16 12 120 7 10 247 131 96 126 224 59 109 139 79 132 72 49 240 153 46 46 223 178 55 252 124 249 22 59 111 230 52 163 104 85 173 76 249 70 11 64 238 122 98 115 248 196 45 203 108 147 128 200 169 160 150 165 75 0 55 5 42 71 42 133 154 191 220 152 168 164 28 238 194 157 166 177 80 139 17 249 89 106 11 113 9 14 233 237 73 29 39 121 171 214 36 57 18 51 174 185 190 34 184 25 165 254 254 90 173 179 245 104 157 243 28 214 219 228 199 193 208 160 221 82 31 136 56 189 253 176 219 128 148 25 131 26 126 49 184 121 124 55 73 119 44 171 74 221 138 242 122 249 49 29 208 48 173 190 198 235 120 162 94 7 44 92 50 45 204 153 217 162 39 173 226 149 203 56 37 148 80 78 5 90 218 155 214 239 254 137 111 63 45 44 80 72 207 244 86 163 73 12 148 153 135 48 190 147 84 191 161 127 13 80 70 152 247 124 245 123 197 146 141 219 203 76 73 3 54 47 19 168 45 146 102 128 218 52 148 193 155 41 89 121 60 251 38 77 231 218 117 216 182 214 215 189 210 40 54 240 129 129 52 205 192 192 79 0 0 58 54 220 21 31 211 220 89 218 212 109 113 8 23 0 73 35 183 2 168 63 127 106 139 173 77 177 78 53 28 5 152 176 174 198 52 240 175 111 254 149 238 103 118 217 116 150 41 46 202 120 77 243 118 122 25 111 169 228 101 241 224 84 241 98 126 173 92 105 162 129 50 58 21 104 39 105 60 189 135 144 55 231 223 56 0 252 222 175 222 27 126 40 137 183 154 228 150 166 41 170 93 120 14 233 189 154 146 254 190 36 184 157 220 88 72 215 219 188 38 48 221 238 37 114 211 179 142 77 143 27 251 29 19 118 0 3 149 22 166 82 29 120 93 185 233 63 18 184 29 216 36 95 219 161 238 210 155 230 133 69 77 13 97 140 192 42 221 35 79 99 17 59 166 238 169 89 129 211 50 107 161 33 20 78 29 31 206 133 143 61 90 167 147 225 249 225 133 253 183 66 149 1 91 212 48 135 91 248 184 18 161 81 169 34 221 207 76 173 225 20 117 195 128 227 6 77 26 56 103 106 109 135 193 105 77 103 131 84 34 14 131 146 5 252 85 154 18 222 170 1 169 173 203 114 105 45 137 109 237 157 0 68 2 5 41 25 3 134 132 98 2 18 131 193 194 1 1 80 72 52 136 194 186 29 199 48 30 221 176 219 14 236 178 99 234 116 134 170 32 226 176 80 127 195 207 151 135 251 30 223 100 71 80 6 64 109 32 15 226 197 244 224 26 232 139 253 241 51 183 149 206 195 210 120 22 55 225 147 153 165 85 67 230 151 198 53 223 36 132 91 21 72 189 220 108 120 223 215 127 17 238 17 96 3 110 149 54 20 84 15 188 112 210 147 254 208 124 92 210 218 9 218 49 109 87 27 85 26 44 222 238 110 82 61 222 206 216 81 121 119 226 251 27 252 151 241 226 106 152 197 240 58 240 122 194 100 12 154 214 22 88 237 150 46 147 122 199 60 119 82 56 15 95 181 156 14 56 218 191 68 166 115 10 113 134 38 235 13 120 140 111 8 139 228 26 173 179 108 253 51 18 218 158 223 64 164 99 220 86 6 108 71 185 172 113 229 102 205 163 235 71 240 208 125 211 77 55 205 212 250 218 201 186 15 10 27 44 202 107 64 107 208 162 109 173 168 16 126 161 29 208 141 58 204 90 208 122 23 3 126 0 21 210 33 13 2 72 25 16 16 156 218 99 63 179 147 218 194 147 248 113 120 150 150 112 105 206 196 113 27 96 135 230 7 128 156 229 75 130 42 138 41 44 160 198 180 239 95 181 182 166 68 9 31 138 79 110 174 73 238 32 234 121 226 71 12 251 151 230 239 62 86 15 138 152 133 41 31 75 111 105 156 86 66 63 241 74 195 161 147 82 165 210 1 177 22 173 251 109 223 119 64 224 118 191 241 201 109 134 42 107 110 53 60 129 164 131 199 39 234 10 217 7 149 220 214 8 210 41 105 146 77 57 96 101 237 154 6 198 109 238 241 49 221 191 204 20 72 176 51 91 85 197 4 142 212 94 53 147 67 8 24 38 15 94 39 177 25 151 219 64 77 180 74 250 141 225 10 94 225 213 39 134 147 102 180 132 211 236 176 6 192 68 3 58 120 57 21 207 28 55 20 20 46 209 142 19 109 161 169 54 44 252 224 162 112 130 124 187 231 78 180 148 113 108 183 31 211 230 72 2 91 92 229 177 61 95 129 30 102 77 34 41 0 201 160 119 246 236 217 11 116 22 108 2 192 38 119 25 95 8 248 12 188 197 171 117 171 64 231 180 56 85 207 160 54 149 51 13 36 146 225 159 6 51 192 25 220 169 233 201 220 45 179 154 34 132 27 0 237 93 221 2 54 201 245 154 139 122 118 213 210 224 95 171 68 215 233 172 218 134 173 123 67 67 53 208 80 60 232 155 22 81 3 169 136 21 231 151 53 57 207 211 253 48 81 86 46 253 81 213 100 116 144 50 221 157 196 225 135 33 141 155 166 243 105 233 83 90 63 252 168 14 55 115 125 139 123 182 128 103 5 101 83 82 249 191 69 83 210 139 52 37 221 171 31 32 94 56 161 141 226 182 172 102 143 73 18 39 142 23 135 5 61 79 229 225 213 204 178 248 35 224 168 150 79 236 63 2 217 148 149 57 166 77 29 162 129 173 154 154 126 219 52 40 189 246 196 176 168 182 33 52 232 64 46 155 6 201 177 70 86 47 227 26 151 211 154 19 106 150 90 17 153 142 10 216 106 107 194 132 43 230 216 147 243 189 53 3 235 108 196 52 5 118 187 253 88 53 169 42 83 71 88 88 175 40 55 161 153 183 87 116 107 234 105 254 58 245 254 44 93 118 103 128 243 206 154 29 28 102 176 51 80 1 178 118 29 48 125 84 23 218 131 110 19 8 94 146 70 77 7 106 82 2 253 181 113 153 12 251 4 40 6 236 196 113 96 240 248 238 54 51 79 203 34 41 196 6 187 250 86 204 189 19 200 153 38 173 105 245 246 161 117 59 194 215 116 134 140 149 220 202 88 81 158 16 182 77 167 229 245 52 206 23 238 216 111 144 244 166 64 43 111 74 54 41 123 90 29 230 151 134 67 39 201 201 166 247 156 119 187 237 209 141 225 159 111 127 204 46 215 151 115 149 185 138 106 163 30 1 90 173 36 231 247 201 23 147 165 131 130 110 93 120 173 184 73 162 216 238 238 188 31 254 135 172 142 176 143 14 55 191 172 57 148 0 251 72 41 234 32 175 29 216 138 18 213 106 183 118 27 68 141 63 99 156 214 200 146 156 147 191 41 112 25 176 229 185 113 88 76 246 164 25 26 189 192 99 219 168 112 142 162 214 173 224 19 63 9 36 98 122 254 216 143 105 149 1 219 17 148 242 80 58 173 87 172 167 225 155 0 214 120 58 20 218 166 142 203 0 53 119 50 56 145 62 250 116 107 64 11 161 186 148 190 113 151 54 231 144 154 172 213 21 45 137 41 211 44 42 66 106 166 110 247 198 119 192 158 72 48 94 94 104 17 102 26 123 250 79 19 97 253 75 166 110 173 13 53 186 116 222 104 103 207 134 6 56 253 228 74 90 251 170 174 119 237 216 177 223 118 82 57 123 231 101 201 155 206 131 155 198 167 28 73 188 28 207 98 208 37 47 226 27 159 248 73 123 249 18 105 205 221 196 39 156 184 137 202 232 102 233 245 78 184 202 246 239 146 46 111 127 108 99 24 213 80 249 24 136 162 151 216 72 144 164 246 59 58 184 251 98 77 77 247 104 106 90 163 43 101 16 206 218 18 71 170 188 157 221 157 55 61 77 222 223 165 182 65 254 169 7 216 198 116 245 136 181 232 197 60 100 85 95 45 227 195 244 247 60 220 132 12 118 116 6 106 178 151 198 52 219 52 52 188 111 65 56 101 114 99 152 103 211 80 93 45 86 152 32 47 213 62 90 189 65 9 131 18 210 28 113 116 250 205 78 126 106 39 117 108 125 56 115 138 174 97 9 216 250 78 155 60 72 214 83 228 99 91 89 85 209 91 14 179 152 195 73 231 113 48 221 78 118 5 61 73 84 92 177 98 5 23 202 27 164 39 165 27 7 153 180 230 64 0 176 237 210 203 29 28 204 69 116 2 132 146 225 234 45 44 51 241 204 76 156 12 113 159 94 249 160 78 82 42 196 147 26 37 98 38 126 150 142 48 105 222 69 235 150 164 120 86 219 132 48 85 175 127 28 208 125 76 141 40 72 12 82 0 88 163 230 0 79 232 70 196 183 126 185 74 29 45 153 218 57 189 216 244 196 94 62 204 88 225 50 192 146 191 167 35 28 30 77 90 203 166 150 137 159 209 129 97 226 200 72 220 230 76 236 248 37 206 204 141 179 87 63 26 0 113 135 174 96 125 70 119 87 121 29 165 202 148 148 54 233 229 46 169 164 181 183 42 105 131 110 135 244 232 217 243 82 36 181 65 178 82 229 228 253 242 110 210 61 221 138 234 136 245 209 204 63 46 47 118 116 25 168 201 93 234 75 54 13 106 95 54 43 156 91 170 15 37 53 77 50 13 69 90 99 229 13 211 129 77 214 172 65 241 3 216 136 35 96 211 7 27 109 58 170 223 171 249 127 125 1 103 116 67 111 99 34 9 58 31 102 30 193 152 23 201 103 190 138 171 234 80 184 245 6 170 148 198 43 48 14 139 227 187 221 227 177 17 72 179 140 98 147 0 21 15 116 6 42 17 121 36 178 83 3 208 28 54 122 45 38 145 177 72 201 140 172 238 176 65 174 56 4 25 221 52 14 146 76 44 1 37 20 184 147 170 254 163 90 97 61 109 199 190 206 48 113 108 83 120 231 243 79 86 190 218 77 207 242 34 246 128 74 242 80 191 210 212 243 107 247 173 8 27 181 113 80 175 221 199 74 11 242 164 50 246 149 191 155 137 31 32 102 92 102 132 113 57 192 33 125 121 246 131 1 46 5 60 69 176 127 86 182 196 207 40 226 47 11 118 148 243 139 157 67 188 60 38 192 193 221 111 220 191 202 54 62 60 31 194 35 85 224 186 149 210 190 68 119 72 207 151 212 182 79 186 168 141 4 62 0 237 109 234 209 15 230 142 227 185 125 164 77 43 186 136 86 50 71 58 175 74 244 168 131 88 121 157 184 201 216 51 221 82 167 67 185 122 123 97 76 93 152 180 112 108 56 27 142 179 54 96 100 112 99 208 215 216 98 138 216 161 224 18 27 241 234 66 145 181 185 82 93 104 56 103 138 237 142 246 183 142 177 81 227 249 146 42 207 27 126 199 148 162 90 142 182 138 43 180 98 94 139 22 45 66 144 110 73 129 205 42 61 25 124 12 200 4 108 58 181 105 192 211 66 180 9 126 209 48 29 176 14 12 93 203 199 59 71 102 202 215 193 9 41 16 240 98 167 147 157 79 236 128 26 215 179 120 144 114 247 254 78 123 151 237 139 175 63 47 156 54 99 156 30 159 212 207 30 137 42 40 104 114 35 98 165 54 11 190 129 180 102 199 81 6 34 166 112 35 238 202 255 121 12 248 43 215 73 185 179 112 89 172 196 138 116 48 128 179 122 75 235 33 161 73 158 208 135 230 64 85 101 110 249 49 237 230 220 29 199 83 216 80 224 49 75 175 39 231 65 166 173 181 1 102 178 191 82 26 41 174 79 211 81 36 111 143 70 5 197 149 20 219 61 78 85 115 193 130 5 253 104 69 24 9 93 53 159 95 67 128 215 139 155 212 33 118 204 82 163 174 248 226 214 52 244 89 227 235 181 155 169 13 0 91 74 70 74 227 114 21 163 195 129 205 107 70 94 166 160 64 24 20 28 4 53 89 32 108 90 139 173 179 53 46 78 214 217 60 111 204 99 94 81 45 71 67 121 229 185 153 207 35 246 47 108 216 176 65 99 164 223 142 18 36 3 142 214 27 80 12 200 4 132 72 198 230 129 204 178 6 150 195 146 96 154 37 115 39 131 121 0 40 152 117 243 15 144 220 167 117 187 61 146 202 246 236 149 214 241 135 125 29 61 118 94 110 81 219 196 240 145 151 157 17 254 235 93 47 8 47 60 121 170 94 198 72 158 253 25 224 104 192 6 191 72 127 128 1 151 206 215 108 220 29 106 83 96 0 82 248 87 77 121 248 128 153 176 111 60 83 20 147 210 20 154 150 9 74 78 141 50 48 45 166 94 144 48 177 243 143 112 64 9 109 255 160 99 246 212 100 26 155 50 228 116 245 97 43 3 230 167 182 238 49 169 13 144 75 179 44 99 157 233 11 215 221 164 46 223 190 125 251 28 221 24 225 123 9 197 220 116 180 44 77 234 136 219 219 195 43 249 121 216 177 96 122 53 123 57 49 209 140 57 55 177 151 246 75 203 108 184 116 70 120 46 224 164 105 168 54 103 20 7 9 172 81 26 192 2 188 156 146 172 89 35 146 18 13 248 17 143 233 40 111 128 8 28 91 107 195 179 175 152 27 166 238 212 58 219 130 242 99 31 138 120 108 43 190 242 20 87 215 112 75 123 40 105 136 235 241 99 59 3 14 119 73 107 53 236 132 238 73 89 241 14 145 14 104 46 117 179 126 85 180 197 248 14 30 127 244 86 181 209 39 18 188 187 102 202 179 193 33 63 59 179 77 88 50 141 84 97 19 169 79 210 223 184 209 77 97 206 164 86 61 210 88 31 198 235 166 241 140 177 205 97 246 132 150 112 210 228 81 97 222 228 209 118 229 168 67 47 124 236 214 97 214 106 146 26 192 0 128 52 233 240 240 58 189 2 242 85 118 66 145 234 196 143 131 134 177 53 236 63 64 209 128 50 206 173 138 84 20 229 3 31 180 150 73 174 72 175 201 204 61 29 42 2 57 241 193 58 31 202 40 121 249 141 134 168 89 83 203 100 245 70 67 138 218 74 248 76 214 45 89 95 227 110 236 171 22 205 14 211 198 52 217 244 159 11 252 174 20 183 164 227 56 125 90 107 155 162 205 131 75 244 250 199 63 235 27 165 205 132 51 29 77 37 55 47 130 145 247 180 50 99 119 108 143 162 36 86 125 157 172 32 237 116 6 133 63 147 61 84 71 101 31 53 78 121 165 188 232 65 160 198 52 116 159 174 80 45 24 27 166 207 107 13 103 217 21 42 126 187 137 9 168 1 110 128 22 109 237 181 70 205 184 29 147 38 79 154 61 145 240 52 29 13 251 148 180 20 78 120 235 41 225 180 255 145 32 62 181 53 212 63 188 213 82 145 194 82 51 246 225 87 238 99 78 121 117 28 74 193 168 148 225 40 175 192 170 113 249 165 215 212 134 15 18 119 170 126 57 31 101 3 13 128 139 235 27 240 96 192 114 17 157 133 49 189 137 200 136 20 93 107 159 1 51 27 200 120 13 176 73 84 64 161 75 235 116 227 180 187 249 199 122 163 236 178 211 102 218 224 181 39 186 181 128 206 234 166 78 51 0 0 32 0 73 68 65 84 145 18 36 31 164 23 190 61 192 185 53 72 12 5 106 20 12 218 172 173 125 251 238 213 97 197 250 157 161 182 202 235 25 196 61 28 229 80 103 252 3 102 90 103 28 165 141 140 83 167 77 12 39 232 181 95 46 217 243 141 134 53 59 246 133 199 36 45 110 215 195 155 181 58 59 199 251 111 38 181 137 63 195 166 60 184 89 93 37 53 8 12 106 6 110 117 188 82 143 95 126 111 217 218 240 174 231 159 34 96 27 204 177 218 166 79 237 196 3 5 151 42 244 223 217 68 80 91 197 3 196 27 133 196 177 189 146 187 154 31 254 191 81 74 117 64 135 140 21 101 175 164 129 172 76 235 51 122 117 0 219 59 231 133 103 235 181 247 201 146 180 160 83 52 233 203 165 53 128 141 223 115 148 231 146 196 74 40 33 177 249 72 6 8 117 173 74 192 166 157 161 80 92 48 193 166 163 223 213 11 89 206 11 84 80 249 182 73 124 143 145 191 94 29 191 142 226 208 184 65 87 170 248 160 200 1 189 109 182 5 96 147 42 239 35 106 64 192 134 5 110 222 244 223 40 123 214 184 88 242 3 214 219 43 3 185 4 176 122 144 210 212 115 110 124 203 133 225 146 83 167 217 171 178 221 154 234 113 88 149 117 53 250 165 119 205 161 0 13 6 93 1 28 0 200 22 125 91 225 166 123 158 82 87 81 95 25 102 119 241 188 156 214 80 38 160 198 238 108 141 166 184 111 121 241 201 225 181 231 204 9 39 74 218 4 236 153 130 194 7 107 144 203 181 198 247 223 75 86 135 235 127 250 164 238 169 30 16 232 213 169 119 39 82 229 32 112 51 6 18 126 141 229 212 13 189 255 213 115 229 175 58 123 142 61 187 206 53 44 126 104 92 169 158 138 233 237 144 115 116 244 99 174 190 112 245 132 142 130 52 11 232 250 82 169 141 33 23 215 66 108 119 50 199 140 89 222 89 7 21 203 43 14 211 181 131 154 193 209 254 110 131 164 166 231 79 214 21 42 126 175 57 148 171 223 89 189 136 171 245 13 105 128 138 20 46 157 83 187 40 55 99 106 228 192 116 84 128 168 79 112 235 215 38 132 9 13 218 140 208 198 220 157 171 66 199 180 105 161 184 97 67 153 236 167 160 99 83 25 146 28 66 209 188 161 14 150 100 168 120 222 192 101 52 180 118 179 150 143 138 72 25 79 9 208 32 175 36 83 81 214 125 248 224 74 130 62 106 177 24 25 104 100 107 232 216 223 60 210 17 38 187 164 157 247 93 178 208 64 109 131 206 195 241 162 44 15 61 178 62 134 242 245 42 64 4 251 80 10 222 80 190 182 246 29 77 223 30 91 179 35 212 104 143 189 210 78 40 209 243 122 40 250 73 97 200 131 111 36 136 117 73 154 163 244 228 209 13 2 229 127 252 131 179 195 66 189 136 139 98 237 143 167 203 49 169 167 133 250 202 214 223 188 252 140 240 205 119 60 63 44 212 134 199 94 62 72 163 127 80 50 233 141 88 198 11 177 225 41 117 67 76 170 87 32 198 90 225 67 235 119 133 123 117 125 141 215 77 188 126 146 24 246 183 192 235 43 58 76 205 142 193 115 165 185 3 39 236 75 42 77 31 147 30 186 242 140 196 111 246 31 192 204 85 190 36 94 15 212 73 26 134 137 118 8 202 236 99 117 133 170 93 77 247 130 41 97 246 9 205 225 217 233 217 53 30 255 214 101 99 105 159 134 2 129 78 45 233 22 242 72 149 83 117 19 81 133 13 135 122 165 224 122 85 77 56 245 234 115 195 28 249 116 207 238 178 213 56 18 58 79 216 143 73 69 117 140 180 242 38 56 20 186 92 219 89 153 62 87 68 51 210 124 54 240 48 57 146 0 176 205 208 209 11 27 153 120 162 24 165 73 212 200 116 171 194 20 206 112 235 211 244 109 140 214 140 144 212 248 64 11 192 197 25 181 100 40 178 160 49 124 165 14 109 145 1 10 120 218 174 41 235 141 72 107 226 35 161 87 78 43 141 94 238 89 230 242 50 196 102 18 1 122 172 47 106 62 28 62 251 170 69 225 21 207 57 33 108 99 163 67 128 197 238 40 229 112 77 52 202 70 248 121 39 78 12 255 241 38 29 98 210 215 182 236 123 7 42 33 212 15 6 110 196 225 5 21 142 214 252 232 17 253 180 167 245 87 198 110 50 40 122 117 253 77 60 244 157 175 176 26 73 220 125 28 251 32 222 132 9 19 226 232 113 213 98 207 187 227 184 207 104 187 3 25 102 53 70 15 2 106 148 157 241 70 255 54 179 84 99 16 86 124 203 137 225 76 189 228 49 90 235 107 201 2 1 83 80 164 53 0 206 99 123 205 229 37 183 184 86 177 19 159 13 132 102 213 181 226 234 205 214 49 47 157 21 78 151 111 111 227 40 203 215 41 201 107 224 7 9 199 177 164 142 6 176 13 85 63 113 51 16 207 43 185 70 31 26 94 33 169 173 157 215 115 211 78 148 208 81 63 98 16 179 6 118 162 62 55 135 8 99 3 174 44 23 245 53 186 155 245 57 179 100 161 6 54 26 245 51 4 108 108 18 48 245 196 47 238 157 67 244 213 140 14 150 56 30 146 12 223 48 253 222 210 181 97 233 170 237 161 164 117 45 248 138 85 206 25 5 57 143 229 241 163 8 102 165 204 250 192 104 248 163 231 158 24 94 121 102 91 216 168 231 154 144 224 124 221 47 230 135 168 248 243 2 9 83 227 83 245 213 170 107 94 113 102 168 211 84 185 75 47 166 248 254 10 105 236 159 178 246 244 230 135 91 185 82 46 54 17 238 91 177 197 94 220 245 181 186 152 55 13 96 94 13 38 253 217 146 208 38 232 5 144 46 142 125 16 39 61 211 22 71 175 102 39 59 75 83 45 194 8 250 147 207 225 232 140 5 64 235 96 42 141 156 207 135 49 134 31 166 107 29 51 211 217 53 53 167 252 70 159 55 81 87 168 100 227 80 174 38 166 250 146 183 124 253 152 71 76 141 26 139 181 156 25 69 143 7 176 1 136 124 166 79 47 193 19 62 171 117 224 122 213 140 36 133 199 134 194 49 169 168 216 145 84 84 216 112 149 197 213 145 1 154 170 238 155 223 252 230 122 73 0 107 144 4 52 96 236 119 201 7 30 4 145 92 216 177 44 106 171 167 47 5 39 203 40 70 15 40 37 158 73 7 160 23 16 174 255 201 20 51 113 86 98 50 25 220 25 1 39 148 153 49 47 0 24 210 26 27 12 172 103 177 161 193 238 97 25 43 85 73 85 13 200 242 130 95 238 51 119 75 210 108 214 238 237 91 46 60 201 190 193 224 60 196 188 198 118 39 80 155 74 146 47 60 101 106 120 217 179 103 134 46 125 134 143 161 149 86 69 198 167 187 73 151 209 86 230 188 28 188 102 251 254 176 88 159 50 76 128 205 41 39 166 226 22 83 233 122 142 150 15 78 212 103 18 15 48 232 61 214 214 173 91 51 187 251 69 166 135 185 25 5 141 152 21 218 35 161 25 31 177 62 24 77 226 18 39 78 131 29 184 113 217 203 220 186 166 11 252 20 94 211 22 230 234 139 84 11 216 28 80 194 130 1 26 192 70 168 83 147 149 62 145 105 220 168 60 55 238 199 116 84 211 216 126 190 103 165 253 166 209 181 225 204 211 70 135 9 186 94 213 59 174 252 122 21 20 76 108 195 60 150 20 85 55 92 101 149 144 70 30 198 232 28 68 214 155 161 44 64 83 80 104 213 222 122 235 173 59 180 40 253 80 250 189 131 108 160 17 153 33 115 64 235 97 72 108 211 117 169 142 245 178 164 149 9 149 50 68 73 89 202 56 203 44 214 1 184 46 100 211 50 149 24 169 164 154 202 3 69 222 77 58 178 99 55 149 11 228 139 159 218 154 72 107 67 17 205 50 27 34 99 35 12 241 36 50 146 153 238 112 133 87 158 117 66 56 109 250 152 228 44 29 193 202 60 175 73 225 126 216 105 84 151 114 95 121 86 155 125 99 149 77 0 72 39 96 150 108 40 16 215 210 97 145 34 140 98 0 210 108 70 220 167 117 54 166 184 198 75 18 197 255 218 103 6 117 236 163 94 207 179 45 148 167 144 179 170 138 251 77 213 72 35 20 80 169 143 197 249 123 184 155 84 213 112 53 105 134 27 215 227 13 2 52 209 0 118 106 74 201 161 220 218 87 157 16 22 213 165 47 121 136 122 49 240 209 195 88 90 147 51 83 252 220 91 35 166 38 1 113 233 220 77 174 201 38 130 62 94 33 114 197 48 255 131 231 132 147 229 219 91 155 92 221 242 178 120 61 28 76 24 45 11 39 155 103 186 162 1 70 74 229 171 120 88 116 185 4 63 123 246 108 26 187 75 135 61 151 112 95 84 170 140 47 8 243 89 185 137 250 26 21 31 6 230 108 66 146 25 173 156 83 201 200 149 167 194 248 143 91 35 115 171 214 158 182 232 93 53 214 214 204 47 151 44 114 66 180 43 6 138 40 204 6 63 247 43 247 106 138 200 229 113 120 65 26 36 145 43 178 28 172 42 122 14 68 139 130 1 146 110 157 161 107 214 244 249 13 231 157 168 44 146 233 56 145 157 47 76 73 184 230 118 51 11 151 5 112 234 80 157 157 62 115 92 104 155 208 170 163 46 154 142 202 31 224 74 170 168 242 148 20 32 67 149 180 216 246 128 62 150 131 84 202 7 116 242 211 108 69 225 243 131 124 244 229 44 162 139 159 168 4 80 56 116 245 177 143 125 172 223 53 244 14 69 165 185 193 67 204 7 69 118 77 159 194 30 131 142 219 49 29 132 98 201 170 90 120 165 56 238 23 155 216 93 211 199 205 110 211 208 100 55 116 204 153 99 211 151 60 104 14 0 13 96 99 211 128 152 206 57 38 165 138 127 207 189 148 112 24 199 147 211 210 42 19 251 106 188 100 182 98 109 168 57 99 130 93 175 10 117 205 22 26 151 203 41 184 25 83 171 104 23 202 105 105 183 76 151 1 95 53 7 172 61 93 138 194 60 157 202 155 163 82 158 37 189 247 245 32 18 28 231 164 20 161 108 58 202 103 236 234 244 120 235 89 39 140 87 139 165 211 62 27 75 41 201 216 158 245 237 68 186 41 106 96 118 232 102 193 82 61 39 100 235 86 34 174 65 83 137 7 252 104 76 126 239 6 41 2 152 18 243 218 199 29 122 25 247 103 79 110 14 5 118 66 171 211 74 105 84 205 43 9 47 11 78 55 33 4 68 191 167 205 2 174 115 177 235 233 235 106 121 166 40 71 172 9 199 205 110 40 82 26 79 19 205 159 50 42 149 114 45 212 128 205 227 25 188 41 255 1 224 98 23 58 169 235 85 58 211 198 135 108 248 32 76 190 136 234 188 128 26 100 158 189 126 253 250 209 154 154 242 13 88 170 232 112 212 225 166 179 188 162 124 161 227 58 30 168 216 209 192 133 155 165 137 154 41 204 87 91 107 7 164 78 38 118 215 117 132 161 39 75 186 114 157 166 143 129 202 164 47 249 103 160 149 198 113 127 143 235 102 141 58 86 221 244 81 182 53 208 253 133 179 194 243 166 53 135 249 60 223 169 154 211 135 102 149 154 141 3 155 164 202 204 43 250 137 107 194 242 37 141 253 160 33 160 212 116 212 212 164 70 219 193 110 222 186 203 234 192 235 193 235 229 80 77 207 217 205 124 122 247 119 211 120 160 157 92 37 92 29 189 191 52 192 209 84 52 3 133 27 74 113 185 154 120 245 183 220 114 203 147 167 156 114 202 90 29 37 152 165 147 237 248 101 10 153 136 47 82 241 210 70 189 6 235 1 13 252 162 164 10 3 168 108 60 165 217 121 74 187 1 128 220 47 137 67 131 240 39 2 163 215 106 33 30 90 201 165 7 64 228 96 236 101 44 152 180 3 45 94 195 184 254 167 146 214 36 85 213 212 150 63 245 147 7 128 164 39 14 208 24 218 150 236 116 114 230 174 69 71 91 222 116 254 92 3 25 163 121 16 54 29 220 40 79 162 77 152 180 53 178 41 58 148 108 204 43 243 132 86 90 126 104 170 174 168 2 252 211 51 187 54 141 69 178 229 213 224 199 55 239 14 207 225 199 36 167 148 159 159 103 59 73 79 78 205 208 58 219 35 107 214 172 105 209 7 150 109 90 170 31 169 130 206 40 122 75 228 82 15 203 153 114 55 116 92 6 74 26 35 54 177 231 53 131 175 160 61 219 162 22 208 75 59 100 95 35 184 223 170 154 209 167 129 248 17 37 62 113 80 110 55 26 154 35 88 21 181 17 50 134 63 137 161 35 149 132 107 59 51 81 187 101 232 55 161 208 173 102 196 236 209 158 151 86 80 74 34 142 89 203 244 83 143 116 213 175 220 19 58 222 58 39 92 248 230 217 225 237 80 176 179 107 141 202 91 123 99 38 181 49 42 161 28 215 30 118 184 196 244 48 76 231 88 214 132 155 212 4 186 36 249 153 212 166 187 162 58 90 114 225 63 156 31 206 120 255 207 194 125 47 62 49 52 222 250 148 125 160 7 10 78 205 115 115 211 253 21 101 144 242 56 131 2 228 225 28 122 152 187 227 52 101 183 51 212 151 226 48 79 119 68 230 209 6 182 97 49 167 65 208 167 151 116 235 191 252 229 47 111 122 247 187 223 189 76 95 71 154 69 89 189 207 154 93 245 207 186 207 92 29 76 93 168 53 167 197 250 250 83 73 191 127 58 246 174 60 210 186 51 35 181 187 159 76 214 155 120 244 241 182 71 55 132 71 244 173 208 5 211 198 234 213 216 94 3 188 56 159 131 49 203 51 63 227 154 234 195 183 127 185 58 220 254 240 134 80 212 129 225 1 73 71 92 144 117 153 26 228 81 22 106 142 44 74 98 225 248 70 175 206 216 253 254 133 243 76 90 227 156 154 77 117 7 19 183 228 94 71 78 56 238 35 89 213 16 40 7 97 240 155 124 247 35 49 217 46 101 188 152 159 234 137 41 172 141 23 253 225 156 223 35 250 222 3 116 50 248 240 140 228 197 185 67 77 71 71 75 114 147 176 19 30 212 51 239 118 198 109 32 138 53 66 86 194 200 127 68 172 7 1 53 3 50 101 148 153 2 160 26 29 186 43 253 74 123 205 248 183 233 189 178 23 53 134 81 51 234 67 67 167 170 125 91 111 232 214 119 184 122 214 181 135 174 141 93 161 103 85 167 157 247 239 17 96 217 123 245 122 230 180 47 236 202 202 68 185 98 109 213 38 63 55 129 22 87 216 137 11 232 55 95 123 86 184 242 53 39 132 63 209 249 233 209 253 61 233 5 55 166 160 62 13 117 176 130 146 43 207 41 105 172 132 26 97 158 91 28 23 123 10 108 146 0 139 65 155 6 165 218 208 252 150 249 225 35 2 182 63 18 168 237 123 225 236 208 188 100 101 232 20 230 249 4 151 28 80 110 38 174 242 191 195 13 243 120 152 112 19 155 49 69 139 71 59 170 111 122 154 56 252 176 237 71 3 216 156 65 175 106 47 148 51 233 110 55 241 239 159 57 115 102 233 209 71 31 237 212 84 244 254 241 227 199 95 150 22 214 211 216 192 226 60 27 223 200 188 120 222 148 176 88 210 151 103 148 140 60 162 42 75 27 133 80 76 235 83 35 146 199 42 249 170 213 62 29 204 189 238 174 39 194 231 95 171 7 74 251 187 147 133 241 232 26 87 150 89 5 11 211 179 6 173 41 109 219 123 32 124 250 71 15 153 56 84 18 88 250 129 220 193 205 146 113 87 129 90 234 149 139 2 168 241 165 251 6 73 88 175 209 237 2 64 8 186 250 107 9 42 181 61 126 170 171 236 71 128 136 30 15 127 238 187 114 221 138 10 4 223 61 156 48 104 203 176 248 137 180 22 75 192 73 243 173 208 251 114 208 96 10 207 152 74 124 141 12 214 62 73 215 69 173 141 206 51 159 193 127 136 147 230 58 56 112 132 125 200 11 157 1 89 106 199 93 156 162 159 182 77 41 251 215 142 14 151 158 223 28 46 31 93 31 206 16 184 76 168 173 15 163 116 254 162 171 80 27 218 165 245 243 41 224 211 181 98 76 49 143 217 153 234 125 170 131 206 174 254 160 115 181 102 234 226 64 232 108 239 13 251 245 14 116 215 30 189 172 117 160 47 116 239 237 9 29 59 187 67 239 214 174 208 185 237 64 232 91 182 55 28 56 177 53 140 125 209 164 112 202 243 38 134 203 219 248 168 177 128 199 36 53 109 168 219 244 147 51 215 156 93 115 105 77 86 83 212 158 107 49 145 41 252 188 196 110 102 129 178 80 106 22 84 146 205 8 117 254 208 55 166 37 92 180 241 13 225 51 109 95 11 127 126 219 202 176 89 161 13 103 76 9 117 12 129 186 244 69 16 77 72 160 108 74 155 235 253 2 114 83 24 76 144 18 151 216 140 236 122 36 190 204 31 26 26 110 253 155 101 214 172 147 86 9 150 15 148 34 139 155 210 50 119 58 222 243 97 158 221 33 155 195 5 54 170 238 168 170 116 234 201 121 182 123 117 200 179 87 203 108 37 73 2 20 52 203 155 1 203 192 191 120 254 148 240 111 63 105 12 251 185 160 206 19 65 140 208 74 202 189 37 149 24 0 105 61 236 43 250 124 223 249 39 77 14 175 63 119 110 216 164 205 4 77 15 34 201 13 34 89 118 70 17 151 175 161 113 173 235 111 191 255 96 88 166 175 59 213 70 223 229 28 156 189 103 108 36 134 241 39 137 47 97 73 210 90 119 120 217 217 179 109 209 159 59 160 248 161 28 172 18 87 249 95 15 179 168 32 149 20 155 45 19 244 213 249 71 116 127 148 221 77 77 132 84 7 64 147 84 10 106 38 173 9 209 200 195 202 192 97 55 185 1 82 246 80 217 36 89 175 31 3 158 113 26 163 31 20 46 223 3 136 145 98 74 129 115 174 52 31 224 177 12 100 88 129 54 110 220 24 116 81 62 138 62 114 86 6 66 74 13 51 175 13 204 228 143 89 210 26 25 160 70 95 111 185 175 53 124 120 118 93 120 253 120 128 69 169 208 12 75 27 8 133 48 46 91 129 194 159 212 121 202 184 81 238 239 118 76 170 47 169 194 46 209 165 203 233 149 181 208 43 49 173 75 85 217 80 87 171 89 43 25 201 195 64 13 161 25 183 230 199 54 197 101 243 192 101 59 89 77 145 15 181 9 168 161 177 187 142 121 144 183 241 132 233 138 245 53 214 237 152 226 234 27 72 161 51 244 235 204 246 43 182 255 81 56 241 199 235 194 167 94 254 195 240 211 7 54 73 158 75 40 203 176 223 46 76 207 181 146 29 63 20 181 3 39 168 216 78 90 20 166 251 247 235 21 223 194 179 229 177 182 49 244 222 185 106 208 46 186 209 161 77 213 151 157 38 52 14 91 89 123 30 118 234 17 76 168 131 158 12 138 198 207 127 254 243 143 124 233 75 95 122 84 151 227 23 74 18 192 143 166 54 197 36 137 157 62 206 179 157 63 119 82 184 85 247 34 11 26 176 73 67 171 62 172 74 245 135 186 113 187 5 34 137 176 123 169 221 111 189 130 251 129 111 252 34 180 234 112 237 203 78 159 169 133 121 253 204 166 3 214 54 22 52 184 109 50 150 146 1 52 25 224 128 4 31 104 249 188 190 66 175 143 132 154 180 87 185 9 134 217 46 185 104 137 180 166 27 22 202 231 141 90 91 99 216 2 68 67 77 67 169 20 250 1 164 236 137 35 153 140 119 104 241 89 61 214 36 255 254 123 75 195 30 29 236 173 105 172 183 31 0 202 6 237 164 255 80 73 164 151 153 130 26 97 16 100 84 50 45 221 198 115 78 2 54 94 65 169 164 44 255 254 254 233 10 171 213 161 221 88 166 0 212 114 165 172 68 97 196 252 224 220 53 3 10 77 223 169 219 147 172 92 213 222 93 23 174 214 224 122 245 30 245 170 29 221 161 91 197 99 95 169 32 201 68 187 208 138 172 212 72 41 84 133 81 162 38 160 152 152 9 148 38 57 88 23 81 152 155 196 49 23 245 39 109 155 79 162 205 68 48 212 38 52 148 137 8 245 232 73 34 241 166 251 160 137 164 54 73 41 37 78 154 100 149 46 244 91 158 249 154 99 36 160 241 247 176 132 151 129 82 43 168 76 81 3 128 229 24 233 61 162 186 71 41 15 132 222 230 166 112 250 149 109 225 43 187 223 20 238 219 217 21 150 118 106 130 173 97 213 46 41 172 160 22 236 212 138 247 94 145 46 233 12 118 231 158 238 176 151 122 210 202 205 129 173 157 178 171 190 250 122 181 54 217 17 58 1 15 61 98 213 179 110 127 232 160 192 146 92 123 31 218 17 218 21 191 95 116 123 30 222 105 83 126 250 68 247 210 205 161 253 65 189 194 172 74 172 123 219 180 80 247 165 13 6 110 148 200 149 149 74 225 35 2 110 71 2 108 48 226 77 22 51 151 247 243 48 204 74 105 44 92 32 214 175 11 213 181 247 223 127 255 86 29 218 189 67 211 209 133 105 124 11 231 15 157 134 207 199 1 52 87 158 62 43 220 186 108 157 93 183 98 32 27 200 240 135 72 40 179 99 226 78 252 17 40 106 4 132 251 117 166 237 77 255 113 119 248 179 23 47 12 111 186 224 164 48 89 11 245 68 239 145 128 136 164 66 111 86 227 24 16 114 16 151 39 193 255 249 246 71 194 159 127 107 177 58 151 86 132 7 73 137 20 235 200 148 177 45 105 237 138 179 219 194 162 217 19 76 74 170 4 106 254 131 134 80 68 174 212 5 7 114 147 7 51 147 247 217 144 115 159 216 180 39 252 221 247 151 134 239 45 94 165 67 205 181 169 180 166 66 105 212 90 93 145 161 44 140 86 115 195 190 194 68 214 128 17 63 162 180 235 122 21 159 234 155 173 35 35 73 186 164 156 3 124 88 223 28 167 167 167 90 116 166 173 83 27 9 217 15 81 18 243 168 254 21 135 214 7 49 81 12 101 215 240 81 51 77 67 123 131 74 122 85 8 207 63 161 47 188 122 7 195 76 3 80 77 168 95 39 217 165 7 202 111 61 69 128 46 127 82 67 21 187 231 226 118 55 83 127 186 24 213 168 120 182 39 101 118 37 51 127 200 39 241 168 78 29 146 16 101 151 164 184 109 203 20 20 169 138 223 13 226 209 168 168 216 142 31 26 126 61 220 77 226 185 138 211 224 7 159 32 142 54 197 3 0 202 137 159 253 202 191 67 182 82 40 141 106 14 231 140 226 163 47 78 95 81 178 124 220 238 249 80 79 12 14 129 159 188 122 4 110 237 20 72 62 61 26 30 29 100 165 122 100 142 181 31 187 250 17 19 157 253 138 210 171 165 218 29 29 189 225 169 7 46 47 220 123 206 164 112 199 23 215 247 111 94 60 189 208 212 41 112 123 56 41 21 185 161 212 173 178 214 72 124 14 243 239 145 0 219 112 179 244 170 241 248 184 243 77 128 95 191 118 212 240 231 59 8 63 144 196 246 46 13 148 26 166 55 42 43 117 101 10 169 10 41 11 137 237 12 237 144 62 176 124 75 40 106 154 228 211 69 106 58 33 159 38 192 48 14 244 71 105 123 213 34 53 122 21 3 225 226 19 223 93 18 190 189 100 85 184 252 217 179 12 76 218 244 12 208 104 73 58 72 118 0 40 3 250 225 13 187 244 42 238 202 112 231 67 235 65 58 189 121 166 197 8 159 210 69 89 28 190 85 146 145 248 234 81 235 35 173 189 249 252 147 140 93 36 69 63 154 226 180 189 205 145 228 120 217 3 208 221 45 105 106 243 142 14 125 175 160 75 111 199 117 133 181 250 136 204 125 43 183 133 219 30 217 24 118 238 212 157 29 125 100 146 30 103 117 146 138 34 78 199 70 163 5 233 143 70 31 29 21 184 76 99 91 35 49 245 231 184 137 133 165 125 46 238 122 212 133 192 177 73 107 109 245 90 66 216 47 201 59 3 54 129 93 152 49 99 6 228 80 152 174 205 99 4 255 208 111 92 211 87 92 215 72 72 98 104 23 207 9 225 5 77 26 156 237 122 196 81 219 148 37 154 176 224 90 96 71 213 144 72 175 98 132 62 165 224 179 81 54 77 52 120 76 237 140 150 216 141 93 90 96 69 98 253 26 202 158 112 193 95 183 103 166 113 72 26 128 13 73 10 13 160 65 151 20 212 142 155 178 102 118 252 197 107 6 108 7 171 69 194 81 152 240 198 17 18 166 187 228 189 77 122 175 108 186 124 223 223 153 81 52 174 245 199 128 203 254 42 154 242 199 63 83 42 39 240 77 121 106 138 53 6 151 22 6 217 50 229 249 123 89 228 6 91 245 145 154 255 123 215 37 225 161 135 95 86 248 187 197 27 194 55 103 168 38 22 200 63 15 110 101 180 14 211 113 52 129 141 226 121 197 196 118 88 117 183 155 230 167 117 54 154 175 241 29 239 120 199 146 187 239 190 123 177 118 217 206 230 92 91 34 85 16 213 42 213 238 123 142 21 0 253 161 214 162 0 182 178 53 54 70 157 229 170 63 101 118 82 19 150 128 27 224 165 179 16 97 185 206 182 125 86 47 115 48 189 28 167 187 164 77 188 101 166 159 115 36 21 0 116 143 54 11 152 119 22 20 23 0 74 151 143 32 118 248 42 41 74 150 30 186 189 2 168 43 245 192 35 199 89 246 233 10 20 160 150 1 144 98 186 29 80 227 142 42 231 203 248 196 223 221 79 110 10 107 5 96 124 158 144 105 122 159 76 43 183 202 80 35 80 179 85 202 44 167 36 200 234 39 169 138 148 174 234 74 35 27 209 66 217 154 212 102 85 72 190 222 132 21 64 45 34 27 36 101 7 125 107 84 143 13 48 239 161 202 144 253 134 173 14 37 110 53 162 176 28 107 198 91 73 83 37 250 120 163 214 229 39 211 252 52 101 81 189 76 210 71 162 5 106 90 239 10 218 75 10 125 41 48 241 220 95 6 54 216 1 34 128 206 53 96 228 118 7 59 226 1 34 49 7 149 220 248 161 61 62 118 47 61 105 221 46 107 153 114 96 195 211 227 96 230 181 39 114 127 220 240 200 198 4 121 1 166 218 75 146 228 86 40 104 137 218 214 237 18 41 86 21 32 255 180 94 236 55 144 223 56 252 226 252 82 167 88 117 95 108 137 93 127 205 162 63 132 91 151 73 236 248 107 142 25 74 186 49 185 80 143 106 254 231 138 151 135 9 115 190 19 254 101 242 52 65 251 6 38 233 41 13 89 70 66 29 45 96 163 124 52 83 172 42 249 17 158 249 115 236 227 132 19 78 168 91 189 122 245 78 93 166 254 111 73 109 103 11 212 188 233 51 122 0 1 160 243 146 5 211 195 55 36 185 45 209 65 217 90 1 157 132 158 68 149 1 26 85 138 55 85 141 137 59 217 41 69 74 169 17 72 224 205 154 210 14 61 210 184 35 29 192 54 194 53 31 229 171 243 165 162 54 40 68 59 3 208 140 19 232 29 153 162 44 72 69 117 146 214 56 183 150 0 11 82 220 96 186 14 106 247 104 243 226 61 255 121 111 216 160 163 43 218 249 208 32 81 21 145 80 137 138 2 102 104 122 153 140 10 97 248 48 39 178 30 75 56 64 38 111 194 100 137 167 164 244 64 130 178 158 153 16 177 191 149 254 16 79 210 118 191 206 178 245 75 98 27 46 168 145 197 72 40 10 135 194 116 77 159 193 206 25 50 96 169 70 31 110 236 160 188 6 98 0 153 2 204 174 234 203 64 78 191 9 246 184 176 82 226 167 129 159 0 129 12 3 5 40 65 21 234 140 28 7 55 252 241 243 92 243 166 115 149 55 189 6 240 71 197 110 183 187 63 110 241 148 52 76 106 122 58 143 131 137 242 180 177 9 144 34 185 193 43 32 71 217 208 14 106 145 89 24 176 219 211 71 249 56 72 186 226 37 217 38 199 142 74 243 202 88 146 219 236 252 193 78 56 221 170 75 185 150 66 221 9 141 225 83 255 123 81 88 124 249 93 225 158 87 206 8 13 223 92 55 178 224 70 19 60 221 42 41 98 146 43 246 50 149 30 214 109 248 250 215 191 126 179 214 221 214 107 138 147 86 205 64 52 198 34 167 234 91 181 75 249 214 139 230 169 177 106 228 102 112 14 196 73 70 109 74 222 70 176 219 21 199 220 196 101 183 84 79 42 8 212 108 77 13 16 211 17 142 26 129 3 102 73 83 61 72 2 122 233 80 183 52 114 88 99 101 166 156 135 171 140 103 129 244 149 218 200 112 105 13 96 202 43 64 149 27 0 219 244 141 134 15 125 251 151 6 106 245 90 27 172 81 29 240 36 56 188 178 216 15 79 240 155 128 176 151 57 53 141 225 129 226 123 53 88 113 244 199 74 233 73 204 69 92 249 226 55 152 165 152 69 11 125 228 17 109 172 164 138 29 109 109 38 164 212 220 119 144 57 84 248 80 97 121 66 49 119 216 51 173 229 43 235 227 154 238 60 41 220 2 176 180 123 43 83 131 87 171 18 153 137 221 220 10 51 59 131 94 226 158 166 109 193 246 13 217 59 228 4 46 210 14 167 224 56 217 230 192 224 245 227 185 42 40 171 47 247 203 155 113 28 236 177 202 151 28 183 131 77 28 6 77 220 9 208 12 216 241 115 77 152 219 137 15 32 35 181 177 174 199 252 112 180 52 66 54 107 125 156 195 102 202 234 90 87 47 108 109 142 245 57 236 248 19 135 184 164 99 183 149 227 36 0 37 52 1 122 232 187 52 42 107 150 55 60 80 43 234 198 218 64 233 214 84 191 126 209 132 240 106 60 27 244 146 152 133 225 24 33 117 52 128 45 41 66 194 160 219 189 106 43 177 93 22 71 47 67 244 74 106 107 188 246 218 107 87 104 26 250 95 122 18 135 52 124 123 212 164 10 39 192 32 230 253 177 23 232 99 43 151 158 166 217 186 236 236 106 37 53 153 198 242 145 107 222 17 11 102 213 31 203 153 63 126 231 50 1 4 7 59 0 47 145 90 82 122 153 97 4 50 87 214 120 3 62 195 178 1 96 201 218 90 189 118 66 79 178 52 0 82 5 92 51 62 26 5 96 92 227 122 82 211 231 26 73 120 28 160 117 16 35 157 129 80 82 168 178 106 40 99 38 45 115 82 130 129 242 121 57 229 99 210 10 105 160 201 148 189 69 64 239 225 101 180 228 72 95 61 222 175 131 186 29 146 218 138 138 215 159 30 211 137 163 230 42 44 14 58 34 187 181 120 74 1 123 222 205 241 122 32 161 246 159 66 184 127 99 8 235 91 84 189 186 132 210 107 210 26 32 38 141 116 150 85 27 238 20 240 172 251 16 166 43 79 6 112 172 79 109 146 230 4 24 118 192 78 91 174 6 118 128 32 200 73 252 74 202 185 115 211 227 196 28 87 242 243 154 131 174 211 118 63 226 147 222 221 132 187 189 146 233 225 164 99 228 3 64 0 17 82 156 75 159 12 55 64 10 233 14 192 2 0 49 209 248 17 22 107 159 150 67 195 65 45 46 147 243 161 96 175 99 73 111 118 106 174 177 96 23 243 91 111 218 28 250 181 214 22 167 34 246 17 169 35 5 54 216 174 166 42 133 185 95 190 184 238 15 173 126 214 107 164 106 111 191 253 246 175 232 1 195 93 122 202 136 42 243 102 37 204 106 193 128 71 246 247 188 240 148 48 118 92 179 61 159 157 44 184 199 228 162 100 214 83 211 172 205 208 159 44 106 228 111 57 164 110 236 164 179 180 22 16 253 137 226 88 188 40 104 40 107 218 132 38 153 177 182 166 29 222 115 102 79 52 160 174 116 39 148 92 188 221 159 208 55 75 109 17 76 62 137 191 5 70 127 114 60 85 137 229 222 94 44 75 149 18 180 26 211 180 149 13 20 190 20 63 81 32 202 142 113 37 192 5 216 132 101 155 63 247 185 207 237 213 247 15 74 27 55 110 52 42 85 164 181 52 135 136 221 145 183 82 187 217 32 145 128 213 139 96 177 65 112 244 229 16 110 18 208 133 58 109 30 24 184 169 160 14 98 38 173 41 140 193 105 27 8 178 2 122 94 79 102 2 92 116 205 173 210 235 165 215 72 175 147 6 236 182 75 35 209 145 1 64 8 156 186 202 184 113 15 153 177 95 108 143 162 88 158 214 48 242 116 94 220 237 241 220 157 55 61 62 241 242 97 184 61 188 82 24 105 224 9 116 192 116 45 171 41 79 3 13 202 137 228 74 153 209 46 201 82 87 132 17 23 229 105 220 148 151 130 25 215 104 175 1 143 45 175 35 83 195 5 182 17 203 176 10 187 78 223 76 173 211 244 106 189 166 233 163 31 253 232 67 250 224 203 13 26 48 12 30 11 67 114 115 5 8 112 136 117 190 78 29 254 201 139 78 181 1 175 177 152 214 82 74 18 163 236 39 57 245 247 26 119 208 50 111 254 168 181 204 207 115 241 248 208 137 236 30 108 102 228 31 89 203 162 228 28 72 156 188 224 209 164 23 60 222 122 209 124 113 131 244 148 139 84 193 201 237 11 103 189 66 112 117 175 140 184 103 50 96 166 85 75 29 167 233 19 19 105 114 186 248 227 76 28 249 230 54 201 44 110 42 73 63 169 87 57 250 180 139 93 212 151 170 232 238 153 90 190 124 121 102 63 202 150 152 249 216 222 171 217 100 167 132 140 194 231 66 184 231 155 33 220 64 19 199 224 230 83 207 94 13 74 128 206 36 25 73 48 253 104 36 17 31 37 80 245 238 199 0 70 98 19 98 134 85 169 6 228 144 230 180 23 101 18 30 83 214 120 186 42 103 150 62 182 67 215 57 198 31 21 187 169 81 215 30 22 243 130 221 195 221 196 207 253 221 30 167 205 135 121 28 55 161 227 128 69 89 41 11 26 224 70 235 23 195 202 200 84 29 59 126 177 212 10 29 148 211 139 220 234 102 230 210 245 141 213 138 113 224 28 29 139 126 152 168 3 29 144 148 71 164 188 201 142 136 72 133 196 94 140 56 168 66 17 203 154 207 211 88 60 149 145 46 84 123 221 117 215 125 81 187 109 235 52 205 65 112 166 219 149 41 164 30 166 164 127 168 29 197 203 206 106 11 125 58 163 54 112 76 194 73 42 137 13 218 212 157 217 221 13 73 217 179 232 88 42 184 45 90 22 9 215 97 43 150 195 116 130 54 188 122 209 156 112 166 46 153 179 25 18 75 107 241 212 219 199 18 230 100 46 180 171 213 50 12 26 138 131 106 172 166 254 208 200 71 113 186 246 251 161 117 76 62 69 200 53 182 188 196 38 254 72 90 76 191 83 241 32 108 72 122 43 112 188 163 130 180 54 40 155 161 216 62 132 48 167 155 55 33 129 31 195 147 62 163 154 14 237 234 64 189 31 8 225 230 235 244 117 173 253 58 100 218 162 211 92 72 110 217 218 154 34 245 106 240 246 73 242 48 130 2 181 126 166 95 190 150 196 20 140 70 32 16 141 29 234 12 234 45 210 171 165 87 72 175 148 6 228 240 3 252 24 248 241 160 151 211 148 211 193 68 229 77 247 195 159 124 40 141 167 33 44 230 5 255 56 28 123 236 206 135 147 30 229 244 136 75 30 128 25 188 58 120 33 133 2 212 72 164 72 170 232 120 26 78 60 210 144 30 229 244 220 76 124 147 191 248 41 166 216 174 65 186 251 233 214 112 171 220 253 173 154 12 96 18 56 82 234 104 1 155 243 87 169 120 113 88 108 47 43 152 164 182 158 249 243 231 55 221 116 211 77 43 245 65 229 79 167 3 93 56 86 240 107 60 150 150 1 200 90 16 107 77 31 190 236 180 112 178 166 116 221 58 211 197 129 213 100 144 70 100 205 35 117 27 103 246 39 225 193 221 105 112 214 66 81 148 172 238 125 244 59 247 102 102 9 203 124 43 57 0 176 110 13 181 137 147 70 133 183 95 60 223 166 124 196 163 140 85 149 130 200 97 14 207 163 107 179 132 242 14 21 189 156 206 208 188 121 113 172 168 169 3 250 66 170 112 206 156 137 218 120 101 23 121 16 141 126 173 171 241 1 229 253 226 251 87 228 167 181 181 190 85 171 86 149 101 61 119 238 92 79 232 102 89 248 8 58 160 239 58 18 168 202 115 0 0 32 0 73 68 65 84 30 210 54 92 1 54 85 225 94 45 9 245 92 29 194 45 31 232 11 159 92 213 23 54 141 18 184 73 74 211 186 160 210 42 85 31 224 166 193 218 7 192 41 37 63 175 253 172 35 177 208 206 129 90 22 207 1 58 252 80 94 42 154 78 105 109 205 109 163 204 21 210 203 165 87 74 51 109 117 144 67 194 57 24 200 121 41 220 164 4 104 119 99 186 114 63 47 49 166 219 243 97 238 198 36 142 213 140 76 151 200 0 96 7 50 248 101 138 77 89 48 1 180 93 210 76 197 137 79 89 161 131 114 186 158 47 126 32 11 162 8 218 81 134 73 9 207 159 171 238 86 238 13 223 248 131 123 194 93 170 202 166 101 59 141 154 34 142 156 242 44 143 132 162 23 111 56 52 242 113 189 74 60 173 187 45 158 14 120 82 245 173 151 94 122 233 255 147 212 118 135 142 127 88 247 201 3 0 82 27 103 184 88 11 250 123 189 243 111 235 109 186 71 202 169 252 100 60 70 217 154 71 37 119 234 71 184 105 88 194 143 214 170 160 18 194 21 2 14 238 101 73 53 205 123 231 243 79 14 167 76 29 99 211 105 59 87 151 75 74 57 189 172 236 207 242 153 192 185 2 195 105 90 79 148 8 101 199 58 114 73 228 164 138 82 149 89 51 139 135 12 50 227 89 128 215 231 244 241 77 225 92 125 24 166 43 59 71 51 144 140 105 3 27 59 50 158 146 212 182 82 33 92 169 42 171 172 10 146 219 0 129 1 91 90 241 3 30 135 104 139 211 123 131 185 9 63 104 134 33 82 155 4 181 176 187 73 238 255 14 97 201 149 93 225 147 63 239 14 15 180 234 68 126 81 90 87 136 250 152 138 246 73 2 233 213 32 239 19 8 245 35 189 65 129 149 32 37 180 29 196 137 50 39 75 79 144 110 145 102 240 18 199 57 193 100 240 35 229 172 149 6 224 208 171 164 1 10 64 2 0 97 106 39 250 131 210 198 116 24 1 104 74 64 30 40 194 99 141 127 172 9 115 126 60 158 135 67 135 60 201 59 6 50 120 2 192 0 97 116 204 167 3 177 188 179 238 229 116 49 233 94 212 129 166 238 182 193 224 155 12 146 120 77 81 167 0 154 184 46 212 135 26 157 82 250 217 162 31 133 79 200 221 59 122 84 232 219 60 80 115 73 252 17 248 59 18 192 86 141 13 138 236 42 111 119 183 155 196 195 238 110 179 107 19 129 115 109 116 169 142 187 238 186 235 175 180 145 176 95 27 9 181 26 76 220 57 35 77 166 120 63 140 175 182 159 54 99 108 248 140 190 232 212 160 195 169 221 154 162 214 30 76 114 131 66 6 82 105 246 102 232 79 234 52 75 108 207 114 61 52 11 36 120 207 173 87 55 4 206 152 55 89 231 214 78 178 105 52 235 109 14 98 249 114 121 14 122 175 212 0 102 134 64 237 236 54 141 44 195 144 242 58 24 232 117 158 234 240 76 168 246 107 253 239 165 11 102 232 251 165 163 236 176 50 60 198 74 124 246 233 250 20 124 63 48 107 214 172 157 75 151 46 173 171 176 27 26 226 35 32 113 122 178 200 185 143 196 9 173 88 251 48 118 88 192 180 73 150 198 245 62 9 100 59 37 41 116 9 115 214 190 180 43 252 243 77 93 225 102 110 170 235 102 130 158 60 79 166 166 38 185 105 224 247 10 128 144 222 178 181 55 166 163 72 108 72 111 83 164 167 75 79 75 221 132 89 229 201 68 97 39 103 164 28 36 160 85 210 79 74 175 144 6 240 0 18 95 143 115 240 176 225 47 127 74 131 29 32 130 115 204 184 132 114 154 27 250 132 121 58 247 207 167 135 62 124 0 168 0 174 208 36 219 0 89 35 59 83 103 192 140 48 0 207 1 87 86 83 208 243 218 196 14 144 213 75 3 236 163 83 77 189 0 106 14 104 240 221 165 209 165 233 190 134 33 151 201 138 79 110 11 63 60 249 150 240 193 109 221 97 123 91 115 232 95 183 199 74 231 37 83 130 145 81 71 19 216 156 67 152 142 85 190 16 177 59 111 15 58 172 219 171 39 141 70 189 239 125 239 187 79 59 110 87 167 131 105 208 148 148 12 0 55 174 22 93 36 208 248 148 190 191 89 167 219 2 221 186 14 132 228 150 168 136 21 3 179 188 155 88 169 95 20 148 245 168 204 207 227 100 30 41 253 106 6 61 92 247 56 117 214 184 91 23 235 184 2 246 209 43 206 176 69 121 190 229 128 132 228 202 1 46 239 182 49 162 236 56 203 246 226 5 26 73 217 116 52 161 93 14 106 242 27 32 233 164 134 48 7 202 225 210 218 56 125 68 134 203 248 201 145 151 193 228 244 227 162 75 210 18 113 250 250 238 131 176 46 188 75 226 57 232 185 181 33 120 56 172 32 24 119 230 221 238 67 28 211 135 34 67 223 33 2 89 106 159 132 177 157 18 192 88 33 218 251 206 3 225 107 127 219 25 254 101 83 119 216 61 154 29 83 138 165 169 169 206 91 5 118 30 250 4 62 46 189 41 126 50 112 145 222 28 224 144 222 102 72 207 148 6 236 152 182 50 184 157 35 111 34 56 208 166 182 109 56 60 37 19 189 42 117 251 84 15 80 1 132 224 18 141 29 13 72 120 201 156 46 244 60 14 102 2 36 3 126 0 25 83 95 192 19 250 72 98 128 216 42 233 213 210 108 124 176 94 6 79 72 112 212 150 243 42 171 229 71 158 104 134 16 64 70 217 198 75 79 74 53 118 252 242 128 198 143 129 158 108 162 14 244 20 84 73 207 10 238 249 239 149 225 51 243 110 9 31 209 179 78 91 245 1 155 190 85 251 141 123 47 141 136 140 156 66 26 26 174 130 129 106 195 133 48 84 62 220 211 84 10 175 22 134 127 89 152 110 33 80 229 163 95 242 146 151 92 119 239 189 247 94 56 125 250 244 151 105 183 148 167 168 145 222 200 55 83 6 110 122 249 245 178 103 233 56 179 206 125 253 201 87 127 17 246 235 123 7 220 76 224 124 90 178 33 147 178 73 90 179 198 110 236 81 246 118 90 31 242 238 151 101 85 217 146 146 26 8 76 60 248 171 95 45 173 223 116 135 247 92 113 122 224 11 82 187 4 194 201 116 57 41 3 160 22 43 47 155 251 23 181 94 223 174 103 22 46 158 63 53 204 213 20 118 249 250 157 161 36 240 230 1 204 178 170 47 35 147 58 114 180 227 124 226 180 68 227 90 214 219 47 125 86 56 125 214 184 176 83 117 25 111 106 164 233 248 222 65 81 18 53 195 240 30 252 242 87 168 98 144 91 188 120 113 56 243 204 51 211 164 71 197 72 42 48 105 36 236 241 16 141 237 158 185 197 103 41 77 3 160 71 24 52 234 159 15 132 159 252 162 55 108 248 124 33 188 225 57 165 112 210 94 165 234 209 105 43 157 217 46 50 45 165 159 112 213 74 131 52 153 114 49 208 177 35 185 64 141 38 0 104 144 94 0 34 128 130 116 64 39 110 111 34 210 17 31 63 192 136 117 43 36 61 36 31 0 162 89 26 0 241 145 137 228 4 13 76 210 121 219 66 143 244 132 225 135 61 14 3 228 156 15 226 16 142 166 54 92 17 223 211 224 231 229 192 238 229 99 122 9 127 174 113 195 27 233 136 79 153 29 116 177 83 238 118 205 222 245 227 160 251 164 212 78 88 190 35 252 236 3 75 195 23 191 179 62 60 40 103 207 152 134 208 181 161 195 56 135 27 82 161 41 209 136 41 216 255 117 40 170 196 53 249 199 246 152 31 243 79 167 164 198 235 191 254 235 191 254 165 54 22 86 232 11 73 128 90 79 122 64 52 78 99 3 17 201 141 195 187 255 241 230 11 194 44 125 0 166 91 39 246 1 136 88 58 178 68 85 37 183 148 43 99 205 201 139 29 56 26 182 26 232 53 188 192 209 173 75 245 23 234 48 241 7 94 178 208 118 65 157 12 124 57 120 165 126 108 144 228 54 73 120 185 131 151 70 122 195 20 164 41 189 74 194 20 58 97 39 205 7 99 32 203 188 35 37 173 8 30 61 138 75 254 128 108 135 126 4 46 209 45 136 119 191 224 20 91 251 3 232 42 168 62 237 82 43 251 254 159 234 71 102 217 170 85 171 26 242 192 86 33 205 161 122 85 206 57 165 162 188 189 37 48 99 205 0 193 205 160 137 7 142 15 32 151 107 24 246 237 242 212 171 124 97 135 132 175 238 95 244 132 39 206 217 17 254 241 187 237 225 142 58 165 148 30 152 154 10 164 122 53 157 236 99 170 134 36 20 3 13 3 29 48 66 138 3 216 38 72 79 145 158 41 61 75 122 186 52 167 251 1 5 56 243 33 76 9 177 251 84 117 181 236 43 164 215 72 111 148 70 202 218 41 205 244 17 112 66 121 73 73 7 112 2 140 240 36 222 76 34 131 198 74 105 232 96 174 147 38 156 184 212 0 138 124 209 208 242 90 130 30 35 12 201 11 94 39 75 195 255 9 210 179 164 41 195 36 105 166 224 170 172 76 66 131 14 116 1 52 73 126 253 122 208 18 183 110 22 148 116 64 97 247 77 203 195 103 79 186 37 124 88 160 182 108 178 190 177 45 242 251 118 117 90 105 72 69 174 122 191 162 95 15 97 219 175 179 156 35 163 64 84 88 27 174 26 42 46 97 7 11 39 31 143 147 55 99 30 242 97 5 190 54 62 111 222 188 70 29 218 221 116 246 217 103 63 170 247 244 95 169 105 105 173 214 117 120 148 146 19 239 113 122 3 48 164 155 217 19 244 92 233 252 169 97 141 62 34 188 114 221 78 219 229 226 101 157 178 232 150 155 103 9 135 110 143 204 44 142 44 238 141 37 139 75 246 185 176 148 20 31 32 62 160 175 61 181 77 31 27 174 127 227 133 182 201 193 51 231 121 73 40 5 55 214 174 152 106 251 187 84 3 185 41 47 226 112 244 98 129 158 71 191 95 95 145 90 163 149 216 122 93 171 26 120 221 4 62 80 89 178 42 60 66 43 137 9 96 178 243 217 161 11 255 167 157 56 41 124 233 13 231 107 154 92 111 79 177 231 121 84 10 42 154 33 192 195 146 127 221 218 218 250 43 73 103 141 122 192 128 33 146 41 133 153 93 205 163 219 21 61 97 218 52 77 159 71 88 253 213 95 253 149 23 18 211 237 113 46 213 252 61 14 101 65 115 194 163 71 227 181 132 249 141 206 240 144 6 224 222 83 107 195 201 99 245 181 118 9 58 60 248 83 180 59 148 114 32 121 155 228 198 232 113 77 78 110 7 232 92 210 1 40 0 60 36 50 76 164 60 226 82 61 232 172 54 83 55 82 21 32 150 215 101 181 171 112 104 224 7 192 166 160 98 83 74 0 140 180 208 73 154 32 137 75 124 148 151 24 19 63 248 116 64 102 90 9 40 163 177 3 210 14 98 72 108 196 165 140 40 242 118 94 1 94 61 153 174 181 200 62 213 141 86 210 66 225 137 157 225 231 111 185 63 252 253 39 159 8 183 169 200 7 4 106 157 155 186 130 102 161 150 10 80 131 2 28 246 94 125 245 213 206 169 156 35 163 40 154 23 121 56 20 15 22 151 14 95 73 121 62 110 122 28 27 32 114 56 93 204 216 207 227 187 89 212 57 169 26 237 150 238 248 222 247 190 247 86 1 221 63 241 225 94 13 28 42 137 79 192 57 221 204 180 211 243 245 122 166 72 96 112 253 207 158 12 255 122 199 99 26 192 234 9 90 231 226 72 72 114 21 73 209 109 148 59 27 57 183 229 238 97 244 106 39 47 139 163 131 121 225 30 8 99 189 157 205 2 64 109 178 222 51 251 234 219 47 182 15 163 48 5 101 202 92 65 217 83 219 2 137 53 42 75 189 0 110 178 118 28 101 213 219 135 81 217 56 138 193 53 167 199 54 238 10 191 251 47 183 135 29 122 233 163 190 89 87 172 152 106 199 85 80 198 27 185 37 252 17 5 201 21 205 153 63 210 245 105 227 229 130 133 51 194 23 254 232 185 97 214 184 150 170 183 32 4 172 221 2 179 90 125 54 241 94 29 200 125 145 174 189 245 72 122 46 233 155 176 101 157 211 167 162 106 159 254 83 79 61 149 44 99 206 42 185 97 48 175 226 52 249 48 115 243 3 144 6 96 198 154 126 132 102 40 186 9 228 224 198 140 53 112 99 80 36 193 75 199 170 66 171 240 162 120 101 83 56 237 154 113 225 141 39 55 133 105 123 245 91 168 207 216 177 180 89 40 10 172 120 150 183 48 85 169 144 110 152 62 66 129 92 98 14 156 51 27 190 10 3 132 0 3 128 8 0 218 43 13 8 225 79 73 227 180 238 150 119 153 63 110 148 211 78 92 201 223 56 189 251 67 199 105 81 114 248 68 187 132 9 168 1 190 104 106 128 48 226 161 227 60 156 14 144 132 172 27 109 68 244 239 209 217 52 190 57 47 154 218 153 217 241 141 181 225 198 183 252 50 252 175 98 237 158 168 223 92 30 171 84 177 73 69 73 145 152 25 175 14 108 116 112 168 142 168 242 170 24 46 209 184 168 149 210 84 163 231 254 158 62 54 189 59 64 207 227 225 135 194 93 102 215 32 42 234 38 66 81 211 209 221 183 221 118 219 95 204 158 61 251 195 92 193 82 229 208 125 138 46 41 144 216 21 64 128 68 194 171 185 191 146 148 243 47 119 62 22 126 252 208 6 253 54 43 137 46 187 51 5 35 113 159 157 9 78 83 217 120 73 217 52 174 82 59 236 184 21 75 54 174 148 46 179 235 213 16 229 7 200 244 8 212 102 235 219 158 255 254 134 11 116 201 125 188 125 167 19 176 171 160 236 228 62 252 111 220 184 241 5 58 193 255 123 146 74 223 173 245 69 26 157 119 233 40 99 150 140 50 113 112 246 174 39 54 133 119 220 244 243 176 89 87 173 10 90 71 132 54 209 108 53 113 32 186 210 37 18 26 56 224 59 156 220 53 213 25 18 129 98 93 248 63 250 120 204 7 95 250 44 93 161 170 181 105 114 53 224 229 118 1 187 159 210 47 213 166 206 173 186 89 48 74 15 21 208 89 249 129 41 203 17 247 16 192 70 18 143 239 38 126 121 53 84 152 170 60 171 116 210 89 75 69 38 21 237 218 135 43 102 37 128 99 72 51 180 245 147 17 4 213 97 244 110 9 213 147 139 97 218 215 166 134 215 92 212 18 206 238 82 64 111 141 214 221 244 128 74 81 131 184 52 73 25 2 110 99 165 145 200 0 11 114 139 185 144 211 220 152 40 134 51 181 197 16 119 128 0 224 208 184 105 237 56 61 118 87 110 119 19 127 183 187 137 159 215 24 188 80 42 164 45 0 204 53 165 180 146 166 166 131 153 243 46 111 83 208 97 96 96 162 225 13 80 134 87 166 200 219 36 165 105 234 169 199 111 168 211 240 200 206 112 215 59 30 8 215 223 181 53 60 46 146 125 227 234 66 251 230 174 108 226 78 169 161 128 134 170 3 27 211 80 236 35 170 168 142 184 74 134 67 124 168 248 67 209 243 48 55 61 47 175 78 167 139 233 126 196 25 100 231 22 66 250 10 72 251 79 126 242 147 191 213 145 144 119 75 130 96 224 115 12 196 36 183 24 4 32 98 131 93 127 90 89 108 23 40 220 41 64 248 202 189 43 194 79 245 181 43 45 92 169 161 181 210 73 143 213 56 241 182 100 222 106 125 196 56 142 216 203 198 146 252 82 59 227 203 53 249 245 112 106 74 231 206 94 164 123 160 159 248 253 179 244 21 251 81 97 151 142 121 84 1 12 210 246 72 18 170 17 96 255 227 236 217 179 223 175 5 247 115 166 76 153 114 135 22 233 27 37 181 193 146 77 183 41 151 151 141 114 112 221 233 17 61 134 249 177 239 62 16 110 231 49 76 132 87 158 50 226 181 15 120 115 94 101 21 54 234 143 74 68 28 25 245 122 127 142 117 200 119 92 124 178 77 215 249 104 11 103 214 42 76 63 41 18 170 87 95 16 43 105 89 224 239 180 182 246 225 199 31 127 188 85 110 235 148 128 29 17 98 112 115 123 10 110 228 238 202 226 202 145 55 61 60 54 61 78 236 87 102 87 221 121 227 224 143 61 214 244 31 215 12 64 236 67 129 27 195 28 136 106 108 21 184 105 19 1 123 243 151 38 133 43 254 96 76 120 185 62 0 83 104 215 249 104 85 113 73 31 128 9 69 77 219 10 211 20 131 181 39 192 13 16 241 30 27 115 225 118 5 91 169 169 13 106 46 6 184 161 164 56 210 65 3 149 55 19 223 228 47 37 3 180 224 3 126 144 38 209 177 68 230 64 230 181 1 191 40 106 26 13 111 110 119 55 124 34 93 178 131 170 53 187 254 109 122 226 92 151 124 92 74 251 250 186 112 195 255 249 101 248 158 66 247 77 168 13 61 123 187 245 251 56 32 165 1 102 148 54 15 106 80 31 241 245 53 209 204 58 0 246 225 42 175 214 106 241 189 154 242 225 113 211 86 178 199 126 208 112 58 238 239 166 249 235 181 214 146 64 128 138 105 215 186 219 71 218 218 218 62 160 83 240 58 78 209 221 163 126 94 19 3 64 204 8 227 154 129 59 74 210 14 135 122 121 219 236 230 95 173 13 63 213 131 149 219 119 168 229 24 253 250 48 179 196 56 205 57 18 112 224 12 89 214 153 96 11 78 188 234 100 79 36 36 153 2 50 205 235 44 187 19 166 141 9 239 210 2 60 31 141 65 122 227 202 84 37 80 99 76 74 26 235 214 3 141 181 218 233 253 217 159 253 217 159 189 244 158 123 238 233 213 71 109 58 86 174 92 249 215 122 46 253 42 29 78 166 241 145 50 76 37 192 6 192 129 157 201 180 148 103 156 126 168 79 2 126 231 129 213 97 241 234 237 97 195 174 14 189 175 159 0 152 37 130 103 149 107 140 192 140 79 24 94 48 119 74 120 201 194 105 250 0 245 4 97 122 209 158 34 39 158 129 161 37 40 255 163 60 141 71 129 218 221 226 247 37 124 55 84 63 40 37 213 183 1 27 177 1 55 7 51 79 253 116 72 109 228 53 12 112 179 26 80 84 250 15 67 58 214 212 109 172 25 250 192 3 15 84 182 170 87 0 13 53 111 31 19 206 249 200 196 240 134 25 141 97 76 135 158 232 43 105 90 90 195 81 62 73 108 6 110 2 57 219 217 4 84 160 78 142 174 101 77 250 77 206 143 238 194 112 71 158 65 98 3 60 0 56 0 4 201 136 169 107 76 67 206 50 58 184 81 148 10 137 204 215 197 0 53 192 12 88 166 52 14 102 196 67 67 19 19 197 40 170 166 225 205 37 75 164 180 173 234 118 187 120 109 199 74 24 244 141 131 59 223 245 64 248 242 93 219 19 41 173 69 195 74 223 59 160 20 64 161 75 105 244 17 52 165 117 19 59 185 106 53 104 100 55 14 68 51 216 218 77 174 83 224 63 148 162 74 134 82 249 102 136 227 122 85 58 13 143 27 155 196 199 237 213 239 238 56 142 209 73 193 141 10 106 255 193 15 126 240 78 173 191 93 195 105 120 173 81 49 111 167 41 171 42 22 219 107 53 208 121 141 150 99 32 107 210 39 181 239 213 23 157 150 173 219 21 214 238 218 175 3 190 106 3 128 142 234 55 112 75 89 200 4 4 185 65 23 220 162 213 44 208 224 203 237 87 104 87 241 101 122 110 124 214 248 102 91 171 98 125 47 150 130 0 179 72 245 136 231 26 241 188 67 187 139 47 184 240 194 11 151 126 232 67 31 26 115 205 53 215 180 191 238 117 175 171 249 248 199 63 126 171 64 239 60 173 101 209 73 6 29 111 129 78 143 64 141 41 40 210 40 0 183 65 95 150 162 60 27 101 178 73 1 127 0 214 20 189 223 198 165 246 233 99 117 177 93 192 206 250 34 223 87 5 28 99 254 34 222 0 12 3 94 118 161 37 37 111 209 143 199 139 116 205 237 225 43 175 188 114 148 246 108 186 53 93 182 232 2 59 106 105 16 184 57 208 233 106 149 119 100 39 111 241 229 200 155 30 30 155 30 39 246 27 100 207 245 227 180 177 50 88 192 77 191 113 29 3 27 118 7 54 236 14 5 54 97 83 64 75 67 41 140 218 167 169 233 194 186 48 231 134 153 225 117 207 105 9 167 28 80 76 29 1 233 19 184 21 11 2 20 155 150 78 82 106 214 221 0 21 40 121 83 59 55 242 50 229 254 238 166 132 128 72 44 25 1 36 146 142 204 223 227 231 77 5 155 2 200 38 74 147 55 11 254 128 43 165 160 84 94 98 231 33 54 21 108 138 252 99 77 107 193 11 83 79 151 210 182 74 74 107 87 169 68 119 79 123 216 122 227 154 240 31 239 249 85 248 161 98 236 159 218 20 122 183 183 135 125 74 2 12 210 87 209 128 152 107 40 198 218 115 3 216 176 143 168 58 28 96 131 1 175 222 106 204 24 240 84 8 244 42 117 26 78 199 253 221 36 28 26 177 27 123 236 135 59 0 110 26 112 65 122 151 30 167 124 249 201 39 159 252 153 177 99 199 78 150 148 67 133 90 154 184 222 28 84 8 224 238 45 131 155 65 221 160 105 104 163 166 163 246 173 3 173 139 173 220 182 79 207 111 239 15 171 100 110 210 17 136 29 242 67 234 2 36 248 71 75 112 88 118 92 75 67 152 169 197 118 94 24 121 150 110 61 112 105 156 207 244 241 180 56 95 140 7 15 203 166 132 74 231 74 188 244 10 212 244 254 126 95 208 59 116 175 62 229 148 83 190 246 133 47 124 97 188 166 120 221 58 240 90 251 151 127 249 151 59 151 44 89 242 28 73 109 119 106 250 221 172 50 82 38 134 139 41 47 151 129 143 202 1 182 80 150 122 73 155 117 2 58 187 209 96 85 64 89 19 9 15 16 228 106 22 15 115 162 146 56 102 173 248 71 121 116 107 77 179 86 155 3 122 224 163 239 119 53 5 253 95 125 241 125 172 30 1 165 227 6 125 116 39 235 148 67 129 219 17 172 181 101 244 43 50 56 132 103 14 232 136 73 221 49 212 105 126 236 244 39 76 215 149 192 13 120 64 238 105 26 163 169 169 122 21 238 113 223 158 21 94 113 229 152 240 34 125 136 56 8 224 108 221 173 32 112 49 201 205 215 221 0 183 184 199 202 105 57 147 187 171 124 233 24 250 17 152 216 145 15 22 234 61 77 222 132 14 126 227 165 249 141 113 96 3 146 241 119 29 243 225 126 152 174 224 195 53 60 184 148 182 75 222 91 20 178 93 82 154 186 23 113 150 238 10 119 188 105 113 184 126 201 206 176 92 197 239 79 165 52 184 4 10 129 103 116 53 64 131 186 231 100 166 250 24 230 136 170 163 5 108 94 117 121 102 99 127 175 214 188 159 187 243 38 180 240 203 55 145 86 122 155 139 2 179 18 187 165 146 118 78 125 197 43 94 241 15 122 246 232 98 73 65 54 53 85 154 26 6 191 215 31 246 114 149 184 217 59 224 118 0 83 51 128 142 41 164 3 217 129 20 12 120 169 156 169 41 255 0 17 190 145 0 192 65 19 201 172 93 235 84 128 70 6 104 202 104 112 126 150 123 191 36 30 61 122 216 219 169 205 143 183 105 135 247 38 197 163 61 6 53 178 128 238 101 42 227 183 180 112 95 155 130 71 190 0 89 113 72 237 32 150 121 70 22 138 14 63 213 166 156 68 77 249 181 95 215 150 150 150 26 173 95 238 150 223 235 117 100 227 102 64 77 32 213 187 125 251 118 190 111 208 175 77 142 126 7 52 210 186 61 63 45 109 107 107 139 59 52 81 81 94 214 188 153 132 38 127 61 44 246 59 44 187 202 64 223 113 96 195 238 218 129 13 211 193 45 54 77 114 83 88 67 186 238 102 43 86 31 155 24 46 126 239 228 240 234 113 13 161 177 75 251 79 250 158 118 177 160 73 107 97 166 98 206 144 6 100 128 68 90 43 214 114 14 82 113 41 1 21 1 138 129 218 102 153 0 157 167 151 213 236 152 174 8 99 3 3 64 5 224 144 216 40 9 254 148 16 133 233 52 220 180 128 232 15 60 0 73 228 143 148 182 77 13 180 89 82 218 62 81 19 61 189 156 191 5 41 237 189 15 154 148 214 46 41 173 71 171 55 172 165 233 127 54 237 132 2 109 13 176 89 31 138 76 114 200 107 198 101 92 122 69 57 114 245 116 3 27 28 199 213 138 29 229 213 239 110 143 147 55 61 110 28 223 227 4 77 119 106 181 75 199 10 69 189 214 221 222 43 105 238 253 90 220 174 211 192 164 146 25 176 52 119 153 98 16 187 30 8 144 36 103 245 159 28 138 69 170 225 172 151 54 4 197 124 186 171 8 66 72 33 245 121 179 64 7 192 72 131 44 28 191 74 74 254 118 94 77 32 177 82 211 181 239 42 14 131 133 200 222 200 152 138 166 207 56 246 246 118 107 19 225 21 146 238 166 43 62 157 197 203 47 235 240 85 53 94 42 80 176 77 24 213 93 208 154 218 18 245 187 119 73 82 187 87 63 28 227 0 53 143 15 136 1 110 40 7 52 194 220 30 131 91 91 91 219 160 14 157 210 137 203 139 151 187 211 224 65 110 247 63 100 83 229 167 222 208 222 103 220 77 191 192 142 137 142 65 13 59 82 26 218 214 221 132 85 45 218 9 108 213 201 189 226 107 199 132 51 63 59 35 252 241 248 134 208 220 45 121 70 191 137 133 130 110 16 20 78 84 108 192 141 219 4 80 244 28 101 53 59 102 172 188 212 212 46 43 84 59 164 55 72 11 92 172 6 188 27 17 47 79 11 63 122 207 116 105 164 54 242 204 75 108 158 198 77 69 25 196 7 50 56 114 23 160 186 69 217 110 17 168 241 133 2 209 95 188 51 220 42 41 237 198 101 123 194 10 85 68 159 164 180 246 104 45 13 48 67 195 61 122 56 128 102 37 166 239 40 254 136 43 3 54 168 50 130 14 145 250 193 226 199 85 24 147 246 116 177 25 199 117 187 155 164 165 211 161 60 141 119 72 247 203 226 234 8 66 73 11 239 84 242 30 61 47 254 130 231 60 231 57 127 37 169 226 44 13 50 214 222 108 62 207 129 94 167 69 177 227 162 187 219 50 82 88 18 149 216 3 0 104 113 196 10 146 27 95 190 77 36 56 88 41 87 49 221 242 144 204 101 79 255 232 213 18 147 38 105 227 74 105 240 211 212 218 119 28 189 14 50 34 7 179 84 162 57 68 154 126 73 135 220 251 12 90 79 251 146 244 85 154 14 111 63 247 220 115 71 199 160 230 233 1 54 128 204 59 168 131 154 155 57 112 163 195 123 71 118 19 82 216 243 110 252 81 177 127 226 115 152 127 85 15 212 157 183 189 247 25 239 75 110 58 176 185 233 192 134 9 92 160 245 174 112 104 150 244 54 102 167 134 241 213 147 194 75 62 50 53 188 177 71 41 116 141 168 95 160 87 40 10 100 10 39 43 38 235 94 46 181 201 90 6 74 148 12 46 188 132 152 200 62 0 203 38 233 245 210 76 238 224 140 48 76 224 21 59 61 28 21 247 6 54 47 102 74 143 147 102 35 129 248 94 74 55 229 149 249 97 119 5 28 177 89 1 144 2 168 59 4 78 234 222 187 15 132 205 95 90 21 254 253 131 15 133 31 203 183 61 218 241 140 165 52 82 187 62 24 168 41 106 86 226 163 34 173 145 193 175 19 216 44 127 254 72 81 237 52 131 43 111 6 55 241 247 102 194 238 241 49 81 30 207 220 90 143 226 37 215 162 36 12 4 234 150 31 253 232 71 111 214 58 213 59 4 32 211 83 128 163 107 152 84 146 118 118 104 100 160 66 255 207 107 95 39 67 122 35 187 124 184 17 136 254 16 62 76 197 213 41 214 175 170 70 7 92 5 28 12 172 50 162 0 97 37 117 8 121 231 147 195 11 55 10 150 10 216 62 164 93 207 91 238 188 243 206 6 153 163 245 170 74 143 234 78 65 201 38 1 9 177 3 108 110 199 4 224 60 142 155 14 110 109 213 165 54 75 74 114 44 82 110 230 237 22 120 184 127 40 155 210 122 29 186 221 251 21 38 96 230 102 12 108 14 110 192 10 218 192 77 120 213 170 209 141 124 52 106 217 220 240 129 133 45 97 174 190 28 220 167 149 137 98 81 190 165 133 10 153 37 205 158 170 231 230 185 203 171 76 81 98 36 38 122 172 164 37 187 86 197 220 3 110 8 35 71 118 60 145 204 112 3 66 132 163 160 233 113 102 200 62 69 154 184 164 241 252 226 252 221 79 193 166 72 203 116 151 124 87 137 148 64 77 55 43 138 79 238 14 247 95 118 79 248 236 147 251 195 202 81 250 188 180 86 102 70 68 74 83 46 71 13 208 160 141 162 218 14 87 81 29 67 41 194 43 197 169 228 7 157 216 223 211 86 242 243 184 249 95 127 255 165 232 215 34 123 159 64 173 71 210 27 171 13 221 151 92 114 201 103 62 255 249 207 95 162 245 161 191 211 122 214 42 173 27 21 4 124 53 58 217 111 93 130 254 158 244 121 245 131 20 144 6 249 101 113 146 94 225 225 30 31 166 92 85 242 243 176 10 38 63 46 181 74 83 81 11 212 216 9 101 48 229 187 227 32 112 117 158 42 228 49 92 47 242 224 151 151 47 186 159 163 7 62 175 208 244 126 252 141 55 222 184 85 210 238 62 14 231 10 240 106 185 0 47 165 211 48 130 123 50 149 138 221 216 221 15 147 163 33 109 109 109 88 81 132 185 54 143 232 143 165 75 195 35 239 17 181 122 159 242 62 230 253 6 211 165 14 228 161 161 52 16 116 64 160 182 95 27 10 38 99 253 124 159 46 120 203 87 111 185 21 122 49 53 157 236 99 90 7 21 148 151 56 111 38 161 138 44 11 83 80 151 214 0 46 226 226 15 196 178 118 198 142 43 82 25 26 73 16 169 140 112 47 17 156 32 113 1 142 0 21 165 241 112 47 109 37 147 210 0 146 155 21 29 80 19 48 111 217 31 158 58 247 174 112 141 64 237 169 153 90 75 211 237 129 221 154 122 194 21 43 112 200 145 164 242 58 242 122 115 147 92 99 237 185 202 251 232 131 26 121 100 18 155 57 210 78 138 125 152 202 59 98 181 232 30 238 166 199 139 221 110 199 116 77 60 247 7 124 221 238 225 238 246 48 119 123 58 119 23 144 222 180 115 87 224 92 152 2 219 223 252 230 55 183 189 234 85 175 122 169 128 237 249 58 49 127 145 6 240 216 84 178 240 49 106 128 161 193 9 173 50 123 37 191 74 85 86 201 207 136 253 6 252 129 119 213 89 80 221 216 244 87 117 243 176 216 254 161 164 174 111 8 212 30 228 71 67 146 111 43 32 167 169 105 143 214 225 16 210 76 121 241 168 79 148 75 108 152 57 169 141 168 222 217 49 93 185 61 54 221 238 113 142 200 204 26 57 161 18 247 39 183 211 240 46 185 33 169 197 218 37 182 76 106 27 165 47 162 239 233 9 13 111 27 29 46 248 196 196 240 103 117 132 104 85 170 212 160 51 110 11 4 248 243 212 135 88 216 119 121 219 115 145 87 6 72 64 0 32 200 209 142 53 210 2 24 11 243 184 128 216 84 105 95 59 163 70 232 205 91 165 215 75 3 104 73 119 77 70 10 18 219 12 105 242 229 216 135 211 193 68 197 166 211 218 168 44 159 212 145 244 118 133 138 214 223 61 17 254 242 195 143 133 31 156 216 20 138 79 181 27 84 2 102 190 235 121 48 0 131 106 172 201 245 168 75 105 150 73 250 199 171 35 246 27 73 59 133 171 164 98 127 183 187 233 241 221 237 38 254 216 93 87 114 231 253 76 122 19 168 245 106 35 161 225 130 11 46 152 124 253 245 215 111 146 4 247 79 143 61 246 216 117 138 188 87 210 7 224 149 189 164 193 192 142 1 12 55 202 205 216 30 251 89 164 92 60 247 251 77 48 41 139 151 135 99 37 92 229 18 54 1 114 11 116 35 226 125 2 178 219 52 29 253 178 126 16 206 215 161 220 253 2 185 125 50 107 37 1 235 186 169 86 229 165 48 41 107 106 53 137 206 221 74 95 80 93 251 144 194 27 187 107 220 168 56 60 241 25 225 191 0 110 68 210 251 82 108 2 51 46 235 248 0 206 155 30 167 87 111 183 33 181 244 234 225 68 213 135 164 24 185 122 53 252 181 164 107 29 213 254 16 219 115 141 75 136 29 127 223 133 4 208 152 14 146 27 138 116 76 41 145 212 48 91 164 153 214 162 153 139 32 197 161 161 67 92 20 105 1 200 157 210 72 128 200 85 94 58 231 3 51 214 46 177 117 42 166 0 120 83 71 88 38 80 251 57 177 214 37 160 6 135 192 231 51 90 74 19 127 153 42 3 182 92 163 103 145 134 176 120 115 13 17 197 130 14 37 94 28 55 110 18 207 195 253 170 153 196 27 20 134 212 246 211 159 254 148 230 110 208 201 254 79 157 117 214 89 223 209 249 172 89 26 156 52 177 213 3 227 50 29 155 102 186 219 77 8 187 61 238 159 150 153 254 36 102 242 109 82 206 199 253 58 52 227 150 161 107 26 134 15 162 188 60 185 104 182 190 68 127 0 228 116 102 173 87 146 109 179 36 181 63 84 188 91 181 59 251 69 165 155 199 166 2 113 4 90 200 35 212 141 41 236 213 192 141 104 132 231 84 222 207 221 110 230 162 31 153 19 158 35 10 214 108 114 251 80 199 237 118 204 106 160 102 97 98 208 194 37 168 21 52 13 45 50 13 69 243 9 63 91 141 147 97 29 131 216 158 43 165 242 146 1 21 76 240 0 52 73 77 38 19 17 6 85 192 107 178 244 24 105 192 140 53 51 122 42 181 221 40 77 56 210 28 146 156 151 130 180 192 16 210 220 238 212 14 45 207 31 51 182 19 6 15 164 193 46 181 170 61 44 145 177 101 106 93 232 18 154 197 128 70 140 188 118 106 206 65 108 154 148 150 171 111 178 56 234 202 58 228 81 207 37 201 128 2 123 115 226 19 187 221 158 55 61 158 155 158 158 120 67 169 56 94 191 22 191 107 117 22 108 215 85 87 93 117 162 206 184 125 70 167 229 95 168 193 202 25 55 26 5 73 195 104 97 230 237 4 185 31 153 50 36 88 63 55 255 148 11 54 22 112 179 180 100 255 72 99 69 61 24 155 67 21 225 208 195 40 12 181 234 231 216 224 53 126 206 8 110 40 169 241 106 60 227 26 82 17 193 238 222 82 87 104 64 76 107 148 175 215 49 144 203 207 59 239 188 143 75 138 187 86 117 217 39 169 174 89 211 77 164 23 83 116 102 192 77 211 80 147 128 153 142 226 86 160 103 234 236 16 31 187 43 194 61 44 246 247 240 17 49 125 176 169 109 243 249 89 159 80 38 152 206 47 118 120 193 116 141 27 252 34 78 239 217 186 44 223 164 155 9 122 108 166 95 107 84 5 3 30 237 46 88 40 41 82 208 144 45 153 232 146 202 65 141 117 49 166 148 76 71 1 68 226 2 100 83 164 217 225 68 82 99 138 75 26 87 196 99 141 141 184 72 116 72 103 62 37 133 51 64 13 201 13 30 136 235 188 56 13 226 96 79 75 195 165 38 29 192 45 64 111 109 167 189 230 214 217 148 92 155 130 75 114 65 211 190 94 26 76 171 131 200 148 117 160 45 189 142 241 124 186 213 32 96 131 153 180 177 135 203 139 87 81 181 248 7 11 247 116 30 207 77 247 119 19 127 148 55 77 226 74 42 18 63 15 119 127 139 215 214 214 86 163 171 74 59 111 184 225 134 115 37 165 221 168 131 188 51 52 40 105 36 138 57 72 82 35 177 6 32 161 9 136 25 55 201 129 91 14 226 214 235 224 46 175 129 48 70 1 52 192 131 111 110 114 56 23 16 1 244 184 162 196 13 134 60 163 206 216 72 155 198 162 136 114 173 138 97 106 103 238 100 225 128 49 79 51 161 144 30 13 232 196 107 119 202 31 124 146 22 184 113 64 182 200 149 255 64 136 151 61 250 84 127 125 2 180 113 154 90 126 90 18 221 5 146 230 254 66 96 247 148 174 125 141 85 247 132 7 50 13 0 0 32 0 73 68 65 84 17 134 37 91 188 244 165 60 184 137 70 92 45 206 186 231 136 27 69 28 183 155 199 209 250 3 143 105 127 119 94 48 43 105 31 200 110 178 163 83 16 22 17 183 225 185 33 156 85 18 4 232 122 110 127 77 163 248 23 232 20 36 97 209 30 6 9 113 1 156 58 11 246 59 164 1 53 128 200 227 34 153 1 86 149 64 141 56 104 20 96 7 184 17 15 169 15 137 15 238 8 7 130 0 76 194 161 7 184 49 218 201 27 69 28 231 3 167 157 86 147 175 210 11 224 144 223 186 180 181 70 14 80 114 96 131 58 246 172 14 100 119 42 78 89 253 140 158 246 235 85 131 128 237 40 179 67 129 189 89 170 101 229 113 220 36 158 87 84 156 54 246 139 227 122 252 254 133 11 23 214 62 244 208 67 187 116 158 237 244 69 139 22 125 93 11 221 19 53 40 237 73 113 117 102 203 31 51 179 147 145 220 0 20 163 24 32 107 210 53 43 0 131 219 4 123 117 165 106 221 174 189 97 171 174 88 173 223 217 30 54 235 237 213 29 122 58 155 87 59 248 182 233 190 206 158 112 64 61 27 205 135 156 1 62 74 155 102 101 249 241 39 145 230 50 231 33 89 18 40 26 72 66 41 248 4 43 224 196 93 81 120 229 173 182 102 105 220 60 109 52 190 185 62 76 208 23 188 184 43 202 151 188 208 248 115 195 2 197 139 30 104 0 154 46 233 18 168 5 14 254 99 0 199 153 54 233 162 166 167 191 167 58 61 123 227 198 141 127 162 107 96 223 149 125 148 164 58 125 175 147 85 38 120 43 7 55 237 144 6 191 95 154 146 174 212 118 4 81 52 148 21 49 177 30 157 191 240 56 76 112 131 87 52 138 79 142 150 180 1 217 115 101 49 204 153 214 19 78 217 47 78 123 213 184 37 77 13 139 72 92 62 186 172 38 72 145 106 197 235 71 194 66 162 90 35 189 101 160 176 214 241 152 94 162 153 106 186 164 37 107 153 162 86 208 108 14 48 21 5 8 1 74 118 85 147 102 77 164 56 166 164 196 129 23 64 206 195 226 90 199 79 175 150 232 64 81 95 65 2 246 137 141 182 245 208 163 21 81 66 98 48 195 238 218 75 35 175 172 78 158 17 160 6 67 94 245 216 143 68 197 213 84 137 78 28 94 205 78 58 15 115 51 79 11 127 20 77 138 114 119 226 138 6 129 174 255 148 4 106 29 231 159 127 254 56 233 47 106 0 78 212 13 132 46 73 16 252 126 13 128 89 132 58 194 46 123 120 17 64 224 186 20 207 139 255 106 237 78 123 45 99 153 94 223 125 114 203 222 176 113 183 94 210 147 127 31 111 153 161 19 36 128 98 146 123 34 254 36 110 247 115 110 201 56 82 71 2 112 17 153 204 154 7 61 175 29 36 56 64 12 205 203 184 147 71 53 132 25 99 155 237 126 235 169 122 133 228 20 61 157 206 197 120 192 14 41 142 139 243 220 39 165 40 6 206 89 14 101 22 100 128 126 1 89 143 214 42 103 234 46 233 183 55 109 218 116 181 158 90 250 164 252 107 5 116 117 242 183 169 105 12 110 2 53 111 51 106 197 237 49 225 106 254 113 156 17 183 71 224 86 137 118 158 79 220 18 108 108 224 23 95 222 23 22 141 238 9 245 146 222 250 52 7 40 22 5 32 104 73 65 9 12 80 11 164 72 221 250 200 73 232 215 106 111 223 90 153 210 250 244 159 182 80 101 2 35 0 26 235 106 128 85 37 80 163 118 92 203 106 28 0 88 236 128 146 174 67 58 158 146 2 116 132 211 235 25 237 214 251 101 162 188 166 49 149 151 36 76 221 9 12 161 173 33 156 37 159 166 135 244 93 2 177 161 119 36 51 48 3 212 40 73 172 229 148 135 148 89 158 33 127 42 2 219 65 26 249 233 96 157 74 138 171 157 60 189 226 240 207 171 178 48 73 102 5 214 125 20 169 83 151 202 63 163 141 131 211 120 250 71 191 202 117 46 157 65 192 237 180 9 4 70 53 234 103 75 212 151 174 219 17 254 119 233 186 112 251 99 155 194 99 155 118 135 30 1 153 69 144 52 36 196 51 93 20 72 20 117 217 28 0 116 58 48 150 73 105 100 160 34 224 103 216 41 11 246 193 170 178 239 224 120 94 68 66 146 52 131 82 70 30 49 104 10 171 196 62 155 25 154 157 232 219 15 155 4 206 75 244 180 17 20 27 53 181 158 36 160 155 63 101 84 56 79 207 130 159 127 210 228 112 170 62 20 131 148 199 69 126 64 14 254 171 0 28 57 242 50 73 15 107 111 186 177 112 181 0 109 154 166 166 239 151 244 214 165 169 41 159 228 43 3 55 61 53 85 212 14 181 15 16 231 24 86 98 187 156 166 220 207 221 79 135 25 243 226 249 229 249 224 74 104 137 217 159 164 182 241 11 67 88 132 124 202 52 180 22 80 147 164 197 67 148 214 238 72 107 80 76 117 191 166 171 125 154 118 246 106 250 217 183 82 254 154 244 217 156 150 120 19 148 70 192 86 64 82 67 202 2 8 135 82 112 133 102 194 200 58 156 210 155 212 182 65 38 53 76 24 7 52 152 146 178 217 0 168 1 158 78 23 158 80 248 137 134 248 208 179 12 18 20 75 225 212 15 207 14 51 255 118 101 88 58 173 85 82 233 94 231 126 144 105 201 159 105 160 6 83 21 129 205 184 61 244 63 84 83 190 3 196 84 226 240 106 246 106 241 243 254 184 61 175 65 180 116 203 160 164 59 163 219 244 8 229 155 5 106 111 150 84 161 22 179 223 207 140 14 96 4 1 214 194 88 51 107 149 180 178 100 205 246 240 197 59 31 15 63 120 120 125 232 216 173 30 7 136 105 74 87 82 152 129 151 18 36 191 75 178 232 247 26 59 18 142 117 224 148 33 77 69 140 110 226 7 107 184 201 73 102 98 88 4 183 38 61 222 130 15 225 79 66 55 73 224 212 83 87 74 120 128 126 146 175 9 146 128 176 122 113 163 0 217 211 2 234 128 221 250 71 247 135 219 30 217 168 215 74 234 195 25 250 58 213 101 167 205 180 207 252 77 211 51 71 188 82 2 192 37 155 35 105 210 200 80 221 240 194 47 187 167 5 221 68 120 27 211 81 189 45 247 199 162 221 37 144 179 239 82 16 157 1 16 109 32 196 237 102 193 250 19 179 29 23 146 240 167 75 197 60 196 121 226 239 90 55 167 108 236 244 191 45 132 133 194 162 57 146 214 232 15 18 139 213 109 132 122 124 19 193 8 1 235 0 135 74 195 199 151 249 140 95 207 70 233 167 228 150 52 197 58 28 11 247 37 29 231 232 7 216 0 40 64 45 77 35 91 74 200 108 149 255 144 17 210 157 104 152 212 182 79 38 251 255 208 32 12 230 28 220 24 241 208 55 230 100 162 176 203 95 60 107 209 88 214 98 24 125 249 196 112 166 128 109 177 36 54 58 11 109 17 107 57 19 69 155 186 253 153 100 86 5 54 24 86 135 141 139 255 116 241 77 69 145 175 155 113 190 94 137 149 248 178 48 93 214 6 212 246 235 3 17 39 105 90 116 117 90 4 186 87 86 86 252 32 0 168 53 234 105 112 205 186 194 63 254 240 161 240 249 219 31 13 237 124 179 72 167 44 107 53 192 89 111 243 35 27 121 110 72 159 103 194 24 166 157 115 213 134 180 68 142 22 148 150 198 11 130 211 162 91 226 52 240 144 140 92 194 212 233 121 66 202 187 30 125 144 188 220 77 21 35 137 213 107 45 209 193 142 175 96 221 41 73 245 46 189 44 252 229 159 141 14 175 90 52 39 188 252 140 89 154 190 54 218 99 148 0 57 82 106 172 210 190 205 121 182 62 73 198 28 224 125 149 164 181 221 154 118 254 169 166 255 118 77 33 222 80 80 90 175 190 152 121 236 40 194 220 110 30 191 134 63 206 95 37 19 184 40 10 163 232 79 245 47 10 225 60 102 141 59 181 103 164 200 165 26 73 91 37 164 54 98 33 133 161 128 6 245 64 110 34 116 111 145 16 37 80 235 221 172 56 242 215 154 150 73 91 37 161 35 111 186 101 160 67 90 106 193 97 5 78 42 41 231 16 110 152 114 250 148 20 48 67 90 131 15 242 136 167 164 248 33 229 161 72 239 249 176 233 81 20 167 218 115 154 211 24 206 85 200 13 143 239 13 125 176 166 165 186 65 109 2 70 64 226 153 168 40 226 72 170 67 41 104 28 55 182 199 252 224 95 41 172 146 159 165 211 177 3 204 78 61 132 248 14 118 64 53 77 226 78 168 61 91 100 128 150 130 142 131 26 11 254 239 254 207 123 195 39 254 107 73 104 231 203 241 154 130 149 244 147 69 184 237 26 14 202 105 160 135 25 115 250 147 111 95 220 249 38 7 104 248 231 223 34 32 220 53 123 136 202 78 59 170 3 126 30 150 55 173 144 185 63 78 27 111 120 74 254 96 25 80 208 113 21 89 45 42 155 37 94 94 164 87 214 218 216 124 120 124 211 158 112 213 119 150 132 215 94 123 87 248 175 37 171 13 252 216 76 33 110 37 165 114 11 39 11 188 8 194 69 250 183 107 205 237 255 179 119 38 128 118 86 213 189 223 119 206 72 2 9 33 144 129 16 48 204 131 50 200 164 32 226 67 197 161 34 90 196 90 173 90 181 79 139 150 142 90 234 195 167 207 90 107 181 90 43 168 104 171 85 68 20 181 214 17 149 25 153 231 49 33 36 129 36 100 32 100 30 239 248 254 191 181 247 250 206 62 223 61 231 230 38 100 184 55 156 157 124 103 79 107 175 189 246 254 190 253 191 107 207 127 163 97 1 142 60 34 188 48 90 252 235 205 209 43 211 253 206 182 236 247 240 157 102 35 92 98 158 219 46 71 110 51 47 208 166 63 127 125 71 107 125 255 65 154 13 101 10 81 70 95 153 34 198 11 139 212 237 179 249 118 254 156 178 88 66 0 211 163 129 42 64 109 203 60 121 23 202 79 152 30 170 178 121 130 30 1 82 147 128 9 30 6 136 164 5 220 252 1 156 168 246 188 234 93 82 5 155 201 187 164 116 75 49 164 131 142 113 55 180 54 117 131 139 237 86 240 34 30 3 128 74 235 163 59 10 8 107 71 197 9 111 220 39 76 22 121 247 62 19 141 131 145 13 151 159 1 129 77 31 106 94 141 59 162 76 59 146 95 206 203 220 211 167 79 111 214 142 2 180 181 153 90 49 255 22 13 104 215 148 25 45 172 67 224 69 23 235 127 127 247 182 240 11 221 125 208 42 13 173 69 154 11 141 182 78 187 173 193 43 23 33 70 123 136 131 91 173 26 116 32 170 101 187 134 232 203 51 72 95 239 41 11 84 225 167 24 210 85 181 2 231 227 18 38 121 141 121 133 19 249 250 236 40 224 230 119 42 92 116 229 29 225 226 239 223 25 150 74 163 229 244 93 64 191 150 1 220 20 222 199 5 59 234 118 94 170 89 208 243 245 199 102 53 99 112 208 151 0 36 111 154 184 221 239 110 247 147 116 87 24 207 47 183 113 83 38 183 185 164 202 244 157 119 105 108 77 152 52 97 139 117 224 164 128 41 162 85 234 27 211 83 6 147 128 146 64 130 219 228 1 181 205 243 133 41 79 42 72 168 168 197 188 154 128 18 158 104 169 70 139 64 8 180 44 64 205 193 44 165 239 7 116 57 200 149 95 3 93 82 84 200 253 146 13 15 167 161 139 10 184 73 158 98 65 46 188 28 220 232 62 107 243 59 249 141 104 10 7 189 111 90 56 74 177 93 99 52 10 33 219 235 68 206 161 111 6 4 182 161 47 126 33 161 85 186 26 16 123 95 55 235 198 248 179 229 158 162 35 119 120 165 253 202 72 183 144 165 28 159 254 197 131 225 198 251 158 14 109 90 254 224 128 82 112 172 235 240 175 164 154 32 255 27 0 133 61 2 9 194 89 219 198 56 138 97 136 34 6 178 115 174 21 160 170 184 114 192 203 53 188 254 233 82 62 6 111 21 153 99 222 240 171 152 66 158 74 144 201 13 120 241 140 209 33 61 35 52 46 247 253 59 23 132 63 190 226 102 187 39 2 192 115 89 178 100 230 20 120 113 241 76 183 214 186 193 231 95 53 222 118 152 214 185 173 211 251 48 64 0 220 6 161 181 149 217 238 52 63 242 100 204 113 231 143 55 106 108 48 171 85 216 128 126 51 238 196 16 78 163 64 188 94 18 208 13 109 21 64 49 0 103 70 149 172 187 54 67 215 115 194 145 167 180 250 98 142 220 210 220 152 78 65 91 107 150 118 215 170 101 26 45 74 103 115 245 188 20 7 53 209 0 138 133 223 195 177 61 14 27 80 34 12 155 244 8 34 128 45 186 164 0 29 241 24 236 149 122 24 127 99 185 9 218 36 233 120 48 148 80 26 155 216 24 148 233 218 193 83 9 29 169 9 114 162 101 188 94 162 111 8 255 186 192 117 69 212 135 73 117 109 139 217 86 122 231 189 189 233 44 189 186 157 77 139 23 47 214 37 19 77 109 2 53 54 183 211 168 120 149 188 140 194 160 145 141 211 209 221 63 127 80 151 31 222 172 47 77 87 207 213 107 160 69 162 1 28 6 57 73 242 114 85 17 236 15 93 80 7 79 183 161 47 63 128 160 63 49 174 2 132 46 134 229 41 126 158 119 1 76 89 13 22 52 10 179 120 147 36 114 136 244 80 184 137 174 72 231 97 149 124 173 235 169 90 220 71 117 53 91 179 196 239 254 207 91 195 143 213 53 5 220 98 62 149 52 184 82 153 108 182 84 239 98 178 0 237 115 2 178 118 174 233 147 22 87 116 75 83 170 114 99 241 247 85 14 175 206 100 231 248 242 188 105 27 46 3 110 30 230 5 132 109 161 239 188 16 102 77 214 196 129 112 43 18 209 13 213 24 89 62 27 218 171 62 106 183 250 114 157 75 52 126 63 87 189 65 1 92 175 190 200 30 117 36 88 14 210 46 173 170 149 52 198 81 140 114 192 226 203 245 135 240 212 165 53 27 191 199 17 94 78 135 164 226 95 156 4 66 41 0 47 108 58 49 146 163 234 4 16 255 16 72 151 129 178 238 4 61 77 33 251 220 178 38 244 30 16 203 47 239 240 48 20 101 87 27 175 198 193 230 59 40 122 13 88 55 105 224 186 83 39 119 236 171 21 241 199 105 241 104 209 237 113 240 224 210 150 118 173 198 95 163 177 180 203 111 156 173 143 67 7 216 107 148 23 160 121 190 198 89 120 94 250 246 183 202 18 138 129 30 97 92 2 93 193 135 50 48 205 79 97 158 23 25 244 3 176 26 241 70 71 120 38 19 60 76 86 34 101 92 110 11 143 65 132 198 20 137 150 139 149 199 9 204 54 105 25 200 197 223 191 43 124 251 247 79 218 120 92 206 167 72 26 29 45 154 60 232 149 182 118 142 182 99 125 80 51 166 235 245 135 167 0 182 1 180 182 28 96 74 44 119 154 183 156 39 126 30 218 136 63 45 194 5 154 126 219 27 67 56 69 189 200 142 46 230 151 20 79 55 212 102 67 165 203 161 157 163 169 1 106 91 212 5 221 56 95 224 70 23 80 134 238 39 224 215 33 84 4 8 117 10 72 236 182 230 96 5 104 225 151 86 199 66 94 91 72 182 74 105 1 70 105 92 204 166 246 209 173 4 164 28 212 114 128 35 61 58 165 192 173 79 125 229 94 161 49 87 18 243 103 30 217 108 156 13 121 224 193 0 33 60 92 107 163 59 202 150 48 241 27 217 20 14 255 194 193 97 150 98 187 116 53 174 67 158 215 75 209 190 20 63 228 140 11 59 160 96 250 112 119 215 12 105 89 46 255 248 202 225 118 239 129 2 59 207 59 239 188 153 82 10 14 102 124 77 98 87 1 55 141 150 193 239 95 62 180 40 220 59 255 89 125 93 186 161 202 222 116 93 182 253 242 241 0 120 121 7 134 230 239 179 158 30 31 109 17 61 79 67 47 41 231 2 136 32 109 204 63 202 141 28 14 90 236 66 200 75 147 199 209 97 50 89 69 80 145 55 22 196 211 192 159 216 244 223 50 138 57 198 242 118 233 143 1 221 82 102 79 153 88 96 49 243 155 52 107 202 98 230 242 108 41 140 100 122 121 23 154 21 189 100 249 242 229 55 106 41 206 61 154 84 176 75 150 137 164 40 122 48 238 118 59 134 238 228 223 36 131 231 66 222 60 124 55 185 141 155 107 68 219 132 51 40 91 251 30 161 217 80 176 64 213 101 221 80 102 66 91 4 88 244 227 122 5 56 140 161 117 9 140 54 61 37 236 144 198 230 6 237 108 164 212 159 14 141 171 181 42 141 77 48 3 44 94 11 178 11 16 18 143 30 1 36 179 169 182 83 65 25 178 60 196 214 201 169 27 203 97 150 118 199 130 47 15 33 19 36 117 67 63 121 140 210 238 45 62 2 195 38 64 12 192 83 30 77 203 245 168 245 67 14 15 115 0 124 10 32 90 139 136 117 186 115 24 253 242 209 225 100 197 254 62 117 71 33 119 73 115 183 130 135 150 25 20 176 109 135 200 20 158 130 111 171 169 149 206 43 208 249 97 187 27 254 230 86 55 199 198 117 116 114 199 177 210 16 218 53 120 205 119 87 0 155 1 130 40 209 122 184 127 83 251 158 180 164 99 132 13 148 23 239 138 183 106 220 106 137 65 86 110 250 199 59 176 64 81 1 13 167 143 118 78 83 29 83 219 23 249 144 151 120 154 92 216 21 160 115 144 75 66 39 154 152 139 1 95 86 77 101 128 163 5 186 156 94 55 240 38 155 126 224 166 111 25 192 116 57 152 92 0 220 184 151 245 163 215 220 99 139 121 95 54 107 63 3 183 242 221 169 226 213 162 35 142 186 52 59 58 74 218 219 39 196 227 205 236 72 80 94 205 44 1 65 107 211 81 72 198 59 253 228 149 235 238 88 9 57 213 142 119 83 192 242 83 104 106 138 3 187 218 164 68 133 247 135 112 140 150 64 216 218 53 37 104 102 133 36 32 197 76 40 160 212 35 77 168 91 96 180 89 159 217 166 69 10 67 131 146 33 126 228 254 26 152 71 91 19 40 129 148 166 41 165 120 220 140 155 90 23 86 233 187 165 157 117 233 239 47 51 170 226 203 234 35 27 191 147 118 216 212 34 77 172 109 138 120 104 140 142 177 186 170 45 92 150 91 250 17 216 178 190 173 79 249 245 8 96 155 0 81 74 169 130 176 36 197 30 242 7 4 21 199 223 121 121 155 122 59 67 79 139 238 206 150 184 167 41 230 242 7 86 135 158 169 34 167 56 242 195 97 87 188 19 101 179 125 134 23 55 156 141 87 110 147 102 223 24 95 107 17 168 157 160 25 56 26 39 192 102 141 148 134 74 119 147 165 12 207 106 49 234 125 79 49 252 107 199 109 15 92 118 208 161 48 114 231 94 133 87 69 23 116 144 213 254 151 145 152 147 244 3 62 25 31 228 135 54 118 71 113 71 97 248 141 113 149 174 170 231 131 20 158 206 243 33 206 164 131 87 226 97 97 242 195 51 114 77 110 194 156 25 169 140 38 6 208 45 101 215 194 26 237 147 253 216 143 239 181 107 10 71 75 27 174 53 91 42 190 220 116 197 225 149 103 47 89 178 228 2 13 27 172 149 86 141 238 96 42 93 202 130 198 178 187 76 158 55 110 30 218 134 219 184 91 84 124 154 255 136 179 66 56 93 227 253 212 13 144 208 132 22 70 247 210 2 164 21 121 23 20 80 67 123 51 35 78 29 66 195 145 2 181 118 64 205 23 201 82 193 226 210 71 58 105 85 140 199 209 117 221 240 144 134 193 30 144 162 54 95 115 13 171 4 106 155 148 207 102 1 142 14 130 220 162 83 110 53 187 218 187 241 65 209 207 86 186 197 98 161 79 218 186 167 210 242 172 107 137 13 66 169 150 109 25 137 128 176 79 121 118 43 31 95 106 210 173 174 109 143 52 183 94 105 150 164 69 6 211 22 41 24 0 40 109 113 68 79 120 241 133 227 195 116 145 116 31 34 177 21 58 44 204 160 129 77 31 39 175 96 71 153 193 240 226 163 218 154 49 26 141 221 52 45 210 81 224 34 30 171 73 131 163 165 33 144 174 114 58 48 13 86 79 155 244 254 133 43 185 47 84 111 81 203 61 242 134 173 87 170 36 131 17 11 214 152 72 155 55 246 24 94 251 215 233 42 182 231 87 223 70 230 10 61 57 198 127 14 86 14 114 46 141 113 82 2 31 139 115 73 72 229 105 224 23 233 51 94 85 101 33 60 209 120 254 201 111 18 40 210 121 0 110 123 105 233 199 227 207 172 14 255 239 231 15 90 30 156 40 226 241 69 50 189 11 153 110 129 25 65 31 209 182 170 253 244 7 104 179 254 0 217 33 149 105 172 141 56 222 103 249 33 124 167 24 132 74 140 203 121 186 31 129 121 90 212 163 107 215 144 89 56 90 183 24 28 164 181 107 9 175 44 61 93 80 102 66 93 91 235 148 166 181 73 96 211 173 207 204 77 187 180 38 64 205 52 53 198 213 128 8 234 82 159 106 143 250 183 158 102 189 128 106 205 3 2 181 185 218 119 170 13 51 123 233 40 164 86 237 106 83 79 191 123 109 103 216 66 23 119 172 230 44 71 233 140 5 105 115 125 27 30 21 30 61 34 205 238 169 4 82 8 137 112 52 1 192 77 121 208 125 181 59 79 165 24 243 215 222 192 77 113 221 202 183 107 153 108 129 98 47 90 161 252 182 12 5 173 77 103 203 73 7 8 218 237 187 255 31 142 14 199 42 89 207 166 125 10 176 247 250 161 10 173 14 20 63 164 140 94 199 176 49 94 153 101 129 155 212 72 154 53 113 176 229 147 159 252 228 84 53 158 253 18 176 25 152 57 49 141 141 49 160 69 186 33 93 119 255 106 124 65 223 171 181 64 177 205 95 141 232 162 191 112 56 139 104 87 5 87 60 53 26 115 117 186 2 46 6 23 92 80 49 104 147 76 204 35 9 155 194 9 195 201 231 197 55 230 212 128 98 12 143 244 196 27 148 25 189 186 156 70 31 195 108 96 69 196 222 53 37 20 2 82 198 191 103 16 219 127 66 20 22 211 227 230 2 230 189 181 168 249 127 30 88 24 78 59 100 82 248 147 211 15 9 171 116 226 137 16 203 197 54 91 124 90 57 86 92 239 234 112 13 19 188 93 129 159 215 211 97 45 35 54 14 23 189 42 221 46 240 184 160 216 254 56 160 21 182 230 6 218 132 83 77 127 162 181 107 194 135 9 106 243 24 117 168 171 181 53 117 225 108 194 128 241 53 55 116 83 71 72 91 107 147 154 7 8 98 0 16 186 168 61 98 212 181 78 105 4 46 91 150 234 145 54 198 204 169 112 176 249 185 166 176 249 214 190 112 199 239 67 120 100 158 46 42 19 105 223 148 166 48 246 184 214 112 224 233 173 225 248 153 173 97 106 167 186 172 27 165 189 73 75 108 110 159 46 244 157 172 60 52 166 86 172 139 83 137 40 84 179 192 148 46 43 187 27 232 146 154 81 68 143 128 144 81 6 190 35 104 120 245 244 117 36 3 227 108 221 99 116 184 205 193 77 182 236 227 71 207 174 140 172 68 5 62 14 105 179 51 129 141 15 149 58 125 62 166 86 122 15 195 54 55 247 26 200 221 61 117 234 84 41 220 97 111 128 77 195 55 78 103 249 211 168 1 182 101 107 245 121 232 84 142 102 173 99 139 119 135 242 38 69 106 212 136 140 201 146 26 114 184 191 86 145 106 133 69 46 246 149 184 211 109 207 194 252 85 30 167 168 182 141 36 229 159 201 152 143 121 85 0 75 146 139 198 255 136 146 212 0 14 142 169 140 196 67 143 191 40 154 64 205 220 34 51 60 178 56 109 183 82 173 70 176 131 19 140 237 63 204 68 31 193 205 120 41 81 155 52 181 175 92 255 184 129 219 140 137 99 236 216 166 242 100 130 228 146 226 216 199 88 232 59 117 225 242 149 218 199 171 30 234 90 46 177 177 117 109 217 88 91 202 80 89 237 26 163 146 217 75 199 230 91 114 27 183 77 26 104 168 11 29 107 220 241 26 115 98 104 76 95 145 224 71 248 173 22 212 172 14 42 154 151 77 24 208 157 148 198 230 134 184 14 125 149 197 152 154 74 198 114 143 62 1 18 154 83 167 232 153 57 221 172 12 186 183 132 30 241 110 25 163 220 31 235 11 143 253 115 95 184 242 167 61 225 49 241 34 47 100 66 134 22 105 98 119 73 176 223 93 222 17 94 253 186 182 240 218 14 105 111 210 16 123 186 215 134 22 128 170 125 138 58 36 202 179 88 31 167 148 6 192 9 220 116 11 149 1 154 107 141 204 182 242 121 176 244 132 28 152 185 229 123 160 203 42 29 32 72 107 60 121 63 45 30 153 167 229 189 178 155 165 228 33 11 15 239 105 72 26 94 220 160 141 62 200 33 89 16 173 149 162 12 189 218 198 163 191 141 97 148 64 173 40 147 137 44 177 93 242 117 155 245 182 164 101 196 6 236 100 42 86 94 178 194 93 56 156 48 218 253 130 9 168 245 100 201 60 186 138 46 139 31 208 153 18 83 136 18 31 202 231 101 3 100 232 114 122 23 213 95 23 73 226 86 174 106 90 232 141 37 4 50 133 223 50 81 26 254 114 195 159 56 108 57 18 105 225 39 29 203 104 152 109 94 176 98 125 248 170 150 209 0 104 90 211 81 208 66 131 17 143 86 105 107 125 26 107 59 82 203 113 94 171 160 13 53 198 218 32 165 209 236 84 3 152 166 12 220 198 139 155 135 118 225 15 171 56 4 79 33 156 23 215 174 29 163 161 39 140 165 179 53 104 114 161 169 117 9 84 58 165 169 197 209 93 17 8 36 58 164 61 217 152 26 224 167 250 164 251 7 205 38 161 195 250 249 122 230 168 18 22 73 121 211 196 177 112 133 229 36 221 63 233 11 223 123 89 8 255 231 167 33 220 169 15 122 163 242 231 217 160 103 189 252 27 212 45 222 44 86 43 222 183 37 92 245 153 77 225 107 207 117 134 141 99 186 67 203 102 105 123 235 31 23 177 186 166 91 22 72 30 105 128 61 200 163 60 173 91 170 18 217 145 74 202 136 53 42 222 37 237 18 200 110 121 86 36 162 101 226 195 102 117 145 85 151 37 115 205 123 107 87 56 252 146 81 225 48 184 204 48 232 43 234 201 234 32 171 75 145 12 13 179 51 53 182 157 81 66 171 200 140 113 238 55 183 55 102 104 220 109 141 49 111 193 177 169 70 54 68 230 92 138 230 152 5 146 182 104 7 253 18 68 62 3 253 70 1 106 83 192 123 171 70 178 20 226 36 122 254 196 98 204 2 116 162 31 49 29 160 82 103 50 146 37 160 161 78 188 139 234 180 246 231 90 108 109 86 143 242 195 171 70 215 84 153 196 12 137 150 43 214 111 212 220 0 64 182 96 209 37 125 203 9 51 194 9 51 38 218 225 155 101 173 77 201 122 181 206 16 205 131 238 232 213 28 107 36 112 43 207 144 166 66 90 54 100 181 179 140 243 198 230 1 204 202 182 38 7 13 216 108 237 154 20 161 118 13 71 153 182 6 165 237 50 0 4 4 14 157 2 54 180 54 55 116 61 121 0 56 186 151 118 37 31 0 184 78 64 34 45 201 118 33 244 134 30 97 94 203 104 85 227 220 190 48 247 139 33 124 253 123 186 120 93 60 122 213 115 100 149 6 35 102 94 31 200 71 221 181 171 71 75 55 101 204 151 122 194 245 15 245 132 101 159 105 14 239 154 213 28 166 173 214 236 105 247 124 227 221 52 98 154 8 39 69 77 204 0 88 114 242 206 109 189 157 80 146 177 53 12 5 230 40 37 94 47 154 37 223 1 90 155 38 16 154 116 20 83 239 88 41 228 71 7 91 246 113 189 186 228 200 144 27 146 187 124 121 248 110 117 15 23 96 163 242 114 131 223 195 56 87 223 220 106 36 102 211 224 28 212 60 17 53 111 181 95 245 10 240 40 137 89 250 177 6 77 138 146 187 200 138 56 76 30 31 67 252 215 4 208 215 99 118 34 213 6 35 185 138 144 72 74 16 124 248 210 10 99 129 133 143 83 71 162 81 184 71 21 244 41 32 151 89 196 0 28 96 226 100 46 9 126 115 103 217 69 39 191 210 242 244 219 164 106 180 116 169 107 42 54 150 198 240 76 52 40 57 14 102 20 199 82 90 36 71 229 247 217 65 150 140 175 125 235 247 115 117 244 209 4 147 3 41 161 203 76 147 14 38 192 123 186 214 181 157 164 117 109 55 104 93 219 120 105 113 204 106 27 75 197 185 13 29 218 18 64 178 179 12 121 213 122 104 192 224 65 171 218 60 138 206 196 35 210 218 53 23 196 186 114 74 73 215 18 96 43 102 64 69 192 184 90 187 192 3 26 27 75 83 60 26 18 96 6 0 106 112 158 170 233 21 142 216 185 110 215 246 133 31 190 39 132 171 84 51 203 132 133 20 120 51 189 90 57 253 205 203 105 160 2 176 117 41 75 226 58 165 189 237 117 125 8 15 191 166 55 124 254 63 123 195 31 157 218 20 142 223 32 80 218 184 68 24 187 86 195 102 234 118 118 236 31 1 139 194 32 11 181 220 170 132 93 202 128 9 14 128 140 92 76 187 211 135 192 12 47 26 168 61 2 74 90 215 62 189 182 236 99 244 3 74 146 228 64 46 234 45 151 79 222 161 97 182 25 216 244 97 15 149 197 186 229 26 164 146 251 153 2 224 104 128 0 30 239 193 220 78 154 222 143 89 196 137 141 113 202 221 162 37 141 181 59 79 71 152 30 209 210 237 2 4 240 210 13 180 174 48 186 62 104 65 255 195 243 131 111 36 146 35 55 4 150 12 121 169 123 87 157 37 153 36 218 34 66 126 11 82 156 69 235 136 239 141 9 7 228 175 152 228 193 138 131 103 102 219 189 8 90 250 98 154 149 248 32 54 6 246 104 97 57 184 209 157 181 46 166 201 32 130 248 95 34 197 137 7 22 59 143 214 190 210 223 61 182 196 206 182 59 233 160 137 97 237 38 245 103 96 82 49 220 155 208 163 117 109 45 58 218 232 77 10 190 65 67 8 170 178 94 102 177 251 210 186 54 164 32 81 146 166 146 120 39 186 200 143 199 0 45 217 45 210 154 218 151 75 142 63 11 225 216 125 67 92 187 150 226 34 32 168 170 173 75 151 250 167 138 179 9 130 54 129 154 141 87 73 131 51 224 83 119 16 77 141 201 2 21 170 71 232 196 16 88 203 130 16 22 92 33 45 237 178 16 110 81 138 110 105 132 108 45 133 27 0 98 95 144 236 178 108 196 241 216 146 57 241 217 75 248 245 204 27 66 248 202 191 247 133 63 56 55 132 215 163 89 109 220 160 189 53 243 67 11 249 142 216 79 224 166 46 168 111 180 199 102 97 30 113 6 200 228 32 48 3 248 216 239 138 49 173 77 23 64 211 147 29 209 23 142 125 127 8 7 125 53 132 71 79 19 201 173 202 219 136 134 232 207 54 3 219 110 44 7 85 95 211 168 129 16 222 44 77 96 147 218 198 38 253 225 215 43 211 75 114 16 192 35 67 163 229 62 0 13 249 198 56 226 13 32 104 63 98 111 86 114 71 143 165 75 17 201 237 22 26 12 128 160 143 67 147 17 61 93 250 206 56 91 156 217 86 245 180 58 4 74 172 202 231 156 179 81 58 243 141 198 77 254 12 178 219 217 103 100 99 166 112 196 86 44 47 224 177 89 19 32 143 44 94 109 167 141 20 24 22 41 148 10 89 69 88 137 80 8 128 170 191 206 202 239 40 117 3 89 179 135 31 37 40 146 69 240 233 146 26 232 71 127 175 222 216 165 69 181 91 194 102 129 15 252 154 36 39 99 101 128 59 117 71 186 50 184 57 238 91 221 194 59 149 2 139 252 40 31 187 16 174 185 231 169 0 176 197 188 51 162 228 212 22 43 242 120 165 54 200 239 175 125 190 43 245 14 59 228 55 35 18 216 122 197 224 206 253 137 195 243 182 156 111 61 27 128 243 45 84 35 94 33 13 83 74 14 187 145 80 96 116 107 78 172 126 91 19 38 245 201 13 26 154 109 147 82 106 91 58 33 84 96 92 13 64 83 253 80 38 118 56 181 200 27 110 12 225 103 2 139 111 61 171 139 161 164 185 129 20 27 5 106 112 115 80 147 179 48 202 177 0 93 180 54 128 5 224 227 236 202 30 125 240 99 1 160 15 134 240 253 217 186 214 229 3 33 252 209 190 186 82 102 109 143 112 117 153 78 31 215 250 55 214 209 217 126 86 90 189 36 1 216 0 49 38 48 188 182 1 105 202 198 164 135 25 125 6 168 134 34 157 248 191 66 56 94 192 246 144 64 147 88 228 241 199 148 29 94 158 165 25 2 63 59 27 216 40 40 133 175 101 6 138 171 151 198 249 120 133 226 119 218 86 117 109 214 233 47 255 58 13 217 140 202 235 24 55 255 208 164 56 114 7 52 162 193 154 193 182 214 151 137 83 56 229 240 150 12 113 65 27 193 71 23 54 105 187 139 206 112 27 219 17 142 153 49 57 28 171 13 117 135 77 30 23 166 237 51 58 76 212 49 72 99 180 101 107 68 91 179 173 210 103 249 3 121 2 56 172 218 55 153 92 6 99 77 166 250 74 19 205 134 45 93 225 77 255 126 93 120 100 254 10 59 193 215 22 190 122 73 237 43 148 199 211 3 48 148 65 219 157 154 245 167 248 95 222 114 82 56 126 198 4 211 150 208 200 188 138 32 41 128 77 96 140 54 197 49 68 28 127 126 199 147 207 134 219 230 61 27 150 104 141 95 147 100 30 173 195 54 77 187 85 106 203 166 24 115 147 156 228 135 176 89 245 80 30 100 128 150 50 95 247 216 51 97 238 242 89 225 160 218 51 164 252 17 10 58 253 99 150 38 17 78 17 167 107 244 104 206 78 231 33 174 94 205 78 4 42 131 44 220 166 33 211 216 119 150 241 74 202 237 102 1 25 221 208 190 67 66 56 96 186 52 182 108 248 204 62 25 83 198 129 23 164 148 161 126 109 91 149 64 205 23 193 154 134 38 26 145 244 42 184 89 74 83 203 211 186 147 248 123 33 124 237 159 66 248 173 146 117 78 212 107 89 161 73 1 220 122 10 192 146 59 55 200 38 22 54 198 6 160 57 29 54 75 225 122 212 131 236 86 62 99 191 20 194 117 234 50 46 253 199 190 240 46 141 248 79 23 110 245 117 234 120 111 237 104 104 234 81 46 140 163 1 92 200 11 176 177 109 11 173 210 141 185 21 103 93 84 89 226 217 35 48 107 153 26 119 33 124 119 158 8 229 102 23 2 114 96 144 45 213 130 249 119 251 207 206 6 182 157 81 64 42 209 141 185 181 62 138 74 109 189 238 186 235 86 159 123 238 185 156 253 37 197 59 86 180 1 28 173 77 255 217 10 180 175 64 136 53 108 132 115 212 53 81 246 195 91 134 200 128 140 64 127 87 121 118 10 150 33 93 15 91 178 4 92 111 63 251 136 240 214 19 103 132 35 167 236 109 27 194 209 182 152 37 4 160 226 177 63 210 230 164 170 89 195 87 90 56 3 46 248 243 48 220 24 108 52 192 189 164 237 29 39 160 124 100 238 114 73 66 156 30 100 195 152 69 88 242 195 75 62 238 97 216 164 85 149 119 204 91 110 199 123 199 124 60 77 180 145 15 173 108 76 71 83 152 164 227 154 14 211 69 46 103 29 182 127 120 239 233 47 10 11 4 106 63 189 127 97 248 198 45 115 194 34 205 112 142 214 29 16 124 214 198 221 235 197 100 112 16 75 50 136 53 220 145 93 69 183 19 121 23 175 222 24 126 243 232 51 225 67 175 56 204 90 172 162 115 3 57 151 192 180 234 80 202 179 228 254 145 30 152 5 105 111 33 235 142 18 132 161 65 239 12 131 28 60 24 119 99 147 31 167 123 211 62 154 206 20 56 168 253 79 2 117 100 156 222 150 120 164 215 102 17 14 22 166 157 9 5 233 202 201 64 210 43 141 167 5 4 186 69 23 78 255 69 8 255 241 100 8 243 133 47 96 227 70 129 119 227 125 205 0 0 32 0 73 68 65 84 26 93 79 112 147 20 128 5 143 213 135 108 55 46 23 108 0 122 158 156 214 38 51 21 214 45 64 30 119 163 214 190 189 86 7 67 255 135 38 105 78 211 218 59 203 160 75 159 229 114 211 222 138 115 227 40 41 154 155 173 171 131 155 12 66 49 190 134 246 73 179 160 167 129 96 146 247 164 151 232 182 211 123 165 17 30 163 58 18 176 33 19 79 89 86 5 237 94 179 179 62 152 231 91 170 109 169 168 166 212 21 109 189 246 218 107 215 106 248 102 185 52 54 203 159 134 102 79 244 73 161 233 149 38 53 34 118 71 213 2 121 35 133 201 191 80 114 47 36 112 71 180 25 46 234 209 233 22 251 234 150 167 111 191 231 101 225 75 23 190 84 93 174 125 77 19 99 123 209 202 13 91 194 106 117 197 214 72 27 226 10 62 186 125 0 21 32 195 205 79 220 63 90 200 37 150 246 5 155 156 124 64 196 137 63 232 32 115 188 238 30 8 186 3 173 114 233 113 146 37 89 153 144 198 179 197 166 179 122 195 29 218 224 207 38 117 202 103 119 157 202 246 37 32 128 44 178 112 69 224 122 201 71 183 17 153 217 247 57 125 194 152 240 215 175 62 58 252 247 135 206 14 175 127 201 129 97 131 202 227 96 10 184 121 21 97 187 8 177 44 72 27 13 141 192 235 245 183 143 46 182 171 9 185 29 139 178 149 76 19 221 81 153 151 11 200 246 211 70 121 110 16 43 190 71 237 78 128 141 63 165 164 59 220 155 231 227 110 166 124 144 167 121 166 26 179 32 158 203 164 138 178 153 182 150 21 201 38 18 228 183 241 52 161 136 173 5 139 175 151 107 63 91 212 197 92 241 205 16 62 251 134 16 254 81 160 54 15 45 109 173 20 84 141 221 235 191 157 177 129 206 68 133 56 192 129 37 181 252 229 112 104 192 92 210 131 95 186 10 60 172 212 184 27 147 15 75 223 164 125 158 87 133 240 223 124 81 194 175 102 125 126 61 140 171 113 218 8 2 112 185 140 173 197 83 71 38 55 38 63 57 69 163 221 92 26 108 12 225 69 239 14 182 236 163 91 252 139 119 229 68 67 201 222 46 225 244 49 103 175 116 247 23 71 192 214 167 243 245 249 11 214 169 198 50 159 246 225 224 129 116 46 46 231 138 237 173 51 197 246 147 166 194 149 66 124 193 149 38 106 158 204 239 69 148 157 156 252 245 178 46 161 248 127 238 173 39 218 93 0 43 116 199 40 119 138 2 22 104 67 140 165 113 183 39 155 193 113 243 160 225 17 199 3 143 56 238 149 220 202 209 199 193 172 69 69 161 108 108 237 24 105 108 99 56 4 83 178 138 69 50 46 87 127 63 224 163 12 195 195 139 87 133 231 54 108 182 241 46 222 84 206 23 237 207 101 49 89 147 140 208 109 18 208 113 177 203 204 125 199 134 111 254 201 233 225 157 47 123 145 129 91 234 120 90 53 88 30 202 218 234 215 69 192 95 184 163 166 202 56 226 67 146 131 39 118 189 11 2 119 52 235 156 54 220 135 170 59 122 180 110 174 218 168 122 216 174 239 209 25 238 0 219 170 42 227 131 159 69 252 163 82 215 198 171 51 35 145 19 42 85 0 251 43 19 160 153 151 1 124 125 105 77 119 134 112 211 59 66 184 248 227 234 114 43 108 227 222 81 75 99 100 11 32 162 18 0 38 96 196 159 28 220 60 204 237 60 14 183 63 57 184 109 16 118 173 18 144 1 154 235 47 210 178 154 207 134 112 217 74 117 119 199 235 11 145 168 189 2 224 62 102 69 1 57 22 23 155 182 73 11 202 12 127 95 121 175 42 30 151 87 245 74 19 108 158 46 112 131 68 73 40 245 144 53 187 251 67 218 97 21 163 134 65 89 186 212 45 157 227 64 6 115 119 3 30 128 15 99 108 83 53 6 198 64 191 117 241 12 163 83 179 52 119 18 137 160 20 236 14 0 65 42 88 120 197 225 251 219 13 78 236 98 0 180 24 199 178 184 148 20 139 252 162 113 59 121 7 97 145 180 83 96 198 88 221 33 147 246 210 87 148 22 20 23 2 73 176 66 182 10 67 180 50 38 46 230 61 187 46 60 177 108 173 45 191 48 0 202 202 85 35 153 49 32 79 43 139 202 131 230 9 171 127 58 255 132 240 170 163 167 132 245 242 199 45 82 37 173 45 241 141 121 84 68 242 113 66 52 87 46 133 113 64 175 72 26 179 100 42 84 91 172 168 160 147 245 244 104 241 110 81 89 250 227 84 184 75 233 118 136 87 50 163 196 96 6 202 199 226 150 105 206 0 117 72 30 170 169 127 21 42 196 184 97 11 0 160 1 64 132 27 171 191 19 194 23 207 9 225 19 247 133 48 123 162 202 40 36 91 163 117 176 130 147 42 45 205 65 203 109 148 67 220 216 238 118 63 182 131 89 110 19 14 184 241 0 150 27 53 238 182 90 128 188 70 96 218 121 153 102 159 255 119 8 159 155 19 194 83 146 205 218 189 214 214 245 49 230 198 82 21 228 183 9 3 43 177 82 99 40 41 79 52 125 224 158 198 8 167 200 106 81 102 80 58 181 219 145 114 8 252 238 110 96 171 84 219 243 172 12 53 10 56 180 170 11 51 59 185 121 15 21 254 106 132 126 208 228 139 0 139 170 72 243 166 159 252 109 86 146 27 61 13 89 255 143 153 186 119 24 193 150 44 249 105 180 169 125 231 76 204 237 224 134 237 110 39 42 251 61 28 27 158 14 194 172 7 171 155 65 145 40 202 9 192 160 45 114 15 234 125 79 63 103 90 35 97 24 183 203 110 139 44 253 48 179 201 97 146 156 222 241 241 215 31 23 38 232 134 42 186 170 86 86 85 64 69 107 171 84 112 206 31 118 0 35 93 227 219 53 41 1 192 233 170 170 90 197 96 54 13 217 78 214 233 44 163 57 206 72 218 119 241 77 62 251 236 179 59 187 193 56 184 229 53 64 133 249 67 124 243 77 90 146 33 144 216 192 84 160 34 124 164 51 79 131 155 154 238 145 134 102 219 52 31 10 225 174 15 132 240 151 127 19 194 247 20 183 94 90 218 38 245 254 132 105 118 40 183 119 59 1 163 242 227 96 86 203 134 214 195 243 116 14 112 132 185 230 6 184 109 82 0 247 174 209 53 237 82 57 108 220 237 102 237 104 144 159 30 40 151 100 245 50 158 102 147 28 242 12 160 51 91 185 245 114 132 147 85 128 182 179 223 145 178 219 118 83 124 68 219 158 116 104 165 208 44 27 31 97 251 253 247 223 255 132 246 138 174 72 71 131 243 129 22 141 218 27 31 3 230 106 105 214 173 180 183 98 141 223 72 237 203 45 74 150 130 44 208 221 74 208 46 240 200 205 64 32 229 113 216 238 246 180 116 153 61 44 143 199 13 48 96 191 4 96 115 89 163 176 158 188 90 214 20 170 36 20 216 110 175 239 148 166 87 15 120 189 46 42 204 42 46 170 131 174 52 154 27 51 189 111 61 97 70 232 210 109 94 198 59 178 207 192 205 97 206 178 53 68 128 83 175 84 0 102 71 153 113 229 56 113 174 57 172 49 206 22 24 103 83 57 143 82 93 28 32 109 123 11 39 181 84 36 217 185 46 213 1 223 12 143 213 154 108 127 203 216 28 84 219 165 86 220 124 139 128 237 97 117 39 249 115 40 66 18 177 176 135 106 226 225 85 217 117 178 104 105 26 182 218 120 149 214 147 157 25 194 223 11 72 30 150 150 214 173 241 57 215 210 0 52 128 39 7 34 7 42 108 100 113 219 101 43 219 57 125 61 112 131 191 3 28 221 221 245 82 17 139 113 183 63 80 183 244 202 16 126 12 99 117 87 25 75 236 97 253 154 237 154 144 167 128 45 57 221 168 220 116 71 233 219 46 247 176 161 108 87 183 208 161 44 233 86 100 75 90 90 155 78 248 88 170 49 155 185 233 34 17 222 93 97 248 10 153 25 61 88 99 72 163 52 214 214 167 174 41 224 97 134 200 194 224 78 254 34 152 174 43 193 125 118 191 102 165 57 23 137 234 58 60 15 108 119 67 12 176 113 118 156 27 143 39 31 0 137 238 232 145 83 198 135 241 99 71 70 89 171 190 184 66 48 79 110 182 129 135 180 201 7 22 174 212 141 239 90 82 145 13 220 15 4 102 85 76 50 15 252 94 127 236 52 171 175 45 93 177 75 156 151 61 175 54 248 227 71 50 108 180 180 213 154 152 184 123 193 10 115 151 37 86 121 155 244 174 200 237 0 245 74 15 213 237 241 91 8 203 178 223 21 78 218 107 46 154 137 175 48 190 157 110 9 3 24 117 127 80 154 215 221 33 60 160 63 51 236 72 98 99 188 157 6 4 48 0 104 8 253 160 180 180 143 134 240 87 31 14 225 191 228 93 35 45 109 179 180 180 213 98 32 133 207 248 56 168 1 72 57 64 225 118 0 35 127 220 110 151 221 248 203 105 29 224 114 192 116 112 35 79 180 183 170 113 55 201 120 245 23 4 192 26 119 91 47 192 102 220 141 121 166 8 245 228 92 109 200 211 118 72 60 46 173 79 238 93 253 142 170 165 25 132 111 187 129 77 31 113 255 226 215 206 112 176 116 121 234 122 105 234 133 107 42 104 125 223 190 251 234 250 9 169 222 26 148 126 0 208 200 13 226 210 100 58 213 165 154 186 247 168 112 160 141 179 105 2 161 234 21 37 246 85 185 100 30 104 245 60 190 100 77 216 168 129 118 180 154 193 86 67 222 94 113 35 159 52 203 199 165 177 204 65 187 116 99 116 22 223 164 153 203 222 48 67 51 149 135 106 109 156 250 166 37 89 61 133 219 81 78 147 71 26 229 211 58 158 105 246 178 53 54 112 95 75 83 242 84 3 217 20 23 25 200 255 144 73 99 109 166 213 86 166 42 156 183 239 0 71 158 94 75 254 85 224 167 110 137 3 216 152 29 182 250 202 50 84 28 39 125 244 112 136 129 128 237 56 69 73 212 190 62 214 178 101 100 59 213 169 236 104 180 128 0 6 177 115 32 97 109 237 38 105 109 28 192 177 244 245 154 213 252 65 8 63 88 28 194 98 13 124 108 86 220 102 133 47 187 71 171 56 190 20 194 165 175 8 225 99 63 9 225 110 222 150 128 111 237 42 61 226 7 168 0 46 60 14 64 101 96 34 207 252 201 229 192 93 235 113 250 28 36 157 63 229 193 237 224 6 56 35 71 213 184 155 100 190 238 207 66 248 204 92 141 187 237 35 224 162 107 170 140 208 70 209 66 237 21 227 86 70 61 2 116 250 209 55 255 69 220 199 218 241 116 4 87 69 23 175 94 206 161 99 84 150 237 51 106 128 187 236 227 75 18 82 137 3 230 169 227 139 136 103 91 206 189 154 37 85 195 138 147 240 250 120 45 29 63 44 185 96 2 225 104 173 59 123 76 139 95 171 222 11 175 178 92 172 34 215 168 141 104 170 209 198 175 230 105 157 23 13 126 163 238 38 205 33 180 86 181 40 127 229 3 235 40 62 126 30 129 219 116 5 247 106 137 138 197 57 29 180 104 108 118 214 153 46 79 121 177 150 125 220 161 165 19 62 59 73 124 189 170 32 43 29 223 168 81 234 46 235 142 190 234 136 3 234 86 26 249 185 76 145 103 255 95 100 224 2 101 38 49 30 92 240 92 241 21 27 148 169 90 41 18 121 82 143 145 23 101 75 225 10 101 65 242 99 250 67 176 116 237 70 187 77 126 179 234 75 215 185 20 25 73 134 88 57 58 188 81 129 35 216 110 197 90 182 74 112 65 186 211 28 202 139 163 202 1 30 245 26 237 117 2 26 128 15 224 208 169 190 220 90 6 150 4 102 203 222 27 194 21 234 94 254 247 201 90 137 79 227 121 88 119 62 9 24 150 200 169 222 158 93 47 176 89 0 128 134 86 11 200 28 140 220 166 236 181 30 5 87 25 175 35 2 113 83 129 94 137 110 19 238 234 191 243 36 31 119 187 205 196 45 19 184 157 26 103 219 235 38 105 96 231 134 240 105 77 46 188 229 196 16 206 22 40 179 219 194 10 46 11 134 77 162 107 22 144 45 252 162 64 80 65 27 167 232 71 224 238 188 33 27 114 38 111 147 219 36 92 246 65 110 83 186 18 49 149 93 54 181 194 202 52 181 252 158 174 85 151 38 63 170 174 233 70 105 66 182 255 16 98 111 40 252 41 66 153 59 81 219 125 164 66 84 198 217 10 142 137 141 181 55 119 199 72 105 21 161 85 192 182 118 213 6 221 208 52 55 141 181 69 144 42 146 215 112 228 224 129 219 253 234 134 142 210 51 134 36 121 184 199 251 167 123 194 140 125 133 16 109 182 4 196 191 226 26 217 20 65 14 128 104 74 92 10 205 178 14 215 218 188 30 10 226 1 28 128 22 51 173 116 103 247 211 4 2 109 132 106 41 160 40 134 20 28 82 109 89 93 67 67 93 183 42 45 93 226 185 203 215 169 190 180 227 162 160 46 28 182 158 77 101 62 82 127 144 38 10 212 58 229 30 76 49 11 6 59 194 161 122 113 32 66 68 26 109 1 108 114 179 109 127 181 244 234 53 106 228 44 168 125 234 103 234 118 74 59 187 67 160 246 132 226 215 168 59 186 37 141 165 229 90 154 107 78 194 145 126 221 71 7 55 183 201 183 168 30 218 151 27 133 187 241 120 167 245 180 110 187 204 228 231 15 50 248 227 154 155 143 187 61 167 110 245 38 117 71 23 255 161 198 221 254 95 8 159 186 43 132 219 5 204 171 149 128 85 32 156 24 190 78 26 233 181 127 175 221 90 234 95 63 60 77 88 39 80 131 159 203 130 108 185 27 255 110 55 219 173 177 237 2 201 169 172 90 31 120 57 188 240 251 4 194 229 151 95 190 224 172 179 206 122 82 155 171 143 214 194 207 170 74 71 89 96 172 8 45 104 226 248 81 97 197 234 77 58 194 129 45 78 169 68 56 250 181 171 34 11 211 203 213 191 11 87 220 52 39 156 114 240 164 112 193 73 51 237 240 74 91 242 145 105 34 229 250 161 173 234 67 181 96 111 183 2 74 207 181 95 57 161 177 113 54 105 76 135 107 178 99 226 248 145 146 117 163 166 228 91 11 62 229 60 42 126 177 149 166 244 168 142 236 94 178 102 99 216 95 229 4 224 154 109 36 168 66 133 11 153 92 158 234 152 202 215 10 40 210 149 52 250 140 168 150 214 70 221 81 24 248 210 135 97 156 141 73 136 57 154 64 120 165 118 56 212 48 205 105 156 237 64 189 171 3 21 255 140 228 25 225 117 195 204 168 134 24 106 36 219 241 65 146 153 125 198 136 143 230 134 241 247 194 123 210 129 28 26 201 144 226 38 48 104 21 200 241 182 25 111 215 177 101 241 186 2 209 108 11 128 193 51 127 228 181 122 35 172 202 72 46 11 75 178 245 139 23 49 192 86 230 149 251 221 237 0 136 205 11 229 40 182 78 205 228 142 20 193 136 111 104 73 136 158 219 94 162 123 228 79 210 77 92 10 239 125 72 154 218 239 52 250 34 218 245 7 40 143 133 2 66 185 61 63 57 135 166 25 10 192 70 165 251 7 244 188 106 73 123 69 25 103 107 159 59 119 238 42 53 146 7 165 13 29 205 119 154 190 11 227 13 88 208 72 167 106 231 0 103 134 253 234 174 5 6 108 113 127 178 139 225 34 37 27 11 163 104 120 1 98 221 157 189 225 226 171 239 180 123 54 95 125 212 84 173 222 239 180 37 26 44 183 112 46 49 81 229 55 151 37 182 31 141 105 196 111 214 136 82 88 33 111 4 182 190 112 192 248 209 2 183 241 225 102 117 127 57 122 166 128 195 10 235 42 151 105 103 210 148 158 89 181 209 186 129 7 106 156 110 147 190 99 242 114 25 60 175 170 132 37 15 244 172 95 99 7 5 51 155 17 240 163 214 6 41 16 0 184 197 90 162 158 9 213 143 34 168 131 88 54 105 139 106 6 116 71 89 194 130 246 24 233 161 53 211 164 222 103 159 150 122 180 233 15 211 225 10 185 69 178 85 85 161 222 103 211 33 135 28 146 200 119 186 133 86 35 220 50 49 201 12 113 105 200 116 243 0 174 38 129 129 203 71 28 15 32 225 96 145 219 184 243 199 233 221 86 116 145 15 245 69 120 93 67 124 86 55 57 45 110 122 95 228 133 193 143 188 216 249 227 178 16 134 204 148 167 75 131 111 86 102 141 179 141 144 186 185 229 94 205 160 234 121 144 56 30 161 60 155 236 187 158 137 93 108 47 107 206 87 100 67 203 108 119 87 116 23 21 131 202 195 184 29 125 149 95 15 47 108 109 160 166 76 221 58 53 226 246 180 148 64 248 192 152 104 197 208 240 25 251 57 251 112 253 13 162 59 90 254 158 220 111 169 242 164 184 227 202 250 86 105 121 107 180 64 247 29 87 220 20 190 118 211 108 59 100 209 54 216 43 109 220 35 42 141 69 110 190 85 216 241 96 242 54 139 219 159 24 27 227 157 6 155 181 119 99 116 20 208 137 2 97 152 228 210 88 154 170 128 232 33 47 6 234 165 154 218 120 96 108 133 137 208 5 113 27 38 185 59 121 41 3 59 53 38 104 51 255 45 79 44 11 119 106 155 86 187 246 152 90 153 36 69 158 4 183 75 150 135 71 249 0 83 109 140 92 177 46 142 71 226 41 17 169 156 61 105 22 123 22 105 184 209 42 55 2 181 36 124 30 186 211 220 52 126 6 218 29 4 104 252 6 0 178 233 174 242 120 151 14 155 199 195 1 2 104 105 252 249 3 47 202 80 235 81 117 68 163 248 173 26 40 51 162 156 159 231 225 114 123 254 46 191 151 1 25 93 94 47 135 117 77 213 37 125 78 141 103 165 0 110 157 158 77 250 226 54 239 167 71 8 185 78 221 83 225 121 81 54 207 43 151 37 19 107 247 59 135 50 176 149 43 205 253 254 50 189 246 242 240 160 25 81 252 237 119 223 125 247 93 210 0 86 51 206 38 191 211 88 26 218 22 11 80 79 57 120 223 48 67 19 0 189 91 52 14 69 96 21 89 85 18 69 85 251 1 156 86 53 244 77 218 137 112 241 119 110 51 128 187 77 155 207 217 62 180 143 46 55 225 120 164 118 45 187 104 81 87 140 49 61 254 198 59 88 96 151 216 153 92 181 127 162 38 116 28 235 217 180 233 158 193 124 19 181 54 113 17 74 105 48 119 105 156 141 45 95 24 52 38 192 10 30 110 35 11 225 30 135 31 89 89 119 54 89 227 106 183 207 91 97 215 235 117 171 251 110 99 117 124 210 50 212 134 151 1 80 195 93 1 55 129 122 242 65 14 200 46 215 31 1 142 72 66 219 173 174 73 184 9 69 84 159 106 179 51 228 108 83 215 148 70 73 152 145 162 177 225 223 21 38 66 140 174 49 137 128 133 93 11 32 114 176 40 3 89 217 79 21 248 67 121 244 183 161 143 167 48 10 219 38 83 36 140 14 120 27 95 217 46 171 231 231 54 225 185 92 101 249 11 176 150 99 131 0 110 29 143 198 18 215 47 147 150 166 153 16 226 61 61 121 249 35 167 25 252 67 202 236 170 174 40 5 223 17 31 103 206 39 119 23 149 170 75 66 120 137 35 63 254 241 143 63 249 154 215 188 230 62 45 37 120 133 186 165 156 206 202 210 2 163 163 139 199 38 240 253 246 26 17 206 57 234 128 240 85 237 103 236 215 218 160 5 65 204 38 25 110 44 253 48 201 170 255 128 91 75 218 129 240 139 187 230 133 223 234 168 158 179 53 11 249 186 99 166 5 246 121 30 48 110 148 176 72 107 213 180 156 155 197 170 29 210 18 97 193 90 58 150 139 48 67 139 98 229 26 154 203 151 251 17 129 133 182 140 179 29 160 37 42 207 104 187 84 179 64 51 106 153 138 196 152 92 209 233 30 131 4 105 163 143 168 108 43 181 242 255 16 173 221 219 32 48 55 0 135 169 253 71 99 100 56 46 254 125 35 95 192 139 37 30 139 53 65 242 179 7 230 132 47 252 246 209 240 172 198 246 58 52 174 8 24 82 119 209 0 102 209 77 144 129 154 205 134 166 240 84 87 200 65 247 156 141 246 28 12 192 16 128 157 102 232 108 196 76 0 198 41 200 212 195 20 237 64 104 215 59 227 29 26 5 224 38 141 45 163 78 217 239 100 75 239 194 215 212 197 191 10 73 158 26 217 82 82 55 184 221 239 54 113 133 27 44 114 226 29 101 103 60 141 183 234 17 64 163 206 188 222 220 93 207 143 40 30 151 203 135 187 222 67 26 163 205 242 39 108 72 152 231 5 108 20 72 149 232 21 178 35 11 68 133 193 215 237 50 239 114 184 85 48 244 90 207 214 52 109 218 180 214 133 11 23 174 84 119 244 215 218 67 250 138 196 171 138 7 159 23 90 202 27 180 248 244 170 59 231 135 53 186 181 194 64 170 42 203 90 217 84 139 101 13 82 96 208 50 170 35 160 104 252 226 206 121 225 23 119 47 8 123 9 212 166 104 208 126 162 142 73 226 152 32 238 223 196 207 226 224 35 14 24 111 75 69 56 179 141 241 43 180 71 0 174 150 161 122 1 192 253 197 143 113 182 103 24 235 218 170 1 92 68 36 208 93 33 77 233 215 15 47 14 91 14 157 108 11 139 1 46 47 34 188 161 99 187 20 96 251 236 186 45 186 119 117 131 109 92 231 132 144 103 150 105 5 131 192 177 67 64 234 243 28 122 229 98 28 1 209 193 12 113 28 220 226 82 143 72 3 169 116 19 139 3 84 87 75 99 243 236 73 131 137 252 12 220 240 74 45 13 163 53 78 186 86 91 227 24 231 114 67 237 128 190 52 216 93 102 248 190 149 153 3 219 46 203 247 249 102 148 228 70 246 23 172 121 94 192 182 131 106 45 182 130 173 51 171 71 87 14 239 83 23 148 176 142 155 111 190 249 58 173 103 91 217 209 209 177 15 90 155 194 138 174 55 13 28 80 97 45 218 27 143 155 22 190 125 253 108 29 192 165 209 4 255 91 151 203 195 247 109 120 150 208 167 208 218 98 214 68 115 44 54 179 142 45 163 117 26 135 2 214 234 116 141 181 90 230 16 81 4 11 90 25 45 121 24 169 181 105 71 9 220 222 248 226 233 118 241 9 231 162 177 159 50 113 55 50 3 29 185 52 187 96 154 210 184 145 45 225 132 3 39 132 223 221 247 84 193 170 224 77 202 40 138 165 229 7 208 97 8 191 79 229 252 248 79 238 149 230 24 15 183 52 148 73 84 86 36 185 89 139 39 92 83 34 253 48 251 9 47 209 183 142 108 51 153 56 106 9 224 114 153 162 0 245 192 45 50 143 29 206 8 156 132 160 97 162 165 98 192 11 175 14 252 17 96 173 126 218 53 145 192 140 36 210 152 65 99 91 178 100 73 147 118 37 228 213 227 209 13 251 121 212 128 234 125 192 58 77 0 249 60 114 216 125 73 139 134 190 251 68 176 156 83 171 175 41 69 30 231 110 108 119 147 200 221 102 179 236 67 75 61 70 104 123 213 108 185 127 167 25 55 104 232 142 98 155 113 23 90 219 5 39 30 20 198 107 55 66 55 75 34 140 38 177 179 214 231 172 61 165 251 51 59 181 82 26 44 227 87 0 27 218 95 155 128 161 85 154 26 79 155 52 186 86 61 128 39 227 114 119 205 89 26 46 185 234 142 240 250 127 251 109 248 149 52 170 189 5 118 24 231 138 219 101 196 205 216 215 241 2 182 102 117 9 233 2 103 69 81 108 74 133 149 51 144 7 128 97 183 197 58 117 5 215 11 60 215 187 45 247 58 252 122 122 37 179 37 84 151 180 5 121 181 221 140 241 67 202 97 251 108 196 131 34 82 62 140 101 35 119 242 18 219 207 77 23 212 194 69 79 57 186 213 189 93 163 114 231 101 130 23 70 124 189 43 58 82 239 72 125 213 208 163 197 203 132 89 134 204 154 222 112 195 13 181 146 90 250 198 207 246 213 0 192 53 144 217 62 174 67 35 213 80 1 182 122 181 17 91 82 117 108 30 86 203 221 167 197 185 189 154 29 101 186 187 103 222 188 121 223 231 32 74 45 253 104 229 37 22 172 132 12 174 181 205 146 214 246 142 83 14 54 109 165 26 48 10 106 90 159 60 122 146 21 221 21 118 22 110 228 145 6 80 160 123 7 8 1 74 140 79 97 195 31 208 51 192 19 152 205 121 234 185 240 182 175 222 16 190 114 195 227 186 35 65 224 150 177 244 220 233 190 49 38 248 162 253 198 197 35 151 4 18 57 72 71 58 18 166 196 37 30 205 170 137 22 117 41 227 163 9 13 141 121 217 99 97 209 207 48 27 249 24 152 153 172 12 230 187 4 201 150 223 171 144 40 220 78 99 32 38 124 196 31 1 45 198 69 183 136 41 183 10 95 102 153 231 192 251 209 213 124 140 175 113 138 174 69 1 106 56 206 60 243 76 113 104 152 70 13 12 174 6 134 50 176 121 27 112 187 92 34 194 61 174 108 211 48 104 32 163 47 188 240 194 27 165 181 221 168 237 86 164 47 186 56 120 48 0 13 99 92 111 63 121 102 152 165 123 2 186 165 85 180 26 186 37 150 214 114 157 125 76 83 180 102 178 183 40 126 114 26 15 79 244 89 28 236 34 120 68 192 107 215 12 42 252 62 118 245 93 225 39 234 102 238 37 45 207 102 38 61 169 108 180 72 38 16 246 85 151 245 104 29 153 36 181 48 245 169 61 95 183 73 148 220 30 36 219 243 36 95 78 221 136 15 11 104 121 162 134 9 141 129 150 57 60 243 8 78 145 43 51 157 145 151 209 121 78 208 39 99 46 248 20 254 232 33 95 254 136 140 213 178 21 143 243 52 216 2 233 62 246 206 138 47 135 77 174 127 244 209 71 91 0 52 7 53 141 151 6 133 53 128 45 175 180 134 123 192 26 24 202 192 86 75 112 218 69 185 109 184 63 183 77 107 59 244 208 67 25 67 220 176 96 193 130 175 107 140 141 189 153 82 26 42 107 218 208 122 0 141 205 2 13 142 12 191 248 85 71 216 216 18 221 211 202 236 31 57 38 214 102 231 110 68 204 178 117 58 130 9 247 40 247 91 0 129 149 8 0 139 245 97 66 155 112 137 198 194 230 105 189 23 147 13 128 129 225 171 165 181 104 221 37 208 172 113 54 173 46 82 19 71 19 234 111 114 222 153 59 115 86 210 100 233 171 228 134 66 113 69 116 5 220 60 87 200 29 220 160 22 54 154 41 180 51 67 192 20 166 234 166 59 11 176 49 129 146 167 139 20 145 23 192 166 135 155 225 55 232 143 80 179 142 47 50 174 58 40 160 79 227 107 125 71 28 113 4 192 54 220 190 87 47 98 195 222 197 53 176 43 63 148 162 169 212 40 227 64 113 144 151 227 241 251 227 236 202 254 176 104 209 34 180 182 177 111 121 203 91 174 85 119 244 58 221 101 73 195 234 1 208 114 195 58 43 182 253 188 82 75 53 222 243 50 173 17 45 198 130 242 108 221 157 236 34 55 57 114 96 200 221 85 0 145 231 88 113 35 10 64 218 166 70 191 68 51 158 223 184 249 9 91 34 18 217 84 203 137 38 199 249 104 140 131 49 102 85 46 71 133 171 11 87 178 115 175 17 123 128 60 85 114 19 169 56 162 205 84 131 155 135 98 71 14 149 120 7 55 216 241 48 129 209 165 77 254 172 237 99 22 216 187 227 57 15 254 216 104 168 128 160 167 53 132 176 65 147 61 220 12 95 228 158 209 238 202 239 53 203 182 225 28 110 53 48 148 62 148 90 31 50 97 229 240 90 126 15 115 122 243 107 172 173 143 165 31 226 177 241 225 135 31 254 18 99 109 26 195 193 159 116 12 235 6 21 239 140 46 233 135 206 58 44 188 244 136 41 58 46 185 51 180 73 139 40 140 55 124 227 156 103 151 40 242 112 167 181 40 69 56 121 193 172 191 195 218 177 246 129 254 88 221 209 39 181 97 28 173 45 130 64 4 55 126 109 156 77 199 7 29 52 81 91 177 233 142 86 227 94 127 166 22 66 230 229 39 5 21 41 146 128 142 70 121 120 33 123 9 188 20 158 107 95 184 189 216 57 184 33 34 32 60 125 194 104 221 138 53 210 150 174 212 18 27 144 22 143 135 69 222 163 69 213 214 21 69 91 115 81 180 72 23 39 73 107 37 119 178 134 221 168 1 171 129 172 229 14 233 26 225 3 47 62 242 228 206 253 46 124 78 103 110 141 207 244 104 93 212 216 119 191 251 221 191 211 86 157 111 114 246 151 76 245 12 169 26 21 3 219 116 11 57 14 251 211 231 189 36 28 48 121 175 208 169 25 195 234 149 242 41 75 107 193 114 23 185 37 135 69 219 79 181 180 16 166 96 23 180 108 3 12 205 154 49 93 166 253 160 55 105 11 147 93 128 146 37 114 205 110 130 186 204 54 206 102 51 153 25 23 248 151 159 44 58 58 157 32 245 21 221 107 145 120 146 113 132 50 175 194 139 168 18 120 17 149 104 33 169 7 110 116 179 185 74 144 11 164 227 206 137 42 108 82 178 190 86 46 118 145 125 55 89 106 145 53 103 213 21 185 226 206 182 85 13 151 111 214 106 175 241 179 123 106 96 184 127 36 214 158 84 117 110 83 139 238 118 91 195 85 182 68 190 237 138 43 174 248 23 77 42 60 173 49 28 180 54 206 224 130 62 26 185 89 33 191 94 231 55 160 93 124 254 130 147 194 120 45 168 237 210 106 121 238 0 48 83 213 224 83 58 194 200 169 200 182 236 78 116 196 187 68 30 228 118 138 178 113 61 1 214 205 186 0 133 211 115 227 61 1 198 220 186 157 116 206 216 227 202 230 125 13 90 197 113 56 207 206 121 229 182 231 231 118 30 103 194 100 0 103 113 49 175 232 204 220 46 123 162 241 106 48 205 76 100 170 223 34 53 110 143 103 56 147 197 197 237 186 124 249 140 89 251 219 152 161 199 89 130 248 211 199 62 81 141 129 174 212 248 26 26 155 234 61 142 175 101 52 76 30 184 151 151 49 220 191 91 47 75 195 222 73 53 240 188 63 16 125 200 121 11 120 62 98 214 227 67 184 199 229 182 187 201 179 236 118 191 217 90 197 222 51 107 214 172 81 255 241 31 255 49 255 201 39 159 252 123 54 199 171 17 85 117 73 93 240 120 204 78 151 238 10 157 24 254 229 15 79 12 29 154 165 236 98 166 84 64 18 77 98 109 197 174 202 38 138 225 65 16 247 171 26 79 27 73 33 233 103 148 15 87 214 173 208 78 8 64 44 103 7 45 227 113 47 150 246 51 82 99 86 189 140 179 85 245 204 160 174 247 148 162 96 102 38 209 23 25 21 142 26 242 123 154 250 182 165 86 185 41 58 90 240 22 253 161 160 46 217 151 203 130 232 26 221 231 94 141 169 193 144 163 113 158 22 128 181 235 253 20 67 5 185 230 166 120 23 46 251 139 68 210 134 105 212 64 117 13 120 107 173 14 221 121 62 255 48 235 229 48 80 124 173 184 60 172 236 118 63 118 223 156 57 115 186 180 189 106 252 249 231 159 255 99 1 221 191 49 145 64 120 149 214 150 164 98 50 97 149 198 216 206 152 53 57 124 253 157 167 133 189 181 157 169 203 54 112 215 169 46 203 33 37 166 237 89 206 246 35 119 178 61 186 104 155 228 158 158 20 103 127 35 180 198 109 145 182 53 113 180 55 7 60 230 134 27 233 216 254 196 110 137 163 116 2 48 227 108 21 165 179 156 79 158 18 183 103 150 232 170 200 83 92 17 86 56 50 38 10 43 130 43 90 89 89 107 243 156 64 158 46 45 65 107 214 164 192 251 207 60 212 150 177 160 189 213 170 239 52 113 112 143 102 63 55 106 105 14 219 225 178 124 181 87 182 179 179 200 57 69 52 180 182 170 26 106 120 202 53 80 221 114 202 177 67 219 207 199 238 15 146 110 205 13 136 65 51 234 213 175 126 245 103 116 128 225 157 2 55 166 226 186 106 54 54 129 8 51 165 167 31 50 41 92 241 206 83 195 204 169 251 132 46 93 38 76 175 180 208 58 12 180 96 137 41 219 89 216 64 224 102 105 227 15 100 128 215 22 105 136 207 104 227 57 26 143 205 43 38 244 162 171 202 24 21 107 221 94 123 244 212 74 150 25 15 115 34 74 189 39 39 112 154 114 88 225 135 15 68 110 228 46 188 57 184 41 190 8 143 78 198 38 183 104 151 195 219 94 58 211 100 101 3 60 75 62 74 134 84 173 2 51 101 211 119 11 113 218 37 210 204 242 14 220 37 109 141 160 220 52 192 45 175 141 134 187 170 6 134 26 176 101 205 163 74 78 15 199 118 183 19 228 254 60 190 236 14 2 179 30 205 146 182 233 154 183 245 215 94 123 237 197 154 76 88 165 241 54 54 91 87 143 183 37 206 52 196 85 154 64 96 137 197 183 223 125 122 120 229 75 14 180 59 59 123 164 53 161 213 85 1 98 158 27 34 226 223 70 67 18 227 169 193 180 229 186 97 190 150 113 173 141 155 163 166 234 196 143 110 117 239 170 0 99 107 249 18 95 208 36 71 149 95 158 42 63 244 69 64 45 145 140 33 20 104 156 96 48 93 232 245 218 124 127 130 52 222 75 223 112 156 45 4 182 184 254 169 123 71 140 24 129 70 246 148 64 236 102 69 55 109 5 204 202 28 34 242 151 67 27 254 23 124 13 12 53 96 27 232 133 212 106 93 30 150 219 238 134 23 110 247 155 173 110 78 183 102 216 246 250 216 199 62 118 223 236 217 179 63 204 120 91 90 2 194 254 196 126 249 51 182 134 182 49 81 171 254 191 252 246 147 195 71 207 59 62 140 209 86 168 46 1 30 141 213 0 174 72 149 103 149 187 145 194 253 78 92 246 123 120 127 59 7 80 142 24 226 4 224 105 251 140 9 239 62 77 107 238 164 193 69 211 79 27 234 207 40 15 33 123 19 33 201 81 136 147 34 10 127 158 8 183 34 234 196 57 192 110 212 21 189 199 207 218 47 92 241 174 211 194 4 141 5 250 101 203 101 78 248 153 56 80 249 190 127 224 129 7 46 209 145 69 163 164 69 219 150 170 50 173 180 186 58 185 54 150 128 148 235 170 225 31 154 179 75 245 62 96 15 199 118 55 239 208 221 110 123 152 211 121 120 225 215 154 40 27 111 123 235 91 223 250 35 1 221 71 105 92 26 231 105 17 80 25 184 1 36 254 192 44 222 140 222 19 216 182 248 129 51 14 13 87 190 239 140 240 202 227 166 219 93 159 93 234 110 49 206 4 192 209 85 172 130 23 207 25 38 131 52 150 68 96 122 128 238 56 200 77 14 110 205 58 223 141 129 120 246 183 158 114 228 1 90 115 183 165 114 137 115 149 0 57 135 58 110 203 112 32 65 83 92 63 96 134 95 140 3 208 120 182 232 82 229 78 253 17 56 239 212 67 194 119 255 244 140 192 145 228 235 203 26 101 69 140 30 105 107 45 210 154 23 43 232 50 130 5 108 69 236 118 104 110 69 218 134 163 81 3 253 85 148 237 168 19 1 194 64 45 163 204 113 91 104 7 74 235 124 176 221 13 189 251 61 204 253 85 113 210 0 122 213 13 29 119 206 57 231 124 241 233 167 159 254 204 152 49 99 10 112 203 65 132 68 140 115 209 112 217 230 68 215 244 72 29 57 244 213 63 62 37 92 46 141 228 164 195 247 47 0 142 46 42 198 27 58 221 178 104 128 62 153 1 170 137 248 54 77 22 244 234 132 17 46 153 57 82 147 3 157 233 184 32 146 230 64 75 119 148 77 245 35 181 136 247 179 231 159 24 166 137 118 139 186 174 104 151 182 100 164 200 151 148 131 53 146 192 132 132 30 71 238 175 230 161 236 139 50 178 4 133 89 227 78 129 235 193 234 26 127 241 29 167 134 175 234 65 83 227 228 94 234 162 134 33 3 205 43 232 118 248 222 222 75 39 79 158 188 64 179 161 99 114 109 77 90 116 85 66 29 102 80 229 175 193 115 107 241 53 146 52 130 246 212 26 168 186 76 228 249 20 82 13 111 91 62 172 173 209 18 95 139 38 15 175 224 172 4 219 0 0 32 0 73 68 65 84 229 46 135 1 220 30 230 54 197 180 112 1 91 139 198 219 104 100 155 126 251 219 223 254 229 244 233 211 255 65 27 175 131 186 167 140 185 113 26 8 180 102 242 226 177 247 177 77 141 114 172 182 54 109 208 189 2 183 206 93 30 126 116 239 211 186 27 96 185 206 235 231 12 54 25 129 140 250 184 6 54 150 86 213 83 225 22 73 252 36 94 238 217 68 184 206 46 157 87 38 141 231 239 117 195 227 95 158 115 84 88 35 16 181 90 205 228 64 38 151 139 137 4 142 32 127 244 153 85 225 47 190 127 103 120 72 235 223 180 161 84 55 245 197 191 87 236 225 52 250 148 93 93 139 204 205 200 145 220 38 145 50 71 118 123 136 208 127 128 204 14 220 80 61 89 55 88 199 149 31 33 96 125 171 142 126 122 203 9 51 194 116 157 242 75 215 29 58 180 216 126 101 86 62 226 215 53 110 220 184 54 29 4 122 213 212 169 83 47 148 214 172 11 145 250 79 22 184 214 230 179 162 218 47 234 253 110 200 157 117 217 206 227 112 55 204 11 176 6 134 27 176 241 138 98 171 45 154 160 55 197 170 240 212 60 45 44 167 39 60 143 107 210 18 144 22 45 255 160 193 172 251 229 47 127 249 1 53 180 207 9 240 154 4 120 93 2 133 54 3 37 114 205 76 12 139 141 150 129 242 49 118 70 90 95 152 179 108 173 64 238 217 112 243 220 101 225 17 93 125 183 116 141 38 0 180 77 43 106 106 202 150 49 60 0 175 48 136 162 118 201 201 60 2 172 86 237 165 252 243 179 142 8 127 251 154 163 211 145 71 156 167 70 84 5 204 72 154 251 29 220 158 211 140 237 23 117 140 247 85 58 193 119 189 102 84 109 234 150 229 34 202 147 217 85 3 72 18 215 51 150 145 126 244 31 164 0 152 12 79 249 193 227 27 1 4 86 156 22 204 73 192 220 205 122 206 145 83 195 233 47 218 47 76 210 49 235 27 85 86 187 230 79 52 166 57 150 242 162 222 164 161 117 105 247 71 155 78 58 126 66 91 220 206 124 240 193 7 151 157 121 230 153 35 181 64 183 199 129 44 79 70 152 3 27 227 108 199 31 127 60 226 97 202 118 30 86 118 227 111 152 23 80 13 236 46 96 163 138 105 74 3 153 28 1 114 58 210 121 218 90 238 114 24 124 202 244 78 99 121 160 185 1 102 2 184 85 223 250 214 183 94 125 236 177 199 254 155 54 99 79 89 179 102 141 105 8 106 144 197 125 9 14 116 216 60 180 46 218 62 221 195 209 210 94 216 10 197 105 33 92 18 252 228 179 235 195 108 129 221 147 186 167 96 137 238 47 229 238 129 213 90 66 226 123 64 73 71 119 114 138 198 211 184 35 129 187 18 94 162 195 36 1 135 124 179 184 3 25 182 27 15 195 15 184 113 242 7 207 195 90 220 251 243 7 23 133 27 103 47 213 37 197 107 194 90 229 25 193 213 83 214 176 189 118 188 154 168 21 105 155 45 122 70 118 180 216 201 39 220 85 48 67 123 84 233 34 179 165 139 179 225 184 68 153 9 151 141 210 90 41 179 170 192 0 205 216 149 144 148 186 2 212 84 207 204 74 111 150 251 28 205 80 223 164 46 230 56 141 113 114 89 136 153 50 184 185 31 112 147 198 102 213 237 180 178 189 66 202 182 147 120 184 251 27 246 11 164 6 134 50 176 57 248 212 122 21 121 156 187 173 61 137 184 150 191 12 110 6 104 137 214 220 58 113 183 89 183 144 183 232 68 144 85 23 95 124 241 161 111 123 219 219 62 171 61 166 103 179 198 202 187 166 101 80 67 176 60 140 49 56 84 35 186 169 28 197 221 33 96 0 240 104 93 44 86 69 163 97 70 19 191 176 146 228 182 52 98 156 102 89 71 11 224 24 55 99 82 0 227 184 80 11 204 202 97 32 43 64 200 191 81 202 151 53 100 28 53 190 88 247 138 46 208 49 72 172 137 227 50 21 110 137 234 146 230 229 188 45 35 253 32 15 139 129 57 232 50 222 207 208 22 198 75 43 99 95 42 224 53 94 242 141 215 152 25 50 250 204 49 227 127 44 184 69 153 115 64 115 126 94 39 238 39 11 153 110 141 99 182 233 96 130 78 129 218 219 164 25 255 8 80 147 230 214 173 122 70 4 117 113 81 93 163 113 64 195 231 238 4 110 131 237 142 38 78 86 60 119 55 236 23 72 13 236 48 96 163 190 244 65 59 184 12 166 250 182 70 235 0 85 139 87 30 231 124 202 97 185 223 129 45 167 237 7 110 20 65 91 175 90 181 75 65 183 152 132 182 235 175 191 254 207 213 85 253 168 6 181 219 213 0 105 80 52 60 245 236 156 141 149 89 65 209 38 156 46 24 29 72 8 205 175 86 143 205 50 141 56 169 192 185 99 10 3 127 245 31 58 64 201 128 73 158 24 7 199 106 147 192 76 195 123 182 239 149 99 125 10 130 20 7 122 136 79 60 249 150 241 173 118 1 28 19 10 54 241 97 121 40 142 84 246 147 146 167 162 32 55 121 99 35 47 24 13 153 201 38 7 144 3 111 132 246 114 1 114 149 154 72 252 160 80 250 204 112 76 84 147 246 127 54 107 159 238 60 133 191 119 202 148 41 215 223 115 207 61 227 180 24 215 102 91 38 76 152 208 167 242 144 157 25 7 56 7 52 2 113 111 167 214 70 242 130 55 158 134 217 243 107 96 119 2 27 181 91 213 2 106 84 55 241 181 104 60 172 108 231 96 149 167 117 183 199 147 149 187 61 206 237 192 81 71 172 119 19 205 218 175 125 237 107 167 159 116 210 73 159 148 54 119 178 26 23 155 181 125 157 85 1 112 222 144 177 93 163 177 70 159 26 184 197 227 86 243 194 29 253 20 44 185 41 36 185 111 197 48 115 171 198 141 12 221 2 49 155 220 112 80 35 169 187 177 209 30 237 132 92 157 152 11 72 97 170 179 200 219 122 37 198 67 145 63 130 28 26 153 0 204 228 142 242 123 25 173 28 145 117 241 155 133 113 130 10 71 16 97 130 52 181 159 72 246 191 152 49 99 134 206 253 92 48 94 221 209 168 154 166 148 128 27 78 7 56 192 77 239 32 248 46 4 226 0 55 173 65 244 63 48 4 185 33 173 139 78 88 238 206 105 220 221 176 247 240 26 24 174 192 198 107 241 214 152 219 184 7 242 215 3 179 114 154 64 215 148 91 229 213 184 214 72 107 27 119 245 213 87 191 107 210 164 73 127 46 128 155 44 96 1 92 104 96 60 0 28 166 0 173 90 110 209 85 199 199 0 126 7 101 56 70 78 192 112 171 120 207 20 8 236 47 237 71 248 213 103 239 15 32 227 113 19 221 132 197 16 143 207 105 156 54 183 173 18 178 114 16 231 101 113 58 7 108 194 203 38 11 227 238 130 38 142 136 210 204 231 90 129 212 39 191 249 205 111 254 235 25 103 156 17 102 204 152 49 198 65 77 203 61 154 92 59 115 96 115 158 0 156 199 229 154 155 210 59 176 85 10 92 1 50 15 115 219 217 185 93 47 220 227 27 246 30 82 3 59 20 216 168 19 125 220 253 191 248 250 149 181 53 90 143 119 59 231 228 97 101 219 193 203 196 65 164 244 224 39 46 247 187 219 109 104 112 99 204 78 218 27 131 219 107 47 186 232 162 89 23 92 112 193 59 181 84 225 2 53 218 169 128 13 231 136 177 123 129 98 123 209 177 93 171 113 27 134 14 10 184 157 22 247 86 76 175 242 105 86 30 171 180 37 236 173 2 183 245 7 28 112 192 231 20 118 26 221 81 7 171 90 224 21 195 224 30 219 115 78 91 47 207 188 28 208 228 242 231 229 170 37 127 10 51 80 19 24 105 106 54 252 68 114 255 139 118 21 220 203 58 53 22 228 202 15 48 133 213 171 87 55 9 204 138 113 53 253 17 169 234 142 66 83 11 220 50 173 13 146 28 168 220 93 182 161 203 141 199 231 97 13 247 30 86 3 187 27 216 168 78 7 146 122 85 235 241 110 231 116 30 86 182 235 129 27 116 249 3 175 60 109 57 157 229 133 246 166 193 238 22 109 193 90 175 128 206 143 124 228 35 7 157 119 222 121 127 32 128 123 149 102 244 142 146 230 49 81 141 218 248 96 149 31 203 36 3 187 68 106 188 107 253 212 138 23 40 209 5 94 171 198 254 176 52 153 37 2 182 83 149 239 84 192 13 147 131 86 4 180 234 246 91 47 204 18 167 159 114 190 94 14 162 221 237 118 158 206 221 138 227 136 111 180 176 219 245 92 170 63 10 191 38 78 203 104 58 116 255 196 8 0 90 192 36 145 227 120 154 64 179 184 98 79 99 112 18 49 234 152 30 79 90 119 39 13 57 204 152 49 131 130 121 225 114 55 228 121 120 238 199 93 54 78 91 14 111 248 247 128 26 216 83 128 141 87 145 3 148 131 151 135 215 138 203 105 156 206 53 58 252 253 140 186 162 45 26 248 110 185 239 190 251 214 170 13 174 255 208 135 62 52 235 125 239 123 223 167 52 8 254 38 53 82 206 119 227 4 17 140 165 205 181 29 220 132 123 92 63 230 10 216 90 28 91 191 56 187 76 224 192 152 21 64 87 87 94 48 2 4 17 13 120 97 2 185 77 222 196 151 140 215 81 77 57 93 126 210 212 146 211 195 176 197 155 187 243 230 201 230 185 89 160 116 131 52 180 217 90 131 214 149 118 24 180 231 0 7 79 128 13 27 32 195 184 27 27 131 166 231 99 110 25 184 121 33 182 102 71 38 253 127 61 93 255 152 70 200 176 174 129 29 14 108 212 134 62 238 162 145 12 178 118 182 70 239 241 110 231 108 61 172 108 151 181 47 226 115 26 247 123 24 60 243 176 60 220 242 59 242 200 35 91 31 121 228 17 180 182 86 221 50 255 126 45 83 248 160 6 198 167 69 252 136 13 222 193 140 42 240 106 24 44 40 88 38 3 255 248 248 18 85 108 107 235 18 6 148 83 49 19 201 218 60 3 48 198 4 165 65 1 26 85 128 230 105 145 207 227 92 230 156 33 97 121 185 242 56 220 229 52 76 22 112 106 135 180 55 155 236 208 152 218 42 145 221 40 30 223 85 87 250 119 234 154 174 126 226 137 39 198 234 15 66 155 100 179 73 4 7 54 231 237 0 135 77 216 126 251 237 199 141 240 54 182 153 128 141 96 226 252 193 143 113 176 42 219 49 182 250 215 105 170 67 27 190 97 95 3 195 13 216 168 240 50 224 228 126 119 99 251 227 47 201 253 110 59 175 220 95 51 76 179 145 205 2 177 230 249 243 231 63 119 201 37 151 188 72 155 231 63 163 49 161 55 0 12 128 6 54 141 187 252 24 179 82 184 11 227 118 25 20 60 124 91 109 7 41 210 201 205 153 71 79 200 94 42 123 178 30 29 3 18 58 0 26 242 115 90 108 194 84 6 102 48 1 205 154 219 200 242 114 137 166 159 169 81 6 52 87 150 166 64 219 34 77 179 9 77 51 173 9 188 75 97 95 150 251 39 90 0 189 73 227 133 227 4 186 189 234 238 219 108 179 210 20 96 83 6 55 54 201 171 222 123 25 103 107 128 91 191 215 208 8 200 106 96 167 0 27 252 245 97 3 24 219 98 182 70 239 241 110 231 188 61 204 109 226 112 215 210 218 60 142 120 167 207 221 121 124 208 36 65 179 182 254 208 216 214 252 250 215 191 62 95 251 73 63 167 198 197 174 4 26 47 96 160 85 17 102 12 52 44 113 182 190 203 181 53 81 16 213 207 212 11 239 71 56 200 0 112 1 158 178 55 9 48 184 192 230 75 90 151 247 216 204 153 51 15 148 38 53 25 73 233 202 38 211 42 80 91 173 117 122 167 73 123 186 36 133 81 86 19 22 62 60 110 114 247 64 97 30 151 108 248 217 163 244 45 44 89 33 127 1 219 117 242 95 170 229 52 183 190 227 29 239 48 237 77 90 94 151 167 117 128 43 131 27 241 116 75 53 230 73 221 187 41 242 240 0 217 30 70 16 238 129 204 214 226 7 74 219 136 27 130 53 48 28 129 141 106 172 180 182 88 169 185 223 221 110 111 47 184 1 106 45 9 212 54 220 118 219 109 31 86 119 232 159 232 102 169 81 114 234 46 99 106 178 42 154 154 9 86 5 6 18 65 126 90 13 194 68 90 168 162 193 95 54 174 175 152 226 162 120 173 153 85 90 242 40 83 14 232 231 102 245 38 105 65 65 0 188 70 224 117 201 193 7 31 252 229 90 41 36 67 251 83 79 61 245 59 1 206 233 105 220 206 46 248 132 54 151 207 221 142 0 46 142 135 215 226 93 14 19 45 201 209 204 90 84 183 77 170 219 205 10 251 39 205 44 255 171 194 54 107 89 205 88 129 177 205 46 144 182 30 184 1 118 90 223 230 221 114 35 229 71 6 254 46 98 217 159 135 19 151 155 129 226 114 186 134 123 152 212 192 78 3 54 202 175 143 214 191 255 193 86 199 214 232 243 248 220 109 217 165 76 60 60 183 115 183 211 18 150 135 231 110 99 149 118 33 172 188 253 246 219 255 66 51 124 159 163 219 41 109 163 91 160 81 116 217 40 162 63 150 72 126 7 167 54 221 95 192 214 170 17 186 210 143 213 255 132 219 198 39 217 177 102 60 75 75 25 133 81 16 64 134 97 213 63 151 183 240 168 181 91 122 98 98 126 70 50 208 15 141 181 71 93 192 86 198 187 180 238 237 151 234 74 127 248 229 47 127 249 19 127 247 119 127 55 78 227 94 125 95 250 210 151 214 10 212 190 46 192 126 47 23 222 136 190 0 53 103 76 94 44 246 69 118 100 102 209 46 38 150 197 169 162 77 148 201 86 29 108 62 194 51 99 178 233 143 132 201 166 93 29 104 111 31 145 28 15 11 236 246 145 150 201 58 66 186 178 102 60 29 93 86 64 13 191 104 29 216 204 175 32 108 127 32 193 228 113 185 223 34 75 63 78 91 10 110 120 135 99 13 236 137 192 198 123 240 86 228 246 214 180 54 79 227 244 77 154 193 107 213 182 159 231 212 253 124 157 86 187 255 148 46 37 160 166 6 88 19 212 104 21 0 64 187 192 108 148 128 76 43 27 116 2 81 111 88 166 99 140 230 235 174 208 69 218 183 233 123 54 57 214 71 45 54 130 132 229 24 53 51 238 221 228 62 131 9 163 227 30 77 78 204 152 162 179 217 38 232 212 15 226 0 71 64 110 139 248 98 99 8 219 138 177 177 43 117 55 91 52 51 185 84 90 217 251 181 244 226 167 164 185 255 254 251 79 211 216 225 141 26 103 227 130 98 24 230 245 100 108 173 76 218 150 197 6 127 220 190 215 149 83 77 218 245 0 88 148 5 16 102 239 168 237 31 149 27 28 115 16 44 129 154 241 77 63 86 8 201 214 44 48 123 78 116 127 173 179 217 190 173 184 49 154 40 104 83 247 152 29 22 102 160 207 187 165 2 54 7 49 183 33 113 55 182 27 119 123 156 135 151 109 167 43 135 55 252 195 176 6 232 78 13 37 195 199 53 80 75 205 227 115 55 101 40 251 243 114 13 20 215 143 78 179 159 205 2 181 13 127 245 87 127 53 67 230 11 104 60 2 132 126 154 154 39 164 81 179 207 114 31 109 28 231 148 139 187 159 122 46 220 160 211 53 110 155 247 108 120 66 167 123 44 211 33 144 189 118 124 145 167 72 54 173 223 74 155 236 4 82 108 144 103 35 59 103 173 237 45 158 251 11 220 14 211 205 84 47 158 190 143 221 191 112 240 164 189 194 222 163 219 237 130 103 54 214 11 87 6 2 56 211 194 164 9 113 178 198 100 97 216 127 75 115 251 251 131 14 58 232 211 154 137 124 157 30 0 143 65 183 126 223 2 64 198 166 120 206 133 251 225 61 79 133 187 230 175 208 93 12 186 120 69 196 227 116 22 29 96 203 38 249 25 58 41 119 166 142 49 226 62 214 137 218 56 143 236 0 32 167 148 80 190 86 202 89 219 24 144 34 155 234 120 130 128 235 155 75 151 46 61 82 224 118 169 180 185 94 117 81 21 60 130 110 63 235 221 122 233 94 203 242 25 218 242 59 173 229 39 87 50 39 14 147 187 99 72 229 119 160 184 10 85 195 53 44 106 96 167 106 108 212 0 31 229 54 214 196 214 232 243 248 220 109 217 165 188 60 60 183 115 183 211 230 97 230 86 67 183 198 166 198 190 81 103 133 125 83 179 118 111 215 182 32 6 181 185 244 165 48 20 139 7 80 227 60 54 18 255 234 145 103 194 119 110 127 50 220 172 3 39 59 117 47 168 169 45 210 220 212 210 13 120 208 96 208 252 168 17 253 154 77 66 186 158 132 225 142 77 48 58 232 117 113 226 71 183 118 160 163 80 181 72 67 154 56 182 35 28 163 27 179 94 169 147 123 121 102 233 248 32 186 183 235 117 44 55 64 180 21 13 174 91 139 100 189 107 250 175 2 185 227 180 200 248 76 78 216 144 90 84 5 108 148 11 224 122 108 201 234 240 231 87 222 17 238 213 237 244 134 160 146 63 202 153 176 2 48 214 204 42 39 148 28 40 96 59 110 250 132 112 230 161 147 195 201 51 247 213 189 12 163 77 246 141 2 184 173 201 166 186 52 112 149 60 236 74 248 161 198 252 254 76 227 112 27 5 116 163 1 183 164 184 89 166 2 183 62 141 199 121 87 148 119 66 120 84 97 241 85 220 14 104 245 236 72 93 249 117 186 74 72 195 53 44 107 96 40 2 27 21 73 203 30 200 120 188 219 57 173 135 97 231 110 104 114 127 30 79 156 1 154 54 188 183 221 113 199 29 207 221 114 203 45 111 211 184 218 149 154 129 35 142 15 222 211 70 7 160 38 32 225 120 159 249 58 111 237 211 191 120 40 252 84 90 141 90 178 22 86 180 233 152 111 41 74 74 33 124 40 140 1 152 107 101 48 20 15 0 205 129 45 186 115 191 197 20 52 128 67 167 214 163 161 9 33 204 20 1 199 57 186 243 224 130 147 102 234 118 120 109 79 82 102 241 82 226 200 183 200 184 218 193 210 142 102 22 251 178 204 67 128 97 229 206 73 200 167 67 242 115 244 209 249 151 93 31 30 18 168 117 168 91 236 93 75 104 145 29 191 143 25 146 55 178 245 9 132 219 53 174 136 86 121 206 145 83 194 155 143 63 208 128 152 186 26 140 108 98 221 151 180 200 95 202 253 199 194 97 83 219 152 84 216 10 184 149 129 142 154 207 106 223 220 238 119 91 36 253 204 64 113 253 136 27 1 67 179 6 118 58 176 81 108 53 2 218 225 182 152 173 209 231 241 185 219 243 32 204 195 203 110 104 60 204 105 44 44 53 40 198 164 154 31 123 236 177 95 201 127 50 218 140 252 85 218 12 196 0 22 90 202 237 234 110 162 209 44 212 1 143 77 2 57 142 9 34 14 112 176 108 44 135 50 128 1 88 86 47 5 104 25 168 37 105 12 206 228 142 84 228 86 49 104 100 96 35 199 8 209 221 219 44 144 155 168 49 184 243 4 32 31 208 197 196 179 246 219 203 142 230 6 104 6 208 222 16 206 222 11 93 187 178 33 45 93 221 47 252 230 209 240 127 116 228 248 8 221 208 69 88 42 145 145 151 229 55 185 76 153 139 147 13 62 14 56 121 220 200 240 38 93 91 248 158 151 205 10 135 74 182 117 90 143 203 193 152 3 201 166 207 165 71 227 110 173 154 208 253 185 228 123 167 118 123 116 106 204 173 163 60 230 198 154 54 9 227 5 64 60 127 144 209 221 216 110 60 12 127 30 238 241 3 133 231 52 13 247 16 175 129 126 127 173 135 184 188 46 94 189 143 210 227 235 217 3 166 83 3 162 62 214 255 230 55 191 57 93 26 205 201 26 87 131 79 191 153 66 26 57 131 252 119 10 212 222 113 197 77 97 225 210 213 161 93 141 31 112 162 209 70 80 171 39 66 255 240 8 25 131 11 135 55 221 83 186 133 35 165 25 1 64 92 111 247 181 27 102 135 55 127 229 250 240 213 27 231 216 161 145 163 53 62 103 116 253 217 18 98 184 132 6 196 223 156 252 239 14 120 108 247 130 170 107 251 155 71 116 129 84 210 48 169 56 18 97 44 49 176 235 1 10 67 46 234 133 217 91 130 71 41 127 14 168 228 66 151 203 110 120 60 156 255 149 235 204 134 29 99 135 208 214 49 252 177 229 246 170 110 157 164 114 174 186 238 95 20 168 245 0 106 114 75 73 140 38 165 141 162 68 79 238 38 4 255 246 152 237 77 183 61 121 53 210 236 164 26 216 37 192 70 3 218 70 249 183 149 126 91 216 215 253 112 5 100 246 215 95 123 66 207 214 248 14 179 125 104 107 85 244 52 224 145 237 45 225 25 205 114 114 129 202 58 29 249 221 33 77 141 89 202 250 165 140 197 49 0 75 37 195 202 171 133 180 158 222 187 119 181 10 85 161 169 128 9 90 226 62 2 86 102 93 255 230 7 119 135 15 124 251 54 155 133 29 175 1 254 1 192 13 246 69 217 28 220 200 155 235 6 159 213 132 7 51 185 140 15 86 17 154 111 224 31 202 198 248 32 224 5 72 50 161 176 92 23 40 95 242 227 123 195 123 191 117 171 29 149 14 232 17 239 229 41 113 52 112 211 216 102 175 222 195 219 133 103 31 149 246 188 78 50 22 192 6 188 105 9 11 242 251 3 139 220 189 53 127 81 118 8 27 102 207 170 129 93 2 108 67 172 202 104 119 253 62 106 117 107 154 116 0 34 64 54 86 51 114 39 208 69 3 120 188 193 231 101 96 73 199 151 126 247 104 120 242 169 21 161 45 205 78 198 120 88 231 166 226 247 6 76 72 25 208 72 97 160 151 39 53 186 1 194 197 168 224 41 7 154 34 51 152 12 248 95 115 247 130 240 182 175 222 16 110 209 165 50 92 131 55 0 128 84 229 232 101 101 134 119 189 238 49 64 219 66 99 243 124 170 136 51 143 201 94 41 106 21 61 127 8 0 125 254 24 48 201 242 203 135 22 133 183 127 253 198 240 235 135 23 135 125 36 155 149 48 75 155 177 181 119 132 214 172 73 142 75 180 157 234 124 129 220 42 185 109 88 0 96 75 180 216 238 38 40 247 187 59 143 79 201 26 214 158 92 3 187 12 216 212 152 107 127 190 219 95 187 3 241 243 184 65 127 208 172 165 146 40 157 95 254 242 151 167 105 192 250 112 22 227 170 237 20 27 205 17 31 240 224 220 255 7 23 174 12 63 184 123 190 38 9 90 109 243 56 141 179 106 196 38 47 170 75 146 202 153 3 24 81 121 181 144 204 147 22 116 198 186 196 164 78 157 69 0 235 11 19 164 189 113 137 12 221 228 31 222 179 192 186 171 240 115 222 117 146 91 48 120 193 63 147 101 0 194 50 191 88 150 74 130 66 254 20 228 224 202 26 61 52 193 247 127 251 214 112 197 205 115 226 140 178 222 82 94 15 206 133 250 215 31 24 102 114 137 255 188 192 237 112 205 150 174 203 193 109 16 90 155 179 115 219 193 14 127 189 239 163 94 184 243 104 216 67 188 6 118 25 176 109 71 61 12 174 53 111 7 227 148 36 255 120 57 237 149 238 79 167 214 176 29 174 241 181 9 58 133 2 178 98 114 5 97 72 192 160 247 47 164 117 108 84 215 170 85 99 92 104 36 213 166 158 191 2 44 6 26 89 58 119 58 88 84 249 197 220 232 13 57 203 188 171 115 198 7 5 26 210 56 141 1 50 11 249 193 239 222 22 190 113 243 19 129 110 169 243 239 159 170 58 4 30 104 88 140 225 89 230 213 209 91 245 229 160 102 178 167 2 1 94 44 224 101 140 141 33 182 143 93 115 79 184 92 99 131 104 153 212 110 34 43 248 39 176 107 213 122 54 174 236 59 64 32 247 89 237 144 104 147 221 179 149 241 54 120 248 251 197 246 167 224 221 112 236 217 53 48 148 129 109 103 212 188 127 236 57 111 11 83 99 49 91 235 168 142 79 199 253 176 188 192 128 141 6 166 227 93 13 212 214 233 250 188 219 212 197 195 160 217 68 3 20 232 193 50 131 187 240 84 135 43 62 7 24 168 140 127 34 247 56 79 110 126 82 192 210 211 86 50 178 220 106 253 120 247 143 177 174 191 254 193 93 225 138 91 158 176 197 190 145 95 173 20 149 48 210 114 67 213 36 45 190 85 63 214 231 15 10 130 36 170 249 171 228 68 198 20 25 229 173 80 186 139 26 227 198 46 110 197 234 208 197 206 159 252 159 251 195 87 174 127 220 38 99 234 201 166 250 105 213 100 66 175 180 181 215 104 249 205 135 245 142 214 160 205 233 49 51 128 214 230 47 168 144 61 57 8 247 56 183 203 52 13 255 48 174 129 93 10 108 250 64 253 251 222 217 85 198 199 234 121 149 63 220 178 159 163 112 154 116 206 26 103 152 141 208 222 202 99 5 114 9 108 34 11 196 70 51 99 80 125 201 154 141 182 110 77 215 156 199 110 168 231 146 96 167 200 149 18 22 197 21 81 162 243 32 107 196 201 67 20 121 84 199 101 201 173 48 49 190 138 70 76 235 253 35 123 38 14 216 171 218 170 69 181 31 149 118 116 245 93 243 109 166 18 176 171 103 84 7 54 38 199 172 47 75 71 76 181 170 67 60 208 235 52 185 178 50 59 173 219 200 102 219 178 52 94 249 169 159 61 16 190 119 199 60 219 205 80 71 54 0 172 143 225 1 153 143 233 136 244 83 165 193 173 149 214 102 51 27 68 102 34 186 219 109 162 112 251 147 145 14 232 204 211 15 72 216 136 28 122 53 176 75 129 109 59 138 95 191 5 70 102 91 139 175 151 101 213 71 43 32 163 30 122 14 59 236 176 209 106 44 211 181 37 148 116 133 182 134 7 64 161 27 250 236 186 45 97 5 187 10 108 80 157 236 245 20 82 228 254 34 144 228 50 238 143 0 101 33 10 242 134 110 41 235 128 91 25 204 192 37 194 252 49 246 53 126 40 164 107 71 0 198 95 94 125 87 248 221 99 75 108 204 141 241 194 90 134 52 140 135 181 107 55 193 75 181 123 128 114 178 102 174 170 194 68 131 188 24 228 175 146 47 201 21 99 161 115 202 74 26 143 139 224 166 43 2 149 199 199 255 251 190 112 211 156 165 6 188 44 25 169 97 90 244 94 186 52 22 58 82 139 117 63 161 221 9 163 88 180 235 93 210 26 90 27 44 16 187 44 186 179 30 40 206 105 26 246 48 173 129 161 14 108 59 187 90 237 227 86 99 193 238 57 247 220 115 199 200 30 141 198 86 54 52 80 136 214 170 43 74 183 212 22 113 209 102 173 221 210 154 61 69 225 136 145 222 234 137 46 162 34 24 192 51 130 83 140 224 183 30 80 228 108 96 84 245 79 9 35 159 254 54 50 3 32 140 153 173 217 180 37 92 244 189 219 195 163 207 172 86 215 111 224 165 32 91 180 131 226 101 47 218 47 76 210 13 240 157 90 39 87 173 20 81 24 164 232 111 188 76 49 62 150 207 220 38 99 76 225 101 116 217 208 42 153 129 253 232 143 238 209 5 207 235 53 6 215 102 224 154 115 79 127 0 232 146 246 105 77 219 89 26 119 123 187 150 128 236 40 173 13 81 26 102 15 170 129 93 14 108 250 64 107 181 135 33 81 165 210 0 236 3 207 69 196 109 126 26 166 164 164 225 70 227 182 5 198 159 34 72 192 87 184 229 40 138 140 59 37 79 150 3 129 231 73 116 204 51 18 88 60 185 42 2 60 197 46 216 229 60 160 169 243 143 76 187 148 120 172 192 236 105 1 199 95 126 255 174 176 90 0 205 228 64 173 174 31 154 41 155 235 217 135 250 234 163 166 162 246 245 27 103 75 89 155 149 203 235 225 46 163 203 68 184 201 94 16 32 85 84 167 208 30 247 210 4 194 156 165 107 195 167 126 254 128 129 26 90 156 243 40 146 196 187 27 52 42 96 247 57 124 68 235 220 166 106 220 109 147 102 73 237 10 196 1 180 54 103 177 173 118 3 240 182 181 198 134 8 253 46 7 182 221 88 110 62 82 127 16 195 221 254 241 54 105 89 129 187 77 76 7 27 243 240 163 6 101 97 178 35 161 193 80 140 198 73 83 53 187 236 38 202 35 156 6 94 208 145 36 186 61 63 130 113 235 174 227 106 154 130 78 225 117 64 206 24 214 248 65 94 0 132 109 96 183 204 94 18 62 165 65 123 6 240 209 196 92 142 60 25 97 200 245 39 167 29 18 198 104 249 8 219 183 216 27 90 54 169 8 81 222 126 229 137 212 206 11 159 149 11 59 149 37 82 68 173 18 217 254 231 129 167 195 85 119 206 183 153 210 254 51 206 70 221 162 131 62 123 165 101 31 34 173 237 143 21 178 73 15 195 108 102 156 31 97 53 220 132 149 195 115 127 150 164 225 28 206 53 176 39 3 219 160 63 88 237 73 228 29 182 220 125 247 221 155 212 13 221 162 22 146 214 167 197 87 107 141 17 160 209 195 82 5 154 134 117 71 139 55 95 180 104 133 24 34 68 187 202 93 16 87 209 208 232 49 222 208 201 35 250 165 161 89 227 39 95 11 74 225 70 153 226 148 78 113 185 38 135 63 167 175 164 140 46 54 163 143 22 128 124 67 179 164 87 220 52 199 198 219 106 1 8 90 27 221 195 151 28 56 49 124 224 140 67 67 159 220 44 220 173 101 10 241 178 188 189 60 208 87 185 11 98 228 36 38 26 43 183 60 140 237 253 219 117 143 134 199 150 174 25 104 235 85 95 26 7 125 143 222 221 116 77 36 108 26 96 172 13 161 203 130 151 253 8 81 43 44 10 215 248 29 118 53 176 91 128 77 31 177 127 207 131 169 176 109 161 29 12 191 126 52 2 50 242 104 185 225 134 27 184 39 96 185 26 73 65 227 162 162 172 48 168 206 122 48 91 119 37 183 181 132 162 40 73 76 179 92 100 236 204 93 208 194 190 18 238 193 14 0 228 233 249 66 5 240 208 101 132 206 105 35 7 75 97 192 1 141 199 15 100 199 225 193 38 211 214 62 33 173 237 250 199 151 196 1 251 58 147 9 155 186 186 195 69 103 31 30 94 113 220 244 176 73 135 102 50 147 9 240 151 13 114 34 77 217 184 188 46 41 241 86 190 68 104 178 38 183 206 199 181 177 192 167 159 219 160 61 175 179 45 159 26 89 65 221 34 109 173 71 167 236 206 144 246 118 190 252 92 94 99 66 161 182 65 144 76 61 183 199 187 157 211 121 88 195 30 198 53 80 105 193 195 183 16 253 91 211 224 202 194 199 108 31 180 102 216 2 247 133 202 191 73 154 192 60 128 77 141 15 83 225 36 39 235 187 216 6 180 175 142 240 17 202 169 225 165 232 130 46 209 99 229 97 5 27 57 138 112 104 156 125 4 37 243 25 198 50 25 25 79 241 136 54 27 206 233 50 66 87 27 228 72 235 224 129 45 28 180 172 200 206 178 44 242 146 232 154 230 28 161 101 22 235 116 146 47 227 109 11 158 91 111 96 13 112 123 145 224 71 222 157 58 56 147 173 90 95 190 240 165 225 196 195 246 15 27 215 108 50 160 101 12 12 173 14 26 253 55 67 22 81 70 247 199 114 89 254 22 151 194 77 166 40 80 85 29 43 26 25 198 140 104 13 63 189 255 233 112 235 220 229 26 123 139 123 74 99 202 202 175 167 147 125 161 78 96 153 32 173 173 19 173 13 138 108 172 205 19 228 197 194 93 246 59 93 45 59 167 173 21 223 8 27 130 53 176 39 0 219 14 169 214 9 19 38 0 108 221 186 11 224 113 102 69 243 191 252 177 17 177 231 177 71 26 91 155 157 24 75 255 175 234 139 247 214 235 104 101 173 220 69 163 37 187 91 118 78 171 112 248 0 20 128 4 81 140 133 49 19 201 149 155 91 164 49 49 67 9 168 194 130 238 32 128 98 96 34 98 232 253 201 114 32 147 210 191 106 58 150 129 140 21 104 204 94 188 58 124 244 135 247 216 142 0 180 49 186 170 185 65 46 118 48 112 82 238 119 222 251 242 240 54 117 75 145 111 211 134 206 176 25 249 36 27 218 36 178 59 216 81 30 103 131 20 110 92 162 138 63 186 76 254 20 8 47 228 160 27 252 205 91 230 232 228 146 110 59 145 215 249 121 90 217 205 122 87 28 220 121 156 128 237 76 249 55 200 109 147 8 90 151 232 100 249 43 202 221 196 151 253 245 194 156 87 195 30 70 53 208 0 182 244 178 184 220 68 206 214 197 139 23 63 168 163 170 1 54 128 78 152 6 120 196 198 201 73 182 12 184 31 61 101 188 181 220 56 54 85 105 184 69 107 46 26 179 226 44 154 31 167 115 59 102 172 54 108 218 85 215 70 93 20 179 94 71 136 11 208 88 254 48 70 0 202 137 29 44 203 24 35 141 137 197 193 93 138 219 188 97 139 64 101 139 129 10 232 38 220 49 89 162 156 230 172 136 17 179 176 95 7 149 28 104 88 47 54 90 155 248 127 126 223 83 225 159 127 245 176 105 74 16 231 18 226 230 244 16 192 141 19 57 208 220 174 252 211 51 194 27 79 58 40 76 159 56 198 52 61 170 103 139 102 89 145 107 147 108 248 186 54 103 252 20 239 192 132 109 178 88 152 126 100 188 126 205 163 31 211 218 180 228 131 227 213 239 208 209 80 163 219 227 125 11 30 159 108 214 25 210 29 197 251 38 61 173 250 131 196 34 235 38 205 150 230 160 85 207 157 216 52 172 61 177 6 250 29 160 184 39 22 178 70 153 242 143 157 232 166 4 108 29 183 222 122 235 19 71 28 113 196 66 53 152 105 26 199 209 220 99 60 143 45 2 7 32 23 194 139 167 73 35 96 173 149 52 56 122 63 17 44 18 75 8 76 157 82 74 218 173 117 45 137 147 167 79 182 145 225 22 99 1 70 183 52 19 142 6 122 169 142 249 126 249 172 201 186 219 96 188 221 113 48 138 211 48 148 199 38 45 187 96 127 37 192 178 92 71 9 61 165 110 227 131 139 86 133 123 116 175 194 34 157 220 139 105 87 215 13 141 169 186 43 25 229 113 81 140 48 253 228 224 38 5 41 116 104 169 197 231 127 243 72 56 252 128 113 225 130 19 103 134 231 54 104 31 108 54 206 72 50 128 10 237 172 83 12 95 119 204 84 59 185 119 137 186 165 207 10 140 151 202 126 122 229 134 240 184 142 17 191 127 225 42 179 55 106 17 115 147 0 121 84 7 75 74 84 92 229 131 44 228 93 217 138 102 213 96 85 66 60 14 164 54 173 77 127 64 86 109 236 10 223 215 110 137 211 181 158 174 222 196 69 218 211 123 166 246 144 206 208 118 171 133 90 254 49 82 0 215 75 119 52 105 110 112 198 192 58 119 19 86 207 79 92 195 12 227 26 40 54 121 239 142 50 228 221 189 173 228 207 71 89 207 16 87 142 247 48 183 73 139 219 53 84 236 60 174 89 99 52 92 140 12 93 247 189 247 222 123 149 206 100 123 181 198 222 216 130 80 220 74 133 134 198 145 69 235 5 70 23 124 245 134 240 164 78 205 109 21 40 0 40 17 204 96 153 140 33 74 242 227 54 39 118 12 107 214 133 45 61 2 171 89 2 201 127 120 253 177 225 76 141 95 49 158 4 29 236 104 232 128 169 234 200 24 98 1 46 52 197 45 26 247 90 188 122 67 184 238 241 165 225 191 110 123 50 220 55 255 89 6 196 52 240 94 57 92 50 166 34 59 119 21 89 187 132 133 13 95 214 173 209 221 188 250 253 175 8 199 76 219 91 139 121 59 67 155 129 118 36 115 173 74 217 91 121 73 51 66 224 211 34 26 220 0 43 93 84 214 199 61 174 25 205 95 60 184 40 92 115 239 83 225 25 1 241 72 213 145 117 179 149 22 113 0 54 252 24 0 203 37 44 187 89 88 60 90 0 255 95 239 61 35 28 167 122 162 123 106 117 96 41 237 7 113 130 238 68 224 18 232 119 235 198 173 111 235 29 238 205 142 4 192 77 192 70 60 15 127 160 48 101 183 199 123 92 238 183 4 217 15 113 13 51 76 106 100 64 100 168 0 0 32 0 73 68 65 84 192 27 250 48 17 247 121 139 89 235 227 180 118 5 168 233 74 55 186 159 155 165 189 221 71 78 101 224 165 49 110 214 152 207 190 186 80 133 85 249 134 64 46 146 169 28 181 216 67 144 133 203 73 227 236 209 121 103 135 233 214 169 239 191 255 204 240 70 205 56 66 178 74 119 12 172 210 216 21 183 66 209 136 215 11 248 176 121 214 106 160 159 56 128 3 205 105 202 248 209 225 125 47 159 21 126 242 193 179 194 231 222 246 210 112 128 252 116 5 145 209 65 132 92 93 211 52 41 50 49 240 187 1 152 233 238 45 149 214 117 241 213 119 134 149 226 51 82 87 8 2 44 110 28 32 169 44 198 210 48 92 210 130 108 220 141 64 26 228 29 161 110 244 41 51 39 133 127 124 243 9 225 103 23 157 29 46 56 229 96 211 58 225 229 114 81 88 215 26 77 62 227 134 172 201 33 139 117 122 92 239 199 246 53 206 112 227 230 171 26 134 64 238 78 229 106 196 179 228 230 143 16 119 58 152 73 147 8 36 203 19 231 110 226 26 102 15 172 129 61 25 216 178 102 50 168 55 215 167 83 61 236 163 95 190 124 249 221 26 144 6 216 90 212 80 42 124 112 234 63 179 138 175 57 122 74 104 215 12 105 183 180 167 164 124 84 103 82 19 232 208 192 226 228 128 6 205 194 199 95 127 156 46 61 25 107 27 235 25 180 7 47 0 189 129 30 7 7 6 213 87 168 107 202 152 31 235 204 254 231 162 87 134 215 30 63 195 198 186 88 54 1 15 4 119 225 189 24 86 4 15 204 36 102 92 108 140 78 2 190 91 23 183 252 131 78 186 117 25 172 24 137 78 245 81 164 192 229 52 110 3 31 104 109 104 123 116 103 185 150 239 242 119 156 26 254 239 31 188 196 198 221 12 220 148 206 228 74 50 228 252 97 238 162 57 240 209 37 102 73 202 178 53 155 13 52 227 184 38 148 133 105 74 221 209 147 4 100 147 180 112 87 189 229 138 160 234 162 86 132 46 146 12 232 216 86 250 1 153 53 34 119 79 13 12 23 96 243 239 125 167 214 82 186 227 96 196 47 127 249 203 135 25 175 225 38 39 25 239 198 88 163 3 124 56 93 246 152 169 123 75 107 155 68 191 80 13 156 113 54 25 107 165 53 68 37 40 5 147 158 45 74 135 232 228 140 151 28 56 193 64 128 69 169 219 210 154 160 5 224 24 212 103 182 20 128 155 161 129 252 111 254 201 233 225 175 95 119 172 129 203 22 229 209 86 3 220 114 128 19 155 42 99 235 200 4 214 223 85 247 246 107 90 71 102 199 119 151 145 167 42 69 181 7 185 192 20 128 14 64 226 226 22 198 6 255 234 156 163 194 69 175 60 66 19 30 220 248 85 41 169 131 87 69 38 133 100 213 199 88 27 19 41 115 151 175 211 216 221 74 187 57 43 143 79 185 55 167 83 63 14 214 59 123 145 194 88 96 93 124 215 186 166 47 145 245 179 42 130 244 139 106 4 12 247 26 40 62 128 225 94 144 109 148 63 107 62 14 57 161 73 154 90 143 198 214 70 124 253 235 95 95 164 133 159 191 7 216 242 70 231 121 208 117 163 155 116 225 75 103 106 128 167 37 116 73 107 51 192 114 130 42 59 207 42 69 40 61 11 125 153 233 172 209 80 141 200 243 173 98 85 195 227 0 183 142 123 69 197 247 227 111 56 46 124 249 237 167 24 8 108 18 168 248 56 89 46 133 243 46 231 13 13 173 189 149 115 210 116 148 208 181 186 204 101 31 205 154 162 133 185 201 148 33 15 170 107 3 172 212 21 55 223 255 205 171 143 14 47 63 116 255 176 94 218 28 192 231 160 230 137 171 228 75 129 104 103 116 123 249 67 114 243 19 75 45 77 141 122 182 203 148 53 105 128 118 125 188 146 118 233 15 84 1 90 89 119 20 174 69 120 202 34 247 227 206 253 137 164 97 13 199 26 216 173 192 166 15 49 255 158 119 70 253 109 43 255 62 173 103 163 78 122 180 236 227 103 105 157 148 45 251 200 133 99 144 155 241 36 102 235 94 123 204 52 141 202 169 177 186 146 96 69 74 217 86 21 47 134 89 145 165 205 112 163 58 60 106 53 242 60 175 193 186 1 0 186 147 43 53 38 197 254 78 180 183 113 220 96 37 217 88 23 134 169 85 25 85 34 138 6 48 97 241 238 70 201 198 226 93 180 37 238 42 176 9 18 227 162 214 95 233 233 165 144 218 22 249 33 87 167 198 4 89 116 251 161 87 30 174 59 71 53 118 167 174 60 83 6 158 183 219 112 41 127 18 248 145 255 78 221 66 207 56 30 238 50 13 201 210 218 220 19 229 110 215 144 130 45 251 128 95 50 57 96 229 110 143 111 216 123 88 13 236 86 96 219 65 117 89 179 189 110 39 239 166 133 11 23 114 175 232 152 79 127 250 211 55 106 185 199 67 233 52 93 83 89 188 65 209 50 92 139 249 179 51 15 11 99 199 143 10 93 154 85 4 164 182 102 76 88 141 139 177 109 136 91 214 25 108 71 211 42 155 193 130 71 158 14 237 13 208 101 192 253 245 199 78 11 223 213 122 179 137 186 215 147 181 101 116 91 201 197 115 242 178 144 222 195 156 23 99 97 172 163 155 167 107 5 255 246 135 119 219 238 3 198 242 242 241 45 228 27 140 140 240 166 171 142 70 121 186 186 238 167 30 50 41 108 212 132 3 88 27 229 137 185 87 201 163 160 24 26 129 150 203 155 231 105 105 203 147 2 89 220 53 170 139 201 3 0 239 104 141 169 113 172 123 151 198 72 7 251 109 111 253 165 121 197 52 236 97 83 3 131 125 249 195 166 64 3 8 234 109 197 73 106 250 213 32 250 14 60 240 192 246 187 238 186 107 185 26 201 247 116 34 142 211 87 217 128 24 51 130 71 105 177 238 71 94 117 4 51 10 214 224 182 214 74 104 192 128 140 166 87 195 255 220 191 208 250 62 131 1 136 170 204 7 240 144 63 178 61 167 245 101 103 30 58 217 118 11 76 18 240 110 210 204 165 105 59 138 247 130 23 96 226 1 25 95 128 123 180 198 219 174 213 105 27 159 254 197 131 182 173 138 232 50 105 45 217 203 97 40 120 240 99 143 45 183 195 99 0 167 114 93 57 239 66 46 242 83 32 90 31 51 197 15 179 188 38 1 180 49 169 252 216 4 130 210 29 164 113 182 67 52 174 182 89 239 173 248 182 107 76 32 148 179 174 112 138 174 173 197 151 233 27 254 33 86 3 197 203 31 98 114 109 171 56 222 38 106 165 203 227 112 231 126 167 247 48 179 211 98 221 81 255 249 159 255 249 35 173 98 159 39 173 141 241 27 186 55 78 111 182 246 239 216 50 12 198 218 94 119 226 65 161 87 93 37 107 79 121 223 202 83 100 57 91 195 213 250 172 31 107 157 215 93 11 86 216 145 216 76 2 148 249 123 210 237 177 1 0 238 6 69 67 250 214 123 94 22 246 221 91 224 38 48 245 49 183 50 207 90 34 3 62 29 26 11 252 178 78 219 184 82 71 119 239 173 89 83 38 24 202 6 185 243 167 28 239 126 186 160 39 207 156 24 246 214 125 10 116 79 169 78 207 23 187 12 104 246 50 148 24 58 102 141 239 127 122 165 77 150 212 88 249 193 58 54 102 181 59 36 199 49 74 210 173 49 55 79 110 217 235 134 171 234 151 231 66 13 222 126 190 233 7 159 83 131 242 121 215 192 158 2 108 219 91 17 85 31 127 98 210 167 51 245 123 167 77 155 54 242 59 223 249 206 83 75 150 44 249 119 198 111 212 96 168 171 42 122 107 112 106 232 52 74 150 110 28 163 49 183 46 105 74 62 166 21 249 85 37 177 32 27 20 87 23 116 163 128 231 210 159 222 31 54 116 118 153 70 100 224 150 132 216 17 22 114 48 230 198 154 187 43 222 121 154 186 151 26 115 211 64 60 131 250 14 79 101 48 201 243 37 14 109 137 127 31 211 233 182 119 106 33 48 224 182 61 114 82 87 164 155 182 207 24 61 58 149 215 128 60 230 150 79 36 120 109 145 55 245 234 126 228 96 225 47 107 230 76 107 35 178 98 0 157 222 52 217 115 156 220 45 44 208 213 59 107 128 81 165 142 94 80 174 61 29 216 170 190 254 236 205 214 11 119 146 62 205 166 49 214 182 215 107 94 243 154 43 229 190 149 227 195 213 216 8 171 50 140 107 177 166 108 252 168 182 240 133 11 78 10 51 181 66 190 83 96 194 140 167 25 203 169 127 118 12 198 183 106 239 229 109 154 121 252 91 109 66 135 15 219 168 104 240 59 210 0 2 44 7 57 75 59 27 190 241 174 211 194 88 229 201 54 173 129 192 45 199 12 198 219 56 221 99 165 182 77 125 248 123 119 132 37 186 109 158 211 110 183 21 220 0 71 38 55 70 235 60 187 125 181 7 182 79 218 27 166 10 212 20 148 251 189 30 208 28 153 133 94 180 106 131 182 110 173 175 57 206 38 12 235 99 139 155 204 49 139 22 45 218 75 55 89 117 53 128 205 107 240 133 103 239 201 192 214 31 77 170 223 111 30 143 59 247 7 45 25 232 147 214 198 94 218 13 191 255 253 239 47 213 89 251 155 117 67 60 254 126 200 99 107 182 52 56 126 160 22 164 94 166 5 169 135 104 125 90 167 52 55 180 12 0 171 98 170 178 176 73 131 102 105 81 87 233 208 71 238 255 100 37 191 223 220 14 240 85 83 87 184 108 171 11 112 99 70 241 92 237 241 252 55 237 82 160 187 188 73 235 220 144 207 243 136 26 146 251 84 25 114 26 192 201 6 196 56 156 242 33 237 79 253 243 43 239 144 134 217 45 128 106 219 102 16 6 220 40 23 107 236 242 17 54 203 203 37 33 223 84 192 66 107 19 1 50 179 240 247 73 77 34 32 119 217 136 182 73 227 107 4 31 164 147 144 39 203 238 210 59 235 79 88 78 216 240 239 145 53 176 219 129 77 31 164 127 199 91 171 224 193 210 149 249 144 206 211 230 110 232 60 60 79 83 132 105 134 180 91 231 180 141 187 232 162 139 126 175 229 31 255 87 151 136 208 37 181 116 229 94 14 141 141 139 94 216 73 240 173 119 191 44 156 122 212 20 117 75 183 216 152 84 209 16 11 206 49 231 8 93 106 180 90 10 113 205 173 79 132 55 255 251 117 225 38 173 252 231 204 55 150 71 32 29 64 144 207 70 230 130 110 139 155 217 210 231 36 207 155 181 59 225 178 63 58 197 192 129 227 190 153 104 200 145 58 190 142 92 208 152 139 105 110 2 183 107 117 78 218 159 126 235 86 91 91 182 55 59 47 4 122 185 124 181 94 39 85 198 216 28 51 171 75 215 110 12 79 44 95 27 90 228 246 55 159 67 184 129 156 126 92 2 248 161 177 241 7 130 61 178 115 149 86 248 88 203 52 179 3 65 195 6 251 106 226 96 186 8 58 165 181 233 143 135 164 171 37 84 45 14 141 176 61 166 6 118 59 176 237 160 154 244 118 48 88 118 57 189 187 177 115 183 241 210 228 1 234 197 56 117 73 191 170 1 232 159 170 75 218 172 118 98 125 158 126 224 38 173 130 195 27 233 106 93 254 71 167 134 247 252 175 35 141 99 151 194 0 16 158 104 60 27 69 203 201 211 42 144 184 79 23 49 159 39 112 251 200 85 119 232 38 169 53 214 109 99 245 63 75 28 104 155 116 229 0 24 128 132 135 116 246 36 174 3 89 228 12 56 60 39 205 237 237 154 236 248 231 183 104 201 151 120 113 144 164 107 110 72 101 143 241 133 127 245 211 35 16 27 169 181 113 191 186 239 233 112 225 215 110 180 219 174 38 140 233 176 244 93 154 12 0 228 72 195 242 21 79 139 156 228 129 198 69 151 246 123 119 204 15 203 212 165 100 3 61 160 237 38 150 35 250 221 237 177 240 194 64 190 96 197 6 105 124 105 203 152 19 68 38 12 21 244 242 199 71 93 210 131 21 84 29 27 105 248 37 188 94 92 133 170 225 26 214 53 208 114 233 165 151 238 246 2 124 226 19 159 240 22 191 53 89 6 162 171 23 71 184 63 240 119 183 211 187 159 56 128 62 247 91 247 70 90 91 171 54 201 119 170 193 220 113 236 177 199 158 171 107 223 246 225 104 106 1 155 176 194 217 144 60 46 181 96 156 172 77 13 247 85 71 28 16 142 212 214 171 39 116 194 197 114 173 193 162 193 55 177 124 196 147 88 218 232 161 165 181 106 140 141 189 167 247 233 126 205 107 30 92 24 230 44 91 107 164 123 11 76 208 226 88 46 1 200 1 144 228 107 130 38 94 169 237 155 12 117 127 68 11 57 93 222 83 14 158 164 217 201 142 240 27 109 48 239 86 230 190 20 164 156 54 177 183 96 67 4 104 5 80 243 151 172 9 63 123 120 177 157 118 114 232 228 113 97 162 192 156 46 57 52 110 144 17 190 156 41 199 122 189 203 111 152 29 254 81 75 71 208 214 172 222 18 113 165 10 163 128 86 50 226 44 243 74 57 1 72 46 114 126 227 139 167 219 4 2 51 165 165 250 239 209 204 40 7 80 206 214 31 160 95 107 39 201 72 13 31 152 66 10 56 106 166 20 209 114 17 93 212 134 189 135 213 192 110 61 182 200 235 82 31 103 222 126 60 184 150 61 16 29 113 181 226 9 115 192 114 158 121 152 187 137 131 206 181 88 79 67 124 211 193 7 31 220 246 228 147 79 174 186 236 178 203 78 59 249 228 147 191 163 25 184 137 2 58 250 57 78 79 250 8 56 42 14 64 67 11 226 230 37 78 237 184 230 158 167 180 100 98 190 45 52 21 17 93 38 197 139 53 220 205 54 135 105 85 116 27 57 84 50 108 209 163 193 246 153 147 181 175 116 250 132 112 130 46 86 121 145 246 152 78 213 172 34 99 113 14 114 0 157 107 93 145 11 60 235 155 212 210 13 44 63 171 3 38 47 209 166 119 12 249 14 214 144 223 38 1 164 212 174 240 98 93 172 252 230 227 15 180 217 215 233 146 13 16 67 59 68 131 91 163 37 38 220 99 202 114 17 150 183 16 222 174 120 215 194 128 45 5 217 67 222 248 161 113 195 92 52 97 228 199 190 83 246 196 254 72 39 154 160 21 231 55 103 165 79 136 11 149 219 116 193 203 15 246 223 127 255 11 165 109 143 230 29 241 192 143 110 169 194 113 59 184 97 251 3 73 217 77 88 110 60 93 30 214 112 15 193 26 120 161 0 27 45 197 31 94 3 238 42 224 202 226 125 69 174 211 64 111 180 220 139 160 177 182 21 55 221 116 211 231 167 79 159 254 103 58 175 13 173 205 233 161 43 128 141 110 22 131 246 12 178 163 189 1 116 15 235 24 238 31 8 224 56 167 140 5 167 205 210 222 98 75 33 43 75 28 109 137 7 200 128 51 28 225 173 159 216 15 83 64 139 128 142 177 45 186 168 19 165 113 177 253 137 115 216 184 16 153 60 220 100 78 15 50 59 229 100 192 66 30 236 10 224 118 248 149 76 118 72 94 120 100 184 98 229 169 98 144 60 240 103 226 23 250 78 54 183 203 30 167 187 32 166 107 57 199 126 218 237 64 87 147 61 162 139 53 139 202 225 152 156 61 215 38 141 147 181 127 116 41 149 109 97 170 193 77 229 86 76 254 183 14 121 144 147 181 111 148 253 170 247 159 17 142 216 127 124 177 37 173 96 164 245 107 58 32 180 85 139 172 111 210 25 109 175 215 100 66 15 11 117 27 192 150 213 208 11 196 201 44 223 158 98 104 107 222 110 183 165 76 229 116 185 223 221 236 33 5 212 182 156 115 206 57 83 213 120 94 198 22 158 122 134 129 242 49 58 52 146 217 63 206 18 227 136 235 71 213 117 99 111 40 13 22 77 6 73 163 214 34 71 113 202 174 115 100 156 74 88 166 40 0 160 153 137 4 37 0 68 224 189 66 75 47 86 104 156 106 46 8 129 33 34 57 11 59 70 216 111 229 39 171 30 156 164 193 86 247 14 173 143 241 48 51 156 244 155 140 107 86 120 43 161 209 163 158 161 129 96 187 192 155 164 107 116 94 220 67 107 87 132 135 92 46 18 8 44 91 164 161 141 16 16 195 223 186 143 10 142 119 31 199 244 26 145 83 64 228 206 133 97 220 38 161 129 204 2 220 224 77 90 234 110 131 64 148 29 31 101 237 50 201 201 134 120 232 246 209 68 66 135 222 209 250 124 7 130 178 109 152 23 72 13 12 55 96 163 229 85 181 175 65 188 167 90 105 8 203 195 221 157 135 123 152 101 193 160 180 204 230 55 189 233 77 199 171 27 122 148 198 216 104 64 153 222 97 100 6 60 92 146 242 136 182 255 124 250 231 15 134 59 52 33 96 131 88 168 29 168 96 136 79 87 13 237 200 68 32 29 225 202 206 114 196 141 193 31 151 99 0 6 41 210 26 116 147 208 206 21 69 167 182 36 252 244 11 40 98 106 59 196 58 206 188 42 105 74 91 145 171 156 36 99 142 72 50 136 214 13 232 200 221 202 216 153 202 134 155 39 145 136 70 19 31 2 115 128 9 99 225 86 38 124 177 43 90 11 220 212 157 48 153 208 232 250 4 150 164 230 164 95 38 104 140 191 226 11 54 112 18 127 128 77 249 141 151 221 49 117 234 212 53 218 78 101 223 56 221 80 105 110 125 11 22 44 8 51 102 204 16 181 25 68 113 49 83 80 195 218 19 106 96 184 1 219 214 234 156 143 52 182 158 106 74 15 119 155 88 220 101 191 167 245 240 194 86 99 33 174 91 141 226 24 46 16 81 119 135 149 237 204 144 194 203 12 147 3 163 212 85 100 115 59 75 34 150 107 240 191 89 3 255 205 234 38 146 24 202 62 53 190 120 139 187 124 114 91 40 172 113 98 224 103 225 230 33 129 5 199 248 216 144 35 8 196 224 186 191 21 177 234 146 88 132 231 43 79 44 74 22 160 176 66 20 226 173 4 150 170 223 143 149 173 248 169 142 6 152 162 137 66 1 64 133 120 150 105 109 112 51 26 171 27 92 145 11 107 112 1 98 231 152 231 148 222 17 65 173 202 163 233 158 123 238 97 223 111 78 146 187 11 17 242 192 134 123 207 168 129 126 26 199 158 81 172 154 165 24 232 67 206 227 114 55 140 204 175 195 12 213 164 66 171 214 70 189 88 11 64 9 103 16 186 48 180 207 22 13 58 161 153 252 243 175 30 10 203 181 253 167 131 251 71 101 232 62 178 76 195 52 35 217 198 144 31 115 64 33 71 17 136 183 136 72 68 41 158 224 60 74 222 42 227 241 70 147 123 6 112 231 81 198 44 15 0 72 107 61 81 68 196 172 247 228 114 81 98 251 87 208 147 71 52 150 155 229 225 126 242 171 84 65 145 46 241 176 110 123 45 84 115 134 178 37 115 159 198 216 250 142 63 158 227 217 244 162 146 182 198 126 210 25 51 102 84 50 183 216 198 207 158 88 3 67 2 216 248 16 119 67 229 90 155 202 242 173 37 131 209 72 67 107 82 151 166 235 200 35 143 220 91 13 230 232 180 194 189 170 121 49 6 52 82 221 176 135 212 5 229 162 95 45 218 178 129 127 43 89 252 137 89 149 221 150 107 18 165 202 45 143 209 186 132 137 70 13 188 104 249 196 231 15 113 197 227 233 182 102 103 105 140 87 198 130 40 140 219 209 151 2 178 116 69 158 149 48 94 105 149 104 150 202 96 202 194 209 110 253 181 91 170 68 79 22 5 152 165 124 115 191 146 89 122 232 234 25 180 53 13 21 216 251 209 4 79 147 102 66 245 71 199 247 184 89 170 196 185 138 67 30 150 187 171 136 26 158 225 81 3 67 2 216 118 96 85 213 251 32 243 240 220 93 206 154 184 252 177 120 221 126 68 35 217 242 222 247 190 119 154 180 181 233 0 27 141 167 156 152 25 63 150 54 244 104 112 155 193 120 111 184 145 46 203 150 22 95 160 133 220 22 149 194 204 77 138 228 112 116 136 76 182 239 215 121 244 179 107 177 75 114 120 53 184 172 69 218 36 90 137 204 201 171 57 86 136 60 57 241 9 222 12 160 188 142 140 82 68 150 157 211 40 176 146 142 73 5 237 210 80 173 115 177 11 244 101 163 87 226 193 157 26 7 237 121 244 209 71 155 180 230 176 79 7 25 176 104 183 79 239 142 119 230 239 205 178 44 241 240 244 165 224 134 119 184 213 192 158 6 108 212 127 189 143 179 222 135 92 139 62 15 235 211 196 1 141 161 71 87 244 141 85 227 25 193 0 53 184 150 99 27 141 149 38 195 140 29 235 25 98 235 201 216 152 51 243 219 151 34 191 135 187 77 15 215 90 179 23 37 165 241 22 238 45 223 210 151 126 114 154 220 93 34 171 120 201 127 128 167 66 152 185 144 103 128 167 224 151 145 89 234 152 198 53 57 130 92 19 67 123 139 254 56 251 89 241 11 204 196 15 150 84 46 221 121 54 209 143 211 130 95 167 177 132 233 7 222 210 204 240 61 43 16 219 168 251 97 89 206 100 147 6 57 157 220 188 158 248 138 74 17 13 239 158 81 3 123 34 176 109 239 155 241 214 218 47 189 238 63 176 56 45 170 141 77 44 83 214 28 220 234 183 18 75 18 121 90 11 77 254 216 90 21 46 63 65 248 83 84 10 40 172 138 35 17 24 45 244 165 167 144 28 186 29 240 148 249 215 243 23 249 230 142 44 127 75 87 29 87 176 146 156 252 43 119 77 163 63 166 137 20 90 206 103 59 15 218 195 36 45 206 5 228 178 215 96 132 122 23 189 105 252 115 145 52 181 117 210 212 90 52 174 86 53 22 202 172 168 12 194 97 182 5 224 60 77 76 217 248 29 210 53 48 28 103 69 249 192 234 227 200 182 85 183 183 190 156 159 243 247 15 89 237 197 186 56 205 58 241 99 189 216 111 22 192 181 213 90 199 70 99 229 72 31 150 117 224 182 230 99 156 157 37 97 114 91 152 126 204 141 39 197 91 34 121 33 176 44 61 220 195 176 9 27 164 233 71 154 248 85 241 200 242 47 179 45 122 118 229 136 146 191 95 62 196 83 134 156 78 68 70 151 2 19 111 38 155 1 40 192 43 206 0 3 88 169 171 105 245 225 76 4 126 154 152 153 170 3 51 217 117 192 190 217 178 145 114 230 196 143 43 174 71 32 199 13 86 76 250 152 41 77 30 212 148 218 105 27 246 240 174 129 61 85 99 171 245 209 122 24 182 187 253 237 13 232 231 224 73 17 182 95 115 205 53 139 213 13 93 166 253 135 164 43 165 137 11 92 103 76 28 107 235 212 108 73 2 205 172 160 42 28 10 195 157 252 184 171 252 68 17 38 219 12 142 244 56 109 22 228 81 213 182 8 10 158 16 35 62 143 187 115 6 121 120 78 151 120 20 121 186 63 177 145 85 49 57 191 204 93 164 173 80 86 202 226 97 130 52 209 25 169 228 163 235 105 221 76 178 19 73 236 138 198 120 186 248 199 234 188 59 246 204 114 148 82 190 245 74 164 144 183 178 190 80 252 238 134 59 127 145 176 49 128 26 246 220 185 115 177 204 141 163 134 25 40 174 6 121 35 104 40 214 192 158 8 108 3 125 152 181 226 242 48 220 238 47 220 220 131 160 13 212 173 55 220 112 195 115 154 56 120 180 12 108 180 30 30 26 27 123 25 39 235 142 1 173 251 168 52 60 231 88 176 38 151 130 189 60 185 63 17 19 207 216 83 108 241 16 100 143 3 80 61 59 167 197 157 76 57 184 150 223 72 107 69 120 88 202 211 228 82 88 97 43 161 147 212 226 225 116 73 20 35 46 202 70 96 2 175 232 42 0 205 200 85 185 116 67 91 181 117 236 76 93 225 135 161 106 114 35 12 179 19 116 165 161 173 146 70 253 136 226 10 80 115 58 192 237 144 67 14 41 165 204 95 138 165 233 151 206 211 55 236 225 83 3 67 6 216 244 87 182 252 193 237 206 90 204 101 193 205 66 79 70 165 55 11 228 226 142 241 212 112 76 41 144 98 128 205 233 19 147 181 79 242 197 210 42 180 104 173 90 126 227 66 80 198 218 138 92 242 23 97 41 220 210 233 199 64 0 59 177 192 174 101 242 120 115 235 199 211 146 216 221 219 108 43 51 248 97 204 230 39 127 28 100 21 86 240 54 234 106 58 143 243 40 147 201 61 213 224 6 41 218 27 154 89 151 182 82 157 56 99 66 56 77 119 56 176 25 158 25 232 220 240 253 112 52 184 204 108 117 65 23 106 44 173 67 167 123 32 96 161 173 225 214 76 41 86 217 24 93 22 88 205 60 139 104 56 135 71 13 12 25 96 219 9 213 85 254 88 243 44 136 243 120 119 187 63 167 43 220 233 130 151 22 13 72 223 47 112 211 214 166 102 128 174 72 67 59 163 251 217 161 173 82 47 215 237 80 236 145 164 81 246 107 33 150 162 72 150 64 0 80 40 133 89 206 132 165 112 119 22 192 160 0 119 231 246 255 103 239 76 0 237 170 170 187 127 222 189 247 189 151 121 32 33 204 240 194 20 102 148 193 34 88 68 164 206 213 242 57 214 169 206 180 182 5 138 10 42 109 133 90 91 113 0 107 43 173 67 177 90 21 11 253 28 17 171 69 148 143 201 40 200 16 166 0 97 78 194 144 129 12 100 120 211 253 254 191 181 247 58 119 223 243 206 125 67 8 73 94 114 119 114 238 222 123 237 181 215 30 206 217 255 183 246 12 127 234 207 227 53 68 153 232 86 63 69 254 220 31 229 162 42 53 201 199 159 202 118 15 182 202 101 188 197 112 252 49 158 156 38 32 247 71 112 179 224 48 65 96 123 107 53 110 121 218 139 231 169 27 90 179 205 240 5 92 67 136 78 132 178 25 209 223 105 121 206 90 54 195 207 156 57 179 240 215 69 227 9 93 93 233 43 33 147 169 73 253 41 95 202 211 118 143 131 26 24 175 192 150 126 128 99 169 230 86 241 82 58 238 226 163 187 57 215 211 72 58 127 253 235 95 223 171 53 81 75 180 80 151 116 243 134 67 43 64 107 227 200 237 223 215 253 153 123 205 153 150 13 202 157 158 98 65 4 51 150 90 154 164 168 52 236 60 217 232 183 198 158 210 147 56 69 114 234 183 68 210 159 52 240 217 184 19 153 77 98 228 241 188 58 64 17 110 6 7 213 4 79 176 26 14 104 16 221 68 30 49 178 102 141 77 84 104 107 253 186 179 225 157 47 58 192 238 74 93 173 125 162 108 128 71 193 79 148 124 132 84 245 142 16 116 45 63 58 186 136 83 61 82 225 218 203 106 235 216 8 78 65 171 137 135 192 196 56 223 112 60 9 123 219 185 173 212 192 120 5 182 145 234 111 184 15 113 184 176 84 110 202 87 231 14 4 5 118 125 225 11 95 88 170 147 35 110 143 221 30 227 241 238 40 139 114 57 35 108 15 141 177 189 249 216 158 164 59 10 91 42 206 189 5 186 131 195 16 94 241 53 133 121 188 209 218 74 15 227 50 54 197 14 2 16 210 226 73 201 145 199 210 177 136 49 48 1 56 35 195 39 3 95 110 228 214 127 174 9 28 212 166 218 222 213 235 179 87 232 196 223 191 63 245 40 27 195 100 50 193 209 134 40 17 220 6 187 187 187 51 141 175 61 172 201 29 128 141 173 111 249 31 29 0 205 65 77 99 108 121 74 5 71 154 137 52 200 254 102 165 132 182 123 219 175 129 237 21 216 70 91 243 254 49 99 251 67 92 167 231 110 157 160 91 215 97 147 244 117 214 105 155 206 47 89 164 171 238 232 144 250 67 195 96 12 232 13 199 244 100 243 116 169 75 191 238 65 104 156 78 155 138 141 169 24 169 72 151 159 157 242 77 89 34 43 50 155 2 74 30 39 72 216 180 95 151 81 102 155 68 202 224 79 226 204 249 61 217 200 131 101 38 56 88 224 161 191 11 118 38 28 221 204 190 117 27 179 186 234 241 45 39 205 179 59 26 56 188 146 59 15 10 51 161 65 66 28 95 211 235 248 191 58 209 99 177 110 21 155 164 137 130 193 194 54 42 227 141 179 162 33 233 240 155 226 100 74 111 187 199 113 13 108 83 235 216 244 125 234 240 11 62 235 205 102 104 53 69 121 78 115 219 19 43 243 59 13 219 77 167 110 137 191 122 151 93 118 89 45 173 109 154 180 4 41 17 117 181 183 144 12 80 71 3 228 46 128 115 95 115 100 246 238 75 174 181 131 24 57 179 140 89 211 208 248 11 89 178 84 60 137 70 24 141 157 238 152 159 215 230 105 120 70 54 143 237 233 22 165 53 242 81 12 25 214 223 244 250 10 50 60 204 200 164 27 254 46 208 237 180 101 105 154 73 30 80 221 233 184 220 236 176 185 179 179 63 63 249 96 253 129 152 107 99 151 156 214 235 167 4 167 233 171 78 250 165 173 213 116 35 213 19 122 15 255 166 48 27 104 19 200 229 137 211 37 245 229 30 81 115 243 66 195 227 238 84 108 153 123 44 188 101 241 219 180 45 88 3 219 196 9 186 105 121 245 161 230 31 100 74 111 225 30 142 215 195 220 78 69 64 75 31 194 82 127 234 118 173 12 187 67 203 62 42 154 60 88 119 211 77 55 253 135 192 237 13 26 203 209 113 100 117 251 3 33 219 186 70 216 76 36 76 215 1 142 63 188 245 209 236 236 203 127 107 251 71 107 242 35 216 198 223 73 49 26 192 139 82 123 201 129 51 20 29 91 195 229 131 245 206 76 51 68 72 248 113 234 40 108 69 28 210 132 135 16 74 228 88 98 205 116 207 104 74 117 81 105 222 112 231 107 102 229 206 195 98 94 76 155 19 81 19 45 186 56 52 219 109 250 228 236 232 158 217 217 171 116 77 224 41 7 239 158 237 172 211 81 86 235 90 67 12 154 90 201 167 97 169 178 229 77 127 96 62 160 205 238 95 213 113 224 211 53 84 144 159 2 42 205 218 120 28 220 10 75 62 8 243 199 210 137 126 119 99 91 252 132 80 244 39 65 109 231 182 82 3 219 148 198 182 153 43 133 15 208 154 210 8 114 157 207 109 103 247 15 216 233 230 215 140 27 192 54 168 101 3 95 211 197 33 167 74 3 168 209 237 17 152 229 90 27 2 104 171 171 181 111 244 143 116 241 8 187 17 184 196 228 129 199 86 4 217 234 86 229 72 134 84 212 21 30 198 186 201 177 61 250 225 226 22 61 221 210 96 104 216 28 221 109 27 192 61 71 133 226 121 97 45 163 33 165 248 27 41 67 3 154 184 70 237 241 132 148 62 206 168 87 54 71 55 30 253 4 6 43 47 56 198 21 124 28 151 62 69 117 194 5 53 44 143 153 59 123 90 118 208 238 51 178 131 116 41 204 94 179 38 219 5 49 235 212 13 229 22 123 110 183 162 236 24 254 96 20 192 173 95 91 167 58 5 102 223 81 23 244 107 58 129 69 171 163 179 65 180 53 0 205 65 205 34 15 255 227 185 132 43 117 151 197 26 41 188 44 78 155 182 133 107 96 123 214 216 168 74 62 66 158 50 227 154 88 202 131 219 52 179 24 193 195 156 134 93 153 51 103 78 69 107 164 214 206 159 63 255 11 186 84 249 125 106 88 125 106 116 157 52 60 12 182 63 174 185 61 181 102 99 246 163 219 30 201 174 214 253 2 247 233 0 74 64 15 118 38 28 184 67 116 246 228 9 186 233 169 59 219 101 218 196 108 15 109 27 218 117 250 36 187 215 128 27 158 0 70 122 86 92 95 231 87 241 229 234 157 165 56 210 143 35 90 171 170 24 41 126 49 28 121 65 150 253 198 159 96 5 176 179 24 104 89 30 53 130 19 119 23 0 212 93 186 123 154 13 237 225 226 23 85 171 24 233 194 243 80 47 148 215 1 13 48 243 7 113 17 220 184 55 180 75 26 243 2 13 9 188 76 127 112 244 26 86 78 208 31 25 238 161 176 205 239 69 112 115 173 173 167 167 199 199 4 60 119 94 65 110 67 119 183 219 206 235 118 43 186 135 183 237 173 88 3 227 29 216 168 186 188 237 180 168 71 194 203 120 156 238 182 71 119 16 115 58 182 1 90 148 211 33 96 171 10 216 54 190 253 237 111 159 125 206 57 231 92 169 67 63 14 144 22 71 247 167 214 10 220 186 165 165 113 94 219 90 45 52 125 98 245 6 187 153 157 5 189 83 212 184 217 34 68 35 159 166 35 197 209 104 24 29 2 0 104 57 214 29 141 77 168 209 146 200 210 230 54 2 227 130 200 144 202 40 210 18 139 65 88 209 70 158 211 112 202 77 26 1 255 181 5 77 238 188 124 10 164 204 0 125 10 98 98 201 253 17 208 84 197 245 126 129 90 167 38 116 216 226 118 170 254 184 220 162 49 182 105 234 130 218 85 240 48 16 15 147 130 91 1 216 8 206 249 18 119 74 35 139 173 76 202 215 138 167 77 223 74 53 176 205 1 27 245 192 95 220 49 212 199 72 188 132 151 241 56 221 195 82 219 129 204 178 163 159 162 191 227 224 131 15 238 188 251 238 187 87 94 122 233 165 47 211 93 163 223 215 12 92 5 109 65 109 170 234 237 10 219 221 156 162 75 115 163 59 217 165 39 52 224 208 200 209 234 184 215 0 30 122 164 1 98 60 59 1 16 210 34 140 173 122 70 91 147 228 181 153 55 188 133 70 62 154 67 155 125 158 167 162 13 87 131 102 62 249 161 9 192 19 173 12 237 204 248 226 171 199 237 241 92 134 252 117 186 153 90 120 155 105 230 243 62 109 111 123 187 198 58 111 62 254 248 227 103 104 88 192 198 213 84 223 214 5 197 38 30 198 193 13 96 83 151 21 186 135 165 110 88 83 58 254 225 128 45 229 199 221 54 219 80 13 236 200 192 198 107 0 176 48 180 94 111 193 216 208 157 150 218 206 111 225 2 183 154 192 109 249 53 215 92 243 49 173 143 58 79 203 64 104 24 140 183 53 129 155 104 57 192 5 13 165 25 68 172 161 147 92 248 223 212 160 137 155 54 240 50 63 180 173 105 168 32 101 210 178 224 121 117 59 4 53 135 57 13 30 231 115 119 209 111 66 245 35 186 205 152 203 102 178 230 63 181 19 228 147 11 23 46 92 182 239 190 251 78 210 132 206 70 105 112 14 74 22 5 96 3 208 48 16 54 17 220 136 219 36 215 132 55 255 140 20 222 204 221 246 109 145 26 240 134 186 69 18 123 142 18 25 233 195 26 46 188 24 22 90 96 227 99 46 250 157 31 187 254 232 163 143 114 36 206 244 23 191 248 197 95 148 251 171 59 237 180 19 219 122 88 110 208 95 108 160 248 121 208 76 232 114 133 137 128 96 227 119 237 197 227 121 93 141 228 119 190 173 106 171 76 163 49 13 29 106 52 220 67 120 56 1 23 128 122 74 154 215 143 30 120 224 1 118 127 200 59 88 103 185 135 186 165 170 218 96 136 137 11 237 14 131 31 55 143 52 54 188 24 207 52 182 187 83 58 110 76 26 22 40 237 223 109 190 6 182 7 141 141 74 30 233 227 43 126 188 233 139 41 106 103 30 6 221 195 160 185 140 38 59 142 183 49 182 51 120 221 117 215 157 35 112 251 40 183 88 169 161 209 53 50 25 81 105 64 134 153 162 63 165 199 118 232 164 220 110 69 207 25 182 130 163 152 39 247 187 77 150 134 115 19 230 225 238 46 250 211 98 41 172 206 162 91 120 4 104 191 80 215 255 115 218 236 254 43 45 243 232 212 236 232 68 117 77 251 165 189 89 247 209 53 53 108 192 207 253 154 100 32 220 254 48 69 217 77 127 172 18 90 74 135 236 254 200 210 100 13 23 214 196 216 246 108 153 26 216 38 129 141 162 219 215 59 182 58 24 9 220 0 153 50 227 224 229 241 221 78 233 78 195 30 242 68 112 163 193 172 185 252 242 203 95 117 208 65 7 125 70 0 183 31 155 229 105 108 106 84 148 135 171 250 90 229 161 44 95 165 52 107 65 250 105 106 73 202 81 200 84 112 224 46 51 228 99 24 3 16 23 25 16 213 180 36 8 80 41 154 148 214 202 77 28 15 75 237 162 3 58 226 60 0 0 32 0 73 68 65 84 219 253 206 95 226 183 113 54 191 2 81 101 250 170 206 96 251 140 234 249 49 105 110 51 164 197 13 40 204 14 151 84 152 149 7 219 193 77 192 6 45 125 72 202 203 141 157 142 171 57 95 202 131 187 104 60 126 145 222 246 111 165 26 216 145 128 141 22 89 108 149 238 247 176 212 230 149 184 63 5 36 167 53 217 106 76 85 13 96 119 232 80 202 167 53 91 186 207 233 167 159 254 183 210 30 222 192 146 4 117 157 216 199 8 200 161 105 228 227 109 35 189 115 18 104 180 52 124 154 45 149 197 195 204 41 15 6 139 214 56 160 197 176 44 220 39 14 52 15 151 179 165 161 237 3 30 202 171 221 23 16 177 192 104 228 85 154 167 229 55 5 152 84 88 43 58 57 176 181 185 150 153 152 81 69 148 142 38 217 56 130 182 102 33 250 241 201 3 11 34 1 15 55 102 8 193 144 158 30 198 219 6 164 189 213 52 35 205 134 247 133 202 247 89 234 102 254 236 145 71 30 153 166 229 31 53 22 233 78 155 54 77 228 6 154 235 61 12 206 158 61 219 129 139 156 249 131 112 119 187 237 180 50 27 90 209 16 175 109 182 145 26 216 102 129 141 250 209 199 107 223 253 24 234 106 36 254 34 64 185 104 111 79 169 157 134 185 246 86 70 75 227 116 204 155 55 175 166 65 237 117 98 28 248 242 151 191 124 140 174 236 251 67 129 222 113 106 108 7 168 56 211 68 239 74 218 90 14 26 41 141 68 104 142 204 148 2 78 221 74 189 75 215 45 144 208 134 65 157 32 34 125 100 93 127 176 161 17 210 173 145 189 105 157 245 108 138 244 43 173 24 201 54 136 135 135 248 240 180 48 54 32 47 0 235 23 16 92 43 123 189 242 232 187 40 250 53 38 85 147 22 116 146 236 46 133 209 112 155 68 21 95 15 12 131 66 51 210 36 15 118 163 148 60 216 22 209 236 6 176 145 111 164 234 106 28 91 155 140 29 74 201 114 23 198 34 137 101 49 45 251 158 158 219 202 23 32 53 168 250 173 105 50 129 25 233 127 212 31 143 207 107 39 2 67 3 147 245 199 164 47 5 55 133 215 165 73 19 135 172 98 176 91 61 198 16 195 113 167 113 60 172 104 59 79 145 222 246 111 225 26 216 209 128 205 91 74 163 181 52 42 220 195 138 32 6 7 97 41 221 121 221 134 199 195 59 164 21 112 132 206 160 78 4 121 70 116 62 246 201 31 249 200 71 118 127 203 91 222 242 13 105 112 71 168 235 100 183 200 19 201 1 13 219 31 54 32 208 166 167 212 194 236 233 226 245 186 214 111 85 37 187 227 233 74 246 208 51 29 217 82 249 159 238 11 218 153 67 63 64 50 187 59 203 246 215 16 211 49 179 6 179 23 74 49 217 117 98 61 91 11 159 228 1 46 69 19 211 102 240 189 67 231 204 125 254 37 47 121 201 39 53 187 59 85 11 93 235 203 151 47 95 173 19 131 255 70 219 198 62 34 176 240 6 91 34 133 2 6 64 2 92 39 197 142 235 250 129 142 108 141 192 119 101 111 71 198 10 191 13 242 59 32 97 243 76 16 255 212 206 142 108 39 157 0 53 93 167 173 79 84 92 242 217 43 240 222 168 94 59 64 71 165 26 190 201 78 227 83 22 1 27 22 166 31 237 77 26 51 26 230 149 42 215 25 210 222 30 125 226 137 39 166 171 107 202 226 233 220 8 216 40 75 171 7 89 105 24 126 140 211 220 109 196 146 31 248 218 102 27 168 129 237 13 216 168 210 210 198 23 235 154 48 127 34 41 183 60 94 14 80 121 72 67 166 181 179 2 221 91 23 241 61 110 38 45 162 67 141 168 170 53 87 149 219 111 191 253 201 43 174 184 226 180 158 158 158 47 106 192 155 6 74 3 240 244 18 112 67 227 81 99 215 65 176 104 62 191 93 94 201 126 178 164 154 221 184 172 146 61 182 78 90 141 26 60 177 170 210 222 72 200 53 33 192 13 53 4 64 100 159 125 167 2 15 156 90 207 222 184 207 64 246 127 246 26 148 191 158 173 23 200 16 175 209 49 83 132 96 56 5 131 179 203 56 93 246 77 31 254 240 135 111 120 236 177 199 122 175 188 242 202 55 31 112 192 1 255 44 77 206 238 228 84 158 237 91 113 112 201 35 43 67 221 202 200 100 129 210 138 222 44 187 101 69 37 155 175 124 223 187 186 146 45 17 0 175 82 186 207 12 84 50 237 97 15 192 4 168 41 50 121 158 160 120 83 4 108 128 218 238 58 77 253 128 105 245 236 224 105 131 217 17 51 235 89 207 148 0 116 0 34 154 39 38 104 112 81 142 252 9 176 17 204 31 139 186 254 112 84 213 53 189 87 101 250 19 129 242 77 2 183 157 28 220 164 117 14 150 0 27 113 121 31 254 148 249 83 154 187 177 203 12 114 218 102 43 215 192 54 13 108 212 13 13 106 140 117 52 28 191 181 169 40 175 140 207 65 202 237 148 199 227 18 230 116 167 97 167 113 44 92 43 226 107 90 6 178 250 226 139 47 62 238 132 19 78 184 66 154 81 183 186 71 108 249 97 73 72 110 40 33 128 228 90 218 109 43 43 217 151 239 171 102 191 124 162 146 109 148 198 5 55 218 13 90 25 60 222 114 72 196 30 126 112 71 208 0 188 214 9 12 250 36 243 148 93 7 179 115 15 211 25 113 147 164 189 73 115 2 12 221 72 141 177 56 178 25 143 170 73 75 187 246 168 163 142 122 221 215 190 246 181 163 126 239 247 126 239 251 202 238 212 210 252 34 64 105 57 8 175 81 30 127 240 104 53 251 239 71 170 217 61 171 164 109 9 140 200 88 69 137 1 178 28 227 77 186 150 191 152 62 238 208 21 69 163 12 187 16 240 211 229 222 69 215 184 30 46 112 59 121 151 193 236 196 57 131 217 94 147 116 46 27 93 112 61 138 102 242 130 172 40 44 22 72 52 38 9 250 53 238 214 169 174 233 147 250 35 242 70 237 16 185 81 218 219 76 192 77 160 7 254 243 96 28 200 188 58 161 187 187 24 230 252 101 54 180 212 184 140 148 214 118 111 225 26 216 30 129 141 42 108 254 226 27 149 10 221 195 220 110 132 134 48 167 167 64 229 60 78 195 118 55 252 184 61 158 217 210 216 184 174 175 95 179 112 157 210 126 126 40 77 225 5 44 1 81 227 179 206 90 218 48 233 114 1 0 157 82 228 190 249 96 53 187 232 238 154 182 94 105 211 187 186 162 93 162 35 48 116 247 0 34 249 245 3 45 127 112 36 6 47 64 66 11 91 177 49 83 215 180 158 125 225 152 126 235 154 210 69 116 112 3 216 162 177 101 20 12 174 107 125 216 187 247 216 99 143 183 75 219 249 3 117 73 243 252 58 35 105 91 171 215 207 116 105 150 243 151 117 100 159 189 171 150 205 127 74 200 171 52 115 0 182 68 66 198 200 59 46 123 226 15 20 100 1 212 94 30 210 64 182 206 200 53 32 99 66 97 238 148 122 246 234 221 7 178 215 239 221 159 237 47 45 244 25 105 128 125 234 166 2 242 196 107 97 250 84 255 6 110 226 121 189 150 131 204 151 230 54 83 101 82 109 132 236 199 120 86 148 132 230 126 130 221 141 237 198 105 248 83 186 135 15 71 79 121 218 238 231 184 6 182 121 96 163 252 250 56 91 126 193 195 212 79 49 142 251 221 54 209 133 248 132 121 248 72 110 192 140 199 249 17 149 199 233 233 233 169 105 141 213 138 171 174 186 234 47 181 58 254 115 2 57 22 83 81 223 198 79 145 40 21 93 78 64 141 70 124 254 130 90 118 233 34 1 68 212 208 26 45 39 0 64 154 0 113 203 252 129 218 200 8 0 240 148 64 242 100 105 110 95 60 166 207 210 98 204 141 232 9 176 121 52 186 157 75 212 141 219 141 58 87 56 89 200 243 11 19 4 168 211 187 234 217 255 149 134 246 55 183 117 101 107 52 142 54 89 126 202 20 0 152 88 13 48 243 26 162 178 50 109 165 130 15 19 102 66 205 25 252 208 132 116 29 122 196 165 89 85 105 105 140 207 73 83 3 224 222 218 211 159 189 173 103 32 155 169 177 68 180 196 98 252 134 36 115 245 161 185 105 201 205 99 42 198 107 52 78 184 112 214 172 89 83 68 99 98 193 138 17 249 113 183 210 226 156 15 27 211 202 14 161 141 95 231 107 80 218 174 45 90 3 246 173 109 209 20 183 92 98 173 62 174 148 158 186 61 103 78 195 246 15 222 195 138 54 60 206 79 152 249 165 25 84 4 106 27 213 157 155 163 137 132 119 69 0 97 12 136 213 239 249 216 16 24 135 198 162 163 200 178 191 187 163 51 187 244 62 157 226 161 49 167 78 105 59 125 10 99 249 6 64 97 130 229 14 24 19 26 188 161 34 0 193 0 186 192 162 174 199 220 248 245 104 177 151 6 157 164 249 8 34 102 105 112 254 234 39 170 217 183 30 170 217 224 190 203 52 193 133 31 117 63 119 39 159 144 177 101 44 191 216 60 196 157 209 221 145 93 246 72 45 251 240 45 93 217 90 105 128 58 83 83 121 173 168 75 25 6 252 45 159 105 173 40 14 113 13 212 98 121 204 159 164 77 130 0 25 218 43 93 92 22 213 97 51 161 48 75 160 249 184 198 235 62 125 103 103 246 158 249 19 178 27 150 85 77 91 68 36 60 45 12 155 228 1 183 61 149 214 215 180 156 101 166 186 213 27 69 67 99 38 57 30 55 238 46 210 61 220 109 231 115 127 219 222 70 107 96 92 0 91 212 28 54 165 10 253 179 47 126 144 78 71 166 187 83 30 167 121 56 126 30 255 240 177 157 6 248 249 248 140 201 96 61 155 104 235 206 61 247 220 227 53 182 115 88 188 100 68 240 213 48 52 108 34 209 157 251 198 3 157 217 119 4 106 29 2 8 26 63 99 78 14 92 6 66 226 165 209 59 141 184 57 93 89 178 48 236 4 252 44 171 196 17 93 7 106 11 32 58 178 75 31 174 101 15 172 173 218 64 191 205 56 10 252 28 104 221 166 174 145 239 126 108 252 60 3 146 53 83 160 246 179 165 213 236 99 183 118 153 182 57 73 165 234 5 128 45 173 80 190 144 141 144 71 207 155 208 86 60 60 33 79 112 90 5 242 131 129 174 39 84 42 60 24 46 80 22 200 73 32 93 220 105 2 253 155 86 84 179 247 207 239 206 254 77 245 5 141 174 122 243 149 45 33 38 191 202 51 224 198 153 109 199 104 188 237 31 245 71 198 102 72 117 18 8 239 194 19 241 12 185 223 162 242 35 83 22 230 116 99 104 241 147 202 106 193 210 38 63 151 53 48 46 128 237 185 172 128 40 59 180 167 230 132 188 201 149 133 57 167 243 52 249 227 85 125 21 105 110 47 211 88 15 93 62 198 170 242 143 29 23 192 50 85 179 129 183 104 162 224 115 26 83 203 170 204 116 162 173 192 38 0 208 67 187 2 192 12 196 228 3 184 204 31 144 67 132 32 50 205 68 234 246 76 1 14 128 192 163 207 84 178 43 52 203 202 178 12 178 83 246 144 104 146 85 19 65 42 128 199 84 101 243 110 77 14 124 236 214 78 27 3 155 40 160 97 60 204 248 197 68 118 66 190 201 63 177 148 95 105 113 208 242 50 136 74 30 125 120 207 220 240 81 41 241 241 240 16 38 102 25 202 64 157 77 215 184 35 51 172 127 183 160 203 192 181 87 127 29 38 170 60 228 143 20 75 12 179 164 117 173 109 251 147 199 31 127 252 189 154 36 225 66 229 170 14 44 8 25 12 17 202 220 46 206 109 23 157 250 83 183 135 183 237 109 160 6 198 13 176 61 11 173 173 85 53 211 110 70 50 240 240 241 250 7 236 113 220 78 233 208 234 234 250 116 104 160 122 227 209 71 31 61 67 141 233 88 150 119 120 124 7 18 26 121 24 91 239 200 190 124 127 103 182 222 38 10 212 56 73 70 141 155 70 110 0 22 187 151 166 233 88 247 146 112 189 50 211 124 4 22 17 8 144 107 93 81 194 12 16 3 143 243 186 141 246 245 255 158 172 105 9 70 53 155 96 163 239 67 53 182 84 83 115 55 178 57 106 169 87 32 245 15 119 117 101 79 174 175 234 208 203 138 13 226 27 24 121 21 89 190 34 112 137 230 249 179 138 161 114 162 35 247 91 121 85 14 229 203 187 160 132 97 140 7 32 151 67 139 84 172 94 160 179 162 174 83 253 119 22 35 127 243 129 90 118 214 239 186 52 161 16 192 205 199 14 225 115 163 186 225 29 13 242 30 244 13 253 131 222 205 11 212 45 93 173 181 132 250 179 226 25 119 110 243 227 241 247 234 1 248 203 104 30 222 182 183 177 26 24 55 192 182 137 245 230 31 35 237 164 204 20 233 248 139 180 98 60 231 113 62 255 232 45 45 205 192 193 191 225 180 211 78 155 171 65 248 253 89 7 38 128 240 124 152 44 180 15 22 178 178 230 235 103 75 244 10 164 113 208 176 27 6 55 141 221 181 157 96 3 80 26 168 203 65 172 206 58 16 127 12 248 36 203 109 64 46 121 208 154 186 213 29 189 255 153 170 186 163 21 211 224 0 37 7 219 225 108 0 138 46 243 119 212 149 189 122 169 78 241 213 157 195 253 26 208 55 45 204 242 19 65 44 22 160 81 65 240 4 3 64 89 159 29 126 149 21 153 148 197 202 19 153 44 158 126 130 55 196 53 154 213 67 0 56 229 216 180 55 228 237 164 177 183 31 63 86 203 254 234 230 46 91 222 130 86 10 184 149 152 42 91 172 244 71 103 154 150 131 92 168 238 233 20 237 4 217 184 120 241 98 31 111 35 10 149 238 79 234 119 55 182 155 226 203 114 122 106 167 60 41 189 237 222 2 53 48 174 128 237 89 106 109 229 159 124 121 37 59 111 250 113 58 13 187 204 109 146 52 166 70 157 246 233 170 190 35 52 214 54 73 179 140 106 195 102 12 68 96 98 54 15 141 237 127 212 45 28 208 2 132 154 186 161 128 157 137 53 181 70 174 152 178 145 229 110 149 104 74 143 18 114 94 15 195 6 84 72 115 149 102 19 239 19 176 113 227 211 104 12 93 60 182 105 45 212 130 219 139 239 147 35 198 67 30 38 104 84 13 176 114 45 13 136 104 164 47 143 202 12 110 56 168 5 13 51 1 47 152 101 44 28 77 13 15 113 244 152 28 253 132 174 120 96 228 151 58 99 98 225 74 225 211 185 26 243 35 175 204 48 67 39 181 130 225 104 163 1 117 69 143 215 12 245 25 90 126 243 140 220 29 37 93 82 143 86 20 17 10 224 161 193 46 242 52 135 182 125 91 173 6 198 21 176 141 177 150 202 62 58 218 67 209 148 209 156 167 40 3 94 231 119 119 106 119 132 93 84 89 85 221 157 163 57 63 76 198 150 121 184 64 26 46 141 143 45 81 55 106 118 79 203 233 37 48 190 134 216 144 189 85 2 18 214 208 33 68 183 217 242 66 119 154 131 65 104 206 100 185 17 207 227 99 3 168 108 146 95 188 78 233 201 109 75 43 100 15 167 173 177 218 191 75 136 248 239 234 246 61 161 49 58 157 96 222 220 101 182 124 81 58 165 105 128 20 210 14 121 81 62 21 46 229 206 52 82 3 61 113 134 60 201 142 53 137 63 116 69 137 27 227 64 147 135 48 76 26 135 174 105 248 23 198 214 102 117 215 181 56 184 150 125 254 238 78 27 111 83 146 150 46 229 42 152 14 38 114 244 7 242 44 157 192 123 172 52 184 53 210 170 121 73 48 58 243 112 238 84 156 243 67 75 221 41 79 219 189 149 106 96 220 1 219 179 212 218 168 230 216 156 134 173 113 255 80 83 94 167 181 140 200 248 218 162 69 139 122 5 106 51 180 108 226 72 182 41 41 191 77 252 248 216 212 254 208 218 142 108 209 90 121 228 54 237 7 233 246 196 100 60 53 3 142 8 84 230 14 226 144 227 146 205 45 126 183 243 102 106 242 72 67 14 30 26 186 158 229 189 21 105 55 1 232 240 183 2 54 192 6 109 237 38 117 153 47 123 84 14 117 101 13 104 162 28 151 71 151 215 64 24 186 226 24 8 201 237 64 70 142 13 136 148 193 28 168 148 62 19 37 60 94 69 38 131 248 177 96 38 135 112 43 16 82 98 25 243 112 164 6 218 116 141 185 125 69 26 229 229 90 91 71 183 57 104 192 22 37 253 169 104 61 27 187 44 38 203 254 168 2 42 154 88 24 212 22 178 170 22 35 147 121 140 219 69 183 251 211 112 104 195 153 177 240 14 39 167 29 54 198 26 24 119 192 70 249 158 35 112 243 54 178 201 31 163 198 215 136 219 123 246 217 103 207 145 38 208 163 198 99 175 3 112 243 71 234 155 186 129 117 129 154 246 64 106 111 101 135 14 168 200 193 207 90 180 178 225 57 136 224 144 131 134 252 172 77 99 176 29 160 50 122 238 118 112 193 14 79 99 140 45 128 131 1 141 194 116 163 95 158 132 101 176 197 15 177 200 239 55 180 27 98 221 70 141 203 153 182 230 204 100 210 31 167 69 224 145 151 162 216 131 219 130 67 126 1 113 3 51 167 73 6 192 5 136 250 11 8 218 155 202 96 160 22 64 42 104 111 22 201 248 204 79 26 250 71 23 148 110 54 207 5 119 118 217 97 1 204 56 67 47 49 85 117 73 33 191 78 219 173 94 161 237 86 171 181 213 74 202 108 68 229 16 33 45 88 234 46 17 103 149 80 70 111 211 182 98 13 140 75 96 27 69 125 241 49 142 100 202 62 123 226 149 209 161 57 221 63 116 183 243 116 52 48 13 173 79 71 23 205 209 132 193 78 81 99 131 102 224 229 224 134 253 24 231 126 136 157 127 38 217 165 59 34 132 72 68 12 193 10 39 40 39 203 129 215 216 99 219 178 101 21 240 121 152 219 9 77 36 237 189 172 91 119 24 224 176 204 65 76 12 77 220 199 214 238 88 85 205 174 92 34 68 19 24 218 38 124 211 176 4 66 200 180 7 119 120 26 64 7 72 197 199 192 201 65 87 130 13 172 201 35 96 150 228 53 151 75 142 136 27 195 112 36 238 232 109 162 193 201 164 193 36 105 148 139 215 87 178 207 104 230 150 189 165 242 154 28 99 110 252 176 163 130 147 118 57 27 239 207 165 169 77 214 123 226 136 166 202 40 180 182 144 185 68 86 195 89 90 149 73 112 219 185 37 107 96 220 2 155 62 206 244 27 223 212 58 107 37 163 72 231 131 198 164 116 167 229 31 187 218 6 225 131 210 0 118 150 198 86 85 195 33 78 211 182 53 42 156 91 169 150 105 137 7 226 66 19 134 77 70 141 187 212 88 170 41 80 200 109 188 17 0 12 60 60 110 8 203 129 197 0 132 70 206 41 25 21 219 142 116 188 14 145 213 25 35 214 5 13 219 146 130 219 187 164 0 11 110 198 215 190 253 112 103 182 118 67 85 11 97 67 183 49 128 78 204 75 154 123 0 203 252 177 58 228 55 16 99 150 86 110 211 200 84 14 138 210 244 200 147 107 107 184 85 150 134 54 70 24 52 197 225 137 110 243 199 138 130 198 163 164 5 110 117 117 67 235 217 85 143 87 179 203 52 131 203 146 144 225 180 54 189 175 151 74 171 62 89 11 120 215 170 188 214 22 52 246 214 168 200 152 70 144 222 240 148 248 155 2 219 158 173 95 3 227 22 216 168 186 22 224 230 31 230 104 107 215 218 133 152 203 226 121 88 81 86 25 111 78 211 164 193 212 120 241 136 197 107 0 134 181 117 53 196 112 86 89 158 100 30 19 118 247 40 105 119 2 26 14 28 14 24 145 150 106 64 161 171 169 72 10 227 31 2 0 46 214 125 113 50 70 175 54 144 191 111 255 254 236 240 25 97 51 185 230 45 2 47 252 122 212 208 141 31 160 225 156 180 187 180 64 255 135 143 169 79 39 109 45 44 51 9 249 64 126 250 132 188 5 128 161 194 194 3 208 89 2 177 76 1 248 194 152 26 110 231 179 247 24 129 43 210 21 24 180 65 49 53 241 37 126 120 240 42 47 6 168 209 79 214 84 220 236 107 139 106 217 35 154 36 97 103 4 64 88 48 84 78 63 139 167 165 173 253 137 220 92 118 205 13 242 222 37 117 118 248 220 164 110 167 185 61 92 152 243 180 237 45 88 3 227 26 216 182 80 61 209 44 252 225 3 246 143 216 155 75 78 139 93 81 142 216 158 2 72 196 120 0 176 61 16 48 52 180 117 249 186 93 69 143 218 87 16 29 253 208 60 5 34 201 141 183 209 237 139 154 140 104 52 100 123 34 144 1 82 52 118 182 34 113 216 227 170 13 154 205 20 195 71 15 239 207 78 159 55 96 155 202 153 17 5 244 12 204 0 52 61 196 3 40 2 24 102 218 15 218 153 173 210 30 77 246 174 2 72 228 207 211 47 179 67 254 195 248 94 208 222 200 111 227 145 0 51 148 35 213 194 172 92 70 163 158 20 134 59 242 164 124 208 8 183 124 196 50 154 23 122 12 67 67 155 164 221 9 44 79 249 214 131 53 59 6 137 24 69 163 119 82 209 14 17 200 127 160 177 182 231 105 66 97 173 234 64 48 168 19 81 130 214 70 129 221 20 221 69 191 243 149 217 41 111 89 120 155 246 28 212 128 6 79 198 183 65 107 83 131 220 28 31 15 109 99 52 114 188 45 57 111 209 95 97 179 53 221 80 178 38 153 30 110 21 77 195 4 118 38 208 107 173 211 84 163 129 203 185 155 138 35 98 30 38 183 53 104 241 74 116 69 199 28 1 159 140 39 105 2 54 166 4 143 220 10 152 170 6 126 160 14 111 60 97 231 129 236 212 189 6 178 163 117 42 54 199 22 1 22 0 97 209 40 191 22 198 226 225 133 107 42 217 127 61 172 118 174 255 36 31 0 165 24 35 245 83 170 104 220 81 76 35 161 19 100 94 253 208 229 117 214 0 201 20 129 238 107 72 151 90 164 186 56 245 3 26 188 206 239 117 131 223 52 86 241 33 183 187 58 40 96 174 234 160 205 138 157 12 194 31 146 66 153 185 224 122 80 51 217 147 116 2 200 169 138 50 159 203 119 180 91 196 79 53 17 201 146 65 28 198 146 8 206 82 127 25 79 194 222 118 110 201 26 24 247 192 70 101 61 75 112 203 219 8 162 98 229 59 205 109 200 169 27 63 188 41 205 178 1 77 227 54 107 152 17 53 205 41 34 2 160 129 193 34 18 160 99 30 111 169 22 168 31 2 141 213 29 49 66 76 202 130 32 41 24 173 104 131 142 12 154 168 117 92 7 207 28 204 246 208 81 224 51 181 212 97 23 157 230 177 207 228 65 107 208 251 79 29 204 118 150 31 77 102 141 38 105 137 135 228 162 201 243 167 128 110 161 8 235 194 150 107 221 90 167 198 172 88 251 214 210 52 129 112 129 75 105 90 126 35 25 183 177 71 34 179 152 104 149 125 118 74 90 204 152 103 78 118 151 190 78 214 208 1 196 86 77 178 243 228 162 219 68 241 19 193 17 39 101 101 255 232 195 58 70 253 251 58 0 243 163 135 246 101 207 148 150 58 171 199 9 158 87 45 91 182 236 162 206 206 78 180 54 186 165 136 225 193 144 163 50 183 5 182 127 182 205 26 216 46 128 141 170 229 99 20 144 108 174 174 53 31 178 55 177 209 188 185 38 126 237 67 92 69 131 161 123 39 219 178 230 66 96 68 211 154 162 129 237 96 100 211 106 77 157 144 27 114 222 250 147 54 229 136 168 112 0 211 6 197 21 239 77 251 246 103 239 222 175 223 142 2 159 162 225 48 78 160 197 16 19 30 142 214 94 165 101 37 80 1 146 225 12 252 140 73 221 175 157 9 223 209 17 71 168 73 128 202 16 147 163 203 144 144 17 9 94 12 202 216 43 80 174 10 56 143 158 83 207 14 157 62 32 0 150 6 170 60 62 174 153 205 123 214 116 100 156 36 188 86 160 55 81 96 205 139 53 184 241 20 196 103 154 39 116 34 145 79 89 250 111 78 194 0 232 31 45 174 234 28 183 129 108 142 100 251 229 54 46 66 118 133 5 187 122 79 135 234 61 29 163 67 11 126 186 116 233 210 110 237 30 25 160 59 26 143 17 79 216 115 167 39 147 19 228 40 163 165 225 109 247 22 172 129 237 6 216 98 157 197 207 123 212 53 200 199 216 202 120 147 166 77 149 241 165 52 220 238 175 232 175 255 147 242 175 211 88 219 36 186 164 185 230 166 150 73 227 68 224 46 210 178 52 95 106 141 80 222 208 106 115 64 83 152 167 110 129 250 17 111 104 188 177 203 167 174 231 233 135 244 103 231 29 161 59 9 164 245 108 20 200 1 98 220 94 69 84 143 14 152 25 102 186 156 18 59 40 40 33 128 243 207 56 64 242 113 117 69 171 2 95 38 18 242 146 149 197 45 161 5 96 46 11 136 0 37 129 131 202 231 73 123 14 100 103 30 212 151 61 95 218 38 235 206 188 2 193 121 180 203 91 86 86 117 68 122 77 91 207 180 9 95 133 232 164 91 76 193 156 81 78 251 155 32 219 202 171 31 199 92 128 141 205 109 139 4 144 191 208 17 235 239 209 31 128 117 170 31 234 62 49 182 244 67 227 107 53 45 212 125 169 232 63 213 50 16 180 56 239 142 146 146 137 150 157 186 17 145 250 83 55 97 109 179 149 107 160 240 158 183 114 110 182 189 228 253 163 78 115 198 71 92 106 180 157 10 254 206 91 111 189 117 165 192 226 41 1 27 160 214 144 161 86 7 200 1 22 220 32 197 66 43 220 222 24 77 168 123 242 84 114 135 53 37 102 50 235 26 47 58 98 118 61 251 144 128 141 37 28 236 255 236 211 56 27 134 241 42 246 129 50 19 202 195 68 0 105 142 244 208 173 101 29 24 51 137 151 62 34 21 73 136 168 83 49 3 82 144 167 228 177 89 80 249 109 76 43 161 231 60 150 147 228 7 52 50 68 2 37 20 79 249 127 191 0 237 178 23 109 204 78 218 101 64 249 205 236 62 134 213 2 51 30 78 235 96 219 217 201 10 251 207 227 55 10 188 251 85 79 225 184 34 74 233 226 168 88 203 75 172 97 243 39 110 21 223 180 214 43 165 181 49 137 194 217 109 49 56 207 28 245 18 79 96 57 81 199 26 205 212 16 66 159 104 161 50 115 174 220 81 164 23 253 57 99 193 49 90 190 66 180 182 119 83 107 64 175 122 187 51 197 111 247 217 20 208 63 72 151 233 254 84 38 52 123 28 216 116 159 232 10 253 213 95 234 75 62 208 136 252 161 105 245 73 157 216 93 192 198 236 157 169 28 6 14 169 200 232 110 74 45 100 65 170 132 197 57 101 215 1 221 238 84 183 83 45 104 176 52 226 177 24 7 58 226 88 59 86 30 152 52 248 129 78 203 120 88 87 253 177 205 213 186 187 137 80 114 16 114 145 16 83 103 142 56 226 74 221 198 163 110 39 241 123 235 217 31 233 136 239 127 124 94 175 198 238 234 217 242 13 26 103 67 237 146 161 12 94 14 210 230 190 6 186 143 231 28 210 151 253 245 97 253 86 111 220 181 138 225 23 144 196 16 61 146 131 219 168 129 206 137 31 156 121 199 245 133 184 209 228 82 163 247 82 213 92 15 164 131 165 93 31 168 238 231 6 77 34 88 187 40 153 29 77 163 142 197 93 72 117 44 81 219 188 155 82 3 219 35 176 81 15 163 249 144 198 8 5 177 45 53 203 110 146 161 173 58 117 141 211 208 189 95 171 198 114 175 255 225 7 212 44 83 178 1 38 14 74 220 101 130 238 253 212 67 139 212 2 9 11 55 209 240 54 73 37 172 65 96 242 19 132 224 14 0 26 54 26 26 154 82 10 84 176 184 191 149 13 143 231 203 186 109 146 201 117 121 223 102 108 45 81 50 225 195 120 14 131 175 240 75 158 121 134 24 242 29 30 178 201 204 237 204 201 245 236 227 135 246 90 218 92 252 12 40 91 231 89 241 61 63 30 203 79 234 88 38 220 249 203 121 125 217 235 52 179 187 33 78 128 152 230 167 36 29 168 72 221 179 96 217 145 159 48 228 47 215 98 232 235 158 84 215 90 130 145 93 48 29 204 142 106 77 219 4 213 213 49 10 235 229 212 143 2 207 88 188 101 113 203 104 99 145 217 230 29 99 13 108 55 192 166 143 178 248 241 148 181 180 49 86 79 75 246 150 178 117 252 52 117 58 32 144 187 147 241 53 25 203 151 55 90 124 108 255 153 161 222 222 126 154 177 212 81 25 121 195 14 169 41 208 90 168 219 80 61 185 134 205 4 196 112 38 79 175 5 83 26 78 46 39 75 123 252 190 180 181 133 218 240 206 121 23 69 109 173 84 140 33 72 89 62 40 114 250 58 12 134 76 232 219 123 250 52 209 49 152 173 214 132 70 173 99 80 224 147 106 179 20 189 1 112 72 6 140 168 47 192 255 131 7 244 103 147 116 124 58 227 137 24 194 61 11 230 118 127 98 203 41 45 176 158 93 251 84 197 198 237 232 246 194 91 48 220 210 5 233 88 61 53 229 65 235 145 195 247 164 241 210 180 32 240 20 253 208 218 102 27 171 129 237 6 216 90 212 107 201 55 220 130 179 156 92 252 136 203 228 53 209 226 177 69 93 186 79 244 118 117 105 108 15 162 68 231 60 8 4 52 152 189 60 82 59 0 48 1 100 228 166 149 6 66 176 131 39 208 9 82 184 105 119 106 216 143 175 15 128 152 2 84 18 41 196 12 242 196 210 72 7 183 251 97 66 171 225 180 145 39 55 116 104 38 84 141 91 32 48 154 66 231 121 205 19 37 150 63 78 180 76 91 158 7 52 110 54 91 75 80 222 166 110 232 122 144 42 230 35 5 182 52 111 158 71 36 0 110 107 53 70 246 60 173 195 227 158 209 126 110 168 82 149 198 98 153 141 59 164 22 210 54 183 126 92 27 189 71 93 209 7 117 240 0 101 117 45 207 115 137 205 56 155 176 236 112 157 176 187 147 52 182 94 7 54 194 68 43 86 9 228 182 217 134 107 96 123 7 54 170 158 111 124 83 140 127 204 197 248 169 223 221 185 173 229 3 232 19 221 186 75 244 126 141 179 61 170 147 90 213 240 210 149 184 180 105 237 97 20 215 225 51 164 174 177 159 81 238 230 185 76 137 179 86 235 54 217 15 73 48 221 64 216 3 154 237 99 140 138 76 26 43 44 5 131 210 161 180 148 8 122 97 185 33 179 83 164 173 253 88 3 236 119 232 6 119 214 222 151 53 252 166 216 121 130 164 238 79 19 135 60 177 74 196 107 31 153 192 236 45 251 176 44 101 192 38 7 208 162 76 140 126 168 15 158 184 168 217 220 72 115 58 41 48 201 194 82 148 19 118 38 199 225 143 131 98 89 94 73 41 166 102 182 201 141 52 254 136 176 25 158 238 236 173 26 107 227 15 138 243 34 39 26 214 30 146 222 126 122 122 68 219 232 227 108 206 80 98 147 173 182 217 70 107 96 71 0 54 170 62 253 246 241 143 246 163 44 105 3 68 47 53 198 171 109 58 180 188 206 203 47 191 252 41 53 150 5 17 216 114 57 52 86 18 231 18 146 3 166 12 102 251 232 150 115 176 202 94 132 229 50 178 210 58 173 133 26 49 184 157 36 80 184 85 199 135 49 184 94 3 32 202 154 170 210 32 45 25 198 252 170 209 141 63 55 0 24 26 204 211 90 79 246 159 218 126 132 24 198 194 44 86 228 106 184 201 181 7 70 119 46 169 232 136 177 148 190 117 37 5 171 179 213 253 124 251 220 126 117 35 53 30 88 100 79 252 228 19 128 115 144 35 200 7 25 200 239 65 211 6 109 25 10 245 135 28 47 61 69 117 64 86 80 168 58 11 15 124 92 103 200 36 130 157 67 39 122 193 24 176 105 253 218 100 253 49 56 76 97 125 210 218 10 44 163 242 14 87 180 81 9 104 51 109 158 26 216 81 128 205 107 171 209 78 157 178 105 118 203 15 152 179 190 122 122 122 168 87 102 215 126 103 64 70 191 38 182 78 108 192 99 163 84 137 217 90 203 118 148 186 87 13 125 138 236 21 31 72 49 219 52 122 156 58 195 141 219 162 22 232 162 165 9 114 163 185 229 60 10 30 173 1 0 24 91 187 82 215 233 253 78 55 185 87 132 109 1 28 40 30 58 100 176 3 52 136 228 249 24 54 129 70 94 3 155 252 2 182 63 238 25 208 77 238 131 182 71 150 242 143 100 82 32 38 89 30 180 182 57 170 51 239 78 146 146 61 132 227 198 198 129 155 39 113 87 69 89 184 90 139 149 53 249 192 164 68 12 50 94 253 144 163 1 29 14 10 160 30 41 119 69 54 213 99 70 19 66 238 108 219 227 164 6 118 52 96 227 181 216 55 255 28 189 31 107 178 106 148 216 85 141 179 253 78 224 198 166 120 70 166 155 218 18 141 148 129 236 23 209 181 82 104 232 142 22 114 103 57 245 236 6 155 6 207 90 182 65 45 155 96 33 109 76 48 116 201 188 37 183 40 92 3 92 201 12 119 117 74 235 211 105 186 95 90 168 213 177 18 207 154 183 0 102 37 2 70 144 29 98 144 199 134 241 153 208 89 210 76 25 91 99 173 157 115 80 142 178 135 216 228 147 167 44 28 180 113 205 204 106 68 63 166 181 69 193 13 90 168 112 178 13 141 186 126 68 91 172 150 106 230 151 153 82 151 65 122 209 212 193 50 165 123 152 198 212 38 234 40 35 187 50 81 121 168 203 239 60 109 123 156 212 128 94 241 14 107 98 83 176 242 167 110 175 144 50 154 135 13 107 199 123 69 187 174 186 234 170 133 26 148 126 8 77 64 237 195 52 0 26 43 134 138 103 67 250 11 102 13 102 123 170 225 163 213 52 117 210 60 117 179 5 95 137 223 112 83 96 248 223 2 182 249 26 23 99 134 149 181 113 6 114 38 189 1 14 14 18 216 152 96 135 45 89 156 87 198 241 62 119 44 175 170 123 167 44 196 52 176 60 57 139 52 42 80 51 206 240 19 249 13 198 84 198 215 107 153 6 51 161 44 188 13 131 254 65 58 117 145 62 68 118 191 75 115 63 54 227 114 28 169 110 75 62 140 55 228 51 228 23 120 35 126 35 239 129 30 104 116 137 87 170 203 13 184 49 230 86 98 88 246 65 250 115 53 124 48 75 225 253 218 141 80 206 25 34 35 190 109 182 209 26 216 145 129 141 87 226 223 126 241 245 12 247 65 59 111 250 97 55 185 227 4 66 215 55 191 249 205 165 90 207 118 139 54 87 123 156 220 70 155 97 118 112 183 137 97 166 143 113 182 92 159 49 96 112 145 178 221 111 182 180 13 129 24 13 181 87 99 108 127 115 91 205 198 218 0 169 13 66 38 102 25 49 0 65 40 158 121 155 126 24 159 162 27 252 107 93 38 243 79 186 0 197 142 206 136 220 158 106 30 33 202 203 253 45 29 205 49 1 33 214 173 77 211 24 226 31 75 91 227 4 146 80 142 144 183 144 191 32 204 193 215 69 19 150 134 135 73 18 201 215 127 118 17 100 2 72 202 159 3 113 76 218 226 73 8 89 118 141 140 32 220 86 223 202 207 163 235 24 10 136 17 60 193 96 251 4 194 28 189 51 250 158 125 210 218 154 57 130 175 52 114 25 99 155 182 245 106 96 71 7 54 175 121 62 86 127 156 86 102 23 63 234 162 223 226 168 251 89 223 107 175 189 24 180 239 213 113 211 215 48 227 166 198 171 158 94 163 69 121 195 5 136 94 185 155 150 26 216 236 40 90 87 20 73 235 228 193 228 110 252 225 225 20 94 246 114 254 238 241 74 118 218 252 78 155 245 155 221 37 196 18 47 64 192 106 254 240 68 183 162 1 4 60 187 104 67 56 119 139 254 249 111 117 217 48 151 53 211 21 70 108 106 242 52 83 98 43 119 18 57 230 217 62 44 45 209 120 211 222 3 154 253 29 180 45 83 128 139 151 59 5 51 163 41 30 0 228 121 164 12 125 234 159 83 63 140 169 205 209 98 230 111 225 56 223 80 0 0 32 0 73 68 65 84 63 88 201 46 127 88 30 234 74 188 158 69 82 39 46 118 76 62 15 35 199 170 10 211 102 233 10 63 174 101 45 212 178 178 82 52 166 177 105 183 200 100 5 204 214 35 24 84 92 254 138 52 76 234 110 80 219 174 109 174 6 218 192 54 244 149 88 251 40 144 135 251 160 203 194 116 223 138 214 21 104 210 241 250 235 175 191 78 93 211 21 234 222 248 198 234 92 52 13 157 77 235 207 211 38 112 206 76 203 228 102 144 219 90 168 113 225 70 140 219 56 105 166 129 6 184 233 144 157 236 151 143 85 178 215 95 211 153 253 68 247 148 210 213 155 81 27 204 166 233 153 162 251 74 39 233 97 130 128 99 146 102 136 151 109 88 172 194 127 235 117 93 217 194 229 74 175 51 78 62 144 94 142 20 200 31 173 73 120 35 170 160 17 245 163 173 105 221 26 51 161 0 108 75 64 83 50 64 71 159 120 184 34 122 146 206 81 35 175 228 115 166 78 254 160 12 171 117 253 251 223 47 232 212 197 200 140 5 134 46 169 203 203 179 44 57 161 86 4 144 49 235 30 134 215 115 185 76 192 102 221 118 64 54 242 89 184 250 247 146 89 103 27 156 204 28 126 116 231 40 150 153 165 75 151 186 179 109 143 131 26 176 183 56 14 242 185 53 178 152 126 247 197 63 240 132 149 209 114 250 195 15 63 60 160 109 58 19 63 249 201 79 222 247 234 87 191 250 90 45 31 120 157 186 56 172 104 175 120 163 68 0 107 85 57 194 136 113 168 235 116 86 63 126 116 10 27 49 163 101 90 42 252 200 109 126 185 1 55 78 104 18 137 70 204 78 129 123 4 82 239 184 174 51 59 65 11 88 79 217 173 158 29 50 93 91 182 38 134 99 136 196 150 173 209 88 23 231 147 93 29 239 3 208 5 245 166 241 49 105 97 6 217 99 54 73 156 36 190 101 89 233 189 113 239 112 12 57 203 73 170 13 101 53 38 71 220 176 134 143 110 37 119 21 172 213 140 229 67 210 36 159 146 22 73 156 167 116 51 214 29 90 88 251 255 4 196 15 234 82 25 38 89 42 92 46 77 158 109 114 1 219 196 153 101 89 192 47 135 109 208 15 65 86 79 206 199 56 31 64 203 214 54 47 186 179 17 83 127 144 58 164 165 77 133 166 187 43 234 186 65 62 9 126 86 78 203 217 179 146 208 142 60 234 26 104 3 219 240 85 149 180 220 156 17 90 108 78 64 75 238 206 25 162 163 174 13 213 53 237 68 232 93 188 120 241 143 103 206 156 249 58 129 154 95 240 146 243 162 181 61 35 77 141 83 46 142 212 68 194 109 218 250 83 81 35 183 174 33 3 254 214 90 149 140 185 105 138 2 52 119 71 112 131 183 170 17 113 54 136 95 191 164 162 71 241 164 220 176 169 157 135 181 91 76 84 108 208 138 125 235 96 9 72 195 100 129 252 155 100 40 118 185 161 60 220 102 53 77 123 66 255 100 223 1 1 117 128 105 186 6 30 11 96 231 65 83 99 193 44 218 218 87 239 227 126 133 90 118 191 22 30 175 86 125 244 51 38 167 60 11 161 84 56 105 105 210 64 41 247 96 221 37 5 105 225 15 64 148 45 86 18 201 171 45 250 121 67 86 141 49 203 78 46 47 129 81 77 184 134 17 50 238 69 104 155 241 87 3 124 37 109 51 182 26 224 163 47 123 144 98 13 194 109 29 56 9 18 77 250 202 87 190 114 141 0 238 158 73 147 38 209 166 6 24 95 114 131 139 193 252 169 2 155 119 233 204 48 112 11 160 178 177 182 188 53 138 193 221 104 107 169 59 102 133 110 41 113 106 146 83 81 247 18 158 117 82 54 150 105 176 124 165 182 95 109 80 119 142 245 111 53 141 195 217 192 62 168 82 90 140 148 238 185 76 105 184 163 161 28 94 150 232 54 175 105 107 3 217 97 140 173 73 11 67 35 243 88 166 173 42 111 36 207 226 98 142 236 62 227 230 174 236 220 155 186 179 223 60 81 205 86 168 171 72 55 150 24 29 234 146 146 95 22 203 192 111 195 93 121 217 145 168 39 250 205 135 55 80 101 3 158 200 9 44 230 140 225 129 218 250 55 14 35 100 154 60 176 104 140 179 105 23 73 253 161 135 30 106 29 169 29 178 77 213 64 27 216 26 175 35 54 131 6 33 113 17 150 134 167 126 119 15 177 159 122 234 169 1 109 138 239 254 217 207 126 182 88 71 224 92 206 248 13 160 70 227 78 193 141 134 191 70 218 212 203 118 27 200 94 172 227 136 50 235 186 197 212 93 42 201 231 45 181 28 220 144 203 160 59 93 53 198 218 42 2 178 42 143 198 173 24 242 3 68 233 234 134 153 211 40 15 153 254 36 5 54 39 17 232 66 154 173 159 8 94 185 13 147 231 73 78 3 76 198 214 52 19 250 78 141 173 161 137 5 128 145 140 196 224 35 15 140 253 93 162 229 38 87 62 80 147 150 42 208 21 32 211 213 180 99 224 224 23 15 249 53 237 53 23 33 135 165 233 54 105 4 146 179 16 108 52 253 42 11 102 44 74 129 47 6 13 177 4 100 148 120 56 19 196 15 199 81 30 54 146 220 242 88 109 234 152 107 160 13 108 99 174 178 33 17 188 61 17 144 126 240 230 22 128 97 119 9 220 190 167 117 81 79 105 219 78 85 52 211 218 0 55 30 22 198 210 93 100 17 233 7 231 245 103 93 154 181 236 151 214 3 80 4 145 88 209 157 183 208 2 184 133 101 114 57 159 105 56 138 66 247 20 96 0 72 76 91 146 40 51 6 82 114 25 104 69 59 132 132 95 194 205 56 67 244 166 150 231 37 210 236 99 82 55 242 205 251 12 232 168 239 120 197 159 139 17 15 233 243 144 55 22 201 174 16 128 95 169 9 143 76 221 76 226 6 208 141 121 133 31 185 150 134 185 240 21 252 208 245 32 55 6 193 238 238 192 30 194 112 19 192 178 152 146 157 7 22 172 31 198 215 152 9 93 233 4 215 214 220 95 176 73 170 204 36 165 30 18 236 21 58 28 207 144 72 109 194 216 106 192 190 197 177 69 217 225 184 91 125 188 105 69 88 91 138 4 231 55 154 180 182 65 105 109 147 62 251 217 207 46 92 189 122 245 101 2 182 92 91 3 212 220 0 106 140 181 29 163 113 182 119 105 108 138 241 37 11 119 22 231 109 242 199 164 28 164 104 185 30 110 205 27 233 57 65 110 203 82 72 210 0 35 56 27 191 81 30 4 67 8 249 75 249 98 120 35 162 129 48 93 200 169 26 91 123 135 214 173 1 166 137 180 132 51 0 23 224 242 148 186 157 79 234 160 73 178 8 216 229 105 26 119 18 219 242 80 16 232 249 114 59 166 224 177 76 156 211 228 113 205 109 55 29 240 73 23 152 244 210 154 33 117 38 14 52 124 160 67 54 107 139 137 42 45 59 74 16 232 246 3 187 155 221 144 133 86 207 102 79 108 71 18 216 6 182 177 189 109 111 47 169 93 38 33 109 4 238 238 250 254 247 191 255 85 45 33 120 28 173 77 145 4 3 67 13 203 63 78 59 160 47 59 66 203 63 6 88 99 102 173 79 34 188 1 231 141 60 138 69 83 163 239 217 68 247 48 226 197 176 72 10 224 65 51 39 44 62 77 217 128 209 153 99 128 243 165 118 83 156 8 18 2 99 64 45 95 183 86 148 83 136 227 90 101 96 75 210 180 178 192 92 70 131 92 204 163 252 162 25 53 56 45 37 203 110 112 217 150 181 170 186 185 225 128 78 35 22 127 6 89 72 173 63 38 143 107 7 220 98 29 98 80 101 92 141 167 200 184 133 252 101 128 183 133 146 30 255 201 180 129 173 249 29 250 71 236 118 26 90 70 243 112 194 60 188 232 206 116 88 225 128 22 236 78 190 240 194 11 23 74 131 187 152 19 63 92 91 115 27 65 204 40 114 136 226 52 205 104 158 123 88 95 54 145 46 105 92 101 111 226 189 193 123 195 118 63 73 91 43 142 73 27 152 69 240 66 112 206 143 27 130 140 211 242 184 129 220 248 117 198 6 165 149 203 118 1 40 159 187 104 219 20 55 102 109 136 67 84 180 204 50 41 208 209 127 102 104 246 151 181 106 228 5 90 147 177 252 65 73 37 192 155 112 121 25 114 222 16 230 44 110 163 208 246 10 69 103 168 94 217 218 101 51 174 137 152 232 172 199 147 88 238 151 118 182 228 216 99 143 237 212 228 1 149 56 90 227 69 40 218 163 141 63 26 62 100 251 51 26 254 29 150 167 13 108 163 123 245 222 70 82 110 104 41 189 204 15 191 209 227 12 233 228 63 253 211 63 253 186 186 56 183 234 54 36 180 54 54 90 195 147 27 52 52 46 52 57 118 214 64 246 55 135 107 90 83 177 89 107 6 232 153 199 27 241 144 70 45 70 104 30 78 68 231 177 168 242 123 118 113 98 242 240 24 150 199 13 193 57 191 123 135 179 5 102 31 216 191 63 219 95 251 94 89 43 22 102 66 149 233 33 50 213 50 69 102 45 25 160 182 215 36 165 61 226 88 125 73 194 67 228 74 142 211 82 39 69 147 65 169 229 200 163 125 117 164 58 115 213 161 62 67 88 252 213 221 53 154 114 169 215 111 222 109 183 221 214 105 153 71 141 241 53 194 210 110 232 253 247 223 159 70 178 183 146 18 10 110 194 71 226 41 68 25 181 247 185 148 61 234 76 108 171 140 59 42 176 197 207 125 204 175 165 44 94 43 154 211 177 235 204 144 74 107 235 86 195 88 113 247 221 119 127 146 251 44 53 150 195 58 66 22 237 54 101 132 70 199 2 213 55 105 129 235 105 7 9 37 88 127 38 41 129 75 142 188 1 155 232 134 223 193 204 195 221 159 3 90 228 39 53 156 24 183 27 142 64 207 127 115 134 156 146 58 0 226 1 229 239 8 157 82 194 76 40 39 221 250 71 69 177 138 101 35 46 229 64 99 227 82 99 110 167 111 105 242 114 56 199 240 121 129 11 142 148 43 119 107 114 230 20 205 58 179 16 216 207 114 115 169 49 138 93 234 34 112 187 9 186 38 122 42 101 221 80 189 178 240 26 146 200 137 211 195 176 221 77 112 209 159 68 121 214 206 231 82 246 179 206 220 214 18 224 223 224 214 74 127 91 76 55 111 11 45 50 151 134 227 30 201 159 139 209 49 70 253 59 239 188 243 180 183 189 237 109 63 211 88 219 87 164 181 161 33 88 252 20 0 188 69 48 153 192 189 155 111 220 191 47 27 212 120 155 125 193 30 232 82 45 186 68 228 32 16 221 69 191 103 211 249 137 239 57 207 121 161 57 209 19 40 216 1 173 64 44 3 45 22 224 178 128 246 195 186 73 106 86 188 143 160 68 27 106 18 98 229 16 5 112 99 167 68 77 27 242 243 99 155 82 206 2 224 167 65 205 238 161 121 134 194 131 230 184 94 127 27 118 149 38 249 154 61 116 25 12 179 205 205 145 241 213 25 95 211 206 144 53 210 210 22 64 240 53 108 184 139 70 127 156 188 8 4 225 78 77 234 79 221 240 120 188 50 59 149 177 41 110 151 185 41 113 183 187 56 37 239 120 124 150 209 1 226 57 204 125 218 122 82 55 73 122 59 114 187 140 150 134 117 159 118 218 105 127 191 124 249 242 91 181 213 42 239 146 166 224 6 56 48 108 77 131 255 91 141 183 189 70 218 208 160 180 56 82 178 101 32 41 0 57 88 229 52 49 225 46 250 29 201 156 191 169 178 196 239 225 77 116 218 75 52 5 160 1 52 208 38 223 166 89 220 87 239 49 104 247 155 214 10 60 148 201 203 149 187 69 163 124 236 134 56 92 107 96 159 55 83 105 203 109 242 90 164 21 200 73 94 156 111 4 219 98 232 15 196 219 123 6 172 43 202 130 224 18 224 245 241 181 123 53 206 182 72 34 187 165 173 13 163 74 142 144 104 3 192 96 36 11 197 167 76 192 104 120 202 226 21 105 86 228 34 113 71 243 111 55 192 182 5 95 28 8 144 154 50 68 112 30 183 225 55 119 236 146 78 184 227 142 59 86 222 112 195 13 103 235 196 221 94 53 38 110 70 202 215 182 185 112 26 32 221 38 34 94 240 252 222 236 205 210 220 234 2 18 198 139 108 239 101 14 92 72 135 75 79 78 139 238 162 223 193 43 231 143 169 17 125 56 83 0 44 150 167 112 169 202 126 90 158 242 177 67 195 33 146 65 139 27 78 136 90 120 148 195 218 61 22 240 178 174 236 255 232 4 16 226 170 79 110 54 238 134 73 221 13 234 72 46 138 215 169 168 156 221 118 232 236 65 27 255 3 72 91 25 198 215 148 183 107 164 81 175 213 100 79 151 78 100 105 9 108 116 71 71 208 218 60 25 18 76 159 86 116 231 241 112 108 167 185 157 134 141 228 222 148 56 35 201 28 87 225 109 96 43 127 93 173 154 185 211 177 221 237 18 220 239 97 69 63 124 70 163 75 170 241 182 105 127 241 23 127 113 157 78 141 248 4 179 113 106 88 188 11 11 247 198 79 4 192 141 129 118 134 177 207 63 162 47 59 93 119 114 194 197 173 79 140 246 216 214 43 24 75 141 24 77 98 105 224 38 18 209 172 216 246 36 77 76 179 140 159 125 126 95 182 167 38 0 0 13 203 143 194 210 252 43 17 237 71 239 104 26 71 36 156 150 7 184 177 188 229 181 123 14 100 243 52 214 54 40 160 4 48 131 41 180 77 241 134 182 238 193 248 221 164 238 80 100 22 0 111 80 29 77 212 33 156 159 126 94 159 238 112 149 95 248 89 166 173 169 234 171 250 3 51 40 45 237 71 72 212 48 65 147 192 178 113 181 22 224 214 20 207 115 151 216 132 151 61 206 82 12 115 58 182 135 165 180 145 220 196 217 33 77 254 25 237 144 165 31 190 208 99 129 4 231 45 218 164 0 45 165 155 95 51 163 156 254 49 253 229 47 127 249 197 58 122 250 63 53 166 195 71 152 239 35 77 193 129 198 136 254 64 195 60 67 147 9 255 116 108 95 54 91 96 210 207 193 19 146 150 119 225 114 45 204 147 83 56 12 169 214 6 105 172 198 64 133 72 161 187 104 157 52 229 229 179 210 34 185 145 254 105 7 164 200 103 192 37 183 108 64 173 67 192 109 103 209 65 55 41 216 122 56 226 156 203 93 118 214 216 220 217 135 208 71 20 136 91 151 52 240 25 115 136 144 59 173 121 231 190 2 159 232 80 0 181 141 18 199 25 1 95 56 186 215 14 24 120 58 238 89 205 163 194 27 242 216 207 88 167 204 85 210 194 230 63 246 216 99 19 167 78 157 58 160 181 108 29 60 206 223 10 220 98 56 124 206 235 110 247 187 136 225 236 52 142 187 225 119 119 42 203 105 195 201 75 195 210 184 41 125 187 118 235 213 239 176 38 109 253 99 169 132 52 94 43 55 242 8 43 62 57 93 155 226 7 39 78 156 200 71 215 249 142 119 188 227 92 129 219 117 2 55 102 73 251 98 131 243 134 71 28 3 47 132 173 18 136 160 225 124 235 248 222 236 165 58 234 136 203 245 6 98 163 109 52 67 139 82 254 147 131 92 121 112 51 85 217 139 96 68 27 179 25 80 58 104 2 159 115 165 5 189 111 255 0 106 169 22 148 228 157 75 136 57 227 108 163 102 128 127 35 58 198 202 68 26 193 93 201 58 149 105 202 244 106 13 236 159 9 184 201 205 216 162 105 110 164 109 233 83 77 184 137 41 227 180 196 143 14 72 28 242 210 171 137 150 233 210 208 190 126 92 175 174 252 83 30 211 189 183 65 130 255 82 154 78 157 151 39 236 175 127 241 164 147 78 210 170 156 13 157 190 204 3 166 145 192 77 27 227 105 67 121 78 162 187 204 15 205 31 57 71 52 206 91 148 229 17 61 220 253 195 217 46 99 56 158 237 42 108 71 6 182 145 94 36 56 210 202 56 96 165 225 78 243 120 238 119 158 212 111 60 113 225 110 247 162 69 139 86 127 254 243 159 127 191 252 119 233 12 176 78 53 122 65 21 237 55 124 143 102 203 77 215 13 240 90 41 77 141 245 88 23 75 115 187 224 152 190 108 174 6 224 7 68 27 80 183 142 24 240 140 249 197 90 82 250 137 105 54 218 42 96 17 64 173 63 228 42 251 228 209 125 210 176 6 108 105 7 41 18 30 128 202 132 88 121 229 239 215 177 77 58 30 124 224 146 123 238 185 231 125 2 139 13 113 101 255 96 232 117 27 155 197 211 78 166 108 253 96 37 59 235 224 254 236 79 15 19 184 13 84 180 118 76 199 55 89 121 67 153 233 168 147 53 79 135 48 64 140 110 49 229 165 66 25 243 3 228 79 20 72 254 224 196 141 58 227 174 223 64 147 120 101 70 96 54 168 250 102 157 218 37 123 238 185 231 149 11 23 46 156 202 18 15 229 175 41 198 40 192 13 254 244 33 185 212 95 230 118 64 44 134 149 101 213 121 82 185 206 71 216 104 204 104 249 70 35 107 155 231 225 47 234 54 159 201 177 100 80 31 254 88 94 224 72 188 173 240 129 120 254 144 61 151 131 237 113 156 134 63 165 121 188 156 247 192 3 15 236 188 247 222 123 87 125 244 163 31 157 247 230 55 191 249 187 58 187 109 127 141 249 244 233 221 104 20 43 152 244 61 81 68 180 26 26 244 116 141 33 113 220 245 143 30 171 234 38 247 90 246 224 106 77 178 218 18 12 37 42 167 134 196 237 208 69 110 197 10 111 90 89 241 42 50 91 66 44 71 246 147 135 145 6 160 193 158 0 238 46 64 75 219 67 0 250 15 71 246 101 167 70 192 224 211 105 134 0 207 109 214 175 35 154 106 58 34 253 190 95 252 226 23 39 190 235 93 239 122 92 224 253 21 237 153 125 191 198 175 132 92 118 215 41 90 146 61 196 98 12 145 242 76 210 137 31 223 85 57 62 119 119 45 123 212 239 82 97 222 216 243 232 121 38 18 229 228 124 54 108 233 186 207 211 68 198 123 180 243 225 13 154 140 96 211 26 11 157 59 75 50 72 217 148 118 63 139 112 165 57 223 165 137 130 83 126 243 155 223 44 223 119 223 125 165 68 79 164 180 217 172 89 179 172 186 82 237 109 201 146 37 153 174 226 11 213 40 158 116 225 46 113 122 122 122 242 48 252 195 152 225 248 210 176 212 157 138 75 233 173 220 41 127 234 78 249 83 250 118 229 110 3 219 240 175 211 154 83 11 150 34 88 193 230 252 110 59 13 94 104 24 236 52 174 185 35 184 173 62 235 172 179 246 85 215 244 91 2 129 195 116 208 97 191 180 7 78 220 205 79 221 53 9 81 8 160 67 95 138 59 1 56 80 18 128 187 74 39 228 254 100 73 77 151 3 87 179 245 242 91 114 32 134 26 58 152 128 182 100 122 157 220 58 32 40 228 6 54 168 48 200 230 164 17 219 228 36 48 3 52 38 105 227 248 91 180 92 226 12 157 60 50 87 235 193 232 218 193 106 209 136 218 108 6 165 225 112 47 103 166 25 224 151 31 121 228 145 63 151 220 206 75 47 189 116 215 23 190 240 133 215 9 240 246 86 215 180 95 101 162 219 109 6 128 195 132 227 148 4 214 130 115 46 93 249 161 192 250 23 186 211 97 225 154 74 182 92 221 75 242 229 169 234 6 9 205 168 118 100 123 107 211 253 209 194 32 142 124 58 94 139 132 119 210 2 92 22 9 51 38 89 107 13 106 140 161 177 23 20 112 122 217 222 123 239 253 191 234 82 206 16 168 245 105 9 142 21 203 129 205 50 70 222 146 187 15 208 234 156 142 157 2 220 24 192 45 21 145 186 83 217 238 118 123 36 62 194 203 120 91 197 75 233 219 149 123 71 7 54 94 102 139 246 153 191 103 7 161 156 16 29 141 86 22 100 184 28 167 187 13 59 50 90 249 157 222 161 238 80 77 131 215 171 79 61 245 212 221 62 254 241 143 95 188 235 174 187 190 84 43 224 105 84 76 42 160 183 148 26 219 248 35 164 65 75 153 44 184 160 91 199 133 202 243 117 173 222 111 245 220 181 166 154 45 22 80 212 213 197 11 90 142 146 244 70 111 169 243 227 89 148 83 64 168 137 90 173 251 170 107 181 254 96 246 58 141 229 177 214 140 165 39 108 151 26 102 237 61 141 170 174 181 121 149 39 159 124 242 175 247 219 111 191 79 189 246 181 175 157 164 77 255 149 203 46 187 108 173 150 184 156 170 229 20 223 227 184 109 129 153 112 204 142 195 109 42 19 24 7 88 79 208 162 223 201 42 207 51 2 215 37 186 11 148 251 64 1 84 12 199 126 79 21 248 237 174 163 207 119 209 51 75 11 124 49 44 104 38 143 148 164 208 155 180 240 168 169 33 190 67 121 236 144 246 120 142 234 252 51 15 60 240 192 116 141 173 153 166 102 140 241 167 8 110 144 83 128 195 95 4 57 104 146 105 245 128 187 133 161 32 33 211 45 24 34 217 121 138 118 26 171 44 204 105 41 95 234 30 41 60 229 29 151 238 54 176 141 12 108 214 244 75 222 110 74 15 45 174 1 94 197 48 247 211 230 48 238 47 218 89 212 220 214 74 179 153 244 243 159 255 252 111 230 204 153 243 103 68 208 170 120 70 184 242 174 41 52 55 65 211 162 165 4 77 139 35 129 38 10 224 176 153 117 228 238 0 128 237 225 117 213 236 177 245 225 78 129 149 125 85 129 64 208 188 80 191 248 71 183 118 55 1 197 190 58 241 255 32 157 167 182 255 212 186 237 38 96 185 201 90 1 26 173 1 229 175 133 33 120 128 227 208 165 169 125 107 159 125 246 121 183 252 181 63 252 195 63 172 44 88 176 96 80 251 47 59 180 110 111 253 131 15 62 248 89 149 233 195 154 21 166 60 172 223 43 253 6 1 107 16 136 181 104 221 2 184 48 49 224 154 98 40 39 225 148 193 215 250 145 55 178 231 245 33 103 209 0 94 85 198 213 4 106 95 86 126 254 252 208 67 15 157 200 172 109 17 160 220 95 6 110 8 45 2 92 154 144 199 141 0 151 6 225 38 139 173 128 101 36 186 135 187 237 178 221 239 54 244 212 237 124 169 61 82 120 202 59 238 220 165 31 213 184 43 69 33 195 250 176 249 120 70 107 70 226 181 182 210 66 88 26 230 110 151 87 244 3 106 78 67 156 187 139 96 151 105 141 91 77 107 221 88 204 177 238 199 63 254 241 59 5 18 159 210 184 219 78 106 140 180 101 62 72 14 171 148 21 140 187 221 134 193 186 146 178 233 142 177 252 161 91 173 190 42 55 75 44 232 130 246 197 238 166 15 252 35 169 83 0 210 45 6 226 179 85 170 8 26 240 20 13 105 162 125 137 94 87 30 171 234 202 253 236 75 95 250 210 155 47 184 224 130 13 103 159 125 118 215 181 215 94 203 152 90 166 174 117 135 202 210 219 211 211 83 187 230 154 107 174 20 184 189 68 0 104 224 38 25 246 29 74 78 81 188 229 197 203 18 0 56 176 120 89 169 5 87 62 9 113 122 224 106 250 237 103 33 52 107 6 117 46 222 63 105 105 199 71 231 205 155 87 81 183 184 147 197 184 170 219 142 178 109 84 2 106 110 136 31 154 177 38 209 205 64 199 228 3 15 44 210 80 61 46 182 187 61 54 60 69 154 251 221 118 94 108 104 78 119 219 195 221 95 180 61 188 104 59 95 145 190 93 248 189 81 109 23 133 217 196 66 140 244 130 9 31 137 199 147 78 121 221 237 113 71 235 207 88 192 43 32 232 212 51 93 26 207 215 127 240 131 31 188 66 93 187 159 211 197 227 44 55 53 94 78 5 177 69 175 52 100 127 60 19 97 54 49 128 26 137 110 20 72 173 81 55 148 245 102 203 165 189 177 188 130 163 133 0 183 94 61 28 149 4 207 90 205 68 46 83 119 111 69 111 37 91 227 221 58 53 189 50 45 45 73 211 198 1 35 168 253 224 226 139 47 254 99 129 218 186 115 206 57 103 130 54 251 115 52 122 7 15 11 96 63 248 193 15 78 144 198 182 65 154 210 219 85 158 235 41 163 141 249 133 242 216 248 31 254 244 169 202 15 56 51 9 192 131 155 135 60 241 200 153 27 242 84 98 108 234 67 107 211 106 234 2 175 81 215 254 207 244 135 227 44 241 213 164 5 219 14 3 13 183 117 72 51 179 165 29 184 121 92 142 52 75 3 41 77 26 56 169 212 22 88 86 1 73 189 159 78 197 175 104 220 109 80 242 7 52 180 48 184 116 233 82 94 67 69 178 208 184 25 91 164 221 121 26 216 195 61 10 206 77 145 47 15 144 35 149 7 221 253 41 79 234 30 41 60 229 29 119 238 182 198 22 94 217 72 47 153 240 50 30 167 165 118 202 155 186 253 143 136 211 210 56 197 15 157 92 25 159 186 166 53 205 152 174 145 191 83 51 140 127 166 6 118 166 64 100 150 102 28 25 180 206 39 23 44 66 210 176 189 145 59 0 21 109 227 183 137 4 92 74 12 64 137 32 25 40 229 191 46 55 134 214 5 24 118 209 176 0 227 139 223 253 238 119 207 187 239 190 251 250 117 150 217 68 105 64 104 99 153 26 122 157 113 66 108 141 99 49 254 86 211 4 201 154 75 46 185 100 198 201 39 159 252 105 117 11 223 131 76 149 7 173 207 235 40 138 31 189 85 200 87 30 81 19 2 25 143 64 229 38 105 102 103 244 244 244 252 90 128 59 19 6 198 213 148 31 255 195 99 221 75 52 173 162 134 70 215 18 205 205 133 122 184 202 88 145 230 89 145 150 202 125 164 104 163 156 7 108 70 26 97 183 202 108 229 81 151 20 173 213 234 35 6 107 149 157 13 43 240 142 41 55 79 153 33 77 79 215 109 248 220 93 180 71 10 35 60 53 30 63 165 109 23 238 54 176 133 215 232 32 211 234 165 122 184 219 41 159 211 82 59 109 160 208 211 135 184 69 191 3 155 203 72 121 188 107 74 227 88 117 222 121 231 29 174 123 74 63 164 165 10 111 84 99 171 106 185 2 227 111 77 93 48 111 228 216 254 32 48 106 71 56 205 109 142 232 78 227 56 61 181 61 60 161 209 152 59 4 22 119 8 184 62 114 200 33 135 252 15 97 226 227 155 26 117 131 209 26 183 215 8 28 63 167 53 110 243 36 139 120 105 29 36 201 181 118 150 228 45 47 183 64 232 33 1 211 23 165 165 93 132 132 243 207 63 191 198 120 223 225 135 31 142 198 214 13 48 9 220 76 184 102 161 235 170 215 28 100 28 192 8 164 155 234 229 162 140 104 101 250 3 3 144 109 36 92 192 57 77 26 219 92 213 241 225 138 119 140 236 3 101 79 146 77 180 213 98 185 87 209 110 149 255 118 253 113 122 72 126 254 88 97 208 224 38 162 25 234 125 162 93 22 235 206 253 216 238 150 51 119 23 233 30 86 198 75 88 106 82 158 148 62 238 221 219 37 176 241 86 248 248 198 248 118 70 226 39 188 140 199 105 169 93 228 117 191 3 158 251 45 171 49 159 173 192 205 130 213 224 42 154 101 236 188 253 246 219 215 137 176 225 162 139 46 58 242 248 227 143 127 135 182 3 189 78 141 101 119 19 148 20 153 226 251 67 152 120 204 239 124 94 61 216 132 57 221 28 133 31 231 77 200 126 177 240 19 234 222 93 172 6 189 64 192 52 75 225 52 226 28 24 156 95 242 25 167 178 192 72 99 171 149 70 244 52 81 59 48 176 76 227 94 199 234 121 191 104 187 138 230 245 232 209 91 218 37 249 202 121 21 214 175 52 31 210 115 153 220 55 201 230 18 100 52 37 174 119 95 34 80 91 162 124 63 161 229 40 186 156 48 171 223 121 231 157 116 33 187 149 255 46 213 41 23 37 231 179 164 138 107 0 128 230 166 114 2 132 220 99 161 222 245 154 89 218 181 240 7 10 63 69 241 158 47 57 7 116 119 119 79 149 166 134 246 39 111 48 228 147 71 26 34 127 132 86 203 125 175 66 110 213 31 134 235 84 238 107 165 181 62 32 127 85 192 58 69 96 73 196 60 237 32 193 126 83 0 115 64 74 109 119 195 236 238 162 157 136 203 157 206 147 19 182 7 71 27 216 26 111 113 164 6 229 225 110 123 204 212 239 110 108 7 49 248 156 238 224 229 52 232 30 230 110 183 225 113 211 161 9 132 154 110 151 119 13 97 242 95 253 213 95 205 57 241 196 19 15 154 59 119 238 251 212 213 122 133 26 150 241 210 128 48 222 152 112 111 102 80 67 164 25 165 217 43 217 93 154 192 101 217 131 147 71 101 147 95 242 72 222 208 58 101 40 155 118 141 230 245 1 109 136 241 242 13 9 40 16 196 167 11 186 234 116 255 186 149 63 251 206 1 27 245 222 201 43 19 51 79 202 127 151 248 110 150 251 119 2 181 187 244 60 194 233 30 119 221 117 151 230 135 51 225 219 148 58 99 101 114 91 55 85 96 87 19 168 173 87 215 114 189 198 205 78 21 249 124 1 221 225 0 25 229 87 120 38 173 19 118 150 231 40 249 198 59 145 155 23 83 21 191 150 210 116 49 158 103 188 2 215 197 226 189 76 180 175 106 156 239 110 241 76 210 195 88 156 77 186 200 78 129 7 183 251 203 108 167 137 205 248 220 239 54 244 162 25 46 172 200 59 110 252 219 45 176 241 6 244 193 132 86 62 250 215 49 18 191 135 187 237 146 221 159 218 184 221 15 159 251 221 46 210 202 252 180 174 42 13 83 131 237 79 191 236 101 47 155 163 245 109 111 208 95 245 215 171 129 60 79 90 220 100 111 80 22 89 197 165 200 105 177 113 3 30 105 120 234 46 242 27 99 252 73 229 164 116 119 187 92 1 196 179 106 28 146 99 245 4 240 56 24 120 26 35 229 193 249 138 118 90 46 228 202 88 30 69 103 50 32 115 128 129 79 224 2 40 45 23 207 157 74 255 42 217 63 22 120 221 246 203 95 254 178 91 107 9 39 11 116 152 81 173 106 220 108 181 118 39 76 149 166 117 158 158 211 1 52 141 13 162 125 2 162 254 94 221 38 205 162 33 15 254 16 86 145 134 215 193 24 160 198 235 150 75 206 133 234 38 255 147 232 104 145 244 143 1 183 148 95 222 220 111 229 129 32 227 60 69 154 135 165 54 238 162 73 227 21 195 198 165 191 13 108 205 175 205 26 88 51 169 201 231 225 110 123 96 234 119 55 182 63 41 31 180 162 54 151 242 229 110 141 197 212 180 57 30 85 104 181 110 77 58 229 160 131 14 250 140 198 122 14 163 49 50 174 22 181 3 59 65 131 4 160 243 184 193 237 224 147 134 185 219 109 231 79 109 194 70 105 72 127 148 172 13 54 0 204 227 69 48 27 187 144 134 184 82 151 228 75 244 144 116 140 87 97 160 157 229 93 60 182 12 4 176 35 79 234 98 114 175 232 119 244 71 227 34 141 205 45 146 118 54 91 219 169 86 9 228 14 81 248 215 164 181 29 35 30 228 52 109 123 131 48 86 35 121 128 34 7 93 214 4 114 0 229 255 10 48 63 164 63 94 11 36 107 186 30 242 105 121 77 100 183 2 50 167 59 107 234 31 14 188 134 11 115 89 227 202 110 3 219 208 215 53 82 3 243 112 183 93 130 251 83 27 183 251 225 115 119 177 75 234 97 30 222 177 251 238 187 87 213 152 232 215 12 222 120 227 141 103 233 67 255 91 105 111 149 56 123 200 135 174 73 76 67 20 139 131 51 120 17 213 0 57 167 57 192 121 152 251 61 220 34 197 159 50 90 26 62 94 221 197 114 225 7 248 100 0 56 3 15 105 119 21 1 92 69 117 141 22 245 144 194 63 166 119 241 93 45 219 56 92 117 246 19 253 97 217 75 116 150 219 240 14 135 108 117 123 22 117 195 31 176 14 141 183 85 52 25 179 92 26 225 25 154 216 248 182 104 156 169 68 90 132 167 0 132 219 31 57 135 184 157 86 102 67 75 77 42 55 165 143 91 247 118 13 108 188 21 125 128 14 22 163 125 73 35 241 123 184 219 46 55 245 187 27 219 31 248 82 122 153 214 102 60 234 6 85 212 144 250 53 91 216 121 253 245 215 255 171 62 240 55 10 208 108 121 135 138 195 160 187 203 201 193 44 45 38 110 127 76 96 2 122 78 119 155 240 162 33 108 123 51 163 45 83 4 58 214 8 14 168 139 216 137 102 44 176 251 188 232 199 9 116 78 16 168 113 172 84 233 14 16 175 51 80 162 216 57 167 179 61 92 173 146 63 210 150 221 39 237 141 19 94 208 202 255 94 93 211 191 147 184 46 205 154 86 11 179 166 69 80 35 121 167 165 64 229 52 15 199 46 154 148 191 24 54 46 253 109 96 27 250 218 134 251 254 156 219 121 220 110 69 39 220 159 148 199 105 30 63 181 217 51 10 176 173 190 249 230 155 63 219 211 211 115 166 214 73 121 87 164 26 27 158 201 226 227 199 184 109 30 37 135 223 104 10 150 75 107 212 34 95 228 69 217 176 168 49 126 136 231 177 131 188 237 233 75 183 250 80 241 40 147 87 116 90 230 212 157 214 175 232 3 210 210 24 227 244 174 191 105 202 41 127 234 246 173 241 108 101 99 183 135 167 69 36 54 229 251 97 227 14 114 205 239 45 149 100 99 107 53 253 97 163 107 122 161 186 192 31 86 232 20 29 107 197 14 142 116 150 198 65 203 95 87 209 143 208 98 88 83 66 209 227 60 101 97 227 146 182 221 3 27 111 69 31 144 127 99 163 125 73 35 241 123 184 219 46 55 245 227 118 127 81 59 131 223 195 157 199 236 23 188 224 5 157 243 231 207 95 254 171 95 253 234 45 26 168 190 148 153 54 53 54 52 136 150 221 30 142 36 114 129 140 195 83 92 47 114 234 134 71 155 125 66 152 162 56 143 69 142 63 0 97 158 235 52 96 28 187 155 202 169 38 12 208 184 113 144 113 127 1 216 32 59 88 80 201 161 162 157 57 218 104 103 124 97 83 180 34 141 187 40 86 106 247 198 19 58 89 133 61 172 68 224 154 193 57 186 252 122 170 238 119 192 112 28 58 97 108 113 43 21 104 92 58 204 164 94 175 2 110 154 53 62 91 224 246 89 145 25 115 243 9 5 184 130 192 230 34 121 126 61 204 249 220 239 54 244 212 180 162 167 60 227 198 221 6 182 242 87 53 204 247 150 71 128 167 140 207 105 169 93 228 117 191 219 38 84 199 231 212 30 121 228 145 117 90 163 182 239 171 94 245 170 255 149 166 176 135 214 62 241 33 179 89 60 79 216 29 118 38 155 26 7 13 167 171 66 56 199 24 69 80 3 220 160 68 144 11 161 242 59 240 57 159 11 147 157 243 40 206 208 212 18 198 113 230 76 129 141 58 1 124 212 233 203 143 91 231 26 64 254 242 108 74 169 1 53 52 52 54 234 255 118 121 37 251 129 142 90 186 89 54 167 145 176 101 141 244 38 234 140 185 93 5 108 135 235 98 249 147 119 25 200 142 211 229 50 92 22 205 22 54 210 110 108 224 106 174 88 189 115 63 94 105 80 99 110 175 212 144 196 207 213 21 214 48 223 12 150 171 184 225 85 249 3 205 221 216 110 156 134 63 165 123 248 112 244 148 103 220 184 119 8 96 227 109 232 227 230 27 27 139 25 137 223 195 221 118 217 238 47 218 69 173 45 13 199 221 209 211 211 83 209 185 96 171 110 187 237 182 11 247 216 99 143 51 53 174 194 32 53 43 211 125 144 27 167 125 153 52 168 105 26 233 161 129 222 191 166 35 187 107 117 37 123 112 109 69 103 178 85 236 68 15 52 17 51 17 216 220 77 243 13 85 33 6 194 26 108 114 33 141 240 64 244 48 124 105 245 165 244 192 185 105 191 101 45 172 25 191 109 204 169 73 120 89 218 150 95 132 21 2 83 175 243 76 145 214 180 187 206 151 219 71 231 184 29 168 221 84 220 68 207 17 73 107 53 77 99 90 84 26 169 41 229 161 30 222 65 151 0 141 46 230 231 238 234 204 254 125 81 45 91 195 209 74 250 35 3 216 249 11 39 107 0 216 160 128 110 162 89 245 29 67 0 0 32 0 73 68 65 84 210 226 146 232 119 237 219 111 71 188 179 255 117 141 254 116 181 58 10 74 224 230 7 98 46 20 160 157 172 63 118 203 244 93 76 208 120 27 127 240 48 136 247 167 204 159 210 220 141 93 52 200 216 110 140 53 154 237 166 52 219 70 65 248 64 202 154 71 43 58 185 174 171 219 89 209 185 96 27 63 240 129 15 236 170 233 254 87 50 104 157 130 137 23 205 133 76 87 3 229 188 181 175 222 223 153 93 191 76 27 219 165 33 232 254 58 3 171 60 121 203 69 164 209 178 45 50 196 248 96 225 54 187 65 14 124 209 15 75 110 18 222 156 246 44 29 228 105 180 198 243 89 228 79 233 169 187 200 23 253 176 0 102 187 72 139 58 66 11 253 95 189 251 64 246 74 61 51 84 167 171 213 77 196 140 36 6 0 6 188 0 181 211 111 234 202 190 247 96 45 235 150 22 54 77 15 69 178 170 142 130 144 101 143 52 69 180 236 235 151 85 179 27 245 206 126 188 120 32 59 87 119 198 30 44 128 229 128 130 162 230 22 181 116 78 249 237 215 196 197 60 205 150 126 90 192 246 78 129 26 11 136 17 73 50 69 147 102 61 13 111 197 95 140 191 93 248 219 192 214 250 53 230 223 102 11 150 145 194 203 162 181 140 163 181 81 124 120 27 95 243 154 215 28 168 1 235 253 0 54 25 233 3 67 13 93 207 175 45 234 204 206 95 208 169 187 14 20 13 46 61 85 117 121 92 219 202 91 166 26 147 233 14 233 231 238 110 217 185 19 119 226 39 85 247 59 15 237 200 116 188 2 159 241 242 83 98 72 189 204 228 244 220 17 184 2 44 4 119 72 183 145 58 153 117 159 219 198 89 160 231 117 80 150 176 104 36 9 192 44 213 56 216 67 143 213 178 159 46 169 102 199 234 88 241 51 230 245 101 47 215 193 154 92 170 76 120 174 245 150 200 65 6 239 225 239 244 14 0 181 169 2 73 97 156 186 159 141 60 90 52 252 158 191 40 19 0 69 254 15 149 246 237 79 87 178 139 142 234 205 78 222 53 92 56 237 224 86 24 122 168 234 244 144 76 221 209 119 60 254 248 227 63 214 120 219 229 210 218 166 69 173 45 173 10 73 29 209 192 63 26 190 17 5 109 203 12 174 45 111 203 121 220 44 121 211 135 178 37 95 230 38 165 165 44 14 106 81 238 17 26 48 174 105 113 40 237 196 62 90 207 58 141 97 170 192 235 202 37 149 236 111 111 17 168 105 126 172 83 167 199 114 183 1 140 132 247 171 127 164 115 183 237 46 82 186 63 108 8 10 126 232 5 183 194 104 136 246 224 142 79 224 107 248 157 7 186 86 164 138 47 156 166 235 252 216 116 227 202 158 148 199 221 240 185 219 228 33 51 62 158 118 72 43 166 231 225 77 241 8 163 60 161 140 38 175 88 22 15 47 216 212 19 245 197 137 195 51 164 97 1 80 55 62 85 205 222 121 67 119 246 105 117 41 209 196 56 216 146 174 102 153 33 62 19 5 11 116 253 232 37 139 170 246 7 69 35 253 86 215 178 12 53 210 168 41 13 153 228 21 51 83 239 142 35 208 223 253 235 238 236 39 139 171 217 204 78 109 249 18 131 191 239 192 5 48 218 74 227 126 22 240 106 233 201 71 137 42 80 219 168 243 236 70 219 126 237 59 114 121 59 130 61 218 138 217 17 234 162 172 140 233 247 57 214 112 143 235 182 199 47 250 141 206 194 91 125 191 21 237 146 58 134 125 132 128 92 218 21 165 65 116 74 251 90 165 97 227 47 45 84 171 82 227 232 82 119 138 70 194 93 1 165 66 157 72 203 130 195 108 146 75 220 57 45 4 27 39 63 209 184 31 182 132 172 80 210 220 180 127 65 146 73 246 100 70 105 135 244 96 246 252 52 229 137 60 242 16 110 76 209 159 19 32 6 3 137 63 29 126 25 53 93 123 14 225 252 180 52 48 52 97 150 107 160 177 153 28 143 148 216 212 253 21 2 163 149 218 225 218 45 55 96 7 55 255 236 125 200 15 201 227 91 190 34 13 78 7 56 198 73 57 157 248 140 155 187 178 107 5 174 228 35 200 130 43 152 8 116 92 142 83 23 184 29 165 221 40 175 80 200 70 237 107 165 253 122 18 145 187 109 81 3 59 20 176 233 3 121 46 62 130 103 45 147 131 24 181 15 177 79 151 157 204 96 15 40 91 165 226 95 105 0 206 190 84 26 11 26 198 221 154 36 184 99 149 94 91 4 181 208 146 225 73 178 97 113 162 63 39 71 158 188 10 212 170 221 45 219 217 32 209 232 120 242 224 40 189 41 204 105 205 41 203 215 218 144 198 179 121 92 114 128 15 253 146 111 242 26 229 230 225 49 239 86 134 24 6 143 151 203 237 52 47 54 113 32 158 73 2 150 127 185 167 51 251 242 125 53 77 206 0 82 46 53 216 120 25 232 103 201 198 205 43 66 243 73 229 56 59 121 108 5 112 158 47 42 131 51 68 184 191 225 41 141 60 124 236 214 78 45 19 169 216 123 46 166 75 234 250 38 6 180 120 151 133 218 111 192 171 135 53 109 155 75 27 219 92 114 148 165 173 111 118 40 96 219 196 234 246 111 117 19 163 151 126 120 46 211 62 38 205 118 97 247 191 237 109 111 155 173 143 119 119 78 160 144 201 63 52 7 55 14 237 126 76 135 22 13 170 255 165 206 137 124 136 137 162 12 133 90 248 157 236 60 102 147 4 224 22 97 65 52 3 10 200 50 176 16 205 26 33 14 153 92 140 220 208 61 12 94 247 151 1 136 135 153 76 241 166 182 135 13 103 59 63 60 250 239 37 38 75 114 199 124 199 60 12 9 39 206 40 30 100 209 173 101 140 171 170 63 26 23 168 75 122 139 128 107 170 148 227 84 131 66 22 60 104 206 75 217 170 46 119 154 119 194 61 159 200 36 127 41 192 65 195 88 158 176 245 0 110 51 4 110 183 174 168 102 255 124 111 173 105 113 47 188 137 233 96 93 163 204 113 58 226 104 47 217 156 136 66 27 70 76 219 36 53 176 195 1 155 26 239 150 252 8 134 75 43 15 211 184 9 32 86 23 192 113 108 79 190 187 192 128 198 179 43 110 26 201 70 254 70 99 136 145 27 68 193 16 31 255 206 83 63 44 24 147 231 124 70 104 208 98 184 3 156 71 47 54 92 163 195 43 131 216 166 7 209 69 218 48 126 5 141 104 82 121 6 26 34 56 120 16 134 49 128 211 175 131 72 26 238 60 129 179 249 55 149 77 185 208 220 88 146 177 74 160 245 175 210 218 8 111 116 73 3 136 178 222 141 33 128 245 118 61 97 163 188 72 118 121 94 103 238 119 128 243 124 25 175 2 73 147 63 6 128 42 235 221 190 173 137 136 223 9 80 39 11 232 82 64 133 95 134 131 61 57 216 96 119 217 7 203 63 160 73 132 29 174 13 91 77 140 240 211 174 148 17 42 104 20 193 254 237 182 98 37 60 53 77 144 68 128 62 84 120 170 58 178 122 181 64 101 189 252 250 224 147 104 114 243 15 195 95 118 12 193 67 4 121 179 178 184 240 71 25 238 143 222 114 112 83 243 114 237 45 38 224 0 231 233 33 198 26 166 108 119 231 13 56 210 160 63 87 15 249 192 40 9 123 60 47 14 22 208 49 161 182 26 32 87 204 171 231 217 227 135 112 175 227 48 198 213 33 144 249 31 205 150 222 165 107 12 39 49 134 38 102 248 48 196 99 92 109 138 120 200 136 151 55 149 7 31 236 57 13 130 12 169 0 190 70 15 36 99 100 188 143 73 139 21 186 63 245 191 31 169 170 187 75 236 102 163 247 193 125 173 131 108 208 151 251 40 66 53 137 0 46 98 134 70 8 244 29 242 183 13 108 163 123 237 195 125 52 67 241 101 116 50 115 46 253 213 197 221 249 169 79 125 106 165 190 219 135 53 173 143 223 62 216 20 92 250 165 216 237 62 113 208 198 129 248 115 110 43 229 189 85 121 171 35 38 223 56 32 101 180 152 117 227 139 52 72 185 223 249 210 120 36 221 136 103 121 64 100 164 230 209 161 197 135 134 250 92 61 150 134 210 118 249 158 102 204 177 229 203 128 34 230 65 150 231 94 246 232 254 165 178 152 80 96 242 96 165 214 6 94 253 68 197 118 117 32 19 195 210 13 180 43 6 253 217 77 192 218 65 207 15 182 231 209 243 51 36 239 65 140 229 202 121 93 54 254 138 0 237 23 79 232 154 196 117 21 155 173 133 150 26 13 85 216 164 146 102 205 143 21 157 111 111 115 142 179 165 73 141 107 247 14 9 108 106 168 133 207 101 139 190 67 210 118 48 180 124 8 216 234 61 186 150 78 244 53 26 67 185 53 206 138 170 193 52 178 73 132 94 129 217 94 147 6 181 106 94 45 79 159 179 182 141 52 144 37 117 231 197 241 240 102 160 178 102 239 162 45 158 194 115 32 36 50 241 34 13 183 63 49 141 28 232 228 79 66 55 187 219 139 97 105 144 165 248 24 104 40 208 236 72 131 215 248 18 58 225 206 235 97 101 118 206 151 240 35 15 243 107 173 168 216 160 46 167 175 47 227 61 0 108 44 240 61 66 91 164 72 213 186 191 230 10 121 144 211 242 234 105 155 173 56 164 157 167 5 147 40 246 47 134 81 62 0 245 225 103 58 236 194 107 180 66 82 40 154 56 6 123 152 102 71 119 86 24 131 110 254 61 193 74 50 59 188 217 33 129 237 57 122 235 163 253 160 248 8 135 240 106 237 26 219 219 234 90 101 126 83 28 32 206 199 218 200 47 218 25 227 63 59 105 20 238 56 14 120 160 21 152 152 196 246 150 239 54 17 157 39 231 135 164 56 14 100 158 147 156 6 160 229 196 132 47 52 98 17 162 204 216 228 44 30 242 54 255 99 0 218 40 65 158 178 72 121 114 67 192 35 102 221 115 137 157 131 73 146 69 7 27 143 239 252 46 27 58 101 189 111 77 69 155 218 67 55 49 208 32 107 140 77 175 224 197 115 6 116 214 183 192 71 85 145 106 207 77 249 246 52 67 52 132 134 114 136 222 72 59 128 35 99 106 140 231 109 208 140 235 253 218 30 71 227 76 17 203 226 170 59 202 247 193 36 147 254 0 238 41 26 26 91 209 88 238 139 196 29 201 223 6 182 209 191 237 205 245 177 180 148 163 143 181 83 155 224 23 232 130 144 117 234 142 242 77 71 244 8 153 36 34 218 1 91 128 106 90 88 202 184 76 243 234 120 56 244 20 65 198 162 67 87 4 30 107 90 88 78 195 54 166 132 6 47 116 2 226 227 241 157 158 203 74 120 156 183 201 142 178 55 197 202 211 138 121 145 63 77 13 145 206 226 64 97 118 100 79 147 28 18 47 9 44 202 192 143 97 15 233 106 182 59 41 85 3 44 5 208 104 214 74 109 59 106 230 64 118 194 206 154 193 214 74 97 194 155 235 42 248 115 144 147 151 124 229 121 147 12 121 67 222 101 99 242 146 137 105 137 22 238 14 65 181 192 102 215 29 234 251 152 172 97 139 217 129 84 250 139 120 55 169 219 105 219 181 189 195 2 155 62 184 45 249 178 71 76 75 71 77 195 211 165 91 212 31 210 248 201 253 172 50 151 1 133 172 65 97 3 98 107 212 208 216 68 205 222 198 204 26 28 33 69 131 40 61 6 68 216 241 49 54 247 23 1 206 233 81 150 197 137 60 169 28 151 17 154 101 76 3 16 228 113 25 69 219 195 199 104 123 26 77 54 69 107 200 151 203 66 99 174 243 32 165 100 244 28 72 26 81 114 30 23 99 60 145 223 105 200 5 88 144 227 87 58 88 90 198 48 40 141 77 235 10 43 131 217 123 247 213 11 81 151 81 87 98 137 221 203 71 98 158 3 4 71 80 12 206 33 0 71 250 158 7 177 88 198 217 45 194 95 182 86 134 9 38 1 155 86 54 102 153 186 164 206 106 217 110 21 103 71 162 239 176 192 182 25 95 114 171 143 169 21 189 152 180 241 105 131 51 203 61 58 175 189 246 218 21 154 202 191 137 113 54 25 255 96 45 14 99 106 52 0 204 25 243 250 179 157 166 168 129 73 91 176 25 52 107 112 10 196 110 50 145 230 225 22 6 143 243 70 119 234 119 18 188 30 207 27 106 17 192 76 158 255 120 196 205 100 91 90 128 133 228 249 99 112 229 242 27 249 67 219 73 168 121 241 136 102 192 1 107 171 71 1 185 120 47 10 182 146 158 160 9 235 73 154 253 100 86 20 38 254 30 162 53 211 245 92 45 76 123 197 110 3 217 27 122 164 181 169 187 218 56 161 35 166 228 249 183 148 73 188 145 71 57 155 210 180 24 250 161 59 202 233 32 179 244 119 13 158 162 145 86 95 231 219 208 94 98 174 23 92 69 184 182 225 89 244 200 91 18 171 40 101 251 247 239 208 192 182 9 90 219 72 31 205 112 225 197 176 38 208 226 178 94 109 110 102 92 109 64 39 165 254 130 155 147 100 64 183 60 30 14 6 177 217 130 115 192 212 193 236 147 71 168 53 233 13 246 171 91 212 105 43 70 34 107 222 106 16 129 129 174 7 58 3 66 121 139 129 230 126 120 96 139 52 227 199 111 212 240 147 203 85 156 92 102 140 159 135 17 63 141 148 196 223 100 39 242 226 147 166 227 52 228 90 112 224 113 238 166 228 68 76 163 166 238 148 207 227 178 24 26 96 59 116 250 160 157 2 178 1 196 81 36 87 244 121 121 96 29 228 143 31 210 155 245 204 24 200 250 122 245 30 88 166 129 240 220 224 167 142 98 157 197 132 225 224 49 208 133 5 143 12 19 19 188 211 3 245 126 227 188 183 209 253 135 111 150 221 7 50 139 165 217 63 132 67 167 45 199 216 38 18 146 251 83 183 211 220 38 108 187 53 59 52 176 109 165 183 234 128 54 228 3 211 208 26 83 249 83 180 236 227 23 58 96 242 14 142 164 150 161 69 52 25 26 29 218 194 107 246 24 200 46 208 201 16 108 130 239 19 198 217 170 121 53 44 118 37 132 111 91 182 183 24 147 16 233 177 113 53 132 70 62 227 133 71 198 120 188 49 226 143 15 97 24 151 145 199 113 134 104 167 225 99 118 135 36 202 127 61 29 207 3 92 208 162 177 96 253 132 255 67 178 237 108 169 109 81 68 192 198 160 1 51 57 64 23 243 29 115 251 109 252 204 142 36 200 57 140 205 150 102 60 35 36 98 166 250 75 199 246 102 51 180 20 167 111 99 252 35 227 127 48 92 168 101 200 83 82 124 213 137 7 81 61 0 28 31 6 7 27 236 59 69 227 119 26 110 88 47 119 73 3 229 210 102 69 175 223 161 131 73 151 42 74 167 142 146 143 47 202 242 229 98 205 51 134 159 77 141 55 134 36 182 28 107 73 189 109 185 196 119 144 148 138 31 76 209 79 53 24 77 19 7 131 58 26 188 251 170 171 174 122 66 90 219 197 177 126 184 141 106 72 28 214 83 177 173 231 45 251 12 100 223 56 174 55 155 167 115 197 6 180 223 112 64 128 71 155 114 144 227 180 88 128 208 30 197 97 156 142 181 82 230 87 139 106 208 229 214 69 77 193 143 59 242 230 113 35 77 153 226 163 201 195 225 115 30 183 61 13 210 25 241 41 200 242 184 46 43 181 61 79 206 227 178 225 113 119 206 35 154 209 131 124 234 171 41 207 137 159 186 162 27 137 77 156 126 213 97 166 153 201 143 232 172 180 83 118 237 207 86 201 79 61 166 6 205 13 64 98 111 2 179 166 47 152 165 247 240 194 222 108 182 150 226 244 105 163 19 252 33 142 94 6 140 102 100 23 180 55 147 163 48 37 29 140 210 125 219 62 253 217 158 2 201 117 2 77 155 109 245 176 96 91 155 213 55 241 91 197 173 75 91 99 153 16 192 134 241 132 130 111 168 223 233 219 189 189 195 156 160 219 234 77 234 3 201 191 169 86 60 5 122 25 127 145 230 254 212 198 61 156 159 15 182 131 125 163 58 254 153 15 181 227 246 219 111 255 111 109 144 63 69 227 111 52 181 78 26 1 38 181 233 10 113 148 209 10 129 218 127 61 92 203 190 175 163 169 239 95 173 100 212 64 44 53 147 234 201 42 114 83 113 225 33 44 242 34 220 34 185 159 176 104 242 120 41 205 3 135 179 93 214 112 60 101 97 73 58 121 112 153 44 231 243 48 247 231 145 228 240 176 148 150 184 169 86 30 171 245 122 182 219 212 122 246 87 7 245 217 41 183 116 65 147 251 150 243 72 188 3 127 15 16 121 15 211 181 104 247 78 237 84 248 240 239 58 179 155 31 151 26 173 247 194 90 107 224 137 211 115 117 199 95 30 63 228 201 206 43 14 128 43 212 237 211 130 224 23 237 57 144 125 235 132 141 89 183 222 27 11 133 155 162 72 148 38 13 236 194 103 173 101 123 141 78 89 254 137 128 109 162 52 54 190 143 50 67 169 48 110 23 221 22 24 127 82 158 148 62 46 221 59 60 176 241 214 54 3 184 165 95 172 137 140 95 131 211 83 27 119 250 56 191 65 16 30 93 140 92 187 231 158 123 214 126 241 139 95 60 228 148 83 78 249 133 78 212 157 201 96 177 130 236 238 3 111 80 110 115 134 23 13 97 178 26 210 147 218 146 195 94 67 206 223 191 75 167 128 44 89 95 177 163 167 251 180 66 62 52 18 37 77 234 246 25 227 198 35 131 93 164 123 88 224 128 41 240 24 99 32 142 250 239 130 37 99 63 185 180 225 28 116 212 236 80 203 34 83 89 158 140 103 104 222 26 81 61 172 65 73 93 212 221 44 157 141 198 184 214 241 59 15 100 47 211 161 143 61 154 152 65 35 14 93 68 110 168 79 99 168 250 10 192 70 40 227 99 128 27 127 134 254 77 251 76 191 118 127 45 91 173 197 182 54 82 42 156 211 68 166 12 239 33 212 131 1 30 117 201 158 83 61 39 8 212 190 252 130 190 108 87 29 93 254 140 222 54 26 100 193 12 106 124 141 117 108 79 233 57 118 238 220 185 15 235 40 249 9 61 61 204 94 12 49 158 99 183 97 72 221 197 8 195 133 21 121 183 121 127 27 216 244 138 182 18 176 241 113 240 233 250 231 203 103 111 159 62 1 207 127 254 243 187 110 185 229 150 101 191 252 229 47 223 187 207 62 251 124 149 69 153 154 5 67 167 48 158 230 134 21 214 180 241 101 210 72 39 218 142 44 142 214 201 212 64 58 236 184 107 22 247 170 79 139 232 188 97 69 79 176 66 64 116 199 198 39 118 3 23 207 97 240 33 32 207 116 147 219 98 151 252 196 116 75 66 202 73 158 110 121 104 51 53 230 197 193 162 52 63 105 126 155 99 91 75 231 160 201 157 4 108 236 253 236 86 23 114 157 64 38 140 111 133 182 222 92 215 65 64 25 141 16 192 205 255 200 220 169 63 44 151 63 92 213 193 160 213 236 129 181 42 20 0 38 205 141 60 6 35 91 105 239 57 53 203 222 57 119 32 251 192 1 253 250 227 212 161 244 75 65 205 196 235 164 229 154 78 211 253 174 180 181 63 190 235 174 187 186 238 188 243 206 236 141 111 124 35 223 133 155 34 64 165 254 212 237 252 110 15 23 230 60 227 198 110 3 155 94 213 102 0 54 94 184 127 173 173 220 132 251 227 60 69 63 160 101 114 184 17 156 155 223 23 47 94 188 250 166 155 110 250 156 186 27 167 107 230 148 15 88 109 170 158 239 74 160 129 97 220 182 89 54 249 17 100 99 71 234 226 112 128 162 37 20 27 84 14 2 226 41 115 91 6 0 3 123 196 20 139 214 160 39 180 188 145 66 107 24 227 197 27 34 53 2 162 43 15 247 144 156 144 59 60 100 88 59 36 79 94 73 202 126 204 246 86 154 211 135 145 66 157 209 149 4 148 172 251 39 184 99 60 14 67 189 122 221 186 45 50 87 227 217 187 74 104 198 207 15 242 244 223 78 217 101 99 251 227 154 224 230 12 189 187 245 60 172 61 160 156 252 75 94 103 79 200 236 230 170 23 204 210 4 196 100 253 33 18 240 113 106 8 215 242 149 152 65 45 243 176 77 240 10 251 125 221 78 127 3 218 154 30 211 214 78 58 233 36 146 44 154 148 150 186 139 124 248 71 10 47 139 179 205 210 218 192 166 87 179 9 192 198 11 45 126 125 173 252 78 199 246 199 227 23 253 214 88 8 196 232 175 114 77 192 198 252 92 93 224 246 121 125 204 239 213 66 94 191 17 190 169 91 106 17 248 113 160 51 66 50 244 172 22 110 25 209 79 116 5 142 128 12 150 179 156 14 175 243 121 60 184 221 93 176 189 69 152 252 200 103 22 63 110 16 88 48 67 41 5 134 196 235 105 64 202 227 21 242 225 249 131 215 120 98 120 26 55 17 153 59 93 30 89 116 119 10 88 238 150 141 25 212 108 117 149 59 41 180 220 194 238 254 20 45 151 149 58 0 75 228 113 147 21 71 33 85 149 0 160 103 249 148 155 137 10 12 199 31 109 212 80 1 119 194 150 106 213 198 149 245 107 252 181 166 63 110 159 209 31 185 115 116 153 118 103 92 212 157 149 128 90 49 67 69 127 144 216 248 29 41 188 193 57 78 92 52 164 29 222 240 181 110 161 74 32 157 52 173 212 239 238 60 28 80 19 184 169 89 100 217 49 199 28 115 230 131 15 62 120 190 122 163 117 29 31 14 168 113 53 159 157 244 144 106 93 1 145 0 166 0 78 252 241 71 3 176 25 63 220 52 40 217 78 207 221 41 61 242 53 197 139 50 160 113 31 64 83 152 248 107 132 199 135 25 198 212 239 188 228 33 125 196 158 231 101 36 183 199 203 211 86 4 79 195 109 47 99 209 239 113 91 217 158 182 178 147 155 80 127 129 18 221 252 129 233 208 158 222 170 246 243 222 38 76 91 15 192 137 214 215 84 255 185 132 80 86 100 115 144 36 151 40 47 211 4 15 183 81 49 118 199 179 66 180 229 26 19 221 160 112 248 210 244 211 79 82 238 94 186 160 154 84 186 241 202 43 175 252 107 79 66 119 30 212 121 46 191 252 114 72 67 190 159 200 151 127 79 30 111 71 176 219 192 246 220 191 229 86 31 86 25 125 8 13 112 147 166 198 41 108 93 39 156 112 194 223 107 92 229 143 116 246 253 253 51 103 206 172 209 53 81 163 2 224 6 244 104 210 205 1 173 169 65 230 37 36 220 205 112 110 151 83 228 109 208 155 229 56 221 109 3 87 143 252 44 109 151 217 176 195 77 246 13 127 35 47 36 5 125 115 25 201 162 78 233 254 247 105 208 190 170 225 129 76 90 210 183 191 241 141 111 156 40 112 123 151 158 245 162 117 138 167 95 179 149 77 119 84 164 121 0 180 12 236 101 59 248 146 77 220 0 53 225 0 153 63 30 55 250 1 181 46 141 171 61 45 48 125 159 174 103 236 99 108 237 138 43 174 0 104 71 50 67 190 167 145 34 108 47 225 237 174 104 124 147 250 56 245 121 141 201 20 249 139 126 132 57 173 104 251 31 148 148 142 187 248 184 12 211 20 116 19 120 101 209 162 69 43 223 250 214 183 238 117 230 153 103 126 76 99 112 239 214 71 111 221 34 38 23 212 16 232 26 209 24 145 83 105 56 17 211 48 105 81 139 110 252 101 52 98 23 233 69 90 35 133 161 174 52 238 208 208 102 74 43 222 177 210 155 165 142 218 7 64 105 215 148 97 66 69 155 205 25 235 204 212 5 92 173 58 254 168 238 127 253 87 151 116 195 13 55 60 79 187 69 190 52 107 214 172 227 25 34 16 240 104 139 103 29 45 206 222 107 148 225 236 165 245 151 7 18 41 214 125 44 167 229 131 27 203 36 123 185 100 189 94 93 208 107 0 53 105 104 67 102 65 63 241 137 79 60 27 16 123 54 113 211 34 108 51 238 54 176 37 175 66 31 148 125 144 9 105 36 103 145 191 149 223 233 169 93 116 23 253 14 126 228 129 48 158 202 97 135 29 86 187 227 142 59 116 243 65 54 32 205 225 120 249 223 169 229 32 47 149 70 177 251 196 137 19 237 175 62 32 231 64 39 62 26 105 94 180 98 17 221 143 29 31 89 150 21 75 19 143 140 196 4 131 59 245 59 221 237 98 88 209 223 138 207 233 163 181 91 201 29 69 124 111 196 216 84 140 170 199 72 252 72 9 174 86 84 159 220 225 9 80 101 210 142 159 81 248 79 165 49 125 234 144 67 14 185 85 252 181 191 252 203 191 172 10 108 58 190 254 245 175 111 56 237 180 211 38 125 228 35 31 249 59 237 6 248 144 254 200 100 220 255 41 3 240 32 152 119 216 168 60 66 100 90 229 157 188 40 152 103 64 242 58 1 84 173 97 188 81 59 82 222 115 224 129 7 222 243 171 95 253 170 118 205 53 215 164 51 160 136 51 243 44 128 205 10 239 114 182 23 187 13 108 201 155 212 135 53 228 35 76 130 203 156 69 254 225 252 30 134 237 15 50 203 232 30 238 97 206 103 13 69 90 66 69 221 160 186 26 215 90 2 164 189 205 125 201 75 94 114 180 52 186 163 212 40 159 175 54 113 144 128 110 87 182 100 169 161 90 3 133 207 77 90 76 220 156 20 1 31 134 70 206 170 18 206 214 199 77 227 198 134 47 141 231 178 176 157 238 118 74 75 249 70 114 167 241 71 226 221 148 112 47 39 233 168 126 12 188 112 67 199 102 66 64 117 186 81 229 93 36 249 183 105 17 236 124 213 195 53 7 28 112 192 173 164 119 209 69 23 77 188 241 198 27 7 164 49 89 55 240 188 243 206 235 20 160 112 161 74 38 77 234 100 253 97 249 152 228 158 162 49 80 251 195 130 188 184 68 199 193 195 223 43 81 48 6 100 74 91 73 214 25 86 168 112 170 11 239 77 227 105 132 125 250 146 75 46 249 91 165 209 255 149 175 124 165 83 32 106 154 154 210 77 191 11 19 212 6 54 171 134 252 167 13 108 121 85 88 3 29 242 193 36 193 101 206 34 127 209 79 28 167 149 217 41 13 119 153 223 105 200 114 13 192 104 115 231 206 173 233 175 121 93 199 214 176 99 94 67 211 22 127 202 57 231 156 179 171 38 27 230 9 0 15 23 208 237 43 237 99 103 53 154 9 122 242 113 32 26 81 148 135 214 210 171 134 213 139 77 35 215 51 69 64 183 155 194 39 201 189 139 226 79 81 184 188 13 35 222 82 64 115 14 194 137 131 189 181 76 154 54 229 18 200 172 81 158 158 16 29 240 122 66 207 42 185 233 190 111 208 243 164 158 123 5 100 11 180 157 109 209 113 199 29 135 223 10 13 160 105 7 72 229 183 191 253 109 191 110 98 175 107 124 179 126 239 189 247 214 165 65 213 181 134 204 254 34 92 118 217 101 212 95 85 235 202 254 64 224 244 86 213 223 137 242 239 131 214 69 218 156 122 139 22 237 127 40 168 19 254 152 232 143 144 61 248 1 66 165 255 184 242 121 141 120 255 69 90 218 117 208 5 164 93 111 122 211 155 0 181 252 37 164 224 214 6 53 106 169 217 180 129 173 185 62 104 136 99 109 137 69 254 225 252 30 134 237 143 231 192 253 110 67 119 55 54 38 245 59 141 99 107 170 250 43 223 17 65 14 109 130 45 54 154 119 179 211 85 1 48 173 152 10 11 123 101 211 16 105 32 104 26 235 104 188 42 242 140 139 47 190 120 111 117 181 14 213 120 209 243 165 117 28 173 70 119 144 26 228 52 133 117 203 206 183 115 81 61 94 69 110 75 78 78 195 189 53 77 154 167 52 31 208 5 24 204 96 242 7 128 114 47 210 115 135 0 231 102 29 56 112 211 5 23 92 112 39 93 75 143 3 152 169 62 38 42 188 174 122 237 211 214 165 1 117 51 13 88 150 47 95 94 23 8 89 151 16 128 35 206 225 135 31 94 253 231 127 254 103 93 104 111 199 120 100 63 255 249 207 231 104 76 236 48 129 220 209 170 191 23 40 221 35 244 236 45 32 155 0 208 97 36 131 184 75 148 175 59 244 220 164 180 126 43 80 189 69 147 68 143 16 126 254 249 231 219 82 107 129 24 239 212 223 183 165 71 56 6 128 107 3 91 168 139 244 183 13 108 105 109 200 173 143 207 63 160 66 72 75 111 145 127 56 191 135 185 29 190 240 32 26 154 211 221 93 244 195 89 22 22 36 232 87 26 66 69 32 199 141 242 70 115 176 163 251 138 182 33 34 221 215 94 105 26 187 189 247 189 239 61 78 160 248 18 241 31 35 173 108 158 180 187 25 140 47 169 113 154 118 161 198 150 107 24 84 139 63 38 88 63 99 175 42 143 185 249 236 177 228 1 94 180 36 108 186 124 184 209 164 212 173 103 208 255 17 209 111 151 255 55 210 150 110 88 184 112 225 237 175 126 245 171 87 146 83 64 78 219 220 58 53 222 54 8 192 161 177 169 203 90 231 174 10 194 151 44 89 98 26 156 52 172 14 201 173 104 82 97 80 235 14 155 246 111 254 199 127 252 199 12 141 135 206 85 93 239 45 96 51 192 146 118 182 76 75 120 238 123 237 107 95 187 4 57 110 52 172 80 59 233 164 147 42 17 208 154 128 44 242 52 209 120 95 155 96 54 41 210 38 164 179 85 162 180 129 173 80 237 250 184 29 76 10 33 195 122 211 56 169 219 35 165 52 119 99 251 147 242 57 45 229 35 220 233 101 238 52 190 135 99 215 185 75 65 199 219 212 212 69 90 35 127 159 180 146 163 142 60 242 200 63 86 3 123 165 26 225 1 116 149 104 24 106 100 6 102 42 190 45 29 17 175 207 170 90 149 164 213 146 186 73 100 75 154 205 144 182 55 104 31 132 103 230 179 195 199 220 0 115 129 22 221 202 5 114 95 37 109 238 127 180 181 237 38 253 33 88 123 250 233 167 119 11 132 38 136 222 47 48 179 113 54 0 142 242 3 114 14 112 248 1 57 1 153 253 225 250 222 247 190 55 160 173 113 67 102 50 225 195 40 173 170 38 36 106 210 150 59 244 158 6 213 245 36 111 158 63 227 41 249 241 114 240 254 220 237 223 76 9 123 19 201 249 155 136 219 147 167 13 108 37 111 83 31 218 104 63 16 143 93 228 31 206 159 134 225 78 181 54 228 65 75 31 167 185 237 97 248 49 248 221 184 27 187 190 255 254 251 87 239 191 255 126 26 200 138 11 47 188 240 176 147 79 62 249 12 1 218 155 164 113 76 101 188 135 49 29 25 107 160 20 89 15 121 49 25 94 5 145 14 223 115 174 161 121 154 150 216 150 253 161 142 172 177 43 15 156 158 145 207 140 170 251 137 54 119 131 52 185 111 73 91 251 225 241 199 31 255 164 180 175 9 210 116 187 88 222 161 3 65 185 128 199 52 56 178 236 0 199 246 55 1 148 201 20 40 118 168 206 43 90 143 104 117 171 174 172 191 167 76 96 198 88 221 32 227 117 158 7 228 140 194 228 224 148 0 155 71 203 229 59 33 218 121 156 2 125 187 243 182 129 173 228 149 242 113 151 144 135 35 21 249 71 235 135 207 31 151 239 113 177 83 208 75 233 197 56 196 245 112 147 115 196 17 71 116 234 216 163 103 228 25 184 254 250 235 223 163 193 239 243 116 185 238 206 106 132 182 37 75 109 215 229 91 113 211 34 227 246 199 132 33 124 140 85 50 86 126 79 103 27 176 125 9 136 217 42 71 141 110 61 93 86 129 216 221 210 108 191 244 232 163 143 126 231 69 47 122 209 202 159 254 244 167 211 228 103 188 205 180 49 213 109 14 112 210 134 7 151 46 93 106 64 34 45 140 221 1 41 168 164 239 42 165 143 181 248 22 183 4 216 198 42 103 187 227 111 3 91 201 43 213 199 156 126 120 37 28 165 164 98 156 209 250 225 243 199 5 123 220 92 131 138 1 78 119 126 247 123 60 179 143 62 250 232 154 246 18 174 122 247 187 223 189 235 89 103 157 245 25 105 11 111 161 183 162 110 21 43 228 109 89 129 71 160 168 105 113 221 223 160 41 9 253 167 179 227 45 208 109 8 184 195 118 160 192 231 114 183 180 109 121 226 39 214 72 180 220 171 50 134 28 57 125 12 249 67 42 90 173 77 208 16 79 0 247 27 129 217 39 122 122 122 254 71 154 22 19 51 19 52 254 198 100 13 97 166 193 9 12 173 43 41 205 173 158 2 28 60 152 2 208 5 226 216 127 67 177 121 185 109 211 84 3 109 96 107 170 142 134 71 13 123 172 109 160 140 63 165 165 110 18 114 63 182 63 141 12 52 104 197 176 97 227 105 108 167 166 153 186 229 90 126 112 130 180 182 175 72 83 59 88 141 11 240 98 236 76 91 69 61 186 18 144 187 232 231 140 48 71 1 194 124 127 101 126 194 172 214 144 2 100 134 184 216 226 97 179 183 197 203 115 63 92 59 107 164 159 179 143 201 81 46 219 243 100 125 74 177 96 115 184 99 122 114 7 110 63 121 131 36 41 95 0 229 81 101 0 197 136 229 50 29 2 45 214 17 50 203 250 121 45 160 253 7 205 158 174 184 245 214 91 103 104 237 89 63 19 12 72 211 216 229 32 32 39 191 101 24 128 211 31 155 76 221 209 58 26 28 60 135 30 122 104 93 19 4 230 198 47 51 230 202 33 79 33 106 251 55 173 129 54 176 165 181 145 184 249 128 19 239 104 156 101 252 69 90 43 63 116 127 60 45 231 245 238 168 251 9 119 183 135 89 28 105 106 157 106 60 43 180 81 250 229 26 95 251 174 246 49 78 211 24 81 159 148 52 102 225 154 138 68 241 188 136 180 44 64 128 222 105 151 144 140 243 196 56 145 2 176 226 24 29 14 61 124 90 27 182 185 103 193 55 110 227 126 70 167 82 112 75 58 151 203 176 209 123 204 53 102 185 30 219 143 114 221 28 33 122 57 69 56 156 131 38 80 209 37 198 51 180 187 150 51 214 166 203 61 89 165 199 158 36 155 251 12 2 24 171 108 42 56 231 212 249 41 28 163 1 185 168 28 161 249 214 52 49 195 86 171 155 52 214 118 134 206 204 187 65 117 63 93 93 214 186 38 35 250 185 57 74 93 86 91 210 81 4 56 10 128 22 7 192 1 110 94 160 2 200 65 46 20 214 57 27 118 27 216 26 117 145 186 218 192 150 214 70 226 110 66 129 132 62 140 179 213 71 152 210 83 55 162 220 143 157 186 61 25 167 187 237 116 108 167 97 215 89 142 160 83 119 87 107 133 250 129 90 46 112 181 26 221 28 186 71 42 135 93 105 100 17 34 242 88 68 181 98 211 104 20 208 37 32 155 210 25 78 203 224 114 224 135 159 169 100 11 117 3 250 61 58 98 252 158 213 149 108 177 46 239 93 166 83 40 150 11 220 56 137 130 51 203 194 156 157 36 209 44 17 184 69 77 146 160 59 29 30 84 22 238 63 0 152 41 23 231 111 0 112 179 245 236 174 147 105 247 213 201 184 251 233 232 239 253 116 97 202 158 147 117 205 157 106 167 75 55 124 245 9 216 215 11 160 57 147 13 145 84 149 139 46 22 141 63 8 0 138 30 102 157 217 94 245 140 180 183 51 247 218 107 175 127 215 236 231 100 104 210 204 250 52 75 202 76 179 229 140 53 107 69 128 3 220 164 237 213 181 107 193 115 111 73 141 5 224 218 192 86 124 59 193 223 6 182 242 122 105 86 111 90 240 148 144 91 182 133 200 91 22 238 52 53 67 51 238 199 131 219 31 247 99 187 177 56 61 61 61 21 29 56 216 199 189 164 243 231 207 255 145 38 9 126 95 93 164 82 80 179 136 52 76 137 245 147 94 87 245 85 178 91 158 174 102 87 63 81 205 126 189 172 106 160 182 122 131 146 213 25 97 129 95 191 58 79 140 254 39 9 250 9 21 163 209 112 130 128 205 251 27 114 21 127 147 44 146 10 8 145 63 114 24 6 203 6 184 44 64 225 0 217 12 1 218 30 147 234 217 193 211 6 179 99 102 233 209 173 80 7 78 11 167 232 246 170 220 156 160 75 183 117 164 50 10 228 250 164 161 117 178 38 78 221 211 207 45 88 145 59 81 197 0 0 32 0 73 68 65 84 176 224 175 57 71 79 93 209 154 254 176 216 164 2 19 12 0 156 131 27 249 164 139 170 13 245 54 217 192 209 67 208 70 1 112 176 53 25 192 181 137 208 246 88 13 180 129 109 152 15 225 57 208 218 98 51 108 74 212 105 216 254 164 12 78 115 123 72 24 192 166 133 158 79 223 118 219 109 23 72 83 56 91 221 79 27 236 70 179 112 227 110 26 43 231 163 77 87 195 126 74 90 216 15 31 171 217 37 48 191 91 89 205 234 210 214 76 85 145 150 195 194 15 7 48 164 128 11 24 154 145 57 163 63 90 33 112 139 255 54 58 166 94 84 207 15 126 220 216 128 49 0 229 134 58 176 211 114 177 5 98 220 38 53 91 23 20 31 161 155 190 78 222 101 48 59 105 151 1 221 127 32 232 87 28 160 201 234 44 137 239 114 176 169 87 97 139 213 55 155 224 53 206 246 229 251 238 187 239 76 237 219 173 105 177 115 85 19 54 3 116 79 29 220 136 227 0 39 30 112 151 117 115 202 137 222 135 0 174 8 110 208 75 52 56 200 164 107 241 204 211 254 105 170 129 54 176 53 85 71 179 103 51 2 27 130 105 26 45 154 71 30 230 225 110 167 241 156 230 54 97 12 64 115 238 253 202 171 175 190 250 85 61 61 61 87 64 83 183 136 65 110 218 115 110 24 87 162 49 79 160 139 38 196 250 222 163 181 236 11 11 107 217 66 93 252 98 77 95 227 79 140 177 153 112 107 172 65 193 145 51 100 46 73 21 39 116 76 66 14 132 205 244 235 45 118 52 242 29 222 202 242 228 249 39 163 46 203 129 206 193 14 120 96 188 109 131 96 70 27 204 236 158 208 151 234 66 151 55 236 61 144 253 158 180 57 100 172 209 152 34 241 61 78 90 204 8 110 182 15 151 35 221 181 150 237 159 110 184 225 134 15 29 123 236 177 83 5 106 131 210 214 12 192 82 128 3 220 0 54 186 167 46 11 128 27 139 246 214 6 54 175 185 161 118 27 216 134 214 73 78 121 14 128 13 217 222 190 242 116 18 154 131 81 202 131 219 31 226 228 97 234 114 210 136 104 52 29 218 2 116 133 150 117 156 200 100 129 252 28 76 105 218 132 217 250 25 80 52 6 207 105 160 159 88 208 149 253 215 3 242 136 86 21 39 192 64 120 62 179 169 150 236 137 56 48 96 187 177 204 68 127 66 246 224 81 219 121 139 30 117 140 6 99 89 186 158 107 207 179 115 187 223 203 224 113 177 211 48 52 84 204 70 233 95 28 215 205 132 195 43 118 215 37 43 251 247 103 207 223 73 151 188 48 73 162 218 118 190 192 221 244 203 187 176 237 108 234 150 126 104 183 221 118 187 80 139 122 119 98 153 141 38 24 234 60 14 110 90 152 155 131 29 221 84 7 184 177 104 111 109 96 107 170 251 38 143 55 164 38 98 219 243 156 212 192 179 105 199 165 25 210 86 41 182 61 173 213 128 245 75 181 32 20 80 131 15 196 50 227 61 21 52 181 73 26 35 123 74 227 102 239 186 81 160 118 159 212 54 253 175 9 212 252 18 147 77 205 220 88 227 193 239 15 153 68 91 42 62 116 253 202 158 148 207 194 139 178 36 217 254 197 248 164 131 177 120 209 54 63 63 137 129 15 121 76 138 80 31 221 170 155 157 186 116 113 178 220 151 233 174 214 183 94 223 157 125 254 238 154 129 218 84 213 46 244 22 134 246 52 32 109 140 224 127 212 233 199 47 213 70 248 167 117 156 17 99 112 29 60 108 223 210 70 120 179 97 138 219 185 58 196 99 176 170 137 7 179 119 222 121 231 14 77 44 68 168 133 51 24 117 75 141 214 6 53 175 145 114 187 13 108 229 245 98 212 77 248 120 90 127 242 195 164 163 160 77 138 39 32 99 117 124 69 75 11 254 40 238 249 100 176 186 169 49 104 234 46 211 132 167 105 33 103 222 220 153 253 122 177 142 202 209 12 33 250 25 247 145 6 35 155 214 63 156 41 4 167 236 133 160 38 41 132 53 61 242 24 208 184 93 12 111 138 221 236 105 146 67 60 17 40 66 110 71 246 8 111 33 29 167 69 94 47 114 46 11 71 193 56 216 115 108 247 76 1 220 90 105 185 159 186 163 51 123 207 175 187 178 187 52 83 12 237 255 179 247 38 0 118 29 213 185 238 62 221 167 91 179 228 89 178 101 91 45 121 158 49 54 158 109 76 94 32 16 66 2 113 24 30 152 92 27 66 124 67 46 36 1 95 30 188 16 204 20 8 9 144 155 132 11 23 66 114 225 18 32 129 144 16 98 204 125 126 240 2 54 158 241 60 129 71 201 182 108 73 182 100 13 150 44 169 187 79 191 255 91 85 171 78 157 221 251 116 159 214 216 221 62 37 237 83 85 107 173 90 85 181 247 174 191 87 141 27 153 138 164 88 201 189 178 204 6 245 60 250 181 36 228 115 58 241 120 177 14 31 120 94 86 25 71 185 39 112 115 144 35 235 42 112 3 224 198 1 183 150 231 92 170 194 11 62 218 5 182 169 245 10 164 151 153 110 232 35 143 60 50 248 186 215 189 238 0 53 140 51 212 112 104 84 54 180 128 165 230 23 13 121 86 111 163 248 43 141 167 253 248 177 222 162 62 19 64 11 96 48 186 234 177 169 146 62 50 1 13 194 30 135 236 97 120 238 92 166 236 195 55 29 98 228 186 92 206 211 187 223 34 235 105 170 124 79 128 126 191 20 48 160 243 184 56 0 187 211 72 130 254 118 224 102 122 248 137 14 89 172 51 150 142 240 65 229 107 215 244 20 191 125 253 140 226 234 167 122 53 171 202 61 14 121 187 60 126 188 239 156 4 50 164 201 132 99 181 152 247 195 34 51 60 192 185 108 6 108 128 26 97 89 110 182 1 31 94 25 220 160 141 5 110 240 229 210 251 16 162 221 95 191 3 93 96 243 59 49 197 124 186 161 42 242 214 139 47 190 248 40 225 217 82 186 63 106 84 45 47 58 86 197 28 117 65 239 93 223 163 175 146 211 247 204 27 163 152 64 2 173 211 92 30 142 164 204 51 105 23 21 221 131 214 184 141 217 42 236 116 87 95 22 65 58 151 1 108 28 128 140 30 249 78 119 63 241 4 206 45 52 165 247 60 76 79 174 175 4 112 232 112 25 79 3 13 103 113 253 196 168 209 204 130 83 126 251 106 230 116 181 186 243 239 188 121 134 77 190 0 110 232 105 227 88 223 6 96 189 77 99 109 23 169 91 185 94 227 107 125 14 110 248 164 219 17 112 43 157 191 134 158 150 231 222 166 60 47 40 114 26 143 121 65 213 122 234 85 118 212 203 171 174 14 214 89 227 198 27 111 60 89 39 118 204 228 220 53 85 107 212 11 94 215 154 173 111 203 82 219 188 89 11 112 103 54 100 129 68 85 120 180 102 243 73 233 129 168 70 60 245 115 3 27 49 216 114 150 196 195 129 148 84 228 104 128 150 42 231 0 2 207 101 114 90 74 227 204 68 8 1 35 59 47 250 30 141 197 10 55 193 35 98 194 15 229 39 34 6 60 35 54 125 162 186 85 38 71 216 249 174 6 18 187 48 248 90 60 187 45 222 123 107 127 49 83 127 90 126 117 241 144 237 202 168 152 80 32 233 144 128 171 174 165 30 31 82 151 244 58 77 238 60 171 63 64 253 122 94 67 76 92 11 220 152 193 30 193 130 67 63 19 11 88 110 132 113 62 161 224 227 110 2 199 192 8 165 243 176 251 41 93 36 88 53 156 249 66 243 187 22 219 158 125 226 187 234 101 171 105 182 141 241 53 246 45 190 68 141 129 90 176 18 62 117 69 213 94 52 182 54 82 60 163 51 97 255 99 181 30 179 90 173 1 72 248 105 54 13 143 59 204 164 184 52 42 236 5 134 156 135 243 219 6 189 124 229 124 194 150 62 234 64 54 89 76 68 162 107 209 65 222 118 145 214 195 209 151 124 162 17 246 75 1 242 65 183 235 23 22 5 62 60 11 135 238 169 133 51 57 177 108 49 47 233 113 206 15 177 16 135 200 178 16 150 204 0 114 239 191 163 175 184 101 109 111 49 95 147 48 85 19 10 42 35 71 183 15 171 75 122 156 214 180 93 162 13 243 207 11 196 56 132 192 186 162 238 187 21 231 160 134 175 243 225 210 132 2 101 240 110 105 44 79 25 196 188 152 185 143 76 249 202 249 211 58 220 5 182 113 30 175 94 206 248 170 143 35 184 115 236 118 47 170 191 152 185 246 154 86 172 219 78 3 117 71 247 81 3 56 81 131 213 214 208 17 178 226 170 200 58 200 95 43 236 27 197 35 155 180 69 138 51 115 5 108 13 107 174 38 196 79 108 173 49 158 170 9 157 42 199 106 43 28 67 70 118 78 46 34 225 106 39 97 228 236 146 132 165 141 113 79 96 52 120 73 176 36 16 224 38 138 71 233 124 223 119 150 14 29 77 125 17 220 4 64 158 127 2 60 105 203 199 222 156 78 38 6 132 40 145 115 93 33 22 126 121 32 58 160 173 152 35 48 91 181 181 167 184 226 174 62 125 244 56 128 29 122 170 156 44 54 198 215 222 118 230 153 103 46 17 104 109 21 184 9 26 195 152 219 68 193 77 103 187 121 22 237 222 25 231 87 249 254 62 185 95 37 51 45 104 93 96 155 124 143 177 234 133 109 161 113 186 132 138 61 244 182 183 189 109 127 53 140 195 105 56 56 107 216 52 110 93 52 220 186 154 230 227 250 80 223 86 216 178 222 172 133 91 115 53 97 126 66 235 85 40 180 126 111 153 37 89 201 37 78 12 224 217 165 31 101 85 125 185 76 89 125 70 79 9 69 11 46 105 150 82 71 37 50 200 195 30 135 6 20 113 197 116 177 48 14 114 198 21 203 45 56 147 34 185 165 224 94 197 176 124 7 38 211 134 128 156 165 11 193 84 95 162 76 192 236 171 117 110 55 203 98 251 220 3 125 182 61 45 138 149 189 94 186 148 234 126 14 8 207 94 171 111 75 200 136 219 194 41 43 246 76 177 214 242 176 100 218 46 5 137 138 115 80 202 195 229 124 59 137 123 122 43 75 39 9 166 138 76 23 216 166 202 147 10 229 180 23 144 241 25 69 27 3 3 3 11 228 207 81 92 13 52 0 26 98 177 77 18 44 214 177 164 74 173 147 229 29 77 16 137 18 180 106 163 35 41 231 224 17 34 65 62 227 187 222 136 29 150 79 212 96 41 252 199 105 230 235 199 178 137 76 231 53 203 2 195 169 81 216 50 200 192 42 231 87 133 93 222 202 175 116 6 118 77 93 104 7 160 210 149 197 129 108 254 8 32 131 26 100 112 57 184 153 250 64 54 57 130 150 78 62 167 138 124 253 209 186 246 216 246 20 243 226 186 192 40 154 123 13 198 211 116 189 238 210 75 47 93 160 110 233 32 86 91 9 208 172 45 2 116 99 129 155 78 16 201 193 200 1 201 105 121 158 19 13 239 10 29 19 205 115 183 201 119 129 109 183 221 218 9 43 246 151 180 156 176 76 79 113 26 129 132 133 105 6 106 137 78 11 13 52 99 70 125 177 197 210 52 147 149 99 169 249 177 255 65 144 112 46 27 195 70 11 0 16 21 154 88 38 105 141 62 197 21 72 106 98 2 227 65 108 97 196 184 209 115 48 203 18 121 154 241 252 84 2 116 86 3 156 103 99 190 178 0 200 244 191 18 220 160 187 28 190 59 15 51 91 202 9 34 27 180 199 246 75 15 213 109 173 32 67 255 153 168 39 169 201 106 35 124 150 22 82 159 170 47 81 61 239 86 219 142 128 91 84 202 243 206 47 200 229 120 20 157 144 231 58 38 148 104 178 9 119 129 109 178 61 145 102 121 202 47 216 168 184 198 214 152 44 176 9 3 79 102 128 230 17 53 49 107 132 178 232 66 11 205 154 156 181 88 128 68 206 132 196 131 157 194 46 107 68 19 243 22 235 28 35 42 98 170 74 126 72 208 76 102 105 76 119 137 147 104 45 90 155 74 91 186 153 17 172 28 180 114 159 194 89 65 98 93 67 101 68 139 105 34 223 239 143 1 26 73 84 28 75 38 191 108 185 25 15 126 118 41 152 210 16 2 220 230 169 75 250 19 157 140 114 131 172 182 57 178 224 220 234 67 54 186 30 89 213 195 154 0 168 235 153 93 160 179 242 26 26 78 176 201 31 235 135 234 7 57 254 80 197 63 86 105 205 219 88 19 10 81 183 191 23 238 71 242 78 131 92 89 159 235 157 18 126 23 216 118 253 99 162 29 236 136 235 52 157 53 2 101 208 163 243 188 54 171 161 218 71 142 21 87 208 85 184 197 22 142 225 73 227 107 240 29 228 172 132 138 211 240 105 170 150 54 166 247 176 235 243 56 105 34 45 74 154 150 177 126 146 156 235 74 194 121 158 73 42 232 79 249 69 25 226 163 210 39 69 33 224 50 230 71 112 179 52 232 38 125 19 224 114 112 115 139 205 146 73 50 7 55 167 153 26 180 160 38 228 150 126 137 99 165 109 30 170 21 223 209 193 2 118 96 167 63 161 36 69 218 160 69 24 118 206 99 143 61 198 7 168 237 52 94 7 54 124 196 241 199 3 55 137 209 110 203 185 16 47 95 34 153 203 233 78 235 212 47 231 211 105 186 189 42 215 5 182 189 122 251 91 50 239 248 5 210 89 107 36 172 235 219 149 27 213 64 158 86 67 160 225 152 50 252 24 52 203 225 32 237 52 168 105 14 46 208 144 209 69 196 133 60 78 234 156 110 252 160 51 165 241 102 29 211 58 215 50 174 248 113 190 111 175 111 182 174 48 230 199 203 71 103 218 46 194 210 111 151 38 58 140 103 241 178 76 108 189 82 206 124 72 203 149 151 193 234 34 48 203 77 179 84 87 37 20 159 242 33 86 6 55 75 42 94 158 212 105 248 56 79 139 22 194 51 181 16 250 186 167 123 138 7 53 11 61 75 247 27 75 46 119 0 86 220 29 114 146 102 178 15 81 152 147 141 109 118 20 158 59 64 13 55 22 184 73 111 243 86 134 112 75 86 145 15 45 151 115 25 167 121 188 19 159 52 83 202 117 129 173 131 199 37 176 40 189 166 29 36 218 61 34 246 130 197 19 32 250 244 189 202 13 90 212 185 66 131 205 150 91 94 76 192 132 111 149 31 172 69 185 251 246 133 6 110 19 8 65 50 180 232 84 45 107 166 161 196 222 130 115 185 150 112 188 21 49 45 49 10 5 56 177 204 148 253 149 92 14 88 240 92 101 200 37 2 138 21 73 221 54 124 187 98 88 66 13 14 121 20 170 24 157 56 124 163 133 176 25 95 6 40 1 86 210 175 50 2 232 2 40 6 75 138 5 202 245 90 67 101 211 165 52 156 174 171 190 59 165 178 130 89 40 4 161 196 178 74 35 17 226 193 203 120 77 90 100 25 0 178 113 254 169 231 107 197 245 58 168 179 143 149 190 37 167 103 211 3 176 9 176 22 41 124 180 190 69 193 65 160 134 98 136 26 154 197 31 64 77 207 84 30 119 81 245 9 241 52 91 170 67 69 161 87 93 136 187 203 249 208 60 94 230 123 124 60 159 244 83 198 117 129 109 202 60 42 123 49 173 180 178 216 248 102 40 171 114 183 232 72 156 251 33 170 177 164 23 207 0 78 109 107 187 204 134 133 2 182 67 103 131 12 188 217 34 122 139 245 176 199 189 75 106 57 32 135 82 211 156 165 49 166 253 24 144 73 128 23 8 203 102 88 219 239 135 180 172 100 80 91 142 184 134 117 140 120 67 131 234 118 4 35 199 48 42 255 164 147 176 74 59 83 53 104 189 70 98 92 223 47 16 47 93 2 13 228 136 207 212 24 86 31 167 249 82 54 244 228 151 242 25 81 157 27 90 69 219 80 89 134 52 35 60 36 176 25 178 242 168 140 208 197 231 159 214 252 219 1 147 88 136 166 10 149 81 45 241 32 21 105 25 93 172 116 11 77 206 120 126 31 106 54 206 182 77 59 19 0 121 248 153 99 44 116 88 99 107 128 216 169 154 221 228 44 182 96 158 137 128 92 14 110 196 1 55 7 56 192 141 237 87 154 124 176 253 165 99 128 91 122 15 208 17 29 52 167 231 97 216 229 120 76 82 233 185 142 74 230 100 34 234 85 233 186 73 126 7 42 95 38 45 25 0 83 106 250 152 200 237 58 219 139 42 16 87 219 9 147 9 36 26 20 226 204 215 19 62 113 65 163 184 75 27 184 147 197 70 139 179 182 100 173 82 145 24 167 101 67 119 31 122 30 166 169 234 127 175 114 26 102 197 73 60 75 164 87 167 241 46 210 247 3 14 211 81 219 139 245 93 129 133 234 254 134 15 169 20 90 149 47 32 146 5 195 178 136 62 165 51 240 208 15 167 214 206 18 64 17 111 58 143 187 239 156 144 47 96 131 27 22 152 113 116 183 1 184 226 20 153 143 201 108 210 56 23 93 192 77 2 84 206 83 99 182 114 189 46 62 64 179 70 224 182 74 215 186 237 61 118 38 93 99 88 133 193 188 19 2 245 2 148 82 2 64 219 77 36 19 187 13 129 110 101 84 92 255 67 121 225 5 17 36 205 129 175 51 84 79 246 229 146 207 34 221 3 190 15 97 183 57 202 8 184 120 62 148 251 180 165 75 151 206 210 250 195 97 157 219 198 249 109 168 211 240 158 30 94 4 57 146 16 7 208 88 206 35 95 150 107 195 226 81 157 123 121 81 172 136 98 184 143 12 124 119 208 113 121 26 231 231 105 130 84 245 111 167 114 213 169 247 16 181 11 108 123 232 70 239 100 54 254 66 162 134 48 203 7 120 33 57 61 247 94 125 68 100 131 254 154 47 80 67 73 47 172 218 132 53 66 26 214 25 58 211 240 27 15 107 6 143 214 199 59 237 175 166 181 58 197 45 149 19 93 5 116 209 32 103 237 0 75 109 88 96 209 163 53 91 231 45 30 46 126 249 224 145 226 69 58 82 123 153 62 142 194 166 112 198 151 250 163 69 133 38 28 190 129 3 63 202 51 148 45 204 40 194 8 128 101 25 153 160 165 51 186 37 183 31 210 196 128 121 14 210 129 174 61 173 169 156 177 200 146 146 57 100 178 124 195 96 91 163 167 216 34 160 97 183 192 138 45 61 197 221 2 160 159 173 235 45 238 88 175 227 191 159 23 156 169 220 236 76 179 178 90 170 16 134 96 182 176 251 226 161 53 86 197 228 249 97 87 7 39 19 211 29 125 244 185 90 113 184 64 30 240 45 185 154 134 14 32 29 35 255 0 61 175 245 26 111 211 157 44 248 52 34 152 218 49 184 1 120 200 235 114 71 209 113 161 210 33 156 255 58 63 151 129 230 242 229 112 158 182 28 182 91 80 38 78 166 120 203 82 129 201 84 176 201 86 150 252 47 105 7 101 243 151 165 74 20 94 153 239 52 247 73 231 97 124 94 250 60 94 211 210 1 78 143 24 214 102 248 190 235 175 191 254 42 29 73 125 154 142 202 209 78 170 145 94 7 1 44 16 246 53 62 165 37 84 111 248 233 140 98 141 54 194 247 170 241 98 213 4 36 144 202 216 248 237 35 7 22 118 26 190 178 181 92 3 141 45 241 35 178 138 206 22 152 125 224 196 33 59 54 155 79 219 113 250 46 167 206 178 95 18 221 228 91 229 2 54 53 153 148 211 202 138 95 74 16 232 128 75 198 81 208 227 94 71 216 78 43 169 176 40 6 16 16 80 151 207 183 30 176 26 57 134 8 208 219 34 171 238 65 125 141 235 251 79 214 139 175 45 239 43 86 109 234 45 122 4 206 6 25 74 141 111 55 30 29 138 115 59 204 39 12 143 219 66 56 198 181 226 214 172 197 79 188 104 123 241 59 71 12 154 165 72 151 52 115 13 45 223 232 17 168 109 22 237 87 21 190 77 67 9 243 245 17 30 251 216 114 148 27 145 101 150 0 139 176 234 106 55 129 32 50 196 61 204 103 254 32 197 203 216 252 100 206 210 40 94 246 51 145 74 158 203 231 114 229 112 39 50 229 52 123 36 206 115 234 186 14 238 128 191 92 29 136 238 17 17 38 16 244 82 115 238 215 70 89 111 119 170 145 216 11 159 103 142 85 179 85 72 115 168 172 135 243 14 16 242 228 22 132 181 21 222 203 248 110 134 182 211 140 155 34 127 111 195 24 210 136 140 141 87 233 59 0 223 62 127 91 113 193 65 195 118 162 44 159 229 123 86 205 146 110 23 160 70 59 166 49 87 93 97 98 33 140 63 193 175 11 25 242 43 79 99 116 172 40 201 36 186 222 86 143 187 79 183 56 133 219 228 75 153 40 27 199 122 243 113 22 246 118 174 85 185 217 22 197 87 170 254 248 196 193 226 7 47 219 86 188 241 200 193 162 33 62 240 65 26 110 137 254 219 79 139 15 77 206 111 25 60 46 210 176 57 30 171 173 141 171 177 175 87 207 106 142 0 119 161 14 146 28 150 229 213 163 197 186 121 59 100 70 52 77 42 16 198 241 135 21 47 6 83 120 245 234 213 100 198 133 14 15 231 5 200 105 121 56 47 162 203 187 15 47 15 231 178 121 184 19 153 92 126 143 133 243 27 186 199 50 237 102 84 121 7 172 237 84 114 218 16 181 255 144 23 171 161 201 132 155 227 82 2 142 10 111 145 166 145 50 64 254 107 234 54 22 26 239 210 177 251 217 27 43 102 18 39 28 35 238 71 77 188 36 204 74 30 160 161 160 143 157 188 221 190 157 0 48 32 109 96 165 82 184 245 210 146 121 155 8 86 20 23 206 194 26 63 202 105 205 100 65 174 204 243 184 251 73 79 212 235 116 124 119 4 41 49 32 201 137 194 140 241 97 22 57 208 29 58 171 81 124 233 140 237 197 31 158 48 100 224 230 183 5 63 15 163 207 227 45 97 35 6 107 15 160 231 115 127 158 187 151 199 228 117 111 153 197 214 115 178 129 81 104 226 215 202 224 6 13 231 252 16 11 113 192 141 73 5 104 132 81 129 156 28 190 3 156 251 198 136 60 151 117 223 121 248 185 14 167 59 205 227 83 198 239 2 219 238 121 84 249 187 191 123 114 144 86 53 6 242 153 113 139 156 44 183 103 153 53 83 156 246 74 195 193 211 219 58 98 131 229 103 202 98 59 43 90 109 0 157 57 243 248 137 241 64 109 254 70 150 53 29 1 219 185 7 54 138 37 2 183 13 106 184 108 37 162 59 183 51 142 118 203 133 195 87 35 181 43 167 59 207 249 57 207 195 164 243 48 126 217 57 205 125 175 45 146 102 13 114 143 100 169 113 93 113 210 246 226 215 101 149 14 105 194 193 234 45 25 186 186 150 70 63 220 86 194 238 123 94 70 83 132 251 253 156 198 32 25 207 44 23 37 230 207 4 0 207 103 129 142 158 42 52 9 148 118 32 0 110 146 241 10 16 52 71 30 30 86 218 36 67 16 128 211 22 173 30 125 221 42 7 50 116 248 149 211 77 21 63 114 206 247 252 156 150 251 229 48 241 178 203 211 151 121 123 45 78 165 187 110 242 223 1 218 205 40 167 25 53 232 51 255 248 143 255 248 81 89 108 55 105 41 0 13 198 128 13 97 192 141 183 142 177 175 153 154 177 251 237 165 106 185 26 216 15 93 198 76 165 7 35 24 146 54 54 95 11 217 155 43 153 3 117 60 54 22 218 78 56 26 49 229 179 75 97 193 165 13 156 51 120 158 194 106 176 22 119 31 25 191 144 227 114 158 199 229 179 146 223 47 242 241 75 73 13 24 204 111 247 131 21 199 204 42 238 143 142 27 42 230 106 86 147 113 195 212 106 85 127 191 77 65 42 252 182 220 50 145 144 225 30 37 120 202 133 21 86 185 108 92 91 221 209 65 125 232 165 166 49 54 203 2 58 135 135 70 17 207 22 178 170 26 192 140 72 238 92 53 108 0 142 180 217 5 59 143 123 184 76 247 56 62 46 229 29 162 45 180 140 52 185 131 221 89 209 201 241 124 104 15 254 66 117 92 34 89 105 35 75 150 44 233 91 177 98 197 70 253 197 190 82 131 208 175 212 139 175 145 41 107 95 73 31 22 26 159 221 123 153 62 4 252 10 125 78 238 234 199 234 69 175 142 185 182 195 17 105 153 121 43 180 56 69 72 201 83 131 94 163 238 231 160 125 96 184 201 235 180 176 106 124 116 193 104 128 180 84 26 184 89 103 158 158 120 217 185 213 89 229 107 240 188 69 156 184 211 252 124 58 124 104 158 222 19 84 230 37 38 128 196 82 145 147 247 105 20 191 114 240 112 241 29 157 218 209 163 101 42 252 33 240 7 84 229 59 13 33 74 197 18 151 186 186 186 44 45 172 168 150 21 67 101 226 147 98 44 245 232 213 100 130 85 134 141 242 26 94 16 203 150 125 140 232 15 151 197 73 160 50 27 221 18 199 31 62 230 163 244 195 170 163 223 12 110 34 23 69 194 185 95 190 185 101 58 241 60 157 135 221 55 101 99 252 116 42 55 134 138 93 203 234 2 219 174 189 159 59 171 205 95 176 142 245 168 49 240 82 207 250 135 127 248 135 31 94 126 249 229 203 245 162 15 136 134 237 1 192 37 171 45 88 105 69 241 238 163 7 117 196 78 111 177 81 32 149 102 72 211 251 79 10 222 81 185 172 36 102 149 168 209 223 191 129 117 96 133 125 69 158 133 37 81 50 200 151 126 203 224 161 86 249 188 150 55 108 148 101 185 73 97 14 83 218 38 95 139 45 82 230 228 232 13 52 105 107 182 217 64 178 214 61 50 162 149 115 197 252 36 164 128 242 163 190 51 197 199 114 153 173 11 153 89 162 19 118 107 198 0 85 241 228 19 118 71 125 24 147 100 221 29 95 131 255 206 138 222 52 33 18 186 163 146 16 159 130 82 249 81 127 19 2 185 96 27 27 93 92 42 67 198 42 147 229 7 56 97 93 233 120 240 33 1 252 3 98 61 39 94 175 118 33 112 98 94 241 212 83 79 1 100 4 201 2 208 50 31 66 116 196 81 139 223 171 63 108 44 21 233 215 16 4 126 161 177 214 134 102 199 163 221 9 37 129 21 242 84 47 119 208 112 78 119 153 156 158 211 144 115 158 37 156 204 63 221 229 30 19 124 58 122 57 253 69 24 47 229 88 114 188 239 101 135 60 87 206 243 6 89 230 57 221 124 173 99 235 123 252 241 199 215 234 232 233 43 6 6 6 62 160 191 228 6 108 52 40 46 119 128 27 159 142 251 234 163 125 197 71 110 239 47 106 252 89 83 117 172 195 74 181 236 146 74 124 138 98 203 61 194 56 88 144 233 41 190 113 222 246 226 87 15 29 209 76 104 143 141 179 53 181 123 46 36 39 125 211 17 87 57 104 196 107 4 84 207 202 223 32 218 122 133 215 42 188 69 225 94 133 159 151 229 178 17 107 78 174 74 173 41 140 64 135 80 31 97 93 100 70 183 147 198 61 71 23 13 253 80 249 128 218 2 93 139 163 63 75 121 137 92 93 62 201 88 185 217 196 62 95 144 120 179 78 234 120 237 53 51 10 254 108 176 20 154 148 140 41 146 153 77 148 112 123 60 28 125 121 54 43 250 197 51 7 109 178 102 189 254 8 0 112 238 148 135 125 211 64 150 36 214 218 223 199 251 80 87 29 172 96 240 93 54 250 30 119 159 246 202 161 7 171 165 99 133 186 179 143 232 107 242 171 36 203 242 17 114 234 215 130 237 153 226 247 8 224 0 64 7 65 210 187 14 5 45 220 9 45 151 37 140 203 245 4 74 243 119 44 94 83 106 15 132 186 22 219 30 184 201 19 204 130 151 195 155 67 30 206 213 180 208 53 78 195 11 60 91 86 219 215 222 245 174 119 189 69 127 245 15 215 64 116 178 218 60 33 13 146 213 248 111 25 24 42 126 190 177 71 31 78 238 211 7 94 216 64 144 169 163 241 151 128 9 174 237 54 144 93 241 245 229 245 226 149 139 7 147 69 226 5 245 60 0 136 178 3 80 212 214 230 170 33 114 165 46 104 46 235 160 83 78 91 142 187 28 160 230 97 124 46 239 130 58 207 227 174 35 207 207 105 163 124 21 31 152 153 171 238 36 27 219 217 193 224 206 111 77 118 183 82 43 71 138 189 185 236 56 96 9 9 75 75 154 41 131 6 149 209 22 232 170 28 243 245 140 254 80 86 155 149 219 235 225 249 184 223 174 188 250 3 192 196 145 170 55 188 74 86 222 253 146 187 141 75 128 126 143 62 203 248 136 210 115 248 219 44 93 26 112 48 112 227 253 160 56 248 184 188 104 84 7 87 69 11 156 192 115 57 167 77 106 191 107 177 77 240 241 232 5 202 95 128 177 82 143 37 7 175 204 247 56 214 136 135 93 206 105 30 199 119 154 249 178 218 234 178 218 158 189 250 234 171 223 117 212 81 71 125 74 235 220 88 216 89 185 252 131 25 77 150 35 188 251 214 25 197 181 250 128 178 129 155 226 102 161 145 181 89 77 49 78 117 117 81 237 176 154 173 86 252 221 57 131 197 155 6 26 246 41 58 116 185 27 231 214 208 48 252 178 36 166 147 129 168 10 215 174 177 35 234 233 202 50 209 122 75 128 231 229 41 203 229 217 185 12 62 23 22 219 60 89 108 183 172 237 41 126 227 39 51 10 254 100 204 80 29 41 56 155 210 36 98 15 199 173 54 187 249 162 49 31 253 172 102 82 223 180 100 168 248 235 211 7 109 93 31 105 170 42 23 243 4 100 16 153 176 227 185 50 86 73 15 52 246 66 249 162 21 192 254 180 120 63 147 194 239 137 254 111 234 226 62 165 240 60 93 116 211 53 115 212 122 255 179 184 151 35 247 61 44 177 202 116 208 203 46 79 83 230 237 209 120 246 90 238 209 124 187 153 77 236 14 140 245 194 24 111 221 186 117 52 148 121 175 120 197 43 190 178 118 237 218 107 181 51 1 80 27 242 134 235 217 209 32 177 44 176 70 62 125 234 246 226 212 133 250 36 159 38 230 232 50 133 70 40 117 152 38 230 8 199 144 252 94 141 61 17 127 159 186 177 55 169 171 182 72 251 66 25 246 14 29 169 152 164 189 135 122 222 55 26 153 93 42 31 62 180 81 151 202 61 138 230 114 52 108 133 37 18 28 97 46 89 133 6 78 238 75 46 129 156 248 163 156 82 27 13 223 195 152 185 236 249 188 94 171 39 182 106 28 18 224 246 250 49 206 230 206 67 248 104 97 97 46 247 244 181 135 13 219 58 57 31 211 116 249 220 143 229 226 249 176 75 100 194 23 186 4 98 13 89 234 195 236 62 225 143 152 226 128 220 129 250 34 214 171 100 13 126 65 227 153 63 210 226 221 223 145 40 227 153 116 85 233 170 219 125 147 239 206 238 155 34 225 70 52 125 231 231 190 203 228 180 114 184 19 153 114 154 221 18 167 162 93 183 123 238 128 191 251 157 106 31 79 190 204 111 137 107 6 173 161 229 3 188 188 91 53 214 246 65 141 179 61 167 229 31 117 53 156 124 48 217 202 2 136 109 209 214 168 5 26 111 251 162 22 165 190 76 141 113 88 175 63 13 174 57 38 228 234 229 19 84 26 214 102 177 97 124 173 182 102 93 172 47 162 255 80 95 68 63 80 93 47 26 63 51 172 14 0 157 86 120 60 185 28 112 198 146 117 185 220 7 220 252 202 233 121 24 157 196 113 148 157 238 227 1 90 210 242 11 117 211 191 172 163 190 237 67 163 177 250 38 164 31 199 124 124 187 68 243 46 254 43 53 147 122 225 65 13 91 15 7 109 55 58 180 211 118 253 143 4 32 57 162 137 153 134 158 251 144 186 169 13 129 219 113 122 254 127 171 174 234 55 214 175 95 191 88 178 207 70 249 50 184 137 220 226 208 237 151 51 118 111 109 60 151 93 232 119 129 109 23 222 204 93 164 74 77 38 57 194 229 56 204 156 150 226 90 240 57 180 120 241 226 249 154 29 189 229 201 39 159 252 40 221 20 53 110 94 202 178 188 45 71 216 162 206 9 75 19 254 250 244 237 197 91 143 86 68 16 200 241 67 44 85 176 55 217 91 49 201 99 24 75 164 87 105 158 212 129 138 111 184 118 70 241 169 251 250 108 179 55 128 192 190 84 248 14 114 100 202 181 179 206 193 168 19 61 14 84 200 134 116 238 203 42 203 20 132 178 133 211 64 40 47 75 61 56 149 228 17 109 96 255 207 55 247 23 43 85 63 54 197 83 31 156 223 10 172 54 175 19 62 167 231 110 212 216 227 225 58 26 234 114 173 127 227 15 3 105 246 66 195 162 122 100 203 184 121 143 186 166 67 186 70 52 137 112 145 252 31 173 90 181 234 213 162 175 215 228 2 50 121 241 72 231 151 130 99 58 228 112 238 135 216 36 252 237 142 177 237 192 67 81 131 233 244 193 142 37 151 191 92 94 10 228 243 11 58 113 100 115 186 135 157 238 62 203 5 122 245 23 155 116 91 175 191 254 250 47 9 232 126 75 47 51 227 43 188 240 45 142 106 52 164 150 83 41 216 204 254 207 58 218 250 83 247 245 23 79 63 39 117 26 52 234 17 93 7 230 40 103 101 151 46 178 210 154 52 225 165 29 93 164 73 201 19 181 163 225 146 101 195 197 175 104 141 220 18 205 75 178 110 110 155 232 116 207 0 13 183 108 242 204 169 64 217 117 114 87 3 192 56 180 148 53 132 120 200 143 140 99 92 30 214 104 238 128 123 22 229 114 64 36 227 99 28 109 116 165 198 27 63 121 111 159 64 77 245 147 237 139 21 71 153 220 250 194 215 127 93 97 172 13 80 99 138 134 77 245 127 127 230 246 226 213 218 182 198 49 73 77 171 55 207 113 215 133 41 67 135 142 217 226 33 189 19 125 188 19 26 131 124 247 33 135 28 242 55 74 203 82 25 61 29 187 80 197 205 241 139 56 206 227 248 238 156 70 60 167 59 127 44 122 46 179 219 195 93 96 219 129 91 188 139 128 45 180 145 214 252 157 230 62 92 15 131 40 30 118 63 167 17 198 213 116 62 91 93 227 108 219 46 188 240 194 125 62 253 233 79 127 119 223 125 247 61 129 37 32 42 55 93 151 228 0 54 26 46 224 198 82 6 190 104 254 240 230 222 226 191 235 59 153 223 93 217 167 61 147 82 73 235 245 201 4 107 217 49 75 13 129 217 242 7 177 177 242 40 217 146 249 90 255 165 174 216 5 186 78 210 34 215 131 53 6 7 96 250 137 178 12 204 3 22 214 162 228 211 50 12 60 228 123 56 21 174 93 64 249 32 92 6 170 92 220 1 8 219 138 210 18 183 82 203 18 229 20 93 236 81 64 151 229 24 15 11 196 175 209 89 117 255 190 178 94 220 173 9 3 92 175 16 15 171 139 172 184 63 85 62 39 121 96 241 30 168 89 229 79 191 120 123 241 186 195 134 100 185 133 251 136 252 238 114 126 159 240 185 188 126 99 229 167 231 204 49 228 125 204 72 171 187 250 206 69 139 22 125 65 242 124 186 145 39 135 26 156 171 108 23 207 101 60 140 95 229 92 71 21 111 143 208 186 192 182 3 183 121 55 2 27 165 161 93 88 59 204 138 230 113 107 99 145 15 219 222 107 249 78 79 190 254 50 247 169 59 186 254 19 159 248 196 139 94 249 202 87 126 75 123 18 23 49 6 147 165 37 189 26 110 104 140 28 61 132 154 69 90 31 58 75 96 246 227 53 245 226 243 90 14 242 163 213 117 89 93 12 202 203 14 51 17 101 105 173 61 20 137 244 102 161 136 55 196 104 30 203 35 180 90 127 161 22 27 44 157 211 40 142 210 156 220 17 243 56 197 119 196 198 175 246 87 151 149 239 111 246 75 140 115 219 192 77 90 1 58 242 25 86 145 198 116 214 33 44 53 31 169 48 208 100 43 20 44 140 52 78 29 1 196 216 7 202 198 125 142 112 122 92 99 132 15 200 42 187 87 11 142 31 146 63 40 186 85 95 32 76 57 172 251 169 122 161 15 103 213 205 124 150 190 144 199 139 247 27 41 254 226 212 193 226 108 89 172 204 136 2 160 230 76 157 71 34 109 23 120 212 137 251 197 125 226 136 115 220 86 221 111 202 98 15 214 242 53 114 203 15 193 149 238 127 0 0 32 0 73 68 65 84 207 72 127 8 134 52 52 81 215 164 194 176 206 128 123 133 254 248 253 127 26 123 211 102 149 116 100 146 221 50 37 12 138 227 45 204 226 232 204 121 121 156 112 238 92 46 167 237 209 240 168 238 201 30 205 189 155 89 187 59 224 47 134 183 14 226 30 38 141 199 93 206 227 137 167 213 237 188 235 51 238 188 243 206 103 94 245 170 87 109 97 205 84 76 135 223 226 232 46 206 22 24 209 48 255 99 85 111 113 221 51 245 226 41 29 200 248 188 192 160 79 13 200 54 252 88 67 162 8 49 43 80 131 6 35 138 143 41 217 57 103 210 67 198 107 182 22 197 234 205 61 197 141 107 72 3 98 140 20 179 85 4 198 225 56 57 119 182 72 115 20 158 161 48 233 105 172 208 112 205 94 99 115 60 43 112 98 203 146 60 249 186 179 48 63 202 138 9 14 182 143 17 165 28 207 41 140 101 245 156 38 75 0 0 179 46 97 224 168 147 202 208 171 73 20 28 22 165 129 26 17 21 66 253 56 187 233 86 30 233 246 218 179 129 137 48 178 127 253 139 122 241 209 123 180 30 48 242 1 65 114 7 76 112 252 134 80 211 135 224 52 19 138 63 85 180 156 79 41 201 135 63 14 3 218 148 112 180 214 203 157 184 79 56 185 24 57 78 42 193 2 78 0 27 19 99 221 170 60 128 218 96 236 150 126 78 147 77 191 36 80 91 43 17 217 156 182 23 151 236 195 141 8 233 242 226 56 189 44 19 36 39 225 111 23 216 246 222 67 225 101 201 95 158 29 45 137 235 113 31 61 35 122 105 123 212 29 221 124 241 197 23 191 81 155 171 151 49 198 162 151 123 212 186 54 26 231 92 129 209 147 58 69 246 211 247 247 21 63 120 170 174 19 114 133 50 152 103 152 47 204 179 10 0 2 216 248 123 173 68 86 114 249 252 87 35 166 65 233 127 50 53 1 42 176 20 232 227 31 160 1 128 50 208 206 56 20 250 144 15 102 32 1 57 242 116 23 152 16 157 18 242 36 154 203 57 55 19 107 73 99 124 49 81 205 37 32 101 43 25 65 146 80 238 4 102 41 175 88 14 21 50 7 55 240 16 208 192 103 178 225 142 117 181 226 14 14 213 208 127 211 24 147 153 114 40 22 15 19 49 137 21 3 41 94 74 74 116 44 231 207 129 77 10 172 175 195 18 62 71 167 174 92 164 153 237 179 14 104 88 93 216 80 103 86 116 166 40 118 221 251 4 104 67 154 80 56 78 67 19 31 215 150 173 223 149 8 213 161 56 220 14 47 22 225 41 237 186 192 182 123 31 95 254 178 116 154 83 85 26 104 78 199 199 249 203 232 116 104 41 172 110 134 181 67 173 68 63 157 217 81 57 189 238 182 60 128 176 57 26 53 150 218 163 178 172 152 9 124 244 89 33 17 39 200 106 214 147 70 137 50 198 223 12 133 236 149 23 5 80 193 210 129 73 155 96 185 153 145 67 2 35 43 8 88 160 31 61 250 175 139 241 45 0 161 217 197 67 131 49 45 160 159 208 106 45 6 24 150 157 81 244 19 160 178 201 245 100 240 61 12 55 200 219 111 210 6 223 128 44 48 155 74 60 100 104 4 147 82 203 41 65 25 220 224 112 115 177 80 123 117 255 130 36 190 254 41 66 220 212 224 151 194 138 182 208 60 142 15 3 121 119 121 216 105 193 15 119 135 251 251 152 117 171 235 197 191 62 222 91 188 246 208 225 226 189 154 153 93 44 176 227 15 72 25 220 162 142 94 129 26 135 93 190 125 205 154 53 87 106 75 214 119 181 6 114 190 222 19 217 123 211 199 117 129 109 239 62 203 172 5 181 20 196 233 238 195 36 156 187 156 7 221 249 53 253 37 174 201 90 219 174 110 199 2 141 173 157 196 22 163 178 67 152 23 159 241 167 143 222 221 87 60 186 86 179 163 90 178 192 142 4 109 89 8 218 172 101 41 140 111 218 179 176 241 244 131 108 228 187 229 70 20 203 198 147 192 39 12 189 5 121 156 1 221 156 165 240 72 242 157 74 86 56 143 91 56 163 57 63 201 228 4 136 158 114 20 221 152 225 199 121 86 88 72 20 190 21 220 92 154 187 106 224 141 148 196 172 99 174 242 228 0 135 172 131 157 135 205 143 229 246 108 12 8 179 138 57 61 79 67 216 157 243 103 169 5 207 209 31 26 70 79 255 254 145 122 113 155 86 115 124 246 197 131 197 105 251 53 180 125 110 52 184 201 106 103 92 125 72 239 69 93 11 123 47 151 190 171 5 106 154 70 177 191 59 89 9 60 167 169 233 155 17 61 53 139 190 247 74 173 23 99 79 188 0 85 121 180 163 229 244 17 109 165 225 189 223 246 190 247 189 239 80 253 101 62 82 147 6 163 110 150 117 65 101 153 93 179 70 99 106 171 52 57 160 113 155 65 217 116 86 179 188 122 132 3 81 58 98 152 220 140 78 211 206 248 162 57 139 6 111 34 146 200 195 240 155 206 164 21 117 191 201 33 148 83 173 8 145 150 164 162 50 147 139 97 79 151 100 82 192 133 51 193 148 131 105 144 100 230 91 225 61 14 75 117 227 138 82 212 41 175 87 138 27 159 174 55 87 208 232 60 247 81 29 239 92 211 47 233 83 180 58 47 116 70 89 244 49 254 201 57 114 52 100 206 203 187 123 125 173 248 157 155 250 138 59 158 213 214 48 25 234 205 110 182 4 228 226 171 219 203 145 72 194 184 115 117 220 213 75 69 222 42 171 13 131 90 26 59 114 142 171 29 9 239 13 161 46 176 237 141 187 190 243 121 182 123 1 115 250 246 147 79 62 249 184 89 179 102 241 245 42 94 98 123 214 242 45 119 127 240 63 209 82 7 102 50 131 133 165 228 180 26 115 30 118 95 68 227 17 87 107 66 140 184 127 143 52 241 154 224 102 108 228 16 213 101 13 93 1 243 35 13 122 213 229 178 232 200 229 37 110 206 116 43 100 105 249 137 46 5 173 60 37 106 162 89 42 103 182 241 163 140 101 228 48 36 81 197 19 192 73 132 178 165 178 138 157 226 132 85 186 0 112 21 32 39 149 46 107 62 170 45 141 101 145 120 150 61 12 57 188 118 23 0 134 213 182 159 246 185 46 215 18 150 247 220 166 245 136 154 192 97 178 6 253 184 236 239 49 159 244 27 214 182 187 66 27 234 95 3 79 86 27 149 156 40 96 77 84 158 172 246 136 243 247 123 143 100 214 205 100 212 29 136 175 220 152 116 151 193 247 48 9 60 238 126 82 162 137 2 163 105 2 97 137 186 28 208 25 95 19 166 133 247 16 38 64 198 82 129 39 182 40 0 25 162 185 24 48 16 112 162 124 143 155 47 65 107 113 238 199 134 159 201 144 146 203 27 111 18 47 209 225 27 79 190 203 26 45 202 161 35 119 46 11 221 174 76 32 5 173 28 158 42 82 141 102 41 156 209 244 141 172 31 83 222 36 135 80 76 99 188 88 79 24 138 187 54 88 94 118 11 139 237 245 242 186 180 3 57 79 203 223 135 114 26 244 147 163 93 49 15 228 253 18 107 148 51 112 147 229 246 51 173 201 251 31 15 214 109 130 1 161 12 212 82 26 78 9 17 253 28 150 125 136 136 89 223 14 15 194 139 147 82 78 254 64 187 138 76 254 146 79 159 18 242 254 182 115 101 30 241 50 141 180 57 221 249 53 117 67 57 182 198 156 131 90 138 43 192 95 121 78 196 77 206 83 210 114 112 214 130 104 86 132 229 27 93 188 220 74 67 52 201 69 94 148 45 91 54 136 121 227 37 153 59 83 225 145 146 111 60 253 164 180 226 231 52 23 135 22 202 97 161 72 142 9 189 220 46 108 178 185 124 155 52 86 47 231 225 187 62 238 137 135 71 91 112 94 86 234 234 160 228 52 180 180 130 92 176 230 92 206 210 144 78 132 116 175 200 42 228 152 128 206 244 32 7 175 116 209 61 157 173 217 223 111 234 136 169 123 212 53 37 92 238 146 74 93 13 75 94 238 72 249 3 242 1 182 150 63 113 138 187 35 187 41 229 186 192 54 121 31 215 120 47 19 252 74 25 77 30 80 171 17 157 248 96 123 171 202 85 244 183 55 44 246 148 138 92 139 133 161 69 162 183 26 211 232 116 124 154 98 244 17 53 57 209 44 93 206 111 109 248 176 173 49 198 134 235 13 217 179 113 126 11 93 234 203 13 216 138 19 74 16 138 111 249 66 197 89 129 154 101 105 169 32 236 200 119 185 241 124 47 92 139 110 234 26 239 1 233 37 227 64 238 101 181 58 148 234 233 245 74 190 116 182 2 93 168 43 154 147 76 188 103 196 189 40 121 13 178 82 88 77 0 49 102 108 159 212 103 0 255 93 219 196 250 57 149 101 180 3 216 70 52 84 49 71 239 201 201 176 53 222 54 90 106 138 82 186 192 54 181 30 156 191 207 121 169 253 173 45 251 133 166 245 87 104 161 46 125 80 27 24 78 86 155 186 164 52 18 22 199 30 166 165 1 56 79 220 140 136 98 0 0 83 77 199 194 145 150 194 177 73 57 223 90 29 178 57 221 195 205 134 79 94 118 101 234 242 70 108 106 50 158 101 103 5 139 233 98 250 102 43 71 27 206 180 202 139 137 91 107 85 162 199 52 46 59 166 239 117 160 110 174 59 230 151 234 222 42 99 32 135 168 196 242 186 141 21 54 89 165 224 31 99 115 232 64 222 117 144 117 57 189 23 7 153 252 162 116 236 78 248 177 198 80 217 7 203 186 66 210 102 142 191 111 236 66 128 116 58 63 250 206 41 149 200 76 120 168 59 228 118 133 142 29 202 216 19 117 129 205 239 196 238 243 91 95 167 234 124 170 100 156 134 239 97 79 237 241 220 79 114 2 48 194 125 247 221 119 223 253 58 179 107 67 124 121 121 105 1 57 123 115 253 13 126 209 190 10 233 47 58 13 100 180 19 49 49 60 28 125 163 87 208 68 10 141 95 122 147 12 97 114 68 62 208 83 195 135 20 56 227 251 232 203 175 84 224 168 193 121 73 83 20 24 69 207 244 36 29 227 4 92 71 169 30 45 165 207 65 14 121 58 142 49 93 110 205 85 129 83 153 102 113 211 16 64 46 205 178 82 116 209 189 56 200 17 246 244 78 199 7 204 216 50 182 66 107 221 252 176 204 114 45 89 10 164 178 157 42 58 39 238 90 223 52 202 144 205 148 117 93 96 219 251 143 110 162 47 80 89 62 143 91 88 93 10 80 164 255 3 31 248 192 227 234 102 60 0 176 209 176 114 199 131 223 166 201 131 211 246 111 20 251 203 106 163 77 50 161 144 92 18 87 128 176 165 39 108 17 249 177 209 194 76 180 24 54 17 194 200 228 114 49 12 205 148 70 159 244 157 92 169 112 4 44 147 224 123 218 68 139 130 85 116 163 69 126 238 101 234 146 154 156 214 34 235 229 205 234 51 42 47 120 217 133 82 191 23 146 29 11 232 12 172 148 95 14 90 20 197 186 172 210 227 32 231 114 86 204 88 36 7 56 186 163 60 79 190 1 203 44 169 29 18 154 215 65 97 253 145 171 177 20 72 101 89 170 19 96 14 20 9 96 171 124 11 74 73 201 18 231 126 136 53 127 219 209 155 18 187 57 212 5 182 29 188 193 122 25 246 196 195 107 151 71 153 158 199 71 244 245 162 198 194 133 11 89 124 189 65 93 209 187 217 39 138 165 150 59 94 122 182 222 176 231 240 229 139 20 96 45 148 25 122 153 84 210 170 0 97 171 50 225 200 240 134 154 26 173 3 149 55 248 152 38 53 112 83 2 81 255 93 38 54 254 144 65 224 141 23 78 105 163 158 36 175 228 238 188 140 198 19 145 120 162 185 16 244 120 101 164 38 17 102 116 46 151 145 140 227 122 41 19 202 90 202 150 37 50 122 172 107 73 214 64 78 162 57 144 249 228 129 131 87 206 67 43 32 199 63 7 57 43 70 44 42 30 242 52 238 237 218 35 251 140 192 173 77 67 175 113 242 174 220 254 122 79 56 66 28 199 139 66 22 238 242 176 211 38 189 223 166 190 147 190 220 211 177 128 227 189 64 206 31 203 79 60 45 210 229 217 54 52 149 255 51 102 191 116 108 13 95 16 215 230 0 182 253 132 11 97 26 192 91 244 33 229 217 28 243 173 77 53 189 149 224 134 164 46 243 60 140 15 89 141 53 237 108 64 198 27 56 97 191 144 139 60 107 224 10 7 101 77 223 232 222 240 61 93 238 59 47 234 79 233 165 194 93 202 175 164 31 122 217 185 72 162 59 161 44 155 211 99 184 76 114 29 41 255 88 86 187 103 132 149 192 47 47 119 94 95 163 5 185 4 114 210 73 18 158 79 126 145 53 113 83 135 140 93 2 56 133 28 228 140 31 211 203 147 44 207 155 80 181 83 158 122 37 146 4 42 113 238 135 88 248 173 162 229 252 73 19 238 2 219 158 121 20 59 250 66 120 58 247 189 180 99 197 141 23 191 92 213 127 239 189 247 222 170 19 84 55 104 191 104 249 47 177 109 169 218 44 48 59 78 231 168 253 222 81 10 168 107 74 226 106 203 13 142 46 243 60 140 143 147 15 184 209 218 76 38 250 121 56 137 42 224 224 150 124 103 154 178 160 35 100 148 133 157 87 242 29 48 44 111 120 158 55 65 242 42 201 187 72 34 103 242 78 203 117 230 97 231 167 60 162 114 87 225 190 203 165 180 17 232 44 158 133 93 207 88 32 39 93 14 100 14 112 168 145 150 81 128 23 178 15 150 28 0 201 161 3 116 65 57 190 157 180 101 39 25 62 7 200 31 186 53 122 63 248 198 43 46 168 105 134 67 104 138 253 118 129 109 242 63 176 138 87 210 10 157 191 128 16 92 206 124 109 112 230 221 159 249 158 247 188 231 23 26 71 185 89 211 250 106 231 180 160 56 129 144 44 55 125 233 67 152 246 246 35 134 138 215 232 179 124 13 125 216 5 5 99 90 110 40 161 117 33 105 190 17 66 56 209 99 3 118 153 4 98 200 202 33 103 23 69 34 140 188 211 38 224 7 101 65 135 149 60 211 109 188 236 71 106 93 36 80 33 148 156 149 191 68 243 104 94 62 167 153 66 87 28 245 229 209 150 44 20 73 58 188 190 209 119 61 101 144 139 242 0 149 169 213 143 1 157 39 87 57 160 183 128 159 226 12 53 108 19 113 225 172 112 232 39 39 26 87 184 145 56 177 244 115 237 60 224 139 86 125 15 61 244 16 234 112 238 135 88 51 94 166 59 127 82 249 93 96 155 28 143 163 147 151 5 25 151 115 223 75 239 60 167 143 240 229 162 35 142 56 130 101 30 207 235 192 201 111 48 72 172 222 168 14 126 109 237 107 210 0 24 104 166 97 124 244 148 193 226 117 71 106 53 186 198 100 24 122 97 147 60 87 106 18 166 93 63 52 54 156 249 89 156 226 197 134 24 5 154 50 45 242 164 13 18 246 235 105 12 119 97 84 93 46 63 6 207 245 184 232 152 126 94 128 40 104 245 25 51 81 147 233 121 141 74 83 81 190 10 146 41 74 58 28 165 28 228 224 42 81 2 185 168 64 242 14 112 146 180 103 230 99 113 168 130 134 36 15 221 22 228 234 120 168 55 15 12 23 203 230 234 251 168 54 204 32 70 230 232 125 114 73 231 45 34 51 216 214 115 228 145 71 186 154 76 178 50 72 86 147 214 117 79 208 221 137 71 163 151 34 181 249 14 212 140 39 235 124 247 93 37 113 167 149 195 252 97 202 121 121 188 135 79 240 241 121 54 201 212 239 184 227 142 239 234 212 84 182 207 240 73 62 190 94 21 26 73 108 92 52 4 206 254 103 209 238 215 30 237 181 211 115 215 235 56 35 251 82 147 90 138 3 28 167 22 133 55 90 1 175 190 249 89 92 69 178 91 227 124 138 232 50 169 86 162 121 209 9 86 57 163 183 99 198 4 148 191 19 55 74 108 20 33 104 233 84 95 39 121 166 250 87 9 103 245 202 130 38 153 223 171 164 35 10 85 240 224 64 230 225 131 74 28 102 80 104 210 224 53 26 59 253 156 190 113 202 119 29 56 197 133 63 98 153 227 6 212 176 216 52 6 251 155 7 31 124 240 191 42 206 254 59 65 224 40 231 55 203 125 4 242 112 57 193 88 188 178 236 110 137 119 143 45 218 137 219 42 112 176 81 215 14 85 240 176 91 95 173 206 18 250 75 226 105 115 61 57 143 112 11 47 90 109 125 15 63 252 240 70 1 219 71 206 56 227 140 43 245 34 247 233 69 230 253 103 50 193 74 64 34 190 5 0 85 195 108 197 239 200 106 59 95 223 45 248 214 99 117 251 196 30 71 105 15 235 175 191 57 86 177 123 73 32 120 184 236 59 15 186 149 138 31 57 242 180 56 145 20 104 234 129 220 226 36 99 186 61 131 140 57 81 16 138 69 8 26 114 125 145 1 9 228 158 176 83 250 22 221 174 192 245 86 232 196 112 206 243 178 103 225 242 153 50 75 106 5 147 82 249 201 224 142 180 248 12 77 23 201 180 232 250 96 89 104 111 63 98 176 184 76 227 166 172 101 227 228 96 254 48 249 237 138 207 189 161 113 181 94 205 134 174 215 90 182 187 98 137 179 140 189 14 213 53 75 220 73 26 232 90 108 59 249 96 244 146 240 134 117 234 198 147 133 95 37 147 211 243 48 127 164 243 56 97 167 81 38 11 211 37 21 184 61 123 205 53 215 124 112 96 96 224 67 88 113 194 100 78 211 69 190 197 114 3 241 232 150 114 76 119 191 26 17 71 132 179 223 240 118 29 66 201 167 233 86 107 12 142 143 150 216 177 138 74 237 199 44 134 219 32 66 126 59 56 80 196 114 176 31 227 37 57 50 198 37 121 151 9 228 221 246 91 213 116 119 182 237 58 98 236 72 161 83 253 73 220 230 30 152 140 120 198 142 50 138 112 47 169 78 159 76 49 62 29 184 84 128 246 18 173 75 228 143 210 178 185 13 59 14 157 125 163 37 75 205 75 57 164 143 43 215 55 108 216 112 149 190 71 251 234 91 111 189 181 239 180 211 78 131 151 223 161 78 194 174 47 247 243 116 57 125 143 133 187 192 182 147 183 90 47 151 191 105 157 104 26 79 22 126 149 76 78 175 10 231 52 192 140 11 103 116 29 13 222 171 181 109 116 80 138 219 110 187 237 31 245 149 162 151 235 252 173 237 2 54 219 79 35 31 150 1 156 251 128 27 142 110 12 95 70 167 113 48 0 205 162 222 33 240 208 254 7 31 57 110 131 95 22 15 2 112 18 118 57 63 191 101 33 220 42 67 250 177 157 242 29 229 118 160 45 41 73 117 170 54 212 72 230 137 143 198 178 138 52 34 53 169 205 80 94 244 252 94 64 79 113 238 103 38 88 190 79 77 89 125 76 71 15 135 231 196 23 193 176 204 182 234 57 49 166 70 250 54 111 103 131 229 63 232 208 58 182 87 9 216 254 247 13 55 220 48 75 214 219 160 190 108 6 185 92 216 60 158 135 145 45 187 241 248 101 249 221 18 239 118 69 119 203 109 221 41 165 188 24 249 59 141 50 127 89 156 238 50 238 231 25 66 115 186 249 128 154 172 182 186 172 182 231 191 252 229 47 255 193 239 253 222 239 253 187 62 201 119 132 86 155 15 170 193 240 14 184 222 164 199 187 46 28 131 227 51 106 128 27 95 104 98 225 8 13 38 37 138 97 107 68 78 151 181 103 77 211 125 50 129 71 34 151 33 55 163 185 172 69 161 182 58 210 152 107 109 236 78 117 158 199 195 252 161 199 50 159 187 209 145 75 25 182 72 7 189 101 158 43 21 61 6 131 215 18 145 158 96 93 37 161 168 185 172 141 174 102 168 165 210 235 102 37 190 209 81 147 209 200 16 186 104 24 223 27 180 39 148 92 121 78 92 99 184 97 89 107 61 122 254 159 2 212 180 245 174 31 80 139 242 177 224 41 117 57 158 24 147 57 208 5 182 157 124 58 178 118 118 229 56 27 47 209 216 175 100 19 180 188 228 249 139 71 90 226 78 243 120 77 160 54 180 116 233 210 217 159 255 252 231 87 44 89 178 228 205 250 114 213 215 180 136 247 104 89 110 214 251 84 26 102 76 93 167 249 68 221 154 11 97 109 158 23 7 107 78 75 125 155 37 85 152 180 164 118 13 137 111 60 212 53 249 38 67 9 99 26 198 135 208 223 76 147 41 34 157 201 162 3 231 57 132 88 245 111 46 227 183 162 66 82 172 49 184 89 2 151 202 245 70 54 247 1 39 175 213 138 131 30 211 141 151 15 98 174 58 222 11 116 49 129 237 207 132 9 210 16 15 153 113 191 92 61 105 1 50 248 124 235 53 48 240 43 221 54 157 211 55 67 147 72 215 105 173 227 21 72 104 173 35 30 165 192 185 31 98 173 191 99 241 90 37 247 114 172 219 21 221 5 15 64 47 95 219 183 168 66 253 120 178 240 219 201 228 93 76 84 187 108 238 123 150 200 230 242 38 179 116 233 210 250 163 143 62 186 233 146 75 46 57 252 93 239 122 215 159 11 220 94 163 191 214 133 46 102 195 212 161 105 205 219 129 13 165 85 213 132 102 133 197 143 183 193 253 60 141 201 101 50 206 203 211 67 115 231 58 130 74 203 193 89 123 215 119 244 162 72 106 230 85 45 61 191 103 229 194 142 197 43 203 250 61 200 233 78 115 223 121 196 157 230 62 188 44 220 80 184 33 80 171 203 82 123 92 229 248 37 89 107 15 253 224 7 63 152 33 139 62 205 132 190 254 245 175 175 172 146 231 211 129 95 149 190 131 100 187 86 164 11 108 187 224 126 234 133 153 104 203 27 79 222 1 169 92 58 210 121 218 170 112 153 134 158 178 124 109 105 0 55 29 28 93 20 63 254 241 143 223 169 227 106 254 88 93 147 57 124 189 72 51 100 188 228 164 201 211 34 58 202 81 109 175 186 251 8 121 56 247 9 123 220 101 202 52 167 231 62 225 169 232 202 0 86 142 87 213 9 153 252 30 85 201 56 223 253 92 198 239 103 137 7 160 13 107 191 112 159 198 90 11 77 22 252 191 154 21 255 221 129 129 129 229 223 254 246 183 251 213 13 77 160 118 197 21 87 228 234 118 4 160 118 36 77 158 231 46 11 119 129 109 23 221 74 189 60 14 32 157 104 28 79 22 126 59 25 7 61 231 187 108 57 78 57 28 156 70 241 4 110 125 178 220 232 89 110 252 194 23 190 112 246 153 103 158 249 39 58 160 242 151 244 101 171 66 93 20 44 56 186 161 254 210 155 30 170 40 90 170 42 241 188 218 85 97 151 41 243 156 78 33 113 229 120 160 142 254 205 245 140 230 118 78 217 17 61 99 129 211 88 188 188 84 185 92 30 206 101 198 10 123 185 221 207 101 69 3 88 120 64 118 41 220 163 45 83 61 17 208 148 221 200 71 14 59 236 176 143 18 96 22 244 202 43 175 180 9 165 92 135 192 109 103 192 105 103 210 230 197 216 233 112 23 216 118 250 22 6 5 122 153 28 60 58 209 56 158 44 252 118 50 57 175 42 156 211 40 75 59 112 171 233 133 239 81 87 180 119 249 242 229 155 36 55 67 127 193 95 177 108 217 178 223 154 49 99 198 185 90 239 182 8 144 227 188 46 118 45 232 175 60 97 107 56 146 165 225 160 59 185 44 110 47 55 247 131 125 247 18 72 235 229 144 113 185 220 247 112 82 22 3 57 61 15 187 92 21 205 121 123 193 167 222 218 135 238 125 213 102 9 42 72 137 89 230 113 191 171 92 156 196 52 86 185 222 210 97 207 92 244 30 190 33 171 231 87 224 243 77 3 125 141 234 57 37 250 161 158 225 103 244 108 127 138 130 118 160 6 111 39 128 109 210 128 26 245 232 2 27 119 97 23 56 189 84 173 45 125 124 157 227 201 219 203 218 70 77 149 213 134 168 167 113 223 105 14 110 174 206 249 230 15 12 12 212 5 110 252 245 166 17 244 93 126 249 229 135 159 123 238 185 39 169 139 122 170 192 237 84 53 146 227 212 149 89 12 208 113 4 146 55 178 188 202 132 185 224 113 209 96 105 88 0 34 23 113 151 177 66 197 219 149 235 104 71 47 203 32 231 174 29 207 243 115 185 221 229 147 63 27 201 89 193 15 152 112 127 112 0 20 101 240 203 243 39 238 46 15 59 173 236 187 76 187 122 34 143 12 199 15 113 191 101 109 111 148 236 3 202 255 54 93 55 233 89 92 63 48 48 240 115 228 46 187 236 178 190 95 254 229 95 110 104 28 109 88 50 181 15 127 248 195 60 255 22 215 5 182 150 219 209 141 112 7 120 89 38 112 39 198 147 53 208 105 163 47 231 117 26 30 19 220 100 189 213 162 245 134 201 176 77 23 31 247 32 60 251 157 239 124 231 162 243 206 59 239 24 125 53 252 104 109 166 231 91 165 251 168 193 144 239 8 32 38 135 85 198 31 201 97 53 166 231 21 220 42 25 72 251 168 177 31 166 235 68 197 15 200 27 169 120 164 75 142 184 211 220 79 76 5 170 104 57 127 111 132 41 147 234 187 77 254 189 2 150 7 85 191 53 42 7 247 142 25 230 89 186 250 69 99 33 180 89 115 162 143 72 190 165 226 129 213 44 189 243 117 95 155 8 216 100 183 132 164 31 213 232 231 89 173 20 176 61 160 217 206 123 62 242 145 143 60 124 213 85 87 81 14 115 146 171 125 241 139 95 172 11 216 188 235 217 162 59 7 184 29 4 182 22 125 158 239 222 244 187 22 219 46 188 251 188 64 19 84 55 158 188 91 102 85 106 157 231 58 114 159 176 95 158 214 129 205 229 160 187 140 251 5 0 39 203 172 71 23 239 70 109 197 138 21 52 6 26 9 87 254 2 19 38 29 122 183 210 194 228 23 111 121 203 91 150 92 122 233 165 103 106 95 234 153 250 244 223 41 2 181 163 212 72 15 210 101 223 1 44 223 34 226 78 115 31 61 121 152 248 100 116 148 81 213 102 23 199 58 93 143 10 148 238 22 184 220 172 89 198 91 94 244 162 23 221 43 26 128 179 199 157 202 85 251 221 223 253 221 250 137 39 158 216 163 110 105 227 135 63 252 97 67 195 12 249 179 163 76 229 184 89 126 59 80 216 81 122 118 64 199 46 79 210 5 182 93 120 75 121 161 38 168 110 60 249 4 56 21 122 115 158 235 41 211 218 197 93 30 181 46 227 126 75 86 14 116 234 150 214 248 122 120 252 130 248 136 54 77 215 239 188 243 78 26 238 166 55 191 249 205 11 223 241 142 119 188 92 50 23 169 75 118 166 38 33 246 101 156 71 13 59 117 69 213 232 91 192 138 91 229 183 203 125 43 204 132 111 97 75 113 119 42 146 151 163 83 69 164 201 187 162 212 147 217 101 213 125 185 194 215 171 27 126 213 19 79 60 113 205 5 23 92 240 56 58 63 253 233 79 207 17 189 103 213 170 85 194 64 54 60 5 167 227 130 60 56 202 215 121 122 249 243 42 100 53 143 56 141 48 9 116 98 114 77 139 174 107 90 202 49 114 247 221 119 15 107 28 13 221 227 129 78 11 95 101 246 120 75 126 163 10 212 36 184 124 147 50 73 66 93 96 219 197 15 66 47 122 167 47 133 231 60 158 188 91 102 46 159 251 57 207 245 224 151 195 85 113 167 161 207 195 174 207 227 121 94 132 71 178 9 7 14 38 156 115 221 117 215 93 34 235 236 119 4 102 199 2 102 204 168 50 166 166 219 96 221 30 238 7 78 178 73 39 81 191 80 26 216 132 118 161 35 203 216 78 119 139 254 214 162 38 16 81 94 76 154 96 41 217 184 27 247 67 32 196 186 177 239 202 146 251 230 177 199 30 123 3 73 213 93 156 173 63 14 133 172 41 159 121 46 30 121 228 17 3 10 157 202 50 162 101 56 173 57 132 24 247 176 12 38 126 95 115 186 135 221 175 210 229 180 36 147 1 155 243 240 93 127 78 35 156 210 149 25 147 33 222 5 182 93 252 20 120 177 39 168 114 60 121 248 237 100 114 158 203 116 66 171 146 161 216 78 119 93 45 85 137 155 233 1 172 245 223 248 198 55 94 170 238 214 199 180 224 243 28 132 100 201 241 162 15 211 168 227 61 48 47 191 29 132 253 34 13 46 231 7 202 248 191 169 112 19 190 213 227 235 222 69 18 220 11 7 187 94 89 85 53 38 22 100 201 177 63 247 95 4 112 159 59 230 152 99 174 83 221 107 223 250 214 183 230 176 150 108 237 218 181 6 20 178 228 70 100 121 141 60 240 192 3 9 56 4 114 30 166 234 30 30 171 168 157 200 228 233 77 190 13 176 229 114 83 38 220 5 182 221 240 168 120 97 39 168 118 60 121 183 164 170 212 146 214 211 231 126 187 48 58 60 77 46 227 186 157 231 113 243 227 94 83 62 192 60 164 13 211 127 32 43 237 195 11 22 44 152 169 198 106 43 218 69 175 11 211 82 26 110 65 126 27 60 222 164 41 155 152 123 234 0 165 212 163 91 111 51 93 38 180 27 130 126 67 92 117 254 36 203 60 151 25 203 87 185 193 11 235 114 170 203 218 203 199 172 53 192 63 168 238 232 223 61 243 204 51 127 118 234 169 167 174 248 218 215 190 102 95 184 150 197 102 86 174 78 179 29 209 86 183 17 29 16 106 128 83 1 114 14 92 237 138 228 252 177 138 86 230 81 206 29 73 87 214 51 41 226 93 96 219 13 143 65 47 115 187 23 110 172 220 198 74 3 111 44 126 19 81 154 114 121 154 114 152 114 148 105 185 254 60 92 232 84 213 186 198 128 54 106 82 224 160 247 190 247 189 159 17 168 189 158 5 188 90 27 53 164 229 13 182 13 43 175 50 97 143 155 34 110 135 46 45 248 176 250 27 95 33 219 223 24 125 194 84 194 230 90 157 23 196 21 75 1 133 119 159 163 85 211 180 241 89 177 231 126 30 134 230 142 82 121 121 157 54 142 15 192 53 116 203 234 218 233 81 8 188 30 87 183 253 125 3 3 3 255 248 134 55 188 161 95 247 119 230 207 127 254 243 65 44 54 244 232 120 41 243 115 144 211 24 154 129 164 231 83 154 20 160 72 121 17 93 172 19 191 11 108 157 220 165 23 186 140 26 239 68 91 227 120 242 240 219 201 228 60 151 201 105 60 142 60 94 14 59 127 148 127 244 209 71 247 202 98 216 172 37 1 139 223 248 198 55 126 83 19 4 167 211 184 84 61 22 233 218 162 173 188 170 132 61 110 128 160 184 214 62 20 125 58 46 132 143 246 214 227 197 137 189 131 90 249 128 191 85 118 202 22 157 248 186 85 77 150 48 233 56 122 167 193 134 112 149 136 150 26 206 173 160 120 56 168 185 67 194 93 153 23 233 174 200 197 114 63 242 56 65 184 95 171 44 40 227 76 213 140 227 154 236 92 58 197 57 237 164 207 54 153 171 191 173 236 134 85 54 14 230 28 180 112 40 145 3 117 174 186 77 216 182 57 105 214 184 79 19 8 140 75 126 94 135 20 92 113 225 133 23 62 163 49 183 5 138 15 106 92 206 42 69 23 63 7 56 141 203 141 60 245 212 83 198 211 230 117 243 61 143 8 114 57 173 205 205 240 20 45 126 23 216 90 110 71 55 82 121 7 212 184 39 242 82 185 142 241 210 168 137 181 117 164 245 244 185 159 135 73 156 199 243 112 206 179 240 226 197 139 123 87 174 92 185 237 228 147 79 158 253 79 255 244 79 223 213 58 182 179 101 61 216 81 71 94 191 188 154 156 44 33 180 51 96 66 241 44 157 51 14 48 96 173 109 208 225 148 171 116 104 229 114 157 198 251 152 14 172 124 226 249 158 98 229 22 125 243 114 27 7 87 106 101 176 128 141 239 156 114 1 26 193 111 45 44 133 26 219 5 32 108 145 81 65 188 146 78 47 199 161 131 6 156 105 6 160 213 5 96 148 123 150 78 163 229 140 179 125 250 71 138 3 102 20 197 34 29 230 120 176 38 33 15 157 221 208 53 82 28 164 248 190 58 209 14 192 163 204 128 50 199 60 161 139 60 198 179 230 116 239 152 56 168 107 156 178 208 31 139 219 100 5 255 222 210 165 75 111 190 233 166 155 230 11 216 26 26 139 51 235 12 144 3 224 52 243 201 55 99 13 184 152 253 84 218 2 144 203 1 238 132 19 78 48 186 254 16 153 143 76 201 85 85 159 89 92 203 171 36 59 101 163 221 174 232 110 124 116 222 248 39 144 69 229 75 151 165 135 223 78 166 204 115 185 156 94 166 121 156 44 60 108 190 26 27 239 70 77 155 166 159 187 235 174 187 254 187 78 130 120 135 6 184 1 181 62 7 51 247 45 49 128 38 21 88 54 115 235 106 83 138 63 177 165 167 184 101 93 189 184 238 233 158 226 206 245 61 197 10 125 67 97 157 206 12 227 60 254 212 250 73 108 112 77 154 88 10 249 232 33 138 115 63 196 218 253 238 56 168 145 1 121 128 4 88 139 56 124 90 58 86 99 238 84 173 98 142 0 111 94 223 72 177 88 224 118 132 78 173 61 101 159 70 113 202 190 141 226 216 5 250 212 221 140 160 224 121 29 200 9 200 145 218 1 78 247 51 87 229 97 136 195 154 9 173 203 50 219 172 133 190 239 208 126 206 111 2 110 178 230 0 180 198 234 213 171 11 186 167 154 145 78 64 87 5 112 199 31 127 252 136 38 34 70 101 50 6 200 121 25 0 182 81 233 18 115 10 6 186 192 182 27 31 218 14 0 27 165 105 109 73 163 203 183 51 86 155 235 247 60 240 61 236 60 203 81 223 71 232 83 227 90 171 137 130 183 171 161 125 153 49 53 57 186 159 73 62 11 26 168 205 215 9 148 180 188 27 159 233 41 190 243 184 190 151 176 186 94 60 197 7 97 248 144 2 165 230 82 144 195 42 105 236 22 141 218 242 86 5 201 240 68 196 200 22 101 124 55 10 218 148 56 79 159 135 115 109 94 35 248 229 176 167 241 242 225 15 171 146 116 71 89 133 134 165 70 93 0 58 190 6 117 238 129 195 197 203 22 54 138 211 116 68 247 254 178 230 182 68 43 212 235 155 231 235 97 48 69 247 114 48 126 143 130 173 81 239 214 31 146 191 209 90 180 5 128 27 214 155 198 51 71 52 182 57 130 79 58 61 15 232 201 130 131 166 97 130 198 211 79 63 109 252 137 0 220 116 3 53 238 69 23 216 184 11 187 209 229 64 208 97 54 222 150 218 137 91 251 107 195 44 243 92 23 24 226 206 105 46 235 241 196 63 233 164 147 122 181 200 243 57 157 182 123 204 75 95 250 210 255 208 114 133 3 52 238 195 254 66 27 83 67 208 65 13 203 134 163 169 247 81 35 190 77 223 69 248 111 63 175 23 87 174 212 167 97 6 149 37 102 151 82 224 37 196 80 144 150 231 153 2 36 30 207 105 18 49 231 52 143 119 226 151 1 206 193 138 180 85 250 42 249 18 68 214 203 230 105 161 33 111 126 12 35 3 200 49 70 184 93 32 14 200 97 197 253 198 97 195 197 175 47 30 182 110 235 102 89 169 219 196 183 123 129 178 106 199 100 76 157 165 33 91 182 108 121 143 134 2 254 82 31 225 217 71 32 214 144 69 215 0 228 52 217 208 2 110 168 113 128 211 38 247 52 30 7 192 85 129 27 242 101 11 174 11 108 220 149 174 155 208 29 216 13 192 70 254 222 174 202 101 129 142 171 242 171 104 46 235 60 186 60 28 25 77 91 221 166 134 241 191 52 174 243 6 197 173 11 138 176 59 128 13 80 11 3 237 181 226 239 30 174 23 159 188 175 175 120 78 221 207 162 79 116 1 90 67 54 153 205 50 70 228 240 76 18 48 56 33 42 245 104 20 247 172 82 101 18 161 195 64 14 112 185 78 207 39 87 227 124 231 121 188 69 38 70 92 134 130 121 24 223 173 50 38 20 182 104 244 140 155 120 188 186 167 124 219 243 245 135 15 169 155 90 104 172 49 40 65 182 236 184 167 2 25 214 2 218 105 198 2 180 75 15 63 252 240 175 202 114 222 79 75 107 182 171 155 138 74 44 186 81 0 7 111 68 100 99 0 0 32 0 73 68 65 84 184 105 12 84 208 25 28 19 14 157 90 111 93 96 243 187 214 245 59 190 3 59 0 108 232 174 120 237 91 178 132 223 78 38 231 185 76 78 115 253 149 60 89 107 117 89 107 235 175 190 250 234 95 210 218 181 31 178 54 77 107 174 104 80 46 111 1 198 211 0 53 44 144 143 221 211 87 124 233 126 208 140 237 69 161 171 166 67 170 149 34 38 145 159 18 163 72 17 226 206 166 64 184 178 76 160 86 255 230 178 213 18 173 84 47 129 231 89 149 190 204 243 184 107 242 52 201 247 128 11 200 135 196 69 119 155 155 6 192 49 251 203 215 163 254 232 216 193 226 87 14 110 216 36 67 59 235 13 112 147 27 146 213 86 23 176 109 19 232 252 170 186 165 63 214 182 172 125 53 174 102 123 79 115 128 99 12 142 4 204 150 2 120 116 85 1 57 104 62 155 58 158 245 54 29 129 77 183 191 235 118 231 29 216 141 47 141 189 188 19 40 123 71 242 177 49 212 212 13 186 88 86 2 214 193 144 234 208 50 100 129 34 154 223 108 89 101 159 184 167 94 124 73 150 90 77 184 198 138 54 186 100 182 94 205 218 231 216 165 43 15 87 231 5 52 75 79 132 178 140 107 68 118 172 203 229 220 231 67 44 246 47 234 244 180 206 199 247 188 224 225 60 30 98 33 63 163 71 66 153 239 85 38 61 182 21 252 185 2 250 125 53 171 122 219 186 90 241 246 27 251 139 15 221 213 103 93 86 232 67 158 145 103 32 95 247 154 88 93 93 206 65 77 22 204 208 31 150 191 125 240 193 7 151 42 186 89 139 123 251 212 85 173 113 153 144 78 80 17 173 71 99 115 53 205 142 214 56 81 133 48 59 29 224 171 251 90 227 98 159 175 38 22 106 154 61 245 34 194 54 23 243 243 232 180 241 187 192 54 53 31 101 69 147 72 21 201 121 30 118 63 9 85 5 52 70 211 163 115 217 158 255 228 39 63 57 160 6 242 114 246 57 202 130 72 239 136 55 2 26 237 124 141 35 125 235 177 222 226 11 26 83 43 20 214 178 54 13 170 123 54 238 123 46 64 74 103 14 185 178 44 109 125 162 23 69 169 212 21 224 173 169 175 148 95 202 39 210 3 206 52 203 238 101 115 191 201 169 40 183 152 220 43 174 5 24 180 186 147 159 251 69 221 0 238 81 45 123 217 71 180 118 224 166 123 221 167 113 182 65 205 78 47 19 120 125 10 208 210 223 152 134 124 14 147 4 204 236 185 64 87 188 166 9 30 43 74 25 220 32 58 184 233 28 54 147 169 248 25 5 120 21 50 83 138 148 94 218 41 85 234 41 86 88 189 164 85 237 96 172 90 76 84 190 172 171 156 62 127 113 243 176 167 67 158 117 82 189 42 234 182 179 206 58 235 100 53 144 197 234 9 193 111 145 7 188 88 223 245 152 26 230 39 101 173 225 234 90 200 154 48 205 40 250 177 42 199 98 148 74 99 153 69 185 118 119 198 101 118 202 87 98 244 87 129 92 149 5 231 69 199 247 114 89 254 81 143 243 161 225 156 23 98 99 255 50 238 134 157 181 191 150 131 252 120 117 111 113 201 245 253 197 29 207 246 180 5 55 211 63 50 82 215 246 171 134 128 237 34 89 105 172 113 219 160 205 245 118 211 101 201 97 157 245 96 189 1 102 90 95 200 49 224 246 172 198 2 55 44 183 54 37 109 71 111 35 62 185 201 93 96 155 220 207 103 119 151 46 127 153 107 190 54 74 86 194 75 56 45 87 32 199 81 215 214 13 5 155 237 82 137 102 10 200 254 113 69 111 177 114 67 143 141 169 53 15 223 233 176 184 17 25 18 64 120 160 195 228 46 6 248 148 47 231 225 163 214 47 3 55 69 202 32 151 3 156 243 92 71 210 237 122 92 153 199 221 135 30 157 7 73 155 59 110 52 250 177 222 14 16 184 61 168 69 202 111 191 169 191 184 101 109 143 117 85 171 44 55 37 33 25 19 5 168 250 176 198 217 206 210 88 218 70 117 53 101 235 105 178 66 224 230 93 83 253 81 226 244 94 3 57 120 85 224 6 221 187 165 132 43 92 254 62 84 176 167 14 169 11 108 83 231 89 149 75 74 211 41 53 159 178 72 171 181 149 113 71 189 192 204 134 114 142 151 186 158 51 101 9 188 24 89 1 89 139 126 26 102 191 186 156 171 116 60 216 119 31 215 171 163 112 146 176 128 4 154 132 24 142 42 68 207 149 185 152 211 136 119 122 81 14 7 33 210 231 151 243 140 239 58 99 197 93 46 241 98 90 216 85 0 135 60 46 149 75 97 70 234 189 236 198 35 94 65 131 135 115 29 33 22 126 217 138 197 242 152 149 58 82 224 15 111 235 43 126 177 177 167 152 39 59 12 208 171 112 189 236 201 213 222 210 121 2 174 143 105 163 252 44 1 221 176 158 145 70 52 155 224 6 200 57 208 181 179 220 232 146 186 126 44 183 29 60 45 215 85 76 106 191 11 108 123 232 241 148 65 162 131 108 171 95 243 14 18 118 40 146 94 114 201 51 200 204 187 176 253 253 239 127 255 34 53 140 19 212 152 70 169 161 81 179 213 232 246 103 107 197 131 27 148 92 93 82 64 34 181 94 107 241 34 228 45 191 164 37 175 148 139 185 138 22 94 84 155 243 8 39 80 82 132 244 99 93 200 154 188 10 158 167 163 72 185 46 227 65 148 115 128 75 242 70 51 86 51 47 104 40 224 138 158 69 245 211 82 167 140 31 36 155 191 14 110 15 10 212 222 123 91 127 241 172 110 247 44 150 200 196 52 77 73 11 245 114 138 138 186 164 255 135 172 181 255 164 229 31 27 245 140 122 1 50 184 58 13 132 177 80 11 151 193 173 164 39 141 183 65 215 153 112 249 59 224 162 85 52 231 77 25 191 11 108 83 230 81 237 222 130 198 191 230 219 207 63 255 252 99 213 56 14 139 192 214 210 13 165 213 178 25 253 103 234 62 177 45 170 7 139 205 108 24 149 45 53 200 20 8 196 22 4 200 121 161 62 176 29 12 160 32 225 82 22 142 252 178 92 46 235 105 170 252 36 39 166 131 149 251 137 71 158 206 135 104 46 64 156 250 226 198 115 221 176 92 54 183 222 224 91 60 242 77 46 11 19 199 33 103 78 1 192 109 63 117 75 111 120 186 183 248 248 61 253 182 252 5 168 74 50 46 27 187 164 154 60 128 242 222 179 207 62 123 153 112 108 11 227 109 0 153 198 225 204 90 115 160 115 31 225 118 93 82 120 178 216 240 170 220 148 7 183 46 176 85 61 214 233 69 43 191 164 196 115 90 30 31 209 24 204 49 2 57 190 122 196 248 154 189 31 244 72 185 180 220 182 216 170 193 160 159 99 173 41 108 74 172 21 210 164 163 179 184 126 104 253 230 60 28 227 232 138 156 220 67 188 124 149 5 73 151 174 178 112 155 184 151 61 165 67 135 34 128 155 3 92 206 75 244 152 23 101 164 196 14 112 14 94 70 87 66 215 133 111 52 253 152 190 60 142 92 96 39 25 143 50 62 201 114 144 111 105 204 242 31 151 215 53 123 202 134 122 231 182 248 189 236 254 80 151 244 112 129 213 219 239 191 255 126 62 34 99 128 166 97 4 19 244 56 145 242 120 91 174 137 63 98 99 204 144 230 162 83 54 220 5 182 61 248 232 212 200 170 95 217 61 88 134 54 89 177 217 29 22 75 9 6 8 168 168 0 27 190 181 94 26 182 54 74 217 73 28 171 158 151 128 172 181 212 92 173 86 106 161 94 59 171 102 72 135 174 81 14 189 34 186 248 40 126 70 112 57 147 141 101 49 52 73 50 185 68 187 48 153 137 71 190 49 111 146 67 74 224 22 216 166 21 45 137 142 156 81 241 99 122 100 35 221 124 143 19 41 209 83 60 202 152 128 203 68 26 75 101 88 10 194 118 180 251 213 53 101 141 91 27 112 171 177 4 71 117 120 187 206 200 59 78 254 102 89 214 117 61 59 251 27 131 165 134 35 15 194 128 155 231 167 49 185 180 190 13 154 78 229 117 158 251 46 58 45 252 46 176 77 139 199 88 89 137 170 23 182 76 35 94 227 36 143 184 48 87 237 161 231 96 218 134 26 141 53 83 60 2 196 232 38 177 146 254 153 176 31 62 16 141 139 0 101 208 143 249 49 1 36 115 208 97 56 147 96 8 151 168 46 109 146 73 26 217 40 111 2 137 11 152 70 30 167 238 84 94 240 197 75 105 66 222 94 47 244 161 194 128 44 134 61 43 145 19 192 57 223 228 165 203 45 56 100 140 70 54 241 178 184 126 224 229 186 140 15 51 119 18 2 196 88 236 252 152 182 163 125 238 129 62 75 7 36 145 190 228 122 4 100 236 27 61 64 160 245 198 95 252 226 23 219 181 136 151 109 112 9 208 144 7 212 60 29 93 81 194 238 59 93 103 191 17 76 114 78 207 252 177 120 153 216 228 12 118 129 109 114 62 23 47 85 197 187 237 172 113 253 114 90 127 81 221 175 82 192 251 96 199 84 71 92 75 50 40 99 124 109 72 45 156 115 199 98 179 141 45 55 2 135 181 98 73 166 156 9 123 196 195 30 71 133 211 66 18 56 137 235 188 148 190 148 167 243 45 69 74 149 107 32 129 92 212 154 131 158 231 34 29 157 2 156 105 209 79 21 192 57 13 25 194 22 151 111 113 74 64 0 159 43 210 83 156 128 156 182 119 216 162 231 127 123 188 215 214 185 177 145 190 141 213 198 214 41 38 11 222 184 116 233 210 195 100 173 109 229 175 17 200 134 158 24 76 225 177 172 54 228 163 27 235 157 112 153 41 229 119 129 109 15 63 46 53 164 248 154 239 246 140 199 123 89 225 251 149 23 198 186 160 16 172 209 171 184 77 63 136 49 214 214 116 180 212 188 181 194 139 113 171 106 228 91 2 15 35 147 57 75 31 121 30 206 216 33 152 241 3 68 36 114 200 63 227 231 32 54 74 31 114 209 186 243 122 72 198 234 24 243 36 137 3 84 2 41 146 137 207 229 60 194 56 108 90 203 38 68 83 24 26 206 96 63 134 241 90 100 179 56 7 92 110 211 190 210 191 215 129 2 156 6 162 83 160 44 63 116 100 174 87 123 65 27 154 29 61 82 86 216 43 181 149 202 6 6 224 59 184 17 174 178 218 160 191 80 92 23 216 166 247 147 30 15 220 172 246 106 212 204 126 26 200 201 111 251 78 132 6 28 64 64 59 227 91 91 104 154 19 148 74 107 209 222 146 173 41 87 220 229 200 207 56 142 178 116 164 232 138 133 75 227 79 140 65 217 165 46 85 28 143 162 131 213 164 195 111 196 203 101 195 100 71 234 134 26 152 41 79 71 27 32 163 13 192 97 251 48 230 69 30 205 114 132 112 200 55 132 185 81 148 53 116 252 2 184 1 98 56 7 47 207 174 19 112 195 66 227 144 78 14 230 252 209 170 94 59 254 8 16 173 112 124 55 129 9 130 139 6 6 6 230 234 144 130 97 45 174 78 207 45 7 181 60 76 119 148 177 54 215 23 199 217 82 220 233 211 193 215 48 101 215 189 128 238 128 191 196 248 126 89 245 29 216 244 87 159 47 155 59 77 13 212 195 34 41 72 162 100 177 89 235 141 106 64 3 226 68 249 9 201 66 220 116 192 131 41 31 158 135 37 11 48 192 73 214 17 40 144 16 34 36 73 250 76 50 234 16 43 233 51 186 17 194 15 121 8 36 56 65 206 235 96 178 86 206 40 231 101 176 242 4 26 167 128 52 180 208 191 65 119 219 248 81 214 61 10 138 195 183 75 137 5 41 44 151 5 104 113 113 190 216 178 51 25 145 83 182 89 216 85 89 34 253 80 255 62 237 234 216 222 232 41 254 105 69 189 248 229 69 195 6 174 220 138 146 108 175 246 145 82 175 243 244 221 132 83 116 88 193 13 2 176 249 204 100 163 75 116 63 16 212 10 68 119 148 179 12 224 225 78 59 237 52 243 227 56 155 133 219 252 144 109 74 215 70 102 82 146 187 192 54 41 31 203 110 41 84 169 109 52 243 96 70 52 174 99 227 48 195 103 1 2 218 70 83 34 52 44 33 158 62 118 34 171 66 227 63 79 167 166 166 247 222 94 125 137 211 176 9 231 41 81 99 113 231 17 9 97 134 133 88 11 55 204 9 187 92 164 215 27 121 128 190 37 192 119 6 246 211 197 242 7 172 152 57 245 134 202 20 74 196 6 124 186 105 12 224 187 46 203 35 242 1 8 246 179 254 68 123 50 127 166 211 124 13 220 66 82 137 199 52 142 52 6 94 162 137 206 55 27 0 180 179 117 2 238 5 7 13 235 244 219 8 186 46 139 14 229 187 73 192 199 161 146 235 117 204 249 147 218 133 241 148 174 213 91 117 20 56 117 176 15 192 144 7 35 146 114 33 216 244 35 205 84 70 158 82 37 49 155 72 80 93 111 144 213 198 118 171 243 117 196 26 223 132 192 114 204 92 13 16 227 244 15 89 106 191 34 250 181 58 190 168 38 144 203 68 84 20 13 189 197 35 167 108 242 32 7 183 22 193 16 241 98 84 176 166 30 169 11 108 83 239 153 141 87 226 214 38 16 164 171 104 185 30 142 191 177 153 81 189 252 79 3 108 114 41 77 0 58 97 143 16 131 47 77 237 195 55 13 220 162 50 45 138 211 173 179 131 64 8 147 90 201 209 131 143 203 195 138 98 165 1 64 195 250 200 203 92 125 32 229 124 1 201 217 7 52 138 19 116 242 236 161 138 239 55 163 97 43 241 89 98 66 163 6 0 3 40 113 14 28 97 162 250 177 204 226 111 40 183 45 124 101 63 230 223 62 84 47 126 246 116 127 200 218 129 38 22 39 18 67 194 88 70 44 209 134 198 182 150 205 29 46 254 236 212 65 125 96 38 220 132 56 46 79 45 204 97 251 240 45 4 22 216 50 145 178 70 160 118 159 150 105 92 179 166 167 248 161 186 144 203 55 10 16 101 193 177 75 195 38 0 40 166 242 37 107 130 184 20 46 241 130 213 86 20 107 5 102 255 190 178 94 156 119 208 118 187 87 33 85 203 175 170 47 219 176 86 123 133 102 180 63 187 104 209 162 109 218 157 80 23 224 217 212 14 160 166 160 103 151 18 106 153 72 10 79 231 64 23 216 246 194 211 229 141 212 11 233 77 108 47 148 192 178 244 252 205 7 216 68 109 168 139 179 82 127 229 17 48 58 141 39 0 74 56 98 103 86 111 67 39 193 138 207 80 28 205 166 197 34 19 193 170 101 140 168 130 244 82 21 180 89 26 86 35 132 179 43 139 226 109 199 14 21 151 46 27 178 15 161 240 133 40 251 172 157 218 35 160 65 11 181 175 62 73 5 13 62 42 17 166 218 114 148 88 44 83 172 112 200 135 113 64 154 243 86 129 210 145 250 246 201 124 1 220 70 89 86 53 89 112 134 123 169 44 82 7 129 228 232 86 185 173 214 146 187 102 181 62 62 179 14 203 81 199 8 107 48 63 140 161 33 26 234 65 18 46 232 140 197 13 232 91 7 71 207 31 42 94 123 168 190 192 165 245 48 116 35 191 240 64 189 120 70 128 55 87 123 66 41 59 89 161 159 52 100 103 89 199 48 4 127 27 224 81 126 44 206 255 80 57 30 209 102 249 37 115 70 138 231 85 31 47 135 68 112 53 78 95 81 189 79 148 181 118 130 44 238 27 244 74 205 23 221 128 205 36 226 79 59 144 203 100 168 14 89 79 27 167 199 210 117 147 252 14 236 232 11 55 86 58 94 228 42 215 163 237 57 79 249 57 108 106 52 166 35 252 200 154 81 11 229 83 115 139 100 81 209 14 248 103 205 53 136 133 214 154 135 201 193 227 49 76 3 6 55 241 63 123 250 246 226 191 189 120 123 113 236 124 26 110 248 20 31 123 38 55 171 75 199 49 63 1 204 130 44 141 218 47 31 192 31 237 51 113 192 70 125 129 176 242 24 152 211 16 224 40 32 164 208 236 8 37 144 147 239 65 139 18 129 22 129 79 214 224 19 218 156 254 176 0 133 175 81 209 64 232 246 162 183 87 117 15 126 19 160 0 161 205 2 29 190 190 181 94 101 95 168 110 244 251 143 31 44 190 115 193 182 226 69 58 53 151 51 111 19 32 133 108 200 213 138 144 138 20 227 198 208 15 245 198 50 166 28 215 202 10 228 52 21 64 177 228 122 100 93 179 166 77 7 142 23 23 232 98 2 65 247 213 33 146 251 214 12 151 210 170 54 201 229 225 68 156 234 129 46 176 77 237 39 168 38 176 75 93 159 190 35 250 184 22 129 62 167 25 52 172 1 28 190 101 18 26 87 173 88 42 192 160 105 106 111 130 44 23 120 94 12 249 169 181 150 232 177 152 54 241 32 32 184 244 136 161 226 178 35 135 12 16 54 41 142 115 160 10 93 207 112 152 119 106 155 109 219 104 72 203 175 151 130 16 192 200 88 220 139 245 89 188 66 86 151 181 222 188 108 77 225 152 50 212 83 39 161 23 35 42 207 109 235 122 4 72 129 230 245 183 60 146 14 1 135 8 92 148 151 178 3 96 44 96 126 90 223 74 61 109 191 145 226 235 231 108 47 78 141 224 134 76 249 142 120 17 140 174 159 60 46 113 139 51 59 58 198 210 15 62 188 204 243 57 255 153 103 158 153 173 37 32 67 138 155 163 172 185 203 215 179 69 58 89 76 91 215 5 182 105 251 104 59 174 152 189 224 252 181 151 171 95 117 213 85 79 170 43 186 138 229 4 106 48 56 83 100 66 10 50 96 111 192 166 65 12 99 165 214 152 2 145 161 100 14 2 248 250 15 54 49 111 215 175 238 225 155 150 12 155 165 131 197 131 69 84 133 91 106 161 33 111 249 33 100 209 38 173 148 40 201 71 49 74 116 218 126 202 80 99 130 105 78 208 203 132 12 2 56 247 21 52 160 86 119 245 230 181 250 104 179 64 10 43 205 96 60 75 231 247 196 210 150 126 2 200 105 114 69 187 51 14 87 23 242 175 78 219 94 28 40 11 151 207 240 1 124 118 43 98 126 120 174 54 43 130 105 36 79 44 79 14 163 196 122 164 155 238 22 172 103 9 130 197 195 64 79 145 245 118 152 118 144 108 203 151 125 32 71 55 212 229 7 6 6 60 216 206 79 178 153 64 21 45 99 79 206 96 23 216 38 231 115 217 153 82 149 219 72 71 186 52 182 102 109 73 192 182 94 22 219 131 209 98 75 105 81 74 163 223 166 6 122 152 26 236 129 253 18 215 127 195 22 107 157 146 72 173 212 139 128 223 12 91 11 81 26 62 42 124 144 46 186 139 110 201 164 140 74 1 7 43 200 121 216 197 68 179 12 90 120 17 8 183 203 82 99 50 98 127 186 206 202 171 217 196 73 237 229 114 77 145 6 89 93 191 123 245 129 231 85 26 35 99 22 184 12 40 38 233 117 205 147 103 97 186 236 235 212 13 61 93 22 219 101 71 13 21 195 2 73 207 17 223 147 183 132 21 73 50 10 144 247 211 91 11 155 29 101 25 72 217 9 96 123 0 54 173 77 59 72 245 63 73 252 109 218 36 223 22 136 116 236 123 89 197 180 141 119 129 109 47 61 218 100 10 237 124 254 163 223 248 29 208 201 94 81 253 69 151 93 80 60 47 144 187 27 171 68 141 37 53 18 139 139 185 93 38 214 65 154 60 208 178 80 107 241 161 43 42 134 181 84 47 138 124 111 185 89 89 76 153 88 233 165 75 218 51 161 138 32 197 240 162 184 143 152 172 17 59 197 194 105 101 57 64 248 96 129 218 49 26 195 99 57 73 202 183 34 15 47 175 129 152 4 159 220 82 179 83 76 250 5 40 212 29 231 126 85 242 42 26 213 163 27 249 70 89 167 3 42 3 221 84 183 218 92 62 104 14 49 194 100 101 190 194 200 50 153 114 157 142 53 210 87 93 171 254 8 168 202 181 33 117 65 41 219 233 36 143 150 119 80 88 250 213 243 45 81 166 111 116 204 103 61 125 171 221 173 89 213 29 80 3 161 45 214 244 185 182 187 180 109 7 48 225 253 80 155 241 230 23 186 116 179 53 168 126 44 131 242 34 155 189 228 108 148 186 108 139 47 1 254 35 167 4 235 181 148 193 214 102 33 174 127 100 58 158 203 65 43 147 29 86 183 153 45 69 121 9 12 4 1 5 102 79 231 168 27 122 218 126 97 162 176 69 40 83 146 7 145 233 197 58 18 32 253 76 227 108 118 67 200 160 34 113 243 190 228 26 154 97 198 19 159 87 214 135 207 30 41 94 170 229 44 35 161 24 38 128 58 215 153 135 61 181 209 20 1 88 239 90 31 214 202 97 193 121 26 151 195 103 22 91 101 97 213 237 28 198 217 252 180 143 92 134 176 142 22 239 228 86 151 147 77 201 120 23 216 166 228 99 155 112 161 243 102 153 135 91 20 197 239 81 206 184 231 158 123 238 211 241 211 107 117 132 17 124 147 247 70 28 252 145 226 100 117 241 232 178 177 104 55 138 196 86 151 169 207 121 82 99 81 189 113 155 212 189 186 95 107 189 66 55 79 109 173 212 220 218 128 152 1 22 60 89 106 35 140 1 170 65 63 167 181 90 119 137 182 133 174 51 5 129 143 227 151 146 48 58 231 227 108 140 239 69 54 34 109 157 23 135 9 4 128 41 116 151 67 189 252 62 180 77 92 98 80 103 214 221 209 37 165 80 222 173 133 30 52 6 191 37 28 35 140 63 206 144 13 189 82 214 35 247 139 176 203 121 54 42 15 39 126 112 111 142 213 4 194 33 178 216 182 113 218 135 243 221 103 172 77 223 39 45 39 119 246 180 243 187 192 54 237 30 105 75 133 252 69 30 245 162 183 72 197 136 26 134 90 95 49 227 67 31 250 208 19 2 182 7 53 118 131 37 224 58 8 27 96 240 1 224 19 22 132 53 98 172 203 109 46 158 141 138 44 73 74 166 214 24 194 88 103 128 4 227 93 63 120 178 215 214 107 97 213 52 115 136 233 163 7 72 57 80 57 39 198 89 81 15 192 45 16 192 157 41 222 108 226 114 86 79 147 33 173 254 109 87 87 238 216 5 69 113 16 227 108 10 179 187 96 60 23 186 163 35 197 221 26 103 3 84 66 119 180 58 85 118 123 170 5 84 191 33 221 175 101 90 235 54 91 179 180 172 207 203 157 215 157 59 84 14 67 227 126 177 3 226 246 104 61 230 105 99 184 198 199 94 84 231 131 5 242 199 9 188 182 150 39 16 144 211 253 9 15 161 66 193 116 36 117 129 109 106 60 213 157 125 41 203 233 203 113 187 11 106 16 35 75 150 44 193 244 217 164 181 108 119 96 21 201 181 200 130 11 54 129 160 238 213 9 11 196 82 151 173 229 37 242 214 105 41 91 146 154 38 107 94 234 202 254 219 19 189 197 143 180 0 149 211 99 89 132 235 174 12 100 208 161 229 244 60 206 56 27 34 46 135 143 67 6 214 118 89 92 135 8 212 78 216 71 101 17 192 140 239 34 208 170 234 79 107 171 212 125 250 18 23 107 202 66 17 67 125 198 7 179 102 46 228 136 229 197 214 176 242 68 4 183 202 52 6 181 22 246 219 7 201 249 204 143 220 163 114 48 179 90 49 217 2 200 55 226 87 197 94 100 201 38 82 192 102 81 167 85 168 229 157 156 86 53 235 86 38 54 151 116 35 202 241 196 168 8 140 172 93 187 246 182 216 197 225 91 163 73 132 134 202 210 9 198 174 206 57 48 12 26 5 91 64 196 36 135 124 188 140 214 140 19 237 213 91 55 162 113 182 255 235 246 126 91 89 207 183 54 109 135 65 202 165 58 80 5 110 42 27 202 205 229 128 7 1 235 76 39 151 217 214 166 83 89 246 33 151 132 45 86 34 68 85 200 176 204 131 9 135 91 100 41 121 170 102 78 158 120 124 31 93 88 165 27 180 117 108 155 138 16 214 198 185 70 249 18 64 6 135 111 87 36 224 113 111 89 14 243 168 150 124 172 213 250 184 62 238 93 228 147 38 186 145 8 240 39 42 222 167 93 36 124 109 204 80 124 2 150 154 201 187 194 169 238 119 129 109 47 62 193 188 81 238 166 98 148 155 64 57 78 182 45 52 205 136 18 239 191 243 206 59 239 86 120 19 71 221 200 101 54 85 40 41 221 171 115 14 108 20 51 181 210 158 141 227 225 69 138 170 242 214 234 234 83 107 12 91 158 122 101 193 44 215 160 248 165 55 246 23 15 104 159 229 65 210 131 8 93 181 150 2 133 236 210 111 108 175 22 39 76 225 228 90 248 45 113 1 27 133 63 93 11 102 249 98 189 237 122 72 210 237 2 146 181 66 140 20 183 10 216 158 147 85 202 201 29 144 28 71 221 71 67 30 206 53 82 42 254 8 208 149 189 125 157 214 197 105 119 2 91 176 52 212 223 2 78 65 111 72 105 217 102 74 184 39 44 254 229 147 135 124 164 186 105 61 102 66 228 163 195 39 85 142 99 87 173 90 181 143 172 237 65 110 138 226 163 212 181 166 154 190 177 46 176 77 143 103 91 126 129 199 171 21 242 121 26 143 143 68 96 155 241 193 15 126 112 185 198 110 238 229 196 8 181 143 22 96 99 198 145 110 17 51 163 167 99 9 9 228 18 180 164 182 20 213 155 102 207 74 190 197 101 12 201 20 1 220 238 212 82 134 215 93 211 175 239 148 114 254 88 248 176 137 3 2 93 56 46 172 22 191 72 62 17 71 89 183 201 242 58 78 99 130 135 170 251 12 202 101 56 216 86 149 229 163 214 241 128 6 237 31 215 56 155 1 10 133 144 115 188 112 191 133 102 252 80 110 44 52 214 236 173 80 250 175 62 170 30 62 86 96 116 132 60 198 45 179 112 36 224 249 109 36 76 29 216 144 15 176 153 37 25 117 228 94 4 182 67 68 59 80 31 85 150 61 92 233 210 99 170 224 198 220 43 56 83 144 212 5 182 41 248 208 74 69 174 122 33 115 90 30 46 37 29 29 213 134 106 190 84 197 56 219 70 141 185 253 52 31 195 114 105 3 30 53 90 54 106 255 234 98 181 56 53 216 216 230 37 18 179 179 214 74 216 179 151 111 193 38 141 25 85 192 237 201 77 181 226 173 63 237 47 46 185 161 223 54 160 99 161 112 58 7 71 23 1 118 156 146 193 202 123 186 97 228 205 20 134 3 30 214 153 95 169 124 145 70 28 80 96 161 238 129 218 208 126 82 28 103 27 245 210 123 17 73 16 17 197 64 75 150 214 58 89 74 119 106 245 63 101 194 154 228 104 116 242 78 190 194 14 192 248 148 15 171 140 15 178 176 111 244 161 77 61 197 101 55 205 40 30 148 117 58 67 52 100 130 11 86 155 71 201 86 234 205 65 227 226 158 66 167 14 88 126 0 44 116 242 200 29 214 25 192 38 183 64 193 131 229 91 36 151 137 39 125 144 252 5 225 120 129 187 110 106 220 129 170 119 122 34 37 207 211 19 246 184 251 232 50 186 6 162 105 59 53 125 117 252 26 125 140 247 61 234 142 246 170 97 112 100 120 194 4 198 138 54 203 46 120 169 198 217 6 100 185 45 87 119 178 151 134 107 90 164 198 204 162 168 58 130 69 178 88 52 59 25 16 74 32 161 214 107 233 36 250 189 71 123 139 43 87 246 22 231 170 139 123 129 206 33 59 69 251 60 23 106 224 159 15 157 48 240 190 64 64 55 71 97 91 246 32 121 22 188 114 46 26 133 162 192 228 86 229 0 140 25 2 169 151 104 201 197 15 244 153 187 166 28 161 50 76 136 164 242 106 221 136 89 71 236 24 184 67 31 136 126 199 145 182 96 89 210 113 221 93 172 2 3 251 0 43 224 3 80 15 169 110 204 98 62 160 15 71 93 253 84 189 248 202 35 245 98 165 128 91 19 204 6 106 150 91 76 107 157 219 120 47 160 115 155 172 68 138 120 25 41 187 138 174 251 84 179 238 40 229 53 29 162 187 211 115 177 115 215 180 134 141 99 195 15 18 125 68 135 25 20 138 155 154 9 140 179 185 202 41 239 119 129 109 202 63 194 49 43 96 237 36 147 40 199 157 213 66 143 221 209 89 127 242 39 127 114 219 247 190 247 189 187 117 66 235 41 241 43 86 46 111 141 139 174 214 194 89 141 226 162 195 135 138 207 220 197 33 19 82 99 154 162 58 3 52 133 173 37 90 211 149 76 244 77 36 132 89 93 15 96 244 104 155 214 176 78 143 189 118 37 23 38 154 172 53 93 243 52 81 65 87 16 96 59 76 221 73 186 149 116 129 95 162 133 183 0 159 29 252 168 113 48 155 49 180 60 149 139 1 171 138 19 227 228 1 80 214 100 33 250 122 54 138 16 11 156 60 35 25 25 216 81 249 100 149 114 124 208 95 255 66 135 2 136 142 21 69 169 205 25 160 105 236 76 64 198 206 128 231 132 234 43 245 165 169 135 117 74 247 207 5 244 155 101 237 145 158 229 128 45 121 90 221 253 78 40 146 129 27 250 13 168 99 38 136 250 197 201 39 219 37 192 164 8 52 68 98 253 8 54 24 15 149 191 191 174 66 207 108 132 201 159 23 170 235 2 219 244 127 242 222 6 188 166 30 247 246 18 155 144 181 21 100 70 180 243 96 248 176 195 14 235 127 252 241 199 215 62 251 236 179 87 106 115 245 41 234 146 218 218 49 87 2 110 48 100 68 131 254 141 67 135 138 127 212 25 100 43 213 237 26 215 106 35 27 114 164 49 155 11 197 192 66 10 141 95 22 156 118 127 3 43 116 219 182 104 192 157 203 74 39 131 241 110 209 174 34 157 192 238 232 121 195 197 155 151 14 23 111 93 58 164 229 20 225 164 89 64 161 236 200 137 89 215 163 230 53 108 61 217 195 178 166 122 176 46 201 218 28 129 152 7 241 88 52 54 252 115 250 46 214 215 123 110 18 58 25 61 50 45 29 178 138 99 86 193 36 108 190 60 165 171 11 136 209 204 158 88 99 41 130 111 217 198 44 73 225 150 155 201 40 238 224 166 96 83 94 97 14 181 180 117 112 42 151 233 64 32 58 1 185 147 102 67 18 224 121 188 120 242 201 39 139 253 247 223 63 197 61 205 116 246 171 222 131 233 92 223 23 82 221 38 242 34 143 146 21 144 65 235 191 238 186 235 190 175 177 182 141 218 133 32 67 33 159 29 13 221 47 26 219 98 89 77 111 89 162 62 155 82 140 82 68 251 178 54 230 156 60 62 154 70 123 228 83 116 62 94 69 49 184 0 204 186 172 45 192 162 87 23 57 61 160 177 175 15 223 218 95 92 116 205 12 109 59 234 177 99 138 154 96 213 124 212 0 6 128 192 184 221 73 236 152 80 183 46 20 214 203 130 108 208 105 169 188 88 80 21 182 238 167 142 235 230 176 202 154 14 218 52 95 192 90 83 153 8 247 196 50 245 202 226 228 162 156 148 153 113 49 47 15 122 80 139 143 243 112 140 42 158 143 83 6 112 115 25 228 193 173 77 178 74 7 117 191 13 28 61 33 76 57 238 27 86 170 46 45 71 86 250 184 32 23 127 225 194 133 185 180 169 37 9 114 211 213 117 129 109 122 60 89 127 89 219 213 198 95 226 92 46 15 147 46 151 41 86 172 88 49 172 245 80 179 181 11 225 94 1 219 149 10 211 120 236 252 175 60 19 32 130 141 222 111 16 176 29 175 49 172 134 214 107 201 88 145 147 58 111 197 174 218 90 183 103 27 249 22 117 90 158 46 88 37 88 47 92 140 197 49 96 111 131 246 242 201 183 87 70 20 32 119 135 14 99 124 157 192 141 205 226 76 56 0 40 185 67 22 128 97 242 33 172 103 43 45 251 40 151 203 202 174 68 81 143 121 252 88 125 44 16 194 49 110 229 83 152 50 90 57 21 134 214 172 191 194 49 154 147 61 140 143 115 112 75 113 5 146 140 44 92 38 80 152 152 128 230 214 157 37 140 63 209 72 219 76 84 99 108 84 251 5 235 186 192 54 253 31 189 183 147 188 166 78 179 118 147 49 60 110 254 1 7 28 64 227 104 220 125 247 221 95 85 67 25 148 213 198 208 133 117 188 72 131 133 192 160 57 99 109 251 200 74 121 247 49 26 211 145 5 227 214 86 104 130 18 4 0 34 8 164 198 110 113 231 185 239 170 51 121 71 23 137 228 142 2 146 15 23 231 187 109 208 82 136 255 114 75 95 177 92 227 91 76 48 64 207 29 81 186 132 167 238 59 172 129 124 65 136 8 163 192 1 161 188 172 228 109 180 72 78 108 210 3 67 193 79 117 178 12 73 19 19 17 55 185 160 38 70 131 74 68 228 76 146 36 33 138 70 75 158 226 10 4 144 212 120 35 227 117 0 155 51 99 154 232 25 144 169 92 27 137 107 248 96 4 107 141 217 80 205 152 86 167 104 77 63 173 98 93 96 219 203 143 83 47 226 100 121 233 242 114 88 152 189 163 178 212 230 94 118 217 101 55 106 66 225 223 176 218 228 28 125 210 157 99 200 122 163 172 182 95 90 200 152 151 186 164 26 19 11 86 155 68 82 245 80 25 47 163 41 108 203 227 156 30 101 211 146 185 200 119 217 212 244 83 182 73 31 219 166 250 4 110 143 171 59 250 23 247 215 205 170 177 81 58 207 91 62 171 255 183 10 237 150 233 184 37 190 81 192 244 173 33 65 174 46 15 147 214 46 170 27 203 24 189 36 230 50 240 83 24 110 140 91 58 162 33 78 114 156 69 163 111 241 140 22 226 173 224 6 13 85 108 63 99 177 47 64 87 42 59 170 109 201 135 182 193 61 109 242 250 169 0 53 228 184 114 151 199 243 112 46 51 229 194 93 96 155 114 143 108 66 5 246 23 213 125 18 19 174 186 114 158 133 181 166 173 161 229 30 188 35 141 155 110 186 233 127 232 43 72 219 176 218 242 177 54 172 54 19 150 70 22 194 254 161 172 182 227 180 4 100 72 93 82 155 163 35 43 111 244 248 46 108 225 88 12 231 39 158 192 196 101 243 244 163 138 173 4 81 143 157 50 34 171 241 159 31 171 23 55 61 163 143 168 100 147 3 228 66 41 1 192 253 181 236 226 228 125 20 176 162 196 252 71 233 53 38 165 9 206 203 231 64 108 113 177 92 204 226 17 0 173 60 36 19 51 167 27 9 123 44 184 164 34 18 240 156 102 162 146 244 184 89 108 26 99 27 208 1 159 212 195 117 4 77 246 59 194 140 168 254 248 48 13 186 2 10 127 48 115 75 45 15 195 70 38 115 229 120 198 154 154 193 46 176 77 205 231 86 85 234 241 94 206 118 252 156 238 97 247 11 205 140 14 169 75 58 239 15 254 224 15 110 212 57 95 95 117 171 205 1 205 11 146 186 164 178 42 62 118 242 246 98 174 22 167 14 105 157 155 157 230 225 66 214 82 81 173 139 48 206 252 24 175 162 5 33 4 245 63 2 158 235 113 121 241 104 252 117 153 137 67 58 146 251 59 143 245 10 0 34 8 152 106 253 32 163 95 86 238 191 132 221 18 242 237 187 164 185 174 150 112 4 42 242 181 75 30 46 201 68 126 206 182 242 88 134 65 214 211 58 61 166 39 73 12 6 137 72 48 85 36 119 190 66 24 244 76 124 176 118 143 101 46 38 19 249 153 55 18 143 152 122 92 180 71 116 245 250 228 65 38 67 208 85 151 200 211 47 218 5 182 169 245 76 119 244 197 44 167 43 183 143 60 238 178 78 243 120 255 231 63 255 249 191 212 242 143 229 2 55 198 218 248 112 136 221 61 247 1 49 54 123 51 142 245 177 83 100 60 232 237 226 43 151 182 13 200 26 55 226 153 218 220 2 130 142 140 93 136 17 86 139 118 48 179 156 74 233 147 174 192 228 227 50 172 102 253 177 214 157 177 183 50 156 166 33 154 28 234 40 45 203 62 78 146 197 54 147 113 54 133 1 64 113 171 47 207 219 203 146 228 36 142 203 233 33 155 38 205 211 6 193 64 183 244 33 93 46 78 177 185 76 157 216 41 174 48 183 152 181 107 135 205 110 20 199 235 52 21 214 204 149 27 173 238 191 1 155 252 187 52 3 186 70 71 128 247 105 60 188 89 12 0 0 18 210 73 68 65 84 59 156 106 23 28 214 154 214 180 165 44 157 46 223 105 25 105 122 4 203 247 104 122 212 234 133 91 139 170 23 213 105 248 30 246 59 228 113 247 161 231 114 70 215 88 27 235 218 102 125 243 155 223 124 76 187 17 62 166 177 27 38 14 0 183 148 206 193 141 238 231 179 26 99 251 117 109 181 250 208 201 50 217 212 188 88 159 22 192 141 20 74 194 133 75 97 167 229 126 16 9 178 208 165 36 201 71 158 123 168 19 207 44 48 1 219 163 250 46 205 221 154 20 100 203 151 117 81 99 126 128 216 86 141 163 219 103 249 180 6 142 25 6 44 205 177 157 41 39 131 172 12 96 134 211 9 230 188 168 205 242 132 142 28 206 101 98 90 209 177 198 18 23 54 82 145 128 7 192 89 241 4 102 23 232 235 244 124 72 154 35 163 242 50 3 106 114 61 178 208 120 38 183 144 147 186 164 117 239 122 186 15 253 214 91 111 197 107 231 98 206 163 216 237 232 163 4 39 19 161 11 108 147 233 105 236 249 178 240 210 250 139 59 102 120 221 186 117 44 255 152 255 155 191 249 155 223 18 208 125 69 43 219 41 173 154 89 211 57 184 209 240 54 8 211 254 147 62 132 252 135 39 40 0 134 168 61 115 66 134 57 90 111 106 193 17 176 172 225 199 34 24 63 210 141 228 242 14 10 206 107 165 35 106 135 94 106 254 226 46 109 131 50 107 12 17 47 162 2 216 49 243 181 6 205 78 213 85 56 200 32 52 206 229 58 2 252 72 222 203 32 223 115 72 58 162 112 170 71 148 53 114 204 39 75 35 74 224 192 82 200 146 201 231 62 178 78 112 150 38 70 248 170 87 150 83 72 96 178 172 153 235 233 209 120 40 39 124 220 6 67 123 125 9 219 24 27 150 26 215 189 247 222 91 156 118 218 105 158 21 98 30 118 31 218 180 113 93 96 155 54 143 210 42 210 238 37 133 94 230 121 188 236 163 40 151 55 62 19 9 241 155 8 253 127 244 71 127 244 81 157 215 118 151 190 136 212 210 37 37 33 224 22 78 169 173 217 119 13 222 117 204 96 113 197 139 4 110 210 194 62 237 106 112 19 147 214 140 144 251 40 243 48 44 156 137 68 25 3 22 0 35 130 134 161 65 24 87 99 1 238 125 218 45 48 40 147 199 78 232 37 105 212 101 86 157 20 93 168 111 16 216 103 249 100 181 53 193 205 245 185 239 121 201 231 188 163 152 71 40 87 42 80 164 139 31 10 40 207 101 145 145 75 245 160 2 184 168 215 228 137 86 91 110 52 78 214 5 190 121 96 168 56 99 255 97 59 225 163 101 204 18 85 74 29 79 58 126 66 247 254 30 8 250 114 213 176 3 26 113 142 124 95 182 108 153 103 14 105 218 187 46 176 77 251 71 220 82 65 94 238 252 5 247 112 238 123 216 91 42 10 140 38 75 109 232 232 163 143 158 117 243 205 55 175 185 225 134 27 254 171 246 143 110 83 163 170 11 52 56 216 176 37 35 239 46 109 84 195 252 237 101 131 197 95 189 100 123 49 127 102 195 6 247 105 156 102 89 229 13 220 65 195 104 17 24 44 103 101 157 3 133 151 174 37 183 44 2 95 150 225 42 125 226 165 249 85 168 216 237 83 30 148 18 250 233 218 103 122 138 198 2 57 7 3 240 107 189 45 174 207 233 209 79 96 170 184 3 157 137 58 223 229 81 231 180 168 203 235 103 116 104 226 123 189 44 26 192 205 82 233 135 195 37 183 234 96 201 163 53 209 241 222 99 135 172 11 218 230 116 239 198 140 25 51 248 131 114 163 142 5 95 169 241 181 153 58 143 141 103 103 46 126 199 194 163 238 147 13 174 236 7 234 52 248 237 2 219 36 120 136 12 146 76 160 24 227 201 182 227 231 244 177 194 57 207 27 8 52 163 63 240 192 3 131 26 111 91 240 251 191 255 251 215 106 198 244 255 166 81 169 39 196 178 53 151 77 85 113 168 91 175 49 183 215 104 204 237 127 157 189 189 56 89 39 119 12 107 230 18 92 192 122 243 238 98 104 232 202 34 221 10 9 208 240 189 237 25 48 196 184 151 166 202 55 249 145 98 163 242 12 192 22 198 222 252 22 3 168 44 40 102 77 216 255 41 75 8 253 104 245 178 90 254 150 87 44 75 42 79 170 86 44 83 228 151 1 206 193 143 114 120 153 205 39 61 52 229 150 3 26 185 123 61 37 199 253 96 17 238 54 129 218 62 154 48 248 155 211 183 219 209 230 124 84 134 63 22 212 35 191 164 212 62 230 34 255 95 201 129 101 31 154 189 110 0 104 29 130 26 201 166 157 235 2 219 180 123 164 180 158 182 14 94 153 239 52 167 123 28 37 132 105 247 56 167 143 196 241 182 5 175 126 245 171 191 164 13 214 95 210 42 119 227 203 106 72 95 137 178 20 250 1 48 176 208 214 9 104 142 215 241 70 95 61 123 91 241 159 143 31 212 34 90 45 7 17 192 209 72 235 218 130 26 128 69 89 24 8 144 21 46 198 83 214 144 160 81 36 46 228 74 87 76 207 66 86 128 51 44 233 144 88 116 176 41 15 159 255 251 245 197 195 197 25 26 148 31 81 57 172 139 12 179 172 143 120 14 70 81 127 80 23 229 161 141 2 56 215 133 74 151 203 10 97 122 161 227 228 75 134 9 22 238 195 118 125 197 235 96 221 171 111 156 187 189 56 235 128 97 27 175 12 107 2 77 56 255 25 210 184 103 143 38 11 110 215 26 195 127 215 253 175 105 151 136 63 175 92 206 195 89 134 78 178 10 167 72 41 224 242 37 242 228 143 118 129 109 242 63 163 221 85 194 252 165 37 220 46 158 243 76 134 241 54 62 30 34 55 235 252 243 207 255 224 202 149 43 191 163 133 188 88 109 178 43 56 202 44 192 20 2 238 104 152 155 100 32 97 141 188 79 192 246 15 231 108 47 206 95 172 54 168 255 67 90 25 18 0 46 116 81 53 207 103 13 61 164 37 44 33 7 7 47 166 149 42 202 185 188 124 203 89 228 69 58 78 105 174 38 9 134 40 81 76 67 30 56 244 51 137 192 1 150 31 208 228 198 44 117 145 245 161 39 149 45 240 45 175 76 103 138 155 30 100 116 57 223 52 182 161 89 126 153 78 75 103 9 82 125 176 208 184 55 88 146 195 131 2 98 149 227 101 58 45 229 187 23 108 45 206 17 168 97 237 86 140 171 161 4 197 117 190 80 37 247 201 99 142 57 102 211 245 215 95 63 243 160 131 116 144 93 201 113 228 84 118 236 84 44 80 73 104 154 69 187 192 54 205 30 104 172 78 187 151 215 233 238 123 237 61 158 251 132 253 162 177 56 207 26 14 71 27 197 47 90 13 159 125 246 217 239 210 89 251 87 11 220 216 149 0 176 141 218 44 79 70 52 80 0 101 131 128 236 37 26 12 255 219 51 183 21 127 115 134 172 146 69 66 31 129 0 22 92 67 224 199 104 19 199 65 114 241 130 6 156 84 246 9 76 188 88 104 109 58 244 123 171 102 123 23 86 24 39 133 0 118 14 106 72 147 218 172 54 45 237 122 177 198 217 254 252 84 21 72 75 67 6 229 113 234 154 143 15 34 219 226 60 127 124 211 226 101 114 41 143 195 199 197 184 201 18 13 93 77 254 2 144 191 77 108 104 130 3 96 7 208 150 105 1 238 95 188 100 107 241 15 231 110 43 142 208 182 47 206 95 67 174 141 27 198 82 214 68 193 215 22 47 94 252 109 45 229 232 211 120 231 144 3 152 131 153 199 209 241 237 111 127 187 172 202 11 90 166 79 249 56 139 96 166 124 37 166 67 5 4 6 237 95 225 234 10 142 39 223 238 143 22 233 252 66 115 174 199 112 36 163 121 28 57 15 123 90 75 7 184 233 36 16 53 193 162 95 22 195 95 107 0 251 183 56 189 85 239 21 19 10 246 133 43 127 199 242 42 106 37 156 13 144 207 211 217 107 140 133 221 188 86 167 231 234 91 163 63 213 9 29 171 116 88 35 95 136 178 146 25 2 104 166 85 36 47 168 157 33 107 145 64 225 13 54 228 197 58 211 100 197 43 150 12 218 216 20 214 16 155 225 145 242 50 184 47 146 209 56 141 99 158 182 98 253 104 85 79 241 39 119 246 21 79 233 128 72 64 142 81 67 42 140 110 187 248 137 225 16 210 111 86 6 34 205 250 41 44 116 36 30 68 40 73 184 88 155 102 199 38 197 195 136 57 157 228 52 29 149 118 209 225 141 226 215 212 53 62 68 134 48 31 143 25 18 159 147 60 112 77 189 33 172 58 12 170 11 218 39 203 249 65 141 163 157 123 228 145 71 62 253 131 31 252 96 134 78 97 25 210 82 143 112 83 66 82 251 213 31 33 43 253 235 95 255 250 88 11 35 231 225 76 186 37 216 137 76 75 130 201 18 233 2 219 100 121 18 42 135 94 224 81 47 229 24 197 27 79 22 126 59 25 231 57 63 247 105 78 121 220 101 41 138 243 156 102 114 17 220 100 111 21 61 215 94 123 237 71 244 49 145 119 210 69 210 146 3 70 231 89 18 50 202 81 85 90 13 13 158 174 152 237 101 16 109 165 118 12 252 108 93 111 113 227 51 189 197 61 218 212 190 92 167 118 60 55 168 108 237 12 53 203 46 211 149 197 37 50 87 235 189 126 83 167 249 94 126 220 96 49 87 224 196 26 48 31 112 247 68 14 108 185 207 34 94 214 182 173 216 220 83 124 233 161 122 241 253 149 61 197 6 125 95 192 10 40 171 47 175 53 79 40 216 128 174 81 126 122 108 98 6 1 9 81 182 120 121 24 158 238 198 1 90 104 123 244 252 66 227 103 35 197 121 234 57 190 88 51 159 243 5 240 225 36 94 202 172 238 39 119 90 233 253 149 192 183 123 166 45 160 154 32 96 1 174 186 207 131 23 14 12 12 252 228 161 135 30 154 113 251 237 183 115 175 199 116 25 176 117 2 88 157 200 140 153 223 222 100 118 129 109 111 222 253 82 222 122 113 105 9 157 186 78 100 173 121 84 40 140 45 206 56 121 24 2 113 210 185 126 231 231 190 235 117 90 17 193 141 198 181 229 170 171 174 186 84 150 219 159 107 157 219 44 205 208 249 55 46 123 0 147 188 138 161 182 1 224 176 100 104 208 179 212 240 103 201 74 3 60 214 171 123 246 164 128 238 49 89 112 28 185 189 90 51 133 207 108 211 145 219 202 133 140 105 121 189 74 195 167 251 56 29 247 116 157 7 119 156 6 221 153 65 100 195 187 119 41 29 196 36 222 98 185 57 29 31 203 206 191 173 240 192 166 162 184 86 103 188 221 252 76 143 190 123 170 237 89 91 1 87 210 74 1 166 33 5 167 0 201 197 184 209 131 117 201 209 73 243 181 225 126 159 25 53 59 224 242 112 29 140 178 108 222 72 113 196 188 162 56 82 254 193 179 196 231 200 112 41 218 44 235 148 163 203 169 191 151 153 251 228 23 217 196 251 102 160 198 76 180 172 226 119 14 12 12 124 129 46 232 149 87 94 57 124 252 241 199 183 148 40 21 45 6 34 168 81 131 78 221 68 100 59 213 185 199 228 186 192 182 199 110 245 248 25 233 229 29 243 229 172 208 48 158 60 252 118 50 206 115 190 251 100 227 192 230 180 92 214 195 163 192 77 221 160 94 205 208 21 234 34 109 248 220 231 62 119 142 198 222 254 92 27 232 95 172 46 18 71 232 180 88 111 85 85 133 102 93 74 21 25 192 98 162 129 253 158 248 52 120 192 7 32 0 244 40 4 45 15 31 139 15 11 7 48 3 244 112 14 16 132 29 192 242 48 52 167 187 111 221 68 9 177 21 139 137 132 65 89 137 140 115 173 19 160 174 87 23 151 177 65 186 137 228 201 79 12 17 179 248 92 45 62 155 37 64 243 47 107 205 81 193 230 169 171 57 87 62 221 74 234 50 82 235 41 6 5 98 236 89 181 111 61 40 78 217 209 73 253 243 251 226 113 124 149 113 80 11 164 251 216 206 38 75 248 61 90 114 243 151 31 249 200 71 234 2 180 145 251 238 187 175 35 16 186 226 138 43 58 146 83 81 58 149 163 230 147 210 117 129 109 18 61 22 189 192 214 102 38 80 164 78 228 213 108 218 58 231 185 30 247 73 0 143 184 211 60 236 113 248 121 122 163 179 252 128 25 82 173 113 219 112 196 17 71 236 247 149 175 124 229 253 251 238 187 239 59 153 69 21 224 169 215 103 86 27 227 231 163 92 106 200 112 116 43 0 154 208 194 104 240 177 48 242 195 206 134 102 114 44 41 0 17 87 53 216 238 192 37 182 86 127 152 70 202 106 239 62 241 140 143 10 3 80 104 232 2 52 1 37 194 150 136 174 169 156 129 26 4 163 70 168 141 143 143 239 55 232 195 81 86 38 192 139 197 44 164 50 41 241 168 39 192 75 61 188 206 166 41 198 9 227 34 207 22 63 107 11 91 175 172 180 181 234 130 190 109 233 210 165 223 19 175 231 195 31 254 48 247 223 171 110 105 198 250 121 33 1 155 191 152 99 221 143 46 111 15 221 1 53 166 208 106 58 207 175 19 249 177 100 188 81 84 201 64 243 139 18 121 216 101 73 155 167 183 48 75 65 4 106 67 90 126 176 224 225 135 31 222 162 229 32 255 85 227 63 191 165 46 233 61 115 231 206 237 213 7 152 153 80 0 224 100 95 165 198 107 141 152 56 206 51 160 241 7 112 9 32 227 86 24 119 41 47 140 240 192 228 170 64 45 104 180 223 97 190 219 160 50 176 181 18 72 50 192 200 129 197 101 45 207 152 25 103 98 48 185 193 186 55 246 191 178 252 130 235 89 89 112 33 28 104 108 252 95 47 139 142 211 77 54 233 194 114 228 67 55 156 93 235 79 213 235 227 32 233 249 185 95 122 252 128 48 93 207 222 121 243 230 1 106 255 143 102 56 207 2 212 100 169 245 171 107 89 19 176 217 61 244 244 187 200 231 214 78 121 215 181 216 38 217 35 84 67 163 209 77 196 117 34 63 214 31 48 210 251 69 190 185 62 167 187 239 252 60 142 238 60 158 194 116 77 73 160 89 185 141 231 157 119 222 1 31 255 248 199 223 46 107 238 50 89 31 11 25 252 214 140 30 141 151 165 33 50 94 172 222 164 109 1 185 78 226 200 140 225 148 197 200 144 172 198 62 149 227 17 1 239 255 214 216 159 91 144 130 42 155 220 72 214 219 24 122 198 100 81 252 88 248 84 254 80 165 120 67 225 103 151 43 19 200 38 121 209 124 169 12 7 71 214 5 194 140 165 109 210 201 29 127 166 189 158 159 82 61 134 5 106 51 5 104 148 27 231 127 88 10 209 44 251 64 30 253 219 161 181 54 45 64 141 218 143 245 194 143 190 59 93 202 100 188 3 157 188 140 99 201 192 243 139 250 229 178 78 31 139 230 150 155 203 120 26 0 109 88 87 67 227 65 251 252 244 167 63 125 238 194 11 47 252 196 215 191 254 245 151 63 246 216 99 159 18 192 60 76 183 85 107 177 234 26 12 7 216 104 224 88 81 88 33 232 52 125 208 59 117 46 43 159 180 102 241 40 92 3 212 180 207 245 62 125 113 235 210 179 206 58 235 191 200 146 188 88 227 126 79 64 135 47 89 206 150 179 181 119 68 3 169 211 92 51 32 110 151 182 125 29 40 167 91 175 13 44 73 221 147 94 1 63 179 158 155 117 239 254 167 22 63 159 179 116 233 210 79 72 110 228 221 239 126 247 140 12 212 40 96 186 57 162 219 253 130 216 117 186 49 250 43 208 189 15 147 236 14 168 97 165 23 182 195 162 117 34 143 204 88 114 254 71 206 101 220 167 8 158 214 253 50 173 28 247 180 73 30 235 77 227 108 53 173 121 219 34 225 173 23 95 124 241 97 111 125 235 91 95 46 250 175 9 216 206 210 192 248 126 156 82 17 7 199 89 202 128 78 155 10 136 247 195 192 79 52 215 13 223 156 248 188 196 88 102 102 193 40 174 163 255 123 107 210 89 104 67 56 86 207 255 252 224 7 63 248 33 173 245 90 119 220 113 199 45 184 255 254 251 215 93 126 249 229 71 189 233 77 111 250 184 128 245 55 152 101 100 210 67 96 98 22 164 244 144 37 179 184 163 242 138 89 122 190 41 42 249 22 64 36 238 46 134 173 161 9 188 12 180 69 171 41 220 75 222 212 27 25 129 61 245 191 79 215 149 218 182 246 245 51 207 60 243 46 116 188 225 13 111 152 165 9 130 97 29 61 84 238 122 90 189 61 31 247 171 172 183 14 44 182 105 5 4 93 96 243 183 97 18 249 188 244 59 80 156 78 210 56 120 181 83 239 124 215 229 62 242 132 243 171 76 35 142 203 101 60 125 242 179 238 169 118 68 22 58 131 163 152 249 167 127 250 167 71 156 113 198 25 103 202 82 57 83 13 253 20 141 133 29 33 80 154 71 163 231 0 69 64 142 174 43 97 208 75 105 82 35 140 183 170 135 163 177 145 87 15 206 228 5 18 91 53 123 120 187 44 158 47 188 242 149 175 252 103 165 233 95 186 116 233 204 71 31 125 116 88 224 214 39 112 211 113 148 69 239 247 191 255 253 215 29 114 200 33 111 83 218 151 104 44 107 6 250 200 15 64 20 192 152 53 154 3 92 249 217 228 143 74 64 21 139 167 155 208 124 132 134 146 228 69 25 1 49 202 137 139 64 182 90 245 186 95 245 187 73 241 159 252 203 191 252 203 205 159 248 196 39 214 194 63 234 168 163 102 156 122 234 169 61 218 49 0 192 123 157 203 62 162 78 35 156 92 14 112 227 0 91 101 250 164 104 10 6 186 192 54 73 31 90 185 1 117 88 76 7 144 177 196 29 188 218 201 228 192 132 76 174 211 195 232 240 176 203 120 58 143 187 239 114 45 124 29 97 141 69 213 179 124 249 114 172 16 0 206 22 248 10 124 246 209 121 111 75 142 61 246 216 227 5 116 47 150 204 201 2 171 1 129 198 66 93 51 1 7 192 203 148 11 60 192 57 128 72 32 198 88 212 3 242 239 208 134 240 91 117 210 239 93 151 92 114 201 125 146 123 78 128 181 64 214 98 207 234 213 171 201 139 114 140 40 159 58 32 167 176 86 173 21 115 190 248 197 47 158 162 60 207 209 184 214 233 2 159 19 149 215 128 194 117 89 126 6 168 128 42 214 100 192 85 165 200 156 131 24 190 210 217 149 135 73 3 80 10 188 182 41 252 132 244 220 175 173 80 63 83 119 248 86 117 139 239 87 57 31 23 157 221 27 0 98 253 53 175 121 77 191 38 89 70 52 233 210 208 226 91 64 199 129 39 247 61 236 37 41 199 157 94 89 230 200 108 155 38 37 158 162 129 46 176 77 210 7 167 23 220 1 97 34 37 236 36 77 14 48 237 116 187 140 235 115 31 121 15 87 201 56 205 245 150 101 203 116 211 167 101 33 61 106 200 61 26 7 107 8 124 104 224 128 28 125 81 0 116 142 128 110 127 173 215 58 64 96 184 80 99 80 7 10 120 180 220 181 24 1 68 4 8 13 129 196 106 1 192 195 159 249 204 103 30 211 177 74 27 196 3 176 64 191 89 218 110 212 191 102 205 154 97 129 157 162 230 188 76 133 0 175 166 117 118 189 2 56 44 34 186 200 164 155 113 209 69 23 29 168 147 75 150 13 12 12 156 44 112 59 81 96 186 76 0 119 160 30 201 28 93 51 77 75 197 143 120 207 3 80 186 240 215 235 122 90 96 182 90 192 187 82 93 221 21 42 199 35 58 203 110 229 103 63 251 217 53 226 81 71 128 140 58 206 56 247 220 115 235 154 212 168 73 102 72 139 110 41 199 255 223 222 25 236 38 16 195 64 148 69 149 90 14 189 239 255 127 36 18 151 110 231 89 251 34 107 161 208 246 132 128 72 43 39 206 196 113 4 25 197 201 6 58 233 152 87 86 200 77 251 77 178 126 163 142 177 164 51 229 3 43 94 196 118 199 31 110 190 244 99 18 254 193 205 223 180 1 115 11 39 70 156 82 87 122 189 117 93 154 7 111 94 217 117 218 43 221 60 207 251 144 87 225 18 154 45 185 92 15 233 64 114 60 76 248 218 7 139 28 105 37 7 136 236 157 141 247 92 233 170 85 105 126 82 105 9 161 73 2 246 189 149 131 224 66 62 75 136 21 60 125 65 176 72 236 126 36 124 61 228 100 247 147 255 126 200 234 109 144 68 200 117 228 179 217 127 76 232 123 74 56 9 73 210 30 223 89 165 21 38 126 114 74 156 251 6 187 183 16 238 62 190 78 33 116 86 101 16 58 24 250 214 158 50 170 51 157 99 162 174 167 222 102 232 237 127 40 158 32 243 34 182 59 254 144 255 73 108 140 200 201 123 109 116 96 110 225 196 136 83 106 215 178 56 244 230 123 157 120 235 45 139 177 188 149 83 86 49 69 60 146 157 178 19 74 222 239 98 191 106 73 104 87 19 62 239 204 93 156 224 171 241 222 167 121 229 232 139 48 153 195 142 117 21 9 161 250 92 35 21 67 244 146 16 87 174 150 113 210 57 225 31 62 71 126 65 182 177 139 143 221 22 229 254 172 238 150 112 60 63 213 95 194 14 221 51 18 219 55 33 27 188 125 98 239 224 251 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQMTestsFileLibrary methodsFor: 'accessing' stamp: 'NickAger 10/12/2011 15:15'!
selectorsToInclude
	^ #( jqmdocsCss jqmSeasideCss )! !

!JQMTestsFileLibrary methodsFor: 'uploaded' stamp: 'NickAger 10/15/2011 11:54'!
toggleButtonPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 119 0 0 0 42 8 6 0 0 0 137 41 196 163 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 31 17 73 68 65 84 120 1 237 156 121 144 93 213 157 223 191 247 237 239 117 191 94 212 173 29 208 10 18 2 100 22 99 132 1 139 216 120 140 89 236 41 3 158 132 153 140 237 204 100 18 187 178 84 214 74 197 169 154 114 156 76 213 252 145 164 38 149 170 64 102 202 149 33 174 120 98 151 49 198 177 153 50 195 24 99 12 104 88 37 129 44 36 33 180 181 150 110 169 247 215 111 191 55 159 239 121 122 208 2 209 98 49 83 193 201 129 219 247 190 187 157 115 126 223 223 126 126 87 81 146 36 122 55 237 241 61 19 201 19 207 239 210 79 118 30 209 196 244 172 78 76 204 106 174 222 84 179 29 169 29 199 82 210 86 58 122 119 239 126 55 227 121 191 158 97 38 11 182 168 221 86 148 42 42 142 50 106 169 174 108 58 82 179 150 168 144 201 40 137 107 106 164 18 197 237 150 212 170 67 143 148 234 149 105 69 141 57 181 103 79 169 47 159 210 202 252 148 202 197 188 74 217 72 197 108 74 189 61 69 149 203 101 45 91 190 82 171 215 172 211 150 107 174 214 197 23 95 28 45 56 136 183 184 24 189 19 112 71 102 148 60 252 228 118 253 239 199 158 215 142 67 19 58 85 149 230 50 253 98 122 106 167 114 82 38 207 68 179 234 188 51 230 44 224 38 239 106 92 111 49 220 191 254 211 231 26 126 156 73 73 113 93 112 181 242 153 30 53 26 13 229 10 137 234 181 105 165 161 69 84 141 149 106 215 213 152 29 149 170 227 234 205 214 181 245 202 13 250 232 101 171 180 106 73 159 22 3 100 54 157 82 41 195 107 218 77 213 170 21 77 79 79 235 192 193 195 218 179 247 21 141 141 30 215 250 245 235 117 197 21 87 232 174 187 238 122 71 196 124 219 224 126 251 103 47 39 255 227 71 79 234 217 87 199 52 157 26 12 160 38 169 146 148 130 183 1 54 74 231 192 145 17 186 89 27 132 97 240 231 29 13 167 243 248 7 234 111 146 103 142 85 21 153 103 125 14 41 141 178 74 231 218 138 155 179 74 170 51 210 248 1 245 69 115 186 122 237 128 238 254 244 181 186 118 243 58 45 25 44 41 19 53 133 160 170 30 67 183 22 199 48 73 164 88 109 52 65 54 155 85 59 73 107 114 114 82 39 142 31 213 182 109 219 180 99 199 14 69 81 164 155 110 186 73 119 222 121 231 219 162 234 57 193 221 117 82 201 159 124 251 71 122 240 169 221 58 222 234 85 35 183 72 173 108 175 146 116 65 204 66 41 148 81 148 6 84 184 148 3 100 149 65 50 136 8 117 100 9 126 39 154 225 3 5 234 233 193 198 166 1 188 28 55 170 74 129 115 92 173 241 7 218 159 60 164 116 107 84 183 175 170 233 11 159 251 180 110 186 242 34 149 226 57 77 77 156 82 189 137 100 183 98 205 213 26 106 66 171 64 167 184 5 224 144 48 211 161 99 46 95 84 177 88 84 62 151 81 169 84 210 225 195 135 245 232 163 143 234 185 231 158 211 208 208 144 190 248 197 47 106 195 134 13 11 130 188 32 184 79 239 62 144 124 245 155 79 107 251 43 199 117 50 234 83 210 187 2 233 68 253 102 11 202 228 114 240 25 156 154 238 1 88 88 16 96 57 96 79 127 41 182 216 51 70 170 81 57 191 202 45 21 99 155 144 86 79 85 201 108 80 189 209 241 125 90 149 28 215 63 185 251 111 232 55 111 188 80 249 108 14 41 156 214 244 108 77 53 204 111 220 198 130 37 45 101 241 73 90 106 40 131 125 110 181 90 188 35 86 206 116 197 22 52 1 63 157 78 43 151 101 227 220 192 192 64 144 232 189 123 247 234 193 7 31 212 193 131 7 245 165 47 125 73 91 183 110 125 75 128 223 18 220 135 94 56 154 252 151 111 222 175 159 141 228 212 204 245 169 94 92 172 36 215 47 229 0 211 175 99 0 105 58 109 195 185 176 91 7 63 171 99 111 128 109 233 117 75 146 115 185 36 157 71 63 168 127 211 208 161 29 55 33 9 18 56 62 174 194 169 93 186 110 233 164 254 205 221 215 232 198 203 46 208 177 169 182 102 103 113 54 171 85 197 208 5 61 7 189 98 229 35 60 149 184 1 160 17 228 74 133 205 160 118 53 157 233 231 99 95 107 54 155 129 1 250 250 250 180 100 201 18 141 142 142 234 251 223 255 190 118 238 220 169 219 111 191 93 159 249 204 103 206 10 240 89 193 221 118 168 150 252 235 255 250 128 158 220 63 163 122 207 82 165 10 3 106 23 251 81 197 69 48 0 184 108 30 201 45 208 41 67 101 160 30 136 7 209 109 65 205 24 100 183 15 184 228 90 229 46 212 90 54 73 245 105 60 203 9 165 142 189 172 155 215 102 245 213 47 124 84 155 207 47 106 242 196 49 77 214 122 213 194 246 230 82 72 40 47 67 32 161 99 58 208 172 133 173 205 100 75 1 60 107 62 211 48 128 75 164 209 61 182 52 91 130 253 187 94 175 7 85 189 120 49 130 6 125 127 248 195 31 234 201 39 159 212 29 119 220 161 79 126 242 147 111 2 248 180 200 189 62 252 131 227 115 201 31 253 233 119 245 212 171 117 85 7 55 34 169 37 197 5 64 77 240 252 172 142 79 171 16 171 17 219 92 15 52 97 0 177 37 212 210 106 98 184 27 111 1 224 55 245 249 122 103 31 128 163 115 233 157 116 101 82 217 102 93 245 163 187 181 117 229 156 254 224 119 110 211 250 190 156 70 15 79 107 178 85 68 253 78 161 78 113 146 176 165 117 11 67 166 16 34 138 24 250 229 211 121 53 12 94 6 237 71 235 74 106 234 180 214 179 131 21 167 50 167 25 129 251 243 220 143 55 126 234 212 41 245 246 246 234 214 91 111 13 170 252 59 223 249 142 150 46 93 154 108 222 188 249 12 98 191 46 110 167 9 253 159 191 245 152 126 188 175 173 185 129 11 132 111 47 149 202 216 88 192 197 184 51 66 28 0 184 11 144 19 171 227 96 91 155 60 137 17 9 49 173 1 54 57 78 111 62 151 194 193 104 227 36 136 251 211 48 4 94 98 154 45 213 246 121 60 144 132 243 176 115 129 97 69 76 30 107 196 1 27 147 206 36 188 27 245 165 118 65 217 58 132 193 233 128 133 59 12 132 67 151 138 177 113 244 225 107 217 200 90 165 138 162 224 157 77 246 246 1 90 13 222 3 215 163 238 194 24 91 60 155 159 12 239 77 41 173 76 147 113 153 41 23 218 60 7 143 131 112 70 25 251 21 230 222 6 99 169 240 222 57 186 39 124 153 56 164 53 201 65 253 193 111 93 175 181 131 121 29 157 24 87 21 91 28 165 28 235 3 14 99 106 122 28 128 25 133 247 53 56 198 51 38 210 176 98 75 113 206 91 247 152 14 66 179 115 218 213 136 22 42 107 72 239 13 240 220 220 92 0 246 230 155 111 214 186 117 235 116 207 61 247 116 31 123 109 127 6 184 63 122 230 96 242 211 151 14 170 146 234 81 84 28 4 15 128 53 177 76 108 64 61 179 25 192 115 183 20 147 178 4 51 53 165 27 41 21 91 121 17 206 41 206 227 101 102 0 33 33 92 200 212 85 75 26 74 24 120 231 98 85 217 92 90 173 38 160 112 94 16 49 87 176 39 206 117 24 0 246 130 190 168 174 52 227 3 184 8 142 142 171 0 157 75 133 80 34 159 42 168 109 205 130 167 105 64 58 161 6 196 49 147 53 59 247 196 48 66 156 3 176 115 53 51 134 37 9 13 197 128 194 221 41 164 41 193 86 198 141 166 90 51 167 84 158 123 85 95 253 210 173 218 184 118 149 38 103 171 92 107 41 205 36 179 0 111 64 222 235 214 5 216 157 119 77 160 237 176 227 97 123 210 216 92 245 244 244 232 222 123 239 53 231 189 214 152 125 167 29 153 110 39 247 253 120 155 246 206 21 85 239 93 142 100 246 34 169 56 79 105 187 230 216 84 75 172 1 238 218 82 63 134 109 56 87 115 42 163 7 181 52 87 99 210 216 233 58 25 156 64 164 217 49 229 103 102 85 205 98 175 170 168 28 60 202 58 73 16 21 134 149 47 45 85 157 115 164 121 148 142 51 56 109 41 213 218 72 11 156 159 170 158 0 164 73 4 178 136 45 131 193 74 67 100 129 250 149 135 224 237 250 4 195 41 153 141 20 193 28 73 237 24 96 142 43 203 25 223 155 43 95 165 122 130 105 65 234 155 72 138 85 99 208 62 11 77 194 226 212 182 131 72 88 231 76 147 163 5 98 80 107 134 216 218 167 114 92 159 217 216 163 207 94 181 82 13 108 235 12 161 80 10 112 115 48 85 10 250 196 190 255 61 180 174 170 54 168 221 99 191 206 182 216 0 159 60 121 82 203 151 47 183 215 172 31 252 224 7 218 181 107 87 178 105 211 38 136 28 116 160 119 210 147 47 238 211 99 123 79 169 210 119 9 244 89 2 81 80 1 16 176 141 26 12 47 14 119 189 65 90 205 209 243 193 14 247 156 249 167 8 33 42 16 88 216 237 52 239 74 141 143 192 241 123 97 154 49 13 149 123 244 225 1 212 76 118 137 70 170 13 141 76 29 212 169 209 23 177 241 23 42 59 112 177 154 73 25 9 132 128 197 94 181 145 18 181 218 202 85 71 212 174 190 10 141 97 188 54 188 89 59 170 100 241 71 213 0 180 84 161 143 100 81 91 245 54 65 26 206 71 207 220 97 85 218 220 11 56 89 124 134 122 207 58 250 133 40 137 77 2 204 194 152 172 24 22 108 86 51 52 19 54 131 25 178 32 123 44 17 42 63 25 31 213 202 100 76 191 115 235 86 245 163 9 14 77 207 17 171 34 213 0 223 70 16 178 0 220 32 29 251 94 91 87 242 61 6 55 255 182 147 229 102 128 189 125 228 35 31 9 49 240 195 15 63 44 192 13 215 94 147 220 63 127 234 37 205 230 134 201 140 96 187 130 87 140 204 217 85 180 196 6 59 195 4 29 156 195 193 221 230 97 191 254 171 123 246 204 125 85 120 132 105 18 31 16 180 61 179 11 105 218 167 223 219 114 129 254 246 214 27 244 161 21 131 42 49 198 57 250 9 58 0 134 250 203 29 135 244 159 30 126 65 143 31 122 90 42 175 85 170 119 41 18 66 44 217 154 211 32 146 252 245 59 54 233 215 46 189 10 6 33 205 7 96 255 236 123 219 245 189 87 142 40 41 93 2 160 140 8 169 137 138 57 101 1 248 247 62 113 153 190 252 225 45 216 247 180 78 145 9 250 220 125 167 52 54 135 154 68 43 53 177 135 113 149 206 211 0 189 96 99 134 78 208 160 146 205 203 88 74 238 198 206 99 83 27 72 237 205 155 203 186 114 195 42 77 77 31 83 2 248 17 97 81 42 151 39 73 193 109 30 139 31 122 15 173 251 124 119 111 128 45 181 254 237 205 54 184 82 169 132 56 248 154 107 174 209 253 247 223 175 99 199 142 37 72 179 245 172 244 236 129 169 228 233 253 19 100 159 134 113 56 80 199 140 39 107 59 198 224 28 167 250 133 129 107 130 179 244 250 72 187 156 244 250 153 55 31 229 112 116 146 164 95 209 204 132 214 164 246 235 207 254 222 77 186 231 55 63 166 235 87 102 84 206 78 162 186 98 17 44 192 249 137 202 0 242 185 43 206 211 255 250 7 31 215 63 255 212 5 202 86 246 134 231 100 219 154 30 212 84 53 171 149 131 67 90 51 184 72 235 8 7 214 44 29 210 87 239 184 94 231 165 71 176 221 228 110 81 191 81 10 169 65 218 90 149 134 54 14 165 181 110 105 81 235 86 228 181 233 188 180 170 164 5 27 128 83 79 234 204 109 14 155 125 110 155 107 143 53 66 229 155 201 219 86 179 38 44 142 80 170 54 174 65 141 235 174 235 55 6 218 76 86 45 2 22 4 155 46 12 3 33 82 140 214 234 130 240 110 247 243 237 173 165 181 27 22 249 125 221 102 7 203 209 203 165 151 94 26 178 87 79 63 141 96 208 2 184 219 94 62 170 163 196 99 245 84 175 50 61 101 6 148 194 166 17 156 91 74 83 182 51 168 227 55 0 219 125 241 185 246 205 58 228 140 79 232 194 222 195 186 255 31 222 174 59 54 45 3 40 222 73 72 16 55 7 58 125 213 112 118 32 72 187 192 112 82 85 173 32 101 253 245 219 174 210 61 159 191 92 165 234 113 9 198 224 161 224 56 21 210 72 16 249 215 76 208 32 117 93 53 156 211 87 62 182 92 233 153 103 8 41 224 100 164 212 173 144 47 163 18 81 157 78 234 3 38 178 20 194 10 97 195 51 182 221 108 113 235 117 2 133 135 206 246 199 234 151 254 120 32 0 102 58 36 205 57 213 198 15 107 117 127 75 151 172 193 63 168 87 137 87 83 65 138 82 249 158 192 0 5 232 230 204 146 193 121 47 219 27 153 194 239 178 180 122 51 208 190 238 126 156 40 113 186 242 194 11 47 212 35 143 60 18 102 18 192 125 113 255 9 77 147 94 140 242 3 172 76 225 141 242 130 182 211 135 14 208 77 196 46 184 1 224 55 216 221 179 17 100 222 185 164 55 171 204 244 94 253 203 95 91 171 203 87 48 81 36 199 54 112 247 68 75 95 126 100 66 27 238 57 166 37 127 52 170 235 190 81 211 189 143 183 84 109 96 75 147 94 21 176 141 191 253 177 85 186 254 138 50 82 57 130 42 157 129 217 170 170 54 103 130 116 122 145 34 137 112 192 208 170 95 254 244 229 186 114 29 18 59 117 82 57 159 131 17 234 181 72 53 0 108 179 184 17 215 242 56 85 132 35 173 44 33 19 158 52 146 29 227 129 43 223 177 167 243 134 251 166 195 156 29 42 164 213 114 208 70 46 17 83 126 19 226 160 3 174 220 120 129 134 250 123 85 155 155 238 164 18 145 30 124 228 64 236 44 206 86 66 6 234 141 224 188 155 223 93 137 245 224 172 57 172 49 231 191 199 191 125 222 11 14 94 65 10 57 8 238 13 54 119 251 137 58 192 162 24 109 91 176 23 206 120 42 34 28 242 92 24 96 72 72 248 205 158 152 133 125 30 195 135 123 80 87 161 51 108 167 243 166 110 145 227 76 238 77 166 39 244 241 15 45 213 223 186 106 189 195 67 244 125 93 47 78 100 244 249 111 181 244 234 17 36 192 241 114 190 165 109 251 166 245 194 254 72 79 226 173 223 119 35 26 164 77 114 61 151 213 215 182 14 106 231 145 83 58 50 151 35 28 106 18 46 225 56 69 117 177 160 166 50 195 111 226 34 244 194 189 255 254 147 87 234 150 63 121 78 115 109 76 75 134 48 41 155 168 215 14 152 99 212 34 203 144 116 157 71 146 171 104 13 47 122 100 18 242 185 72 121 228 24 119 129 86 103 213 39 69 126 55 105 84 208 102 208 135 247 101 91 120 248 149 83 186 117 195 106 114 197 16 26 181 93 71 186 115 120 232 57 184 205 196 110 178 252 151 65 72 222 142 233 90 160 251 51 46 153 198 22 188 110 243 239 46 208 102 0 103 176 86 172 88 161 225 225 97 61 241 196 19 73 234 208 177 209 100 174 90 15 30 30 136 128 71 39 88 54 144 9 201 237 78 179 199 12 88 97 227 30 223 231 227 16 3 250 60 147 70 109 133 56 148 125 248 109 201 130 11 50 168 248 47 126 120 17 60 195 160 176 113 181 184 168 255 240 23 83 218 123 116 90 53 24 9 163 139 251 201 98 119 46 97 25 177 162 63 255 249 168 30 220 65 175 217 6 50 32 125 104 221 58 93 183 254 60 66 15 110 5 135 52 160 43 206 18 240 0 14 204 146 37 33 146 169 224 45 110 28 210 63 222 66 8 55 115 24 103 42 171 22 203 108 245 54 140 195 56 13 108 120 204 230 198 99 118 151 152 1 75 120 226 113 47 176 209 43 82 209 177 167 94 218 180 237 109 193 193 150 146 229 43 87 240 14 78 65 143 249 182 176 171 134 187 96 116 127 191 31 251 110 31 150 92 111 206 63 91 101 31 59 118 76 169 25 212 240 12 224 146 44 102 30 86 195 29 110 128 130 252 111 178 116 56 37 112 96 87 114 79 159 115 140 232 59 76 173 4 162 121 235 0 238 243 92 225 119 15 18 180 101 232 180 56 115 110 207 100 172 7 15 17 163 38 94 11 118 86 6 132 200 28 165 200 122 25 193 137 234 34 61 240 50 57 109 30 103 173 37 0 188 121 24 0 168 94 104 34 101 200 218 107 99 218 123 120 66 143 31 68 47 195 5 68 174 250 71 55 110 212 69 101 66 173 122 37 204 37 149 183 196 2 14 79 48 239 0 130 153 208 0 133 189 143 61 129 133 54 51 31 45 56 85 158 31 83 73 8 133 98 98 168 161 69 20 42 32 177 93 2 123 223 61 54 144 221 223 239 231 190 107 119 61 70 143 197 105 201 66 161 160 163 71 143 42 213 36 188 33 52 132 184 29 46 15 19 55 87 123 160 86 1 236 67 243 222 27 42 216 46 126 216 172 210 124 140 132 71 222 172 119 195 49 78 143 239 227 120 229 80 70 5 146 23 25 104 20 163 226 118 29 31 215 56 129 126 68 42 179 128 199 234 228 64 58 141 202 107 240 238 58 253 149 139 218 49 85 209 248 44 253 219 201 66 228 214 44 102 124 100 147 218 217 88 45 212 170 111 67 185 234 36 89 170 127 247 200 156 142 225 36 53 213 67 95 37 125 253 179 151 168 93 217 141 198 32 25 211 160 164 133 193 115 59 239 130 127 157 238 35 84 241 152 83 222 99 123 61 206 133 54 226 37 230 65 216 101 83 197 253 41 18 25 105 158 73 163 226 139 104 27 75 139 91 23 204 240 131 63 239 39 160 243 223 237 126 221 44 173 30 139 193 118 14 218 217 43 68 181 163 170 58 106 55 220 247 134 63 60 12 101 156 204 102 42 216 96 139 0 121 95 184 223 47 46 229 205 173 86 229 230 240 78 71 222 59 38 54 39 109 92 89 86 239 224 0 4 229 44 222 236 44 117 86 5 242 197 165 60 131 192 97 155 65 230 10 17 80 193 11 138 74 154 165 130 161 13 128 53 98 214 184 151 126 16 174 213 203 202 90 73 94 229 36 161 82 26 73 50 96 188 157 4 90 81 207 156 104 233 222 103 39 244 175 174 91 100 196 117 231 149 107 117 231 174 195 122 224 165 83 234 47 14 113 39 161 11 127 169 109 80 31 54 177 77 18 59 198 73 114 61 83 19 187 155 233 50 47 247 156 181 121 94 48 89 158 93 157 125 68 197 68 12 119 65 75 245 228 162 144 108 235 18 219 207 251 184 75 240 174 61 60 235 123 127 137 39 221 159 183 46 184 30 131 157 42 219 124 50 41 216 71 83 215 234 10 213 235 139 65 189 90 95 133 99 244 57 28 107 5 135 111 1 40 76 22 201 115 254 215 9 127 55 107 56 183 48 33 219 50 84 152 179 123 139 236 48 241 92 12 67 164 112 206 10 48 199 242 222 30 108 101 70 115 44 244 15 32 205 185 132 80 2 39 200 78 84 177 145 231 153 233 224 52 57 225 30 164 12 162 14 81 68 38 212 97 9 27 138 192 48 178 38 169 228 72 43 6 19 125 247 185 134 126 125 109 69 151 47 193 187 138 83 250 218 103 55 235 197 35 191 192 246 194 84 193 148 240 0 247 150 73 130 196 46 107 129 169 192 133 36 92 6 203 192 181 5 90 218 169 74 178 76 121 180 80 155 251 219 245 140 106 21 0 36 111 237 69 129 36 109 205 211 9 73 252 154 249 64 255 117 128 235 62 220 191 247 221 240 200 66 229 176 40 85 32 129 95 98 210 198 40 128 202 222 153 22 183 16 144 135 3 131 204 202 13 92 219 87 160 42 160 39 171 65 42 186 6 112 146 172 234 130 186 3 64 231 82 201 184 50 105 239 59 219 216 116 67 211 149 217 192 55 136 140 134 115 24 253 104 10 155 91 7 108 36 24 39 43 195 190 77 60 218 174 33 141 169 166 150 103 102 144 138 48 4 6 145 38 45 73 242 161 214 20 195 229 63 46 152 15 233 193 220 218 147 156 34 89 223 171 63 222 54 173 41 128 37 105 165 77 3 37 253 238 181 75 20 85 200 26 5 39 16 49 243 108 224 93 224 69 173 90 45 179 161 90 195 120 125 238 45 54 6 22 198 105 53 158 98 94 222 76 196 8 231 170 82 237 56 86 30 135 105 215 149 160 249 191 187 96 191 159 123 247 231 214 85 205 6 218 249 230 84 15 18 81 204 179 198 104 103 197 42 232 180 13 49 218 1 236 160 134 35 21 240 14 93 118 57 80 46 97 22 73 239 145 190 139 168 27 50 215 164 145 228 238 196 58 147 132 244 168 96 95 27 153 139 53 201 210 94 130 93 244 10 211 69 171 22 107 48 61 26 156 163 1 196 61 195 210 89 142 178 206 132 242 208 98 97 41 113 238 132 86 13 39 26 194 235 179 50 73 112 178 142 85 98 205 58 183 76 63 49 177 171 199 230 69 140 58 55 180 113 4 203 168 147 31 30 28 214 163 175 80 62 26 66 145 140 126 235 154 245 186 138 132 9 229 74 29 191 208 140 129 195 232 113 122 92 142 95 93 148 102 7 109 161 205 87 51 244 225 103 204 32 214 0 41 146 6 9 97 209 228 12 139 4 167 129 13 212 125 195 159 247 19 208 238 187 221 127 87 67 248 184 74 197 135 175 5 112 87 14 148 162 149 36 239 99 236 94 112 13 66 136 195 132 112 34 130 4 67 16 214 114 180 178 212 212 138 2 149 0 36 200 109 125 121 37 43 31 132 58 60 229 160 199 27 24 5 85 217 249 141 164 35 69 83 120 226 35 227 6 15 29 141 133 93 85 46 104 235 250 126 101 230 94 82 186 121 82 69 194 26 40 134 154 76 52 83 219 173 53 122 73 55 95 138 212 97 64 157 219 142 136 104 119 159 36 155 69 242 33 67 118 42 147 171 201 41 228 136 24 214 118 16 79 144 133 43 226 78 164 255 79 159 155 211 200 140 123 79 107 105 79 172 75 151 15 6 21 238 184 216 65 118 153 248 180 200 51 121 180 77 19 7 210 112 129 241 130 91 129 49 231 89 147 110 82 125 226 21 196 162 153 26 154 228 10 37 237 57 49 5 191 194 40 140 51 131 134 73 185 26 20 250 101 241 30 45 225 81 6 93 3 193 223 207 205 192 58 44 115 179 35 229 60 179 179 85 107 215 174 133 170 180 11 151 244 64 228 26 230 205 169 58 39 34 200 197 176 247 49 84 83 185 199 210 13 49 172 214 236 72 113 58 72 40 220 204 216 23 220 154 165 126 125 227 5 188 223 38 148 97 81 194 241 234 223 191 97 189 110 163 28 165 49 177 71 135 39 182 169 54 245 180 102 198 126 166 254 228 21 253 221 45 151 232 198 11 150 115 47 170 14 187 253 147 145 18 30 54 210 77 53 96 112 130 26 246 204 24 22 68 140 3 176 229 224 168 245 23 98 189 124 172 170 63 126 193 246 189 19 22 152 229 236 89 55 200 78 53 208 12 13 236 103 139 101 69 143 217 204 235 242 210 115 141 63 13 19 4 201 128 101 24 17 190 70 22 123 214 67 230 43 167 167 119 190 2 224 29 169 118 33 91 88 116 231 126 175 210 152 224 94 69 122 175 192 118 37 244 173 246 6 212 142 148 195 31 219 89 23 206 157 6 23 143 128 118 253 198 101 250 254 139 123 144 17 60 73 115 154 147 18 86 209 84 52 88 5 15 247 149 212 131 7 235 106 132 216 14 22 247 37 112 170 213 120 183 36 196 239 57 91 235 39 124 216 119 42 214 67 187 218 250 237 205 200 59 4 29 196 102 255 254 175 95 167 235 214 238 215 206 19 13 77 97 147 207 27 44 104 203 234 69 218 178 177 147 24 128 150 240 213 140 254 108 103 78 35 19 216 219 18 85 249 60 91 128 225 80 204 128 79 70 8 149 94 64 221 215 208 58 5 50 95 211 197 1 253 104 79 162 27 87 215 117 227 249 200 37 124 128 51 79 155 35 169 65 218 3 231 39 75 117 9 228 15 222 100 10 0 12 217 194 13 19 228 232 0 70 14 95 23 96 190 82 216 92 215 149 61 189 143 37 197 90 45 0 238 229 200 58 133 233 190 150 163 122 165 77 134 197 69 230 169 211 254 203 194 125 188 245 85 131 186 80 179 243 212 101 32 31 31 58 116 72 171 87 175 14 143 4 112 175 32 144 60 191 240 146 14 147 40 104 176 220 23 91 98 169 249 137 200 239 46 66 211 148 113 45 179 76 42 198 97 9 57 128 64 121 136 2 199 156 235 147 145 62 108 224 52 165 52 223 222 81 209 170 1 84 50 117 188 121 170 41 242 148 238 220 118 205 90 253 134 181 181 25 199 54 1 117 23 115 191 75 87 26 81 89 247 61 147 210 246 87 39 85 46 81 102 67 149 69 134 68 191 109 115 195 192 35 129 13 108 102 47 14 85 195 213 221 56 60 253 216 129 234 220 140 190 245 66 78 87 44 29 84 191 151 245 172 93 24 119 3 172 29 138 57 52 247 66 187 181 130 25 57 29 180 83 160 197 89 255 96 8 176 207 152 7 63 203 253 89 198 104 218 164 151 172 212 216 177 113 61 191 235 0 95 16 108 82 131 52 43 167 113 20 187 9 29 171 203 142 23 123 214 23 255 146 78 218 137 178 102 241 222 18 187 127 255 254 80 91 229 215 7 182 93 61 92 136 182 108 88 170 126 42 28 138 182 141 38 30 155 87 27 134 139 41 108 46 220 193 9 127 7 3 61 81 103 216 91 142 179 216 46 135 35 11 109 177 157 47 128 57 57 19 235 15 31 107 234 27 207 225 20 1 16 194 143 253 174 9 19 137 66 32 137 143 61 173 114 142 96 73 251 102 203 250 183 63 30 211 127 127 30 233 132 155 250 138 168 224 86 133 177 121 76 133 16 198 216 202 148 157 67 102 140 105 92 100 59 75 249 136 117 77 214 29 94 56 220 212 15 94 36 111 237 106 136 192 53 158 16 97 89 182 166 92 115 18 137 39 41 1 18 102 212 133 198 30 174 49 225 32 185 48 92 240 43 120 103 26 105 138 40 28 156 138 243 122 228 175 94 198 11 161 65 220 52 52 49 205 90 212 132 5 39 140 241 190 149 58 253 101 158 119 76 107 181 188 111 223 190 144 95 126 83 37 198 167 63 114 145 254 242 23 143 107 79 189 71 213 252 210 64 252 28 146 219 79 32 27 161 246 194 9 171 109 28 23 152 24 251 11 87 6 149 209 33 156 231 119 182 214 66 106 123 0 46 41 229 116 50 46 233 191 189 48 163 151 78 204 234 227 107 139 186 104 25 170 150 213 153 26 21 20 213 73 212 42 153 171 23 143 38 250 139 87 106 218 57 222 82 169 31 95 160 78 101 190 213 27 157 166 112 80 94 28 37 15 214 50 57 219 226 53 170 226 196 36 56 60 57 24 40 13 179 213 201 58 231 107 21 61 184 23 251 216 211 214 18 24 35 79 114 159 90 16 60 92 22 27 74 94 22 36 129 129 239 224 251 207 169 53 153 107 14 113 183 212 58 206 117 124 108 241 207 144 230 75 45 57 79 63 223 189 93 207 236 57 169 235 47 26 86 131 165 73 168 194 106 38 169 84 152 193 31 196 165 204 65 239 99 179 189 237 239 239 15 102 230 177 199 30 211 13 55 220 240 90 111 65 45 251 215 199 214 247 68 55 93 84 78 142 236 56 169 74 142 224 31 111 181 135 85 153 18 156 10 109 192 214 50 128 31 10 53 44 197 94 196 79 115 205 9 249 133 90 214 170 28 199 103 26 166 24 142 142 163 186 242 250 171 209 132 149 158 81 236 249 98 236 121 154 100 70 133 37 186 172 102 231 80 45 44 60 247 161 54 151 151 6 53 134 68 246 70 44 155 145 48 41 226 168 212 137 131 191 181 189 74 159 124 37 199 164 90 89 178 95 120 119 189 196 220 49 196 180 134 141 72 182 244 15 244 106 12 61 124 223 79 246 233 68 238 2 21 234 51 202 148 218 248 20 5 98 115 200 79 145 156 39 158 141 102 152 101 55 160 62 251 44 12 62 181 158 161 142 171 225 220 50 82 9 31 225 164 179 124 184 104 136 2 241 65 62 140 123 86 155 215 124 66 37 194 202 58 241 120 14 147 209 102 222 25 164 158 97 190 167 118 46 155 235 16 205 247 184 126 217 139 246 243 191 64 120 13 92 143 224 174 27 55 235 103 71 119 105 138 1 214 72 190 247 14 13 135 24 212 238 103 140 247 234 145 102 130 90 98 81 144 184 211 222 179 109 215 66 45 193 158 58 89 177 52 203 135 19 148 168 230 88 102 27 206 67 104 234 180 42 228 147 167 166 18 245 144 76 72 50 13 91 91 245 149 145 168 118 5 173 80 163 210 161 135 99 231 166 57 215 24 87 15 148 174 240 85 97 51 211 135 132 176 76 137 84 20 89 40 111 97 38 248 203 23 116 216 102 60 213 177 184 160 50 210 28 151 207 211 48 192 244 160 42 27 132 38 189 36 72 50 128 223 100 189 56 201 81 113 210 2 244 115 137 46 115 116 230 204 18 232 207 52 189 142 235 226 55 87 225 38 228 7 134 215 108 210 83 219 31 209 79 127 78 21 226 141 148 244 224 193 53 113 172 108 3 189 122 244 126 59 84 246 150 143 31 63 30 192 189 229 150 91 206 128 226 12 112 47 63 191 55 250 194 229 249 100 252 241 87 181 63 90 6 185 176 47 182 57 36 19 154 100 106 188 112 20 84 20 54 203 149 7 8 51 164 99 177 192 205 224 135 61 226 211 61 14 39 232 194 78 72 112 76 194 9 108 100 70 131 86 7 142 169 252 24 132 112 35 59 108 109 75 131 240 92 242 170 144 87 124 50 120 162 20 83 133 75 5 152 5 165 71 115 231 36 54 8 62 253 116 217 30 62 183 57 68 89 4 240 29 51 210 17 27 135 68 182 209 24 147 240 152 87 31 195 119 61 132 70 231 108 104 40 241 85 128 181 149 235 168 19 207 133 83 150 94 236 6 33 86 86 205 165 155 116 207 119 159 210 154 149 107 117 217 218 197 56 162 78 85 218 156 121 140 100 179 172 153 217 26 205 90 48 105 57 155 51 86 227 108 163 235 78 202 188 161 133 48 148 115 246 130 221 236 5 91 58 253 219 123 135 90 102 30 219 119 215 47 63 240 192 3 90 185 114 165 46 187 236 178 51 36 237 172 159 147 252 139 255 249 124 242 189 29 19 138 150 95 162 107 207 203 81 253 64 154 13 71 198 173 69 117 189 157 23 115 49 165 213 120 209 1 141 112 237 172 127 28 82 125 128 91 87 45 118 9 254 166 169 212 40 207 197 67 63 117 96 151 54 244 53 245 251 191 123 139 214 12 161 158 235 100 175 168 71 75 145 102 117 169 81 200 130 145 213 114 94 219 42 187 142 198 51 159 164 27 232 171 192 8 29 92 230 247 231 62 189 89 58 173 114 221 108 99 13 170 155 65 126 232 161 135 194 218 237 87 190 242 149 51 128 245 245 179 130 59 86 73 146 175 125 243 167 218 54 217 175 13 231 15 43 157 47 33 20 216 15 112 180 196 186 53 25 160 63 117 200 120 33 219 198 142 22 170 37 195 81 231 143 207 71 168 195 95 229 214 131 52 227 11 106 22 103 112 230 224 118 109 234 157 214 63 253 155 159 208 134 11 150 6 64 252 85 129 203 93 109 218 48 46 65 10 157 249 67 160 209 134 237 160 133 12 104 23 72 211 202 18 234 223 221 85 30 3 107 73 237 2 239 4 137 171 46 12 236 145 35 71 252 189 174 150 45 91 246 246 192 117 7 71 248 118 248 63 222 255 148 78 80 127 212 183 152 130 235 116 137 239 90 0 23 85 227 181 91 123 133 46 72 37 32 242 237 175 1 156 88 213 134 214 169 245 73 121 22 31 224 214 37 232 91 77 33 38 177 227 26 101 135 35 181 201 147 154 25 217 173 21 153 41 253 157 219 174 215 13 87 92 136 64 216 55 192 230 147 228 182 131 21 228 0 239 63 77 200 105 198 111 81 111 237 54 31 96 31 119 127 251 218 124 105 245 239 19 39 78 132 34 184 26 9 20 127 229 199 135 97 111 2 214 247 157 85 114 125 161 219 238 121 248 23 201 238 145 41 85 11 75 20 247 44 14 18 28 42 15 73 85 230 9 210 91 56 60 93 201 181 55 29 136 65 70 231 181 118 186 26 241 181 223 31 176 131 48 159 5 198 220 196 110 22 72 114 212 166 41 211 197 209 154 224 35 173 202 216 33 101 38 246 235 55 62 181 69 159 191 246 98 190 122 117 81 30 2 113 218 123 14 244 66 146 67 249 171 99 16 16 239 218 87 3 233 214 5 183 187 183 87 108 48 157 94 116 117 163 191 215 189 251 238 187 207 10 106 119 184 231 4 215 55 254 116 251 129 228 145 237 135 52 157 161 184 156 66 186 54 182 163 183 60 160 169 89 123 155 196 153 243 186 112 94 215 94 75 24 148 15 237 244 252 10 182 46 232 45 167 97 1 200 17 129 233 224 80 40 161 128 190 50 58 162 137 227 7 180 169 80 209 109 159 218 170 107 41 16 236 205 224 98 35 20 145 61 83 52 30 38 147 44 214 235 14 83 23 200 46 208 93 161 49 249 252 101 253 19 79 60 17 212 176 63 29 185 250 234 171 231 81 253 236 4 126 91 224 250 209 163 211 113 242 232 179 191 208 203 135 199 248 56 111 64 179 172 210 164 123 6 113 14 78 123 113 86 212 167 3 118 151 94 117 170 31 121 144 124 240 7 185 205 39 176 231 209 5 181 59 39 255 163 38 150 40 103 136 218 68 20 109 188 235 6 191 209 105 170 206 240 25 231 200 171 20 200 143 107 5 1 192 214 171 46 212 21 27 248 135 78 86 44 33 187 103 201 117 58 244 245 175 7 186 239 244 222 206 210 204 204 76 72 39 238 217 195 2 11 224 242 175 218 188 229 135 214 243 159 237 30 191 109 112 187 15 28 28 155 77 118 30 56 161 61 163 85 18 250 112 97 142 213 26 36 217 113 160 23 198 59 31 139 225 108 57 12 112 155 47 214 157 51 191 82 127 93 6 156 69 45 199 132 107 193 19 65 42 33 42 133 0 120 89 117 190 168 183 45 70 195 213 167 38 40 100 31 85 139 15 224 54 173 89 166 181 171 22 105 152 92 233 16 197 15 118 150 188 57 228 177 243 228 53 217 177 177 49 141 140 140 216 158 106 205 154 53 186 228 146 75 252 85 253 57 165 117 62 113 223 49 184 243 31 62 48 114 34 57 52 222 208 161 209 73 29 157 68 21 145 42 12 246 3 238 245 103 140 29 46 159 103 127 231 63 252 255 200 177 1 243 231 164 118 184 18 182 38 161 211 44 64 215 253 47 221 160 202 7 163 89 86 156 40 91 194 94 59 195 229 127 204 4 207 55 172 199 14 13 47 209 249 231 173 120 71 128 206 39 235 123 2 119 254 139 254 255 241 255 125 20 248 63 175 91 190 81 36 161 4 118 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

WADecoration subclass: #JQMPersistentToolbarDecoration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMPersistentToolbarDecoration methodsFor: 'rendering' stamp: 'NickAger 10/15/2011 18:53'!
renderContentOn: html
	super renderContentOn: html.
	html div
		jqmFooter;
		jqmFixedPosition;
		jqmId: 'fixedFooter';
		with: [
			html div
				jqmNavBar;
				with: [
					html unorderedList: [
						html listItem: [
							html anchor
								jqmTransitionFade;
								callback: [ self decoratedComponent show: (JQMPageLinks new addDecoration: self class new; yourself) ];
								with: 'Linking pages' ].
						html listItem: [
							html anchor
								jqmTransitionFade;
								callback: [ self decoratedComponent show: (JQMThemeFramework new addDecoration: self class new; yourself) ];								
								with: 'Theming pages' ].
						html listItem: [
							html anchor
								jqmTransitionFade;
								callback: [ self decoratedComponent show: (JQMPageTransitions new addDecoration: self class new; yourself) ];								
								with: 'Page transitions' ] ] ] ]
	! !

WADecoration subclass: #JQMTestsDecorator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

JQMTestsDecorator subclass: #JQMSubMenuDecorator
	instanceVariableNames: 'menuClass'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSubMenuDecorator class methodsFor: 'instance creation' stamp: 'NickAger 10/17/2011 12:53'!
menuClass: menuClass
	^ self new
		menuClass: menuClass;
		yourself! !

!JQMSubMenuDecorator methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 13:00'!
menuClass
	^ menuClass! !

!JQMSubMenuDecorator methodsFor: 'accessing' stamp: 'NickAger 10/17/2011 13:00'!
menuClass: anObject
	menuClass := anObject! !

!JQMSubMenuDecorator methodsFor: 'rendering' stamp: 'NickAger 10/21/2011 07:55'!
renderContentOn: html
	self renderHeaderOn: html.
	html div
		jqmContent;
		with: [
			html div
				class: 'content-primary';
				with: [
					super renderContentOn: html ].
			self renderWrappedSubMenuOn: html ] ! !

!JQMSubMenuDecorator methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 12:55'!
renderHeaderOn: html
	html div
		jqmHeader;
		jqmTheme: 'f';
		with: [
			html heading
				level1;
				with: self decoratedComponent class label.
				
			html anchor
				jqmIcon: 'home';
				jqmReverse;
				jqmIconNoText;
				callback: [ 
					self session presenter home ];
				with: 'home' ].! !

!JQMSubMenuDecorator methodsFor: 'rendering' stamp: 'NickAger 10/17/2011 13:15'!
renderSubMenuOn: html
	html unorderedList
		jqmListView;
		jqmTheme: 'c';
		jqmDividerTheme: 'd';
		with: [
			html listItem
				jqmListDivider;
				with: self menuClass label.
				
			self menuClass buttonClasses do: [ :each |
				| listItem |
				listItem := html listItem.
				self decoratedComponent class label = each label ifTrue: [
					listItem jqmTheme: 'a' ].
				listItem with: [
					html anchor
						jqmTransitionFade 
						callback: [
							self decoratedComponent home.
							self decoratedComponent show: each new ] ;
						with: [ 
							html div: each label ] ] ] ]
			
		! !

!JQMSubMenuDecorator methodsFor: 'rendering' stamp: 'NickAger 10/13/2011 11:02'!
renderWrappedSubMenuOn: html
	html div
		class: 'content-secondary';
		with: [
			html div
				jqmCollapsible;
				jqmCollapsedState: true;
				jqmTheme: 'b';
				jqmContentTheme: 'd';
				with: [
					html heading
						level3;
						with: 'More in this section'.
					self renderSubMenuOn: html ] ] 
		! !

!JQMSubMenuDecorator methodsFor: 'updating' stamp: 'NickAger 10/27/2011 17:42'!
updateRoot: anUpdateRoot
	super updateRoot: anUpdateRoot.
	anUpdateRoot title: self menuClass label.
	
	"Add the 'type-interior' to the page div, this is specific to this test suite as JQMTestsFileLibrary / #jqmdocsCss 
	uses the 'type-interior' class to provide scalable views between mobile and web. When viewing on a mobile 
	device the content wrapped in a div with css class '.content-secondary' is collasped, and for the web it 
	is shown expanded"
	anUpdateRoot pageDivAttributes
		at: 'class' put: 'type-interior'! !

!JQMTestsDecorator methodsFor: 'updating' stamp: 'NickAger 10/21/2011 08:30'!
updateRoot: anUpdateRoot
	super updateRoot: anUpdateRoot.
	JQMTestsFileLibrary default updateRoot: anUpdateRoot.! !

Object subclass: #JQMSourceCodeRenderer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Functional'!

!JQMSourceCodeRenderer class methodsFor: 'source code rendering' stamp: 'NickAger 10/24/2011 15:23'!
renderSource: sourceStream on: html
	[ sourceStream atEnd ]
		whileFalse: [ 
			[ sourceStream peek = Character tab ]
				whileTrue: [ 
					html space; space; space.
					sourceStream next ].
			html
				render: sourceStream nextLine;
				break ]! !

!JQMSourceCodeRenderer class methodsFor: 'source code rendering' stamp: 'NickAger 10/17/2011 14:10'!
renderSourceOn: html forMethod: method class: aClass
	self renderSourceOn: html forMethod: method class: aClass cssClass: 'code'! !

!JQMSourceCodeRenderer class methodsFor: 'source code rendering' stamp: 'NickAger 10/17/2011 14:10'!
renderSourceOn: html forMethod: method class: aClass cssClass: cssClass
	| source |
	source := aClass sourceCodeAt: method.
	self renderSourceOn: html sourceStream: source readStream class: aClass cssClass: cssClass.! !

!JQMSourceCodeRenderer class methodsFor: 'source code rendering' stamp: 'NickAger 10/24/2011 15:23'!
renderSourceOn: html sourceStream: sourceStream class: aClass cssClass: cssClass
	html div
		class: cssClass if: cssClass notNil;
		with: [ 
			html render: aClass name.
			html text: '>>'.
			self renderSource: sourceStream on: html ]! !
JQMAllFunctionalTests initialize!
